Copyright: Project JEDI
Citation: Project JEDI


JEDI Code Library


EColorConversionError Class

EColorConversionError = class(EJclError);

Unit

JclQGraphUtils


EInvalidParam Class

EInvalidParam = class(EJclError);

Unit

JclCOM


EJclBorRADException Class

EJclBorRADException = class(Exception);

Unit

JclBorlandTools


EJclCliInstructionError Class

EJclCliInstructionError = class(EJclError);

Unit

JclCIL


EJclCliInstructionStreamInvalid Class

EJclCliInstructionStreamInvalid = class(EJclCliInstructionError);

Unit

JclCIL


EJclCommandLineToolError Class

EJclCommandLineToolError = class(EJclError);

Unit

JclBorlandTools


EJclCompressionError Class

EJclCompressionError = class(EJclError);

Unit

JclCompression


EJclConcurrentModificationError Class

EJclConcurrentModificationError = class(EJclError);

Unit

JclContainerIntf


EJclConversionError Class

EJclConversionError = class(EJclError);

Unit

JclSysUtils


EJclCounterError Class

EJclCounterError = class(EJclError);

Unit

JclCounter


EJclCriticalSectionError Class

Properties	Methods	Legend

EJclCriticalSectionError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclCriticalSectionError Class Properties

EJclCriticalSectionError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclCriticalSectionError Class Methods

EJclCriticalSectionError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclCriticalSectionError Class

Legend

read only

Constructor


EJclCriticalSectionError Class Members

EJclCriticalSectionError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclDateTimeError Class

EJclDateTimeError = class(EJclError);

Unit

JclDateTime


EJclDispatcherObjectError Class

Properties	Methods	Legend

EJclDispatcherObjectError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclDispatcherObjectError Class Properties

EJclDispatcherObjectError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclDispatcherObjectError Class Methods

EJclDispatcherObjectError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclDispatcherObjectError Class

Legend

read only

Constructor


EJclDispatcherObjectError Class Members

EJclDispatcherObjectError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclEventError Class

Properties	Methods	Legend

EJclEventError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclEventError Class Properties

EJclEventError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclEventError Class Methods

EJclEventError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclEventError Class

Legend

read only

Constructor


EJclEventError Class Members

EJclEventError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclFileMappingError Class

Properties	Methods	Legend

EJclFileMappingError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclFileUtils


EJclFileMappingError Class Properties

EJclFileMappingError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclFileMappingError Class Methods

EJclFileMappingError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclFileMappingError Class

Legend

read only

Constructor


EJclFileMappingError Class Members

EJclFileMappingError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclFileMappingViewError Class

Properties	Methods	Legend

EJclFileMappingViewError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclFileUtils


EJclFileMappingViewError Class Properties

EJclFileMappingViewError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclFileMappingViewError Class Methods

EJclFileMappingViewError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclFileMappingViewError Class

Legend

read only

Constructor


EJclFileMappingViewError Class Members

EJclFileMappingViewError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclFileUtilsError Class

EJclFileUtilsError = class(EJclError);

Unit

JclFileUtils


EJclFileVersionInfoError Class

EJclFileVersionInfoError = class(EJclError);

Unit

JclFileUtils


EJclGraphicsError Class

EJclGraphicsError = class(EJclError);

Unit

JclQGraphics


EJclIllegalArgumentError Class

EJclIllegalArgumentError = class(EJclError);

Unit

JclContainerIntf


EJclIllegalStateError Class

EJclIllegalStateError = class(EJclError);

Unit

JclContainerIntf


EJclMathError Class

EJclMathError = class(EJclError);

Unit

JclMath


EJclMciError Class

Properties	Methods	Legend

EJclMciError = class(EJclError);

Legend

read only

Constructor

Unit

JclMultimedia


EJclMciError Class Properties

EJclMciError Class	Legend

Properties

EJclMciError Class

 MciErrorMsg

 MciErrorNo


Legend

read only


EJclMciError Class Methods

EJclMciError Class	Legend

Methods

EJclMciError Class

 Create

 CreateFmt

 CreateRes


Legend

Constructor


Legend

EJclMciError Class

Legend

read only

Constructor


EJclMciError Class Members

EJclMciError Class	Legend

Members

Properties

EJclMciError Class

 MciErrorMsg

 MciErrorNo

Methods

EJclMciError Class

 Create

 CreateFmt

 CreateRes


Legend

read only

Constructor


EJclMciError.MciErrorMsg Property

EJclMciError Class

property MciErrorMsg: string;

Class

EJclMciError Class


EJclMciError.MciErrorNo Property

EJclMciError Class

property MciErrorNo: DWORD;

Class

EJclMciError Class


EJclMciError.Create Constructor

EJclMciError Class

constructor Create(MciErrNo: MCIERROR; const Msg: string);

Class

EJclMciError Class


EJclMciError.CreateFmt Constructor

EJclMciError Class

constructor CreateFmt(MciErrNo: MCIERROR; const Msg: string; const Args: array of const);

Class

EJclMciError Class


EJclMciError.CreateRes Constructor

EJclMciError Class

constructor CreateRes(MciErrNo: MCIERROR; Ident: Integer);

Class

EJclMciError Class


EJclMetadataError Class

EJclMetadataError = class(EJclError);

Unit

JclMetadata


EJclMeteredSectionError Class

EJclMeteredSectionError = class(EJclError);

Unit

JclSynch


EJclMIDIError Class

EJclMIDIError = class(EJclError);

Unit

JclMIDI


EJclMixerError Class

EJclMixerError = class(EJclError);

Unit

JclMultimedia


EJclMmTimerError Class

EJclMmTimerError = class(EJclError);

Unit

JclMultimedia


EJclMutexError Class

Properties	Methods	Legend

EJclMutexError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclMutexError Class Properties

EJclMutexError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclMutexError Class Methods

EJclMutexError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclMutexError Class

Legend

read only

Constructor


EJclMutexError Class Members

EJclMutexError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclNaNSignal Class

Properties	Methods	Legend

EJclNaNSignal = class(EJclMathError);

Legend

read only

Constructor

Unit

JclMath


EJclNaNSignal Class Properties

EJclNaNSignal Class	Legend

Properties

EJclNaNSignal Class

 Tag


Legend

read only


EJclNaNSignal Class Methods

EJclNaNSignal Class	Legend

Methods

EJclNaNSignal Class

 Create


Legend

Constructor


Legend

EJclNaNSignal Class

Legend

read only

Constructor


EJclNaNSignal Class Members

EJclNaNSignal Class	Legend

Members

Properties

EJclNaNSignal Class

 Tag

Methods

EJclNaNSignal Class

 Create


Legend

read only

Constructor


EJclNaNSignal.Tag Property

EJclNaNSignal Class

property Tag: TNaNTag;

Class

EJclNaNSignal Class


EJclNaNSignal.Create Constructor

EJclNaNSignal Class

constructor Create(ATag: TNaNTag);

Class

EJclNaNSignal Class


EJclNoSuchElementError Class

EJclNoSuchElementError = class(EJclError);

Unit

JclContainerIntf


EJclNtfsError Class

Properties	Methods	Legend

EJclNtfsError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclNTFS


EJclNtfsError Class Properties

EJclNtfsError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclNtfsError Class Methods

EJclNtfsError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclNtfsError Class

Legend

read only

Constructor


EJclNtfsError Class Members

EJclNtfsError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclOperationNotSupportedError Class

EJclOperationNotSupportedError = class(EJclError);

Unit

JclContainerIntf


EJclOutOfBoundsError Class

EJclOutOfBoundsError = class(EJclError);

Unit

JclContainerIntf


EJclPathError Class

EJclPathError = class(EJclError);

Unit

JclFileUtils


EJclPrinterError Class

EJclPrinterError = class(EJclError);

Unit

JclPrint


EJclRTTIError Class

EJclRTTIError = class(EJclError);

Unit

JclRTTI


EJclSemaphoreError Class

Properties	Methods	Legend

EJclSemaphoreError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclSemaphoreError Class Properties

EJclSemaphoreError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclSemaphoreError Class Methods

EJclSemaphoreError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclSemaphoreError Class

Legend

read only

Constructor


EJclSemaphoreError Class Members

EJclSemaphoreError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclStatisticsError Class

EJclStatisticsError = class(EJclMathError);

Unit

JclStatistics


EJclStructStorageError Class

EJclStructStorageError = class(EJclError);

Unit

JclStructStorage


EJclTempFileStreamError Class

Properties	Methods	Legend

EJclTempFileStreamError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclFileUtils


EJclTempFileStreamError Class Properties

EJclTempFileStreamError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclTempFileStreamError Class Methods

EJclTempFileStreamError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclTempFileStreamError Class

Legend

read only

Constructor


EJclTempFileStreamError Class Members

EJclTempFileStreamError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclUnicodeError Class

EJclUnicodeError = class(EJclError);

Unit

JclUnicode


EJclVMTError Class

EJclVMTError = class(EJclError);

Unit

JclSysUtils


EJclWaitableTimerError Class

Properties	Methods	Legend

EJclWaitableTimerError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclWaitableTimerError Class Properties

EJclWaitableTimerError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclWaitableTimerError Class Methods

EJclWaitableTimerError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclWaitableTimerError Class

Legend

read only

Constructor


EJclWaitableTimerError Class Members

EJclWaitableTimerError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclWin32HandleObjectError Class

Properties	Methods	Legend

EJclWin32HandleObjectError = class(EJclWin32Error);

Legend

read only

Constructor

Unit

JclSynch


EJclWin32HandleObjectError Class Properties

EJclWin32HandleObjectError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclWin32HandleObjectError Class Methods

EJclWin32HandleObjectError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclWin32HandleObjectError Class

Legend

read only

Constructor


EJclWin32HandleObjectError Class Members

EJclWin32HandleObjectError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EPCREError Class

Properties	Methods	Legend

EPCREError = class(Exception);

Legend

read only

Constructor

Unit

JclPCRE


EPCREError Class Properties

EPCREError Class	Legend

Properties

 ErrorCode


Legend

read only


EPCREError Class Methods

EPCREError Class	Legend

Methods

 CreateRes


Legend

Constructor


Legend

EPCREError Class

Legend

read only

Constructor


EPCREError Class Members

EPCREError Class	Legend

Members

Properties

 ErrorCode

Methods

 CreateRes


Legend

read only

Constructor


EPCREError.ErrorCode Property

EPCREError Class

property ErrorCode: Integer;

Class

EPCREError Class


EPCREError.CreateRes Constructor

EPCREError Class

constructor CreateRes(ResStringRec: PResStringRec; ErrorCode: Integer);

Class

EPCREError Class


ETemperatureConversionError Class

ETemperatureConversionError = class(EUnitConversionError);

Unit

JclUnitConv


EUnitConversionError Class

EUnitConversionError = class(Exception);

Unit

JclUnitConv


TCustomUnitVersioningProvider Class

Methods	Legend

TCustomUnitVersioningProvider = class(TObject);

Legend

Constructor

Unit

JclUnitVersioning


TCustomUnitVersioningProvider Class Methods

TCustomUnitVersioningProvider Class	Legend

Methods

 Create

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo


Legend

Constructor


Legend

TCustomUnitVersioningProvider Class

Legend

Constructor


TCustomUnitVersioningProvider Class Members

TCustomUnitVersioningProvider Class	Legend

Members

Methods

 Create

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo


Legend

Constructor


TCustomUnitVersioningProvider.Create Constructor

TCustomUnitVersioningProvider Class

constructor Create; virtual;

Class

TCustomUnitVersioningProvider Class


TCustomUnitVersioningProvider.LoadModuleUnitVersioningInfo Method

TCustomUnitVersioningProvider Class

procedure LoadModuleUnitVersioningInfo(Instance: THandle); virtual;

Class

TCustomUnitVersioningProvider Class


TCustomUnitVersioningProvider.ReleaseModuleUnitVersioningInfo Method

TCustomUnitVersioningProvider Class

procedure ReleaseModuleUnitVersioningInfo(Instance: THandle); virtual;

Class

TCustomUnitVersioningProvider Class


TEDI_ANSIX12_Document Class

Properties	Methods	Legend

TEDI_ANSIX12_Document = class(TEDITransactionSetLoop);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDI_ANSIX12_Document Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12_Ext


TEDI_ANSIX12_Document Class Fields

TEDI_ANSIX12_Document Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDI_ANSIX12_Document Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured


Legend

protected


TEDI_ANSIX12_Document Class Properties

TEDI_ANSIX12_Document Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet

TEDI_ANSIX12_Document Class

 EDITSDOptions

 ErrorOccured


Legend

published

read only


TEDI_ANSIX12_Document Class Methods

TEDI_ANSIX12_Document Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDI_ANSIX12_Document Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

Constructor

protected


Legend

TEDI_ANSIX12_Document Class

Legend

protected

published

read only

Constructor


TEDI_ANSIX12_Document Class Members

TEDI_ANSIX12_Document Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDI_ANSIX12_Document Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet

TEDI_ANSIX12_Document Class

 EDITSDOptions

 ErrorOccured

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDI_ANSIX12_Document Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

protected

published

read only

Constructor


TEDI_ANSIX12_Document.FEDILoopStack Field

TEDI_ANSIX12_Document Class

FEDILoopStack: TEDILoopStack;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.FEDITransactionSet Field

TEDI_ANSIX12_Document Class

FEDITransactionSet: TEDITransactionSet;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.FEDITransactionSetSpec Field

TEDI_ANSIX12_Document Class

FEDITransactionSetSpec: TObjectList;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.FEDITSDOptions Field

TEDI_ANSIX12_Document Class

FEDITSDOptions: TEDITransactionSetDocumentOptions;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.FErrorOccured Field

TEDI_ANSIX12_Document Class

FErrorOccured: Boolean;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.EDITSDOptions Property

TEDI_ANSIX12_Document Class

property EDITSDOptions: TEDITransactionSetDocumentOptions;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.ErrorOccured Property

TEDI_ANSIX12_Document Class

property ErrorOccured: Boolean;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.AddLoopToDoc Method

TEDI_ANSIX12_Document Class

procedure AddLoopToDoc(StackRecord: TEDILoopStackRecord; SegmentId: string; OwnerLoopId: string; ParentLoopId: string; var EDIObject: TEDIObject);

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.AdvanceSegSpecIndex Method

TEDI_ANSIX12_Document Class

function AdvanceSegSpecIndex(DataIndex: Integer; SpecStartIndex: Integer; SpecEndIndex: Integer): Integer;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.Create Constructor

TEDI_ANSIX12_Document Class

constructor Create(Parent: TEDIDataObject; TransactionSet: TEDITransactionSet; SEFSet: TEDISEFSet); reintroduce;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.Destroy Destructor

TEDI_ANSIX12_Document Class

destructor Destroy; override;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.FormatDocument Method

TEDI_ANSIX12_Document Class

procedure FormatDocument; virtual;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.SetSpecificationPointers Method

TEDI_ANSIX12_Document Class

procedure SetSpecificationPointers(DataSegment: TEDISegment; SpecSegment: TEDISEFSegment);

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.ValidateData Method

TEDI_ANSIX12_Document Class

procedure ValidateData(TSDocument: TEDI_ANSIX12_Document; LoopStack: TEDILoopStack; DataSegment: TEDISegment; SpecSegment: TEDISEFSegment; var DataIndex: Integer; var SpecIndex: Integer; var ErrorOccured: Boolean); virtual;

Class

TEDI_ANSIX12_Document Class


TEDI_ANSIX12_Document.ValidateSegSpecIndex Method

TEDI_ANSIX12_Document Class

function ValidateSegSpecIndex(DataSegmentId: string; SpecStartIndex: Integer): Integer;

Class

TEDI_ANSIX12_Document Class


TEDI_UNEDIFACT_Document Class

Properties	Methods	Legend

TEDI_UNEDIFACT_Document = class(TEDIMessageLoop);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage

TEDI_UNEDIFACT_Document Class

 FEDILoopStack

 FEDIMessage

 FEDIMessageSpec

 FEDITSDOptions

 FErrorOccured

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT_Ext


TEDI_UNEDIFACT_Document Class Fields

TEDI_UNEDIFACT_Document Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage

TEDI_UNEDIFACT_Document Class

 FEDILoopStack

 FEDIMessage

 FEDIMessageSpec

 FEDITSDOptions

 FErrorOccured


Legend

protected


TEDI_UNEDIFACT_Document Class Properties

TEDI_UNEDIFACT_Document Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessageLoop Class

 OwnerLoopId

 ParentLoopId

 ParentMessage

TEDI_UNEDIFACT_Document Class

 EDITSDOptions

 ErrorOccured


Legend

published

read only


TEDI_UNEDIFACT_Document Class Methods

TEDI_UNEDIFACT_Document Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessageLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDI_UNEDIFACT_Document Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

Constructor

protected


Legend

TEDI_UNEDIFACT_Document Class

Legend

protected

published

read only

Constructor


TEDI_UNEDIFACT_Document Class Members

TEDI_UNEDIFACT_Document Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage

TEDI_UNEDIFACT_Document Class

 FEDILoopStack

 FEDIMessage

 FEDIMessageSpec

 FEDITSDOptions

 FErrorOccured

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessageLoop Class

 OwnerLoopId

 ParentLoopId

 ParentMessage

TEDI_UNEDIFACT_Document Class

 EDITSDOptions

 ErrorOccured

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessageLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDI_UNEDIFACT_Document Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

protected

published

read only

Constructor


TEDI_UNEDIFACT_Document.FEDILoopStack Field

TEDI_UNEDIFACT_Document Class

FEDILoopStack: TEDILoopStack;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.FEDIMessage Field

TEDI_UNEDIFACT_Document Class

FEDIMessage: TEDIMessage;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.FEDIMessageSpec Field

TEDI_UNEDIFACT_Document Class

FEDIMessageSpec: TObjectList;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.FEDITSDOptions Field

TEDI_UNEDIFACT_Document Class

FEDITSDOptions: TEDIMessageDocumentOptions;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.FErrorOccured Field

TEDI_UNEDIFACT_Document Class

FErrorOccured: Boolean;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.EDITSDOptions Property

TEDI_UNEDIFACT_Document Class

property EDITSDOptions: TEDIMessageDocumentOptions;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.ErrorOccured Property

TEDI_UNEDIFACT_Document Class

property ErrorOccured: Boolean;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.AddLoopToDoc Method

TEDI_UNEDIFACT_Document Class

procedure AddLoopToDoc(StackRecord: TEDILoopStackRecord; SegmentId: string; OwnerLoopId: string; ParentLoopId: string; var EDIObject: TEDIObject);

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.AdvanceSegSpecIndex Method

TEDI_UNEDIFACT_Document Class

function AdvanceSegSpecIndex(DataIndex: Integer; SpecStartIndex: Integer; SpecEndIndex: Integer): Integer;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.Create Constructor

TEDI_UNEDIFACT_Document Class

constructor Create(Parent: TEDIDataObject; AEDIMessage: TEDIMessage; SEFSet: TEDISEFSet); reintroduce;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.Destroy Destructor

TEDI_UNEDIFACT_Document Class

destructor Destroy; override;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.FormatDocument Method

TEDI_UNEDIFACT_Document Class

procedure FormatDocument; virtual;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.SetSpecificationPointers Method

TEDI_UNEDIFACT_Document Class

procedure SetSpecificationPointers(DataSegment: TEDISegment; SpecSegment: TEDISEFSegment);

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.ValidateData Method

TEDI_UNEDIFACT_Document Class

procedure ValidateData(TSDocument: TEDI_UNEDIFACT_Document; LoopStack: TEDILoopStack; DataSegment: TEDISegment; SpecSegment: TEDISEFSegment; var DataIndex: Integer; var SpecIndex: Integer; var ErrorOccured: Boolean); virtual;

Class

TEDI_UNEDIFACT_Document Class


TEDI_UNEDIFACT_Document.ValidateSegSpecIndex Method

TEDI_UNEDIFACT_Document Class

function ValidateSegSpecIndex(DataSegmentId: string; SpecStartIndex: Integer): Integer;

Class

TEDI_UNEDIFACT_Document Class


TEDICompositeElement Class

Properties	Methods	Legend

TEDICompositeElement = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDICompositeElement Class Fields

TEDICompositeElement Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDICompositeElement Class Properties

TEDICompositeElement Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDICompositeElement Class

Element

 Elements


Legend

published

read only


TEDICompositeElement Class Methods

TEDICompositeElement Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDICompositeElement Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateElement


Legend

Constructor

protected


Legend

TEDICompositeElement Class

Legend

protected

published

read only

Constructor


TEDICompositeElement Class Members

TEDICompositeElement Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDICompositeElement Class

Element

 Elements

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDICompositeElement Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateElement


Legend

protected

published

read only

Constructor


TEDICompositeElement.Element Property

TEDICompositeElement Class

property Element [Index: Integer]: TEDIElement;

Class

TEDICompositeElement Class


TEDICompositeElement.Elements Property

TEDICompositeElement Class

property Elements: TEDIDataObjectList;

Class

TEDICompositeElement Class


TEDICompositeElement.AddElement Method

TEDICompositeElement Class

function AddElement: Integer;

Class

TEDICompositeElement Class


TEDICompositeElement.AddElements Method

TEDICompositeElement Class

function AddElements(Count: Integer): Integer;

Class

TEDICompositeElement Class


TEDICompositeElement.AppendElement Method

TEDICompositeElement Class

function AppendElement(Element: TEDIElement): Integer;

Class

TEDICompositeElement Class


TEDICompositeElement.AppendElements Method

TEDICompositeElement Class

function AppendElements(ElementArray: TEDIElementArray): Integer;

Class

TEDICompositeElement Class


TEDICompositeElement.Assemble Method

TEDICompositeElement Class

function Assemble: string; override;

Class

TEDICompositeElement Class


TEDICompositeElement.Create Constructor

TEDICompositeElement Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDICompositeElement Class


TEDICompositeElement.DeleteElement Method (Integer)

TEDICompositeElement Class

procedure DeleteElement(Index: Integer); overload;

Class

TEDICompositeElement Class


TEDICompositeElement.DeleteElement Method (TEDIElement)

TEDICompositeElement Class

procedure DeleteElement(Element: TEDIElement); overload;

Class

TEDICompositeElement Class


TEDICompositeElement.DeleteElements Method ()

TEDICompositeElement Class

procedure DeleteElements; overload;

Class

TEDICompositeElement Class


TEDICompositeElement.DeleteElements Method (Integer, Integer)

TEDICompositeElement Class

procedure DeleteElements(Index: Integer; Count: Integer); overload;

Class

TEDICompositeElement Class


TEDICompositeElement.Destroy Destructor

TEDICompositeElement Class

destructor Destroy; override;

Class

TEDICompositeElement Class


TEDICompositeElement.Disassemble Method

TEDICompositeElement Class

procedure Disassemble; override;

Class

TEDICompositeElement Class


TEDICompositeElement.InsertElement Method (Integer)

TEDICompositeElement Class

function InsertElement(InsertIndex: Integer): Integer; overload;

Class

TEDICompositeElement Class


TEDICompositeElement.InsertElement Method (Integer, TEDIElement)

TEDICompositeElement Class

function InsertElement(InsertIndex: Integer; Element: TEDIElement): Integer; overload;

Class

TEDICompositeElement Class


TEDICompositeElement.InsertElements Method (Integer, Integer)

TEDICompositeElement Class

function InsertElements(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDICompositeElement Class


TEDICompositeElement.InsertElements Method (Integer, TEDIElementArray)

TEDICompositeElement Class

function InsertElements(InsertIndex: Integer; ElementArray: TEDIElementArray): Integer; overload;

Class

TEDICompositeElement Class


TEDICompositeElement.InternalAssignDelimiters Method

TEDICompositeElement Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDICompositeElement Class


TEDICompositeElement.InternalCreateEDIDataObject Method

TEDICompositeElement Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDICompositeElement Class


TEDICompositeElement.InternalCreateElement Method

TEDICompositeElement Class

function InternalCreateElement: TEDIElement; virtual;

Class

TEDICompositeElement Class


TEDIDataObject Class

Properties	Methods	Legend

TEDIDataObject = class(TEDIObject);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDI


TEDIDataObject Class Fields

TEDIDataObject Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIDataObject Class Properties

TEDIDataObject Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State


Legend

published

read only


TEDIDataObject Class Methods

TEDIDataObject Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData


Legend

Constructor

protected


Legend

TEDIDataObject Class

Legend

protected

published

read only

Constructor


TEDIDataObject Class Members

TEDIDataObject Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData


Legend

protected

published

read only

Constructor


TEDIDataObject.FCustomData1 Field

TEDIDataObject Class

FCustomData1: TCustomData;

Class

TEDIDataObject Class


TEDIDataObject.FCustomData2 Field

TEDIDataObject Class

FCustomData2: TCustomData;

Class

TEDIDataObject Class


TEDIDataObject.FData Field

TEDIDataObject Class

FData: string;

Class

TEDIDataObject Class


TEDIDataObject.FDelimiters Field

TEDIDataObject Class

FDelimiters: TEDIDelimiters;

Class

TEDIDataObject Class


TEDIDataObject.FEDIDOT Field

TEDIDataObject Class

FEDIDOT: TEDIDataObjectType;

Class

TEDIDataObject Class


TEDIDataObject.FErrorLog Field

TEDIDataObject Class

FErrorLog: TStrings;

Class

TEDIDataObject Class


TEDIDataObject.FLength Field

TEDIDataObject Class

FLength: Integer;

Class

TEDIDataObject Class


TEDIDataObject.FParent Field

TEDIDataObject Class

FParent: TEDIDataObject;

Class

TEDIDataObject Class


TEDIDataObject.FSpecPointer Field

TEDIDataObject Class

FSpecPointer: TEDIObject;

Class

TEDIDataObject Class


TEDIDataObject.FState Field

TEDIDataObject Class

FState: TEDIDataObjectDataState;

Class

TEDIDataObject Class


TEDIDataObject.CustomData1 Property

TEDIDataObject Class

property CustomData1: TCustomData;

Class

TEDIDataObject Class


TEDIDataObject.CustomData2 Property

TEDIDataObject Class

property CustomData2: TCustomData;

Class

TEDIDataObject Class


TEDIDataObject.Data Property

TEDIDataObject Class

property Data: string;

Class

TEDIDataObject Class


TEDIDataObject.DataLength Property

TEDIDataObject Class

property DataLength: Integer;

Class

TEDIDataObject Class


TEDIDataObject.Delimiters Property

TEDIDataObject Class

property Delimiters: TEDIDelimiters;

Class

TEDIDataObject Class


TEDIDataObject.Parent Property

TEDIDataObject Class

property Parent: TEDIDataObject;

Class

TEDIDataObject Class


TEDIDataObject.SpecPointer Property

TEDIDataObject Class

property SpecPointer: TEDIObject;

Class

TEDIDataObject Class


TEDIDataObject.State Property

TEDIDataObject Class

property State: TEDIDataObjectDataState;

Class

TEDIDataObject Class


TEDIDataObject.Assemble Method

TEDIDataObject Class

function Assemble: string; virtual; abstract;

Class

TEDIDataObject Class


TEDIDataObject.Create Constructor

TEDIDataObject Class

constructor Create(Parent: TEDIDataObject); reintroduce;

Class

TEDIDataObject Class


TEDIDataObject.Destroy Destructor

TEDIDataObject Class

destructor Destroy; override;

Class

TEDIDataObject Class


TEDIDataObject.Disassemble Method

TEDIDataObject Class

procedure Disassemble; virtual; abstract;

Class

TEDIDataObject Class


TEDIDataObject.GetData Method

TEDIDataObject Class

function GetData: string;

Class

TEDIDataObject Class


TEDIDataObject.SetData Method

TEDIDataObject Class

procedure SetData(const Data: string);

Class

TEDIDataObject Class


TEDIDataObjectGroup Class

Properties	Methods	Legend

TEDIDataObjectGroup = class(TEDIDataObject);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI


TEDIDataObjectGroup Class Fields

TEDIDataObjectGroup Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIDataObjectGroup Class Properties

TEDIDataObjectGroup Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects


Legend

published

read only


TEDIDataObjectGroup Class Methods

TEDIDataObjectGroup Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject


Legend

Constructor

protected


Legend

TEDIDataObjectGroup Class

Legend

protected

published

read only

Constructor


TEDIDataObjectGroup Class Members

TEDIDataObjectGroup Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject


Legend

protected

published

read only

Constructor


TEDIDataObjectGroup.FCreateObjectType Field

TEDIDataObjectGroup Class

FCreateObjectType: TEDIDataObjectType;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.FEDIDataObjects Field

TEDIDataObjectGroup Class

FEDIDataObjects: TEDIDataObjectList;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.FGroupIsParent Field

TEDIDataObjectGroup Class

FGroupIsParent: Boolean;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.CreateObjectType Property

TEDIDataObjectGroup Class

property CreateObjectType: TEDIDataObjectType;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.EDIDataObject Property

TEDIDataObjectGroup Class

property EDIDataObject [Index: Integer]: TEDIDataObject;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.EDIDataObjectCount Property

TEDIDataObjectGroup Class

property EDIDataObjectCount: Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.EDIDataObjects Property

TEDIDataObjectGroup Class

property EDIDataObjects: TEDIDataObjectList;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.AddEDIDataObject Method

TEDIDataObjectGroup Class

function AddEDIDataObject: Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.AddEDIDataObjects Method

TEDIDataObjectGroup Class

function AddEDIDataObjects(Count: Integer): Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.AppendEDIDataObject Method

TEDIDataObjectGroup Class

function AppendEDIDataObject(EDIDataObject: TEDIDataObject): Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.AppendEDIDataObjects Method

TEDIDataObjectGroup Class

function AppendEDIDataObjects(EDIDataObjectArray: TEDIDataObjectArray): Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.Create Constructor

TEDIDataObjectGroup Class

constructor Create(Parent: TEDIDataObject; EDIDataObjectCount: Integer = 0); reintroduce;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.DeleteEDIDataObject Method (Integer)

TEDIDataObjectGroup Class

procedure DeleteEDIDataObject(Index: Integer); overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.DeleteEDIDataObject Method (TEDIDataObject)

TEDIDataObjectGroup Class

procedure DeleteEDIDataObject(EDIDataObject: TEDIDataObject); overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.DeleteEDIDataObjects Method ()

TEDIDataObjectGroup Class

procedure DeleteEDIDataObjects; overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.DeleteEDIDataObjects Method (Integer, Integer)

TEDIDataObjectGroup Class

procedure DeleteEDIDataObjects(Index: Integer; Count: Integer); overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.Destroy Destructor

TEDIDataObjectGroup Class

destructor Destroy; override;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.GetCount Method

TEDIDataObjectGroup Class

function GetCount: Integer;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.GetEDIDataObject Method

TEDIDataObjectGroup Class

function GetEDIDataObject(Index: Integer): TEDIDataObject;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.GetIndexPositionFromParent Method

TEDIDataObjectGroup Class

function GetIndexPositionFromParent: Integer; virtual;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.IndexIsValid Method

TEDIDataObjectGroup Class

function IndexIsValid(Index: Integer): Boolean;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InsertEDIDataObject Method (Integer)

TEDIDataObjectGroup Class

function InsertEDIDataObject(InsertIndex: Integer): Integer; overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InsertEDIDataObject Method (Integer, TEDIDataObject)

TEDIDataObjectGroup Class

function InsertEDIDataObject(InsertIndex: Integer; EDIDataObject: TEDIDataObject): Integer; overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InsertEDIDataObjects Method (Integer, Integer)

TEDIDataObjectGroup Class

function InsertEDIDataObjects(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InsertEDIDataObjects Method (Integer, TEDIDataObjectArray)

TEDIDataObjectGroup Class

function InsertEDIDataObjects(InsertIndex: Integer; EDIDataObjectArray: TEDIDataObjectArray): Integer; overload;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InternalAssignDelimiters Method

TEDIDataObjectGroup Class

function InternalAssignDelimiters: TEDIDelimiters; virtual; abstract;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.InternalCreateEDIDataObject Method

TEDIDataObjectGroup Class

function InternalCreateEDIDataObject: TEDIDataObject; virtual; abstract;

Class

TEDIDataObjectGroup Class


TEDIDataObjectGroup.SetEDIDataObject Method

TEDIDataObjectGroup Class

procedure SetEDIDataObject(Index: Integer; EDIDataObject: TEDIDataObject);

Class

TEDIDataObjectGroup Class


TEDIDataObjectList Class

Properties	Methods	Legend

TEDIDataObjectList = class(TEDIObjectList);

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Legend

protected

published

read only

Constructor

Unit

JclEDI


TEDIDataObjectList Class Fields

TEDIDataObjectList Class	Legend

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects


Legend

protected


TEDIDataObjectList Class Properties

TEDIDataObjectList Class	Legend

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

TEDIDataObjectList Class

EDIDataObject


Legend

published

read only


TEDIDataObjectList Class Methods

TEDIDataObjectList Class	Legend

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDIDataObjectList Class

CreateListItem


Legend

Constructor

protected


Legend

TEDIDataObjectList Class

Legend

protected

published

read only

Constructor


TEDIDataObjectList Class Members

TEDIDataObjectList Class	Legend

Members

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

TEDIDataObjectList Class

EDIDataObject

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDIDataObjectList Class

CreateListItem


Legend

protected

published

read only

Constructor


TEDIDataObjectList.EDIDataObject Property

TEDIDataObjectList Class

property EDIDataObject [Index: Integer]: TEDIDataObject;

Class

TEDIDataObjectList Class


TEDIDataObjectList.CreateListItem Method

TEDIDataObjectList Class

function CreateListItem(PriorItem: TEDIObjectListItem; EDIObject: TEDIObject = nil): TEDIObjectListItem; override;

Class

TEDIDataObjectList Class


TEDIDataObjectListItem Class

Properties	Methods	Legend

TEDIDataObjectListItem = class(TEDIObjectListItem);

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Legend

protected

published

Constructor

Unit

JclEDI


TEDIDataObjectListItem Class Fields

TEDIDataObjectListItem Class	Legend

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem


Legend

protected


TEDIDataObjectListItem Class Properties

TEDIDataObjectListItem Class	Legend

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem

TEDIDataObjectListItem Class

 EDIDataObject


Legend

published


TEDIDataObjectListItem Class Methods

TEDIDataObjectListItem Class	Legend

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent


Legend

Constructor


Legend

TEDIDataObjectListItem Class

Legend

protected

published

Constructor


TEDIDataObjectListItem Class Members

TEDIDataObjectListItem Class	Legend

Members

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem

TEDIDataObjectListItem Class

 EDIDataObject

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent


Legend

protected

published

Constructor


TEDIDataObjectListItem.EDIDataObject Property

TEDIDataObjectListItem Class

property EDIDataObject: TEDIDataObject;

Class

TEDIDataObjectListItem Class


TEDIDelimiters Class

Properties	Methods	Legend

TEDIDelimiters = class(TEDIObject);

Legend

published

read only

Constructor

Unit

JclEDI


TEDIDelimiters Class Properties

TEDIDelimiters Class	Legend

Properties

TEDIDelimiters Class

 ED

 EDLen

 SD

 SDLen

 SS

 SSLen


Legend

published

read only


TEDIDelimiters Class Methods

TEDIDelimiters Class	Legend

Methods

TEDIDelimiters Class

 Create


Legend

Constructor


Legend

TEDIDelimiters Class

Legend

published

read only

Constructor


TEDIDelimiters Class Members

TEDIDelimiters Class	Legend

Members

Properties

TEDIDelimiters Class

 ED

 EDLen

 SD

 SDLen

 SS

 SSLen

Methods

TEDIDelimiters Class

 Create


Legend

published

read only

Constructor


TEDIDelimiters.ED Property

TEDIDelimiters Class

property ED: string;

Class

TEDIDelimiters Class


TEDIDelimiters.EDLen Property

TEDIDelimiters Class

property EDLen: Integer;

Class

TEDIDelimiters Class


TEDIDelimiters.SD Property

TEDIDelimiters Class

property SD: string;

Class

TEDIDelimiters Class


TEDIDelimiters.SDLen Property

TEDIDelimiters Class

property SDLen: Integer;

Class

TEDIDelimiters Class


TEDIDelimiters.SS Property

TEDIDelimiters Class

property SS: string;

Class

TEDIDelimiters Class


TEDIDelimiters.SSLen Property

TEDIDelimiters Class

property SSLen: Integer;

Class

TEDIDelimiters Class


TEDIDelimiters.Create Constructor ()

TEDIDelimiters Class

constructor Create; overload;

Class

TEDIDelimiters Class


TEDIDelimiters.Create Constructor (string, string, string)

TEDIDelimiters Class

constructor Create(const SD: string; const ED: string; const SS: string); overload;

Class

TEDIDelimiters Class


TEDIElement Class

Properties	Methods	Legend

TEDIElement = class(TEDIDataObject);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIElement Class Fields

TEDIElement Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIElement Class Properties

TEDIElement Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State


Legend

published

read only


TEDIElement Class Methods

TEDIElement Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent


Legend

Constructor

protected


Legend

TEDIElement Class

Legend

protected

published

read only

Constructor


TEDIElement Class Members

TEDIElement Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent


Legend

protected

published

read only

Constructor


TEDIElement.Assemble Method

TEDIElement Class

function Assemble: string; override;

Class

TEDIElement Class


TEDIElement.Create Constructor

TEDIElement Class

constructor Create(Parent: TEDIDataObject); reintroduce;

Class

TEDIElement Class


TEDIElement.Disassemble Method

TEDIElement Class

procedure Disassemble; override;

Class

TEDIElement Class


TEDIElement.GetIndexPositionFromParent Method

TEDIElement Class

function GetIndexPositionFromParent: Integer;

Class

TEDIElement Class


TEDIElementSpec Class

Properties	Methods	Legend

TEDIElementSpec = class(TEDIElement);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIElementSpec Class Fields

TEDIElementSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIElementSpec Class Properties

TEDIElementSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIElementSpec Class

 Description

 ElementId

 ElementType

 Id

 MaximumLength

 MinimumLength

 Notes

 Position

 RequirementDesignator

 ReservedData


Legend

published

read only


TEDIElementSpec Class Methods

TEDIElementSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent

TEDIElementSpec Class

Assemble

 Create

 Destroy

Disassemble


Legend

Constructor

protected


Legend

TEDIElementSpec Class

Legend

protected

published

read only

Constructor


TEDIElementSpec Class Members

TEDIElementSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIElementSpec Class

 Description

 ElementId

 ElementType

 Id

 MaximumLength

 MinimumLength

 Notes

 Position

 RequirementDesignator

 ReservedData

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent

TEDIElementSpec Class

Assemble

 Create

 Destroy

Disassemble


Legend

protected

published

read only

Constructor


TEDIElementSpec.Description Property

TEDIElementSpec Class

property Description: string;

Class

TEDIElementSpec Class


TEDIElementSpec.ElementId Property

TEDIElementSpec Class

property ElementId: string;

Class

TEDIElementSpec Class


TEDIElementSpec.ElementType Property

TEDIElementSpec Class

property ElementType: string;

Class

TEDIElementSpec Class


TEDIElementSpec.Id Property

TEDIElementSpec Class

property Id: string;

Class

TEDIElementSpec Class


TEDIElementSpec.MaximumLength Property

TEDIElementSpec Class

property MaximumLength: Integer;

Class

TEDIElementSpec Class


TEDIElementSpec.MinimumLength Property

TEDIElementSpec Class

property MinimumLength: Integer;

Class

TEDIElementSpec Class


TEDIElementSpec.Notes Property

TEDIElementSpec Class

property Notes: string;

Class

TEDIElementSpec Class


TEDIElementSpec.Position Property

TEDIElementSpec Class

property Position: Integer;

Class

TEDIElementSpec Class


TEDIElementSpec.RequirementDesignator Property

TEDIElementSpec Class

property RequirementDesignator: string;

Class

TEDIElementSpec Class


TEDIElementSpec.ReservedData Property

TEDIElementSpec Class

property ReservedData: TStrings;

Class

TEDIElementSpec Class


TEDIElementSpec.Assemble Method

TEDIElementSpec Class

function Assemble: string; override;

Class

TEDIElementSpec Class


TEDIElementSpec.Create Constructor

TEDIElementSpec Class

constructor Create(Parent: TEDIDataObject); reintroduce;

Class

TEDIElementSpec Class


TEDIElementSpec.Destroy Destructor

TEDIElementSpec Class

destructor Destroy; override;

Class

TEDIElementSpec Class


TEDIElementSpec.Disassemble Method

TEDIElementSpec Class

procedure Disassemble; override;

Class

TEDIElementSpec Class


TEDIFile Class

Properties	Methods	Legend

TEDIFile = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIFile Class Fields

TEDIFile Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFile Class Properties

TEDIFile Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFile Class

 FileID

 FileName

Interchange

 InterchangeControlCount

 Interchanges

 Options


Legend

published

read only


TEDIFile Class Methods

TEDIFile Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFile Class

AddInterchange

AddInterchanges

AppendInterchange

AppendInterchanges

Assemble

 Create

DeleteInterchange

DeleteInterchanges

 Destroy

Disassemble

InsertInterchange

InsertInterchanges

 InternalAlternateDelimitersDetection

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateInterchangeControl

 InternalDelimitersDetection

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile


Legend

Constructor

protected


Legend

TEDIFile Class

Legend

protected

published

read only

Constructor


TEDIFile Class Members

TEDIFile Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFile Class

 FileID

 FileName

Interchange

 InterchangeControlCount

 Interchanges

 Options

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFile Class

AddInterchange

AddInterchanges

AppendInterchange

AppendInterchanges

Assemble

 Create

DeleteInterchange

DeleteInterchanges

 Destroy

Disassemble

InsertInterchange

InsertInterchanges

 InternalAlternateDelimitersDetection

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateInterchangeControl

 InternalDelimitersDetection

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile


Legend

protected

published

read only

Constructor


TEDIFile.FileID Property

TEDIFile Class

property FileID: Integer;

Class

TEDIFile Class


TEDIFile.FileName Property

TEDIFile Class

property FileName: string;

Class

TEDIFile Class


TEDIFile.Interchange Property

TEDIFile Class

property Interchange [Index: Integer]: TEDIInterchangeControl;

Class

TEDIFile Class


TEDIFile.InterchangeControlCount Property

TEDIFile Class

property InterchangeControlCount: Integer;

Class

TEDIFile Class


TEDIFile.Interchanges Property

TEDIFile Class

property Interchanges: TEDIDataObjectList;

Class

TEDIFile Class


TEDIFile.Options Property

TEDIFile Class

property Options: TEDIFileOptions;

Class

TEDIFile Class


TEDIFile.AddInterchange Method

TEDIFile Class

function AddInterchange: Integer;

Class

TEDIFile Class


TEDIFile.AddInterchanges Method

TEDIFile Class

function AddInterchanges(Count: Integer): Integer;

Class

TEDIFile Class


TEDIFile.AppendInterchange Method

TEDIFile Class

function AppendInterchange(Interchange: TEDIInterchangeControl): Integer;

Class

TEDIFile Class


TEDIFile.AppendInterchanges Method

TEDIFile Class

function AppendInterchanges(InterchangeControlArray: TEDIInterchangeControlArray): Integer;

Class

TEDIFile Class


TEDIFile.Assemble Method

TEDIFile Class

function Assemble: string; override;

Class

TEDIFile Class


TEDIFile.Create Constructor

TEDIFile Class

constructor Create(Parent: TEDIDataObject; InterchangeCount: Integer = 0); reintroduce;

Class

TEDIFile Class


TEDIFile.DeleteInterchange Method (Integer)

TEDIFile Class

procedure DeleteInterchange(Index: Integer); overload;

Class

TEDIFile Class


TEDIFile.DeleteInterchange Method (TEDIInterchangeControl)

TEDIFile Class

procedure DeleteInterchange(Interchange: TEDIInterchangeControl); overload;

Class

TEDIFile Class


TEDIFile.DeleteInterchanges Method ()

TEDIFile Class

procedure DeleteInterchanges; overload;

Class

TEDIFile Class


TEDIFile.DeleteInterchanges Method (Integer, Integer)

TEDIFile Class

procedure DeleteInterchanges(Index: Integer; Count: Integer); overload;

Class

TEDIFile Class


TEDIFile.Destroy Destructor

TEDIFile Class

destructor Destroy; override;

Class

TEDIFile Class


TEDIFile.Disassemble Method

TEDIFile Class

procedure Disassemble; override;

Class

TEDIFile Class


TEDIFile.InsertInterchange Method (Integer)

TEDIFile Class

function InsertInterchange(InsertIndex: Integer): Integer; overload;

Class

TEDIFile Class


TEDIFile.InsertInterchange Method (Integer, TEDIInterchangeControl)

TEDIFile Class

function InsertInterchange(InsertIndex: Integer; Interchange: TEDIInterchangeControl): Integer; overload;

Class

TEDIFile Class


TEDIFile.InsertInterchanges Method (Integer, Integer)

TEDIFile Class

function InsertInterchanges(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIFile Class


TEDIFile.InsertInterchanges Method (Integer, TEDIInterchangeControlArray)

TEDIFile Class

function InsertInterchanges(InsertIndex: Integer; InterchangeControlArray: TEDIInterchangeControlArray): Integer; overload;

Class

TEDIFile Class


TEDIFile.InternalAlternateDelimitersDetection Method

TEDIFile Class

procedure InternalAlternateDelimitersDetection(StartPos: Integer);

Class

TEDIFile Class


TEDIFile.InternalAssignDelimiters Method

TEDIFile Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIFile Class


TEDIFile.InternalCreateEDIDataObject Method

TEDIFile Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDIFile Class


TEDIFile.InternalCreateInterchangeControl Method

TEDIFile Class

function InternalCreateInterchangeControl: TEDIInterchangeControl; virtual;

Class

TEDIFile Class


TEDIFile.InternalDelimitersDetection Method

TEDIFile Class

procedure InternalDelimitersDetection(StartPos: Integer); virtual;

Class

TEDIFile Class


TEDIFile.LoadFromFile Method

TEDIFile Class

procedure LoadFromFile(const FileName: string);

Class

TEDIFile Class


TEDIFile.ReLoadFromFile Method

TEDIFile Class

procedure ReLoadFromFile;

Class

TEDIFile Class


TEDIFile.SaveAsToFile Method

TEDIFile Class

procedure SaveAsToFile(const FileName: string);

Class

TEDIFile Class


TEDIFile.SaveToFile Method

TEDIFile Class

procedure SaveToFile;

Class

TEDIFile Class


TEDIFileSpec Class

Properties	Methods	Legend

TEDIFileSpec = class(TEDIFile);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIFileSpec Class Fields

TEDIFileSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFileSpec Class Properties

TEDIFileSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFile Class

 FileID

 FileName

Interchange

 InterchangeControlCount

 Interchanges

 Options


Legend

published

read only


TEDIFileSpec Class Methods

TEDIFileSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFile Class

AddInterchange

AddInterchanges

AppendInterchange

AppendInterchanges

Assemble

 Create

DeleteInterchange

DeleteInterchanges

 Destroy

Disassemble

InsertInterchange

InsertInterchanges

 InternalAlternateDelimitersDetection

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateInterchangeControl

 InternalDelimitersDetection

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile

TEDIFileSpec Class

 Create

FindFunctionalGroupSpec

FindInterchangeControlSpec

FindTransactionSetSpec

InternalCreateInterchangeControl

InternalDelimitersDetection


Legend

Constructor

protected


Legend

TEDIFileSpec Class

Legend

protected

published

read only

Constructor


TEDIFileSpec Class Members

TEDIFileSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFile Class

 FileID

 FileName

Interchange

 InterchangeControlCount

 Interchanges

 Options

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFile Class

AddInterchange

AddInterchanges

AppendInterchange

AppendInterchanges

Assemble

 Create

DeleteInterchange

DeleteInterchanges

 Destroy

Disassemble

InsertInterchange

InsertInterchanges

 InternalAlternateDelimitersDetection

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateInterchangeControl

 InternalDelimitersDetection

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile

TEDIFileSpec Class

 Create

FindFunctionalGroupSpec

FindInterchangeControlSpec

FindTransactionSetSpec

InternalCreateInterchangeControl

InternalDelimitersDetection


Legend

protected

published

read only

Constructor


TEDIFileSpec.Create Constructor

TEDIFileSpec Class

constructor Create(Parent: TEDIDataObject; InterchangeCount: Integer = 0); reintroduce;

Class

TEDIFileSpec Class


TEDIFileSpec.FindFunctionalGroupSpec Method

TEDIFileSpec Class

function FindFunctionalGroupSpec(StandardId: string; VersionId: string; FunctionalGroupId: string; AgencyCodeId: string; VersionReleaseId: string): TEDIFunctionalGroupSpec;

Class

TEDIFileSpec Class


TEDIFileSpec.FindInterchangeControlSpec Method

TEDIFileSpec Class

function FindInterchangeControlSpec(StandardId: string; VersionId: string): TEDIInterchangeControlSpec;

Class

TEDIFileSpec Class


TEDIFileSpec.FindTransactionSetSpec Method

TEDIFileSpec Class

function FindTransactionSetSpec(StandardId: string; VersionId: string; FunctionalGroupId: string; AgencyCodeId: string; VersionReleaseId: string; TransactionSetId: string): TEDITransactionSetSpec;

Class

TEDIFileSpec Class


TEDIFileSpec.InternalCreateInterchangeControl Method

TEDIFileSpec Class

function InternalCreateInterchangeControl: TEDIInterchangeControl; override;

Class

TEDIFileSpec Class


TEDIFileSpec.InternalDelimitersDetection Method

TEDIFileSpec Class

procedure InternalDelimitersDetection(StartPos: Integer); override;

Class

TEDIFileSpec Class


TEDIFunctionalGroup Class

Properties	Methods	Legend

TEDIFunctionalGroup = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIFunctionalGroup Class Fields

TEDIFunctionalGroup Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFunctionalGroup Class Properties

TEDIFunctionalGroup Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFunctionalGroup Class

Message

 MessageCount

 Messages

 SegmentUNE

 SegmentUNG


Legend

published

read only


TEDIFunctionalGroup Class Methods

TEDIFunctionalGroup Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFunctionalGroup Class

AddMessage

AddMessages

AppendMessage

AppendMessages

Assemble

 Create

DeleteMessage

DeleteMessages

 Destroy

Disassemble

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage


Legend

Constructor

protected


Legend

TEDIFunctionalGroup Class

Legend

protected

published

read only

Constructor


TEDIFunctionalGroup Class Members

TEDIFunctionalGroup Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFunctionalGroup Class

Message

 MessageCount

 Messages

 SegmentUNE

 SegmentUNG

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFunctionalGroup Class

AddMessage

AddMessages

AppendMessage

AppendMessages

Assemble

 Create

DeleteMessage

DeleteMessages

 Destroy

Disassemble

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage


Legend

protected

published

read only

Constructor


TEDIFunctionalGroup.Message Property

TEDIFunctionalGroup Class

property Message [Index: Integer]: TEDIMessage;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.MessageCount Property

TEDIFunctionalGroup Class

property MessageCount: Integer;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.Messages Property

TEDIFunctionalGroup Class

property Messages: TEDIDataObjectList;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.SegmentUNE Property

TEDIFunctionalGroup Class

property SegmentUNE: TEDIFunctionalGroupSegment;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.SegmentUNG Property

TEDIFunctionalGroup Class

property SegmentUNG: TEDIFunctionalGroupSegment;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.AddMessage Method

TEDIFunctionalGroup Class

function AddMessage: Integer;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.AddMessages Method

TEDIFunctionalGroup Class

function AddMessages(Count: Integer): Integer;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.AppendMessage Method

TEDIFunctionalGroup Class

function AppendMessage(Message: TEDIMessage): Integer;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.AppendMessages Method

TEDIFunctionalGroup Class

function AppendMessages(MessageArray: TEDIMessageArray): Integer;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.Assemble Method

TEDIFunctionalGroup Class

function Assemble: string; override;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.Create Constructor

TEDIFunctionalGroup Class

constructor Create(Parent: TEDIDataObject; MessageCount: Integer = 0); reintroduce;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.DeleteMessage Method (Integer)

TEDIFunctionalGroup Class

procedure DeleteMessage(Index: Integer); overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.DeleteMessage Method (TEDIMessage)

TEDIFunctionalGroup Class

procedure DeleteMessage(Message: TEDIMessage); overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.DeleteMessages Method ()

TEDIFunctionalGroup Class

procedure DeleteMessages; overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.DeleteMessages Method (Integer, Integer)

TEDIFunctionalGroup Class

procedure DeleteMessages(Index: Integer; Count: Integer); overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.Destroy Destructor

TEDIFunctionalGroup Class

destructor Destroy; override;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.Disassemble Method

TEDIFunctionalGroup Class

procedure Disassemble; override;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InsertMessage Method (Integer)

TEDIFunctionalGroup Class

function InsertMessage(InsertIndex: Integer): Integer; overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InsertMessage Method (Integer, TEDIMessage)

TEDIFunctionalGroup Class

function InsertMessage(InsertIndex: Integer; Message: TEDIMessage): Integer; overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InsertMessages Method (Integer, Integer)

TEDIFunctionalGroup Class

function InsertMessages(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InsertMessages Method (Integer, TEDIMessageArray)

TEDIFunctionalGroup Class

function InsertMessages(InsertIndex: Integer; MessageArray: TEDIMessageArray): Integer; overload;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InternalAssignDelimiters Method

TEDIFunctionalGroup Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InternalCreateEDIDataObject Method

TEDIFunctionalGroup Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InternalCreateHeaderTrailerSegments Method

TEDIFunctionalGroup Class

procedure InternalCreateHeaderTrailerSegments; virtual;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroup.InternalCreateMessage Method

TEDIFunctionalGroup Class

function InternalCreateMessage: TEDIMessage; virtual;

Class

TEDIFunctionalGroup Class


TEDIFunctionalGroupSegment Class

Properties	Methods	Legend

TEDIFunctionalGroupSegment = class(TEDISegment);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIFunctionalGroupSegment Class Fields

TEDIFunctionalGroupSegment Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFunctionalGroupSegment Class Properties

TEDIFunctionalGroupSegment Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId


Legend

published

read only


TEDIFunctionalGroupSegment Class Methods

TEDIFunctionalGroupSegment Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIFunctionalGroupSegment Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDIFunctionalGroupSegment Class

Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegment Class Members

TEDIFunctionalGroupSegment Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIFunctionalGroupSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegment.Create Constructor

TEDIFunctionalGroupSegment Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIFunctionalGroupSegment Class


TEDIFunctionalGroupSegment.InternalAssignDelimiters Method

TEDIFunctionalGroupSegment Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIFunctionalGroupSegment Class


TEDIFunctionalGroupSegmentGSSpec Class

Properties	Methods	Legend

TEDIFunctionalGroupSegmentGSSpec = class(TEDIFunctionalGroupSegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIFunctionalGroupSegmentGSSpec Class Fields

TEDIFunctionalGroupSegmentGSSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFunctionalGroupSegmentGSSpec Class Properties

TEDIFunctionalGroupSegmentGSSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDIFunctionalGroupSegmentGSSpec Class Methods

TEDIFunctionalGroupSegmentGSSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIFunctionalGroupSegmentSpec Class

 Create

InternalAssignDelimiters

TEDIFunctionalGroupSegmentGSSpec Class

AssembleReservedData

 Create

DisassembleReservedData


Legend

Constructor

protected


Legend

TEDIFunctionalGroupSegmentGSSpec Class

Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegmentGSSpec Class Members

TEDIFunctionalGroupSegmentGSSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIFunctionalGroupSegmentSpec Class

 Create

InternalAssignDelimiters

TEDIFunctionalGroupSegmentGSSpec Class

AssembleReservedData

 Create

DisassembleReservedData


Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegmentGSSpec.AssembleReservedData Method

TEDIFunctionalGroupSegmentGSSpec Class

procedure AssembleReservedData(ReservedData: TStrings); override;

Class

TEDIFunctionalGroupSegmentGSSpec Class


TEDIFunctionalGroupSegmentGSSpec.Create Constructor

TEDIFunctionalGroupSegmentGSSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIFunctionalGroupSegmentGSSpec Class


TEDIFunctionalGroupSegmentGSSpec.DisassembleReservedData Method

TEDIFunctionalGroupSegmentGSSpec Class

procedure DisassembleReservedData(ReservedData: TStrings); override;

Class

TEDIFunctionalGroupSegmentGSSpec Class


TEDIFunctionalGroupSegmentSpec Class

Properties	Methods	Legend

TEDIFunctionalGroupSegmentSpec = class(TEDISegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIFunctionalGroupSegmentSpec Class Fields

TEDIFunctionalGroupSegmentSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFunctionalGroupSegmentSpec Class Properties

TEDIFunctionalGroupSegmentSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDIFunctionalGroupSegmentSpec Class Methods

TEDIFunctionalGroupSegmentSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIFunctionalGroupSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDIFunctionalGroupSegmentSpec Class

Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegmentSpec Class Members

TEDIFunctionalGroupSegmentSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIFunctionalGroupSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSegmentSpec.Create Constructor

TEDIFunctionalGroupSegmentSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIFunctionalGroupSegmentSpec Class


TEDIFunctionalGroupSegmentSpec.InternalAssignDelimiters Method

TEDIFunctionalGroupSegmentSpec Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIFunctionalGroupSegmentSpec Class


TEDIFunctionalGroupSpec Class

Properties	Methods	Legend

TEDIFunctionalGroupSpec = class(TEDIFunctionalGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIFunctionalGroupSpec Class Fields

TEDIFunctionalGroupSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIFunctionalGroupSpec Class Properties

TEDIFunctionalGroupSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFunctionalGroup Class

Message

 MessageCount

 Messages

 SegmentUNE

 SegmentUNG

TEDIFunctionalGroupSpec Class

 AgencyCodeId

 FGDescription

 FunctionalGroupId

 Id

 VersionReleaseId


Legend

published

read only


TEDIFunctionalGroupSpec Class Methods

TEDIFunctionalGroupSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFunctionalGroup Class

AddMessage

AddMessages

AppendMessage

AppendMessages

Assemble

 Create

DeleteMessage

DeleteMessages

 Destroy

Disassemble

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage

TEDIFunctionalGroupSpec Class

FindTransactionSetSpec

InternalCreateHeaderTrailerSegments

InternalCreateTransactionSet


Legend

Constructor

protected


Legend

TEDIFunctionalGroupSpec Class

Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSpec Class Members

TEDIFunctionalGroupSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIFunctionalGroup Class

Message

 MessageCount

 Messages

 SegmentUNE

 SegmentUNG

TEDIFunctionalGroupSpec Class

 AgencyCodeId

 FGDescription

 FunctionalGroupId

 Id

 VersionReleaseId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIFunctionalGroup Class

AddMessage

AddMessages

AppendMessage

AppendMessages

Assemble

 Create

DeleteMessage

DeleteMessages

 Destroy

Disassemble

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage

TEDIFunctionalGroupSpec Class

FindTransactionSetSpec

InternalCreateHeaderTrailerSegments

InternalCreateTransactionSet


Legend

protected

published

read only

Constructor


TEDIFunctionalGroupSpec.AgencyCodeId Property

TEDIFunctionalGroupSpec Class

property AgencyCodeId: string;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.FGDescription Property

TEDIFunctionalGroupSpec Class

property FGDescription: string;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.FunctionalGroupId Property

TEDIFunctionalGroupSpec Class

property FunctionalGroupId: string;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.Id Property

TEDIFunctionalGroupSpec Class

property Id: string;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.VersionReleaseId Property

TEDIFunctionalGroupSpec Class

property VersionReleaseId: string;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.FindTransactionSetSpec Method

TEDIFunctionalGroupSpec Class

function FindTransactionSetSpec(TransactionSetId: string): TEDITransactionSetSpec;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.InternalCreateHeaderTrailerSegments Method

TEDIFunctionalGroupSpec Class

procedure InternalCreateHeaderTrailerSegments; override;

Class

TEDIFunctionalGroupSpec Class


TEDIFunctionalGroupSpec.InternalCreateTransactionSet Method

TEDIFunctionalGroupSpec Class

function InternalCreateTransactionSet: TEDITransactionSet; override;

Class

TEDIFunctionalGroupSpec Class


TEDIInterchangeControl Class

Properties	Methods	Legend

TEDIInterchangeControl = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIInterchangeControl Class Fields

TEDIInterchangeControl Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType


Legend

protected


TEDIInterchangeControl Class Properties

TEDIInterchangeControl Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIInterchangeControl Class

 SegmentUNA

 SegmentUNB

 SegmentUNZ


Legend

published

read only


TEDIInterchangeControl Class Methods

TEDIInterchangeControl Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIInterchangeControl Class

AddFunctionalGroup

AddFunctionalGroups

AddMessage

AddMessages

AppendFunctionalGroup

AppendFunctionalGroups

AppendMessage

AppendMessages

Assemble

 Create

 Destroy

Disassemble

InsertFunctionalGroup

InsertFunctionalGroups

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateFunctionalGroup

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage


Legend

Constructor

protected


Legend

TEDIInterchangeControl Class

Legend

protected

published

read only

Constructor


TEDIInterchangeControl Class Members

TEDIInterchangeControl Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIInterchangeControl Class

 SegmentUNA

 SegmentUNB

 SegmentUNZ

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIInterchangeControl Class

AddFunctionalGroup

AddFunctionalGroups

AddMessage

AddMessages

AppendFunctionalGroup

AppendFunctionalGroups

AppendMessage

AppendMessages

Assemble

 Create

 Destroy

Disassemble

InsertFunctionalGroup

InsertFunctionalGroups

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateFunctionalGroup

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage


Legend

protected

published

read only

Constructor


TEDIInterchangeControl.FCreateObjectType Field

TEDIInterchangeControl Class

FCreateObjectType: TEDIDataObjectType;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.SegmentUNA Property

TEDIInterchangeControl Class

property SegmentUNA: TEDIInterchangeControlSegment;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.SegmentUNB Property

TEDIInterchangeControl Class

property SegmentUNB: TEDIInterchangeControlSegment;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.SegmentUNZ Property

TEDIInterchangeControl Class

property SegmentUNZ: TEDIInterchangeControlSegment;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AddFunctionalGroup Method

TEDIInterchangeControl Class

function AddFunctionalGroup: Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AddFunctionalGroups Method

TEDIInterchangeControl Class

function AddFunctionalGroups(Count: Integer): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AddMessage Method

TEDIInterchangeControl Class

function AddMessage: Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AddMessages Method

TEDIInterchangeControl Class

function AddMessages(Count: Integer): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AppendFunctionalGroup Method

TEDIInterchangeControl Class

function AppendFunctionalGroup(FunctionalGroup: TEDIFunctionalGroup): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AppendFunctionalGroups Method

TEDIInterchangeControl Class

function AppendFunctionalGroups(FunctionalGroupArray: TEDIFunctionalGroupArray): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AppendMessage Method

TEDIInterchangeControl Class

function AppendMessage(Message: TEDIMessage): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.AppendMessages Method

TEDIInterchangeControl Class

function AppendMessages(MessageArray: TEDIMessageArray): Integer;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.Assemble Method

TEDIInterchangeControl Class

function Assemble: string; override;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.Create Constructor

TEDIInterchangeControl Class

constructor Create(Parent: TEDIDataObject; FunctionalGroupCount: Integer = 0); reintroduce;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.Destroy Destructor

TEDIInterchangeControl Class

destructor Destroy; override;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.Disassemble Method

TEDIInterchangeControl Class

procedure Disassemble; override;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertFunctionalGroup Method (Integer)

TEDIInterchangeControl Class

function InsertFunctionalGroup(InsertIndex: Integer): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertFunctionalGroup Method (Integer, TEDIFunctionalGroup)

TEDIInterchangeControl Class

function InsertFunctionalGroup(InsertIndex: Integer; FunctionalGroup: TEDIFunctionalGroup): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertFunctionalGroups Method (Integer, Integer)

TEDIInterchangeControl Class

function InsertFunctionalGroups(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertFunctionalGroups Method (Integer, TEDIFunctionalGroupArray)

TEDIInterchangeControl Class

function InsertFunctionalGroups(InsertIndex: Integer; FunctionalGroupArray: TEDIFunctionalGroupArray): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertMessage Method (Integer)

TEDIInterchangeControl Class

function InsertMessage(InsertIndex: Integer): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertMessage Method (Integer, TEDIMessage)

TEDIInterchangeControl Class

function InsertMessage(InsertIndex: Integer; Message: TEDIMessage): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertMessages Method (Integer, Integer)

TEDIInterchangeControl Class

function InsertMessages(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InsertMessages Method (Integer, TEDIMessageArray)

TEDIInterchangeControl Class

function InsertMessages(InsertIndex: Integer; MessageArray: TEDIMessageArray): Integer; overload;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InternalAssignDelimiters Method

TEDIInterchangeControl Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InternalCreateEDIDataObject Method

TEDIInterchangeControl Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InternalCreateFunctionalGroup Method

TEDIInterchangeControl Class

function InternalCreateFunctionalGroup: TEDIFunctionalGroup; virtual;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InternalCreateHeaderTrailerSegments Method

TEDIInterchangeControl Class

procedure InternalCreateHeaderTrailerSegments; virtual;

Class

TEDIInterchangeControl Class


TEDIInterchangeControl.InternalCreateMessage Method

TEDIInterchangeControl Class

function InternalCreateMessage: TEDIMessage; virtual;

Class

TEDIInterchangeControl Class


TEDIInterchangeControlSegment Class

Properties	Methods	Legend

TEDIInterchangeControlSegment = class(TEDISegment);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIInterchangeControlSegment Class Fields

TEDIInterchangeControlSegment Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIInterchangeControlSegment Class Properties

TEDIInterchangeControlSegment Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId


Legend

published

read only


TEDIInterchangeControlSegment Class Methods

TEDIInterchangeControlSegment Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIInterchangeControlSegment Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDIInterchangeControlSegment Class

Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegment Class Members

TEDIInterchangeControlSegment Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIInterchangeControlSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegment.Create Constructor

TEDIInterchangeControlSegment Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIInterchangeControlSegment Class


TEDIInterchangeControlSegment.InternalAssignDelimiters Method

TEDIInterchangeControlSegment Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIInterchangeControlSegment Class


TEDIInterchangeControlSegmentISASpec Class

Properties	Methods	Legend

TEDIInterchangeControlSegmentISASpec = class(TEDIInterchangeControlSegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIInterchangeControlSegmentISASpec Class Fields

TEDIInterchangeControlSegmentISASpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIInterchangeControlSegmentISASpec Class Properties

TEDIInterchangeControlSegmentISASpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDIInterchangeControlSegmentISASpec Class Methods

TEDIInterchangeControlSegmentISASpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIInterchangeControlSegmentSpec Class

 Create

InternalAssignDelimiters

TEDIInterchangeControlSegmentISASpec Class

Assemble

AssembleReservedData

 Create

Disassemble

DisassembleReservedData


Legend

Constructor

protected


Legend

TEDIInterchangeControlSegmentISASpec Class

Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegmentISASpec Class Members

TEDIInterchangeControlSegmentISASpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIInterchangeControlSegmentSpec Class

 Create

InternalAssignDelimiters

TEDIInterchangeControlSegmentISASpec Class

Assemble

AssembleReservedData

 Create

Disassemble

DisassembleReservedData


Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegmentISASpec.Assemble Method

TEDIInterchangeControlSegmentISASpec Class

function Assemble: string; override;

Class

TEDIInterchangeControlSegmentISASpec Class


TEDIInterchangeControlSegmentISASpec.AssembleReservedData Method

TEDIInterchangeControlSegmentISASpec Class

procedure AssembleReservedData(ReservedData: TStrings); override;

Class

TEDIInterchangeControlSegmentISASpec Class


TEDIInterchangeControlSegmentISASpec.Create Constructor

TEDIInterchangeControlSegmentISASpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIInterchangeControlSegmentISASpec Class


TEDIInterchangeControlSegmentISASpec.Disassemble Method

TEDIInterchangeControlSegmentISASpec Class

procedure Disassemble; override;

Class

TEDIInterchangeControlSegmentISASpec Class


TEDIInterchangeControlSegmentISASpec.DisassembleReservedData Method

TEDIInterchangeControlSegmentISASpec Class

procedure DisassembleReservedData(ReservedData: TStrings); override;

Class

TEDIInterchangeControlSegmentISASpec Class


TEDIInterchangeControlSegmentSpec Class

Properties	Methods	Legend

TEDIInterchangeControlSegmentSpec = class(TEDISegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIInterchangeControlSegmentSpec Class Fields

TEDIInterchangeControlSegmentSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIInterchangeControlSegmentSpec Class Properties

TEDIInterchangeControlSegmentSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDIInterchangeControlSegmentSpec Class Methods

TEDIInterchangeControlSegmentSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIInterchangeControlSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDIInterchangeControlSegmentSpec Class

Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegmentSpec Class Members

TEDIInterchangeControlSegmentSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDIInterchangeControlSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIInterchangeControlSegmentSpec.Create Constructor

TEDIInterchangeControlSegmentSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIInterchangeControlSegmentSpec Class


TEDIInterchangeControlSegmentSpec.InternalAssignDelimiters Method

TEDIInterchangeControlSegmentSpec Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIInterchangeControlSegmentSpec Class


TEDIInterchangeControlSpec Class

Properties	Methods	Legend

TEDIInterchangeControlSpec = class(TEDIInterchangeControl);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDIInterchangeControlSpec Class Fields

TEDIInterchangeControlSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType


Legend

protected


TEDIInterchangeControlSpec Class Properties

TEDIInterchangeControlSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIInterchangeControl Class

 SegmentUNA

 SegmentUNB

 SegmentUNZ

TEDIInterchangeControlSpec Class

 ICDescription

 StandardId

 VersionId


Legend

published

read only


TEDIInterchangeControlSpec Class Methods

TEDIInterchangeControlSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIInterchangeControl Class

AddFunctionalGroup

AddFunctionalGroups

AddMessage

AddMessages

AppendFunctionalGroup

AppendFunctionalGroups

AppendMessage

AppendMessages

Assemble

 Create

 Destroy

Disassemble

InsertFunctionalGroup

InsertFunctionalGroups

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateFunctionalGroup

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage

TEDIInterchangeControlSpec Class

FindFunctionalGroupSpec

FindTransactionSetSpec

InternalCreateFunctionalGroup

InternalCreateHeaderTrailerSegments


Legend

Constructor

protected


Legend

TEDIInterchangeControlSpec Class

Legend

protected

published

read only

Constructor


TEDIInterchangeControlSpec Class Members

TEDIInterchangeControlSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIInterchangeControl Class

 FCreateObjectType

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIInterchangeControl Class

 SegmentUNA

 SegmentUNB

 SegmentUNZ

TEDIInterchangeControlSpec Class

 ICDescription

 StandardId

 VersionId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIInterchangeControl Class

AddFunctionalGroup

AddFunctionalGroups

AddMessage

AddMessages

AppendFunctionalGroup

AppendFunctionalGroups

AppendMessage

AppendMessages

Assemble

 Create

 Destroy

Disassemble

InsertFunctionalGroup

InsertFunctionalGroups

InsertMessage

InsertMessages

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateFunctionalGroup

 InternalCreateHeaderTrailerSegments

 InternalCreateMessage

TEDIInterchangeControlSpec Class

FindFunctionalGroupSpec

FindTransactionSetSpec

InternalCreateFunctionalGroup

InternalCreateHeaderTrailerSegments


Legend

protected

published

read only

Constructor


TEDIInterchangeControlSpec.ICDescription Property

TEDIInterchangeControlSpec Class

property ICDescription: string;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.StandardId Property

TEDIInterchangeControlSpec Class

property StandardId: string;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.VersionId Property

TEDIInterchangeControlSpec Class

property VersionId: string;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.FindFunctionalGroupSpec Method

TEDIInterchangeControlSpec Class

function FindFunctionalGroupSpec(FunctionalGroupId: string; AgencyCodeId: string; VersionReleaseId: string): TEDIFunctionalGroupSpec;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.FindTransactionSetSpec Method

TEDIInterchangeControlSpec Class

function FindTransactionSetSpec(FunctionalGroupId: string; AgencyCodeId: string; VersionReleaseId: string; TransactionSetId: string): TEDITransactionSetSpec;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.InternalCreateFunctionalGroup Method

TEDIInterchangeControlSpec Class

function InternalCreateFunctionalGroup: TEDIFunctionalGroup; override;

Class

TEDIInterchangeControlSpec Class


TEDIInterchangeControlSpec.InternalCreateHeaderTrailerSegments Method

TEDIInterchangeControlSpec Class

procedure InternalCreateHeaderTrailerSegments; override;

Class

TEDIInterchangeControlSpec Class


TEDILoopStack Class

Properties	Methods	Events	Legend

TEDILoopStack = class(TEDIObject);

Events

TEDILoopStack Class

 OnAddLoop

Fields

TEDILoopStack Class

 FCheckAssignedEDIObject

 FFlags

 FOnAddLoop

 FStack

Legend

protected

published

read only

Constructor

Unit

JclEDI


TEDILoopStack Class Fields

TEDILoopStack Class	Legend

Fields

TEDILoopStack Class

 FCheckAssignedEDIObject

 FFlags

 FOnAddLoop

 FStack


Legend

protected


TEDILoopStack Class Properties

TEDILoopStack Class	Legend

Properties

TEDILoopStack Class

 Flags

 Size

 Stack


Legend

published

read only


TEDILoopStack Class Events

TEDILoopStack Class	Legend

Events

TEDILoopStack Class

 OnAddLoop


Legend

published


TEDILoopStack Class Methods

TEDILoopStack Class	Legend

Methods

TEDILoopStack Class

 Create

Debug

 Destroy

 DoAddLoop

GetSafeStackIndex

Peek

Pop

Push

SetStackPointer

UpdateStackData

UpdateStackObject

ValidateLoopStack


Legend

Constructor

protected


Legend

TEDILoopStack Class

Legend

protected

published

read only

Constructor


TEDILoopStack Class Members

TEDILoopStack Class	Legend

Members

Fields

TEDILoopStack Class

 FCheckAssignedEDIObject

 FFlags

 FOnAddLoop

 FStack

Properties

TEDILoopStack Class

 Flags

 Size

 Stack

Events

TEDILoopStack Class

 OnAddLoop

Methods

TEDILoopStack Class

 Create

Debug

 Destroy

 DoAddLoop

GetSafeStackIndex

Peek

Pop

Push

SetStackPointer

UpdateStackData

UpdateStackObject

ValidateLoopStack


Legend

protected

published

read only

Constructor


TEDILoopStack.FCheckAssignedEDIObject Field

TEDILoopStack Class

FCheckAssignedEDIObject: Boolean;

Class

TEDILoopStack Class


TEDILoopStack.FFlags Field

TEDILoopStack Class

FFlags: TEDILoopStackFlagSet;

Class

TEDILoopStack Class


TEDILoopStack.FOnAddLoop Field

TEDILoopStack Class

FOnAddLoop: TEDILoopStackOnAddLoopEvent;

Class

TEDILoopStack Class


TEDILoopStack.FStack Field

TEDILoopStack Class

FStack: TEDILoopStackArray;

Class

TEDILoopStack Class


TEDILoopStack.Flags Property

TEDILoopStack Class

property Flags: TEDILoopStackFlagSet;

Class

TEDILoopStack Class


TEDILoopStack.OnAddLoop Event

TEDILoopStack Class

property OnAddLoop: TEDILoopStackOnAddLoopEvent;

Class

TEDILoopStack Class


TEDILoopStack.Size Property

TEDILoopStack Class

property Size: Integer;

Class

TEDILoopStack Class


TEDILoopStack.Stack Property

TEDILoopStack Class

property Stack: TEDILoopStackArray;

Class

TEDILoopStack Class


TEDILoopStack.Create Constructor

TEDILoopStack Class

constructor Create;

Class

TEDILoopStack Class


TEDILoopStack.Debug Method

TEDILoopStack Class

function Debug: string;

Class

TEDILoopStack Class


TEDILoopStack.Destroy Destructor

TEDILoopStack Class

destructor Destroy; override;

Class

TEDILoopStack Class


TEDILoopStack.DoAddLoop Method

TEDILoopStack Class

procedure DoAddLoop(StackRecord: TEDILoopStackRecord; SegmentId: string; OwnerLoopId: string; ParentLoopId: string; var EDIObject: TEDIObject);

Class

TEDILoopStack Class


TEDILoopStack.GetSafeStackIndex Method

TEDILoopStack Class

function GetSafeStackIndex(Index: Integer): Integer;

Class

TEDILoopStack Class


TEDILoopStack.Peek Method ()

TEDILoopStack Class

function Peek: TEDILoopStackRecord; overload;

Class

TEDILoopStack Class


TEDILoopStack.Peek Method (Integer)

TEDILoopStack Class

function Peek(Index: Integer): TEDILoopStackRecord; overload;

Class

TEDILoopStack Class


TEDILoopStack.Pop Method

TEDILoopStack Class

procedure Pop(Index: Integer);

Class

TEDILoopStack Class


TEDILoopStack.Push Method

TEDILoopStack Class

function Push(SegmentId: string; OwnerLoopId: string; ParentLoopId: string; StartIndex: Integer; EDIObject: TEDIObject): Integer;

Class

TEDILoopStack Class


TEDILoopStack.SetStackPointer Method

TEDILoopStack Class

function SetStackPointer(OwnerLoopId: string; ParentLoopId: string): Integer;

Class

TEDILoopStack Class


TEDILoopStack.UpdateStackData Method

TEDILoopStack Class

procedure UpdateStackData(SegmentId: string; OwnerLoopId: string; ParentLoopId: string; StartIndex: Integer; EDIObject: TEDIObject);

Class

TEDILoopStack Class


TEDILoopStack.UpdateStackObject Method

TEDILoopStack Class

procedure UpdateStackObject(EDIObject: TEDIObject);

Class

TEDILoopStack Class


TEDILoopStack.ValidateLoopStack Method

TEDILoopStack Class

function ValidateLoopStack(SegmentId: string; OwnerLoopId: string; ParentLoopId: string; StartIndex: Integer; EDIObject: TEDIObject): TEDILoopStackRecord;

Class

TEDILoopStack Class


TEDIMessage Class

Properties	Methods	Legend

TEDIMessage = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIMessage Class Fields

TEDIMessage Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIMessage Class Properties

TEDIMessage Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessage Class

Segment

 SegmentCount

 Segments

 SegmentUNH

 SegmentUNT


Legend

published

read only


TEDIMessage Class Methods

TEDIMessage Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessage Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment


Legend

Constructor

protected


Legend

TEDIMessage Class

Legend

protected

published

read only

Constructor


TEDIMessage Class Members

TEDIMessage Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessage Class

Segment

 SegmentCount

 Segments

 SegmentUNH

 SegmentUNT

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessage Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment


Legend

protected

published

read only

Constructor


TEDIMessage.Segment Property

TEDIMessage Class

property Segment [Index: Integer]: TEDISegment;

Class

TEDIMessage Class


TEDIMessage.SegmentCount Property

TEDIMessage Class

property SegmentCount: Integer;

Class

TEDIMessage Class


TEDIMessage.Segments Property

TEDIMessage Class

property Segments: TEDIDataObjectList;

Class

TEDIMessage Class


TEDIMessage.SegmentUNH Property

TEDIMessage Class

property SegmentUNH: TEDIMessageSegment;

Class

TEDIMessage Class


TEDIMessage.SegmentUNT Property

TEDIMessage Class

property SegmentUNT: TEDIMessageSegment;

Class

TEDIMessage Class


TEDIMessage.AddSegment Method

TEDIMessage Class

function AddSegment: Integer;

Class

TEDIMessage Class


TEDIMessage.AddSegments Method

TEDIMessage Class

function AddSegments(Count: Integer): Integer;

Class

TEDIMessage Class


TEDIMessage.AppendSegment Method

TEDIMessage Class

function AppendSegment(Segment: TEDISegment): Integer;

Class

TEDIMessage Class


TEDIMessage.AppendSegments Method

TEDIMessage Class

function AppendSegments(SegmentArray: TEDISegmentArray): Integer;

Class

TEDIMessage Class


TEDIMessage.Assemble Method

TEDIMessage Class

function Assemble: string; override;

Class

TEDIMessage Class


TEDIMessage.Create Constructor

TEDIMessage Class

constructor Create(Parent: TEDIDataObject; SegmentCount: Integer = 0); reintroduce;

Class

TEDIMessage Class


TEDIMessage.DeleteSegment Method (Integer)

TEDIMessage Class

procedure DeleteSegment(Index: Integer); overload;

Class

TEDIMessage Class


TEDIMessage.DeleteSegment Method (TEDISegment)

TEDIMessage Class

procedure DeleteSegment(Segment: TEDISegment); overload;

Class

TEDIMessage Class


TEDIMessage.DeleteSegments Method ()

TEDIMessage Class

procedure DeleteSegments; overload;

Class

TEDIMessage Class


TEDIMessage.DeleteSegments Method (Integer, Integer)

TEDIMessage Class

procedure DeleteSegments(Index: Integer; Count: Integer); overload;

Class

TEDIMessage Class


TEDIMessage.Destroy Destructor

TEDIMessage Class

destructor Destroy; override;

Class

TEDIMessage Class


TEDIMessage.Disassemble Method

TEDIMessage Class

procedure Disassemble; override;

Class

TEDIMessage Class


TEDIMessage.InsertSegment Method (Integer)

TEDIMessage Class

function InsertSegment(InsertIndex: Integer): Integer; overload;

Class

TEDIMessage Class


TEDIMessage.InsertSegment Method (Integer, TEDISegment)

TEDIMessage Class

function InsertSegment(InsertIndex: Integer; Segment: TEDISegment): Integer; overload;

Class

TEDIMessage Class


TEDIMessage.InsertSegments Method (Integer, Integer)

TEDIMessage Class

function InsertSegments(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIMessage Class


TEDIMessage.InsertSegments Method (Integer, TEDISegmentArray)

TEDIMessage Class

function InsertSegments(InsertIndex: Integer; SegmentArray: TEDISegmentArray): Integer; overload;

Class

TEDIMessage Class


TEDIMessage.InternalAssignDelimiters Method

TEDIMessage Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIMessage Class


TEDIMessage.InternalCreateEDIDataObject Method

TEDIMessage Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDIMessage Class


TEDIMessage.InternalCreateHeaderTrailerSegments Method

TEDIMessage Class

procedure InternalCreateHeaderTrailerSegments; virtual;

Class

TEDIMessage Class


TEDIMessage.InternalCreateSegment Method

TEDIMessage Class

function InternalCreateSegment: TEDISegment; virtual;

Class

TEDIMessage Class


TEDIMessageLoop Class

Properties	Methods	Legend

TEDIMessageLoop = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIMessageLoop Class Fields

TEDIMessageLoop Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage


Legend

protected


TEDIMessageLoop Class Properties

TEDIMessageLoop Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessageLoop Class

 OwnerLoopId

 ParentLoopId

 ParentMessage


Legend

published

read only


TEDIMessageLoop Class Methods

TEDIMessageLoop Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessageLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject


Legend

Constructor

protected


Legend

TEDIMessageLoop Class

Legend

protected

published

read only

Constructor


TEDIMessageLoop Class Members

TEDIMessageLoop Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDIMessageLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentMessage

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDIMessageLoop Class

 OwnerLoopId

 ParentLoopId

 ParentMessage

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDIMessageLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject


Legend

protected

published

read only

Constructor


TEDIMessageLoop.FOwnerLoopId Field

TEDIMessageLoop Class

FOwnerLoopId: string;

Class

TEDIMessageLoop Class


TEDIMessageLoop.FParentLoopId Field

TEDIMessageLoop Class

FParentLoopId: string;

Class

TEDIMessageLoop Class


TEDIMessageLoop.FParentMessage Field

TEDIMessageLoop Class

FParentMessage: TEDIMessage;

Class

TEDIMessageLoop Class


TEDIMessageLoop.OwnerLoopId Property

TEDIMessageLoop Class

property OwnerLoopId: string;

Class

TEDIMessageLoop Class


TEDIMessageLoop.ParentLoopId Property

TEDIMessageLoop Class

property ParentLoopId: string;

Class

TEDIMessageLoop Class


TEDIMessageLoop.ParentMessage Property

TEDIMessageLoop Class

property ParentMessage: TEDIMessage;

Class

TEDIMessageLoop Class


TEDIMessageLoop.AddLoop Method

TEDIMessageLoop Class

function AddLoop(OwnerLoopId: string; ParentLoopId: string): Integer;

Class

TEDIMessageLoop Class


TEDIMessageLoop.AppendSegment Method

TEDIMessageLoop Class

procedure AppendSegment(Segment: TEDISegment);

Class

TEDIMessageLoop Class


TEDIMessageLoop.Assemble Method

TEDIMessageLoop Class

function Assemble: string; override;

Class

TEDIMessageLoop Class


TEDIMessageLoop.Create Constructor

TEDIMessageLoop Class

constructor Create(Parent: TEDIDataObject); reintroduce;

Class

TEDIMessageLoop Class


TEDIMessageLoop.DeleteEDIDataObjects Method

TEDIMessageLoop Class

procedure DeleteEDIDataObjects;

Class

TEDIMessageLoop Class


TEDIMessageLoop.Destroy Destructor

TEDIMessageLoop Class

destructor Destroy; override;

Class

TEDIMessageLoop Class


TEDIMessageLoop.Disassemble Method

TEDIMessageLoop Class

procedure Disassemble; override;

Class

TEDIMessageLoop Class


TEDIMessageLoop.FindLoop Method

TEDIMessageLoop Class

function FindLoop(LoopId: string; var StartIndex: Integer): TEDIMessageLoop;

Class

TEDIMessageLoop Class


TEDIMessageLoop.FindSegment Method (string, Integer)

TEDIMessageLoop Class

function FindSegment(SegmentId: string; var StartIndex: Integer): TEDISegment; overload;

Class

TEDIMessageLoop Class


TEDIMessageLoop.FindSegment Method (string, Integer, TStrings)

TEDIMessageLoop Class

function FindSegment(SegmentId: string; var StartIndex: Integer; ElementConditions: TStrings): TEDISegment; overload;

Class

TEDIMessageLoop Class


TEDIMessageLoop.InternalAssignDelimiters Method

TEDIMessageLoop Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIMessageLoop Class


TEDIMessageLoop.InternalCreateEDIDataObject Method

TEDIMessageLoop Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDIMessageLoop Class


TEDIMessageSegment Class

Properties	Methods	Legend

TEDIMessageSegment = class(TEDISegment);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDIMessageSegment Class Fields

TEDIMessageSegment Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDIMessageSegment Class Properties

TEDIMessageSegment Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId


Legend

published

read only


TEDIMessageSegment Class Methods

TEDIMessageSegment Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIMessageSegment Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDIMessageSegment Class

Legend

protected

published

read only

Constructor


TEDIMessageSegment Class Members

TEDIMessageSegment Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDIMessageSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIMessageSegment.Create Constructor

TEDIMessageSegment Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDIMessageSegment Class


TEDIMessageSegment.InternalAssignDelimiters Method

TEDIMessageSegment Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDIMessageSegment Class


TEDIObject Class

TEDIObject = class(TObject);

Unit

JclEDI


TEDIObjectList Class

Properties	Methods	Legend

TEDIObjectList = class(TEDIObject);

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Legend

protected

published

read only

Constructor

Unit

JclEDI


TEDIObjectList Class Fields

TEDIObjectList Class	Legend

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects


Legend

protected


TEDIObjectList Class Properties

TEDIObjectList Class	Legend

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects


Legend

published

read only


TEDIObjectList Class Methods

TEDIObjectList Class	Legend

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes


Legend

Constructor

protected


Legend

TEDIObjectList Class

Legend

protected

published

read only

Constructor


TEDIObjectList Class Members

TEDIObjectList Class	Legend

Members

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes


Legend

protected

published

read only

Constructor


TEDIObjectList.FCount Field

TEDIObjectList Class

FCount: Integer;

Class

TEDIObjectList Class


TEDIObjectList.FCurrentItem Field

TEDIObjectList Class

FCurrentItem: TEDIObjectListItem;

Class

TEDIObjectList Class


TEDIObjectList.FFirstItem Field

TEDIObjectList Class

FFirstItem: TEDIObjectListItem;

Class

TEDIObjectList Class


TEDIObjectList.FLastItem Field

TEDIObjectList Class

FLastItem: TEDIObjectListItem;

Class

TEDIObjectList Class


TEDIObjectList.FOptions Field

TEDIObjectList Class

FOptions: TEDIDataObjectListOptions;

Class

TEDIObjectList Class


TEDIObjectList.FOwnsObjects Field

TEDIObjectList Class

FOwnsObjects: Boolean;

Class

TEDIObjectList Class


TEDIObjectList.Count Property

TEDIObjectList Class

property Count: Integer;

Class

TEDIObjectList Class


TEDIObjectList.CurrentItem Property

TEDIObjectList Class

property CurrentItem: TEDIObjectListItem;

Class

TEDIObjectList Class


TEDIObjectList.EDIObject Property

TEDIObjectList Class

property EDIObject [Index: Integer]: TEDIObject;

Class

TEDIObjectList Class


TEDIObjectList.Item Property

TEDIObjectList Class

property Item [Index: Integer]: TEDIObjectListItem;

Class

TEDIObjectList Class


TEDIObjectList.Options Property

TEDIObjectList Class

property Options: TEDIDataObjectListOptions;

Class

TEDIObjectList Class


TEDIObjectList.OwnsObjects Property

TEDIObjectList Class

property OwnsObjects: Boolean;

Class

TEDIObjectList Class


TEDIObjectList.Add Method (TEDIObject, string)

TEDIObjectList Class

function Add(EDIObject: TEDIObject; Name: string = ''): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Add Method (TEDIObjectListItem, string)

TEDIObjectList Class

procedure Add(Item: TEDIObjectListItem; Name: string = ''); overload;

Class

TEDIObjectList Class


TEDIObjectList.Clear Method

TEDIObjectList Class

procedure Clear;

Class

TEDIObjectList Class


TEDIObjectList.Create Constructor

TEDIObjectList Class

constructor Create(OwnsObjects: Boolean = True);

Class

TEDIObjectList Class


TEDIObjectList.CreateListItem Method

TEDIObjectList Class

function CreateListItem(PriorItem: TEDIObjectListItem; EDIObject: TEDIObject = nil): TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.Delete Method (Integer)

TEDIObjectList Class

procedure Delete(Index: Integer); overload;

Class

TEDIObjectList Class


TEDIObjectList.Delete Method (TEDIObject)

TEDIObjectList Class

procedure Delete(EDIObject: TEDIObject); overload;

Class

TEDIObjectList Class


TEDIObjectList.Destroy Destructor

TEDIObjectList Class

destructor Destroy; override;

Class

TEDIObjectList Class


TEDIObjectList.Extract Method (TEDIObject)

TEDIObjectList Class

function Extract(EDIObject: TEDIObject): TEDIObject; virtual; overload;

Class

TEDIObjectList Class


TEDIObjectList.Extract Method (TEDIObjectListItem)

TEDIObjectList Class

function Extract(Item: TEDIObjectListItem): TEDIObjectListItem; virtual; overload;

Class

TEDIObjectList Class


TEDIObjectList.Find Method (TEDIObject)

TEDIObjectList Class

function Find(EDIObject: TEDIObject): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Find Method (TEDIObjectListItem)

TEDIObjectList Class

function Find(Item: TEDIObjectListItem): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.FindEDIObject Method

TEDIObjectList Class

function FindEDIObject(EDIObject: TEDIObject): TEDIObject;

Class

TEDIObjectList Class


TEDIObjectList.FindItemByName Method

TEDIObjectList Class

function FindItemByName(Name: string; StartItem: TEDIObjectListItem = nil): TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.First Method

TEDIObjectList Class

function First(Index: Integer = 0): TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.GetEDIObject Method

TEDIObjectList Class

function GetEDIObject(Index: Integer): TEDIObject;

Class

TEDIObjectList Class


TEDIObjectList.IndexIsValid Method

TEDIObjectList Class

function IndexIsValid(Index: Integer): Boolean;

Class

TEDIObjectList Class


TEDIObjectList.IndexOf Method (TEDIObject)

TEDIObjectList Class

function IndexOf(EDIObject: TEDIObject): Integer; overload;

Class

TEDIObjectList Class


TEDIObjectList.IndexOf Method (TEDIObjectListItem)

TEDIObjectList Class

function IndexOf(Item: TEDIObjectListItem): Integer; overload;

Class

TEDIObjectList Class


TEDIObjectList.Insert Method (Integer, TEDIObject)

TEDIObjectList Class

procedure Insert(InsertIndex: Integer; EDIObject: TEDIObject); overload;

Class

TEDIObjectList Class


TEDIObjectList.Insert Method (TEDIObject)

TEDIObjectList Class

function Insert(BeforeEDIObject: TEDIObject): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Insert Method (TEDIObject, TEDIObject)

TEDIObjectList Class

function Insert(EDIObject: TEDIObject; BeforeEDIObject: TEDIObject): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Insert Method (TEDIObjectListItem)

TEDIObjectList Class

function Insert(BeforeItem: TEDIObjectListItem): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Insert Method (TEDIObjectListItem, TEDIObjectListItem)

TEDIObjectList Class

function Insert(Item: TEDIObjectListItem; BeforeItem: TEDIObjectListItem): TEDIObjectListItem; overload;

Class

TEDIObjectList Class


TEDIObjectList.Last Method

TEDIObjectList Class

function Last: TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.Next Method

TEDIObjectList Class

function Next: TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.Prior Method

TEDIObjectList Class

function Prior: TEDIObjectListItem; virtual;

Class

TEDIObjectList Class


TEDIObjectList.Remove Method (TEDIObject)

TEDIObjectList Class

procedure Remove(EDIObject: TEDIObject); overload;

Class

TEDIObjectList Class


TEDIObjectList.Remove Method (TEDIObjectListItem)

TEDIObjectList Class

procedure Remove(Item: TEDIObjectListItem); overload;

Class

TEDIObjectList Class


TEDIObjectList.ReturnListItemsByName Method

TEDIObjectList Class

function ReturnListItemsByName(Name: string): TEDIObjectList; virtual;

Class

TEDIObjectList Class


TEDIObjectList.SetEDIObject Method

TEDIObjectList Class

procedure SetEDIObject(Index: Integer; const Value: TEDIObject);

Class

TEDIObjectList Class


TEDIObjectList.UpdateCount Method

TEDIObjectList Class

procedure UpdateCount;

Class

TEDIObjectList Class


TEDIObjectList.UpdateIndexes Method

TEDIObjectList Class

procedure UpdateIndexes(StartItem: TEDIObjectListItem = nil);

Class

TEDIObjectList Class


TEDIObjectListItem Class

Properties	Methods	Legend

TEDIObjectListItem = class(TEDIObject);

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Legend

protected

published

Constructor

Unit

JclEDI


TEDIObjectListItem Class Fields

TEDIObjectListItem Class	Legend

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem


Legend

protected


TEDIObjectListItem Class Properties

TEDIObjectListItem Class	Legend

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem


Legend

published


TEDIObjectListItem Class Methods

TEDIObjectListItem Class	Legend

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent


Legend

Constructor


Legend

TEDIObjectListItem Class

Legend

protected

published

Constructor


TEDIObjectListItem Class Members

TEDIObjectListItem Class	Legend

Members

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent


Legend

protected

published

Constructor


TEDIObjectListItem.FEDIObject Field

TEDIObjectListItem Class

FEDIObject: TEDIObject;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FItemIndex Field

TEDIObjectListItem Class

FItemIndex: Integer;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FName Field

TEDIObjectListItem Class

FName: string;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FNextItem Field

TEDIObjectListItem Class

FNextItem: TEDIObjectListItem;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FParent Field

TEDIObjectListItem Class

FParent: TEDIObjectList;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FPriorItem Field

TEDIObjectListItem Class

FPriorItem: TEDIObjectListItem;

Class

TEDIObjectListItem Class


TEDIObjectListItem.EDIObject Property

TEDIObjectListItem Class

property EDIObject: TEDIObject;

Class

TEDIObjectListItem Class


TEDIObjectListItem.ItemIndex Property

TEDIObjectListItem Class

property ItemIndex: Integer;

Class

TEDIObjectListItem Class


TEDIObjectListItem.Name Property

TEDIObjectListItem Class

property Name: string;

Class

TEDIObjectListItem Class


TEDIObjectListItem.NextItem Property

TEDIObjectListItem Class

property NextItem: TEDIObjectListItem;

Class

TEDIObjectListItem Class


TEDIObjectListItem.Parent Property

TEDIObjectListItem Class

property Parent: TEDIObjectList;

Class

TEDIObjectListItem Class


TEDIObjectListItem.PriorItem Property

TEDIObjectListItem Class

property PriorItem: TEDIObjectListItem;

Class

TEDIObjectListItem Class


TEDIObjectListItem.Create Constructor

TEDIObjectListItem Class

constructor Create(Parent: TEDIObjectList; PriorItem: TEDIObjectListItem; EDIObject: TEDIObject = nil);

Class

TEDIObjectListItem Class


TEDIObjectListItem.Destroy Destructor

TEDIObjectListItem Class

destructor Destroy; override;

Class

TEDIObjectListItem Class


TEDIObjectListItem.FreeAndNilEDIDataObject Method

TEDIObjectListItem Class

procedure FreeAndNilEDIDataObject;

Class

TEDIObjectListItem Class


TEDIObjectListItem.GetIndexPositionFromParent Method

TEDIObjectListItem Class

function GetIndexPositionFromParent: Integer;

Class

TEDIObjectListItem Class


TEDISEFCompositeElement Class

Properties	Methods	Legend

TEDISEFCompositeElement = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFCompositeElement Class Fields

TEDISEFCompositeElement Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFCompositeElement Class Properties

TEDISEFCompositeElement Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFCompositeElement Class

 CompositeElementId

 Elements

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute


Legend

published

read only

protected


TEDISEFCompositeElement Class Methods

TEDISEFCompositeElement Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFCompositeElement Class

AddRepeatingPattern

AddSubElement

AppendRepeatingPattern

AppendSubElement

Assemble

Assign

AssignElementOrdinals

BindTextSets

Clone

 Create

DeleteRepeatingPattern

DeleteSubElement

 Destroy

Disassemble

ExtractRepeatingPattern

ExtractSubElement

GetElementObjectList

GetTextSetsLocation

InsertRepeatingPattern

InsertSubElement


Legend

Constructor

protected


Legend

TEDISEFCompositeElement Class

Legend

protected

published

read only

Constructor


TEDISEFCompositeElement Class Members

TEDISEFCompositeElement Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFCompositeElement Class

 CompositeElementId

 Elements

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFCompositeElement Class

AddRepeatingPattern

AddSubElement

AppendRepeatingPattern

AppendSubElement

Assemble

Assign

AssignElementOrdinals

BindTextSets

Clone

 Create

DeleteRepeatingPattern

DeleteSubElement

 Destroy

Disassemble

ExtractRepeatingPattern

ExtractSubElement

GetElementObjectList

GetTextSetsLocation

InsertRepeatingPattern

InsertSubElement


Legend

protected

published

read only

Constructor


TEDISEFCompositeElement.CompositeElementId Property

TEDISEFCompositeElement Class

property CompositeElementId: string;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Elements Property

TEDISEFCompositeElement Class

property Elements: TEDISEFDataObjectList;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Ordinal Property

TEDISEFCompositeElement Class

property Ordinal: Integer;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.OutOfSequenceOrdinal Property

TEDISEFCompositeElement Class

property OutOfSequenceOrdinal: Boolean;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.RepeatCount Property

TEDISEFCompositeElement Class

property RepeatCount: Integer;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.RequirementDesignator Property

TEDISEFCompositeElement Class

property RequirementDesignator: string;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.TEXTSETS Property

TEDISEFCompositeElement Class

property TEXTSETS: TEDISEFTextSets;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.TextSetsLocation Property

TEDISEFCompositeElement Class

property TextSetsLocation: string;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.UserAttribute Property

TEDISEFCompositeElement Class

property UserAttribute: string;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.AddRepeatingPattern Method

TEDISEFCompositeElement Class

function AddRepeatingPattern: TEDISEFRepeatingPattern;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.AddSubElement Method

TEDISEFCompositeElement Class

function AddSubElement: TEDISEFSubElement;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.AppendRepeatingPattern Method

TEDISEFCompositeElement Class

function AppendRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.AppendSubElement Method

TEDISEFCompositeElement Class

function AppendSubElement(SubElement: TEDISEFSubElement): TEDISEFSubElement;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Assemble Method

TEDISEFCompositeElement Class

function Assemble: string; override;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Assign Method

TEDISEFCompositeElement Class

procedure Assign(CompositeElement: TEDISEFCompositeElement);

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.AssignElementOrdinals Method

TEDISEFCompositeElement Class

procedure AssignElementOrdinals;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.BindTextSets Method

TEDISEFCompositeElement Class

procedure BindTextSets(TEXTSETS: TEDISEFTextSets);

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Clone Method

TEDISEFCompositeElement Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFCompositeElement; reintroduce;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Create Constructor

TEDISEFCompositeElement Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.DeleteRepeatingPattern Method

TEDISEFCompositeElement Class

procedure DeleteRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern);

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.DeleteSubElement Method

TEDISEFCompositeElement Class

procedure DeleteSubElement(SubElement: TEDISEFSubElement);

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Destroy Destructor

TEDISEFCompositeElement Class

destructor Destroy; override;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.Disassemble Method

TEDISEFCompositeElement Class

procedure Disassemble; override;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.ExtractRepeatingPattern Method

TEDISEFCompositeElement Class

function ExtractRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.ExtractSubElement Method

TEDISEFCompositeElement Class

function ExtractSubElement(SubElement: TEDISEFSubElement): TEDISEFSubElement;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.GetElementObjectList Method

TEDISEFCompositeElement Class

function GetElementObjectList: TObjectList;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.GetTextSetsLocation Method

TEDISEFCompositeElement Class

function GetTextSetsLocation: string;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.InsertRepeatingPattern Method (TEDISEFDataObject)

TEDISEFCompositeElement Class

function InsertRepeatingPattern(BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.InsertRepeatingPattern Method (TEDISEFRepeatingPattern, TEDISEFDataObject)

TEDISEFCompositeElement Class

function InsertRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern; BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.InsertSubElement Method (TEDISEFDataObject)

TEDISEFCompositeElement Class

function InsertSubElement(BeforeObject: TEDISEFDataObject): TEDISEFSubElement; overload;

Class

TEDISEFCompositeElement Class


TEDISEFCompositeElement.InsertSubElement Method (TEDISEFSubElement, TEDISEFDataObject)

TEDISEFCompositeElement Class

function InsertSubElement(SubElement: TEDISEFSubElement; BeforeObject: TEDISEFDataObject): TEDISEFSubElement; overload;

Class

TEDISEFCompositeElement Class


TEDISEFDataObject Class

Properties	Methods	Legend

TEDISEFDataObject = class(TEDISEFObject);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFDataObject Class Fields

TEDISEFDataObject Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState


Legend

protected


TEDISEFDataObject Class Properties

TEDISEFDataObject Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State


Legend

published

read only

protected


TEDISEFDataObject Class Methods

TEDISEFDataObject Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName


Legend

Constructor

protected


Legend

TEDISEFDataObject Class

Legend

protected

published

read only

Constructor


TEDISEFDataObject Class Members

TEDISEFDataObject Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName


Legend

protected

published

read only

Constructor


TEDISEFDataObject.FData Field

TEDISEFDataObject Class

FData: string;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FErrorLog Field

TEDISEFDataObject Class

FErrorLog: TStrings;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FId Field

TEDISEFDataObject Class

FId: string;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FLength Field

TEDISEFDataObject Class

FLength: Integer;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FOwnerItemRef Field

TEDISEFDataObject Class

FOwnerItemRef: TEDISEFDataObjectListItem;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FParent Field

TEDISEFDataObject Class

FParent: TEDISEFDataObject;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FSEFFile Field

TEDISEFDataObject Class

FSEFFile: TEDISEFFile;

Class

TEDISEFDataObject Class


TEDISEFDataObject.FState Field

TEDISEFDataObject Class

FState: TEDIDataObjectDataState;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Data Property

TEDISEFDataObject Class

property Data: string;

Class

TEDISEFDataObject Class


TEDISEFDataObject.DataLength Property

TEDISEFDataObject Class

property DataLength: Integer;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Id Property

TEDISEFDataObject Class

property Id: string;

Class

TEDISEFDataObject Class


TEDISEFDataObject.OwnerItemRef Property

TEDISEFDataObject Class

property OwnerItemRef: TEDISEFDataObjectListItem;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Parent Property

TEDISEFDataObject Class

property Parent: TEDISEFDataObject;

Class

TEDISEFDataObject Class


TEDISEFDataObject.SEFFile Property

TEDISEFDataObject Class

property SEFFile: TEDISEFFile;

Class

TEDISEFDataObject Class


TEDISEFDataObject.State Property

TEDISEFDataObject Class

property State: TEDIDataObjectDataState;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Assemble Method

TEDISEFDataObject Class

function Assemble: string; virtual; abstract;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Clone Method

TEDISEFDataObject Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFDataObject; virtual; abstract;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Create Constructor

TEDISEFDataObject Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Destroy Destructor

TEDISEFDataObject Class

destructor Destroy; override;

Class

TEDISEFDataObject Class


TEDISEFDataObject.Disassemble Method

TEDISEFDataObject Class

procedure Disassemble; virtual; abstract;

Class

TEDISEFDataObject Class


TEDISEFDataObject.GetData Method

TEDISEFDataObject Class

function GetData: string;

Class

TEDISEFDataObject Class


TEDISEFDataObject.SetData Method

TEDISEFDataObject Class

procedure SetData(const Data: string);

Class

TEDISEFDataObject Class


TEDISEFDataObject.SetParent Method

TEDISEFDataObject Class

procedure SetParent(const Value: TEDISEFDataObject); virtual;

Class

TEDISEFDataObject Class


TEDISEFDataObject.UpdateOwnerItemName Method

TEDISEFDataObject Class

procedure UpdateOwnerItemName;

Class

TEDISEFDataObject Class


TEDISEFDataObjectGroup Class

Properties	Methods	Legend

TEDISEFDataObjectGroup = class(TEDISEFDataObject);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFDataObjectGroup Class Fields

TEDISEFDataObjectGroup Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFDataObjectGroup Class Properties

TEDISEFDataObjectGroup Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects


Legend

published

read only

protected


TEDISEFDataObjectGroup Class Methods

TEDISEFDataObjectGroup Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy


Legend

Constructor

protected


Legend

TEDISEFDataObjectGroup Class

Legend

protected

published

read only

Constructor


TEDISEFDataObjectGroup Class Members

TEDISEFDataObjectGroup Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy


Legend

protected

published

read only

Constructor


TEDISEFDataObjectGroup.FEDISEFDataObjects Field

TEDISEFDataObjectGroup Class

FEDISEFDataObjects: TEDISEFDataObjectList;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectGroup.EDISEFDataObject Property

TEDISEFDataObjectGroup Class

property EDISEFDataObject [Index: Integer]: TEDISEFDataObject;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectGroup.EDISEFDataObjectCount Property

TEDISEFDataObjectGroup Class

property EDISEFDataObjectCount: Integer;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectGroup.EDISEFDataObjects Property

TEDISEFDataObjectGroup Class

property EDISEFDataObjects: TEDISEFDataObjectList;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectGroup.Create Constructor

TEDISEFDataObjectGroup Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectGroup.Destroy Destructor

TEDISEFDataObjectGroup Class

destructor Destroy; override;

Class

TEDISEFDataObjectGroup Class


TEDISEFDataObjectList Class

Properties	Methods	Legend

TEDISEFDataObjectList = class(TEDIObjectList);

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFDataObjectList Class Fields

TEDISEFDataObjectList Class	Legend

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects


Legend

protected


TEDISEFDataObjectList Class Properties

TEDISEFDataObjectList Class	Legend

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

TEDISEFDataObjectList Class

EDISEFDataObject


Legend

published

read only


TEDISEFDataObjectList Class Methods

TEDISEFDataObjectList Class	Legend

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDISEFDataObjectList Class

Add

CreateListItem

FindItemByName

First

GetObjectByItemByName

Insert

Last

Next

Prior


Legend

Constructor

protected


Legend

TEDISEFDataObjectList Class

Legend

protected

published

read only

Constructor


TEDISEFDataObjectList Class Members

TEDISEFDataObjectList Class	Legend

Members

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

TEDISEFDataObjectList Class

EDISEFDataObject

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDISEFDataObjectList Class

Add

CreateListItem

FindItemByName

First

GetObjectByItemByName

Insert

Last

Next

Prior


Legend

protected

published

read only

Constructor


TEDISEFDataObjectList.EDISEFDataObject Property

TEDISEFDataObjectList Class

property EDISEFDataObject [Index: Integer]: TEDISEFDataObject;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.Add Method

TEDISEFDataObjectList Class

function Add(EDISEFDataObject: TEDISEFDataObject; Name: string = ''): TEDISEFDataObjectListItem; overload;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.CreateListItem Method

TEDISEFDataObjectList Class

function CreateListItem(PriorItem: TEDIObjectListItem; EDIObject: TEDIObject = nil): TEDIObjectListItem; override;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.FindItemByName Method

TEDISEFDataObjectList Class

function FindItemByName(Name: string; StartItem: TEDIObjectListItem = nil): TEDISEFDataObjectListItem; reintroduce;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.First Method

TEDISEFDataObjectList Class

function First(Index: Integer = 0): TEDISEFDataObjectListItem; reintroduce;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.GetObjectByItemByName Method

TEDISEFDataObjectList Class

function GetObjectByItemByName(Name: string): TEDISEFDataObject;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.Insert Method

TEDISEFDataObjectList Class

function Insert(EDISEFDataObject: TEDISEFDataObject; BeforeEDISEFDataObject: TEDISEFDataObject): TEDISEFDataObjectListItem; overload;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.Last Method

TEDISEFDataObjectList Class

function Last: TEDISEFDataObjectListItem; reintroduce;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.Next Method

TEDISEFDataObjectList Class

function Next: TEDISEFDataObjectListItem; reintroduce;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectList.Prior Method

TEDISEFDataObjectList Class

function Prior: TEDISEFDataObjectListItem; reintroduce;

Class

TEDISEFDataObjectList Class


TEDISEFDataObjectListItem Class

Properties	Methods	Legend

TEDISEFDataObjectListItem = class(TEDIObjectListItem);

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Legend

protected

published

Constructor

Unit

JclEDISEF


TEDISEFDataObjectListItem Class Fields

TEDISEFDataObjectListItem Class	Legend

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem


Legend

protected


TEDISEFDataObjectListItem Class Properties

TEDISEFDataObjectListItem Class	Legend

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem

TEDISEFDataObjectListItem Class

 EDISEFDataObject


Legend

published


TEDISEFDataObjectListItem Class Methods

TEDISEFDataObjectListItem Class	Legend

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent

TEDISEFDataObjectListItem Class

LinkToObject

NextItem

PriorItem

UpdateName


Legend

Constructor


Legend

TEDISEFDataObjectListItem Class

Legend

protected

published

Constructor


TEDISEFDataObjectListItem Class Members

TEDISEFDataObjectListItem Class	Legend

Members

Fields

TEDIObjectListItem Class

 FEDIObject

 FItemIndex

 FName

 FNextItem

 FParent

 FPriorItem

Properties

TEDIObjectListItem Class

 EDIObject

 ItemIndex

 Name

 NextItem

 Parent

 PriorItem

TEDISEFDataObjectListItem Class

 EDISEFDataObject

Methods

TEDIObjectListItem Class

 Create

 Destroy

FreeAndNilEDIDataObject

GetIndexPositionFromParent

TEDISEFDataObjectListItem Class

LinkToObject

NextItem

PriorItem

UpdateName


Legend

protected

published

Constructor


TEDISEFDataObjectListItem.EDISEFDataObject Property

TEDISEFDataObjectListItem Class

property EDISEFDataObject: TEDISEFDataObject;

Class

TEDISEFDataObjectListItem Class


TEDISEFDataObjectListItem.LinkToObject Method

TEDISEFDataObjectListItem Class

procedure LinkToObject;

Class

TEDISEFDataObjectListItem Class


TEDISEFDataObjectListItem.NextItem Method

TEDISEFDataObjectListItem Class

function NextItem: TEDISEFDataObjectListItem;

Class

TEDISEFDataObjectListItem Class


TEDISEFDataObjectListItem.PriorItem Method

TEDISEFDataObjectListItem Class

function PriorItem: TEDISEFDataObjectListItem;

Class

TEDISEFDataObjectListItem Class


TEDISEFDataObjectListItem.UpdateName Method

TEDISEFDataObjectListItem Class

procedure UpdateName;

Class

TEDISEFDataObjectListItem Class


TEDISEFElement Class

Properties	Methods	Legend

TEDISEFElement = class(TEDISEFDataObject);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFElement Class Fields

TEDISEFElement Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute


Legend

protected


TEDISEFElement Class Properties

TEDISEFElement Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFElement Class

 ElementId

 ElementType

 MaximumLength

 MinimumLength

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute


Legend

published

read only

protected


TEDISEFElement Class Methods

TEDISEFElement Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFElement Class

Assemble

Assign

BindTextSets

Clone

CloneAsSubElement

 Create

 Destroy

Disassemble

GetTextSetsLocation


Legend

Constructor

protected


Legend

TEDISEFElement Class

Legend

protected

published

read only

Constructor


TEDISEFElement Class Members

TEDISEFElement Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFElement Class

 ElementId

 ElementType

 MaximumLength

 MinimumLength

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFElement Class

Assemble

Assign

BindTextSets

Clone

CloneAsSubElement

 Create

 Destroy

Disassemble

GetTextSetsLocation


Legend

protected

published

read only

Constructor


TEDISEFElement.FEDISEFTextSets Field

TEDISEFElement Class

FEDISEFTextSets: TEDISEFTextSets;

Class

TEDISEFElement Class


TEDISEFElement.FElementType Field

TEDISEFElement Class

FElementType: string;

Class

TEDISEFElement Class


TEDISEFElement.FMaximumLength Field

TEDISEFElement Class

FMaximumLength: Integer;

Class

TEDISEFElement Class


TEDISEFElement.FMinimumLength Field

TEDISEFElement Class

FMinimumLength: Integer;

Class

TEDISEFElement Class


TEDISEFElement.FOrdinal Field

TEDISEFElement Class

FOrdinal: Integer;

Class

TEDISEFElement Class


TEDISEFElement.FOutOfSequenceOrdinal Field

TEDISEFElement Class

FOutOfSequenceOrdinal: Boolean;

Class

TEDISEFElement Class


TEDISEFElement.FRepeatCount Field

TEDISEFElement Class

FRepeatCount: Integer;

Class

TEDISEFElement Class


TEDISEFElement.FRequirementDesignator Field

TEDISEFElement Class

FRequirementDesignator: string;

Class

TEDISEFElement Class


TEDISEFElement.FUserAttribute Field

TEDISEFElement Class

FUserAttribute: string;

Class

TEDISEFElement Class


TEDISEFElement.ElementId Property

TEDISEFElement Class

property ElementId: string;

Class

TEDISEFElement Class


TEDISEFElement.ElementType Property

TEDISEFElement Class

property ElementType: string;

Class

TEDISEFElement Class


TEDISEFElement.MaximumLength Property

TEDISEFElement Class

property MaximumLength: Integer;

Class

TEDISEFElement Class


TEDISEFElement.MinimumLength Property

TEDISEFElement Class

property MinimumLength: Integer;

Class

TEDISEFElement Class


TEDISEFElement.Ordinal Property

TEDISEFElement Class

property Ordinal: Integer;

Class

TEDISEFElement Class


TEDISEFElement.OutOfSequenceOrdinal Property

TEDISEFElement Class

property OutOfSequenceOrdinal: Boolean;

Class

TEDISEFElement Class


TEDISEFElement.RepeatCount Property

TEDISEFElement Class

property RepeatCount: Integer;

Class

TEDISEFElement Class


TEDISEFElement.RequirementDesignator Property

TEDISEFElement Class

property RequirementDesignator: string;

Class

TEDISEFElement Class


TEDISEFElement.TEXTSETS Property

TEDISEFElement Class

property TEXTSETS: TEDISEFTextSets;

Class

TEDISEFElement Class


TEDISEFElement.TextSetsLocation Property

TEDISEFElement Class

property TextSetsLocation: string;

Class

TEDISEFElement Class


TEDISEFElement.UserAttribute Property

TEDISEFElement Class

property UserAttribute: string;

Class

TEDISEFElement Class


TEDISEFElement.Assemble Method

TEDISEFElement Class

function Assemble: string; override;

Class

TEDISEFElement Class


TEDISEFElement.Assign Method

TEDISEFElement Class

procedure Assign(EDISEFElement: TEDISEFElement);

Class

TEDISEFElement Class


TEDISEFElement.BindTextSets Method

TEDISEFElement Class

procedure BindTextSets(TEXTSETS: TEDISEFTextSets);

Class

TEDISEFElement Class


TEDISEFElement.Clone Method

TEDISEFElement Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFElement; reintroduce;

Class

TEDISEFElement Class


TEDISEFElement.CloneAsSubElement Method

TEDISEFElement Class

function CloneAsSubElement(NewParent: TEDISEFDataObject): TEDISEFSubElement;

Class

TEDISEFElement Class


TEDISEFElement.Create Constructor

TEDISEFElement Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFElement Class


TEDISEFElement.Destroy Destructor

TEDISEFElement Class

destructor Destroy; override;

Class

TEDISEFElement Class


TEDISEFElement.Disassemble Method

TEDISEFElement Class

procedure Disassemble; override;

Class

TEDISEFElement Class


TEDISEFElement.GetTextSetsLocation Method

TEDISEFElement Class

function GetTextSetsLocation: string;

Class

TEDISEFElement Class


TEDISEFFile Class

Properties	Methods	Legend

TEDISEFFile = class(TEDISEFDataObject);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFFile Class Fields

TEDISEFFile Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState


Legend

protected


TEDISEFFile Class Properties

TEDISEFFile Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFFile Class

 Codes

 COMS

 ELMS

 FileName

 INI

 SEGS

 SETS

 STD

 TEXTSETS

 VER


Legend

published

read only

protected


TEDISEFFile Class Methods

TEDISEFFile Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFFile Class

Assemble

Clone

 Create

 Destroy

Disassemble

LoadFromFile

SaveToFile

Unload


Legend

Constructor

protected


Legend

TEDISEFFile Class

Legend

protected

published

read only

Constructor


TEDISEFFile Class Members

TEDISEFFile Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFFile Class

 Codes

 COMS

 ELMS

 FileName

 INI

 SEGS

 SETS

 STD

 TEXTSETS

 VER

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFFile Class

Assemble

Clone

 Create

 Destroy

Disassemble

LoadFromFile

SaveToFile

Unload


Legend

protected

published

read only

Constructor


TEDISEFFile.Codes Property

TEDISEFFile Class

property Codes: TStrings;

Class

TEDISEFFile Class


TEDISEFFile.COMS Property

TEDISEFFile Class

property COMS: TEDISEFDataObjectList;

Class

TEDISEFFile Class


TEDISEFFile.ELMS Property

TEDISEFFile Class

property ELMS: TEDISEFDataObjectList;

Class

TEDISEFFile Class


TEDISEFFile.FileName Property

TEDISEFFile Class

property FileName: string;

Class

TEDISEFFile Class


TEDISEFFile.INI Property

TEDISEFFile Class

property INI: TStrings;

Class

TEDISEFFile Class


TEDISEFFile.SEGS Property

TEDISEFFile Class

property SEGS: TEDISEFDataObjectList;

Class

TEDISEFFile Class


TEDISEFFile.SETS Property

TEDISEFFile Class

property SETS: TEDISEFDataObjectList;

Class

TEDISEFFile Class


TEDISEFFile.STD Property

TEDISEFFile Class

property STD: TStrings;

Class

TEDISEFFile Class


TEDISEFFile.TEXTSETS Property

TEDISEFFile Class

property TEXTSETS: TEDISEFTextSets;

Class

TEDISEFFile Class


TEDISEFFile.VER Property

TEDISEFFile Class

property VER: string;

Class

TEDISEFFile Class


TEDISEFFile.Assemble Method

TEDISEFFile Class

function Assemble: string; override;

Class

TEDISEFFile Class


TEDISEFFile.Clone Method

TEDISEFFile Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFFile; reintroduce;

Class

TEDISEFFile Class


TEDISEFFile.Create Constructor

TEDISEFFile Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFFile Class


TEDISEFFile.Destroy Destructor

TEDISEFFile Class

destructor Destroy; override;

Class

TEDISEFFile Class


TEDISEFFile.Disassemble Method

TEDISEFFile Class

procedure Disassemble; override;

Class

TEDISEFFile Class


TEDISEFFile.LoadFromFile Method ()

TEDISEFFile Class

procedure LoadFromFile; overload;

Class

TEDISEFFile Class


TEDISEFFile.LoadFromFile Method (string)

TEDISEFFile Class

procedure LoadFromFile(const FileName: string); overload;

Class

TEDISEFFile Class


TEDISEFFile.SaveToFile Method ()

TEDISEFFile Class

procedure SaveToFile; overload;

Class

TEDISEFFile Class


TEDISEFFile.SaveToFile Method (string)

TEDISEFFile Class

procedure SaveToFile(const FileName: string); overload;

Class

TEDISEFFile Class


TEDISEFFile.Unload Method

TEDISEFFile Class

procedure Unload;

Class

TEDISEFFile Class


TEDISEFLoop Class

Properties	Methods	Legend

TEDISEFLoop = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFLoop Class Fields

TEDISEFLoop Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFLoop Class Properties

TEDISEFLoop Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFLoop Class

 LoopId

 MaximumRepeat

 ParentLoopId

 ParentSet

 ParentTable


Legend

published

read only

protected


TEDISEFLoop Class Methods

TEDISEFLoop Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFLoop Class

AddLoop

AddSegment

AppendLoop

AppendSegment

Assemble

Clone

 Create

DeleteLoop

DeleteSegment

 Destroy

Disassemble

ExtractLoop

ExtractSegment

InsertLoop

InsertSegment


Legend

Constructor

protected


Legend

TEDISEFLoop Class

Legend

protected

published

read only

Constructor


TEDISEFLoop Class Members

TEDISEFLoop Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFLoop Class

 LoopId

 MaximumRepeat

 ParentLoopId

 ParentSet

 ParentTable

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFLoop Class

AddLoop

AddSegment

AppendLoop

AppendSegment

Assemble

Clone

 Create

DeleteLoop

DeleteSegment

 Destroy

Disassemble

ExtractLoop

ExtractSegment

InsertLoop

InsertSegment


Legend

protected

published

read only

Constructor


TEDISEFLoop.LoopId Property

TEDISEFLoop Class

property LoopId: string;

Class

TEDISEFLoop Class


TEDISEFLoop.MaximumRepeat Property

TEDISEFLoop Class

property MaximumRepeat: Integer;

Class

TEDISEFLoop Class


TEDISEFLoop.ParentLoopId Property

TEDISEFLoop Class

property ParentLoopId: string;

Class

TEDISEFLoop Class


TEDISEFLoop.ParentSet Property

TEDISEFLoop Class

property ParentSet: TEDISEFSet;

Class

TEDISEFLoop Class


TEDISEFLoop.ParentTable Property

TEDISEFLoop Class

property ParentTable: TEDISEFTable;

Class

TEDISEFLoop Class


TEDISEFLoop.AddLoop Method

TEDISEFLoop Class

function AddLoop: TEDISEFLoop;

Class

TEDISEFLoop Class


TEDISEFLoop.AddSegment Method

TEDISEFLoop Class

function AddSegment: TEDISEFSegment;

Class

TEDISEFLoop Class


TEDISEFLoop.AppendLoop Method

TEDISEFLoop Class

function AppendLoop(Loop: TEDISEFLoop): TEDISEFLoop;

Class

TEDISEFLoop Class


TEDISEFLoop.AppendSegment Method

TEDISEFLoop Class

function AppendSegment(Segment: TEDISEFSegment): TEDISEFSegment;

Class

TEDISEFLoop Class


TEDISEFLoop.Assemble Method

TEDISEFLoop Class

function Assemble: string; override;

Class

TEDISEFLoop Class


TEDISEFLoop.Clone Method

TEDISEFLoop Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFLoop; reintroduce;

Class

TEDISEFLoop Class


TEDISEFLoop.Create Constructor

TEDISEFLoop Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFLoop Class


TEDISEFLoop.DeleteLoop Method

TEDISEFLoop Class

procedure DeleteLoop(Loop: TEDISEFLoop);

Class

TEDISEFLoop Class


TEDISEFLoop.DeleteSegment Method

TEDISEFLoop Class

procedure DeleteSegment(Segment: TEDISEFSegment);

Class

TEDISEFLoop Class


TEDISEFLoop.Destroy Destructor

TEDISEFLoop Class

destructor Destroy; override;

Class

TEDISEFLoop Class


TEDISEFLoop.Disassemble Method

TEDISEFLoop Class

procedure Disassemble; override;

Class

TEDISEFLoop Class


TEDISEFLoop.ExtractLoop Method

TEDISEFLoop Class

function ExtractLoop(Loop: TEDISEFLoop): TEDISEFLoop;

Class

TEDISEFLoop Class


TEDISEFLoop.ExtractSegment Method

TEDISEFLoop Class

function ExtractSegment(Segment: TEDISEFSegment): TEDISEFSegment;

Class

TEDISEFLoop Class


TEDISEFLoop.InsertLoop Method (TEDISEFDataObject)

TEDISEFLoop Class

function InsertLoop(BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Class

TEDISEFLoop Class


TEDISEFLoop.InsertLoop Method (TEDISEFLoop, TEDISEFDataObject)

TEDISEFLoop Class

function InsertLoop(Loop: TEDISEFLoop; BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Class

TEDISEFLoop Class


TEDISEFLoop.InsertSegment Method (TEDISEFDataObject)

TEDISEFLoop Class

function InsertSegment(BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Class

TEDISEFLoop Class


TEDISEFLoop.InsertSegment Method (TEDISEFSegment, TEDISEFDataObject)

TEDISEFLoop Class

function InsertSegment(Segment: TEDISEFSegment; BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Class

TEDISEFLoop Class


TEDISEFObject Class

TEDISEFObject = class(TEDIObject);

Unit

JclEDISEF


TEDISEFRepeatingPattern Class

Properties	Methods	Legend

TEDISEFRepeatingPattern = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFRepeatingPattern Class Fields

TEDISEFRepeatingPattern Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFRepeatingPattern Class Properties

TEDISEFRepeatingPattern Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFRepeatingPattern Class

 BaseParent

 RepeatCount


Legend

published

read only

protected


TEDISEFRepeatingPattern Class Methods

TEDISEFRepeatingPattern Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFRepeatingPattern Class

AddRepeatingPattern

AppendRepeatingPattern

Assemble

Clone

 Create

DeleteRepeatingPattern

 Destroy

Disassemble

ExtractRepeatingPattern

InsertRepeatingPattern

 SetParent


Legend

Constructor

protected


Legend

TEDISEFRepeatingPattern Class

Legend

protected

published

read only

Constructor


TEDISEFRepeatingPattern Class Members

TEDISEFRepeatingPattern Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFRepeatingPattern Class

 BaseParent

 RepeatCount

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFRepeatingPattern Class

AddRepeatingPattern

AppendRepeatingPattern

Assemble

Clone

 Create

DeleteRepeatingPattern

 Destroy

Disassemble

ExtractRepeatingPattern

InsertRepeatingPattern

 SetParent


Legend

protected

published

read only

Constructor


TEDISEFRepeatingPattern.BaseParent Property

TEDISEFRepeatingPattern Class

property BaseParent: TEDISEFDataObject;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.RepeatCount Property

TEDISEFRepeatingPattern Class

property RepeatCount: Integer;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.AddRepeatingPattern Method

TEDISEFRepeatingPattern Class

function AddRepeatingPattern: TEDISEFRepeatingPattern;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.AppendRepeatingPattern Method

TEDISEFRepeatingPattern Class

function AppendRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.Assemble Method

TEDISEFRepeatingPattern Class

function Assemble: string; override;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.Clone Method

TEDISEFRepeatingPattern Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFRepeatingPattern; reintroduce;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.Create Constructor

TEDISEFRepeatingPattern Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.DeleteRepeatingPattern Method

TEDISEFRepeatingPattern Class

procedure DeleteRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern);

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.Destroy Destructor

TEDISEFRepeatingPattern Class

destructor Destroy; override;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.Disassemble Method

TEDISEFRepeatingPattern Class

procedure Disassemble; override;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.ExtractRepeatingPattern Method

TEDISEFRepeatingPattern Class

function ExtractRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.InsertRepeatingPattern Method (TEDISEFDataObject)

TEDISEFRepeatingPattern Class

function InsertRepeatingPattern(BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.InsertRepeatingPattern Method (TEDISEFRepeatingPattern, TEDISEFDataObject)

TEDISEFRepeatingPattern Class

function InsertRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern; BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFRepeatingPattern Class


TEDISEFRepeatingPattern.SetParent Method

TEDISEFRepeatingPattern Class

procedure SetParent(const Value: TEDISEFDataObject); override;

Class

TEDISEFRepeatingPattern Class


TEDISEFSegment Class

Properties	Methods	Legend

TEDISEFSegment = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFSegment Class Fields

TEDISEFSegment Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFSegment Class Properties

TEDISEFSegment Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFSegment Class

 Elements

 MaximumUse

 Ordinal

 OutOfSequenceOrdinal

 OwnerLoopId

 ParentLoopId

 ParentSet

 ParentTable

 Position

 PositionIncrement

 RequirementDesignator

 ResetPositionInc

 SegmentId

 TEXTSETS

 TextSetsLocation

 UserAttribute


Legend

published

read only

protected


TEDISEFSegment Class Methods

TEDISEFSegment Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFSegment Class

AddCompositeElement

AddElement

AddRepeatingPattern

AppendCompositeElement

AppendElement

AppendRepeatingPattern

Assemble

Assign

AssignElementOrdinals

BindElementTextSets

BindTextSets

Clone

 Create

DeleteCompositeElement

DeleteElement

DeleteRepeatingPattern

 Destroy

Disassemble

ExtractCompositeElement

ExtractElement

ExtractRepeatingPattern

GetElementObjectList

GetTextSetsLocation

InsertCompositeElement

InsertElement

InsertRepeatingPattern


Legend

Constructor

protected


Legend

TEDISEFSegment Class

Legend

protected

published

read only

Constructor


TEDISEFSegment Class Members

TEDISEFSegment Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFSegment Class

 Elements

 MaximumUse

 Ordinal

 OutOfSequenceOrdinal

 OwnerLoopId

 ParentLoopId

 ParentSet

 ParentTable

 Position

 PositionIncrement

 RequirementDesignator

 ResetPositionInc

 SegmentId

 TEXTSETS

 TextSetsLocation

 UserAttribute

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFSegment Class

AddCompositeElement

AddElement

AddRepeatingPattern

AppendCompositeElement

AppendElement

AppendRepeatingPattern

Assemble

Assign

AssignElementOrdinals

BindElementTextSets

BindTextSets

Clone

 Create

DeleteCompositeElement

DeleteElement

DeleteRepeatingPattern

 Destroy

Disassemble

ExtractCompositeElement

ExtractElement

ExtractRepeatingPattern

GetElementObjectList

GetTextSetsLocation

InsertCompositeElement

InsertElement

InsertRepeatingPattern


Legend

protected

published

read only

Constructor


TEDISEFSegment.Elements Property

TEDISEFSegment Class

property Elements: TEDISEFDataObjectList;

Class

TEDISEFSegment Class


TEDISEFSegment.MaximumUse Property

TEDISEFSegment Class

property MaximumUse: Integer;

Class

TEDISEFSegment Class


TEDISEFSegment.Ordinal Property

TEDISEFSegment Class

property Ordinal: Integer;

Class

TEDISEFSegment Class


TEDISEFSegment.OutOfSequenceOrdinal Property

TEDISEFSegment Class

property OutOfSequenceOrdinal: Boolean;

Class

TEDISEFSegment Class


TEDISEFSegment.OwnerLoopId Property

TEDISEFSegment Class

property OwnerLoopId: string;

Class

TEDISEFSegment Class


TEDISEFSegment.ParentLoopId Property

TEDISEFSegment Class

property ParentLoopId: string;

Class

TEDISEFSegment Class


TEDISEFSegment.ParentSet Property

TEDISEFSegment Class

property ParentSet: TEDISEFSet;

Class

TEDISEFSegment Class


TEDISEFSegment.ParentTable Property

TEDISEFSegment Class

property ParentTable: TEDISEFTable;

Class

TEDISEFSegment Class


TEDISEFSegment.Position Property

TEDISEFSegment Class

property Position: Integer;

Class

TEDISEFSegment Class


TEDISEFSegment.PositionIncrement Property

TEDISEFSegment Class

property PositionIncrement: Integer;

Class

TEDISEFSegment Class


TEDISEFSegment.RequirementDesignator Property

TEDISEFSegment Class

property RequirementDesignator: string;

Class

TEDISEFSegment Class


TEDISEFSegment.ResetPositionInc Property

TEDISEFSegment Class

property ResetPositionInc: Boolean;

Class

TEDISEFSegment Class


TEDISEFSegment.SegmentId Property

TEDISEFSegment Class

property SegmentId: string;

Class

TEDISEFSegment Class


TEDISEFSegment.TEXTSETS Property

TEDISEFSegment Class

property TEXTSETS: TEDISEFTextSets;

Class

TEDISEFSegment Class


TEDISEFSegment.TextSetsLocation Property

TEDISEFSegment Class

property TextSetsLocation: string;

Class

TEDISEFSegment Class


TEDISEFSegment.UserAttribute Property

TEDISEFSegment Class

property UserAttribute: string;

Class

TEDISEFSegment Class


TEDISEFSegment.AddCompositeElement Method

TEDISEFSegment Class

function AddCompositeElement: TEDISEFCompositeElement;

Class

TEDISEFSegment Class


TEDISEFSegment.AddElement Method

TEDISEFSegment Class

function AddElement: TEDISEFElement;

Class

TEDISEFSegment Class


TEDISEFSegment.AddRepeatingPattern Method

TEDISEFSegment Class

function AddRepeatingPattern: TEDISEFRepeatingPattern;

Class

TEDISEFSegment Class


TEDISEFSegment.AppendCompositeElement Method

TEDISEFSegment Class

function AppendCompositeElement(CompositeElement: TEDISEFCompositeElement): TEDISEFCompositeElement;

Class

TEDISEFSegment Class


TEDISEFSegment.AppendElement Method

TEDISEFSegment Class

function AppendElement(Element: TEDISEFElement): TEDISEFElement;

Class

TEDISEFSegment Class


TEDISEFSegment.AppendRepeatingPattern Method

TEDISEFSegment Class

function AppendRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFSegment Class


TEDISEFSegment.Assemble Method

TEDISEFSegment Class

function Assemble: string; override;

Class

TEDISEFSegment Class


TEDISEFSegment.Assign Method

TEDISEFSegment Class

procedure Assign(Segment: TEDISEFSegment);

Class

TEDISEFSegment Class


TEDISEFSegment.AssignElementOrdinals Method

TEDISEFSegment Class

procedure AssignElementOrdinals;

Class

TEDISEFSegment Class


TEDISEFSegment.BindElementTextSets Method

TEDISEFSegment Class

procedure BindElementTextSets;

Class

TEDISEFSegment Class


TEDISEFSegment.BindTextSets Method

TEDISEFSegment Class

procedure BindTextSets(TEXTSETS: TEDISEFTextSets);

Class

TEDISEFSegment Class


TEDISEFSegment.Clone Method

TEDISEFSegment Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFSegment; reintroduce;

Class

TEDISEFSegment Class


TEDISEFSegment.Create Constructor

TEDISEFSegment Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFSegment Class


TEDISEFSegment.DeleteCompositeElement Method

TEDISEFSegment Class

procedure DeleteCompositeElement(CompositeElement: TEDISEFCompositeElement);

Class

TEDISEFSegment Class


TEDISEFSegment.DeleteElement Method

TEDISEFSegment Class

procedure DeleteElement(Element: TEDISEFElement);

Class

TEDISEFSegment Class


TEDISEFSegment.DeleteRepeatingPattern Method

TEDISEFSegment Class

procedure DeleteRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern);

Class

TEDISEFSegment Class


TEDISEFSegment.Destroy Destructor

TEDISEFSegment Class

destructor Destroy; override;

Class

TEDISEFSegment Class


TEDISEFSegment.Disassemble Method

TEDISEFSegment Class

procedure Disassemble; override;

Class

TEDISEFSegment Class


TEDISEFSegment.ExtractCompositeElement Method

TEDISEFSegment Class

function ExtractCompositeElement(CompositeElement: TEDISEFCompositeElement): TEDISEFCompositeElement;

Class

TEDISEFSegment Class


TEDISEFSegment.ExtractElement Method

TEDISEFSegment Class

function ExtractElement(Element: TEDISEFElement): TEDISEFElement;

Class

TEDISEFSegment Class


TEDISEFSegment.ExtractRepeatingPattern Method

TEDISEFSegment Class

function ExtractRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Class

TEDISEFSegment Class


TEDISEFSegment.GetElementObjectList Method

TEDISEFSegment Class

function GetElementObjectList: TObjectList;

Class

TEDISEFSegment Class


TEDISEFSegment.GetTextSetsLocation Method

TEDISEFSegment Class

function GetTextSetsLocation: string;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertCompositeElement Method (TEDISEFCompositeElement, TEDISEFDataObject)

TEDISEFSegment Class

function InsertCompositeElement(CompositeElement: TEDISEFCompositeElement; BeforeObject: TEDISEFDataObject): TEDISEFCompositeElement; overload;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertCompositeElement Method (TEDISEFDataObject)

TEDISEFSegment Class

function InsertCompositeElement(BeforeObject: TEDISEFDataObject): TEDISEFCompositeElement; overload;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertElement Method (TEDISEFDataObject)

TEDISEFSegment Class

function InsertElement(BeforeObject: TEDISEFDataObject): TEDISEFElement; overload;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertElement Method (TEDISEFElement, TEDISEFDataObject)

TEDISEFSegment Class

function InsertElement(Element: TEDISEFElement; BeforeObject: TEDISEFDataObject): TEDISEFElement; overload;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertRepeatingPattern Method (TEDISEFDataObject)

TEDISEFSegment Class

function InsertRepeatingPattern(BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFSegment Class


TEDISEFSegment.InsertRepeatingPattern Method (TEDISEFRepeatingPattern, TEDISEFDataObject)

TEDISEFSegment Class

function InsertRepeatingPattern(RepeatingPattern: TEDISEFRepeatingPattern; BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Class

TEDISEFSegment Class


TEDISEFSet Class

Properties	Methods	Legend

TEDISEFSet = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFSet Class Fields

TEDISEFSet Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFSet Class Properties

TEDISEFSet Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFSet Class

 Table

 Tables

 TEXTSETS

 TextSetsLocation


Legend

published

read only

protected


TEDISEFSet Class Methods

TEDISEFSet Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFSet Class

AddTable

AppendTable

Assemble

AssignSegmentOrdinals

AssignSegmentPositions

BindSegmentTextSets

BindTextSets

Clone

 Create

DeleteTable

 Destroy

Disassemble

ExtractTable

GetSegmentObjectList

GetTextSetsLocation

InsertTable


Legend

Constructor

protected


Legend

TEDISEFSet Class

Legend

protected

published

read only

Constructor


TEDISEFSet Class Members

TEDISEFSet Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFSet Class

 Table

 Tables

 TEXTSETS

 TextSetsLocation

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFSet Class

AddTable

AppendTable

Assemble

AssignSegmentOrdinals

AssignSegmentPositions

BindSegmentTextSets

BindTextSets

Clone

 Create

DeleteTable

 Destroy

Disassemble

ExtractTable

GetSegmentObjectList

GetTextSetsLocation

InsertTable


Legend

protected

published

read only

Constructor


TEDISEFSet.Table Property

TEDISEFSet Class

property Table [Index: Integer]: TEDISEFTable;

Class

TEDISEFSet Class


TEDISEFSet.Tables Property

TEDISEFSet Class

property Tables: TEDISEFDataObjectList;

Class

TEDISEFSet Class


TEDISEFSet.TEXTSETS Property

TEDISEFSet Class

property TEXTSETS: TEDISEFTextSets;

Class

TEDISEFSet Class


TEDISEFSet.TextSetsLocation Property

TEDISEFSet Class

property TextSetsLocation: string;

Class

TEDISEFSet Class


TEDISEFSet.AddTable Method

TEDISEFSet Class

function AddTable: TEDISEFTable;

Class

TEDISEFSet Class


TEDISEFSet.AppendTable Method

TEDISEFSet Class

function AppendTable(Table: TEDISEFTable): TEDISEFTable;

Class

TEDISEFSet Class


TEDISEFSet.Assemble Method

TEDISEFSet Class

function Assemble: string; override;

Class

TEDISEFSet Class


TEDISEFSet.AssignSegmentOrdinals Method

TEDISEFSet Class

procedure AssignSegmentOrdinals;

Class

TEDISEFSet Class


TEDISEFSet.AssignSegmentPositions Method

TEDISEFSet Class

procedure AssignSegmentPositions;

Class

TEDISEFSet Class


TEDISEFSet.BindSegmentTextSets Method

TEDISEFSet Class

procedure BindSegmentTextSets;

Class

TEDISEFSet Class


TEDISEFSet.BindTextSets Method

TEDISEFSet Class

procedure BindTextSets(TEXTSETS: TEDISEFTextSets);

Class

TEDISEFSet Class


TEDISEFSet.Clone Method

TEDISEFSet Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFSet; reintroduce;

Class

TEDISEFSet Class


TEDISEFSet.Create Constructor

TEDISEFSet Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFSet Class


TEDISEFSet.DeleteTable Method

TEDISEFSet Class

procedure DeleteTable(Table: TEDISEFTable);

Class

TEDISEFSet Class


TEDISEFSet.Destroy Destructor

TEDISEFSet Class

destructor Destroy; override;

Class

TEDISEFSet Class


TEDISEFSet.Disassemble Method

TEDISEFSet Class

procedure Disassemble; override;

Class

TEDISEFSet Class


TEDISEFSet.ExtractTable Method

TEDISEFSet Class

function ExtractTable(Table: TEDISEFTable): TEDISEFTable;

Class

TEDISEFSet Class


TEDISEFSet.GetSegmentObjectList Method

TEDISEFSet Class

function GetSegmentObjectList: TObjectList;

Class

TEDISEFSet Class


TEDISEFSet.GetTextSetsLocation Method

TEDISEFSet Class

function GetTextSetsLocation: string;

Class

TEDISEFSet Class


TEDISEFSet.InsertTable Method (TEDISEFTable)

TEDISEFSet Class

function InsertTable(BeforeTable: TEDISEFTable): TEDISEFTable; overload;

Class

TEDISEFSet Class


TEDISEFSet.InsertTable Method (TEDISEFTable, TEDISEFTable)

TEDISEFSet Class

function InsertTable(Table: TEDISEFTable; BeforeTable: TEDISEFTable): TEDISEFTable; overload;

Class

TEDISEFSet Class


TEDISEFSubElement Class

Properties	Methods	Legend

TEDISEFSubElement = class(TEDISEFElement);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFSubElement Class Fields

TEDISEFSubElement Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute


Legend

protected


TEDISEFSubElement Class Properties

TEDISEFSubElement Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFElement Class

 ElementId

 ElementType

 MaximumLength

 MinimumLength

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute


Legend

published

read only

protected


TEDISEFSubElement Class Methods

TEDISEFSubElement Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFElement Class

Assemble

Assign

BindTextSets

Clone

CloneAsSubElement

 Create

 Destroy

Disassemble

GetTextSetsLocation

TEDISEFSubElement Class

Assemble

Clone

 Create

 Destroy

Disassemble


Legend

Constructor

protected


Legend

TEDISEFSubElement Class

Legend

protected

published

read only

Constructor


TEDISEFSubElement Class Members

TEDISEFSubElement Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFElement Class

 FEDISEFTextSets

 FElementType

 FMaximumLength

 FMinimumLength

 FOrdinal

 FOutOfSequenceOrdinal

 FRepeatCount

 FRequirementDesignator

 FUserAttribute

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFElement Class

 ElementId

 ElementType

 MaximumLength

 MinimumLength

 Ordinal

 OutOfSequenceOrdinal

 RepeatCount

 RequirementDesignator

 TEXTSETS

 TextSetsLocation

 UserAttribute

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFElement Class

Assemble

Assign

BindTextSets

Clone

CloneAsSubElement

 Create

 Destroy

Disassemble

GetTextSetsLocation

TEDISEFSubElement Class

Assemble

Clone

 Create

 Destroy

Disassemble


Legend

protected

published

read only

Constructor


TEDISEFSubElement.Assemble Method

TEDISEFSubElement Class

function Assemble: string; override;

Class

TEDISEFSubElement Class


TEDISEFSubElement.Clone Method

TEDISEFSubElement Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFSubElement; reintroduce;

Class

TEDISEFSubElement Class


TEDISEFSubElement.Create Constructor

TEDISEFSubElement Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFSubElement Class


TEDISEFSubElement.Destroy Destructor

TEDISEFSubElement Class

destructor Destroy; override;

Class

TEDISEFSubElement Class


TEDISEFSubElement.Disassemble Method

TEDISEFSubElement Class

procedure Disassemble; override;

Class

TEDISEFSubElement Class


TEDISEFTable Class

Properties	Methods	Legend

TEDISEFTable = class(TEDISEFDataObjectGroup);

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFTable Class Fields

TEDISEFTable Class	Legend

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects


Legend

protected


TEDISEFTable Class Properties

TEDISEFTable Class	Legend

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFTable Class

 SEFSet


Legend

published

read only

protected


TEDISEFTable Class Methods

TEDISEFTable Class	Legend

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFTable Class

AddLoop

AddSegment

AppendLoop

AppendSegment

Assemble

Clone

 Create

DeleteLoop

DeleteSegment

 Destroy

Disassemble

ExtractLoop

ExtractSegment

InsertLoop

InsertSegment


Legend

Constructor

protected


Legend

TEDISEFTable Class

Legend

protected

published

read only

Constructor


TEDISEFTable Class Members

TEDISEFTable Class	Legend

Members

Fields

TEDISEFDataObject Class

 FData

 FErrorLog

 FId

 FLength

 FOwnerItemRef

 FParent

 FSEFFile

 FState

TEDISEFDataObjectGroup Class

 FEDISEFDataObjects

Properties

TEDISEFDataObject Class

 Data

 DataLength

 Id

 OwnerItemRef

 Parent

 SEFFile

 State

TEDISEFDataObjectGroup Class

 EDISEFDataObject

 EDISEFDataObjectCount

 EDISEFDataObjects

TEDISEFTable Class

 SEFSet

Methods

TEDISEFDataObject Class

Assemble

Clone

 Create

 Destroy

Disassemble

 GetData

 SetData

 SetParent

UpdateOwnerItemName

TEDISEFDataObjectGroup Class

 Create

 Destroy

TEDISEFTable Class

AddLoop

AddSegment

AppendLoop

AppendSegment

Assemble

Clone

 Create

DeleteLoop

DeleteSegment

 Destroy

Disassemble

ExtractLoop

ExtractSegment

InsertLoop

InsertSegment


Legend

protected

published

read only

Constructor


TEDISEFTable.SEFSet Property

TEDISEFTable Class

property SEFSet: TEDISEFSet;

Class

TEDISEFTable Class


TEDISEFTable.AddLoop Method

TEDISEFTable Class

function AddLoop: TEDISEFLoop;

Class

TEDISEFTable Class


TEDISEFTable.AddSegment Method

TEDISEFTable Class

function AddSegment: TEDISEFSegment;

Class

TEDISEFTable Class


TEDISEFTable.AppendLoop Method

TEDISEFTable Class

function AppendLoop(Loop: TEDISEFLoop): TEDISEFLoop;

Class

TEDISEFTable Class


TEDISEFTable.AppendSegment Method

TEDISEFTable Class

function AppendSegment(Segment: TEDISEFSegment): TEDISEFSegment;

Class

TEDISEFTable Class


TEDISEFTable.Assemble Method

TEDISEFTable Class

function Assemble: string; override;

Class

TEDISEFTable Class


TEDISEFTable.Clone Method

TEDISEFTable Class

function Clone(NewParent: TEDISEFDataObject): TEDISEFTable; reintroduce;

Class

TEDISEFTable Class


TEDISEFTable.Create Constructor

TEDISEFTable Class

constructor Create(Parent: TEDISEFDataObject); reintroduce;

Class

TEDISEFTable Class


TEDISEFTable.DeleteLoop Method

TEDISEFTable Class

procedure DeleteLoop(Loop: TEDISEFLoop);

Class

TEDISEFTable Class


TEDISEFTable.DeleteSegment Method

TEDISEFTable Class

procedure DeleteSegment(Segment: TEDISEFSegment);

Class

TEDISEFTable Class


TEDISEFTable.Destroy Destructor

TEDISEFTable Class

destructor Destroy; override;

Class

TEDISEFTable Class


TEDISEFTable.Disassemble Method

TEDISEFTable Class

procedure Disassemble; override;

Class

TEDISEFTable Class


TEDISEFTable.ExtractLoop Method

TEDISEFTable Class

function ExtractLoop(Loop: TEDISEFLoop): TEDISEFLoop;

Class

TEDISEFTable Class


TEDISEFTable.ExtractSegment Method

TEDISEFTable Class

function ExtractSegment(Segment: TEDISEFSegment): TEDISEFSegment;

Class

TEDISEFTable Class


TEDISEFTable.InsertLoop Method (TEDISEFDataObject)

TEDISEFTable Class

function InsertLoop(BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Class

TEDISEFTable Class


TEDISEFTable.InsertLoop Method (TEDISEFLoop, TEDISEFDataObject)

TEDISEFTable Class

function InsertLoop(Loop: TEDISEFLoop; BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Class

TEDISEFTable Class


TEDISEFTable.InsertSegment Method (TEDISEFDataObject)

TEDISEFTable Class

function InsertSegment(BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Class

TEDISEFTable Class


TEDISEFTable.InsertSegment Method (TEDISEFSegment, TEDISEFDataObject)

TEDISEFTable Class

function InsertSegment(Segment: TEDISEFSegment; BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Class

TEDISEFTable Class


TEDISEFText Class

Properties	Methods	Legend

TEDISEFText = class(TEDIObject);

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFText Class Fields

TEDISEFText Class	Legend

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere


Legend

protected


TEDISEFText Class Properties

TEDISEFText Class	Legend

Properties

TEDISEFText Class

 Data

 Description

 Text

 What

 Where

 WhereLocation


Legend

published

read only


TEDISEFText Class Methods

TEDISEFText Class	Legend

Methods

TEDISEFText Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData


Legend

protected

Constructor


Legend

TEDISEFText Class

Legend

protected

published

read only

Constructor


TEDISEFText Class Members

TEDISEFText Class	Legend

Members

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere

Properties

TEDISEFText Class

 Data

 Description

 Text

 What

 Where

 WhereLocation

Methods

TEDISEFText Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData


Legend

protected

published

read only

Constructor


TEDISEFText.FData Field

TEDISEFText Class

FData: string;

Class

TEDISEFText Class


TEDISEFText.FEDISEFWhereType Field

TEDISEFText Class

FEDISEFWhereType: TEDISEFWhereType;

Class

TEDISEFText Class


TEDISEFText.FText Field

TEDISEFText Class

FText: string;

Class

TEDISEFText Class


TEDISEFText.FWhat Field

TEDISEFText Class

FWhat: string;

Class

TEDISEFText Class


TEDISEFText.FWhere Field

TEDISEFText Class

FWhere: string;

Class

TEDISEFText Class


TEDISEFText.Data Property

TEDISEFText Class

property Data: string;

Class

TEDISEFText Class


TEDISEFText.Description Property

TEDISEFText Class

property Description: string;

Class

TEDISEFText Class


TEDISEFText.Text Property

TEDISEFText Class

property Text: string;

Class

TEDISEFText Class


TEDISEFText.What Property

TEDISEFText Class

property What: string;

Class

TEDISEFText Class


TEDISEFText.Where Property

TEDISEFText Class

property Where: string;

Class

TEDISEFText Class


TEDISEFText.WhereLocation Property

TEDISEFText Class

property WhereLocation: TStrings;

Class

TEDISEFText Class


TEDISEFText.Assemble Method

TEDISEFText Class

function Assemble: string; virtual;

Class

TEDISEFText Class


TEDISEFText.Create Constructor

TEDISEFText Class

constructor Create;

Class

TEDISEFText Class


TEDISEFText.Destroy Destructor

TEDISEFText Class

destructor Destroy; override;

Class

TEDISEFText Class


TEDISEFText.Disassemble Method

TEDISEFText Class

procedure Disassemble; virtual;

Class

TEDISEFText Class


TEDISEFText.GetData Method

TEDISEFText Class

function GetData: string;

Class

TEDISEFText Class


TEDISEFText.SetData Method

TEDISEFText Class

procedure SetData(const Value: string);

Class

TEDISEFText Class


TEDISEFTextSet Class

Properties	Methods	Legend

TEDISEFTextSet = class(TEDISEFText);

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFTextSet Class Fields

TEDISEFTextSet Class	Legend

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere


Legend

protected


TEDISEFTextSet Class Properties

TEDISEFTextSet Class	Legend

Properties

TEDISEFText Class

 Data

 Description

 Text

 What

 Where

 WhereLocation


Legend

published

read only


TEDISEFTextSet Class Methods

TEDISEFTextSet Class	Legend

Methods

TEDISEFText Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDISEFTextSet Class

Assemble

 Create

 Destroy

Disassemble


Legend

protected

Constructor


Legend

TEDISEFTextSet Class

Legend

protected

published

read only

Constructor


TEDISEFTextSet Class Members

TEDISEFTextSet Class	Legend

Members

Fields

TEDISEFText Class

 FData

 FEDISEFWhereType

 FText

 FWhat

 FWhere

Properties

TEDISEFText Class

 Data

 Description

 Text

 What

 Where

 WhereLocation

Methods

TEDISEFText Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDISEFTextSet Class

Assemble

 Create

 Destroy

Disassemble


Legend

protected

published

read only

Constructor


TEDISEFTextSet.Assemble Method

TEDISEFTextSet Class

function Assemble: string; override;

Class

TEDISEFTextSet Class


TEDISEFTextSet.Create Constructor

TEDISEFTextSet Class

constructor Create;

Class

TEDISEFTextSet Class


TEDISEFTextSet.Destroy Destructor

TEDISEFTextSet Class

destructor Destroy; override;

Class

TEDISEFTextSet Class


TEDISEFTextSet.Disassemble Method

TEDISEFTextSet Class

procedure Disassemble; override;

Class

TEDISEFTextSet Class


TEDISEFTextSets Class

Properties	Methods	Legend

TEDISEFTextSets = class(TEDIObjectList);

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Legend

protected

published

read only

Constructor

Unit

JclEDISEF


TEDISEFTextSets Class Fields

TEDISEFTextSets Class	Legend

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects


Legend

protected


TEDISEFTextSets Class Properties

TEDISEFTextSets Class	Legend

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects


Legend

published

read only


TEDISEFTextSets Class Methods

TEDISEFTextSets Class	Legend

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDISEFTextSets Class

GetText

SetText


Legend

Constructor

protected


Legend

TEDISEFTextSets Class

Legend

protected

published

read only

Constructor


TEDISEFTextSets Class Members

TEDISEFTextSets Class	Legend

Members

Fields

TEDIObjectList Class

 FCount

 FCurrentItem

 FFirstItem

 FLastItem

 FOptions

 FOwnsObjects

Properties

TEDIObjectList Class

 Count

 CurrentItem

EDIObject

 Item

 Options

 OwnsObjects

Methods

TEDIObjectList Class

Add

Clear

 Create

 CreateListItem

Delete

 Destroy

Extract

Find

FindEDIObject

FindItemByName

First

 GetEDIObject

IndexIsValid

IndexOf

Insert

Last

Next

Prior

Remove

ReturnListItemsByName

 SetEDIObject

UpdateCount

UpdateIndexes

TEDISEFTextSets Class

GetText

SetText


Legend

protected

published

read only

Constructor


TEDISEFTextSets.GetText Method

TEDISEFTextSets Class

function GetText(Code: string): string;

Class

TEDISEFTextSets Class


TEDISEFTextSets.SetText Method

TEDISEFTextSets Class

procedure SetText(EDISEFFile: TEDISEFFile; Location: string; Code: string; Text: string);

Class

TEDISEFTextSets Class


TEDISEFToSpecTranslator Class

Methods	Legend

TEDISEFToSpecTranslator = class(TEDIObject);

Legend

Constructor

Unit

JclEDITranslators


TEDISEFToSpecTranslator Class Methods

TEDISEFToSpecTranslator Class	Legend

Methods

TEDISEFToSpecTranslator Class

 Create

 Destroy


Legend

Constructor


Legend

TEDISEFToSpecTranslator Class

Legend

Constructor


TEDISEFToSpecTranslator Class Members

TEDISEFToSpecTranslator Class	Legend

Members

Methods

TEDISEFToSpecTranslator Class

 Create

 Destroy


Legend

Constructor


TEDISEFToSpecTranslator.Create Constructor

TEDISEFToSpecTranslator Class

constructor Create;

Class

TEDISEFToSpecTranslator Class


TEDISEFToSpecTranslator.Destroy Destructor

TEDISEFToSpecTranslator Class

destructor Destroy; override;

Class

TEDISEFToSpecTranslator Class


TEDISegment Class

Properties	Methods	Legend

TEDISegment = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_UNEDIFACT


TEDISegment Class Fields

TEDISegment Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDISegment Class Properties

TEDISegment Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId


Legend

published

read only


TEDISegment Class Methods

TEDISegment Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement


Legend

Constructor

protected


Legend

TEDISegment Class

Legend

protected

published

read only

Constructor


TEDISegment Class Members

TEDISegment Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement


Legend

protected

published

read only

Constructor


TEDISegment.ElementCount Property

TEDISegment Class

property ElementCount: Integer;

Class

TEDISegment Class


TEDISegment.SegmentId Property

TEDISegment Class

property SegmentId: string;

Class

TEDISegment Class


TEDISegment.AddCompositeElement Method

TEDISegment Class

function AddCompositeElement: Integer;

Class

TEDISegment Class


TEDISegment.AddCompositeElements Method

TEDISegment Class

function AddCompositeElements(Count: Integer): Integer;

Class

TEDISegment Class


TEDISegment.AddElement Method

TEDISegment Class

function AddElement: Integer;

Class

TEDISegment Class


TEDISegment.AddElements Method

TEDISegment Class

function AddElements(Count: Integer): Integer;

Class

TEDISegment Class


TEDISegment.AppendCompositeElement Method

TEDISegment Class

function AppendCompositeElement(CompositeElement: TEDICompositeElement): Integer;

Class

TEDISegment Class


TEDISegment.AppendCompositeElements Method

TEDISegment Class

function AppendCompositeElements(CompositeElementArray: TEDICompositeElementArray): Integer;

Class

TEDISegment Class


TEDISegment.AppendElement Method

TEDISegment Class

function AppendElement(Element: TEDIElement): Integer;

Class

TEDISegment Class


TEDISegment.AppendElements Method

TEDISegment Class

function AppendElements(ElementArray: TEDIElementArray): Integer;

Class

TEDISegment Class


TEDISegment.Assemble Method

TEDISegment Class

function Assemble: string; override;

Class

TEDISegment Class


TEDISegment.Create Constructor

TEDISegment Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDISegment Class


TEDISegment.DeleteElement Method (Integer)

TEDISegment Class

procedure DeleteElement(Index: Integer); overload;

Class

TEDISegment Class


TEDISegment.DeleteElement Method (TEDIElement)

TEDISegment Class

procedure DeleteElement(Element: TEDIElement); overload;

Class

TEDISegment Class


TEDISegment.DeleteElements Method ()

TEDISegment Class

procedure DeleteElements; overload;

Class

TEDISegment Class


TEDISegment.DeleteElements Method (Integer, Integer)

TEDISegment Class

procedure DeleteElements(Index: Integer; Count: Integer); overload;

Class

TEDISegment Class


TEDISegment.Destroy Destructor

TEDISegment Class

destructor Destroy; override;

Class

TEDISegment Class


TEDISegment.Disassemble Method

TEDISegment Class

procedure Disassemble; override;

Class

TEDISegment Class


TEDISegment.InsertCompositeElement Method (Integer)

TEDISegment Class

function InsertCompositeElement(InsertIndex: Integer): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertCompositeElement Method (Integer, TEDICompositeElement)

TEDISegment Class

function InsertCompositeElement(InsertIndex: Integer; CompositeElement: TEDICompositeElement): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertCompositeElements Method (Integer, Integer)

TEDISegment Class

function InsertCompositeElements(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertCompositeElements Method (Integer, TEDICompositeElementArray)

TEDISegment Class

function InsertCompositeElements(InsertIndex: Integer; CompositeElementArray: TEDICompositeElementArray): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertElement Method (Integer)

TEDISegment Class

function InsertElement(InsertIndex: Integer): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertElement Method (Integer, TEDIElement)

TEDISegment Class

function InsertElement(InsertIndex: Integer; Element: TEDIElement): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertElements Method (Integer, Integer)

TEDISegment Class

function InsertElements(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDISegment Class


TEDISegment.InsertElements Method (Integer, TEDIElementArray)

TEDISegment Class

function InsertElements(InsertIndex: Integer; ElementArray: TEDIElementArray): Integer; overload;

Class

TEDISegment Class


TEDISegment.InternalAssignDelimiters Method

TEDISegment Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDISegment Class


TEDISegment.InternalCreateCompositeElement Method

TEDISegment Class

function InternalCreateCompositeElement: TEDICompositeElement; virtual;

Class

TEDISegment Class


TEDISegment.InternalCreateEDIDataObject Method

TEDISegment Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDISegment Class


TEDISegment.InternalCreateElement Method

TEDISegment Class

function InternalCreateElement: TEDIElement; virtual;

Class

TEDISegment Class


TEDISegmentSpec Class

Properties	Methods	Legend

TEDISegmentSpec = class(TEDISegment);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDISegmentSpec Class Fields

TEDISegmentSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDISegmentSpec Class Properties

TEDISegmentSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDISegmentSpec Class Methods

TEDISegmentSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions


Legend

Constructor

protected


Legend

TEDISegmentSpec Class

Legend

protected

published

read only

Constructor


TEDISegmentSpec Class Members

TEDISegmentSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions


Legend

protected

published

read only

Constructor


TEDISegmentSpec.Description Property

TEDISegmentSpec Class

property Description: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Id Property

TEDISegmentSpec Class

property Id: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.MaximumUsage Property

TEDISegmentSpec Class

property MaximumUsage: Integer;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Notes Property

TEDISegmentSpec Class

property Notes: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.OwnerLoopId Property

TEDISegmentSpec Class

property OwnerLoopId: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.ParentLoopId Property

TEDISegmentSpec Class

property ParentLoopId: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Position Property

TEDISegmentSpec Class

property Position: Integer;

Class

TEDISegmentSpec Class


TEDISegmentSpec.RequirementDesignator Property

TEDISegmentSpec Class

property RequirementDesignator: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.ReservedData Property

TEDISegmentSpec Class

property ReservedData: TStrings;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Section Property

TEDISegmentSpec Class

property Section: string;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Assemble Method

TEDISegmentSpec Class

function Assemble: string; override;

Class

TEDISegmentSpec Class


TEDISegmentSpec.AssembleReservedData Method

TEDISegmentSpec Class

procedure AssembleReservedData(ReservedData: TStrings); virtual;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Create Constructor

TEDISegmentSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Destroy Destructor

TEDISegmentSpec Class

destructor Destroy; override;

Class

TEDISegmentSpec Class


TEDISegmentSpec.Disassemble Method

TEDISegmentSpec Class

procedure Disassemble; override;

Class

TEDISegmentSpec Class


TEDISegmentSpec.DisassembleReservedData Method

TEDISegmentSpec Class

procedure DisassembleReservedData(ReservedData: TStrings); virtual;

Class

TEDISegmentSpec Class


TEDISegmentSpec.InternalCreateElement Method

TEDISegmentSpec Class

function InternalCreateElement: TEDIElement; override;

Class

TEDISegmentSpec Class


TEDISegmentSpec.ValidateElementIndexPositions Method

TEDISegmentSpec Class

procedure ValidateElementIndexPositions;

Class

TEDISegmentSpec Class


TEDISpecToSEFTranslator Class

Methods	Legend

TEDISpecToSEFTranslator = class(TEDIObject);

Legend

Constructor

Unit

JclEDITranslators


TEDISpecToSEFTranslator Class Methods

TEDISpecToSEFTranslator Class	Legend

Methods

TEDISpecToSEFTranslator Class

 Create

 Destroy

TranslateLoopToSEFSet

TranslateToSEFElement

TranslateToSEFElementTEXTSETS

TranslateToSEFFile

TranslateToSEFSegment

TranslateToSEFSegmentTEXTSETS

TranslateToSEFSet


Legend

Constructor


Legend

TEDISpecToSEFTranslator Class

Legend

Constructor


TEDISpecToSEFTranslator Class Members

TEDISpecToSEFTranslator Class	Legend

Members

Methods

TEDISpecToSEFTranslator Class

 Create

 Destroy

TranslateLoopToSEFSet

TranslateToSEFElement

TranslateToSEFElementTEXTSETS

TranslateToSEFFile

TranslateToSEFSegment

TranslateToSEFSegmentTEXTSETS

TranslateToSEFSet


Legend

Constructor


TEDISpecToSEFTranslator.Create Constructor

TEDISpecToSEFTranslator Class

constructor Create;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.Destroy Destructor

TEDISpecToSEFTranslator Class

destructor Destroy; override;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateLoopToSEFSet Method

TEDISpecToSEFTranslator Class

procedure TranslateLoopToSEFSet(StackRecord: TEDILoopStackRecord; SegmentId: string; OwnerLoopId: string; ParentLoopId: string; var EDIObject: TEDIObject);

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFElement Method (TEDIElementSpec, TEDISEFFile)

TEDISpecToSEFTranslator Class

function TranslateToSEFElement(ElementSpec: TEDIElementSpec; Parent: TEDISEFFile): TEDISEFElement; overload;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFElement Method (TEDIElementSpec, TEDISEFSegment)

TEDISpecToSEFTranslator Class

function TranslateToSEFElement(ElementSpec: TEDIElementSpec; Parent: TEDISEFSegment): TEDISEFElement; overload;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFElementTEXTSETS Method

TEDISpecToSEFTranslator Class

procedure TranslateToSEFElementTEXTSETS(ElementSpec: TEDIElementSpec; SEFElement: TEDISEFElement);

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFFile Method

TEDISpecToSEFTranslator Class

function TranslateToSEFFile(ICSpec: TEDIInterchangeControlSpec): TEDISEFFile;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFSegment Method (TEDISegmentSpec, TEDISEFFile)

TEDISpecToSEFTranslator Class

function TranslateToSEFSegment(SegmentSpec: TEDISegmentSpec; Parent: TEDISEFFile): TEDISEFSegment; overload;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFSegment Method (TEDISegmentSpec, TEDISEFLoop)

TEDISpecToSEFTranslator Class

function TranslateToSEFSegment(SegmentSpec: TEDISegmentSpec; Parent: TEDISEFLoop): TEDISEFSegment; overload;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFSegment Method (TEDISegmentSpec, TEDISEFTable)

TEDISpecToSEFTranslator Class

function TranslateToSEFSegment(SegmentSpec: TEDISegmentSpec; Parent: TEDISEFTable): TEDISEFSegment; overload;

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFSegmentTEXTSETS Method

TEDISpecToSEFTranslator Class

procedure TranslateToSEFSegmentTEXTSETS(SegmentSpec: TEDISegmentSpec; SEFSegment: TEDISEFSegment);

Class

TEDISpecToSEFTranslator Class


TEDISpecToSEFTranslator.TranslateToSEFSet Method

TEDISpecToSEFTranslator Class

function TranslateToSEFSet(TransactionSetSpec: TEDITransactionSetSpec; Parent: TEDISEFFile): TEDISEFSet;

Class

TEDISpecToSEFTranslator Class


TEDITransactionSet Class

Properties	Methods	Legend

TEDITransactionSet = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSet Class Fields

TEDITransactionSet Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDITransactionSet Class Properties

TEDITransactionSet Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSet Class

Segment

 SegmentCount

 Segments

 SegmentSE

 SegmentST


Legend

published

read only


TEDITransactionSet Class Methods

TEDITransactionSet Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSet Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment


Legend

Constructor

protected


Legend

TEDITransactionSet Class

Legend

protected

published

read only

Constructor


TEDITransactionSet Class Members

TEDITransactionSet Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSet Class

Segment

 SegmentCount

 Segments

 SegmentSE

 SegmentST

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSet Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment


Legend

protected

published

read only

Constructor


TEDITransactionSet.Segment Property

TEDITransactionSet Class

property Segment [Index: Integer]: TEDISegment;

Class

TEDITransactionSet Class


TEDITransactionSet.SegmentCount Property

TEDITransactionSet Class

property SegmentCount: Integer;

Class

TEDITransactionSet Class


TEDITransactionSet.Segments Property

TEDITransactionSet Class

property Segments: TEDIDataObjectList;

Class

TEDITransactionSet Class


TEDITransactionSet.SegmentSE Property

TEDITransactionSet Class

property SegmentSE: TEDISegment;

Class

TEDITransactionSet Class


TEDITransactionSet.SegmentST Property

TEDITransactionSet Class

property SegmentST: TEDISegment;

Class

TEDITransactionSet Class


TEDITransactionSet.AddSegment Method

TEDITransactionSet Class

function AddSegment: Integer;

Class

TEDITransactionSet Class


TEDITransactionSet.AddSegments Method

TEDITransactionSet Class

function AddSegments(Count: Integer): Integer;

Class

TEDITransactionSet Class


TEDITransactionSet.AppendSegment Method

TEDITransactionSet Class

function AppendSegment(Segment: TEDISegment): Integer;

Class

TEDITransactionSet Class


TEDITransactionSet.AppendSegments Method

TEDITransactionSet Class

function AppendSegments(SegmentArray: TEDISegmentArray): Integer;

Class

TEDITransactionSet Class


TEDITransactionSet.Assemble Method

TEDITransactionSet Class

function Assemble: string; override;

Class

TEDITransactionSet Class


TEDITransactionSet.Create Constructor

TEDITransactionSet Class

constructor Create(Parent: TEDIDataObject; SegmentCount: Integer = 0); reintroduce;

Class

TEDITransactionSet Class


TEDITransactionSet.DeleteSegment Method (Integer)

TEDITransactionSet Class

procedure DeleteSegment(Index: Integer); overload;

Class

TEDITransactionSet Class


TEDITransactionSet.DeleteSegment Method (TEDISegment)

TEDITransactionSet Class

procedure DeleteSegment(Segment: TEDISegment); overload;

Class

TEDITransactionSet Class


TEDITransactionSet.DeleteSegments Method ()

TEDITransactionSet Class

procedure DeleteSegments; overload;

Class

TEDITransactionSet Class


TEDITransactionSet.DeleteSegments Method (Integer, Integer)

TEDITransactionSet Class

procedure DeleteSegments(Index: Integer; Count: Integer); overload;

Class

TEDITransactionSet Class


TEDITransactionSet.Destroy Destructor

TEDITransactionSet Class

destructor Destroy; override;

Class

TEDITransactionSet Class


TEDITransactionSet.Disassemble Method

TEDITransactionSet Class

procedure Disassemble; override;

Class

TEDITransactionSet Class


TEDITransactionSet.InsertSegment Method (Integer)

TEDITransactionSet Class

function InsertSegment(InsertIndex: Integer): Integer; overload;

Class

TEDITransactionSet Class


TEDITransactionSet.InsertSegment Method (Integer, TEDISegment)

TEDITransactionSet Class

function InsertSegment(InsertIndex: Integer; Segment: TEDISegment): Integer; overload;

Class

TEDITransactionSet Class


TEDITransactionSet.InsertSegments Method (Integer, Integer)

TEDITransactionSet Class

function InsertSegments(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDITransactionSet Class


TEDITransactionSet.InsertSegments Method (Integer, TEDISegmentArray)

TEDITransactionSet Class

function InsertSegments(InsertIndex: Integer; SegmentArray: TEDISegmentArray): Integer; overload;

Class

TEDITransactionSet Class


TEDITransactionSet.InternalAssignDelimiters Method

TEDITransactionSet Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDITransactionSet Class


TEDITransactionSet.InternalCreateEDIDataObject Method

TEDITransactionSet Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDITransactionSet Class


TEDITransactionSet.InternalCreateHeaderTrailerSegments Method

TEDITransactionSet Class

procedure InternalCreateHeaderTrailerSegments; virtual;

Class

TEDITransactionSet Class


TEDITransactionSet.InternalCreateSegment Method

TEDITransactionSet Class

function InternalCreateSegment: TEDISegment; virtual;

Class

TEDITransactionSet Class


TEDITransactionSetDocument Class

Properties	Methods	Legend

TEDITransactionSetDocument = class(TEDITransactionSetLoop);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDITransactionSetDocument Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetDocument Class Fields

TEDITransactionSetDocument Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDITransactionSetDocument Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured


Legend

protected


TEDITransactionSetDocument Class Properties

TEDITransactionSetDocument Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet

TEDITransactionSetDocument Class

 EDITSDOptions

 ErrorOccured


Legend

published

read only


TEDITransactionSetDocument Class Methods

TEDITransactionSetDocument Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDITransactionSetDocument Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

Constructor

protected


Legend

TEDITransactionSetDocument Class

Legend

protected

published

read only

Constructor


TEDITransactionSetDocument Class Members

TEDITransactionSetDocument Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

TEDITransactionSetDocument Class

 FEDILoopStack

 FEDITransactionSet

 FEDITransactionSetSpec

 FEDITSDOptions

 FErrorOccured

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet

TEDITransactionSetDocument Class

 EDITSDOptions

 ErrorOccured

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject

TEDITransactionSetDocument Class

 AddLoopToDoc

 AdvanceSegSpecIndex

 Create

 Destroy

FormatDocument

 SetSpecificationPointers

 ValidateData

 ValidateSegSpecIndex


Legend

protected

published

read only

Constructor


TEDITransactionSetDocument.FEDILoopStack Field

TEDITransactionSetDocument Class

FEDILoopStack: TEDILoopStack;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.FEDITransactionSet Field

TEDITransactionSetDocument Class

FEDITransactionSet: TEDITransactionSet;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.FEDITransactionSetSpec Field

TEDITransactionSetDocument Class

FEDITransactionSetSpec: TEDITransactionSetSpec;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.FEDITSDOptions Field

TEDITransactionSetDocument Class

FEDITSDOptions: TEDITransactionSetDocumentOptions;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.FErrorOccured Field

TEDITransactionSetDocument Class

FErrorOccured: Boolean;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.EDITSDOptions Property

TEDITransactionSetDocument Class

property EDITSDOptions: TEDITransactionSetDocumentOptions;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.ErrorOccured Property

TEDITransactionSetDocument Class

property ErrorOccured: Boolean;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.AddLoopToDoc Method

TEDITransactionSetDocument Class

procedure AddLoopToDoc(StackRecord: TEDILoopStackRecord; SegmentId: string; OwnerLoopId: string; ParentLoopId: string; var EDIObject: TEDIObject);

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.AdvanceSegSpecIndex Method

TEDITransactionSetDocument Class

function AdvanceSegSpecIndex(DataIndex: Integer; SpecStartIndex: Integer; SpecEndIndex: Integer): Integer;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.Create Constructor

TEDITransactionSetDocument Class

constructor Create(Parent: TEDIDataObject; EDITransactionSet: TEDITransactionSet; EDITransactionSetSpec: TEDITransactionSetSpec); reintroduce;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.Destroy Destructor

TEDITransactionSetDocument Class

destructor Destroy; override;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.FormatDocument Method

TEDITransactionSetDocument Class

procedure FormatDocument; virtual;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.SetSpecificationPointers Method

TEDITransactionSetDocument Class

procedure SetSpecificationPointers(DataSegment: TEDISegment; SpecSegment: TEDISegment);

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.ValidateData Method

TEDITransactionSetDocument Class

procedure ValidateData(TSDocument: TEDITransactionSetDocument; LoopStack: TEDILoopStack; DataSegment: TEDISegment; SpecSegment: TEDISegment; var DataIndex: Integer; var SpecIndex: Integer; var ErrorOccured: Boolean); virtual;

Class

TEDITransactionSetDocument Class


TEDITransactionSetDocument.ValidateSegSpecIndex Method

TEDITransactionSetDocument Class

function ValidateSegSpecIndex(DataSegmentId: string; SpecStartIndex: Integer): Integer;

Class

TEDITransactionSetDocument Class


TEDITransactionSetLoop Class

Properties	Methods	Legend

TEDITransactionSetLoop = class(TEDIDataObjectGroup);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetLoop Class Fields

TEDITransactionSetLoop Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet


Legend

protected


TEDITransactionSetLoop Class Properties

TEDITransactionSetLoop Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet


Legend

published

read only


TEDITransactionSetLoop Class Methods

TEDITransactionSetLoop Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject


Legend

Constructor

protected


Legend

TEDITransactionSetLoop Class

Legend

protected

published

read only

Constructor


TEDITransactionSetLoop Class Members

TEDITransactionSetLoop Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

TEDITransactionSetLoop Class

 FOwnerLoopId

 FParentLoopId

 FParentTransactionSet

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSetLoop Class

 OwnerLoopId

 ParentLoopId

 ParentTransactionSet

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSetLoop Class

AddLoop

AppendSegment

Assemble

 Create

DeleteEDIDataObjects

 Destroy

Disassemble

FindLoop

FindSegment

 InternalAssignDelimiters

 InternalCreateEDIDataObject


Legend

protected

published

read only

Constructor


TEDITransactionSetLoop.FOwnerLoopId Field

TEDITransactionSetLoop Class

FOwnerLoopId: string;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.FParentLoopId Field

TEDITransactionSetLoop Class

FParentLoopId: string;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.FParentTransactionSet Field

TEDITransactionSetLoop Class

FParentTransactionSet: TEDITransactionSet;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.OwnerLoopId Property

TEDITransactionSetLoop Class

property OwnerLoopId: string;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.ParentLoopId Property

TEDITransactionSetLoop Class

property ParentLoopId: string;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.ParentTransactionSet Property

TEDITransactionSetLoop Class

property ParentTransactionSet: TEDITransactionSet;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.AddLoop Method

TEDITransactionSetLoop Class

function AddLoop(OwnerLoopId: string; ParentLoopId: string): Integer;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.AppendSegment Method

TEDITransactionSetLoop Class

procedure AppendSegment(Segment: TEDISegment);

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.Assemble Method

TEDITransactionSetLoop Class

function Assemble: string; override;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.Create Constructor

TEDITransactionSetLoop Class

constructor Create(Parent: TEDIDataObject); reintroduce;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.DeleteEDIDataObjects Method

TEDITransactionSetLoop Class

procedure DeleteEDIDataObjects;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.Destroy Destructor

TEDITransactionSetLoop Class

destructor Destroy; override;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.Disassemble Method

TEDITransactionSetLoop Class

procedure Disassemble; override;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.FindLoop Method

TEDITransactionSetLoop Class

function FindLoop(LoopId: string; var StartIndex: Integer): TEDITransactionSetLoop;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.FindSegment Method (string, Integer)

TEDITransactionSetLoop Class

function FindSegment(SegmentId: string; var StartIndex: Integer): TEDISegment; overload;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.FindSegment Method (string, Integer, TStrings)

TEDITransactionSetLoop Class

function FindSegment(SegmentId: string; var StartIndex: Integer; ElementConditions: TStrings): TEDISegment; overload;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.InternalAssignDelimiters Method

TEDITransactionSetLoop Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDITransactionSetLoop Class


TEDITransactionSetLoop.InternalCreateEDIDataObject Method

TEDITransactionSetLoop Class

function InternalCreateEDIDataObject: TEDIDataObject; override;

Class

TEDITransactionSetLoop Class


TEDITransactionSetSegment Class

Properties	Methods	Legend

TEDITransactionSetSegment = class(TEDISegment);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetSegment Class Fields

TEDITransactionSetSegment Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDITransactionSetSegment Class Properties

TEDITransactionSetSegment Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId


Legend

published

read only


TEDITransactionSetSegment Class Methods

TEDITransactionSetSegment Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDITransactionSetSegment Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDITransactionSetSegment Class

Legend

protected

published

read only

Constructor


TEDITransactionSetSegment Class Members

TEDITransactionSetSegment Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDITransactionSetSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDITransactionSetSegment.Create Constructor

TEDITransactionSetSegment Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDITransactionSetSegment Class


TEDITransactionSetSegment.InternalAssignDelimiters Method

TEDITransactionSetSegment Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDITransactionSetSegment Class


TEDITransactionSetSegmentSpec Class

Properties	Methods	Legend

TEDITransactionSetSegmentSpec = class(TEDISegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetSegmentSpec Class Fields

TEDITransactionSetSegmentSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDITransactionSetSegmentSpec Class Properties

TEDITransactionSetSegmentSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDITransactionSetSegmentSpec Class Methods

TEDITransactionSetSegmentSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDITransactionSetSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

Constructor

protected


Legend

TEDITransactionSetSegmentSpec Class

Legend

protected

published

read only

Constructor


TEDITransactionSetSegmentSpec Class Members

TEDITransactionSetSegmentSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDITransactionSetSegmentSpec Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDITransactionSetSegmentSpec.Create Constructor

TEDITransactionSetSegmentSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDITransactionSetSegmentSpec Class


TEDITransactionSetSegmentSpec.InternalAssignDelimiters Method

TEDITransactionSetSegmentSpec Class

function InternalAssignDelimiters: TEDIDelimiters; override;

Class

TEDITransactionSetSegmentSpec Class


TEDITransactionSetSegmentSTSpec Class

Properties	Methods	Legend

TEDITransactionSetSegmentSTSpec = class(TEDITransactionSetSegmentSpec);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetSegmentSTSpec Class Fields

TEDITransactionSetSegmentSTSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDITransactionSetSegmentSTSpec Class Properties

TEDITransactionSetSegmentSTSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section


Legend

published

read only


TEDITransactionSetSegmentSTSpec Class Methods

TEDITransactionSetSegmentSTSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDITransactionSetSegmentSpec Class

 Create

InternalAssignDelimiters

TEDITransactionSetSegmentSTSpec Class

AssembleReservedData

 Create

DisassembleReservedData


Legend

Constructor

protected


Legend

TEDITransactionSetSegmentSTSpec Class

Legend

protected

published

read only

Constructor


TEDITransactionSetSegmentSTSpec Class Members

TEDITransactionSetSegmentSTSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDISegment Class

 ElementCount

 SegmentId

TEDISegmentSpec Class

 Description

 Id

 MaximumUsage

 Notes

 OwnerLoopId

 ParentLoopId

 Position

 RequirementDesignator

 ReservedData

 Section

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDISegment Class

AddCompositeElement

AddCompositeElements

AddElement

AddElements

AppendCompositeElement

AppendCompositeElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

InsertCompositeElement

InsertCompositeElements

InsertElement

InsertElements

 InternalAssignDelimiters

 InternalCreateCompositeElement

 InternalCreateEDIDataObject

 InternalCreateElement

TEDISegmentSpec Class

Assemble

AssembleReservedData

 Create

 Destroy

Disassemble

DisassembleReservedData

InternalCreateElement

ValidateElementIndexPositions

TEDITransactionSetSegmentSpec Class

 Create

InternalAssignDelimiters

TEDITransactionSetSegmentSTSpec Class

AssembleReservedData

 Create

DisassembleReservedData


Legend

protected

published

read only

Constructor


TEDITransactionSetSegmentSTSpec.AssembleReservedData Method

TEDITransactionSetSegmentSTSpec Class

procedure AssembleReservedData(ReservedData: TStrings); override;

Class

TEDITransactionSetSegmentSTSpec Class


TEDITransactionSetSegmentSTSpec.Create Constructor

TEDITransactionSetSegmentSTSpec Class

constructor Create(Parent: TEDIDataObject; ElementCount: Integer = 0); reintroduce;

Class

TEDITransactionSetSegmentSTSpec Class


TEDITransactionSetSegmentSTSpec.DisassembleReservedData Method

TEDITransactionSetSegmentSTSpec Class

procedure DisassembleReservedData(ReservedData: TStrings); override;

Class

TEDITransactionSetSegmentSTSpec Class


TEDITransactionSetSpec Class

Properties	Methods	Legend

TEDITransactionSetSpec = class(TEDITransactionSet);

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Legend

protected

published

read only

Constructor

Unit

JclEDI_ANSIX12


TEDITransactionSetSpec Class Fields

TEDITransactionSetSpec Class	Legend

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent


Legend

protected


TEDITransactionSetSpec Class Properties

TEDITransactionSetSpec Class	Legend

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSet Class

Segment

 SegmentCount

 Segments

 SegmentSE

 SegmentST

TEDITransactionSetSpec Class

 Id

 TransactionSetId

 TSDescription


Legend

published

read only


TEDITransactionSetSpec Class Methods

TEDITransactionSetSpec Class	Legend

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSet Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment

TEDITransactionSetSpec Class

InternalCreateHeaderTrailerSegments

InternalCreateSegment

ValidateSegmentIndexPositions


Legend

Constructor

protected


Legend

TEDITransactionSetSpec Class

Legend

protected

published

read only

Constructor


TEDITransactionSetSpec Class Members

TEDITransactionSetSpec Class	Legend

Members

Fields

TEDIDataObject Class

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIDataObjectGroup Class

 FCreateObjectType

 FEDIDataObjects

 FGroupIsParent

Properties

TEDIDataObject Class

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIDataObjectGroup Class

 CreateObjectType

EDIDataObject

 EDIDataObjectCount

 EDIDataObjects

TEDITransactionSet Class

Segment

 SegmentCount

 Segments

 SegmentSE

 SegmentST

TEDITransactionSetSpec Class

 Id

 TransactionSetId

 TSDescription

Methods

TEDIDataObject Class

Assemble

 Create

 Destroy

Disassemble

 GetData

 SetData

TEDIDataObjectGroup Class

AddEDIDataObject

AddEDIDataObjects

AppendEDIDataObject

AppendEDIDataObjects

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetCount

 GetEDIDataObject

GetIndexPositionFromParent

IndexIsValid

InsertEDIDataObject

InsertEDIDataObjects

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 SetEDIDataObject

TEDITransactionSet Class

AddSegment

AddSegments

AppendSegment

AppendSegments

Assemble

 Create

DeleteSegment

DeleteSegments

 Destroy

Disassemble

InsertSegment

InsertSegments

 InternalAssignDelimiters

 InternalCreateEDIDataObject

 InternalCreateHeaderTrailerSegments

 InternalCreateSegment

TEDITransactionSetSpec Class

InternalCreateHeaderTrailerSegments

InternalCreateSegment

ValidateSegmentIndexPositions


Legend

protected

published

read only

Constructor


TEDITransactionSetSpec.Id Property

TEDITransactionSetSpec Class

property Id: string;

Class

TEDITransactionSetSpec Class


TEDITransactionSetSpec.TransactionSetId Property

TEDITransactionSetSpec Class

property TransactionSetId: string;

Class

TEDITransactionSetSpec Class


TEDITransactionSetSpec.TSDescription Property

TEDITransactionSetSpec Class

property TSDescription: string;

Class

TEDITransactionSetSpec Class


TEDITransactionSetSpec.InternalCreateHeaderTrailerSegments Method

TEDITransactionSetSpec Class

procedure InternalCreateHeaderTrailerSegments; override;

Class

TEDITransactionSetSpec Class


TEDITransactionSetSpec.InternalCreateSegment Method

TEDITransactionSetSpec Class

function InternalCreateSegment: TEDISegment; override;

Class

TEDITransactionSetSpec Class


TEDITransactionSetSpec.ValidateSegmentIndexPositions Method

TEDITransactionSetSpec Class

procedure ValidateSegmentIndexPositions;

Class

TEDITransactionSetSpec Class


TEDIXMLANSIX12FormatTranslator Class

Methods	Legend

TEDIXMLANSIX12FormatTranslator = class(TEDIObject);

Legend

Constructor

Unit

JclEDIXML


TEDIXMLANSIX12FormatTranslator Class Methods

TEDIXMLANSIX12FormatTranslator Class	Legend

Methods

TEDIXMLANSIX12FormatTranslator Class

ConvertToEDISegment

ConvertToEDITransaction

ConvertToXMLSegment

ConvertToXMLTransaction

 Create

 Destroy


Legend

Constructor


Legend

TEDIXMLANSIX12FormatTranslator Class

Legend

Constructor


TEDIXMLANSIX12FormatTranslator Class Members

TEDIXMLANSIX12FormatTranslator Class	Legend

Members

Methods

TEDIXMLANSIX12FormatTranslator Class

ConvertToEDISegment

ConvertToEDITransaction

ConvertToXMLSegment

ConvertToXMLTransaction

 Create

 Destroy


Legend

Constructor


TEDIXMLANSIX12FormatTranslator.ConvertToEDISegment Method

TEDIXMLANSIX12FormatTranslator Class

function ConvertToEDISegment(XMLSegment: TEDIXMLSegment): TEDISegment;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.ConvertToEDITransaction Method

TEDIXMLANSIX12FormatTranslator Class

function ConvertToEDITransaction(XMLTransactionSet: TEDIXMLTransactionSet): TEDITransactionSet;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.ConvertToXMLSegment Method

TEDIXMLANSIX12FormatTranslator Class

function ConvertToXMLSegment(EDISegment: TEDISegment): TEDIXMLSegment;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.ConvertToXMLTransaction Method (TEDITransactionSet)

TEDIXMLANSIX12FormatTranslator Class

function ConvertToXMLTransaction(EDITransactionSet: TEDITransactionSet): TEDIXMLTransactionSet; overload;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.ConvertToXMLTransaction Method (TEDITransactionSet, TEDITransactionSetSpec)

TEDIXMLANSIX12FormatTranslator Class

function ConvertToXMLTransaction(EDITransactionSet: TEDITransactionSet; EDITransactionSetSpec: TEDITransactionSetSpec): TEDIXMLTransactionSet; overload;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.Create Constructor

TEDIXMLANSIX12FormatTranslator Class

constructor Create;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLANSIX12FormatTranslator.Destroy Destructor

TEDIXMLANSIX12FormatTranslator Class

destructor Destroy; override;

Class

TEDIXMLANSIX12FormatTranslator Class


TEDIXMLAttributes Class

Methods	Legend

TEDIXMLAttributes = class(TEDIXMLObject);

Legend

Constructor

Unit

JclEDIXML


TEDIXMLAttributes Class Methods

TEDIXMLAttributes Class	Legend

Methods

TEDIXMLAttributes Class

CheckAttribute

CombineAttributes

 Create

 Destroy

GetAttributeString

GetAttributeValue

ParseAttributes

SetAttribute


Legend

Constructor


Legend

TEDIXMLAttributes Class

Legend

Constructor


TEDIXMLAttributes Class Members

TEDIXMLAttributes Class	Legend

Members

Methods

TEDIXMLAttributes Class

CheckAttribute

CombineAttributes

 Create

 Destroy

GetAttributeString

GetAttributeValue

ParseAttributes

SetAttribute


Legend

Constructor


TEDIXMLAttributes.CheckAttribute Method

TEDIXMLAttributes Class

function CheckAttribute(Name: string; Value: string): Integer;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.CombineAttributes Method

TEDIXMLAttributes Class

function CombineAttributes: string;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.Create Constructor

TEDIXMLAttributes Class

constructor Create;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.Destroy Destructor

TEDIXMLAttributes Class

destructor Destroy; override;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.GetAttributeString Method

TEDIXMLAttributes Class

function GetAttributeString(Name: string): string;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.GetAttributeValue Method

TEDIXMLAttributes Class

function GetAttributeValue(Name: string): string;

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.ParseAttributes Method

TEDIXMLAttributes Class

procedure ParseAttributes(XMLStartTag: string);

Class

TEDIXMLAttributes Class


TEDIXMLAttributes.SetAttribute Method

TEDIXMLAttributes Class

procedure SetAttribute(Name: string; Value: string);

Class

TEDIXMLAttributes Class


TEDIXMLDataObject Class

Properties	Methods	Legend

TEDIXMLDataObject = class(TEDIXMLObject);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLDataObject Class Fields

TEDIXMLDataObject Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIXMLDataObject Class Properties

TEDIXMLDataObject Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State


Legend

published

read only


TEDIXMLDataObject Class Methods

TEDIXMLDataObject Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData


Legend

protected

Constructor


Legend

TEDIXMLDataObject Class

Legend

protected

published

read only

Constructor


TEDIXMLDataObject Class Members

TEDIXMLDataObject Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData


Legend

protected

published

read only

Constructor


TEDIXMLDataObject.FAttributes Field

TEDIXMLDataObject Class

FAttributes: TEDIXMLAttributes;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FCustomData1 Field

TEDIXMLDataObject Class

FCustomData1: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FCustomData2 Field

TEDIXMLDataObject Class

FCustomData2: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FData Field

TEDIXMLDataObject Class

FData: string;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FDelimiters Field

TEDIXMLDataObject Class

FDelimiters: TEDIXMLDelimiters;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FEDIDOT Field

TEDIXMLDataObject Class

FEDIDOT: TEDIDataObjectType;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FErrorLog Field

TEDIXMLDataObject Class

FErrorLog: TStrings;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FLength Field

TEDIXMLDataObject Class

FLength: Integer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FParent Field

TEDIXMLDataObject Class

FParent: TEDIXMLDataObject;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FSpecPointer Field

TEDIXMLDataObject Class

FSpecPointer: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.FState Field

TEDIXMLDataObject Class

FState: TEDIDataObjectDataState;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Attributes Property

TEDIXMLDataObject Class

property Attributes: TEDIXMLAttributes;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.CustomData1 Property

TEDIXMLDataObject Class

property CustomData1: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.CustomData2 Property

TEDIXMLDataObject Class

property CustomData2: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Data Property

TEDIXMLDataObject Class

property Data: string;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.DataLength Property

TEDIXMLDataObject Class

property DataLength: Integer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Delimiters Property

TEDIXMLDataObject Class

property Delimiters: TEDIXMLDelimiters;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Parent Property

TEDIXMLDataObject Class

property Parent: TEDIXMLDataObject;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.SpecPointer Property

TEDIXMLDataObject Class

property SpecPointer: Pointer;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.State Property

TEDIXMLDataObject Class

property State: TEDIDataObjectDataState;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Assemble Method

TEDIXMLDataObject Class

function Assemble: string; virtual; abstract;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Create Constructor

TEDIXMLDataObject Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Destroy Destructor

TEDIXMLDataObject Class

destructor Destroy; override;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.Disassemble Method

TEDIXMLDataObject Class

procedure Disassemble; virtual; abstract;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.GetData Method

TEDIXMLDataObject Class

function GetData: string;

Class

TEDIXMLDataObject Class


TEDIXMLDataObject.SetData Method

TEDIXMLDataObject Class

procedure SetData(const Data: string);

Class

TEDIXMLDataObject Class


TEDIXMLDataObjectGroup Class

Properties	Methods	Legend

TEDIXMLDataObjectGroup = class(TEDIXMLDataObject);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLDataObjectGroup Class Fields

TEDIXMLDataObjectGroup Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLDataObjectGroup Class Properties

TEDIXMLDataObjectGroup Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects


Legend

published

read only


TEDIXMLDataObjectGroup Class Methods

TEDIXMLDataObjectGroup Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject


Legend

protected

Constructor


Legend

TEDIXMLDataObjectGroup Class

Legend

protected

published

read only

Constructor


TEDIXMLDataObjectGroup Class Members

TEDIXMLDataObjectGroup Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject


Legend

protected

published

read only

Constructor


TEDIXMLDataObjectGroup.FEDIDataObjects Field

TEDIXMLDataObjectGroup Class

FEDIDataObjects: TEDIXMLDataObjectArray;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.EDIDataObject Property

TEDIXMLDataObjectGroup Class

property EDIDataObject [Index: Integer]: TEDIXMLDataObject;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.EDIDataObjects Property

TEDIXMLDataObjectGroup Class

property EDIDataObjects: TEDIXMLDataObjectArray;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.AddGroup Method

TEDIXMLDataObjectGroup Class

function AddGroup: Integer; virtual;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.AddSegment Method

TEDIXMLDataObjectGroup Class

function AddSegment: Integer;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.AppendEDIDataObject Method

TEDIXMLDataObjectGroup Class

function AppendEDIDataObject(EDIDataObject: TEDIXMLDataObject): Integer;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.Create Constructor

TEDIXMLDataObjectGroup Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.DeleteEDIDataObject Method (Integer)

TEDIXMLDataObjectGroup Class

procedure DeleteEDIDataObject(Index: Integer); overload;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.DeleteEDIDataObject Method (TEDIXMLDataObject)

TEDIXMLDataObjectGroup Class

procedure DeleteEDIDataObject(EDIDataObject: TEDIXMLDataObject); overload;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.DeleteEDIDataObjects Method

TEDIXMLDataObjectGroup Class

procedure DeleteEDIDataObjects;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.Destroy Destructor

TEDIXMLDataObjectGroup Class

destructor Destroy; override;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.GetEDIDataObject Method

TEDIXMLDataObjectGroup Class

function GetEDIDataObject(Index: Integer): TEDIXMLDataObject;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.InsertEDIDataObject Method

TEDIXMLDataObjectGroup Class

function InsertEDIDataObject(InsertIndex: Integer; EDIDataObject: TEDIXMLDataObject): Integer;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.InsertGroup Method

TEDIXMLDataObjectGroup Class

function InsertGroup(InsertIndex: Integer): Integer; virtual;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.InsertSegment Method

TEDIXMLDataObjectGroup Class

function InsertSegment(InsertIndex: Integer): Integer;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.InternalAssignDelimiters Method

TEDIXMLDataObjectGroup Class

function InternalAssignDelimiters: TEDIXMLDelimiters; virtual; abstract;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.InternalCreateDataObjectGroup Method

TEDIXMLDataObjectGroup Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; virtual; abstract;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.SearchForSegmentInDataString Method

TEDIXMLDataObjectGroup Class

function SearchForSegmentInDataString(Id: string; StartPos: Integer): Integer;

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDataObjectGroup.SetEDIDataObject Method

TEDIXMLDataObjectGroup Class

procedure SetEDIDataObject(Index: Integer; EDIDataObject: TEDIXMLDataObject);

Class

TEDIXMLDataObjectGroup Class


TEDIXMLDelimiters Class

Properties	Methods	Legend

TEDIXMLDelimiters = class(TEDIXMLObject);

Legend

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLDelimiters Class Properties

TEDIXMLDelimiters Class	Legend

Properties

TEDIXMLDelimiters Class

 AssignmentDelimiter

 BCDataD

 BCDataLength

 BOfETD

 BOfETDLength

 BTD

 BTDLength

 DoubleQuote

 ECDataD

 ECDataLength

 ETD

 ETDLength

 SingleQuote

 SpaceDelimiter


Legend

published

read only


TEDIXMLDelimiters Class Methods

TEDIXMLDelimiters Class	Legend

Methods

TEDIXMLDelimiters Class

 Create


Legend

Constructor


Legend

TEDIXMLDelimiters Class

Legend

published

read only

Constructor


TEDIXMLDelimiters Class Members

TEDIXMLDelimiters Class	Legend

Members

Properties

TEDIXMLDelimiters Class

 AssignmentDelimiter

 BCDataD

 BCDataLength

 BOfETD

 BOfETDLength

 BTD

 BTDLength

 DoubleQuote

 ECDataD

 ECDataLength

 ETD

 ETDLength

 SingleQuote

 SpaceDelimiter

Methods

TEDIXMLDelimiters Class

 Create


Legend

published

read only

Constructor


TEDIXMLDelimiters.AssignmentDelimiter Property

TEDIXMLDelimiters Class

property AssignmentDelimiter: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BCDataD Property

TEDIXMLDelimiters Class

property BCDataD: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BCDataLength Property

TEDIXMLDelimiters Class

property BCDataLength: Integer;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BOfETD Property

TEDIXMLDelimiters Class

property BOfETD: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BOfETDLength Property

TEDIXMLDelimiters Class

property BOfETDLength: Integer;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BTD Property

TEDIXMLDelimiters Class

property BTD: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.BTDLength Property

TEDIXMLDelimiters Class

property BTDLength: Integer;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.DoubleQuote Property

TEDIXMLDelimiters Class

property DoubleQuote: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.ECDataD Property

TEDIXMLDelimiters Class

property ECDataD: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.ECDataLength Property

TEDIXMLDelimiters Class

property ECDataLength: Integer;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.ETD Property

TEDIXMLDelimiters Class

property ETD: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.ETDLength Property

TEDIXMLDelimiters Class

property ETDLength: Integer;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.SingleQuote Property

TEDIXMLDelimiters Class

property SingleQuote: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.SpaceDelimiter Property

TEDIXMLDelimiters Class

property SpaceDelimiter: string;

Class

TEDIXMLDelimiters Class


TEDIXMLDelimiters.Create Constructor

TEDIXMLDelimiters Class

constructor Create;

Class

TEDIXMLDelimiters Class


TEDIXMLElement Class

Properties	Methods	Legend

TEDIXMLElement = class(TEDIXMLDataObject);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLElement Class

FCData

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLElement Class Fields

TEDIXMLElement Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLElement Class

FCData


Legend

protected


TEDIXMLElement Class Properties

TEDIXMLElement Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLElement Class

 CData


Legend

published

read only


TEDIXMLElement Class Methods

TEDIXMLElement Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent

InternalAssignDelimiters


Legend

protected

Constructor


Legend

TEDIXMLElement Class

Legend

protected

published

read only

Constructor


TEDIXMLElement Class Members

TEDIXMLElement Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLElement Class

FCData

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLElement Class

 CData

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLElement Class

Assemble

 Create

Disassemble

GetIndexPositionFromParent

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIXMLElement.FCData Field

TEDIXMLElement Class

FCData: Boolean;

Class

TEDIXMLElement Class


TEDIXMLElement.CData Property

TEDIXMLElement Class

property CData: Boolean;

Class

TEDIXMLElement Class


TEDIXMLElement.Assemble Method

TEDIXMLElement Class

function Assemble: string; override;

Class

TEDIXMLElement Class


TEDIXMLElement.Create Constructor

TEDIXMLElement Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLElement Class


TEDIXMLElement.Disassemble Method

TEDIXMLElement Class

procedure Disassemble; override;

Class

TEDIXMLElement Class


TEDIXMLElement.GetIndexPositionFromParent Method

TEDIXMLElement Class

function GetIndexPositionFromParent: Integer;

Class

TEDIXMLElement Class


TEDIXMLElement.InternalAssignDelimiters Method

TEDIXMLElement Class

function InternalAssignDelimiters: TEDIXMLDelimiters; virtual;

Class

TEDIXMLElement Class


TEDIXMLFile Class

Properties	Methods	Legend

TEDIXMLFile = class(TEDIXMLDataObjectGroup);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLFile Class Fields

TEDIXMLFile Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLFile Class Properties

TEDIXMLFile Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLFile Class

 FileID

 FileName

 XMLFileHeader


Legend

published

read only


TEDIXMLFile Class Methods

TEDIXMLFile Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLFile Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile


Legend

protected

Constructor


Legend

TEDIXMLFile Class

Legend

protected

published

read only

Constructor


TEDIXMLFile Class Members

TEDIXMLFile Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLFile Class

 FileID

 FileName

 XMLFileHeader

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLFile Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup

LoadFromFile

ReLoadFromFile

SaveAsToFile

SaveToFile


Legend

protected

published

read only

Constructor


TEDIXMLFile.FileID Property

TEDIXMLFile Class

property FileID: Integer;

Class

TEDIXMLFile Class


TEDIXMLFile.FileName Property

TEDIXMLFile Class

property FileName: string;

Class

TEDIXMLFile Class


TEDIXMLFile.XMLFileHeader Property

TEDIXMLFile Class

property XMLFileHeader: TEDIXMLFileHeader;

Class

TEDIXMLFile Class


TEDIXMLFile.Assemble Method

TEDIXMLFile Class

function Assemble: string; override;

Class

TEDIXMLFile Class


TEDIXMLFile.Create Constructor

TEDIXMLFile Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLFile Class


TEDIXMLFile.Destroy Destructor

TEDIXMLFile Class

destructor Destroy; override;

Class

TEDIXMLFile Class


TEDIXMLFile.Disassemble Method

TEDIXMLFile Class

procedure Disassemble; override;

Class

TEDIXMLFile Class


TEDIXMLFile.InternalAssignDelimiters Method

TEDIXMLFile Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLFile Class


TEDIXMLFile.InternalCreateDataObjectGroup Method

TEDIXMLFile Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; override;

Class

TEDIXMLFile Class


TEDIXMLFile.LoadFromFile Method

TEDIXMLFile Class

procedure LoadFromFile(const FileName: string);

Class

TEDIXMLFile Class


TEDIXMLFile.ReLoadFromFile Method

TEDIXMLFile Class

procedure ReLoadFromFile;

Class

TEDIXMLFile Class


TEDIXMLFile.SaveAsToFile Method

TEDIXMLFile Class

procedure SaveAsToFile(const FileName: string);

Class

TEDIXMLFile Class


TEDIXMLFile.SaveToFile Method

TEDIXMLFile Class

procedure SaveToFile;

Class

TEDIXMLFile Class


TEDIXMLFileHeader Class

Properties	Methods	Legend

TEDIXMLFileHeader = class(TEDIXMLObject);

Legend

published

read only

Constructor

protected

Unit

JclEDIXML


TEDIXMLFileHeader Class Properties

TEDIXMLFileHeader Class	Legend

Properties

TEDIXMLFileHeader Class

 Attributes

 Delimiters

 XMLNameSpaceOption


Legend

published

read only


TEDIXMLFileHeader Class Methods

TEDIXMLFileHeader Class	Legend

Methods

TEDIXMLFileHeader Class

 Create

 Destroy

 OutputAdditionalXMLHeaderAttributes

OutputXMLHeader

ParseXMLHeader


Legend

Constructor

protected


Legend

TEDIXMLFileHeader Class

Legend

published

read only

Constructor

protected


TEDIXMLFileHeader Class Members

TEDIXMLFileHeader Class	Legend

Members

Properties

TEDIXMLFileHeader Class

 Attributes

 Delimiters

 XMLNameSpaceOption

Methods

TEDIXMLFileHeader Class

 Create

 Destroy

 OutputAdditionalXMLHeaderAttributes

OutputXMLHeader

ParseXMLHeader


Legend

published

read only

Constructor

protected


TEDIXMLFileHeader.Attributes Property

TEDIXMLFileHeader Class

property Attributes: TEDIXMLAttributes;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.Delimiters Property

TEDIXMLFileHeader Class

property Delimiters: TEDIXMLDelimiters;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.XMLNameSpaceOption Property

TEDIXMLFileHeader Class

property XMLNameSpaceOption: TEDIXMLNameSpaceOption;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.Create Constructor

TEDIXMLFileHeader Class

constructor Create;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.Destroy Destructor

TEDIXMLFileHeader Class

destructor Destroy; override;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.OutputAdditionalXMLHeaderAttributes Method

TEDIXMLFileHeader Class

function OutputAdditionalXMLHeaderAttributes: string; virtual;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.OutputXMLHeader Method

TEDIXMLFileHeader Class

function OutputXMLHeader: string;

Class

TEDIXMLFileHeader Class


TEDIXMLFileHeader.ParseXMLHeader Method

TEDIXMLFileHeader Class

procedure ParseXMLHeader(XMLHeader: string);

Class

TEDIXMLFileHeader Class


TEDIXMLFunctionalGroup Class

Properties	Methods	Legend

TEDIXMLFunctionalGroup = class(TEDIXMLDataObjectGroup);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLFunctionalGroup Class Fields

TEDIXMLFunctionalGroup Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLFunctionalGroup Class Properties

TEDIXMLFunctionalGroup Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLFunctionalGroup Class

 SegmentGE

 SegmentGS


Legend

published

read only


TEDIXMLFunctionalGroup Class Methods

TEDIXMLFunctionalGroup Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLFunctionalGroup Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

Constructor


Legend

TEDIXMLFunctionalGroup Class

Legend

protected

published

read only

Constructor


TEDIXMLFunctionalGroup Class Members

TEDIXMLFunctionalGroup Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLFunctionalGroup Class

 SegmentGE

 SegmentGS

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLFunctionalGroup Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

published

read only

Constructor


TEDIXMLFunctionalGroup.SegmentGE Property

TEDIXMLFunctionalGroup Class

property SegmentGE: TEDIXMLSegment;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.SegmentGS Property

TEDIXMLFunctionalGroup Class

property SegmentGS: TEDIXMLSegment;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.Assemble Method

TEDIXMLFunctionalGroup Class

function Assemble: string; override;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.Create Constructor

TEDIXMLFunctionalGroup Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.Destroy Destructor

TEDIXMLFunctionalGroup Class

destructor Destroy; override;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.Disassemble Method

TEDIXMLFunctionalGroup Class

procedure Disassemble; override;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.InternalAssignDelimiters Method

TEDIXMLFunctionalGroup Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroup.InternalCreateDataObjectGroup Method

TEDIXMLFunctionalGroup Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; override;

Class

TEDIXMLFunctionalGroup Class


TEDIXMLFunctionalGroupSegment Class

Properties	Methods	Legend

TEDIXMLFunctionalGroupSegment = class(TEDIXMLSegment);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLFunctionalGroupSegment Class Fields

TEDIXMLFunctionalGroupSegment Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIXMLFunctionalGroupSegment Class Properties

TEDIXMLFunctionalGroupSegment Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID


Legend

published

read only


TEDIXMLFunctionalGroupSegment Class Methods

TEDIXMLFunctionalGroupSegment Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLFunctionalGroupSegment Class

 Create

InternalAssignDelimiters


Legend

protected

Constructor


Legend

TEDIXMLFunctionalGroupSegment Class

Legend

protected

published

read only

Constructor


TEDIXMLFunctionalGroupSegment Class Members

TEDIXMLFunctionalGroupSegment Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLFunctionalGroupSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIXMLFunctionalGroupSegment.Create Constructor (TEDIXMLDataObject)

TEDIXMLFunctionalGroupSegment Class

constructor Create(Parent: TEDIXMLDataObject); overload; reintroduce;

Class

TEDIXMLFunctionalGroupSegment Class


TEDIXMLFunctionalGroupSegment.Create Constructor (TEDIXMLDataObject, Integer)

TEDIXMLFunctionalGroupSegment Class

constructor Create(Parent: TEDIXMLDataObject; ElementCount: Integer); overload; reintroduce;

Class

TEDIXMLFunctionalGroupSegment Class


TEDIXMLFunctionalGroupSegment.InternalAssignDelimiters Method

TEDIXMLFunctionalGroupSegment Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLFunctionalGroupSegment Class


TEDIXMLInterchangeControl Class

Properties	Methods	Legend

TEDIXMLInterchangeControl = class(TEDIXMLDataObjectGroup);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLInterchangeControl Class Fields

TEDIXMLInterchangeControl Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLInterchangeControl Class Properties

TEDIXMLInterchangeControl Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLInterchangeControl Class

 SegmentIEA

 SegmentISA


Legend

published

read only


TEDIXMLInterchangeControl Class Methods

TEDIXMLInterchangeControl Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLInterchangeControl Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

Constructor


Legend

TEDIXMLInterchangeControl Class

Legend

protected

published

read only

Constructor


TEDIXMLInterchangeControl Class Members

TEDIXMLInterchangeControl Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLInterchangeControl Class

 SegmentIEA

 SegmentISA

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLInterchangeControl Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

published

read only

Constructor


TEDIXMLInterchangeControl.SegmentIEA Property

TEDIXMLInterchangeControl Class

property SegmentIEA: TEDIXMLSegment;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.SegmentISA Property

TEDIXMLInterchangeControl Class

property SegmentISA: TEDIXMLSegment;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.Assemble Method

TEDIXMLInterchangeControl Class

function Assemble: string; override;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.Create Constructor

TEDIXMLInterchangeControl Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.Destroy Destructor

TEDIXMLInterchangeControl Class

destructor Destroy; override;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.Disassemble Method

TEDIXMLInterchangeControl Class

procedure Disassemble; override;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.InternalAssignDelimiters Method

TEDIXMLInterchangeControl Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControl.InternalCreateDataObjectGroup Method

TEDIXMLInterchangeControl Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; override;

Class

TEDIXMLInterchangeControl Class


TEDIXMLInterchangeControlSegment Class

Properties	Methods	Legend

TEDIXMLInterchangeControlSegment = class(TEDIXMLSegment);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLInterchangeControlSegment Class Fields

TEDIXMLInterchangeControlSegment Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIXMLInterchangeControlSegment Class Properties

TEDIXMLInterchangeControlSegment Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID


Legend

published

read only


TEDIXMLInterchangeControlSegment Class Methods

TEDIXMLInterchangeControlSegment Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLInterchangeControlSegment Class

 Create

InternalAssignDelimiters


Legend

protected

Constructor


Legend

TEDIXMLInterchangeControlSegment Class

Legend

protected

published

read only

Constructor


TEDIXMLInterchangeControlSegment Class Members

TEDIXMLInterchangeControlSegment Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLInterchangeControlSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIXMLInterchangeControlSegment.Create Constructor (TEDIXMLDataObject)

TEDIXMLInterchangeControlSegment Class

constructor Create(Parent: TEDIXMLDataObject); overload; reintroduce;

Class

TEDIXMLInterchangeControlSegment Class


TEDIXMLInterchangeControlSegment.Create Constructor (TEDIXMLDataObject, Integer)

TEDIXMLInterchangeControlSegment Class

constructor Create(Parent: TEDIXMLDataObject; ElementCount: Integer); overload; reintroduce;

Class

TEDIXMLInterchangeControlSegment Class


TEDIXMLInterchangeControlSegment.InternalAssignDelimiters Method

TEDIXMLInterchangeControlSegment Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLInterchangeControlSegment Class


TEDIXMLObject Class

TEDIXMLObject = class(TEDIObject);

Unit

JclEDIXML


TEDIXMLSegment Class

Properties	Methods	Legend

TEDIXMLSegment = class(TEDIXMLDataObject);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLSegment Class Fields

TEDIXMLSegment Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIXMLSegment Class Properties

TEDIXMLSegment Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID


Legend

published

read only


TEDIXMLSegment Class Methods

TEDIXMLSegment Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement


Legend

protected

Constructor


Legend

TEDIXMLSegment Class

Legend

protected

published

read only

Constructor


TEDIXMLSegment Class Members

TEDIXMLSegment Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement


Legend

protected

published

read only

Constructor


TEDIXMLSegment.Element Property

TEDIXMLSegment Class

property Element [Index: Integer]: TEDIXMLElement;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Elements Property

TEDIXMLSegment Class

property Elements: TEDIXMLElementArray;

Class

TEDIXMLSegment Class


TEDIXMLSegment.SegmentID Property

TEDIXMLSegment Class

property SegmentID: string;

Class

TEDIXMLSegment Class


TEDIXMLSegment.AddElement Method

TEDIXMLSegment Class

function AddElement: Integer;

Class

TEDIXMLSegment Class


TEDIXMLSegment.AddElements Method

TEDIXMLSegment Class

function AddElements(Count: Integer): Integer;

Class

TEDIXMLSegment Class


TEDIXMLSegment.AppendElement Method

TEDIXMLSegment Class

function AppendElement(Element: TEDIXMLElement): Integer;

Class

TEDIXMLSegment Class


TEDIXMLSegment.AppendElements Method

TEDIXMLSegment Class

function AppendElements(ElementArray: TEDIXMLElementArray): Integer;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Assemble Method

TEDIXMLSegment Class

function Assemble: string; override;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Create Constructor (TEDIXMLDataObject)

TEDIXMLSegment Class

constructor Create(Parent: TEDIXMLDataObject); overload; reintroduce;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Create Constructor (TEDIXMLDataObject, Integer)

TEDIXMLSegment Class

constructor Create(Parent: TEDIXMLDataObject; ElementCount: Integer); overload; reintroduce;

Class

TEDIXMLSegment Class


TEDIXMLSegment.DeleteElement Method (Integer)

TEDIXMLSegment Class

procedure DeleteElement(Index: Integer); overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.DeleteElement Method (TEDIXMLElement)

TEDIXMLSegment Class

procedure DeleteElement(Element: TEDIXMLElement); overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.DeleteElements Method ()

TEDIXMLSegment Class

procedure DeleteElements; overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.DeleteElements Method (Integer, Integer)

TEDIXMLSegment Class

procedure DeleteElements(Index: Integer; Count: Integer); overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Destroy Destructor

TEDIXMLSegment Class

destructor Destroy; override;

Class

TEDIXMLSegment Class


TEDIXMLSegment.Disassemble Method

TEDIXMLSegment Class

procedure Disassemble; override;

Class

TEDIXMLSegment Class


TEDIXMLSegment.GetIndexPositionFromParent Method

TEDIXMLSegment Class

function GetIndexPositionFromParent: Integer;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InsertElement Method (Integer)

TEDIXMLSegment Class

function InsertElement(InsertIndex: Integer): Integer; overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InsertElement Method (Integer, TEDIXMLElement)

TEDIXMLSegment Class

function InsertElement(InsertIndex: Integer; Element: TEDIXMLElement): Integer; overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InsertElements Method (Integer, Integer)

TEDIXMLSegment Class

function InsertElements(InsertIndex: Integer; Count: Integer): Integer; overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InsertElements Method (Integer, TEDIXMLElementArray)

TEDIXMLSegment Class

function InsertElements(InsertIndex: Integer; ElementArray: TEDIXMLElementArray): Integer; overload;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InternalAssignDelimiters Method

TEDIXMLSegment Class

function InternalAssignDelimiters: TEDIXMLDelimiters; virtual;

Class

TEDIXMLSegment Class


TEDIXMLSegment.InternalCreateElement Method

TEDIXMLSegment Class

function InternalCreateElement: TEDIXMLElement; virtual;

Class

TEDIXMLSegment Class


TEDIXMLTransactionSet Class

Properties	Methods	Legend

TEDIXMLTransactionSet = class(TEDIXMLTransactionSetLoop);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLTransactionSet Class Fields

TEDIXMLTransactionSet Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLTransactionSet Class Properties

TEDIXMLTransactionSet Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLTransactionSetLoop Class

 ParentTransactionSet

TEDIXMLTransactionSet Class

 SegmentSE

 SegmentST


Legend

published

read only


TEDIXMLTransactionSet Class Methods

TEDIXMLTransactionSet Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLTransactionSetLoop Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup

TEDIXMLTransactionSet Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

Constructor


Legend

TEDIXMLTransactionSet Class

Legend

protected

published

read only

Constructor


TEDIXMLTransactionSet Class Members

TEDIXMLTransactionSet Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLTransactionSetLoop Class

 ParentTransactionSet

TEDIXMLTransactionSet Class

 SegmentSE

 SegmentST

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLTransactionSetLoop Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup

TEDIXMLTransactionSet Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

published

read only

Constructor


TEDIXMLTransactionSet.SegmentSE Property

TEDIXMLTransactionSet Class

property SegmentSE: TEDIXMLSegment;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.SegmentST Property

TEDIXMLTransactionSet Class

property SegmentST: TEDIXMLSegment;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.Assemble Method

TEDIXMLTransactionSet Class

function Assemble: string; override;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.Create Constructor

TEDIXMLTransactionSet Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.Destroy Destructor

TEDIXMLTransactionSet Class

destructor Destroy; override;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.Disassemble Method

TEDIXMLTransactionSet Class

procedure Disassemble; override;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.InternalAssignDelimiters Method

TEDIXMLTransactionSet Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSet.InternalCreateDataObjectGroup Method

TEDIXMLTransactionSet Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; override;

Class

TEDIXMLTransactionSet Class


TEDIXMLTransactionSetLoop Class

Properties	Methods	Legend

TEDIXMLTransactionSetLoop = class(TEDIXMLDataObjectGroup);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLTransactionSetLoop Class Fields

TEDIXMLTransactionSetLoop Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects


Legend

protected


TEDIXMLTransactionSetLoop Class Properties

TEDIXMLTransactionSetLoop Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLTransactionSetLoop Class

 ParentTransactionSet


Legend

published

read only


TEDIXMLTransactionSetLoop Class Methods

TEDIXMLTransactionSetLoop Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLTransactionSetLoop Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

Constructor


Legend

TEDIXMLTransactionSetLoop Class

Legend

protected

published

read only

Constructor


TEDIXMLTransactionSetLoop Class Members

TEDIXMLTransactionSetLoop Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

TEDIXMLDataObjectGroup Class

 FEDIDataObjects

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLDataObjectGroup Class

EDIDataObject

EDIDataObjects

TEDIXMLTransactionSetLoop Class

 ParentTransactionSet

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLDataObjectGroup Class

AddGroup

AddSegment

AppendEDIDataObject

 Create

DeleteEDIDataObject

DeleteEDIDataObjects

 Destroy

 GetEDIDataObject

InsertEDIDataObject

InsertGroup

InsertSegment

 InternalAssignDelimiters

 InternalCreateDataObjectGroup

 SearchForSegmentInDataString

 SetEDIDataObject

TEDIXMLTransactionSetLoop Class

Assemble

 Create

 Destroy

Disassemble

InternalAssignDelimiters

InternalCreateDataObjectGroup


Legend

protected

published

read only

Constructor


TEDIXMLTransactionSetLoop.ParentTransactionSet Property

TEDIXMLTransactionSetLoop Class

property ParentTransactionSet: TEDIXMLTransactionSet;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.Assemble Method

TEDIXMLTransactionSetLoop Class

function Assemble: string; override;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.Create Constructor

TEDIXMLTransactionSetLoop Class

constructor Create(Parent: TEDIXMLDataObject); reintroduce;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.Destroy Destructor

TEDIXMLTransactionSetLoop Class

destructor Destroy; override;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.Disassemble Method

TEDIXMLTransactionSetLoop Class

procedure Disassemble; override;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.InternalAssignDelimiters Method

TEDIXMLTransactionSetLoop Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetLoop.InternalCreateDataObjectGroup Method

TEDIXMLTransactionSetLoop Class

function InternalCreateDataObjectGroup: TEDIXMLDataObjectGroup; override;

Class

TEDIXMLTransactionSetLoop Class


TEDIXMLTransactionSetSegment Class

Properties	Methods	Legend

TEDIXMLTransactionSetSegment = class(TEDIXMLSegment);

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Legend

protected

published

read only

Constructor

Unit

JclEDIXML


TEDIXMLTransactionSetSegment Class Fields

TEDIXMLTransactionSetSegment Class	Legend

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState


Legend

protected


TEDIXMLTransactionSetSegment Class Properties

TEDIXMLTransactionSetSegment Class	Legend

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID


Legend

published

read only


TEDIXMLTransactionSetSegment Class Methods

TEDIXMLTransactionSetSegment Class	Legend

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLTransactionSetSegment Class

 Create

InternalAssignDelimiters


Legend

protected

Constructor


Legend

TEDIXMLTransactionSetSegment Class

Legend

protected

published

read only

Constructor


TEDIXMLTransactionSetSegment Class Members

TEDIXMLTransactionSetSegment Class	Legend

Members

Fields

TEDIXMLDataObject Class

 FAttributes

 FCustomData1

 FCustomData2

 FData

 FDelimiters

 FEDIDOT

 FErrorLog

 FLength

 FParent

 FSpecPointer

 FState

Properties

TEDIXMLDataObject Class

 Attributes

CustomData1

CustomData2

 Data

 DataLength

 Delimiters

 Parent

SpecPointer

 State

TEDIXMLSegment Class

Element

Elements

 SegmentID

Methods

TEDIXMLDataObject Class

 Assemble

 Create

 Destroy

 Disassemble

 GetData

 SetData

TEDIXMLSegment Class

AddElement

AddElements

AppendElement

AppendElements

Assemble

 Create

DeleteElement

DeleteElements

 Destroy

Disassemble

GetIndexPositionFromParent

InsertElement

InsertElements

InternalAssignDelimiters

InternalCreateElement

TEDIXMLTransactionSetSegment Class

 Create

InternalAssignDelimiters


Legend

protected

published

read only

Constructor


TEDIXMLTransactionSetSegment.Create Constructor (TEDIXMLDataObject)

TEDIXMLTransactionSetSegment Class

constructor Create(Parent: TEDIXMLDataObject); overload; reintroduce;

Class

TEDIXMLTransactionSetSegment Class


TEDIXMLTransactionSetSegment.Create Constructor (TEDIXMLDataObject, Integer)

TEDIXMLTransactionSetSegment Class

constructor Create(Parent: TEDIXMLDataObject; ElementCount: Integer); overload; reintroduce;

Class

TEDIXMLTransactionSetSegment Class


TEDIXMLTransactionSetSegment.InternalAssignDelimiters Method

TEDIXMLTransactionSetSegment Class

function InternalAssignDelimiters: TEDIXMLDelimiters; override;

Class

TEDIXMLTransactionSetSegment Class


TJclAnsiRegEx Class

Properties	Methods	Legend

TJclAnsiRegEx = class(TObject);

Legend

read only

Constructor

Unit

JclPCRE


TJclAnsiRegEx Class Properties

TJclAnsiRegEx Class	Legend

Properties

 CaptureCount

 CaptureOffset

 Captures

 ErrorMessage

 ErrorOffset

Options


Legend

read only


TJclAnsiRegEx Class Methods

TJclAnsiRegEx Class	Legend

Methods

Compile

 Create

 Destroy

Match


Legend

Constructor


Legend

TJclAnsiRegEx Class

Legend

read only

Constructor


TJclAnsiRegEx Class Members

TJclAnsiRegEx Class	Legend

Members

Properties

 CaptureCount

 CaptureOffset

 Captures

 ErrorMessage

 ErrorOffset

Options

Methods

Compile

 Create

 Destroy

Match


Legend

read only

Constructor


TJclAnsiRegEx.CaptureCount Property

TJclAnsiRegEx Class

property CaptureCount: Integer;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.CaptureOffset Property

TJclAnsiRegEx Class

property CaptureOffset [Index: Integer]: TJclAnsiCaptureOffset;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Captures Property

TJclAnsiRegEx Class

property Captures [Index: Integer]: AnsiString;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.ErrorMessage Property

TJclAnsiRegEx Class

property ErrorMessage: AnsiString;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.ErrorOffset Property

TJclAnsiRegEx Class

property ErrorOffset: Integer;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Options Property

TJclAnsiRegEx Class

property Options: TJclAnsiRegExOptions;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Compile Method

TJclAnsiRegEx Class

function Compile(const Pattern: AnsiString; Study: Boolean; UserLocale: Boolean): Boolean;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Create Constructor

TJclAnsiRegEx Class

constructor Create;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Destroy Destructor

TJclAnsiRegEx Class

destructor Destroy; override;

Class

TJclAnsiRegEx Class


TJclAnsiRegEx.Match Method

TJclAnsiRegEx Class

function Match(const Subject: AnsiString; StartOffset: Cardinal = 1): Boolean;

Class

TJclAnsiRegEx Class


TJclArraySet Class

Properties	Methods	Legend

This class store objects only one time in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclArraySet = class(TJclArrayList, IJclCollection, IJclSet, IJclCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

read only

Unit

JclArraySets


TJclArraySet Class Methods

TJclArraySet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList

TJclArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Contains

Return True if the collection contains AObject.

 Insert

 Intersect

 Subtract

 Union


Legend

Constructor

protected


TJclArraySet Class Properties

TJclArraySet Class	Legend

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclArrayList Class

Capacity

 OwnsObjects


Legend

read only


Legend

TJclArraySet Class

Legend

Constructor

protected

read only


TJclArraySet Class Members

TJclArraySet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList

TJclArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Contains

Return True if the collection contains AObject.

 Insert

 Intersect

 Subtract

 Union

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclArrayList Class

Capacity

 OwnsObjects


Legend

Constructor

protected

read only


TJclArraySet.Add Method

TJclArraySet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean;

Class

TJclArraySet Class


TJclArraySet.AddAll Method

TJclArraySet Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean;

Donator

Jean-Philippe Bempel

Class

TJclArraySet Class


TJclArraySet.Contains Method

TJclArraySet Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclArraySet Class


TJclArraySet.Insert Method

TJclArraySet Class

procedure Insert(Index: Integer; AObject: TObject); overload;

Class

TJclArraySet Class


TJclArraySet.Intersect Method

TJclArraySet Class

procedure Intersect(ACollection: IJclCollection);

Class

TJclArraySet Class


TJclArraySet.Subtract Method

TJclArraySet Class

procedure Subtract(ACollection: IJclCollection);

Class

TJclArraySet Class


TJclArraySet.Union Method

TJclArraySet Class

procedure Union(ACollection: IJclCollection);

Class

TJclArraySet Class


TJclASet Class

Methods	Legend

TJclASet = class(TObject);

Legend

protected

Unit

JclMath


TJclASet Class Methods

TJclASet Class	Legend

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange


Legend

protected


Legend

TJclASet Class

Legend

protected


TJclASet Class Members

TJclASet Class	Legend

Members

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange


Legend

protected


TJclASet.Clear Method

TJclASet Class

procedure Clear; virtual; abstract;

Class

TJclASet Class


TJclASet.GetBit Method

TJclASet Class

function GetBit(const Idx: Integer): Boolean; virtual; abstract;

Class

TJclASet Class


TJclASet.GetRange Method

TJclASet Class

function GetRange(const Low: Integer; const High: Integer; const Value: Boolean): Boolean; virtual; abstract;

Class

TJclASet Class


TJclASet.Invert Method

TJclASet Class

procedure Invert; virtual; abstract;

Class

TJclASet Class


TJclASet.SetBit Method

TJclASet Class

procedure SetBit(const Idx: Integer; const Value: Boolean); virtual; abstract;

Class

TJclASet Class


TJclASet.SetRange Method

TJclASet Class

procedure SetRange(const Low: Integer; const High: Integer; const Value: Boolean); virtual; abstract;

Class

TJclASet Class


TJclBCBInstallation Class

Properties	Methods	Events	Legend

TJclBCBInstallation = class(TJclBorRADToolInstallation);

Events

OutputCallback

Legend

read only

protected

Constructor

Unit

JclBorlandTools


TJclBCBInstallation Class Properties

TJclBCBInstallation Class	Legend

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr


Legend

read only


TJclBCBInstallation Class Events

TJclBCBInstallation Class

Events

OutputCallback


TJclBCBInstallation Class Methods

TJclBCBInstallation Class	Legend

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclBCBInstallation Class

ConfigFileName

 Create

 Destroy

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName


Legend

protected

Constructor


Legend

TJclBCBInstallation Class

Legend

read only

protected

Constructor


TJclBCBInstallation Class Members

TJclBCBInstallation Class	Legend

Members

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr

Events

OutputCallback

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclBCBInstallation Class

ConfigFileName

 Create

 Destroy

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName


Legend

read only

protected

Constructor


TJclBCBInstallation.ConfigFileName Method

TJclBCBInstallation Class

function ConfigFileName(const Extension: string): string; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.Create Constructor

TJclBCBInstallation Class

constructor Create(const AConfigDataLocation: string); override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.Destroy Destructor

TJclBCBInstallation Class

destructor Destroy; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.GetEnvironmentVariables Method

TJclBCBInstallation Class

function GetEnvironmentVariables: TStrings; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.GetLatestUpdatePackForVersion Method

TJclBCBInstallation Class

class function GetLatestUpdatePackForVersion(Version: Integer): Integer; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.PackageSourceFileExtension Method

TJclBCBInstallation Class

class function PackageSourceFileExtension: string; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.ProjectSourceFileExtension Method

TJclBCBInstallation Class

class function ProjectSourceFileExtension: string; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.RadToolKind Method

TJclBCBInstallation Class

class function RadToolKind: TJclBorRadToolKind; override;

Class

TJclBCBInstallation Class


TJclBCBInstallation.RadToolName Method

TJclBCBInstallation Class

function RadToolName: string; override;

Class

TJclBCBInstallation Class


TJclBCC32 Class

Properties	Methods	Events	Legend

TJclBCC32 = class(TJclBorlandCommandLineTool);

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Legend

read only

write only

Constructor

protected

Unit

JclBorlandTools


TJclBCC32 Class Properties

TJclBCC32 Class	Legend

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output


Legend

read only


TJclBCC32 Class Events

TJclBCC32 Class	Legend

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback


Legend

write only


TJclBCC32 Class Methods

TJclBCC32 Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBCC32 Class

 Create

 GetExeName

SupportsLibSuffix


Legend

Constructor

protected


Legend

TJclBCC32 Class

Legend

read only

write only

Constructor

protected


TJclBCC32 Class Members

TJclBCC32 Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBCC32 Class

 Create

 GetExeName

SupportsLibSuffix


Legend

read only

write only

Constructor

protected


TJclBCC32.Create Constructor

TJclBCC32 Class

constructor Create(AInstallation: TJclBorRADToolInstallation); override;

Class

TJclBCC32 Class


TJclBCC32.GetExeName Method

TJclBCC32 Class

function GetExeName: string; override;

Class

TJclBCC32 Class


TJclBCC32.SupportsLibSuffix Method

TJclBCC32 Class

function SupportsLibSuffix: Boolean;

Class

TJclBCC32 Class


TJclBDSInstallation Class

Properties	Methods	Events	Legend

TJclBDSInstallation = class(TJclBorRADToolInstallation);

Events

OutputCallback

Legend

read only

protected

Constructor

Unit

JclBorlandTools


TJclBDSInstallation Class Properties

TJclBDSInstallation Class	Legend

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr

TJclBDSInstallation Class

DualPackageInstallation


Legend

read only


TJclBDSInstallation Class Events

TJclBDSInstallation Class

Events

OutputCallback


TJclBDSInstallation Class Methods

TJclBDSInstallation Class	Legend

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclBDSInstallation Class

CleanPackageCache

 CompileDelphiPackage

 CompileDelphiProject

 Create

GetBorlandStudioProjectsDir

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

RegisterPackage

UnregisterPackage


Legend

protected

Constructor


Legend

TJclBDSInstallation Class

Legend

read only

protected

Constructor


TJclBDSInstallation Class Members

TJclBDSInstallation Class	Legend

Members

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr

TJclBDSInstallation Class

DualPackageInstallation

Events

OutputCallback

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclBDSInstallation Class

CleanPackageCache

 CompileDelphiPackage

 CompileDelphiProject

 Create

GetBorlandStudioProjectsDir

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

RegisterPackage

UnregisterPackage


Legend

read only

protected

Constructor


TJclBDSInstallation.DualPackageInstallation Property

TJclBDSInstallation Class

property DualPackageInstallation: Boolean;

Class

TJclBDSInstallation Class


TJclBDSInstallation.CleanPackageCache Method

TJclBDSInstallation Class

function CleanPackageCache(const BinaryFileName: string): Boolean;

Class

TJclBDSInstallation Class


TJclBDSInstallation.CompileDelphiPackage Method

TJclBDSInstallation Class

function CompileDelphiPackage(const PackageName: string; const BPLPath: string; const DCPPath: string; const ExtraOptions: string): Boolean; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.CompileDelphiProject Method

TJclBDSInstallation Class

function CompileDelphiProject(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.Create Constructor

TJclBDSInstallation Class

constructor Create(const AConfigDataLocation: string); override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetBorlandStudioProjectsDir Method

TJclBDSInstallation Class

function GetBorlandStudioProjectsDir: string;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetBPLOutputPath Method

TJclBDSInstallation Class

function GetBPLOutputPath: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetDCPOutputPath Method

TJclBDSInstallation Class

function GetDCPOutputPath: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetDefaultProjectsDir Method

TJclBDSInstallation Class

function GetDefaultProjectsDir: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetEnvironmentVariables Method

TJclBDSInstallation Class

function GetEnvironmentVariables: TStrings; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetLatestUpdatePackForVersion Method

TJclBDSInstallation Class

class function GetLatestUpdatePackForVersion(Version: Integer): Integer; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetName Method

TJclBDSInstallation Class

function GetName: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.GetVclIncludeDir Method

TJclBDSInstallation Class

function GetVclIncludeDir: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.PackageSourceFileExtension Method

TJclBDSInstallation Class

class function PackageSourceFileExtension: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.ProjectSourceFileExtension Method

TJclBDSInstallation Class

class function ProjectSourceFileExtension: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.RadToolKind Method

TJclBDSInstallation Class

class function RadToolKind: TJclBorRadToolKind; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.RadToolName Method

TJclBDSInstallation Class

function RadToolName: string; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.RegisterPackage Method

TJclBDSInstallation Class

function RegisterPackage(const BinaryFileName: string; const Description: string): Boolean; override;

Class

TJclBDSInstallation Class


TJclBDSInstallation.UnregisterPackage Method

TJclBDSInstallation Class

function UnregisterPackage(const BinaryFileName: string): Boolean; override;

Class

TJclBDSInstallation Class


TJclBinaryInstruction Class

Properties	Methods	Legend

TJclBinaryInstruction = class(TJclInstruction);

Legend

read only

Constructor

protected

Unit

JclCIL


TJclBinaryInstruction Class Properties

TJclBinaryInstruction Class	Legend

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode


Legend

read only


TJclBinaryInstruction Class Methods

TJclBinaryInstruction Class	Legend

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

Constructor

protected


Legend

TJclBinaryInstruction Class

Legend

read only

Constructor

protected


TJclBinaryInstruction Class Members

TJclBinaryInstruction Class	Legend

Members

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

read only

Constructor

protected


TJclBinaryNode Class

TJclBinaryNode = class;

Fields

Color

Left

Parent

Right

TJclBinaryNode=recordObj

Unit

JclBinaryTrees


TJclBinaryNode Class Fields

TJclBinaryNode Class

Fields

Color

Left

Parent

Right

TJclBinaryNode=recordObj


TJclBinaryNode Class Members

TJclBinaryNode Class

Members

Fields

Color

Left

Parent

Right

TJclBinaryNode=recordObj


TJclBinaryNode.Color Field

TJclBinaryNode Class

Color: TJclTreeColor;

Class

TJclBinaryNode Class


TJclBinaryNode.Left Field

TJclBinaryNode Class

Left: PJclBinaryNode;

Class

TJclBinaryNode Class


TJclBinaryNode.Parent Field

TJclBinaryNode Class

Parent: PJclBinaryNode;

Class

TJclBinaryNode Class


TJclBinaryNode.Right Field

TJclBinaryNode Class

Right: PJclBinaryNode;

Class

TJclBinaryNode Class


TJclBinaryNode.TJclBinaryNode_recordObj Field
TJclBinaryNode.TJclBinaryNode=recordObj Field

TJclBinaryNode Class

TJclBinaryNode=recordObj: TObject;

Class

TJclBinaryNode Class


TJclBinaryTree Class

Properties	Methods	Legend

This class store objects in a red-black binary tree.

The binary tree is always balanced with red-black algorithms (from CLR) for best performance in search.

When an element is removed or insert, the tree is modified to keep balancing.

You can traverse the tree with iterators in different order (PreOrder, Order and PostOrder). Iterators are bidirectionnal.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclBinaryTree = class(TJclAbstractContainer, IJclCollection, IJclTree, IJclCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

Unit

JclBinaryTrees


TJclBinaryTree Class Methods

TJclBinaryTree Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 GetTraverseOrder

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 Remove

Remove AObject from the collection. Return True if the method succeeds.

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetTraverseOrder

 Size

Return the number of objects contained in the collection.


Legend

Constructor

protected


TJclBinaryTree Class Properties

TJclBinaryTree Class

Properties

IJclTree Interface

TraverseOrder


Legend

TJclBinaryTree Class

Legend

Constructor

protected


TJclBinaryTree Class Members

TJclBinaryTree Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 GetTraverseOrder

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 Remove

Remove AObject from the collection. Return True if the method succeeds.

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetTraverseOrder

 Size

Return the number of objects contained in the collection.

Properties

IJclTree Interface

TraverseOrder


Legend

Constructor

protected


TJclBinaryTree.Add Method

TJclBinaryTree Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.AddAll Method

TJclBinaryTree Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean;

Donator

Jean-Philippe Bempel

Class

TJclBinaryTree Class


TJclBinaryTree.Clear Method

TJclBinaryTree Class

Clear all objects contained in the collection.

Pascal

procedure Clear;

Class

TJclBinaryTree Class


TJclBinaryTree.Clone Method

TJclBinaryTree Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclBinaryTree Class


TJclBinaryTree.Contains Method

TJclBinaryTree Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.ContainsAll Method

TJclBinaryTree Class

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.Create Constructor

TJclBinaryTree Class

constructor Create(AComparator: TCompare = nil);

Class

TJclBinaryTree Class


TJclBinaryTree.Destroy Destructor

TJclBinaryTree Class

destructor Destroy; override;

Class

TJclBinaryTree Class


TJclBinaryTree.Equals Method

TJclBinaryTree Class

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.First Method

TJclBinaryTree Class

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Class

TJclBinaryTree Class


TJclBinaryTree.GetTraverseOrder Method

TJclBinaryTree Class

function GetTraverseOrder: TJclTraverseOrder;

Class

TJclBinaryTree Class


TJclBinaryTree.IsEmpty Method

TJclBinaryTree Class

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.Last Method

TJclBinaryTree Class

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Class

TJclBinaryTree Class


TJclBinaryTree.Remove Method

TJclBinaryTree Class

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.RemoveAll Method

TJclBinaryTree Class

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.RetainAll Method

TJclBinaryTree Class

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Class

TJclBinaryTree Class


TJclBinaryTree.SetTraverseOrder Method

TJclBinaryTree Class

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Class

TJclBinaryTree Class


TJclBinaryTree.Size Method

TJclBinaryTree Class

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Class

TJclBinaryTree Class


TJclBorlandCommandLineTool Class

Properties	Methods	Events	Legend

TJclBorlandCommandLineTool = class(TJclBorRADToolInstallationObject, IJclCommandLineTool);

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Legend

read only

write only

Constructor

protected

Unit

JclBorlandTools


TJclBorlandCommandLineTool Class Properties

TJclBorlandCommandLineTool Class	Legend

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output


Legend

read only


TJclBorlandCommandLineTool Class Events

TJclBorlandCommandLineTool Class	Legend

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback


Legend

write only


TJclBorlandCommandLineTool Class Methods

TJclBorlandCommandLineTool Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback


Legend

Constructor

protected


Legend

TJclBorlandCommandLineTool Class

Legend

read only

write only

Constructor

protected


TJclBorlandCommandLineTool Class Members

TJclBorlandCommandLineTool Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback


Legend

read only

write only

Constructor

protected


TJclBorlandCommandLineTool.FileName Property

TJclBorlandCommandLineTool Class

property FileName: string;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.Options Property

TJclBorlandCommandLineTool Class

property Options: TStrings;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.Output Property

TJclBorlandCommandLineTool Class

property Output: string;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.OutputCallback Event

TJclBorlandCommandLineTool Class

property OutputCallback: TTextHandler;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.AddPathOption Method

TJclBorlandCommandLineTool Class

procedure AddPathOption(const Option: string; const Path: string);

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.CheckOutputValid Method

TJclBorlandCommandLineTool Class

procedure CheckOutputValid;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.Create Constructor

TJclBorlandCommandLineTool Class

constructor Create(AInstallation: TJclBorRADToolInstallation); virtual;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.Destroy Destructor

TJclBorlandCommandLineTool Class

destructor Destroy; override;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.Execute Method

TJclBorlandCommandLineTool Class

function Execute(const CommandLine: string): Boolean; virtual;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.GetExeName Method

TJclBorlandCommandLineTool Class

function GetExeName: string; virtual;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.GetFileName Method

TJclBorlandCommandLineTool Class

function GetFileName: string;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.GetOptions Method

TJclBorlandCommandLineTool Class

function GetOptions: TStrings;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.GetOutput Method

TJclBorlandCommandLineTool Class

function GetOutput: string;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.GetOutputCallback Method

TJclBorlandCommandLineTool Class

function GetOutputCallback: TTextHandler;

Class

TJclBorlandCommandLineTool Class


TJclBorlandCommandLineTool.SetOutputCallback Method

TJclBorlandCommandLineTool Class

procedure SetOutputCallback(const CallbackMethod: TTextHandler);

Class

TJclBorlandCommandLineTool Class


TJclBorlandMake Class

Properties	Methods	Events	Legend

TJclBorlandMake = class(TJclBorlandCommandLineTool);

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Legend

read only

write only

Constructor

protected

Unit

JclBorlandTools


TJclBorlandMake Class Properties

TJclBorlandMake Class	Legend

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output


Legend

read only


TJclBorlandMake Class Events

TJclBorlandMake Class	Legend

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback


Legend

write only


TJclBorlandMake Class Methods

TJclBorlandMake Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBorlandMake Class

 GetExeName


Legend

Constructor

protected


Legend

TJclBorlandMake Class

Legend

read only

write only

Constructor

protected


TJclBorlandMake Class Members

TJclBorlandMake Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBorlandMake Class

 GetExeName


Legend

read only

write only

Constructor

protected


TJclBorlandMake.GetExeName Method

TJclBorlandMake Class

function GetExeName: string; override;

Class

TJclBorlandMake Class


TJclBorlandOpenHelp Class

Properties	Methods	Legend

TJclBorlandOpenHelp = class(TJclBorRADToolInstallationObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorlandOpenHelp Class Properties

TJclBorlandOpenHelp Class	Legend

Properties

 Installation

TJclBorlandOpenHelp Class

 ContentFileName

 GidFileName

 IndexFileName

 LinkFileName

 ProjectFileName


Legend

read only


TJclBorlandOpenHelp Class Methods

TJclBorlandOpenHelp Class	Legend

Methods

 Create

TJclBorlandOpenHelp Class

AddHelpFile

RemoveHelpFile


Legend

Constructor

protected


Legend

TJclBorlandOpenHelp Class

Legend

read only

Constructor

protected


TJclBorlandOpenHelp Class Members

TJclBorlandOpenHelp Class	Legend

Members

Properties

 Installation

TJclBorlandOpenHelp Class

 ContentFileName

 GidFileName

 IndexFileName

 LinkFileName

 ProjectFileName

Methods

 Create

TJclBorlandOpenHelp Class

AddHelpFile

RemoveHelpFile


Legend

read only

Constructor

protected


TJclBorlandOpenHelp.ContentFileName Property

TJclBorlandOpenHelp Class

property ContentFileName: string;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.GidFileName Property

TJclBorlandOpenHelp Class

property GidFileName: string;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.IndexFileName Property

TJclBorlandOpenHelp Class

property IndexFileName: string;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.LinkFileName Property

TJclBorlandOpenHelp Class

property LinkFileName: string;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.ProjectFileName Property

TJclBorlandOpenHelp Class

property ProjectFileName: string;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.AddHelpFile Method

TJclBorlandOpenHelp Class

function AddHelpFile(const HelpFileName: string; const IndexName: string): Boolean;

Class

TJclBorlandOpenHelp Class


TJclBorlandOpenHelp.RemoveHelpFile Method

TJclBorlandOpenHelp Class

function RemoveHelpFile(const HelpFileName: string; const IndexName: string): Boolean;

Class

TJclBorlandOpenHelp Class


TJclBorRADToolIdePackages Class

Properties	Methods	Legend

TJclBorRADToolIdePackages = class(TJclBorRADToolInstallationObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolIdePackages Class Properties

TJclBorRADToolIdePackages Class	Legend

Properties

 Installation

TJclBorRADToolIdePackages Class

 Count

 ExpertCount

 ExpertDescriptions

 ExpertFileNames

 IDECount

 IDEPackageDescriptions

 IDEPackageFileNames

 PackageDescriptions

 PackageDisabled

 PackageFileNames


Legend

read only


TJclBorRADToolIdePackages Class Methods

TJclBorRADToolIdePackages Class	Legend

Methods

 Create

TJclBorRADToolIdePackages Class

AddExpert

AddIDEPackage

AddPackage

 Create

 Destroy

 PackageEntryToFileName

 ReadPackages

 RemoveDisabled

RemoveExpert

RemoveIDEPackage

RemovePackage


Legend

Constructor

protected


Legend

TJclBorRADToolIdePackages Class

Legend

read only

Constructor

protected


TJclBorRADToolIdePackages Class Members

TJclBorRADToolIdePackages Class	Legend

Members

Properties

 Installation

TJclBorRADToolIdePackages Class

 Count

 ExpertCount

 ExpertDescriptions

 ExpertFileNames

 IDECount

 IDEPackageDescriptions

 IDEPackageFileNames

 PackageDescriptions

 PackageDisabled

 PackageFileNames

Methods

 Create

TJclBorRADToolIdePackages Class

AddExpert

AddIDEPackage

AddPackage

 Create

 Destroy

 PackageEntryToFileName

 ReadPackages

 RemoveDisabled

RemoveExpert

RemoveIDEPackage

RemovePackage


Legend

read only

Constructor

protected


TJclBorRADToolIdePackages.Count Property

TJclBorRADToolIdePackages Class

property Count: Integer;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.ExpertCount Property

TJclBorRADToolIdePackages Class

property ExpertCount: Integer;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.ExpertDescriptions Property

TJclBorRADToolIdePackages Class

property ExpertDescriptions [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.ExpertFileNames Property

TJclBorRADToolIdePackages Class

property ExpertFileNames [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.IDECount Property

TJclBorRADToolIdePackages Class

property IDECount: Integer;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.IDEPackageDescriptions Property

TJclBorRADToolIdePackages Class

property IDEPackageDescriptions [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.IDEPackageFileNames Property

TJclBorRADToolIdePackages Class

property IDEPackageFileNames [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.PackageDescriptions Property

TJclBorRADToolIdePackages Class

property PackageDescriptions [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.PackageDisabled Property

TJclBorRADToolIdePackages Class

property PackageDisabled [Index: Integer]: Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.PackageFileNames Property

TJclBorRADToolIdePackages Class

property PackageFileNames [Index: Integer]: string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.AddExpert Method

TJclBorRADToolIdePackages Class

function AddExpert(const FileName: string; const Description: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.AddIDEPackage Method

TJclBorRADToolIdePackages Class

function AddIDEPackage(const FileName: string; const Description: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.AddPackage Method

TJclBorRADToolIdePackages Class

function AddPackage(const FileName: string; const Description: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.Create Constructor

TJclBorRADToolIdePackages Class

constructor Create(AInstallation: TJclBorRADToolInstallation);

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.Destroy Destructor

TJclBorRADToolIdePackages Class

destructor Destroy; override;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.PackageEntryToFileName Method

TJclBorRADToolIdePackages Class

function PackageEntryToFileName(const Entry: string): string;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.ReadPackages Method

TJclBorRADToolIdePackages Class

procedure ReadPackages;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.RemoveDisabled Method

TJclBorRADToolIdePackages Class

procedure RemoveDisabled(const FileName: string);

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.RemoveExpert Method

TJclBorRADToolIdePackages Class

function RemoveExpert(const FileName: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.RemoveIDEPackage Method

TJclBorRADToolIdePackages Class

function RemoveIDEPackage(const FileName: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdePackages.RemovePackage Method

TJclBorRADToolIdePackages Class

function RemovePackage(const FileName: string): Boolean;

Class

TJclBorRADToolIdePackages Class


TJclBorRADToolIdeTool Class

Properties	Methods	Legend

TJclBorRADToolIdeTool = class(TJclBorRADToolInstallationObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolIdeTool Class Properties

TJclBorRADToolIdeTool Class	Legend

Properties

 Installation

TJclBorRADToolIdeTool Class

Count

 Key

Parameters

Path

Title

WorkingDir


Legend

read only


TJclBorRADToolIdeTool Class Methods

TJclBorRADToolIdeTool Class	Legend

Methods

 Create

TJclBorRADToolIdeTool Class

 CheckIndex

 Create

IndexOfPath

IndexOfTitle


Legend

Constructor

protected


Legend

TJclBorRADToolIdeTool Class

Legend

read only

Constructor

protected


TJclBorRADToolIdeTool Class Members

TJclBorRADToolIdeTool Class	Legend

Members

Properties

 Installation

TJclBorRADToolIdeTool Class

Count

 Key

Parameters

Path

Title

WorkingDir

Methods

 Create

TJclBorRADToolIdeTool Class

 CheckIndex

 Create

IndexOfPath

IndexOfTitle


Legend

read only

Constructor

protected


TJclBorRADToolIdeTool.Count Property

TJclBorRADToolIdeTool Class

property Count: Integer;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.Key Property

TJclBorRADToolIdeTool Class

property Key: string;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.Parameters Property

TJclBorRADToolIdeTool Class

property Parameters [Index: Integer]: string;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.Path Property

TJclBorRADToolIdeTool Class

property Path [Index: Integer]: string;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.Title Property

TJclBorRADToolIdeTool Class

property Title [Index: Integer]: string;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.WorkingDir Property

TJclBorRADToolIdeTool Class

property WorkingDir [Index: Integer]: string;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.CheckIndex Method

TJclBorRADToolIdeTool Class

procedure CheckIndex(Index: Integer);

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.Create Constructor

TJclBorRADToolIdeTool Class

constructor Create(AInstallation: TJclBorRADToolInstallation);

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.IndexOfPath Method

TJclBorRADToolIdeTool Class

function IndexOfPath(const Value: string): Integer;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolIdeTool.IndexOfTitle Method

TJclBorRADToolIdeTool Class

function IndexOfTitle(const Value: string): Integer;

Class

TJclBorRADToolIdeTool Class


TJclBorRADToolInstallation Class

Properties	Methods	Events	Legend

TJclBorRADToolInstallation = class(TObject);

Events

OutputCallback

Legend

read only

protected

Constructor

Unit

JclBorlandTools


TJclBorRADToolInstallation Class Properties

TJclBorRADToolInstallation Class	Legend

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr


Legend

read only


TJclBorRADToolInstallation Class Events

TJclBorRADToolInstallation Class

Events

OutputCallback


TJclBorRADToolInstallation Class Methods

TJclBorRADToolInstallation Class	Legend

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage


Legend

protected

Constructor


Legend

TJclBorRADToolInstallation Class

Legend

read only

protected

Constructor


TJclBorRADToolInstallation Class Members

TJclBorRADToolInstallation Class	Legend

Members

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr

Events

OutputCallback

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage


Legend

read only

protected

Constructor


TJclBorRADToolInstallation.BCC32 Property

TJclBorRADToolInstallation Class

property BCC32: TJclBCC32;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.BinFolderName Property

TJclBorRADToolInstallation Class

property BinFolderName: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.BPLOutputPath Property

TJclBorRADToolInstallation Class

property BPLOutputPath: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Bpr2Mak Property

TJclBorRADToolInstallation Class

property Bpr2Mak: TJclBpr2Mak;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CommandLineTools Property

TJclBorRADToolInstallation Class

property CommandLineTools: TCommandLineTools;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ConfigData Property

TJclBorRADToolInstallation Class

property ConfigData: TCustomIniFile;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ConfigDataLocation Property

TJclBorRADToolInstallation Class

property ConfigDataLocation: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.DCC Property

TJclBorRADToolInstallation Class

property DCC: TJclDCC32;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.DCC32 Property

TJclBorRADToolInstallation Class

property DCC32: TJclDCC32;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.DCPOutputPath Property

TJclBorRADToolInstallation Class

property DCPOutputPath: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.DebugDCUPath Property

TJclBorRADToolInstallation Class

property DebugDCUPath: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.DefaultProjectsDir Property

TJclBorRADToolInstallation Class

property DefaultProjectsDir: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Description Property

TJclBorRADToolInstallation Class

property Description: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Edition Property

TJclBorRADToolInstallation Class

property Edition: TJclBorRADToolEdition;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.EditionAsText Property

TJclBorRADToolInstallation Class

property EditionAsText: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.EnvironmentVariables Property

TJclBorRADToolInstallation Class

property EnvironmentVariables: TStrings;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Globals Property

TJclBorRADToolInstallation Class

property Globals: TStrings;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IdeExeBuildNumber Property

TJclBorRADToolInstallation Class

property IdeExeBuildNumber: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IdeExeFileName Property

TJclBorRADToolInstallation Class

property IdeExeFileName: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IdePackages Property

TJclBorRADToolInstallation Class

property IdePackages: TJclBorRADToolIdePackages;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IdeTools Property

TJclBorRADToolInstallation Class

property IdeTools: TJclBorRADToolIdeTool;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IDEVersionNumber Property

TJclBorRADToolInstallation Class

property IDEVersionNumber: Integer;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstalledUpdatePack Property

TJclBorRADToolInstallation Class

property InstalledUpdatePack: Integer;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.LatestUpdatePack Property

TJclBorRADToolInstallation Class

property LatestUpdatePack: Integer;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.LibraryBrowsingPath Property

TJclBorRADToolInstallation Class

property LibraryBrowsingPath: TJclBorRADToolPath;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.LibrarySearchPath Property

TJclBorRADToolInstallation Class

property LibrarySearchPath: TJclBorRADToolPath;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Make Property

TJclBorRADToolInstallation Class

property Make: IJclCommandLineTool;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.MapCreate Property

TJclBorRADToolInstallation Class

property MapCreate: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.MapDelete Property

TJclBorRADToolInstallation Class

property MapDelete: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.MapLink Property

TJclBorRADToolInstallation Class

property MapLink: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Name Property

TJclBorRADToolInstallation Class

property Name: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.OpenHelp Property

TJclBorRADToolInstallation Class

property OpenHelp: TJclBorlandOpenHelp;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.OutputCallback Event

TJclBorRADToolInstallation Class

property OutputCallback: TTextHandler;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Palette Property

TJclBorRADToolInstallation Class

property Palette: TJclBorRADToolPalette;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Personalities Property

TJclBorRADToolInstallation Class

property Personalities: TJclBorPersonalities;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Repository Property

TJclBorRADToolInstallation Class

property Repository: TJclBorRADToolRepository;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RootDir Property

TJclBorRADToolInstallation Class

property RootDir: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.SupportsLibSuffix Property

TJclBorRADToolInstallation Class

property SupportsLibSuffix: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UpdateNeeded Property

TJclBorRADToolInstallation Class

property UpdateNeeded: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Valid Property

TJclBorRADToolInstallation Class

property Valid: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.VclIncludeDir Property

TJclBorRADToolInstallation Class

property VclIncludeDir: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.VersionNumber Property

TJclBorRADToolInstallation Class

property VersionNumber: Integer;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.VersionNumberStr Property

TJclBorRADToolInstallation Class

property VersionNumberStr: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.AddMissingPathItems Method

TJclBorRADToolInstallation Class

function AddMissingPathItems(var Path: string; const NewPath: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.AddToDebugDCUPath Method

TJclBorRADToolInstallation Class

function AddToDebugDCUPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.AddToLibraryBrowsingPath Method

TJclBorRADToolInstallation Class

function AddToLibraryBrowsingPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.AddToLibrarySearchPath Method

TJclBorRADToolInstallation Class

function AddToLibrarySearchPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.AnyInstanceRunning Method

TJclBorRADToolInstallation Class

function AnyInstanceRunning: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileBCBPackage Method

TJclBorRADToolInstallation Class

function CompileBCBPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileBCBProject Method

TJclBorRADToolInstallation Class

function CompileBCBProject(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileDelphiPackage Method (string, string, string)

TJclBorRADToolInstallation Class

function CompileDelphiPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual; overload;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileDelphiPackage Method (string, string, string, string)

TJclBorRADToolInstallation Class

function CompileDelphiPackage(const PackageName: string; const BPLPath: string; const DCPPath: string; const ExtraOptions: string): Boolean; virtual; overload;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileDelphiProject Method

TJclBorRADToolInstallation Class

function CompileDelphiProject(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompilePackage Method

TJclBorRADToolInstallation Class

function CompilePackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.CompileProject Method

TJclBorRADToolInstallation Class

function CompileProject(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ConfigFileName Method

TJclBorRADToolInstallation Class

function ConfigFileName(const Extension: string): string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Create Constructor

TJclBorRADToolInstallation Class

constructor Create(const AConfigDataLocation: string); virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.Destroy Destructor

TJclBorRADToolInstallation Class

destructor Destroy; override;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ExtractPaths Method

TJclBorRADToolInstallation Class

class procedure ExtractPaths(const Path: TJclBorRADToolPath; List: TStrings);

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.FindFolderInPath Method

TJclBorRADToolInstallation Class

function FindFolderInPath(Folder: string; List: TStrings): Integer;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetBPLOutputPath Method

TJclBorRADToolInstallation Class

function GetBPLOutputPath: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetDCPOutputPath Method

TJclBorRADToolInstallation Class

function GetDCPOutputPath: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetDefaultProjectsDir Method

TJclBorRADToolInstallation Class

function GetDefaultProjectsDir: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetEnvironmentVariables Method

TJclBorRADToolInstallation Class

function GetEnvironmentVariables: TStrings; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetLatestUpdatePackForVersion Method

TJclBorRADToolInstallation Class

class function GetLatestUpdatePackForVersion(Version: Integer): Integer; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetName Method

TJclBorRADToolInstallation Class

function GetName: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.GetVclIncludeDir Method

TJclBorRADToolInstallation Class

function GetVclIncludeDir: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallBCBExpert Method

TJclBorRADToolInstallation Class

function InstallBCBExpert(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallBCBIdePackage Method

TJclBorRADToolInstallation Class

function InstallBCBIdePackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallBCBPackage Method

TJclBorRADToolInstallation Class

function InstallBCBPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallDelphiExpert Method

TJclBorRADToolInstallation Class

function InstallDelphiExpert(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallDelphiIdePackage Method

TJclBorRADToolInstallation Class

function InstallDelphiIdePackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallDelphiPackage Method

TJclBorRADToolInstallation Class

function InstallDelphiPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallExpert Method

TJclBorRADToolInstallation Class

function InstallExpert(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallIDEPackage Method

TJclBorRADToolInstallation Class

function InstallIDEPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.InstallPackage Method

TJclBorRADToolInstallation Class

function InstallPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.IsBDSPersonality Method

TJclBorRADToolInstallation Class

function IsBDSPersonality: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.LibFolderName Method

TJclBorRADToolInstallation Class

function LibFolderName: string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.LinkMapFile Method

TJclBorRADToolInstallation Class

function LinkMapFile(const BinaryFileName: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.OutputFileDelete Method

TJclBorRADToolInstallation Class

function OutputFileDelete(const FileName: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.OutputString Method

TJclBorRADToolInstallation Class

procedure OutputString(const AText: string);

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.PackageSourceFileExtension Method

TJclBorRADToolInstallation Class

class function PackageSourceFileExtension: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ProjectSourceFileExtension Method

TJclBorRADToolInstallation Class

class function ProjectSourceFileExtension: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RadToolKind Method

TJclBorRADToolInstallation Class

class function RadToolKind: TJclBorRadToolKind; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RadToolName Method

TJclBorRADToolInstallation Class

function RadToolName: string; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.ReadInformation Method

TJclBorRADToolInstallation Class

procedure ReadInformation;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RegisterExpert Method

TJclBorRADToolInstallation Class

function RegisterExpert(const BinaryFileName: string; const Description: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RegisterIDEPackage Method

TJclBorRADToolInstallation Class

function RegisterIDEPackage(const BinaryFileName: string; const Description: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RegisterPackage Method

TJclBorRADToolInstallation Class

function RegisterPackage(const BinaryFileName: string; const Description: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RemoveFromDebugDCUPath Method

TJclBorRADToolInstallation Class

function RemoveFromDebugDCUPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RemoveFromLibraryBrowsingPath Method

TJclBorRADToolInstallation Class

function RemoveFromLibraryBrowsingPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RemoveFromLibrarySearchPath Method

TJclBorRADToolInstallation Class

function RemoveFromLibrarySearchPath(const Path: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.RemoveFromPath Method

TJclBorRADToolInstallation Class

function RemoveFromPath(var Path: string; const ItemsToRemove: string): Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.SubstitutePath Method

TJclBorRADToolInstallation Class

function SubstitutePath(const Path: string): string;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.SupportsBCB Method

TJclBorRADToolInstallation Class

function SupportsBCB: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.SupportsVisualCLX Method

TJclBorRADToolInstallation Class

function SupportsVisualCLX: Boolean;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallBCBExpert Method

TJclBorRADToolInstallation Class

function UninstallBCBExpert(const ProjectName: string; const OutputDir: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallBCBIdePackage Method

TJclBorRADToolInstallation Class

function UninstallBCBIdePackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallBCBPackage Method

TJclBorRADToolInstallation Class

function UninstallBCBPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallDelphiExpert Method

TJclBorRADToolInstallation Class

function UninstallDelphiExpert(const ProjectName: string; const OutputDir: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallDelphiIdePackage Method

TJclBorRADToolInstallation Class

function UninstallDelphiIdePackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallDelphiPackage Method

TJclBorRADToolInstallation Class

function UninstallDelphiPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallExpert Method

TJclBorRADToolInstallation Class

function UninstallExpert(const ProjectName: string; const OutputDir: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallIDEPackage Method

TJclBorRADToolInstallation Class

function UninstallIDEPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UninstallPackage Method

TJclBorRADToolInstallation Class

function UninstallPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UnregisterExpert Method

TJclBorRADToolInstallation Class

function UnregisterExpert(const BinaryFileName: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UnregisterIDEPackage Method

TJclBorRADToolInstallation Class

function UnregisterIDEPackage(const BinaryFileName: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallation.UnregisterPackage Method

TJclBorRADToolInstallation Class

function UnregisterPackage(const BinaryFileName: string): Boolean; virtual;

Class

TJclBorRADToolInstallation Class


TJclBorRADToolInstallationObject Class

Properties	Methods	Legend

TJclBorRADToolInstallationObject = class(TInterfacedObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolInstallationObject Class Properties

TJclBorRADToolInstallationObject Class	Legend

Properties

 Installation


Legend

read only


TJclBorRADToolInstallationObject Class Methods

TJclBorRADToolInstallationObject Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclBorRADToolInstallationObject Class

Legend

read only

Constructor

protected


TJclBorRADToolInstallationObject Class Members

TJclBorRADToolInstallationObject Class	Legend

Members

Properties

 Installation

Methods

 Create


Legend

read only

Constructor

protected


TJclBorRADToolInstallationObject.Installation Property

TJclBorRADToolInstallationObject Class

property Installation: TJclBorRADToolInstallation;

Class

TJclBorRADToolInstallationObject Class


TJclBorRADToolInstallationObject.Create Constructor

TJclBorRADToolInstallationObject Class

constructor Create(AInstallation: TJclBorRADToolInstallation);

Class

TJclBorRADToolInstallationObject Class


TJclBorRADToolInstallations Class

Properties	Methods	Legend

TJclBorRADToolInstallations = class(TObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolInstallations Class Properties

TJclBorRADToolInstallations Class	Legend

Properties

 BCBInstallationFromVersion

 BCBVersionInstalled

 BDSInstallationFromVersion

 BDSVersionInstalled

 Count

 DelphiInstallationFromVersion

 DelphiVersionInstalled

 Installations


Legend

read only


TJclBorRADToolInstallations Class Methods

TJclBorRADToolInstallations Class	Legend

Methods

AnyInstanceRunning

AnyUpdatePackNeeded

 Create

 Destroy

Iterate

 ReadInstallations


Legend

Constructor

protected


Legend

TJclBorRADToolInstallations Class

Legend

read only

Constructor

protected


TJclBorRADToolInstallations Class Members

TJclBorRADToolInstallations Class	Legend

Members

Properties

 BCBInstallationFromVersion

 BCBVersionInstalled

 BDSInstallationFromVersion

 BDSVersionInstalled

 Count

 DelphiInstallationFromVersion

 DelphiVersionInstalled

 Installations

Methods

AnyInstanceRunning

AnyUpdatePackNeeded

 Create

 Destroy

Iterate

 ReadInstallations


Legend

read only

Constructor

protected


TJclBorRADToolInstallations.BCBInstallationFromVersion Property

TJclBorRADToolInstallations Class

property BCBInstallationFromVersion [VersionNumber: Integer]: TJclBorRADToolInstallation;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.BCBVersionInstalled Property

TJclBorRADToolInstallations Class

property BCBVersionInstalled [VersionNumber: Integer]: Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.BDSInstallationFromVersion Property

TJclBorRADToolInstallations Class

property BDSInstallationFromVersion [VersionNumber: Integer]: TJclBorRADToolInstallation;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.BDSVersionInstalled Property

TJclBorRADToolInstallations Class

property BDSVersionInstalled [VersionNumber: Integer]: Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.Count Property

TJclBorRADToolInstallations Class

property Count: Integer;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.DelphiInstallationFromVersion Property

TJclBorRADToolInstallations Class

property DelphiInstallationFromVersion [VersionNumber: Integer]: TJclBorRADToolInstallation;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.DelphiVersionInstalled Property

TJclBorRADToolInstallations Class

property DelphiVersionInstalled [VersionNumber: Integer]: Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.Installations Property

TJclBorRADToolInstallations Class

property Installations [Index: Integer]: TJclBorRADToolInstallation;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.AnyInstanceRunning Method

TJclBorRADToolInstallations Class

function AnyInstanceRunning: Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.AnyUpdatePackNeeded Method

TJclBorRADToolInstallations Class

function AnyUpdatePackNeeded(var Text: string): Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.Create Constructor

TJclBorRADToolInstallations Class

constructor Create;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.Destroy Destructor

TJclBorRADToolInstallations Class

destructor Destroy; override;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.Iterate Method

TJclBorRADToolInstallations Class

function Iterate(TraverseMethod: TTraverseMethod): Boolean;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolInstallations.ReadInstallations Method

TJclBorRADToolInstallations Class

procedure ReadInstallations;

Class

TJclBorRADToolInstallations Class


TJclBorRADToolPalette Class

Properties	Methods	Legend

TJclBorRADToolPalette = class(TJclBorRADToolInstallationObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolPalette Class Properties

TJclBorRADToolPalette Class	Legend

Properties

 Installation

TJclBorRADToolPalette Class

 ComponentsOnTab

 HiddenComponentsOnTab

 Key

 TabNameCount

 TabNames


Legend

read only


TJclBorRADToolPalette Class Methods

TJclBorRADToolPalette Class	Legend

Methods

 Create

TJclBorRADToolPalette Class

ComponentsOnTabToStrings

 Create

DeleteTabName

 Destroy

TabNameExists


Legend

Constructor

protected


Legend

TJclBorRADToolPalette Class

Legend

read only

Constructor

protected


TJclBorRADToolPalette Class Members

TJclBorRADToolPalette Class	Legend

Members

Properties

 Installation

TJclBorRADToolPalette Class

 ComponentsOnTab

 HiddenComponentsOnTab

 Key

 TabNameCount

 TabNames

Methods

 Create

TJclBorRADToolPalette Class

ComponentsOnTabToStrings

 Create

DeleteTabName

 Destroy

TabNameExists


Legend

read only

Constructor

protected


TJclBorRADToolPalette.ComponentsOnTab Property

TJclBorRADToolPalette Class

property ComponentsOnTab [Index: Integer]: string;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.HiddenComponentsOnTab Property

TJclBorRADToolPalette Class

property HiddenComponentsOnTab [Index: Integer]: string;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.Key Property

TJclBorRADToolPalette Class

property Key: string;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.TabNameCount Property

TJclBorRADToolPalette Class

property TabNameCount: Integer;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.TabNames Property

TJclBorRADToolPalette Class

property TabNames [Index: Integer]: string;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.ComponentsOnTabToStrings Method

TJclBorRADToolPalette Class

procedure ComponentsOnTabToStrings(Index: Integer; Strings: TStrings; IncludeUnitName: Boolean = False; IncludeHiddenComponents: Boolean = True);

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.Create Constructor

TJclBorRADToolPalette Class

constructor Create(AInstallation: TJclBorRADToolInstallation);

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.DeleteTabName Method

TJclBorRADToolPalette Class

function DeleteTabName(const TabName: string): Boolean;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.Destroy Destructor

TJclBorRADToolPalette Class

destructor Destroy; override;

Class

TJclBorRADToolPalette Class


TJclBorRADToolPalette.TabNameExists Method

TJclBorRADToolPalette Class

function TabNameExists(const TabName: string): Boolean;

Class

TJclBorRADToolPalette Class


TJclBorRADToolRepository Class

Properties	Methods	Legend

TJclBorRADToolRepository = class(TJclBorRADToolInstallationObject);

Legend

read only

Constructor

protected

Unit

JclBorlandTools


TJclBorRADToolRepository Class Properties

TJclBorRADToolRepository Class	Legend

Properties

 Installation

TJclBorRADToolRepository Class

 FileName

 IniFile

 Pages


Legend

read only


TJclBorRADToolRepository Class Methods

TJclBorRADToolRepository Class	Legend

Methods

 Create

TJclBorRADToolRepository Class

AddObject

CloseIniFile

 Create

 Destroy

FindPage

RemoveObjects


Legend

Constructor

protected


Legend

TJclBorRADToolRepository Class

Legend

read only

Constructor

protected


TJclBorRADToolRepository Class Members

TJclBorRADToolRepository Class	Legend

Members

Properties

 Installation

TJclBorRADToolRepository Class

 FileName

 IniFile

 Pages

Methods

 Create

TJclBorRADToolRepository Class

AddObject

CloseIniFile

 Create

 Destroy

FindPage

RemoveObjects


Legend

read only

Constructor

protected


TJclBorRADToolRepository.FileName Property

TJclBorRADToolRepository Class

property FileName: string;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.IniFile Property

TJclBorRADToolRepository Class

property IniFile: TIniFile;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.Pages Property

TJclBorRADToolRepository Class

property Pages: TStrings;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.AddObject Method

TJclBorRADToolRepository Class

procedure AddObject(const FileName: string; const ObjectType: string; const PageName: string; const ObjectName: string; const IconFileName: string; const Description: string; const Author: string; const Designer: string; const Ancestor: string = '');

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.CloseIniFile Method

TJclBorRADToolRepository Class

procedure CloseIniFile;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.Create Constructor

TJclBorRADToolRepository Class

constructor Create(AInstallation: TJclBorRADToolInstallation);

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.Destroy Destructor

TJclBorRADToolRepository Class

destructor Destroy; override;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.FindPage Method

TJclBorRADToolRepository Class

function FindPage(const Name: string; OptionalIndex: Integer): string;

Class

TJclBorRADToolRepository Class


TJclBorRADToolRepository.RemoveObjects Method

TJclBorRADToolRepository Class

procedure RemoveObjects(const PartialPath: string; const FileName: string; const ObjectType: string);

Class

TJclBorRADToolRepository Class


TJclBpr2Mak Class

Properties	Methods	Events	Legend

TJclBpr2Mak = class(TJclBorlandCommandLineTool);

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Legend

read only

write only

Constructor

protected

Unit

JclBorlandTools


TJclBpr2Mak Class Properties

TJclBpr2Mak Class	Legend

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output


Legend

read only


TJclBpr2Mak Class Events

TJclBpr2Mak Class	Legend

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback


Legend

write only


TJclBpr2Mak Class Methods

TJclBpr2Mak Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBpr2Mak Class

 GetExeName


Legend

Constructor

protected


Legend

TJclBpr2Mak Class

Legend

read only

write only

Constructor

protected


TJclBpr2Mak Class Members

TJclBpr2Mak Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclBpr2Mak Class

 GetExeName


Legend

read only

write only

Constructor

protected


TJclBpr2Mak.GetExeName Method

TJclBpr2Mak Class

function GetExeName: string; override;

Class

TJclBpr2Mak Class


TJclBucket Class

TJclBucket = class;

Fields

Entries

TJclBucket=recordCount

Unit

JclHashMaps


TJclBucket Class Fields

TJclBucket Class

Fields

Entries

TJclBucket=recordCount


TJclBucket Class Members

TJclBucket Class

Members

Fields

Entries

TJclBucket=recordCount


TJclBucket.Entries Field

TJclBucket Class

Entries: TJclEntryArray;

Class

TJclBucket Class


TJclBucket.TJclBucket_recordCount Field
TJclBucket.TJclBucket=recordCount Field

TJclBucket Class

TJclBucket=recordCount: Integer;

Class

TJclBucket Class


TJclByteMap Class

Properties	Methods	See Also	Legend

TJclByteMap = class(TJclCustomMap);

Description

The TJclByteMap class may be used to simulate palette-based operations or to access separate color layers in TJclBitmap32.

TJclByteMap is an descendat of TJclCustomMap and assignment compatible with TJclBitmap32 in both directions.

Donator

Alex Denissov

Legend

protected

read only

Constructor

Unit

JclGraphics


TJclByteMap Class Properties

TJclByteMap Class	Legend

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.

TJclByteMap Class

 Bytes

Provides access to contained data.

 ValPtr

Provides access to the data byte at position (X, Y).

Value


Legend

protected

read only


TJclByteMap Class Methods

TJclByteMap Class	Legend

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.

TJclByteMap Class

Assign

 AssignTo

Clear

Fills the byte map with the specified value.

 Destroy

Empty

Specifies whether the byte map contains data.

ReadFrom

SetSize

Call SetSize to set the dimensions of the bytemap.

WriteTo

WriteTo fills the destinatio bitmap using the values stored in the byte map.


Legend

Constructor

protected


Legend

TJclByteMap Class

Legend

protected

read only

Constructor


TJclByteMap Class Members

TJclByteMap Class	Legend

Members

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.

TJclByteMap Class

 Bytes

Provides access to contained data.

 ValPtr

Provides access to the data byte at position (X, Y).

Value

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.

TJclByteMap Class

Assign

 AssignTo

Clear

Fills the byte map with the specified value.

 Destroy

Empty

Specifies whether the byte map contains data.

ReadFrom

SetSize

Call SetSize to set the dimensions of the bytemap.

WriteTo

WriteTo fills the destinatio bitmap using the values stored in the byte map.


Legend

protected

read only

Constructor


See Also

TJclBitmap32, TJclCustomMap


TJclByteMap.Bytes Property

TJclByteMap Class

Provides access to contained data.

Pascal

property Bytes: TDynByteArray;

Description

Returns the pointer to the internal array of bytes. Data is stored in row-major order, top-left "pixel" comes first.

Donator

Alex Denissov

Class

TJclByteMap Class


TJclByteMap.ValPtr Property

See Also	TJclByteMap Class

Provides access to the data byte at position (X, Y).

Pascal

property ValPtr [X, Y: Integer]: PByte;

Description

Returns a pointer to a specific byte in the array.

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

Byte, Bytes


TJclByteMap.Value Property

TJclByteMap Class

property Value [X, Y: Integer]: Byte;

Class

TJclByteMap Class


TJclByteMap.Assign Method

See Also	TJclByteMap Class

procedure Assign(Source: TPersistent); override;

Description

Copies data from another object, specified by the Source parameter.

This method supports following classes:

nil – assigns an empty data array; TJclByteMap – copies data bytes from another byte map; TJclBitmap32 – transforms bitmap data using the ReadFrom method with ctWeightedRGB conversion type.

TByteMap also overrides the protected AssignTo method, making it possible to assign bitmaps from byte maps, so that both following lines are correct:

  ByteMap.Assign(Bitmap32); // an analog to BM := Intensity(B32);

  Bitmap32.Assign(ByteMap); // an analog to B32 := Gray32(BM);

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

TJclBitmap32, ReadFrom


TJclByteMap.AssignTo Method

TJclByteMap Class

procedure AssignTo(Dst: TPersistent); override;

Class

TJclByteMap Class


TJclByteMap.Clear Method

TJclByteMap Class

Fills the byte map with the specified value.

Pascal

procedure Clear(FillValue: Byte);

Description

Fills the entire byte map with the specified value.

Donator

Alex Denissov

Class

TJclByteMap Class


TJclByteMap.Destroy Destructor

TJclByteMap Class

destructor Destroy; override;

Description

Destroys the bytemap object and frees all the associated memory.

Do not call Destroy directly, use the Free method instead.

Donator

Alex Denissov

Class

TJclByteMap Class


TJclByteMap.Empty Method

See Also	TJclByteMap Class

Specifies whether the byte map contains data.

Pascal

function Empty: Boolean; override;

Description

Returns True if the byte map contains no data, which implies that either Width or Height is 0.

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

Height, Width


TJclByteMap.ReadFrom Method

See Also	TJclByteMap Class

procedure ReadFrom(Source: TJclBitmap32; Conversion: TConversionKind);

Description

ReadFrom allows reading and converting data from TJclBitmap32 objects into the byte map.

First, the byte map is resized to fit the Source bitmap dimensions, then the 32-bit RGBA color is transformed to 8-bits depending on the conversion type:

Conversion Action

------------ ---------------------------------------------------

ctRed Copies red channel ctGreen Copies green channel ctBlue Copies blue channel ctAlpha Copies alpha channel ctUniformRGB Copies averaged value: (R + G + B) / 3 ctWeightedRGB Copies intensity: R * 0.21 + G * 0.71 + B * 0.08

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

TJclBitmap32, TConversionType


TJclByteMap.SetSize Method

See Also	TJclByteMap Class

Call SetSize to set the dimensions of the bytemap.

Pascal

procedure SetSize(NewWidth: Integer; NewHeight: Integer); override;

Description

If one of the arguments is zero, the bytemap is considered empty and its Bytes property is set to nil.

Calling SetSize works faster than changing both Width and Height properties.

If you pass another bitmap, byte map or control as an argument, the byte map will be sized to corresponding dimensions.

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

Bytes, TJclCustomMap, Height, Width


TJclByteMap.WriteTo Method (TJclBitmap32, TConversionKind)

See Also	TJclByteMap Class

WriteTo fills the destinatio bitmap using the values stored in the byte map.

Pascal

procedure WriteTo(Dest: TJclBitmap32; Conversion: TConversionKind); overload;
procedure WriteTo(Dest: TJclBitmap32; const Palette: TPalette32); overload;

Description

If it is necessary, the destination bitmap is resized to fit the byte map dimensions.

The following table shows how 8-bit data is transformed into 32-bit RGBA color depending on Conversion parameter.

Conversion Action

------------ ---------------------------------

ctRed Copies bytes into red channel ctGreen Copies bytes into green channel ctBlue Copies bytes into blue channel ctAlpha Copies bytes into alpha channel ctUniformRGB, ctWeightedRGB Copies the same byte value into red, green and blue channels.

WriteTo does not distinguish between ctUniformRGB and ctWeightedRGB conversion types.

The second overloaded version with Palette parameter uses TPalette32 array to map byte values into RGBA colors.

Notes

This method alters only the specified color channels, other channels remain intact.

Donator

Alex Denissov

Class

TJclByteMap Class


See Also

TJclBitmap32, TConversionType, TPalette32


TJclClrAppDomain Class

Properties	Methods	Legend

TJclClrAppDomain = class(TJclClrBase, IJclClrAppDomain);

Legend

read only

Constructor

protected

Unit

JclDotNet


TJclClrAppDomain Class Properties

TJclClrAppDomain Class	Legend

Properties

 DefaultInterface

 Host


Legend

read only


TJclClrAppDomain Class Methods

TJclClrAppDomain Class	Legend

Methods

 Create

Execute

Load

Unload


Legend

Constructor

protected


Legend

TJclClrAppDomain Class

Legend

read only

Constructor

protected


TJclClrAppDomain Class Members

TJclClrAppDomain Class	Legend

Members

Properties

 DefaultInterface

 Host

Methods

 Create

Execute

Load

Unload


Legend

read only

Constructor

protected


TJclClrAppDomain.DefaultInterface Property

TJclClrAppDomain Class

property DefaultInterface: IJclClrAppDomain;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Host Property

TJclClrAppDomain Class

property Host: TJclClrHost;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Create Constructor

TJclClrAppDomain Class

constructor Create(const AHost: TJclClrHost; const AAppDomain: IJclClrAppDomain);

Class

TJclClrAppDomain Class


TJclClrAppDomain.Execute Method (TFileName, IJclClrEvidence)

TJclClrAppDomain Class

function Execute(const AssemblyFile: TFileName; const AssemblySecurity: IJclClrEvidence = nil): Integer; overload;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Execute Method (TFileName, TJclClrAssemblyArguments, IJclClrEvidence)

TJclClrAppDomain Class

function Execute(const AssemblyFile: TFileName; const Arguments: TJclClrAssemblyArguments; const AssemblySecurity: IJclClrEvidence = nil): Integer; overload;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Execute Method (TFileName, TStrings, IJclClrEvidence)

TJclClrAppDomain Class

function Execute(const AssemblyFile: TFileName; const Arguments: TStrings; const AssemblySecurity: IJclClrEvidence = nil): Integer; overload;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Load Method (TStream, TStream, IJclClrEvidence)

TJclClrAppDomain Class

function Load(const RawAssemblyStream: TStream; const RawSymbolStoreStream: TStream = nil; const AssemblySecurity: IJclClrEvidence = nil): TJclClrAssembly; overload;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Load Method (WideString, IJclClrEvidence)

TJclClrAppDomain Class

function Load(const AssemblyString: WideString; const AssemblySecurity: IJclClrEvidence = nil): TJclClrAssembly; overload;

Class

TJclClrAppDomain Class


TJclClrAppDomain.Unload Method

TJclClrAppDomain Class

procedure Unload;

Class

TJclClrAppDomain Class


TJclClrAppDomainSetup Class

Properties	Methods	Legend

TJclClrAppDomainSetup = class(TJclClrBase, IAppDomainSetup);

Legend

read only

Constructor

protected

Unit

JclDotNet


TJclClrAppDomainSetup Class Properties

TJclClrAppDomainSetup Class	Legend

Properties

ApplicationBase

ApplicationName

CachePath

ConfigurationFile

 DefaultInterface

DynamicBase

LicenseFile

PrivateBinPath

PrivateBinPathProbe

ShadowCopyDirectories

ShadowCopyFiles


Legend

read only


TJclClrAppDomainSetup Class Methods

TJclClrAppDomainSetup Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclClrAppDomainSetup Class

Legend

read only

Constructor

protected


TJclClrAppDomainSetup Class Members

TJclClrAppDomainSetup Class	Legend

Members

Properties

ApplicationBase

ApplicationName

CachePath

ConfigurationFile

 DefaultInterface

DynamicBase

LicenseFile

PrivateBinPath

PrivateBinPathProbe

ShadowCopyDirectories

ShadowCopyFiles

Methods

 Create


Legend

read only

Constructor

protected


TJclClrAppDomainSetup.ApplicationBase Property

TJclClrAppDomainSetup Class

property ApplicationBase: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.ApplicationName Property

TJclClrAppDomainSetup Class

property ApplicationName: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.CachePath Property

TJclClrAppDomainSetup Class

property CachePath: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.ConfigurationFile Property

TJclClrAppDomainSetup Class

property ConfigurationFile: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.DefaultInterface Property

TJclClrAppDomainSetup Class

property DefaultInterface: IAppDomainSetup;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.DynamicBase Property

TJclClrAppDomainSetup Class

property DynamicBase: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.LicenseFile Property

TJclClrAppDomainSetup Class

property LicenseFile: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.PrivateBinPath Property

TJclClrAppDomainSetup Class

property PrivateBinPath: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.PrivateBinPathProbe Property

TJclClrAppDomainSetup Class

property PrivateBinPathProbe: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.ShadowCopyDirectories Property

TJclClrAppDomainSetup Class

property ShadowCopyDirectories: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.ShadowCopyFiles Property

TJclClrAppDomainSetup Class

property ShadowCopyFiles: WideString;

Class

TJclClrAppDomainSetup Class


TJclClrAppDomainSetup.Create Constructor

TJclClrAppDomainSetup Class

constructor Create(Intf: IAppDomainSetup);

Class

TJclClrAppDomainSetup Class


TJclClrArraySign Class

Properties	Methods	Legend

TJclClrArraySign = class(TJclClrSignature);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrArraySign Class Properties

TJclClrArraySign Class	Legend

Properties

 Blob


Legend

read only


TJclClrArraySign Class Methods

TJclClrArraySign Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrArraySign Class

 Create


Legend

Constructor

protected


Legend

TJclClrArraySign Class

Legend

read only

Constructor

protected


TJclClrArraySign Class Members

TJclClrArraySign Class	Legend

Members

Properties

 Blob

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrArraySign Class

 Create


Legend

read only

Constructor

protected


TJclClrArraySign.Create Constructor

TJclClrArraySign Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrArraySign Class


TJclClrAssembly Class

Properties	Methods	Legend

TJclClrAssembly = class(TJclClrBase, IJclClrAssembly);

Legend

read only

Constructor

protected

Unit

JclDotNet


TJclClrAssembly Class Properties

TJclClrAssembly Class	Legend

Properties

 DefaultInterface


Legend

read only


TJclClrAssembly Class Methods

TJclClrAssembly Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclClrAssembly Class

Legend

read only

Constructor

protected


TJclClrAssembly Class Members

TJclClrAssembly Class	Legend

Members

Properties

 DefaultInterface

Methods

 Create


Legend

read only

Constructor

protected


TJclClrAssembly.DefaultInterface Property

TJclClrAssembly Class

property DefaultInterface: IJclClrAssembly;

Class

TJclClrAssembly Class


TJclClrAssembly.Create Constructor

TJclClrAssembly Class

constructor Create(Intf: IJclClrAssembly);

Class

TJclClrAssembly Class


TJclClrBlobRecord Class

Properties	Methods	Legend

TJclClrBlobRecord = class(TJclReferenceMemoryStream);

Legend

Constructor

protected

read only

Unit

JclCLR


TJclClrBlobRecord Class Methods

TJclClrBlobRecord Class	Legend

Methods

 Create

Write

TJclClrBlobRecord Class

 Create

Dump


Legend

Constructor

protected


TJclClrBlobRecord Class Properties

TJclClrBlobRecord Class	Legend

Properties

TJclClrBlobRecord Class

 Data

 Offset

 Ptr


Legend

read only


Legend

TJclClrBlobRecord Class

Legend

Constructor

protected

read only


TJclClrBlobRecord Class Members

TJclClrBlobRecord Class	Legend

Members

Methods

 Create

Write

TJclClrBlobRecord Class

 Create

Dump

Properties

TJclClrBlobRecord Class

 Data

 Offset

 Ptr


Legend

Constructor

protected

read only


TJclClrBlobRecord.Data Property

TJclClrBlobRecord Class

property Data: PJclByteArray;

Class

TJclClrBlobRecord Class


TJclClrBlobRecord.Offset Property

TJclClrBlobRecord Class

property Offset: DWORD;

Class

TJclClrBlobRecord Class


TJclClrBlobRecord.Ptr Property

TJclClrBlobRecord Class

property Ptr: PJclByteArray;

Class

TJclClrBlobRecord Class


TJclClrBlobRecord.Create Constructor

TJclClrBlobRecord Class

constructor Create(const AStream: TJclClrStream; APtr: PJclByteArray);

Class

TJclClrBlobRecord Class


TJclClrBlobRecord.Dump Method

TJclClrBlobRecord Class

function Dump(Indent: string): string;

Class

TJclClrBlobRecord Class


TJclClrBlobStream Class

Properties	Methods	Legend

TJclClrBlobStream = class(TJclClrStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrBlobStream Class Properties

TJclClrBlobStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrBlobStream Class

 BlobCount

 Blobs


Legend

read only


TJclClrBlobStream Class Methods

TJclClrBlobStream Class	Legend

Methods

 Create

TJclClrBlobStream Class

At

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrBlobStream Class

Legend

read only

Constructor

protected


TJclClrBlobStream Class Members

TJclClrBlobStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrBlobStream Class

 BlobCount

 Blobs

Methods

 Create

TJclClrBlobStream Class

At

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrBlobStream.BlobCount Property

TJclClrBlobStream Class

property BlobCount: Integer;

Class

TJclClrBlobStream Class


TJclClrBlobStream.Blobs Property

TJclClrBlobStream Class

property Blobs [const Idx: Integer]: TJclClrBlobRecord;

Class

TJclClrBlobStream Class


TJclClrBlobStream.At Method

TJclClrBlobStream Class

function At(const Offset: DWORD): TJclClrBlobRecord;

Class

TJclClrBlobStream Class


TJclClrBlobStream.Create Constructor

TJclClrBlobStream Class

constructor Create(const AMetadata: TJclPeMetadata; AHeader: PClrStreamHeader); override;

Class

TJclClrBlobStream Class


TJclClrBlobStream.Destroy Destructor

TJclClrBlobStream Class

destructor Destroy; override;

Class

TJclClrBlobStream Class


TJclClrCustomModifierSign Class

Properties	Methods	Legend

TJclClrCustomModifierSign = class(TJclClrSignature);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrCustomModifierSign Class Properties

TJclClrCustomModifierSign Class	Legend

Properties

 Blob

TJclClrCustomModifierSign Class

 Required

 Token


Legend

read only


TJclClrCustomModifierSign Class Methods

TJclClrCustomModifierSign Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrCustomModifierSign Class

 Create


Legend

Constructor

protected


Legend

TJclClrCustomModifierSign Class

Legend

read only

Constructor

protected


TJclClrCustomModifierSign Class Members

TJclClrCustomModifierSign Class	Legend

Members

Properties

 Blob

TJclClrCustomModifierSign Class

 Required

 Token

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrCustomModifierSign Class

 Create


Legend

read only

Constructor

protected


TJclClrCustomModifierSign.Required Property

TJclClrCustomModifierSign Class

property Required: Boolean;

Class

TJclClrCustomModifierSign Class


TJclClrCustomModifierSign.Token Property

TJclClrCustomModifierSign Class

property Token: TJclClrToken;

Class

TJclClrCustomModifierSign Class


TJclClrCustomModifierSign.Create Constructor

TJclClrCustomModifierSign Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrCustomModifierSign Class


TJclClrExceptionHandler Class

Properties	Methods	Legend

TJclClrExceptionHandler = class(TObject);

Legend

read only

Constructor

Unit

JclMetadata


TJclClrExceptionHandler Class Properties

TJclClrExceptionHandler Class	Legend

Properties

 ClassToken

 EHFlags

 FilterOffset

 Flags

 HandlerBlock

 TryBlock


Legend

read only


TJclClrExceptionHandler Class Methods

TJclClrExceptionHandler Class	Legend

Methods

 Create


Legend

Constructor


Legend

TJclClrExceptionHandler Class

Legend

read only

Constructor


TJclClrExceptionHandler Class Members

TJclClrExceptionHandler Class	Legend

Members

Properties

 ClassToken

 EHFlags

 FilterOffset

 Flags

 HandlerBlock

 TryBlock

Methods

 Create


Legend

read only

Constructor


TJclClrExceptionHandler.ClassToken Property

TJclClrExceptionHandler Class

property ClassToken: TJclClrToken;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.EHFlags Property

TJclClrExceptionHandler Class

property EHFlags: DWORD;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.FilterOffset Property

TJclClrExceptionHandler Class

property FilterOffset: DWORD;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.Flags Property

TJclClrExceptionHandler Class

property Flags: TJclClrExceptionClauseFlags;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.HandlerBlock Property

TJclClrExceptionHandler Class

property HandlerBlock: TJclClrCodeBlock;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.TryBlock Property

TJclClrExceptionHandler Class

property TryBlock: TJclClrCodeBlock;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.Create Constructor (TImageCorILMethodSectEHClauseFat)

TJclClrExceptionHandler Class

constructor Create(const EHClause: TImageCorILMethodSectEHClauseFat); overload;

Class

TJclClrExceptionHandler Class


TJclClrExceptionHandler.Create Constructor (TImageCorILMethodSectEHClauseSmall)

TJclClrExceptionHandler Class

constructor Create(const EHClause: TImageCorILMethodSectEHClauseSmall); overload;

Class

TJclClrExceptionHandler Class


TJclClrField Class

TJclClrField = class(TObject);

Unit

JclDotNet


TJclClrGuidStream Class

Properties	Methods	Legend

TJclClrGuidStream = class(TJclClrStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrGuidStream Class Properties

TJclClrGuidStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrGuidStream Class

 GuidCount

 Guids


Legend

read only


TJclClrGuidStream Class Methods

TJclClrGuidStream Class	Legend

Methods

 Create

TJclClrGuidStream Class

 Create


Legend

Constructor

protected


Legend

TJclClrGuidStream Class

Legend

read only

Constructor

protected


TJclClrGuidStream Class Members

TJclClrGuidStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrGuidStream Class

 GuidCount

 Guids

Methods

 Create

TJclClrGuidStream Class

 Create


Legend

read only

Constructor

protected


TJclClrGuidStream.GuidCount Property

TJclClrGuidStream Class

property GuidCount: Integer;

Class

TJclClrGuidStream Class


TJclClrGuidStream.Guids Property

TJclClrGuidStream Class

property Guids [const Idx: Integer]: TGUID;

Class

TJclClrGuidStream Class


TJclClrGuidStream.Create Constructor

TJclClrGuidStream Class

constructor Create(const AMetadata: TJclPeMetadata; AHeader: PClrStreamHeader); override;

Class

TJclClrGuidStream Class


TJclClrHeaderEx Class

Properties	Methods	Legend

TJclClrHeaderEx = class(TJclPeClrHeader);

Legend

read only

Constructor

Unit

JclCLR


TJclClrHeaderEx Class Properties

TJclClrHeaderEx Class	Legend

Properties

 EntryPointToken

 Flags

 Metadata

 ResourceCount

 Resources

 StrongNameSignature

 VTableFixupCount

 VTableFixups


Legend

read only


TJclClrHeaderEx Class Methods

TJclClrHeaderEx Class	Legend

Methods

ClrImageFlag

 Create

 Destroy

DumpIL

HasResources

HasStrongNameSignature

HasVTableFixup

ResourceAt


Legend

Constructor


Legend

TJclClrHeaderEx Class

Legend

read only

Constructor


TJclClrHeaderEx Class Members

TJclClrHeaderEx Class	Legend

Members

Properties

 EntryPointToken

 Flags

 Metadata

 ResourceCount

 Resources

 StrongNameSignature

 VTableFixupCount

 VTableFixups

Methods

ClrImageFlag

 Create

 Destroy

DumpIL

HasResources

HasStrongNameSignature

HasVTableFixup

ResourceAt


Legend

read only

Constructor


TJclClrHeaderEx.EntryPointToken Property

TJclClrHeaderEx Class

property EntryPointToken: TJclClrTableRow;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.Flags Property

TJclClrHeaderEx Class

property Flags: TJclClrImageFlags;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.Metadata Property

TJclClrHeaderEx Class

property Metadata: TJclPeMetadata;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.ResourceCount Property

TJclClrHeaderEx Class

property ResourceCount: Integer;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.Resources Property

TJclClrHeaderEx Class

property Resources [const Idx: Integer]: TJclClrResourceRecord;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.StrongNameSignature Property

TJclClrHeaderEx Class

property StrongNameSignature: TCustomMemoryStream;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.VTableFixupCount Property

TJclClrHeaderEx Class

property VTableFixupCount: Integer;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.VTableFixups Property

TJclClrHeaderEx Class

property VTableFixups [const Idx: Integer]: TJclClrVTableFixupRecord;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.ClrImageFlag Method (DWORD)

TJclClrHeaderEx Class

class function ClrImageFlag(const Flags: DWORD): TJclClrImageFlags; overload;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.ClrImageFlag Method (TJclClrImageFlags)

TJclClrHeaderEx Class

class function ClrImageFlag(const Flags: TJclClrImageFlags): DWORD; overload;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.Create Constructor

TJclClrHeaderEx Class

constructor Create(const AImage: TJclPeImage);

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.Destroy Destructor

TJclClrHeaderEx Class

destructor Destroy; override;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.DumpIL Method

TJclClrHeaderEx Class

function DumpIL: string;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.HasResources Method

TJclClrHeaderEx Class

function HasResources: Boolean;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.HasStrongNameSignature Method

TJclClrHeaderEx Class

function HasStrongNameSignature: Boolean;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.HasVTableFixup Method

TJclClrHeaderEx Class

function HasVTableFixup: Boolean;

Class

TJclClrHeaderEx Class


TJclClrHeaderEx.ResourceAt Method

TJclClrHeaderEx Class

function ResourceAt(const Offset: DWORD): TJclClrResourceRecord;

Class

TJclClrHeaderEx Class


TJclClrHost Class

Properties	Methods	Legend

TJclClrHost = class(TJclClrBase, ICorRuntimeHost);

Legend

read only

protected

Constructor

Unit

JclDotNet


TJclClrHost Class Properties

TJclClrHost Class	Legend

Properties

 AppDomainCount

 AppDomains

 CurrentAppDomain

 DefaultAppDomain

 DefaultInterface


Legend

read only


TJclClrHost Class Methods

TJclClrHost Class	Legend

Methods

 AddAppDomain

CorRequiredVersion

CorSystemDirectory

CorVersion

 Create

CreateAppDomain

CreateDomainSetup

 Destroy

FindAppDomain

Refresh

 RemoveAppDomain

Start

Stop


Legend

protected

Constructor


Legend

TJclClrHost Class

Legend

read only

protected

Constructor


TJclClrHost Class Members

TJclClrHost Class	Legend

Members

Properties

 AppDomainCount

 AppDomains

 CurrentAppDomain

 DefaultAppDomain

 DefaultInterface

Methods

 AddAppDomain

CorRequiredVersion

CorSystemDirectory

CorVersion

 Create

CreateAppDomain

CreateDomainSetup

 Destroy

FindAppDomain

Refresh

 RemoveAppDomain

Start

Stop


Legend

read only

protected

Constructor


TJclClrHost.AppDomainCount Property

TJclClrHost Class

property AppDomainCount: Integer;

Class

TJclClrHost Class


TJclClrHost.AppDomains Property

TJclClrHost Class

property AppDomains [const Idx: Integer]: TJclClrAppDomain;

Class

TJclClrHost Class


TJclClrHost.CurrentAppDomain Property

TJclClrHost Class

property CurrentAppDomain: IJclClrAppDomain;

Class

TJclClrHost Class


TJclClrHost.DefaultAppDomain Property

TJclClrHost Class

property DefaultAppDomain: IJclClrAppDomain;

Class

TJclClrHost Class


TJclClrHost.DefaultInterface Property

TJclClrHost Class

property DefaultInterface: ICorRuntimeHost;

Class

TJclClrHost Class


TJclClrHost.AddAppDomain Method

TJclClrHost Class

function AddAppDomain(const AppDomain: TJclClrAppDomain): Integer;

Class

TJclClrHost Class


TJclClrHost.CorRequiredVersion Method

TJclClrHost Class

class function CorRequiredVersion: WideString;

Class

TJclClrHost Class


TJclClrHost.CorSystemDirectory Method

TJclClrHost Class

class function CorSystemDirectory: WideString;

Class

TJclClrHost Class


TJclClrHost.CorVersion Method

TJclClrHost Class

class function CorVersion: WideString;

Class

TJclClrHost Class


TJclClrHost.Create Constructor

TJclClrHost Class

constructor Create(const ClrVer: WideString = ''; const Flavor: TJclClrHostFlavor = hfWorkStation; const ConcurrentGC: Boolean = True; const LoaderFlags: TJclClrHostLoaderFlags = [hlOptSingleDomain]);

Class

TJclClrHost Class


TJclClrHost.CreateAppDomain Method

TJclClrHost Class

function CreateAppDomain(const Name: WideString; const Setup: TJclClrAppDomainSetup = nil; const Evidence: IJclClrEvidence = nil): TJclClrAppDomain;

Class

TJclClrHost Class


TJclClrHost.CreateDomainSetup Method

TJclClrHost Class

function CreateDomainSetup: TJclClrAppDomainSetup;

Class

TJclClrHost Class


TJclClrHost.Destroy Destructor

TJclClrHost Class

destructor Destroy; override;

Class

TJclClrHost Class


TJclClrHost.FindAppDomain Method (IJclClrAppDomain, TJclClrAppDomain)

TJclClrHost Class

function FindAppDomain(const Intf: IJclClrAppDomain; var Ret: TJclClrAppDomain): Boolean; overload;

Class

TJclClrHost Class


TJclClrHost.FindAppDomain Method (WideString, TJclClrAppDomain)

TJclClrHost Class

function FindAppDomain(const Name: WideString; var Ret: TJclClrAppDomain): Boolean; overload;

Class

TJclClrHost Class


TJclClrHost.Refresh Method

TJclClrHost Class

procedure Refresh;

Class

TJclClrHost Class


TJclClrHost.RemoveAppDomain Method

TJclClrHost Class

function RemoveAppDomain(const AppDomain: TJclClrAppDomain): Integer;

Class

TJclClrHost Class


TJclClrHost.Start Method

TJclClrHost Class

procedure Start;

Class

TJclClrHost Class


TJclClrHost.Stop Method

TJclClrHost Class

procedure Stop;

Class

TJclClrHost Class


TJclClrILGenerator Class

Properties	Methods	Legend

TJclClrILGenerator = class(TObject);

Legend

read only

Constructor

Unit

JclCIL


TJclClrILGenerator Class Properties

TJclClrILGenerator Class	Legend

Properties

 InstructionCount

 Instructions

 Method


Legend

read only


TJclClrILGenerator Class Methods

TJclClrILGenerator Class	Legend

Methods

 Create

 Destroy

DumpIL


Legend

Constructor


Legend

TJclClrILGenerator Class

Legend

read only

Constructor


TJclClrILGenerator Class Members

TJclClrILGenerator Class	Legend

Members

Properties

 InstructionCount

 Instructions

 Method

Methods

 Create

 Destroy

DumpIL


Legend

read only

Constructor


TJclClrILGenerator.InstructionCount Property

TJclClrILGenerator Class

property InstructionCount: Integer;

Class

TJclClrILGenerator Class


TJclClrILGenerator.Instructions Property

TJclClrILGenerator Class

property Instructions [const Idx: Integer]: TJclInstruction;

Class

TJclClrILGenerator Class


TJclClrILGenerator.Method Property

TJclClrILGenerator Class

property Method: TJclClrMethodBody;

Class

TJclClrILGenerator Class


TJclClrILGenerator.Create Constructor

TJclClrILGenerator Class

constructor Create(AMethod: TJclClrMethodBody = nil);

Class

TJclClrILGenerator Class


TJclClrILGenerator.Destroy Destructor

TJclClrILGenerator Class

destructor Destroy; override;

Class

TJclClrILGenerator Class


TJclClrILGenerator.DumpIL Method

TJclClrILGenerator Class

function DumpIL(Options: TJclInstructionDumpILOptions): string;

Class

TJclClrILGenerator Class


TJclClrLocalVar Class

Properties	Legend

TJclClrLocalVar = class(TObject);

Legend

read only

Unit

JclMetadata


TJclClrLocalVar Class Properties

TJclClrLocalVar Class	Legend

Properties

ElementType

Flags

 Name

Token


Legend

read only


Legend

TJclClrLocalVar Class

Legend

read only


TJclClrLocalVar Class Members

TJclClrLocalVar Class	Legend

Members

Properties

ElementType

Flags

 Name

Token


Legend

read only


TJclClrLocalVar.ElementType Property

TJclClrLocalVar Class

property ElementType: TJclClrElementType;

Class

TJclClrLocalVar Class


TJclClrLocalVar.Flags Property

TJclClrLocalVar Class

property Flags: TJclClrLocalVarFlags;

Class

TJclClrLocalVar Class


TJclClrLocalVar.Name Property

TJclClrLocalVar Class

property Name: WideString;

Class

TJclClrLocalVar Class


TJclClrLocalVar.Token Property

TJclClrLocalVar Class

property Token: TJclClrToken;

Class

TJclClrLocalVar Class


TJclClrLocalVarSign Class

Properties	Methods	Legend

TJclClrLocalVarSign = class(TJclClrSignature);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrLocalVarSign Class Properties

TJclClrLocalVarSign Class	Legend

Properties

 Blob

TJclClrLocalVarSign Class

 LocalVarCount

 LocalVars


Legend

read only


TJclClrLocalVarSign Class Methods

TJclClrLocalVarSign Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrLocalVarSign Class

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrLocalVarSign Class

Legend

read only

Constructor

protected


TJclClrLocalVarSign Class Members

TJclClrLocalVarSign Class	Legend

Members

Properties

 Blob

TJclClrLocalVarSign Class

 LocalVarCount

 LocalVars

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrLocalVarSign Class

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrLocalVarSign.LocalVarCount Property

TJclClrLocalVarSign Class

property LocalVarCount: Integer;

Class

TJclClrLocalVarSign Class


TJclClrLocalVarSign.LocalVars Property

TJclClrLocalVarSign Class

property LocalVars [const Idx: Integer]: TJclClrLocalVar;

Class

TJclClrLocalVarSign Class


TJclClrLocalVarSign.Create Constructor

TJclClrLocalVarSign Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrLocalVarSign Class


TJclClrLocalVarSign.Destroy Destructor

TJclClrLocalVarSign Class

destructor Destroy; override;

Class

TJclClrLocalVarSign Class


TJclClrMethod Class

Properties	Legend

TJclClrMethod = class(TJclClrBase, IJclClrMethod);

Legend

read only

Unit

JclDotNet


TJclClrMethod Class Properties

TJclClrMethod Class	Legend

Properties

 DefaultInterface


Legend

read only


Legend

TJclClrMethod Class

Legend

read only


TJclClrMethod Class Members

TJclClrMethod Class	Legend

Members

Properties

 DefaultInterface


Legend

read only


TJclClrMethod.DefaultInterface Property

TJclClrMethod Class

property DefaultInterface: IJclClrMethod;

Class

TJclClrMethod Class


TJclClrMethodBody Class

Properties	Methods	Legend

TJclClrMethodBody = class(TObject);

Legend

read only

Constructor

Unit

JclMetadata


TJclClrMethodBody Class Properties

TJclClrMethodBody Class	Legend

Properties

 Code

 ExceptionHandlerCount

 ExceptionHandlers

 LocalVarSign

 LocalVarSignData

 LocalVarSignToken

 MaxStack

 Method

 Size


Legend

read only


TJclClrMethodBody Class Methods

TJclClrMethodBody Class	Legend

Methods

 Create

 Destroy


Legend

Constructor


Legend

TJclClrMethodBody Class

Legend

read only

Constructor


TJclClrMethodBody Class Members

TJclClrMethodBody Class	Legend

Members

Properties

 Code

 ExceptionHandlerCount

 ExceptionHandlers

 LocalVarSign

 LocalVarSignData

 LocalVarSignToken

 MaxStack

 Method

 Size

Methods

 Create

 Destroy


Legend

read only

Constructor


TJclClrMethodBody.Code Property

TJclClrMethodBody Class

property Code: Pointer;

Class

TJclClrMethodBody Class


TJclClrMethodBody.ExceptionHandlerCount Property

TJclClrMethodBody Class

property ExceptionHandlerCount: Integer;

Class

TJclClrMethodBody Class


TJclClrMethodBody.ExceptionHandlers Property

TJclClrMethodBody Class

property ExceptionHandlers [const Idx: Integer]: TJclClrExceptionHandler;

Class

TJclClrMethodBody Class


TJclClrMethodBody.LocalVarSign Property

TJclClrMethodBody Class

property LocalVarSign: TJclClrLocalVarSign;

Class

TJclClrMethodBody Class


TJclClrMethodBody.LocalVarSignData Property

TJclClrMethodBody Class

property LocalVarSignData: TJclClrBlobRecord;

Class

TJclClrMethodBody Class


TJclClrMethodBody.LocalVarSignToken Property

TJclClrMethodBody Class

property LocalVarSignToken: TJclClrToken;

Class

TJclClrMethodBody Class


TJclClrMethodBody.MaxStack Property

TJclClrMethodBody Class

property MaxStack: DWORD;

Class

TJclClrMethodBody Class


TJclClrMethodBody.Method Property

TJclClrMethodBody Class

property Method: TJclClrTableMethodDefRow;

Class

TJclClrMethodBody Class


TJclClrMethodBody.Size Property

TJclClrMethodBody Class

property Size: DWORD;

Class

TJclClrMethodBody Class


TJclClrMethodBody.Create Constructor

TJclClrMethodBody Class

constructor Create(const AMethod: TJclClrTableMethodDefRow);

Class

TJclClrMethodBody Class


TJclClrMethodBody.Destroy Destructor

TJclClrMethodBody Class

destructor Destroy; override;

Class

TJclClrMethodBody Class


TJclClrMethodParam Class

Properties	Methods	Legend

TJclClrMethodParam = class(TJclClrSignature);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrMethodParam Class Properties

TJclClrMethodParam Class	Legend

Properties

 Blob

TJclClrMethodParam Class

 ArraySign

 ByRef

 CustomModifierCount

 CustomModifiers

 ElementType

 MethodSign

 Token


Legend

read only


TJclClrMethodParam Class Methods

TJclClrMethodParam Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodParam Class

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrMethodParam Class

Legend

read only

Constructor

protected


TJclClrMethodParam Class Members

TJclClrMethodParam Class	Legend

Members

Properties

 Blob

TJclClrMethodParam Class

 ArraySign

 ByRef

 CustomModifierCount

 CustomModifiers

 ElementType

 MethodSign

 Token

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodParam Class

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrMethodParam.ArraySign Property

TJclClrMethodParam Class

property ArraySign: TJclClrArraySign;

Class

TJclClrMethodParam Class


TJclClrMethodParam.ByRef Property

TJclClrMethodParam Class

property ByRef: Boolean;

Class

TJclClrMethodParam Class


TJclClrMethodParam.CustomModifierCount Property

TJclClrMethodParam Class

property CustomModifierCount: Integer;

Class

TJclClrMethodParam Class


TJclClrMethodParam.CustomModifiers Property

TJclClrMethodParam Class

property CustomModifiers [const Idx: Integer]: TJclClrCustomModifierSign;

Class

TJclClrMethodParam Class


TJclClrMethodParam.ElementType Property

TJclClrMethodParam Class

property ElementType: TJclClrElementType;

Class

TJclClrMethodParam Class


TJclClrMethodParam.MethodSign Property

TJclClrMethodParam Class

property MethodSign: TJclClrMethodSign;

Class

TJclClrMethodParam Class


TJclClrMethodParam.Token Property

TJclClrMethodParam Class

property Token: TJclClrToken;

Class

TJclClrMethodParam Class


TJclClrMethodParam.Create Constructor

TJclClrMethodParam Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrMethodParam Class


TJclClrMethodParam.Destroy Destructor

TJclClrMethodParam Class

destructor Destroy; override;

Class

TJclClrMethodParam Class


TJclClrMethodRetType Class

Properties	Methods	Legend

TJclClrMethodRetType = class(TJclClrMethodParam);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrMethodRetType Class Properties

TJclClrMethodRetType Class	Legend

Properties

 Blob

TJclClrMethodParam Class

 ArraySign

 ByRef

 CustomModifierCount

 CustomModifiers

 ElementType

 MethodSign

 Token


Legend

read only


TJclClrMethodRetType Class Methods

TJclClrMethodRetType Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodParam Class

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrMethodRetType Class

Legend

read only

Constructor

protected


TJclClrMethodRetType Class Members

TJclClrMethodRetType Class	Legend

Members

Properties

 Blob

TJclClrMethodParam Class

 ArraySign

 ByRef

 CustomModifierCount

 CustomModifiers

 ElementType

 MethodSign

 Token

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodParam Class

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrMethodSign Class

Properties	Methods	Legend

TJclClrMethodSign = class(TJclClrSignature);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrMethodSign Class Properties

TJclClrMethodSign Class	Legend

Properties

 Blob

TJclClrMethodSign Class

 Flags

 ParamCount

 Params

 RetType


Legend

read only


TJclClrMethodSign Class Methods

TJclClrMethodSign Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodSign Class

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrMethodSign Class

Legend

read only

Constructor

protected


TJclClrMethodSign Class Members

TJclClrMethodSign Class	Legend

Members

Properties

 Blob

TJclClrMethodSign Class

 Flags

 ParamCount

 Params

 RetType

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature

TJclClrMethodSign Class

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrMethodSign.Flags Property

TJclClrMethodSign Class

property Flags: TJclClrMethodSignFlags;

Class

TJclClrMethodSign Class


TJclClrMethodSign.ParamCount Property

TJclClrMethodSign Class

property ParamCount: Integer;

Class

TJclClrMethodSign Class


TJclClrMethodSign.Params Property

TJclClrMethodSign Class

property Params [const Idx: Integer]: TJclClrMethodParam;

Class

TJclClrMethodSign Class


TJclClrMethodSign.RetType Property

TJclClrMethodSign Class

property RetType: TJclClrMethodRetType;

Class

TJclClrMethodSign Class


TJclClrMethodSign.Create Constructor

TJclClrMethodSign Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrMethodSign Class


TJclClrMethodSign.Destroy Destructor

TJclClrMethodSign Class

destructor Destroy; override;

Class

TJclClrMethodSign Class


TJclClrObject Class

Properties	Methods	Legend

TJclClrObject = class(TObject);

Legend

read only

Constructor

protected

Unit

JclDotNet


TJclClrObject Class Properties

TJclClrObject Class	Legend

Properties

 Fields

 Methods

 Properties


Legend

read only


TJclClrObject Class Methods

TJclClrObject Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclClrObject Class

Legend

read only

Constructor

protected


TJclClrObject Class Members

TJclClrObject Class	Legend

Members

Properties

 Fields

 Methods

 Properties

Methods

 Create


Legend

read only

Constructor

protected


TJclClrObject.Fields Property

TJclClrObject Class

property Fields [const Name: WideString]: TJclClrField;

Class

TJclClrObject Class


TJclClrObject.Methods Property

TJclClrObject Class

property Methods [const Name: WideString]: TJclClrMethod;

Class

TJclClrObject Class


TJclClrObject.Properties Property

TJclClrObject Class

property Properties [const Name: WideString]: TJclClrProperty;

Class

TJclClrObject Class


TJclClrObject.Create Constructor (WideString, WideString, WideString, Boolean)

TJclClrObject Class

constructor Create(const AssemblyName: WideString; const NamespaceName: WideString; const ClassName: WideString; const NewInstance: Boolean = False); overload;

Class

TJclClrObject Class


TJclClrObject.Create Constructor (WideString, WideString, WideString, array of const)

TJclClrObject Class

constructor Create(const AssemblyName: WideString; const NamespaceName: WideString; const ClassName: WideString; const Parameters: array of const); overload;

Class

TJclClrObject Class


TJclClrProperty Class

TJclClrProperty = class(TObject);

Unit

JclDotNet


TJclClrResourceRecord Class

Properties	Methods	Legend

TJclClrResourceRecord = class(TJClreferenceMemoryStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrResourceRecord Class Properties

TJclClrResourceRecord Class	Legend

Properties

 Data

 Offset

 RVA


Legend

read only


TJclClrResourceRecord Class Methods

TJclClrResourceRecord Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclClrResourceRecord Class

Legend

read only

Constructor

protected


TJclClrResourceRecord Class Members

TJclClrResourceRecord Class	Legend

Members

Properties

 Data

 Offset

 RVA

Methods

 Create


Legend

read only

Constructor

protected


TJclClrResourceRecord.Data Property

TJclClrResourceRecord Class

property Data: Pointer;

Class

TJclClrResourceRecord Class


TJclClrResourceRecord.Offset Property

TJclClrResourceRecord Class

property Offset: DWORD;

Class

TJclClrResourceRecord Class


TJclClrResourceRecord.RVA Property

TJclClrResourceRecord Class

property RVA: DWORD;

Class

TJclClrResourceRecord Class


TJclClrResourceRecord.Create Constructor

TJclClrResourceRecord Class

constructor Create(const AData: PChar; const AOffset: DWORD; const ARVA: DWORD);

Class

TJclClrResourceRecord Class


TJclClrSignature Class

Properties	Methods	Legend

TJclClrSignature = class(TObject);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrSignature Class Properties

TJclClrSignature Class	Legend

Properties

 Blob


Legend

read only


TJclClrSignature Class Methods

TJclClrSignature Class	Legend

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature


Legend

Constructor

protected


Legend

TJclClrSignature Class

Legend

read only

Constructor

protected


TJclClrSignature Class Members

TJclClrSignature Class	Legend

Members

Properties

 Blob

Methods

 Create

 Inc

 IsModifierType

 IsPrimitiveType

ReadByte

ReadElementType

ReadInteger

ReadToken

ReadValue

 UncompressCallingConv

 UncompressData

 UncompressedDataSize

 UncompressElementType

UncompressFieldSignature

 UncompressSignedInt

 UncompressToken

 UncompressTypeSignature


Legend

read only

Constructor

protected


TJclClrSignature.Blob Property

TJclClrSignature Class

property Blob: TJclClrBlobRecord;

Class

TJclClrSignature Class


TJclClrSignature.Create Constructor

TJclClrSignature Class

constructor Create(const ABlob: TJclClrBlobRecord);

Class

TJclClrSignature Class


TJclClrSignature.Inc Method

TJclClrSignature Class

function Inc(var DataPtr: PJclByteArray; Step: Integer = 1): PByte;

Class

TJclClrSignature Class


TJclClrSignature.IsModifierType Method

TJclClrSignature Class

function IsModifierType(const AElementType: TJclClrElementType): Boolean;

Class

TJclClrSignature Class


TJclClrSignature.IsPrimitiveType Method

TJclClrSignature Class

function IsPrimitiveType(const AElementType: TJclClrElementType): Boolean;

Class

TJclClrSignature Class


TJclClrSignature.ReadByte Method

TJclClrSignature Class

function ReadByte: Byte;

Class

TJclClrSignature Class


TJclClrSignature.ReadElementType Method

TJclClrSignature Class

function ReadElementType: TJclClrElementType;

Class

TJclClrSignature Class


TJclClrSignature.ReadInteger Method

TJclClrSignature Class

function ReadInteger: Integer;

Class

TJclClrSignature Class


TJclClrSignature.ReadToken Method

TJclClrSignature Class

function ReadToken: TJclClrToken;

Class

TJclClrSignature Class


TJclClrSignature.ReadValue Method

TJclClrSignature Class

function ReadValue: DWORD;

Class

TJclClrSignature Class


TJclClrSignature.UncompressCallingConv Method

TJclClrSignature Class

function UncompressCallingConv(DataPtr: PJclByteArray): Byte;

Class

TJclClrSignature Class


TJclClrSignature.UncompressData Method

TJclClrSignature Class

function UncompressData(DataPtr: PJclByteArray; var Value: DWord): Integer;

Class

TJclClrSignature Class


TJclClrSignature.UncompressedDataSize Method

TJclClrSignature Class

function UncompressedDataSize(DataPtr: PJclByteArray): Integer;

Class

TJclClrSignature Class


TJclClrSignature.UncompressElementType Method

TJclClrSignature Class

function UncompressElementType(DataPtr: PJclByteArray): TJclClrElementType;

Class

TJclClrSignature Class


TJclClrSignature.UncompressFieldSignature Method

TJclClrSignature Class

function UncompressFieldSignature: string;

Class

TJclClrSignature Class


TJclClrSignature.UncompressSignedInt Method

TJclClrSignature Class

function UncompressSignedInt(DataPtr: PJclByteArray; var Value: Integer): Integer;

Class

TJclClrSignature Class


TJclClrSignature.UncompressToken Method

TJclClrSignature Class

function UncompressToken(DataPtr: PJclByteArray; var Token: TJclClrToken): Integer;

Class

TJclClrSignature Class


TJclClrSignature.UncompressTypeSignature Method

TJclClrSignature Class

function UncompressTypeSignature(DataPtr: PJclByteArray): string;

Class

TJclClrSignature Class


TJclClrStream Class

Properties	Methods	Legend

TJclClrStream = class(TObject);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrStream Class Properties

TJclClrStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size


Legend

read only


TJclClrStream Class Methods

TJclClrStream Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclClrStream Class

Legend

read only

Constructor

protected


TJclClrStream Class Members

TJclClrStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

Methods

 Create


Legend

read only

Constructor

protected


TJclClrStream.Data Property

TJclClrStream Class

property Data: Pointer;

Class

TJclClrStream Class


TJclClrStream.Header Property

TJclClrStream Class

property Header: PClrStreamHeader;

Class

TJclClrStream Class


TJclClrStream.Metadata Property

TJclClrStream Class

property Metadata: TJclPeMetadata;

Class

TJclClrStream Class


TJclClrStream.Name Property

TJclClrStream Class

property Name: string;

Class

TJclClrStream Class


TJclClrStream.Offset Property

TJclClrStream Class

property Offset: DWORD;

Class

TJclClrStream Class


TJclClrStream.Size Property

TJclClrStream Class

property Size: DWORD;

Class

TJclClrStream Class


TJclClrStream.Create Constructor

TJclClrStream Class

constructor Create(const AMetadata: TJclPeMetadata; AHeader: PClrStreamHeader); virtual;

Class

TJclClrStream Class


TJclClrStringsStream Class

Properties	Methods	Legend

TJclClrStringsStream = class(TJclClrStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrStringsStream Class Properties

TJclClrStringsStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrStringsStream Class

 Offsets

 StringCount

 Strings


Legend

read only


TJclClrStringsStream Class Methods

TJclClrStringsStream Class	Legend

Methods

 Create

TJclClrStringsStream Class

At

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrStringsStream Class

Legend

read only

Constructor

protected


TJclClrStringsStream Class Members

TJclClrStringsStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrStringsStream Class

 Offsets

 StringCount

 Strings

Methods

 Create

TJclClrStringsStream Class

At

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrStringsStream.Offsets Property

TJclClrStringsStream Class

property Offsets [const Idx: Integer]: DWord;

Class

TJclClrStringsStream Class


TJclClrStringsStream.StringCount Property

TJclClrStringsStream Class

property StringCount: Integer;

Class

TJclClrStringsStream Class


TJclClrStringsStream.Strings Property

TJclClrStringsStream Class

property Strings [const Idx: Integer]: WideString;

Class

TJclClrStringsStream Class


TJclClrStringsStream.At Method

TJclClrStringsStream Class

function At(const Offset: DWORD): WideString;

Class

TJclClrStringsStream Class


TJclClrStringsStream.Create Constructor

TJclClrStringsStream Class

constructor Create(const AMetadata: TJclPeMetadata; AHeader: PClrStreamHeader); override;

Class

TJclClrStringsStream Class


TJclClrStringsStream.Destroy Destructor

TJclClrStringsStream Class

destructor Destroy; override;

Class

TJclClrStringsStream Class


TJclClrTable Class

Properties	Methods	Legend

TJclClrTable = class(TInterfacedObject);

Legend

read only

protected

Constructor

Unit

JclCLR


TJclClrTable Class Properties

TJclClrTable Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream


Legend

read only


TJclClrTable Class Methods

TJclClrTable Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update


Legend

protected

Constructor


Legend

TJclClrTable Class

Legend

read only

protected

Constructor


TJclClrTable Class Members

TJclClrTable Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update


Legend

read only

protected

Constructor


TJclClrTable.Data Property

TJclClrTable Class

property Data: PChar;

Class

TJclClrTable Class


TJclClrTable.Offset Property

TJclClrTable Class

property Offset: DWORD;

Class

TJclClrTable Class


TJclClrTable.RowCount Property

TJclClrTable Class

property RowCount: Integer;

Class

TJclClrTable Class


TJclClrTable.Rows Property

TJclClrTable Class

property Rows [const Idx: Integer]: TJclClrTableRow;

Class

TJclClrTable Class


TJclClrTable.Size Property

TJclClrTable Class

property Size: DWORD;

Class

TJclClrTable Class


TJclClrTable.Stream Property

TJclClrTable Class

property Stream: TJclClrTableStream;

Class

TJclClrTable Class


TJclClrTable.AddRow Method

TJclClrTable Class

function AddRow(const ARow: TJclClrTableRow): Integer;

Class

TJclClrTable Class


TJclClrTable.Create Constructor

TJclClrTable Class

constructor Create(const AStream: TJclClrTableStream; const Ptr: Pointer; const ARowCount: Integer); virtual;

Class

TJclClrTable Class


TJclClrTable.Destroy Destructor

TJclClrTable Class

destructor Destroy; override;

Class

TJclClrTable Class


TJclClrTable.DumpIL Method

TJclClrTable Class

function DumpIL: string; virtual;

Class

TJclClrTable Class


TJclClrTable.GetCodedIndexTag Method

TJclClrTable Class

function GetCodedIndexTag(const CodedIndex: DWORD; const TagWidth: DWORD; const WideIndex: Boolean): DWORD;

Class

TJclClrTable Class


TJclClrTable.GetCodedIndexValue Method

TJclClrTable Class

function GetCodedIndexValue(const CodedIndex: DWORD; const TagWidth: DWORD; const WideIndex: Boolean): DWORD;

Class

TJclClrTable Class


TJclClrTable.GetRow Method

TJclClrTable Class

function GetRow(const Idx: Integer): TJclClrTableRow;

Class

TJclClrTable Class


TJclClrTable.GetRowCount Method

TJclClrTable Class

function GetRowCount: Integer;

Class

TJclClrTable Class


TJclClrTable.IsWideIndex Method (TJclClrHeapKind)

TJclClrTable Class

function IsWideIndex(const HeapKind: TJclClrHeapKind): Boolean; overload;

Class

TJclClrTable Class


TJclClrTable.IsWideIndex Method (array of TJclClrTableKind)

TJclClrTable Class

function IsWideIndex(const TableKinds: array of TJclClrTableKind): Boolean; overload;

Class

TJclClrTable Class


TJclClrTable.Load Method

TJclClrTable Class

procedure Load; virtual;

Class

TJclClrTable Class


TJclClrTable.ReadByte Method

TJclClrTable Class

function ReadByte: Byte;

Class

TJclClrTable Class


TJclClrTable.ReadCompressedValue Method

TJclClrTable Class

function ReadCompressedValue: DWORD;

Class

TJclClrTable Class


TJclClrTable.ReadDWord Method

TJclClrTable Class

function ReadDWord: DWORD;

Class

TJclClrTable Class


TJclClrTable.ReadIndex Method (TJclClrHeapKind)

TJclClrTable Class

function ReadIndex(const HeapKind: TJclClrHeapKind): DWORD; overload;

Class

TJclClrTable Class


TJclClrTable.ReadIndex Method (array of TJclClrTableKind)

TJclClrTable Class

function ReadIndex(const TableKinds: array of TJclClrTableKind): DWORD; overload;

Class

TJclClrTable Class


TJclClrTable.ReadWord Method

TJclClrTable Class

function ReadWord: Word;

Class

TJclClrTable Class


TJclClrTable.RealRowCount Method

TJclClrTable Class

function RealRowCount: Integer;

Class

TJclClrTable Class


TJclClrTable.Reset Method

TJclClrTable Class

procedure Reset;

Class

TJclClrTable Class


TJclClrTable.SetSize Method

TJclClrTable Class

procedure SetSize(const Value: Integer);

Class

TJclClrTable Class


TJclClrTable.TableRowClass Method

TJclClrTable Class

class function TableRowClass: TJclClrTableRowClass; virtual;

Class

TJclClrTable Class


TJclClrTable.Update Method

TJclClrTable Class

procedure Update; virtual;

Class

TJclClrTable Class


TJclClrTableAssembly Class

Properties	Methods	Legend

TJclClrTableAssembly = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssembly Class Properties

TJclClrTableAssembly Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssembly Class

 Rows


Legend

read only


TJclClrTableAssembly Class Methods

TJclClrTableAssembly Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssembly Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssembly Class

Legend

read only

protected

Constructor


TJclClrTableAssembly Class Members

TJclClrTableAssembly Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssembly Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssembly Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssembly.Rows Property

TJclClrTableAssembly Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyRow;

Class

TJclClrTableAssembly Class


TJclClrTableAssembly.TableRowClass Method

TJclClrTableAssembly Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssembly Class


TJclClrTableAssemblyOS Class

Properties	Methods	Legend

TJclClrTableAssemblyOS = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssemblyOS Class Properties

TJclClrTableAssemblyOS Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyOS Class

 Rows


Legend

read only


TJclClrTableAssemblyOS Class Methods

TJclClrTableAssemblyOS Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyOS Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssemblyOS Class

Legend

read only

protected

Constructor


TJclClrTableAssemblyOS Class Members

TJclClrTableAssemblyOS Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyOS Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyOS Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssemblyOS.Rows Property

TJclClrTableAssemblyOS Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyOSRow;

Class

TJclClrTableAssemblyOS Class


TJclClrTableAssemblyOS.TableRowClass Method

TJclClrTableAssemblyOS Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssemblyOS Class


TJclClrTableAssemblyOSRow Class

Properties	Methods	Legend

TJclClrTableAssemblyOSRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyOSRow Class Properties

TJclClrTableAssemblyOSRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyOSRow Class

 MajorVersion

 MinorVersion

 PlatformID

 Version


Legend

read only


TJclClrTableAssemblyOSRow Class Methods

TJclClrTableAssemblyOSRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyOSRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableAssemblyOSRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyOSRow Class Members

TJclClrTableAssemblyOSRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyOSRow Class

 MajorVersion

 MinorVersion

 PlatformID

 Version

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyOSRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableAssemblyOSRow.MajorVersion Property

TJclClrTableAssemblyOSRow Class

property MajorVersion: DWORD;

Class

TJclClrTableAssemblyOSRow Class


TJclClrTableAssemblyOSRow.MinorVersion Property

TJclClrTableAssemblyOSRow Class

property MinorVersion: DWORD;

Class

TJclClrTableAssemblyOSRow Class


TJclClrTableAssemblyOSRow.PlatformID Property

TJclClrTableAssemblyOSRow Class

property PlatformID: DWORD;

Class

TJclClrTableAssemblyOSRow Class


TJclClrTableAssemblyOSRow.Version Property

TJclClrTableAssemblyOSRow Class

property Version: string;

Class

TJclClrTableAssemblyOSRow Class


TJclClrTableAssemblyOSRow.Create Constructor

TJclClrTableAssemblyOSRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyOSRow Class


TJclClrTableAssemblyProcessor Class

Properties	Methods	Legend

TJclClrTableAssemblyProcessor = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssemblyProcessor Class Properties

TJclClrTableAssemblyProcessor Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyProcessor Class

 Rows


Legend

read only


TJclClrTableAssemblyProcessor Class Methods

TJclClrTableAssemblyProcessor Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyProcessor Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssemblyProcessor Class

Legend

read only

protected

Constructor


TJclClrTableAssemblyProcessor Class Members

TJclClrTableAssemblyProcessor Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyProcessor Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyProcessor Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssemblyProcessor.Rows Property

TJclClrTableAssemblyProcessor Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyProcessorRow;

Class

TJclClrTableAssemblyProcessor Class


TJclClrTableAssemblyProcessor.TableRowClass Method

TJclClrTableAssemblyProcessor Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssemblyProcessor Class


TJclClrTableAssemblyProcessorRow Class

Properties	Methods	Legend

TJclClrTableAssemblyProcessorRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyProcessorRow Class Properties

TJclClrTableAssemblyProcessorRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyProcessorRow Class

 Processor


Legend

read only


TJclClrTableAssemblyProcessorRow Class Methods

TJclClrTableAssemblyProcessorRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyProcessorRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableAssemblyProcessorRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyProcessorRow Class Members

TJclClrTableAssemblyProcessorRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyProcessorRow Class

 Processor

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyProcessorRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableAssemblyProcessorRow.Processor Property

TJclClrTableAssemblyProcessorRow Class

property Processor: DWORD;

Class

TJclClrTableAssemblyProcessorRow Class


TJclClrTableAssemblyProcessorRow.Create Constructor

TJclClrTableAssemblyProcessorRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyProcessorRow Class


TJclClrTableAssemblyRef Class

Properties	Methods	Legend

TJclClrTableAssemblyRef = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssemblyRef Class Properties

TJclClrTableAssemblyRef Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyRef Class

 Rows


Legend

read only


TJclClrTableAssemblyRef Class Methods

TJclClrTableAssemblyRef Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyRef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssemblyRef Class

Legend

read only

protected

Constructor


TJclClrTableAssemblyRef Class Members

TJclClrTableAssemblyRef Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyRef Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyRef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssemblyRef.Rows Property

TJclClrTableAssemblyRef Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyRefRow;

Class

TJclClrTableAssemblyRef Class


TJclClrTableAssemblyRef.TableRowClass Method

TJclClrTableAssemblyRef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssemblyRef Class


TJclClrTableAssemblyRefOS Class

Properties	Methods	Legend

TJclClrTableAssemblyRefOS = class(TJclClrTableAssemblyOS);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssemblyRefOS Class Properties

TJclClrTableAssemblyRefOS Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyOS Class

 Rows

TJclClrTableAssemblyRefOS Class

 Rows


Legend

read only


TJclClrTableAssemblyRefOS Class Methods

TJclClrTableAssemblyRefOS Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyOS Class

 TableRowClass

TJclClrTableAssemblyRefOS Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssemblyRefOS Class

Legend

read only

protected

Constructor


TJclClrTableAssemblyRefOS Class Members

TJclClrTableAssemblyRefOS Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyOS Class

 Rows

TJclClrTableAssemblyRefOS Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyOS Class

 TableRowClass

TJclClrTableAssemblyRefOS Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssemblyRefOS.Rows Property

TJclClrTableAssemblyRefOS Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyRefOSRow;

Class

TJclClrTableAssemblyRefOS Class


TJclClrTableAssemblyRefOS.TableRowClass Method

TJclClrTableAssemblyRefOS Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssemblyRefOS Class


TJclClrTableAssemblyRefOSRow Class

Properties	Methods	Legend

TJclClrTableAssemblyRefOSRow = class(TJclClrTableAssemblyOSRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyRefOSRow Class Properties

TJclClrTableAssemblyRefOSRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyOSRow Class

 MajorVersion

 MinorVersion

 PlatformID

 Version

TJclClrTableAssemblyRefOSRow Class

 AssemblyRef

 AssemblyRefIdx


Legend

read only


TJclClrTableAssemblyRefOSRow Class Methods

TJclClrTableAssemblyRefOSRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyOSRow Class

 Create

TJclClrTableAssemblyRefOSRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableAssemblyRefOSRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyRefOSRow Class Members

TJclClrTableAssemblyRefOSRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyOSRow Class

 MajorVersion

 MinorVersion

 PlatformID

 Version

TJclClrTableAssemblyRefOSRow Class

 AssemblyRef

 AssemblyRefIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyOSRow Class

 Create

TJclClrTableAssemblyRefOSRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableAssemblyRefOSRow.AssemblyRef Property

TJclClrTableAssemblyRefOSRow Class

property AssemblyRef: TJclClrTableAssemblyRefRow;

Class

TJclClrTableAssemblyRefOSRow Class


TJclClrTableAssemblyRefOSRow.AssemblyRefIdx Property

TJclClrTableAssemblyRefOSRow Class

property AssemblyRefIdx: DWORD;

Class

TJclClrTableAssemblyRefOSRow Class


TJclClrTableAssemblyRefOSRow.Create Constructor

TJclClrTableAssemblyRefOSRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyRefOSRow Class


TJclClrTableAssemblyRefProcessor Class

Properties	Methods	Legend

TJclClrTableAssemblyRefProcessor = class(TJclClrTableAssemblyProcessor);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableAssemblyRefProcessor Class Properties

TJclClrTableAssemblyRefProcessor Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyProcessor Class

 Rows

TJclClrTableAssemblyRefProcessor Class

 Rows


Legend

read only


TJclClrTableAssemblyRefProcessor Class Methods

TJclClrTableAssemblyRefProcessor Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyProcessor Class

 TableRowClass

TJclClrTableAssemblyRefProcessor Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableAssemblyRefProcessor Class

Legend

read only

protected

Constructor


TJclClrTableAssemblyRefProcessor Class Members

TJclClrTableAssemblyRefProcessor Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableAssemblyProcessor Class

 Rows

TJclClrTableAssemblyRefProcessor Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableAssemblyProcessor Class

 TableRowClass

TJclClrTableAssemblyRefProcessor Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableAssemblyRefProcessor.Rows Property

TJclClrTableAssemblyRefProcessor Class

property Rows [const Idx: Integer]: TJclClrTableAssemblyRefProcessorRow;

Class

TJclClrTableAssemblyRefProcessor Class


TJclClrTableAssemblyRefProcessor.TableRowClass Method

TJclClrTableAssemblyRefProcessor Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableAssemblyRefProcessor Class


TJclClrTableAssemblyRefProcessorRow Class

Properties	Methods	Legend

TJclClrTableAssemblyRefProcessorRow = class(TJclClrTableAssemblyProcessorRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyRefProcessorRow Class Properties

TJclClrTableAssemblyRefProcessorRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyProcessorRow Class

 Processor

TJclClrTableAssemblyRefProcessorRow Class

 AssemblyRef

 AssemblyRefIdx


Legend

read only


TJclClrTableAssemblyRefProcessorRow Class Methods

TJclClrTableAssemblyRefProcessorRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyProcessorRow Class

 Create

TJclClrTableAssemblyRefProcessorRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableAssemblyRefProcessorRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyRefProcessorRow Class Members

TJclClrTableAssemblyRefProcessorRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyProcessorRow Class

 Processor

TJclClrTableAssemblyRefProcessorRow Class

 AssemblyRef

 AssemblyRefIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyProcessorRow Class

 Create

TJclClrTableAssemblyRefProcessorRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableAssemblyRefProcessorRow.AssemblyRef Property

TJclClrTableAssemblyRefProcessorRow Class

property AssemblyRef: TJclClrTableAssemblyRefRow;

Class

TJclClrTableAssemblyRefProcessorRow Class


TJclClrTableAssemblyRefProcessorRow.AssemblyRefIdx Property

TJclClrTableAssemblyRefProcessorRow Class

property AssemblyRefIdx: DWORD;

Class

TJclClrTableAssemblyRefProcessorRow Class


TJclClrTableAssemblyRefProcessorRow.Create Constructor

TJclClrTableAssemblyRefProcessorRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyRefProcessorRow Class


TJclClrTableAssemblyRefRow Class

Properties	Methods	Legend

TJclClrTableAssemblyRefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyRefRow Class Properties

TJclClrTableAssemblyRefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyRefRow Class

 BuildNumber

 Culture

 CultureOffset

 FlagMask

 Flags

 HashValue

 HashValueOffset

 MajorVersion

 MinorVersion

 Name

 NameOffset

 PublicKeyOrToken

 PublicKeyOrTokenOffset

 RevisionNumber

 Version


Legend

read only


TJclClrTableAssemblyRefRow Class Methods

TJclClrTableAssemblyRefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyRefRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableAssemblyRefRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyRefRow Class Members

TJclClrTableAssemblyRefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyRefRow Class

 BuildNumber

 Culture

 CultureOffset

 FlagMask

 Flags

 HashValue

 HashValueOffset

 MajorVersion

 MinorVersion

 Name

 NameOffset

 PublicKeyOrToken

 PublicKeyOrTokenOffset

 RevisionNumber

 Version

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyRefRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableAssemblyRefRow.BuildNumber Property

TJclClrTableAssemblyRefRow Class

property BuildNumber: Word;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.Culture Property

TJclClrTableAssemblyRefRow Class

property Culture: WideString;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.CultureOffset Property

TJclClrTableAssemblyRefRow Class

property CultureOffset: DWORD;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.FlagMask Property

TJclClrTableAssemblyRefRow Class

property FlagMask: DWORD;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.Flags Property

TJclClrTableAssemblyRefRow Class

property Flags: TJclClrAssemblyFlags;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.HashValue Property

TJclClrTableAssemblyRefRow Class

property HashValue: TJclClrBlobRecord;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.HashValueOffset Property

TJclClrTableAssemblyRefRow Class

property HashValueOffset: DWORD;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.MajorVersion Property

TJclClrTableAssemblyRefRow Class

property MajorVersion: Word;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.MinorVersion Property

TJclClrTableAssemblyRefRow Class

property MinorVersion: Word;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.Name Property

TJclClrTableAssemblyRefRow Class

property Name: WideString;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.NameOffset Property

TJclClrTableAssemblyRefRow Class

property NameOffset: DWORD;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.PublicKeyOrToken Property

TJclClrTableAssemblyRefRow Class

property PublicKeyOrToken: TJclClrBlobRecord;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.PublicKeyOrTokenOffset Property

TJclClrTableAssemblyRefRow Class

property PublicKeyOrTokenOffset: DWORD;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.RevisionNumber Property

TJclClrTableAssemblyRefRow Class

property RevisionNumber: Word;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.Version Property

TJclClrTableAssemblyRefRow Class

property Version: string;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.Create Constructor

TJclClrTableAssemblyRefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRefRow.DumpIL Method

TJclClrTableAssemblyRefRow Class

function DumpIL: string; override;

Class

TJclClrTableAssemblyRefRow Class


TJclClrTableAssemblyRow Class

Properties	Methods	Legend

TJclClrTableAssemblyRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableAssemblyRow Class Properties

TJclClrTableAssemblyRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableAssemblyRow Class

 BuildNumber

 Culture

 CultureOffset

 FlagMask

 Flags

 HashAlgId

 MajorVersion

 MinorVersion

 Name

 NameOffset

 PublicKey

 PublicKeyOffset

 RevisionNumber

 Version


Legend

read only


TJclClrTableAssemblyRow Class Methods

TJclClrTableAssemblyRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyRow Class

AssemblyFlags

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableAssemblyRow Class

Legend

read only

Constructor

protected


TJclClrTableAssemblyRow Class Members

TJclClrTableAssemblyRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableAssemblyRow Class

 BuildNumber

 Culture

 CultureOffset

 FlagMask

 Flags

 HashAlgId

 MajorVersion

 MinorVersion

 Name

 NameOffset

 PublicKey

 PublicKeyOffset

 RevisionNumber

 Version

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableAssemblyRow Class

AssemblyFlags

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableAssemblyRow.BuildNumber Property

TJclClrTableAssemblyRow Class

property BuildNumber: Word;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.Culture Property

TJclClrTableAssemblyRow Class

property Culture: WideString;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.CultureOffset Property

TJclClrTableAssemblyRow Class

property CultureOffset: DWORD;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.FlagMask Property

TJclClrTableAssemblyRow Class

property FlagMask: DWORD;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.Flags Property

TJclClrTableAssemblyRow Class

property Flags: TJclClrAssemblyFlags;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.HashAlgId Property

TJclClrTableAssemblyRow Class

property HashAlgId: DWORD;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.MajorVersion Property

TJclClrTableAssemblyRow Class

property MajorVersion: Word;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.MinorVersion Property

TJclClrTableAssemblyRow Class

property MinorVersion: Word;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.Name Property

TJclClrTableAssemblyRow Class

property Name: WideString;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.NameOffset Property

TJclClrTableAssemblyRow Class

property NameOffset: DWORD;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.PublicKey Property

TJclClrTableAssemblyRow Class

property PublicKey: TJclClrBlobRecord;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.PublicKeyOffset Property

TJclClrTableAssemblyRow Class

property PublicKeyOffset: DWORD;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.RevisionNumber Property

TJclClrTableAssemblyRow Class

property RevisionNumber: Word;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.Version Property

TJclClrTableAssemblyRow Class

property Version: string;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.AssemblyFlags Method (DWORD)

TJclClrTableAssemblyRow Class

class function AssemblyFlags(const Flags: DWORD): TJclClrAssemblyFlags; overload;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.AssemblyFlags Method (TJclClrAssemblyFlags)

TJclClrTableAssemblyRow Class

class function AssemblyFlags(const Flags: TJclClrAssemblyFlags): DWORD; overload;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.Create Constructor

TJclClrTableAssemblyRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableAssemblyRow Class


TJclClrTableAssemblyRow.DumpIL Method

TJclClrTableAssemblyRow Class

function DumpIL: string; override;

Class

TJclClrTableAssemblyRow Class


TJclClrTableClassLayout Class

Properties	Methods	Legend

TJclClrTableClassLayout = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableClassLayout Class Properties

TJclClrTableClassLayout Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableClassLayout Class

 Rows


Legend

read only


TJclClrTableClassLayout Class Methods

TJclClrTableClassLayout Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableClassLayout Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableClassLayout Class

Legend

read only

protected

Constructor


TJclClrTableClassLayout Class Members

TJclClrTableClassLayout Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableClassLayout Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableClassLayout Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableClassLayout.Rows Property

TJclClrTableClassLayout Class

property Rows [const Idx: Integer]: TJclClrTableClassLayoutRow;

Class

TJclClrTableClassLayout Class


TJclClrTableClassLayout.TableRowClass Method

TJclClrTableClassLayout Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableClassLayout Class


TJclClrTableClassLayoutRow Class

Properties	Methods	Legend

TJclClrTableClassLayoutRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableClassLayoutRow Class Properties

TJclClrTableClassLayoutRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableClassLayoutRow Class

 ClassSize

 PackingSize

 ParentIdx


Legend

read only


TJclClrTableClassLayoutRow Class Methods

TJclClrTableClassLayoutRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableClassLayoutRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableClassLayoutRow Class

Legend

read only

Constructor

protected


TJclClrTableClassLayoutRow Class Members

TJclClrTableClassLayoutRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableClassLayoutRow Class

 ClassSize

 PackingSize

 ParentIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableClassLayoutRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableClassLayoutRow.ClassSize Property

TJclClrTableClassLayoutRow Class

property ClassSize: DWORD;

Class

TJclClrTableClassLayoutRow Class


TJclClrTableClassLayoutRow.PackingSize Property

TJclClrTableClassLayoutRow Class

property PackingSize: Word;

Class

TJclClrTableClassLayoutRow Class


TJclClrTableClassLayoutRow.ParentIdx Property

TJclClrTableClassLayoutRow Class

property ParentIdx: DWORD;

Class

TJclClrTableClassLayoutRow Class


TJclClrTableClassLayoutRow.Create Constructor

TJclClrTableClassLayoutRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableClassLayoutRow Class


TJclClrTableConstant Class

Properties	Methods	Legend

TJclClrTableConstant = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableConstant Class Properties

TJclClrTableConstant Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableConstant Class

 Rows


Legend

read only


TJclClrTableConstant Class Methods

TJclClrTableConstant Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableConstant Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableConstant Class

Legend

read only

protected

Constructor


TJclClrTableConstant Class Members

TJclClrTableConstant Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableConstant Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableConstant Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableConstant.Rows Property

TJclClrTableConstant Class

property Rows [const Idx: Integer]: TJclClrTableConstantRow;

Class

TJclClrTableConstant Class


TJclClrTableConstant.TableRowClass Method

TJclClrTableConstant Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableConstant Class


TJclClrTableConstantRow Class

Properties	Methods	Legend

TJclClrTableConstantRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableConstantRow Class Properties

TJclClrTableConstantRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableConstantRow Class

 ElementType

 Kind

 Parent

 ParentIdx

 Value

 ValueOffset


Legend

read only


TJclClrTableConstantRow Class Methods

TJclClrTableConstantRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableConstantRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableConstantRow Class

Legend

read only

Constructor

protected


TJclClrTableConstantRow Class Members

TJclClrTableConstantRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableConstantRow Class

 ElementType

 Kind

 Parent

 ParentIdx

 Value

 ValueOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableConstantRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableConstantRow.ElementType Property

TJclClrTableConstantRow Class

property ElementType: TJclClrElementType;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.Kind Property

TJclClrTableConstantRow Class

property Kind: Byte;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.Parent Property

TJclClrTableConstantRow Class

property Parent: TJclClrTableRow;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.ParentIdx Property

TJclClrTableConstantRow Class

property ParentIdx: DWORD;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.Value Property

TJclClrTableConstantRow Class

property Value: TJclClrBlobRecord;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.ValueOffset Property

TJclClrTableConstantRow Class

property ValueOffset: DWORD;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.Create Constructor

TJclClrTableConstantRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableConstantRow Class


TJclClrTableConstantRow.DumpIL Method

TJclClrTableConstantRow Class

function DumpIL: string; override;

Class

TJclClrTableConstantRow Class


TJclClrTableCustomAttribute Class

Properties	Methods	Legend

TJclClrTableCustomAttribute = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableCustomAttribute Class Properties

TJclClrTableCustomAttribute Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableCustomAttribute Class

 Rows


Legend

read only


TJclClrTableCustomAttribute Class Methods

TJclClrTableCustomAttribute Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableCustomAttribute Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableCustomAttribute Class

Legend

read only

protected

Constructor


TJclClrTableCustomAttribute Class Members

TJclClrTableCustomAttribute Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableCustomAttribute Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableCustomAttribute Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableCustomAttribute.Rows Property

TJclClrTableCustomAttribute Class

property Rows [const Idx: Integer]: TJclClrTableCustomAttributeRow;

Class

TJclClrTableCustomAttribute Class


TJclClrTableCustomAttribute.TableRowClass Method

TJclClrTableCustomAttribute Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableCustomAttribute Class


TJclClrTableCustomAttributeRow Class

Properties	Methods	Legend

TJclClrTableCustomAttributeRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableCustomAttributeRow Class Properties

TJclClrTableCustomAttributeRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableCustomAttributeRow Class

 Method

 Parent

 ParentIdx

 TypeIdx

 Value

 ValueOffset


Legend

read only


TJclClrTableCustomAttributeRow Class Methods

TJclClrTableCustomAttributeRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableCustomAttributeRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableCustomAttributeRow Class

Legend

read only

Constructor

protected


TJclClrTableCustomAttributeRow Class Members

TJclClrTableCustomAttributeRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableCustomAttributeRow Class

 Method

 Parent

 ParentIdx

 TypeIdx

 Value

 ValueOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableCustomAttributeRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableCustomAttributeRow.Method Property

TJclClrTableCustomAttributeRow Class

property Method: TJclClrTableRow;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.Parent Property

TJclClrTableCustomAttributeRow Class

property Parent: TJclClrTableRow;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.ParentIdx Property

TJclClrTableCustomAttributeRow Class

property ParentIdx: DWORD;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.TypeIdx Property

TJclClrTableCustomAttributeRow Class

property TypeIdx: DWORD;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.Value Property

TJclClrTableCustomAttributeRow Class

property Value: TJclClrBlobRecord;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.ValueOffset Property

TJclClrTableCustomAttributeRow Class

property ValueOffset: DWORD;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.Create Constructor

TJclClrTableCustomAttributeRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableCustomAttributeRow.DumpIL Method

TJclClrTableCustomAttributeRow Class

function DumpIL: string; override;

Class

TJclClrTableCustomAttributeRow Class


TJclClrTableDeclSecurity Class

Properties	Methods	Legend

TJclClrTableDeclSecurity = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableDeclSecurity Class Properties

TJclClrTableDeclSecurity Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableDeclSecurity Class

 Rows


Legend

read only


TJclClrTableDeclSecurity Class Methods

TJclClrTableDeclSecurity Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableDeclSecurity Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableDeclSecurity Class

Legend

read only

protected

Constructor


TJclClrTableDeclSecurity Class Members

TJclClrTableDeclSecurity Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableDeclSecurity Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableDeclSecurity Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableDeclSecurity.Rows Property

TJclClrTableDeclSecurity Class

property Rows [const Idx: Integer]: TJclClrTableDeclSecurityRow;

Class

TJclClrTableDeclSecurity Class


TJclClrTableDeclSecurity.TableRowClass Method

TJclClrTableDeclSecurity Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableDeclSecurity Class


TJclClrTableDeclSecurityRow Class

Properties	Methods	Legend

TJclClrTableDeclSecurityRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableDeclSecurityRow Class Properties

TJclClrTableDeclSecurityRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableDeclSecurityRow Class

 Action

 ParentIdx

 PermissionSetOffset


Legend

read only


TJclClrTableDeclSecurityRow Class Methods

TJclClrTableDeclSecurityRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableDeclSecurityRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableDeclSecurityRow Class

Legend

read only

Constructor

protected


TJclClrTableDeclSecurityRow Class Members

TJclClrTableDeclSecurityRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableDeclSecurityRow Class

 Action

 ParentIdx

 PermissionSetOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableDeclSecurityRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableDeclSecurityRow.Action Property

TJclClrTableDeclSecurityRow Class

property Action: Word;

Class

TJclClrTableDeclSecurityRow Class


TJclClrTableDeclSecurityRow.ParentIdx Property

TJclClrTableDeclSecurityRow Class

property ParentIdx: DWORD;

Class

TJclClrTableDeclSecurityRow Class


TJclClrTableDeclSecurityRow.PermissionSetOffset Property

TJclClrTableDeclSecurityRow Class

property PermissionSetOffset: DWORD;

Class

TJclClrTableDeclSecurityRow Class


TJclClrTableDeclSecurityRow.Create Constructor

TJclClrTableDeclSecurityRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableDeclSecurityRow Class


TJclClrTableENCLog Class

Properties	Methods	Legend

TJclClrTableENCLog = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableENCLog Class Properties

TJclClrTableENCLog Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableENCLog Class

 Rows


Legend

read only


TJclClrTableENCLog Class Methods

TJclClrTableENCLog Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableENCLog Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableENCLog Class

Legend

read only

protected

Constructor


TJclClrTableENCLog Class Members

TJclClrTableENCLog Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableENCLog Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableENCLog Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableENCLog.Rows Property

TJclClrTableENCLog Class

property Rows [const Idx: Integer]: TJclClrTableENCLogRow;

Class

TJclClrTableENCLog Class


TJclClrTableENCLog.TableRowClass Method

TJclClrTableENCLog Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableENCLog Class


TJclClrTableENCLogRow Class

Properties	Methods	Legend

TJclClrTableENCLogRow = class(TJclClrTableENCMapRow);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableENCLogRow Class Properties

TJclClrTableENCLogRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableENCMapRow Class

 FuncCode

TJclClrTableENCLogRow Class

 FuncCode


Legend

read only

protected


TJclClrTableENCLogRow Class Methods

TJclClrTableENCLogRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableENCMapRow Class

 Create

TJclClrTableENCLogRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableENCLogRow Class

Legend

read only

protected

Constructor


TJclClrTableENCLogRow Class Members

TJclClrTableENCLogRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableENCMapRow Class

 FuncCode

TJclClrTableENCLogRow Class

 FuncCode

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableENCMapRow Class

 Create

TJclClrTableENCLogRow Class

 Create


Legend

read only

protected

Constructor


TJclClrTableENCLogRow.FuncCode Property

TJclClrTableENCLogRow Class

property FuncCode: DWORD;

Class

TJclClrTableENCLogRow Class


TJclClrTableENCLogRow.Create Constructor

TJclClrTableENCLogRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableENCLogRow Class


TJclClrTableENCMap Class

Properties	Methods	Legend

TJclClrTableENCMap = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableENCMap Class Properties

TJclClrTableENCMap Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableENCMap Class

 Rows


Legend

read only


TJclClrTableENCMap Class Methods

TJclClrTableENCMap Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableENCMap Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableENCMap Class

Legend

read only

protected

Constructor


TJclClrTableENCMap Class Members

TJclClrTableENCMap Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableENCMap Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableENCMap Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableENCMap.Rows Property

TJclClrTableENCMap Class

property Rows [const Idx: Integer]: TJclClrTableENCMapRow;

Class

TJclClrTableENCMap Class


TJclClrTableENCMap.TableRowClass Method

TJclClrTableENCMap Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableENCMap Class


TJclClrTableENCMapRow Class

Properties	Methods	Legend

TJclClrTableENCMapRow = class(TJclClrTableRow);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableENCMapRow Class Properties

TJclClrTableENCMapRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableENCMapRow Class

 FuncCode


Legend

read only

protected


TJclClrTableENCMapRow Class Methods

TJclClrTableENCMapRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableENCMapRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableENCMapRow Class

Legend

read only

protected

Constructor


TJclClrTableENCMapRow Class Members

TJclClrTableENCMapRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableENCMapRow Class

 FuncCode

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableENCMapRow Class

 Create


Legend

read only

protected

Constructor


TJclClrTableENCMapRow.FuncCode Property

TJclClrTableENCMapRow Class

property FuncCode: DWORD;

Class

TJclClrTableENCMapRow Class


TJclClrTableENCMapRow.Create Constructor

TJclClrTableENCMapRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableENCMapRow Class


TJclClrTableEventDef Class

Properties	Methods	Legend

TJclClrTableEventDef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableEventDef Class Properties

TJclClrTableEventDef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventDef Class

 Rows


Legend

read only


TJclClrTableEventDef Class Methods

TJclClrTableEventDef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableEventDef Class

Legend

read only

protected

Constructor


TJclClrTableEventDef Class Members

TJclClrTableEventDef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventDef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableEventDef.Rows Property

TJclClrTableEventDef Class

property Rows [const Idx: Integer]: TJclClrTableEventDefRow;

Class

TJclClrTableEventDef Class


TJclClrTableEventDef.TableRowClass Method

TJclClrTableEventDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableEventDef Class


TJclClrTableEventDefRow Class

Properties	Methods	Legend

TJclClrTableEventDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableEventDefRow Class Properties

TJclClrTableEventDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableEventDefRow Class

 EventFlags

 EventTypeIdx

 Name

 NameOffset


Legend

read only


TJclClrTableEventDefRow Class Methods

TJclClrTableEventDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventDefRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableEventDefRow Class

Legend

read only

Constructor

protected


TJclClrTableEventDefRow Class Members

TJclClrTableEventDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableEventDefRow Class

 EventFlags

 EventTypeIdx

 Name

 NameOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventDefRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableEventDefRow.EventFlags Property

TJclClrTableEventDefRow Class

property EventFlags: Word;

Class

TJclClrTableEventDefRow Class


TJclClrTableEventDefRow.EventTypeIdx Property

TJclClrTableEventDefRow Class

property EventTypeIdx: DWORD;

Class

TJclClrTableEventDefRow Class


TJclClrTableEventDefRow.Name Property

TJclClrTableEventDefRow Class

property Name: WideString;

Class

TJclClrTableEventDefRow Class


TJclClrTableEventDefRow.NameOffset Property

TJclClrTableEventDefRow Class

property NameOffset: DWORD;

Class

TJclClrTableEventDefRow Class


TJclClrTableEventDefRow.Create Constructor

TJclClrTableEventDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableEventDefRow Class


TJclClrTableEventMap Class

Properties	Methods	Legend

TJclClrTableEventMap = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableEventMap Class Properties

TJclClrTableEventMap Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventMap Class

 Rows


Legend

read only


TJclClrTableEventMap Class Methods

TJclClrTableEventMap Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventMap Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableEventMap Class

Legend

read only

protected

Constructor


TJclClrTableEventMap Class Members

TJclClrTableEventMap Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventMap Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventMap Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableEventMap.Rows Property

TJclClrTableEventMap Class

property Rows [const Idx: Integer]: TJclClrTableEventMapRow;

Class

TJclClrTableEventMap Class


TJclClrTableEventMap.TableRowClass Method

TJclClrTableEventMap Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableEventMap Class


TJclClrTableEventMapRow Class

Properties	Methods	Legend

TJclClrTableEventMapRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableEventMapRow Class Properties

TJclClrTableEventMapRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableEventMapRow Class

 EventListIdx

 ParentIdx


Legend

read only


TJclClrTableEventMapRow Class Methods

TJclClrTableEventMapRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventMapRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableEventMapRow Class

Legend

read only

Constructor

protected


TJclClrTableEventMapRow Class Members

TJclClrTableEventMapRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableEventMapRow Class

 EventListIdx

 ParentIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventMapRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableEventMapRow.EventListIdx Property

TJclClrTableEventMapRow Class

property EventListIdx: DWORD;

Class

TJclClrTableEventMapRow Class


TJclClrTableEventMapRow.ParentIdx Property

TJclClrTableEventMapRow Class

property ParentIdx: DWORD;

Class

TJclClrTableEventMapRow Class


TJclClrTableEventMapRow.Create Constructor

TJclClrTableEventMapRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableEventMapRow Class


TJclClrTableEventPtr Class

Properties	Methods	Legend

TJclClrTableEventPtr = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableEventPtr Class Properties

TJclClrTableEventPtr Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventPtr Class

 Rows


Legend

read only


TJclClrTableEventPtr Class Methods

TJclClrTableEventPtr Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventPtr Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableEventPtr Class

Legend

read only

protected

Constructor


TJclClrTableEventPtr Class Members

TJclClrTableEventPtr Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableEventPtr Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableEventPtr Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableEventPtr.Rows Property

TJclClrTableEventPtr Class

property Rows [const Idx: Integer]: TJclClrTableEventPtrRow;

Class

TJclClrTableEventPtr Class


TJclClrTableEventPtr.TableRowClass Method

TJclClrTableEventPtr Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableEventPtr Class


TJclClrTableEventPtrRow Class

Properties	Methods	Legend

TJclClrTableEventPtrRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableEventPtrRow Class Properties

TJclClrTableEventPtrRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableEventPtrRow Class

 Event

 EventIdx


Legend

read only


TJclClrTableEventPtrRow Class Methods

TJclClrTableEventPtrRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventPtrRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableEventPtrRow Class

Legend

read only

Constructor

protected


TJclClrTableEventPtrRow Class Members

TJclClrTableEventPtrRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableEventPtrRow Class

 Event

 EventIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableEventPtrRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableEventPtrRow.Event Property

TJclClrTableEventPtrRow Class

property Event: TJclClrTableEventDefRow;

Class

TJclClrTableEventPtrRow Class


TJclClrTableEventPtrRow.EventIdx Property

TJclClrTableEventPtrRow Class

property EventIdx: DWORD;

Class

TJclClrTableEventPtrRow Class


TJclClrTableEventPtrRow.Create Constructor

TJclClrTableEventPtrRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableEventPtrRow Class


TJclClrTableExportedType Class

Properties	Methods	Legend

TJclClrTableExportedType = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableExportedType Class Properties

TJclClrTableExportedType Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableExportedType Class

 Rows


Legend

read only


TJclClrTableExportedType Class Methods

TJclClrTableExportedType Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableExportedType Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableExportedType Class

Legend

read only

protected

Constructor


TJclClrTableExportedType Class Members

TJclClrTableExportedType Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableExportedType Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableExportedType Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableExportedType.Rows Property

TJclClrTableExportedType Class

property Rows [const Idx: Integer]: TJclClrTableExportedTypeRow;

Class

TJclClrTableExportedType Class


TJclClrTableExportedType.TableRowClass Method

TJclClrTableExportedType Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableExportedType Class


TJclClrTableExportedTypeRow Class

Properties	Methods	Legend

TJclClrTableExportedTypeRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableExportedTypeRow Class Properties

TJclClrTableExportedTypeRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableExportedTypeRow Class

 Flags

 ImplementationIdx

 TypeDefIdx

 TypeName

 TypeNameOffset

 TypeNamespace

 TypeNamespaceOffset


Legend

read only


TJclClrTableExportedTypeRow Class Methods

TJclClrTableExportedTypeRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableExportedTypeRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableExportedTypeRow Class

Legend

read only

Constructor

protected


TJclClrTableExportedTypeRow Class Members

TJclClrTableExportedTypeRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableExportedTypeRow Class

 Flags

 ImplementationIdx

 TypeDefIdx

 TypeName

 TypeNameOffset

 TypeNamespace

 TypeNamespaceOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableExportedTypeRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableExportedTypeRow.Flags Property

TJclClrTableExportedTypeRow Class

property Flags: DWORD;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.ImplementationIdx Property

TJclClrTableExportedTypeRow Class

property ImplementationIdx: DWORD;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.TypeDefIdx Property

TJclClrTableExportedTypeRow Class

property TypeDefIdx: DWORD;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.TypeName Property

TJclClrTableExportedTypeRow Class

property TypeName: WideString;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.TypeNameOffset Property

TJclClrTableExportedTypeRow Class

property TypeNameOffset: DWORD;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.TypeNamespace Property

TJclClrTableExportedTypeRow Class

property TypeNamespace: WideString;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.TypeNamespaceOffset Property

TJclClrTableExportedTypeRow Class

property TypeNamespaceOffset: DWORD;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableExportedTypeRow.Create Constructor

TJclClrTableExportedTypeRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableExportedTypeRow Class


TJclClrTableFieldDef Class

Properties	Methods	Legend

TJclClrTableFieldDef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFieldDef Class Properties

TJclClrTableFieldDef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldDef Class

 Rows


Legend

read only


TJclClrTableFieldDef Class Methods

TJclClrTableFieldDef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFieldDef Class

Legend

read only

protected

Constructor


TJclClrTableFieldDef Class Members

TJclClrTableFieldDef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldDef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFieldDef.Rows Property

TJclClrTableFieldDef Class

property Rows [const Idx: Integer]: TJclClrTableFieldDefRow;

Class

TJclClrTableFieldDef Class


TJclClrTableFieldDef.TableRowClass Method

TJclClrTableFieldDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFieldDef Class


TJclClrTableFieldDefRow Class

Properties	Methods	Legend

TJclClrTableFieldDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFieldDefRow Class Properties

TJclClrTableFieldDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFieldDefRow Class

 Flags

 Name

 NameOffset

 ParentToken

 RawFlags

 Signature

 SignatureOffset

 Visibility


Legend

read only


TJclClrTableFieldDefRow Class Methods

TJclClrTableFieldDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldDefRow Class

 Create

DumpIL

 SetParentToken


Legend

Constructor

protected


Legend

TJclClrTableFieldDefRow Class

Legend

read only

Constructor

protected


TJclClrTableFieldDefRow Class Members

TJclClrTableFieldDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFieldDefRow Class

 Flags

 Name

 NameOffset

 ParentToken

 RawFlags

 Signature

 SignatureOffset

 Visibility

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldDefRow Class

 Create

DumpIL

 SetParentToken


Legend

read only

Constructor

protected


TJclClrTableFieldDefRow.Flags Property

TJclClrTableFieldDefRow Class

property Flags: TJclClrTableFieldDefFlags;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.Name Property

TJclClrTableFieldDefRow Class

property Name: WideString;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.NameOffset Property

TJclClrTableFieldDefRow Class

property NameOffset: DWORD;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.ParentToken Property

TJclClrTableFieldDefRow Class

property ParentToken: TJclClrTableTypeDefRow;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.RawFlags Property

TJclClrTableFieldDefRow Class

property RawFlags: Word;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.Signature Property

TJclClrTableFieldDefRow Class

property Signature: TJclClrBlobRecord;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.SignatureOffset Property

TJclClrTableFieldDefRow Class

property SignatureOffset: DWORD;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.Visibility Property

TJclClrTableFieldDefRow Class

property Visibility: TJclClrTableFieldDefVisibility;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.Create Constructor

TJclClrTableFieldDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.DumpIL Method

TJclClrTableFieldDefRow Class

function DumpIL: string; override;

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldDefRow.SetParentToken Method

TJclClrTableFieldDefRow Class

procedure SetParentToken(const ARow: TJclClrTableTypeDefRow);

Class

TJclClrTableFieldDefRow Class


TJclClrTableFieldLayout Class

Properties	Methods	Legend

TJclClrTableFieldLayout = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFieldLayout Class Properties

TJclClrTableFieldLayout Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldLayout Class

 Rows


Legend

read only


TJclClrTableFieldLayout Class Methods

TJclClrTableFieldLayout Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldLayout Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFieldLayout Class

Legend

read only

protected

Constructor


TJclClrTableFieldLayout Class Members

TJclClrTableFieldLayout Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldLayout Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldLayout Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFieldLayout.Rows Property

TJclClrTableFieldLayout Class

property Rows [const Idx: Integer]: TJclClrTableFieldLayoutRow;

Class

TJclClrTableFieldLayout Class


TJclClrTableFieldLayout.TableRowClass Method

TJclClrTableFieldLayout Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFieldLayout Class


TJclClrTableFieldLayoutRow Class

Properties	Methods	Legend

TJclClrTableFieldLayoutRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFieldLayoutRow Class Properties

TJclClrTableFieldLayoutRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFieldLayoutRow Class

 FieldIdx

 Offset


Legend

read only


TJclClrTableFieldLayoutRow Class Methods

TJclClrTableFieldLayoutRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldLayoutRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableFieldLayoutRow Class

Legend

read only

Constructor

protected


TJclClrTableFieldLayoutRow Class Members

TJclClrTableFieldLayoutRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFieldLayoutRow Class

 FieldIdx

 Offset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldLayoutRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableFieldLayoutRow.FieldIdx Property

TJclClrTableFieldLayoutRow Class

property FieldIdx: DWORD;

Class

TJclClrTableFieldLayoutRow Class


TJclClrTableFieldLayoutRow.Offset Property

TJclClrTableFieldLayoutRow Class

property Offset: DWORD;

Class

TJclClrTableFieldLayoutRow Class


TJclClrTableFieldLayoutRow.Create Constructor

TJclClrTableFieldLayoutRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFieldLayoutRow Class


TJclClrTableFieldMarshal Class

Properties	Methods	Legend

TJclClrTableFieldMarshal = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFieldMarshal Class Properties

TJclClrTableFieldMarshal Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldMarshal Class

 Rows


Legend

read only


TJclClrTableFieldMarshal Class Methods

TJclClrTableFieldMarshal Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldMarshal Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFieldMarshal Class

Legend

read only

protected

Constructor


TJclClrTableFieldMarshal Class Members

TJclClrTableFieldMarshal Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldMarshal Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldMarshal Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFieldMarshal.Rows Property

TJclClrTableFieldMarshal Class

property Rows [const Idx: Integer]: TJclClrTableFieldMarshalRow;

Class

TJclClrTableFieldMarshal Class


TJclClrTableFieldMarshal.TableRowClass Method

TJclClrTableFieldMarshal Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFieldMarshal Class


TJclClrTableFieldMarshalRow Class

Properties	Methods	Legend

TJclClrTableFieldMarshalRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFieldMarshalRow Class Properties

TJclClrTableFieldMarshalRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFieldMarshalRow Class

 NativeTypeOffset

 ParentIdx


Legend

read only


TJclClrTableFieldMarshalRow Class Methods

TJclClrTableFieldMarshalRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldMarshalRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableFieldMarshalRow Class

Legend

read only

Constructor

protected


TJclClrTableFieldMarshalRow Class Members

TJclClrTableFieldMarshalRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFieldMarshalRow Class

 NativeTypeOffset

 ParentIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldMarshalRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableFieldMarshalRow.NativeTypeOffset Property

TJclClrTableFieldMarshalRow Class

property NativeTypeOffset: DWORD;

Class

TJclClrTableFieldMarshalRow Class


TJclClrTableFieldMarshalRow.ParentIdx Property

TJclClrTableFieldMarshalRow Class

property ParentIdx: DWORD;

Class

TJclClrTableFieldMarshalRow Class


TJclClrTableFieldMarshalRow.Create Constructor

TJclClrTableFieldMarshalRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFieldMarshalRow Class


TJclClrTableFieldPtr Class

Properties	Methods	Legend

TJclClrTableFieldPtr = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFieldPtr Class Properties

TJclClrTableFieldPtr Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldPtr Class

 Rows


Legend

read only


TJclClrTableFieldPtr Class Methods

TJclClrTableFieldPtr Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldPtr Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFieldPtr Class

Legend

read only

protected

Constructor


TJclClrTableFieldPtr Class Members

TJclClrTableFieldPtr Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldPtr Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldPtr Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFieldPtr.Rows Property

TJclClrTableFieldPtr Class

property Rows [const Idx: Integer]: TJclClrTableFieldPtrRow;

Class

TJclClrTableFieldPtr Class


TJclClrTableFieldPtr.TableRowClass Method

TJclClrTableFieldPtr Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFieldPtr Class


TJclClrTableFieldPtrRow Class

Properties	Methods	Legend

TJclClrTableFieldPtrRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFieldPtrRow Class Properties

TJclClrTableFieldPtrRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFieldPtrRow Class

 Field

 FieldIdx


Legend

read only


TJclClrTableFieldPtrRow Class Methods

TJclClrTableFieldPtrRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldPtrRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableFieldPtrRow Class

Legend

read only

Constructor

protected


TJclClrTableFieldPtrRow Class Members

TJclClrTableFieldPtrRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFieldPtrRow Class

 Field

 FieldIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldPtrRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableFieldPtrRow.Field Property

TJclClrTableFieldPtrRow Class

property Field: TJclClrTableFieldDefRow;

Class

TJclClrTableFieldPtrRow Class


TJclClrTableFieldPtrRow.FieldIdx Property

TJclClrTableFieldPtrRow Class

property FieldIdx: DWORD;

Class

TJclClrTableFieldPtrRow Class


TJclClrTableFieldPtrRow.Create Constructor

TJclClrTableFieldPtrRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFieldPtrRow Class


TJclClrTableFieldRVA Class

Properties	Methods	Legend

TJclClrTableFieldRVA = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFieldRVA Class Properties

TJclClrTableFieldRVA Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldRVA Class

 Rows


Legend

read only


TJclClrTableFieldRVA Class Methods

TJclClrTableFieldRVA Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldRVA Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFieldRVA Class

Legend

read only

protected

Constructor


TJclClrTableFieldRVA Class Members

TJclClrTableFieldRVA Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFieldRVA Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFieldRVA Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFieldRVA.Rows Property

TJclClrTableFieldRVA Class

property Rows [const Idx: Integer]: TJclClrTableFieldRVARow;

Class

TJclClrTableFieldRVA Class


TJclClrTableFieldRVA.TableRowClass Method

TJclClrTableFieldRVA Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFieldRVA Class


TJclClrTableFieldRVARow Class

Properties	Methods	Legend

TJclClrTableFieldRVARow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFieldRVARow Class Properties

TJclClrTableFieldRVARow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFieldRVARow Class

 FieldIdx

 RVA


Legend

read only


TJclClrTableFieldRVARow Class Methods

TJclClrTableFieldRVARow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldRVARow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableFieldRVARow Class

Legend

read only

Constructor

protected


TJclClrTableFieldRVARow Class Members

TJclClrTableFieldRVARow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFieldRVARow Class

 FieldIdx

 RVA

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFieldRVARow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableFieldRVARow.FieldIdx Property

TJclClrTableFieldRVARow Class

property FieldIdx: DWORD;

Class

TJclClrTableFieldRVARow Class


TJclClrTableFieldRVARow.RVA Property

TJclClrTableFieldRVARow Class

property RVA: DWORD;

Class

TJclClrTableFieldRVARow Class


TJclClrTableFieldRVARow.Create Constructor

TJclClrTableFieldRVARow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFieldRVARow Class


TJclClrTableFile Class

Properties	Methods	Legend

TJclClrTableFile = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableFile Class Properties

TJclClrTableFile Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFile Class

 Rows


Legend

read only


TJclClrTableFile Class Methods

TJclClrTableFile Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFile Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableFile Class

Legend

read only

protected

Constructor


TJclClrTableFile Class Members

TJclClrTableFile Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableFile Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableFile Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableFile.Rows Property

TJclClrTableFile Class

property Rows [const Idx: Integer]: TJclClrTableFileRow;

Class

TJclClrTableFile Class


TJclClrTableFile.TableRowClass Method

TJclClrTableFile Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableFile Class


TJclClrTableFileRow Class

Properties	Methods	Legend

TJclClrTableFileRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableFileRow Class Properties

TJclClrTableFileRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableFileRow Class

 ContainsMetadata

 Flags

 HashValue

 HashValueOffset

 Name

 NameOffset


Legend

read only


TJclClrTableFileRow Class Methods

TJclClrTableFileRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFileRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableFileRow Class

Legend

read only

Constructor

protected


TJclClrTableFileRow Class Members

TJclClrTableFileRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableFileRow Class

 ContainsMetadata

 Flags

 HashValue

 HashValueOffset

 Name

 NameOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableFileRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableFileRow.ContainsMetadata Property

TJclClrTableFileRow Class

property ContainsMetadata: Boolean;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.Flags Property

TJclClrTableFileRow Class

property Flags: DWORD;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.HashValue Property

TJclClrTableFileRow Class

property HashValue: TJclClrBlobRecord;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.HashValueOffset Property

TJclClrTableFileRow Class

property HashValueOffset: DWORD;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.Name Property

TJclClrTableFileRow Class

property Name: WideString;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.NameOffset Property

TJclClrTableFileRow Class

property NameOffset: DWORD;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.Create Constructor

TJclClrTableFileRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableFileRow Class


TJclClrTableFileRow.DumpIL Method

TJclClrTableFileRow Class

function DumpIL: string; override;

Class

TJclClrTableFileRow Class


TJclClrTableImplMap Class

Properties	Methods	Legend

TJclClrTableImplMap = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableImplMap Class Properties

TJclClrTableImplMap Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableImplMap Class

 Rows


Legend

read only


TJclClrTableImplMap Class Methods

TJclClrTableImplMap Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableImplMap Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableImplMap Class

Legend

read only

protected

Constructor


TJclClrTableImplMap Class Members

TJclClrTableImplMap Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableImplMap Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableImplMap Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableImplMap.Rows Property

TJclClrTableImplMap Class

property Rows [const Idx: Integer]: TJclClrTableImplMapRow;

Class

TJclClrTableImplMap Class


TJclClrTableImplMap.TableRowClass Method

TJclClrTableImplMap Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableImplMap Class


TJclClrTableImplMapRow Class

Properties	Methods	Legend

TJclClrTableImplMapRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableImplMapRow Class Properties

TJclClrTableImplMapRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableImplMapRow Class

 ImportName

 ImportNameOffset

 ImportScopeIdx

 MappingFlags

 MemberForwardedIdx


Legend

read only


TJclClrTableImplMapRow Class Methods

TJclClrTableImplMapRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableImplMapRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableImplMapRow Class

Legend

read only

Constructor

protected


TJclClrTableImplMapRow Class Members

TJclClrTableImplMapRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableImplMapRow Class

 ImportName

 ImportNameOffset

 ImportScopeIdx

 MappingFlags

 MemberForwardedIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableImplMapRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableImplMapRow.ImportName Property

TJclClrTableImplMapRow Class

property ImportName: WideString;

Class

TJclClrTableImplMapRow Class


TJclClrTableImplMapRow.ImportNameOffset Property

TJclClrTableImplMapRow Class

property ImportNameOffset: DWORD;

Class

TJclClrTableImplMapRow Class


TJclClrTableImplMapRow.ImportScopeIdx Property

TJclClrTableImplMapRow Class

property ImportScopeIdx: DWORD;

Class

TJclClrTableImplMapRow Class


TJclClrTableImplMapRow.MappingFlags Property

TJclClrTableImplMapRow Class

property MappingFlags: Word;

Class

TJclClrTableImplMapRow Class


TJclClrTableImplMapRow.MemberForwardedIdx Property

TJclClrTableImplMapRow Class

property MemberForwardedIdx: DWORD;

Class

TJclClrTableImplMapRow Class


TJclClrTableImplMapRow.Create Constructor

TJclClrTableImplMapRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableImplMapRow Class


TJclClrTableInterfaceImpl Class

Properties	Methods	Legend

TJclClrTableInterfaceImpl = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableInterfaceImpl Class Properties

TJclClrTableInterfaceImpl Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableInterfaceImpl Class

 Rows


Legend

read only


TJclClrTableInterfaceImpl Class Methods

TJclClrTableInterfaceImpl Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableInterfaceImpl Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableInterfaceImpl Class

Legend

read only

protected

Constructor


TJclClrTableInterfaceImpl Class Members

TJclClrTableInterfaceImpl Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableInterfaceImpl Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableInterfaceImpl Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableInterfaceImpl.Rows Property

TJclClrTableInterfaceImpl Class

property Rows [const Idx: Integer]: TJclClrTableInterfaceImplRow;

Class

TJclClrTableInterfaceImpl Class


TJclClrTableInterfaceImpl.TableRowClass Method

TJclClrTableInterfaceImpl Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableInterfaceImpl Class


TJclClrTableInterfaceImplRow Class

Properties	Methods	Legend

TJclClrTableInterfaceImplRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableInterfaceImplRow Class Properties

TJclClrTableInterfaceImplRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableInterfaceImplRow Class

 ClassIdx

 ImplClass

 ImplInterface

 InterfaceIdx


Legend

read only


TJclClrTableInterfaceImplRow Class Methods

TJclClrTableInterfaceImplRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableInterfaceImplRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableInterfaceImplRow Class

Legend

read only

Constructor

protected


TJclClrTableInterfaceImplRow Class Members

TJclClrTableInterfaceImplRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableInterfaceImplRow Class

 ClassIdx

 ImplClass

 ImplInterface

 InterfaceIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableInterfaceImplRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableInterfaceImplRow.ClassIdx Property

TJclClrTableInterfaceImplRow Class

property ClassIdx: DWORD;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableInterfaceImplRow.ImplClass Property

TJclClrTableInterfaceImplRow Class

property ImplClass: TJclClrTableRow;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableInterfaceImplRow.ImplInterface Property

TJclClrTableInterfaceImplRow Class

property ImplInterface: TJclClrTableRow;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableInterfaceImplRow.InterfaceIdx Property

TJclClrTableInterfaceImplRow Class

property InterfaceIdx: DWORD;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableInterfaceImplRow.Create Constructor

TJclClrTableInterfaceImplRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableInterfaceImplRow.DumpIL Method

TJclClrTableInterfaceImplRow Class

function DumpIL: string; override;

Class

TJclClrTableInterfaceImplRow Class


TJclClrTableManifestResource Class

Properties	Methods	Legend

TJclClrTableManifestResource = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableManifestResource Class Properties

TJclClrTableManifestResource Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableManifestResource Class

 Rows


Legend

read only


TJclClrTableManifestResource Class Methods

TJclClrTableManifestResource Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableManifestResource Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableManifestResource Class

Legend

read only

protected

Constructor


TJclClrTableManifestResource Class Members

TJclClrTableManifestResource Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableManifestResource Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableManifestResource Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableManifestResource.Rows Property

TJclClrTableManifestResource Class

property Rows [const Idx: Integer]: TJclClrTableManifestResourceRow;

Class

TJclClrTableManifestResource Class


TJclClrTableManifestResource.TableRowClass Method

TJclClrTableManifestResource Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableManifestResource Class


TJclClrTableManifestResourceRow Class

Properties	Methods	Legend

TJclClrTableManifestResourceRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableManifestResourceRow Class Properties

TJclClrTableManifestResourceRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableManifestResourceRow Class

 Flags

 ImplementationIdx

 ImplementationRow

 Name

 NameOffset

 Offset

 Visibility


Legend

read only


TJclClrTableManifestResourceRow Class Methods

TJclClrTableManifestResourceRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableManifestResourceRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableManifestResourceRow Class

Legend

read only

Constructor

protected


TJclClrTableManifestResourceRow Class Members

TJclClrTableManifestResourceRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableManifestResourceRow Class

 Flags

 ImplementationIdx

 ImplementationRow

 Name

 NameOffset

 Offset

 Visibility

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableManifestResourceRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableManifestResourceRow.Flags Property

TJclClrTableManifestResourceRow Class

property Flags: DWORD;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.ImplementationIdx Property

TJclClrTableManifestResourceRow Class

property ImplementationIdx: DWORD;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.ImplementationRow Property

TJclClrTableManifestResourceRow Class

property ImplementationRow: TJclClrTableRow;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.Name Property

TJclClrTableManifestResourceRow Class

property Name: WideString;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.NameOffset Property

TJclClrTableManifestResourceRow Class

property NameOffset: DWORD;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.Offset Property

TJclClrTableManifestResourceRow Class

property Offset: DWORD;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.Visibility Property

TJclClrTableManifestResourceRow Class

property Visibility: TJclClrTableManifestResourceVisibility;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.Create Constructor

TJclClrTableManifestResourceRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableManifestResourceRow.DumpIL Method

TJclClrTableManifestResourceRow Class

function DumpIL: string; override;

Class

TJclClrTableManifestResourceRow Class


TJclClrTableMemberRef Class

Properties	Methods	Legend

TJclClrTableMemberRef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMemberRef Class Properties

TJclClrTableMemberRef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMemberRef Class

 Rows


Legend

read only


TJclClrTableMemberRef Class Methods

TJclClrTableMemberRef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMemberRef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMemberRef Class

Legend

read only

protected

Constructor


TJclClrTableMemberRef Class Members

TJclClrTableMemberRef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMemberRef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMemberRef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMemberRef.Rows Property

TJclClrTableMemberRef Class

property Rows [const Idx: Integer]: TJclClrTableMemberRefRow;

Class

TJclClrTableMemberRef Class


TJclClrTableMemberRef.TableRowClass Method

TJclClrTableMemberRef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMemberRef Class


TJclClrTableMemberRefRow Class

Properties	Methods	Legend

TJclClrTableMemberRefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMemberRefRow Class Properties

TJclClrTableMemberRefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMemberRefRow Class

 ClassIdx

 FullName

 Name

 NameOffset

 ParentClass

 Signature

 SignatureOffset


Legend

read only


TJclClrTableMemberRefRow Class Methods

TJclClrTableMemberRefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMemberRefRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableMemberRefRow Class

Legend

read only

Constructor

protected


TJclClrTableMemberRefRow Class Members

TJclClrTableMemberRefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMemberRefRow Class

 ClassIdx

 FullName

 Name

 NameOffset

 ParentClass

 Signature

 SignatureOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMemberRefRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableMemberRefRow.ClassIdx Property

TJclClrTableMemberRefRow Class

property ClassIdx: DWORD;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.FullName Property

TJclClrTableMemberRefRow Class

property FullName: WideString;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.Name Property

TJclClrTableMemberRefRow Class

property Name: WideString;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.NameOffset Property

TJclClrTableMemberRefRow Class

property NameOffset: DWORD;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.ParentClass Property

TJclClrTableMemberRefRow Class

property ParentClass: TJclClrTableRow;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.Signature Property

TJclClrTableMemberRefRow Class

property Signature: TJclClrBlobRecord;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.SignatureOffset Property

TJclClrTableMemberRefRow Class

property SignatureOffset: DWORD;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMemberRefRow.Create Constructor

TJclClrTableMemberRefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMemberRefRow Class


TJclClrTableMethodDef Class

Properties	Methods	Legend

TJclClrTableMethodDef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMethodDef Class Properties

TJclClrTableMethodDef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodDef Class

 Rows


Legend

read only


TJclClrTableMethodDef Class Methods

TJclClrTableMethodDef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMethodDef Class

Legend

read only

protected

Constructor


TJclClrTableMethodDef Class Members

TJclClrTableMethodDef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodDef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMethodDef.Rows Property

TJclClrTableMethodDef Class

property Rows [const Idx: Integer]: TJclClrTableMethodDefRow;

Class

TJclClrTableMethodDef Class


TJclClrTableMethodDef.TableRowClass Method

TJclClrTableMethodDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMethodDef Class


TJclClrTableMethodDefRow Class

Properties	Methods	Legend

TJclClrTableMethodDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMethodDefRow Class Properties

TJclClrTableMethodDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMethodDefRow Class

 CodeType

 Flags

 FullName

 HasParam

 ImplFlags

 Managed

 MemberAccess

 MethodBody

 MethodFlags

 MethodImplFlags

 Name

 NameOffset

 NewSlot

 ParamCount

 ParamListIdx

 Params

 ParentToken

 RVA

 Signature

 SignatureData

 SignatureOffset


Legend

read only


TJclClrTableMethodDefRow Class Methods

TJclClrTableMethodDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodDefRow Class

 Create

 Destroy

DumpIL

 SetParentToken

 Update


Legend

Constructor

protected


Legend

TJclClrTableMethodDefRow Class

Legend

read only

Constructor

protected


TJclClrTableMethodDefRow Class Members

TJclClrTableMethodDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMethodDefRow Class

 CodeType

 Flags

 FullName

 HasParam

 ImplFlags

 Managed

 MemberAccess

 MethodBody

 MethodFlags

 MethodImplFlags

 Name

 NameOffset

 NewSlot

 ParamCount

 ParamListIdx

 Params

 ParentToken

 RVA

 Signature

 SignatureData

 SignatureOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodDefRow Class

 Create

 Destroy

DumpIL

 SetParentToken

 Update


Legend

read only

Constructor

protected


TJclClrTableMethodDefRow.CodeType Property

TJclClrTableMethodDefRow Class

property CodeType: TJclClrMethodCodeType;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Flags Property

TJclClrTableMethodDefRow Class

property Flags: Word;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.FullName Property

TJclClrTableMethodDefRow Class

property FullName: WideString;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.HasParam Property

TJclClrTableMethodDefRow Class

property HasParam: Boolean;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.ImplFlags Property

TJclClrTableMethodDefRow Class

property ImplFlags: Word;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Managed Property

TJclClrTableMethodDefRow Class

property Managed: Boolean;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.MemberAccess Property

TJclClrTableMethodDefRow Class

property MemberAccess: TJclClrMemberAccess;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.MethodBody Property

TJclClrTableMethodDefRow Class

property MethodBody: TJclClrMethodBody;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.MethodFlags Property

TJclClrTableMethodDefRow Class

property MethodFlags: TJclClrMethodFlags;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.MethodImplFlags Property

TJclClrTableMethodDefRow Class

property MethodImplFlags: TJclClrMethodImplFlags;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Name Property

TJclClrTableMethodDefRow Class

property Name: WideString;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.NameOffset Property

TJclClrTableMethodDefRow Class

property NameOffset: DWORD;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.NewSlot Property

TJclClrTableMethodDefRow Class

property NewSlot: Boolean;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.ParamCount Property

TJclClrTableMethodDefRow Class

property ParamCount: Integer;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.ParamListIdx Property

TJclClrTableMethodDefRow Class

property ParamListIdx: DWORD;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Params Property

TJclClrTableMethodDefRow Class

property Params [const Idx: Integer]: TJclClrTableParamDefRow;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.ParentToken Property

TJclClrTableMethodDefRow Class

property ParentToken: TJclClrTableTypeDefRow;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.RVA Property

TJclClrTableMethodDefRow Class

property RVA: DWORD;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Signature Property

TJclClrTableMethodDefRow Class

property Signature: TJclClrMethodSign;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.SignatureData Property

TJclClrTableMethodDefRow Class

property SignatureData: TJclClrBlobRecord;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.SignatureOffset Property

TJclClrTableMethodDefRow Class

property SignatureOffset: DWORD;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Create Constructor

TJclClrTableMethodDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Destroy Destructor

TJclClrTableMethodDefRow Class

destructor Destroy; override;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.DumpIL Method

TJclClrTableMethodDefRow Class

function DumpIL: string; override;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.SetParentToken Method

TJclClrTableMethodDefRow Class

procedure SetParentToken(const ARow: TJclClrTableTypeDefRow);

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodDefRow.Update Method

TJclClrTableMethodDefRow Class

procedure Update; override;

Class

TJclClrTableMethodDefRow Class


TJclClrTableMethodImpl Class

Properties	Methods	Legend

TJclClrTableMethodImpl = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMethodImpl Class Properties

TJclClrTableMethodImpl Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodImpl Class

 Rows


Legend

read only


TJclClrTableMethodImpl Class Methods

TJclClrTableMethodImpl Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodImpl Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMethodImpl Class

Legend

read only

protected

Constructor


TJclClrTableMethodImpl Class Members

TJclClrTableMethodImpl Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodImpl Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodImpl Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMethodImpl.Rows Property

TJclClrTableMethodImpl Class

property Rows [const Idx: Integer]: TJclClrTableMethodImplRow;

Class

TJclClrTableMethodImpl Class


TJclClrTableMethodImpl.TableRowClass Method

TJclClrTableMethodImpl Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMethodImpl Class


TJclClrTableMethodImplRow Class

Properties	Methods	Legend

TJclClrTableMethodImplRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMethodImplRow Class Properties

TJclClrTableMethodImplRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMethodImplRow Class

 ClassIdx

 MethodBodyIdx

 MethodDeclarationIdx


Legend

read only


TJclClrTableMethodImplRow Class Methods

TJclClrTableMethodImplRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodImplRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableMethodImplRow Class

Legend

read only

Constructor

protected


TJclClrTableMethodImplRow Class Members

TJclClrTableMethodImplRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMethodImplRow Class

 ClassIdx

 MethodBodyIdx

 MethodDeclarationIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodImplRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableMethodImplRow.ClassIdx Property

TJclClrTableMethodImplRow Class

property ClassIdx: DWORD;

Class

TJclClrTableMethodImplRow Class


TJclClrTableMethodImplRow.MethodBodyIdx Property

TJclClrTableMethodImplRow Class

property MethodBodyIdx: DWORD;

Class

TJclClrTableMethodImplRow Class


TJclClrTableMethodImplRow.MethodDeclarationIdx Property

TJclClrTableMethodImplRow Class

property MethodDeclarationIdx: DWORD;

Class

TJclClrTableMethodImplRow Class


TJclClrTableMethodImplRow.Create Constructor

TJclClrTableMethodImplRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMethodImplRow Class


TJclClrTableMethodPtr Class

Properties	Methods	Legend

TJclClrTableMethodPtr = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMethodPtr Class Properties

TJclClrTableMethodPtr Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodPtr Class

 Rows


Legend

read only


TJclClrTableMethodPtr Class Methods

TJclClrTableMethodPtr Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodPtr Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMethodPtr Class

Legend

read only

protected

Constructor


TJclClrTableMethodPtr Class Members

TJclClrTableMethodPtr Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodPtr Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodPtr Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMethodPtr.Rows Property

TJclClrTableMethodPtr Class

property Rows [const Idx: Integer]: TJclClrTableMethodPtrRow;

Class

TJclClrTableMethodPtr Class


TJclClrTableMethodPtr.TableRowClass Method

TJclClrTableMethodPtr Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMethodPtr Class


TJclClrTableMethodPtrRow Class

Properties	Methods	Legend

TJclClrTableMethodPtrRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMethodPtrRow Class Properties

TJclClrTableMethodPtrRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMethodPtrRow Class

 Method

 MethodIdx


Legend

read only


TJclClrTableMethodPtrRow Class Methods

TJclClrTableMethodPtrRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodPtrRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableMethodPtrRow Class

Legend

read only

Constructor

protected


TJclClrTableMethodPtrRow Class Members

TJclClrTableMethodPtrRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMethodPtrRow Class

 Method

 MethodIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodPtrRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableMethodPtrRow.Method Property

TJclClrTableMethodPtrRow Class

property Method: TJclClrTableMethodDefRow;

Class

TJclClrTableMethodPtrRow Class


TJclClrTableMethodPtrRow.MethodIdx Property

TJclClrTableMethodPtrRow Class

property MethodIdx: DWORD;

Class

TJclClrTableMethodPtrRow Class


TJclClrTableMethodPtrRow.Create Constructor

TJclClrTableMethodPtrRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMethodPtrRow Class


TJclClrTableMethodSemantics Class

Properties	Methods	Legend

TJclClrTableMethodSemantics = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMethodSemantics Class Properties

TJclClrTableMethodSemantics Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodSemantics Class

 Rows


Legend

read only


TJclClrTableMethodSemantics Class Methods

TJclClrTableMethodSemantics Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodSemantics Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMethodSemantics Class

Legend

read only

protected

Constructor


TJclClrTableMethodSemantics Class Members

TJclClrTableMethodSemantics Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodSemantics Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodSemantics Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMethodSemantics.Rows Property

TJclClrTableMethodSemantics Class

property Rows [const Idx: Integer]: TJclClrTableMethodSemanticsRow;

Class

TJclClrTableMethodSemantics Class


TJclClrTableMethodSemantics.TableRowClass Method

TJclClrTableMethodSemantics Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMethodSemantics Class


TJclClrTableMethodSemanticsRow Class

Properties	Methods	Legend

TJclClrTableMethodSemanticsRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMethodSemanticsRow Class Properties

TJclClrTableMethodSemanticsRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMethodSemanticsRow Class

 AssociationIdx

 MethodIdx

 Semantics


Legend

read only


TJclClrTableMethodSemanticsRow Class Methods

TJclClrTableMethodSemanticsRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodSemanticsRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableMethodSemanticsRow Class

Legend

read only

Constructor

protected


TJclClrTableMethodSemanticsRow Class Members

TJclClrTableMethodSemanticsRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMethodSemanticsRow Class

 AssociationIdx

 MethodIdx

 Semantics

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodSemanticsRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableMethodSemanticsRow.AssociationIdx Property

TJclClrTableMethodSemanticsRow Class

property AssociationIdx: DWORD;

Class

TJclClrTableMethodSemanticsRow Class


TJclClrTableMethodSemanticsRow.MethodIdx Property

TJclClrTableMethodSemanticsRow Class

property MethodIdx: DWORD;

Class

TJclClrTableMethodSemanticsRow Class


TJclClrTableMethodSemanticsRow.Semantics Property

TJclClrTableMethodSemanticsRow Class

property Semantics: Word;

Class

TJclClrTableMethodSemanticsRow Class


TJclClrTableMethodSemanticsRow.Create Constructor

TJclClrTableMethodSemanticsRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMethodSemanticsRow Class


TJclClrTableMethodSpec Class

Properties	Methods	Legend

TJclClrTableMethodSpec = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableMethodSpec Class Properties

TJclClrTableMethodSpec Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodSpec Class

 Rows


Legend

read only


TJclClrTableMethodSpec Class Methods

TJclClrTableMethodSpec Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodSpec Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableMethodSpec Class

Legend

read only

protected

Constructor


TJclClrTableMethodSpec Class Members

TJclClrTableMethodSpec Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableMethodSpec Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableMethodSpec Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableMethodSpec.Rows Property

TJclClrTableMethodSpec Class

property Rows [const Idx: Integer]: TJclClrTableMethodSpecRow;

Class

TJclClrTableMethodSpec Class


TJclClrTableMethodSpec.TableRowClass Method

TJclClrTableMethodSpec Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableMethodSpec Class


TJclClrTableMethodSpecRow Class

Properties	Methods	Legend

TJclClrTableMethodSpecRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableMethodSpecRow Class Properties

TJclClrTableMethodSpecRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableMethodSpecRow Class

 Instantiation

 InstantiationOffset

 Method

 MethodIdx


Legend

read only


TJclClrTableMethodSpecRow Class Methods

TJclClrTableMethodSpecRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodSpecRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableMethodSpecRow Class

Legend

read only

Constructor

protected


TJclClrTableMethodSpecRow Class Members

TJclClrTableMethodSpecRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableMethodSpecRow Class

 Instantiation

 InstantiationOffset

 Method

 MethodIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableMethodSpecRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableMethodSpecRow.Instantiation Property

TJclClrTableMethodSpecRow Class

property Instantiation: TJclClrBlobRecord;

Class

TJclClrTableMethodSpecRow Class


TJclClrTableMethodSpecRow.InstantiationOffset Property

TJclClrTableMethodSpecRow Class

property InstantiationOffset: DWORD;

Class

TJclClrTableMethodSpecRow Class


TJclClrTableMethodSpecRow.Method Property

TJclClrTableMethodSpecRow Class

property Method: TJclClrTableRow;

Class

TJclClrTableMethodSpecRow Class


TJclClrTableMethodSpecRow.MethodIdx Property

TJclClrTableMethodSpecRow Class

property MethodIdx: DWORD;

Class

TJclClrTableMethodSpecRow Class


TJclClrTableMethodSpecRow.Create Constructor

TJclClrTableMethodSpecRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableMethodSpecRow Class


TJclClrTableModule Class

Properties	Methods	Legend

TJclClrTableModule = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableModule Class Properties

TJclClrTableModule Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableModule Class

 Rows


Legend

read only


TJclClrTableModule Class Methods

TJclClrTableModule Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableModule Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableModule Class

Legend

read only

protected

Constructor


TJclClrTableModule Class Members

TJclClrTableModule Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableModule Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableModule Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableModule.Rows Property

TJclClrTableModule Class

property Rows [const Idx: Integer]: TJclClrTableModuleRow;

Class

TJclClrTableModule Class


TJclClrTableModule.TableRowClass Method

TJclClrTableModule Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableModule Class


TJclClrTableModuleRef Class

Properties	Methods	Legend

TJclClrTableModuleRef = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableModuleRef Class Properties

TJclClrTableModuleRef Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableModuleRef Class

 Rows


Legend

read only


TJclClrTableModuleRef Class Methods

TJclClrTableModuleRef Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableModuleRef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableModuleRef Class

Legend

read only

protected

Constructor


TJclClrTableModuleRef Class Members

TJclClrTableModuleRef Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableModuleRef Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableModuleRef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableModuleRef.Rows Property

TJclClrTableModuleRef Class

property Rows [const Idx: Integer]: TJclClrTableModuleRefRow;

Class

TJclClrTableModuleRef Class


TJclClrTableModuleRef.TableRowClass Method

TJclClrTableModuleRef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableModuleRef Class


TJclClrTableModuleRefRow Class

Properties	Methods	Legend

TJclClrTableModuleRefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableModuleRefRow Class Properties

TJclClrTableModuleRefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableModuleRefRow Class

 Name

 NameOffset


Legend

read only


TJclClrTableModuleRefRow Class Methods

TJclClrTableModuleRefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableModuleRefRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableModuleRefRow Class

Legend

read only

Constructor

protected


TJclClrTableModuleRefRow Class Members

TJclClrTableModuleRefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableModuleRefRow Class

 Name

 NameOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableModuleRefRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableModuleRefRow.Name Property

TJclClrTableModuleRefRow Class

property Name: WideString;

Class

TJclClrTableModuleRefRow Class


TJclClrTableModuleRefRow.NameOffset Property

TJclClrTableModuleRefRow Class

property NameOffset: DWORD;

Class

TJclClrTableModuleRefRow Class


TJclClrTableModuleRefRow.Create Constructor

TJclClrTableModuleRefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableModuleRefRow Class


TJclClrTableModuleRefRow.DumpIL Method

TJclClrTableModuleRefRow Class

function DumpIL: string; override;

Class

TJclClrTableModuleRefRow Class


TJclClrTableModuleRow Class

Properties	Methods	Legend

TJclClrTableModuleRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableModuleRow Class Properties

TJclClrTableModuleRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableModuleRow Class

 EncBaseId

 EncBaseIdIdx

 EncId

 EncIdIdx

 Generation

 Mvid

 MvidIdx

 Name

 NameOffset


Legend

read only


TJclClrTableModuleRow Class Methods

TJclClrTableModuleRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableModuleRow Class

 Create

DumpIL

HasEncBaseId

HasEncId


Legend

Constructor

protected


Legend

TJclClrTableModuleRow Class

Legend

read only

Constructor

protected


TJclClrTableModuleRow Class Members

TJclClrTableModuleRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableModuleRow Class

 EncBaseId

 EncBaseIdIdx

 EncId

 EncIdIdx

 Generation

 Mvid

 MvidIdx

 Name

 NameOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableModuleRow Class

 Create

DumpIL

HasEncBaseId

HasEncId


Legend

read only

Constructor

protected


TJclClrTableModuleRow.EncBaseId Property

TJclClrTableModuleRow Class

property EncBaseId: TGUID;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.EncBaseIdIdx Property

TJclClrTableModuleRow Class

property EncBaseIdIdx: DWORD;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.EncId Property

TJclClrTableModuleRow Class

property EncId: TGUID;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.EncIdIdx Property

TJclClrTableModuleRow Class

property EncIdIdx: DWORD;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.Generation Property

TJclClrTableModuleRow Class

property Generation: Word;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.Mvid Property

TJclClrTableModuleRow Class

property Mvid: TGUID;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.MvidIdx Property

TJclClrTableModuleRow Class

property MvidIdx: DWORD;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.Name Property

TJclClrTableModuleRow Class

property Name: WideString;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.NameOffset Property

TJclClrTableModuleRow Class

property NameOffset: DWORD;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.Create Constructor

TJclClrTableModuleRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.DumpIL Method

TJclClrTableModuleRow Class

function DumpIL: string; override;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.HasEncBaseId Method

TJclClrTableModuleRow Class

function HasEncBaseId: Boolean;

Class

TJclClrTableModuleRow Class


TJclClrTableModuleRow.HasEncId Method

TJclClrTableModuleRow Class

function HasEncId: Boolean;

Class

TJclClrTableModuleRow Class


TJclClrTableNestedClass Class

Properties	Methods	Legend

TJclClrTableNestedClass = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableNestedClass Class Properties

TJclClrTableNestedClass Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableNestedClass Class

 Rows


Legend

read only


TJclClrTableNestedClass Class Methods

TJclClrTableNestedClass Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableNestedClass Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableNestedClass Class

Legend

read only

protected

Constructor


TJclClrTableNestedClass Class Members

TJclClrTableNestedClass Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableNestedClass Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableNestedClass Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableNestedClass.Rows Property

TJclClrTableNestedClass Class

property Rows [const Idx: Integer]: TJclClrTableNestedClassRow;

Class

TJclClrTableNestedClass Class


TJclClrTableNestedClass.TableRowClass Method

TJclClrTableNestedClass Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableNestedClass Class


TJclClrTableNestedClassRow Class

Properties	Methods	Legend

TJclClrTableNestedClassRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableNestedClassRow Class Properties

TJclClrTableNestedClassRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableNestedClassRow Class

 EnclosingClassIdx

 NestedClassIdx


Legend

read only


TJclClrTableNestedClassRow Class Methods

TJclClrTableNestedClassRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableNestedClassRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableNestedClassRow Class

Legend

read only

Constructor

protected


TJclClrTableNestedClassRow Class Members

TJclClrTableNestedClassRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableNestedClassRow Class

 EnclosingClassIdx

 NestedClassIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableNestedClassRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableNestedClassRow.EnclosingClassIdx Property

TJclClrTableNestedClassRow Class

property EnclosingClassIdx: DWORD;

Class

TJclClrTableNestedClassRow Class


TJclClrTableNestedClassRow.NestedClassIdx Property

TJclClrTableNestedClassRow Class

property NestedClassIdx: DWORD;

Class

TJclClrTableNestedClassRow Class


TJclClrTableNestedClassRow.Create Constructor

TJclClrTableNestedClassRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableNestedClassRow Class


TJclClrTableParamDef Class

Properties	Methods	Legend

TJclClrTableParamDef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableParamDef Class Properties

TJclClrTableParamDef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableParamDef Class

 Rows


Legend

read only


TJclClrTableParamDef Class Methods

TJclClrTableParamDef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableParamDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableParamDef Class

Legend

read only

protected

Constructor


TJclClrTableParamDef Class Members

TJclClrTableParamDef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableParamDef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableParamDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableParamDef.Rows Property

TJclClrTableParamDef Class

property Rows [const Idx: Integer]: TJclClrTableParamDefRow;

Class

TJclClrTableParamDef Class


TJclClrTableParamDef.TableRowClass Method

TJclClrTableParamDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableParamDef Class


TJclClrTableParamDefRow Class

Properties	Methods	Legend

TJclClrTableParamDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableParamDefRow Class Properties

TJclClrTableParamDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableParamDefRow Class

 FlagMask

 Flags

 Method

 Name

 NameOffset

 Sequence


Legend

read only


TJclClrTableParamDefRow Class Methods

TJclClrTableParamDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableParamDefRow Class

 Create

DumpIL

ParamFlags

 SetMethod


Legend

Constructor

protected


Legend

TJclClrTableParamDefRow Class

Legend

read only

Constructor

protected


TJclClrTableParamDefRow Class Members

TJclClrTableParamDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableParamDefRow Class

 FlagMask

 Flags

 Method

 Name

 NameOffset

 Sequence

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableParamDefRow Class

 Create

DumpIL

ParamFlags

 SetMethod


Legend

read only

Constructor

protected


TJclClrTableParamDefRow.FlagMask Property

TJclClrTableParamDefRow Class

property FlagMask: Word;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.Flags Property

TJclClrTableParamDefRow Class

property Flags: TJclClrParamKinds;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.Method Property

TJclClrTableParamDefRow Class

property Method: TJclClrTableMethodDefRow;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.Name Property

TJclClrTableParamDefRow Class

property Name: WideString;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.NameOffset Property

TJclClrTableParamDefRow Class

property NameOffset: DWORD;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.Sequence Property

TJclClrTableParamDefRow Class

property Sequence: Word;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.Create Constructor

TJclClrTableParamDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.DumpIL Method

TJclClrTableParamDefRow Class

function DumpIL: string; override;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.ParamFlags Method (TJclClrParamKinds)

TJclClrTableParamDefRow Class

class function ParamFlags(const AFlags: TJclClrParamKinds): Word; overload;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.ParamFlags Method (Word)

TJclClrTableParamDefRow Class

class function ParamFlags(const AFlags: Word): TJclClrParamKinds; overload;

Class

TJclClrTableParamDefRow Class


TJclClrTableParamDefRow.SetMethod Method

TJclClrTableParamDefRow Class

procedure SetMethod(const AMethod: TJclClrTableMethodDefRow);

Class

TJclClrTableParamDefRow Class


TJclClrTableParamPtr Class

Properties	Methods	Legend

TJclClrTableParamPtr = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableParamPtr Class Properties

TJclClrTableParamPtr Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableParamPtr Class

 Rows


Legend

read only


TJclClrTableParamPtr Class Methods

TJclClrTableParamPtr Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableParamPtr Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableParamPtr Class

Legend

read only

protected

Constructor


TJclClrTableParamPtr Class Members

TJclClrTableParamPtr Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableParamPtr Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableParamPtr Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableParamPtr.Rows Property

TJclClrTableParamPtr Class

property Rows [const Idx: Integer]: TJclClrTableParamPtrRow;

Class

TJclClrTableParamPtr Class


TJclClrTableParamPtr.TableRowClass Method

TJclClrTableParamPtr Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableParamPtr Class


TJclClrTableParamPtrRow Class

Properties	Methods	Legend

TJclClrTableParamPtrRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableParamPtrRow Class Properties

TJclClrTableParamPtrRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableParamPtrRow Class

 Param

 ParamIdx


Legend

read only


TJclClrTableParamPtrRow Class Methods

TJclClrTableParamPtrRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableParamPtrRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableParamPtrRow Class

Legend

read only

Constructor

protected


TJclClrTableParamPtrRow Class Members

TJclClrTableParamPtrRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableParamPtrRow Class

 Param

 ParamIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableParamPtrRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableParamPtrRow.Param Property

TJclClrTableParamPtrRow Class

property Param: TJclClrTableParamDefRow;

Class

TJclClrTableParamPtrRow Class


TJclClrTableParamPtrRow.ParamIdx Property

TJclClrTableParamPtrRow Class

property ParamIdx: DWORD;

Class

TJclClrTableParamPtrRow Class


TJclClrTableParamPtrRow.Create Constructor

TJclClrTableParamPtrRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableParamPtrRow Class


TJclClrTablePropertyDef Class

Properties	Methods	Legend

TJclClrTablePropertyDef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTablePropertyDef Class Properties

TJclClrTablePropertyDef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyDef Class

 Rows


Legend

read only


TJclClrTablePropertyDef Class Methods

TJclClrTablePropertyDef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTablePropertyDef Class

Legend

read only

protected

Constructor


TJclClrTablePropertyDef Class Members

TJclClrTablePropertyDef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyDef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTablePropertyDef.Rows Property

TJclClrTablePropertyDef Class

property Rows [const Idx: Integer]: TJclClrTablePropertyDefRow;

Class

TJclClrTablePropertyDef Class


TJclClrTablePropertyDef.TableRowClass Method

TJclClrTablePropertyDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTablePropertyDef Class


TJclClrTablePropertyDefRow Class

Properties	Methods	Legend

TJclClrTablePropertyDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTablePropertyDefRow Class Properties

TJclClrTablePropertyDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTablePropertyDefRow Class

 Flags

 KindIdx

 Name

 NameOffset

 RawFlags


Legend

read only


TJclClrTablePropertyDefRow Class Methods

TJclClrTablePropertyDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyDefRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTablePropertyDefRow Class

Legend

read only

Constructor

protected


TJclClrTablePropertyDefRow Class Members

TJclClrTablePropertyDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTablePropertyDefRow Class

 Flags

 KindIdx

 Name

 NameOffset

 RawFlags

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyDefRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTablePropertyDefRow.Flags Property

TJclClrTablePropertyDefRow Class

property Flags: TJclClrTablePropertyFlags;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.KindIdx Property

TJclClrTablePropertyDefRow Class

property KindIdx: DWORD;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.Name Property

TJclClrTablePropertyDefRow Class

property Name: WideString;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.NameOffset Property

TJclClrTablePropertyDefRow Class

property NameOffset: DWORD;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.RawFlags Property

TJclClrTablePropertyDefRow Class

property RawFlags: Word;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.Create Constructor

TJclClrTablePropertyDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyDefRow.DumpIL Method

TJclClrTablePropertyDefRow Class

function DumpIL: string; override;

Class

TJclClrTablePropertyDefRow Class


TJclClrTablePropertyMap Class

Properties	Methods	Legend

TJclClrTablePropertyMap = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTablePropertyMap Class Properties

TJclClrTablePropertyMap Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyMap Class

 Rows


Legend

read only


TJclClrTablePropertyMap Class Methods

TJclClrTablePropertyMap Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyMap Class

 TableRowClass

 Update


Legend

protected

Constructor


Legend

TJclClrTablePropertyMap Class

Legend

read only

protected

Constructor


TJclClrTablePropertyMap Class Members

TJclClrTablePropertyMap Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyMap Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyMap Class

 TableRowClass

 Update


Legend

read only

protected

Constructor


TJclClrTablePropertyMap.Rows Property

TJclClrTablePropertyMap Class

property Rows [const Idx: Integer]: TJclClrTablePropertyMapRow;

Class

TJclClrTablePropertyMap Class


TJclClrTablePropertyMap.TableRowClass Method

TJclClrTablePropertyMap Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTablePropertyMap Class


TJclClrTablePropertyMap.Update Method

TJclClrTablePropertyMap Class

procedure Update; override;

Class

TJclClrTablePropertyMap Class


TJclClrTablePropertyMapRow Class

Properties	Methods	Legend

TJclClrTablePropertyMapRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTablePropertyMapRow Class Properties

TJclClrTablePropertyMapRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTablePropertyMapRow Class

 Parent

 ParentIdx

 Properties

 PropertyCount

 PropertyListIdx


Legend

read only


TJclClrTablePropertyMapRow Class Methods

TJclClrTablePropertyMapRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyMapRow Class

 Add

 Create

 Destroy


Legend

Constructor

protected


Legend

TJclClrTablePropertyMapRow Class

Legend

read only

Constructor

protected


TJclClrTablePropertyMapRow Class Members

TJclClrTablePropertyMapRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTablePropertyMapRow Class

 Parent

 ParentIdx

 Properties

 PropertyCount

 PropertyListIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyMapRow Class

 Add

 Create

 Destroy


Legend

read only

Constructor

protected


TJclClrTablePropertyMapRow.Parent Property

TJclClrTablePropertyMapRow Class

property Parent: TJclClrTableTypeDefRow;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.ParentIdx Property

TJclClrTablePropertyMapRow Class

property ParentIdx: DWORD;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.Properties Property

TJclClrTablePropertyMapRow Class

property Properties [const Idx: Integer]: TJclClrTablePropertyDefRow;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.PropertyCount Property

TJclClrTablePropertyMapRow Class

property PropertyCount: Integer;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.PropertyListIdx Property

TJclClrTablePropertyMapRow Class

property PropertyListIdx: DWORD;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.Add Method

TJclClrTablePropertyMapRow Class

function Add(const ARow: TJclClrTablePropertyDefRow): Integer;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.Create Constructor

TJclClrTablePropertyMapRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyMapRow.Destroy Destructor

TJclClrTablePropertyMapRow Class

destructor Destroy; override;

Class

TJclClrTablePropertyMapRow Class


TJclClrTablePropertyPtr Class

Properties	Methods	Legend

TJclClrTablePropertyPtr = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTablePropertyPtr Class Properties

TJclClrTablePropertyPtr Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyPtr Class

 Rows


Legend

read only


TJclClrTablePropertyPtr Class Methods

TJclClrTablePropertyPtr Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyPtr Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTablePropertyPtr Class

Legend

read only

protected

Constructor


TJclClrTablePropertyPtr Class Members

TJclClrTablePropertyPtr Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTablePropertyPtr Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTablePropertyPtr Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTablePropertyPtr.Rows Property

TJclClrTablePropertyPtr Class

property Rows [const Idx: Integer]: TJclClrTablePropertyPtrRow;

Class

TJclClrTablePropertyPtr Class


TJclClrTablePropertyPtr.TableRowClass Method

TJclClrTablePropertyPtr Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTablePropertyPtr Class


TJclClrTablePropertyPtrRow Class

Properties	Methods	Legend

TJclClrTablePropertyPtrRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTablePropertyPtrRow Class Properties

TJclClrTablePropertyPtrRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTablePropertyPtrRow Class

 _Property

 PropertyIdx


Legend

read only


TJclClrTablePropertyPtrRow Class Methods

TJclClrTablePropertyPtrRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyPtrRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTablePropertyPtrRow Class

Legend

read only

Constructor

protected


TJclClrTablePropertyPtrRow Class Members

TJclClrTablePropertyPtrRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTablePropertyPtrRow Class

 _Property

 PropertyIdx

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTablePropertyPtrRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTablePropertyPtrRow._Property Property

TJclClrTablePropertyPtrRow Class

property _Property: TJclClrTablePropertyDefRow;

Class

TJclClrTablePropertyPtrRow Class


TJclClrTablePropertyPtrRow.PropertyIdx Property

TJclClrTablePropertyPtrRow Class

property PropertyIdx: DWORD;

Class

TJclClrTablePropertyPtrRow Class


TJclClrTablePropertyPtrRow.Create Constructor

TJclClrTablePropertyPtrRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTablePropertyPtrRow Class


TJclClrTableRow Class

Properties	Methods	Legend

TJclClrTableRow = class(TObject);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrTableRow Class Properties

TJclClrTableRow Class	Legend

Properties

 Index

 Table

 Token


Legend

read only


TJclClrTableRow Class Methods

TJclClrTableRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update


Legend

Constructor

protected


Legend

TJclClrTableRow Class

Legend

read only

Constructor

protected


TJclClrTableRow Class Members

TJclClrTableRow Class	Legend

Members

Properties

 Index

 Table

 Token

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update


Legend

read only

Constructor

protected


TJclClrTableRow.Index Property

TJclClrTableRow Class

property Index: Integer;

Class

TJclClrTableRow Class


TJclClrTableRow.Table Property

TJclClrTableRow Class

property Table: TJclClrTable;

Class

TJclClrTableRow Class


TJclClrTableRow.Token Property

TJclClrTableRow Class

property Token: TJclClrToken;

Class

TJclClrTableRow Class


TJclClrTableRow.Create Constructor

TJclClrTableRow Class

constructor Create(const ATable: TJclClrTable); virtual;

Class

TJclClrTableRow Class


TJclClrTableRow.DecodeResolutionScope Method

TJclClrTableRow Class

function DecodeResolutionScope(const Encoded: DWORD): TJclClrTableRow;

Class

TJclClrTableRow Class


TJclClrTableRow.DecodeTypeDefOrRef Method

TJclClrTableRow Class

function DecodeTypeDefOrRef(const Encoded: DWORD): TJclClrTableRow;

Class

TJclClrTableRow Class


TJclClrTableRow.DumpIL Method

TJclClrTableRow Class

function DumpIL: string; virtual;

Class

TJclClrTableRow Class


TJclClrTableRow.Update Method

TJclClrTableRow Class

procedure Update; virtual;

Class

TJclClrTableRow Class


TJclClrTableStandAloneSig Class

Properties	Methods	Legend

TJclClrTableStandAloneSig = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableStandAloneSig Class Properties

TJclClrTableStandAloneSig Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableStandAloneSig Class

 Rows


Legend

read only


TJclClrTableStandAloneSig Class Methods

TJclClrTableStandAloneSig Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableStandAloneSig Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableStandAloneSig Class

Legend

read only

protected

Constructor


TJclClrTableStandAloneSig Class Members

TJclClrTableStandAloneSig Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableStandAloneSig Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableStandAloneSig Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableStandAloneSig.Rows Property

TJclClrTableStandAloneSig Class

property Rows [const Idx: Integer]: TJclClrTableStandAloneSigRow;

Class

TJclClrTableStandAloneSig Class


TJclClrTableStandAloneSig.TableRowClass Method

TJclClrTableStandAloneSig Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableStandAloneSig Class


TJclClrTableStandAloneSigRow Class

Properties	Methods	Legend

TJclClrTableStandAloneSigRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableStandAloneSigRow Class Properties

TJclClrTableStandAloneSigRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableStandAloneSigRow Class

 Signature

 SignatureOffset


Legend

read only


TJclClrTableStandAloneSigRow Class Methods

TJclClrTableStandAloneSigRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableStandAloneSigRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableStandAloneSigRow Class

Legend

read only

Constructor

protected


TJclClrTableStandAloneSigRow Class Members

TJclClrTableStandAloneSigRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableStandAloneSigRow Class

 Signature

 SignatureOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableStandAloneSigRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableStandAloneSigRow.Signature Property

TJclClrTableStandAloneSigRow Class

property Signature: TJclClrBlobRecord;

Class

TJclClrTableStandAloneSigRow Class


TJclClrTableStandAloneSigRow.SignatureOffset Property

TJclClrTableStandAloneSigRow Class

property SignatureOffset: DWORD;

Class

TJclClrTableStandAloneSigRow Class


TJclClrTableStandAloneSigRow.Create Constructor

TJclClrTableStandAloneSigRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableStandAloneSigRow Class


TJclClrTableStream Class

Properties	Methods	Legend

TJclClrTableStream = class(TJclClrStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrTableStream Class Properties

TJclClrTableStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrTableStream Class

 BigHeap

 Header

 TableCount

 Tables

 VersionString


Legend

read only


TJclClrTableStream Class Methods

TJclClrTableStream Class	Legend

Methods

 Create

TJclClrTableStream Class

 Create

 Destroy

DumpIL

FindTable

Update


Legend

Constructor

protected


Legend

TJclClrTableStream Class

Legend

read only

Constructor

protected


TJclClrTableStream Class Members

TJclClrTableStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrTableStream Class

 BigHeap

 Header

 TableCount

 Tables

 VersionString

Methods

 Create

TJclClrTableStream Class

 Create

 Destroy

DumpIL

FindTable

Update


Legend

read only

Constructor

protected


TJclClrTableStream.BigHeap Property

TJclClrTableStream Class

property BigHeap [const AHeapKind: TJclClrHeapKind]: Boolean;

Class

TJclClrTableStream Class


TJclClrTableStream.Header Property

TJclClrTableStream Class

property Header: PClrTableStreamHeader;

Class

TJclClrTableStream Class


TJclClrTableStream.TableCount Property

TJclClrTableStream Class

property TableCount: Integer;

Class

TJclClrTableStream Class


TJclClrTableStream.Tables Property

TJclClrTableStream Class

property Tables [const AKind: TJclClrTableKind]: TJclClrTable;

Class

TJclClrTableStream Class


TJclClrTableStream.VersionString Property

TJclClrTableStream Class

property VersionString: string;

Class

TJclClrTableStream Class


TJclClrTableStream.Create Constructor

TJclClrTableStream Class

constructor Create(const AMetadata: TJclPeMetadata; AHeader: PClrStreamHeader); override;

Class

TJclClrTableStream Class


TJclClrTableStream.Destroy Destructor

TJclClrTableStream Class

destructor Destroy; override;

Class

TJclClrTableStream Class


TJclClrTableStream.DumpIL Method

TJclClrTableStream Class

function DumpIL: string;

Class

TJclClrTableStream Class


TJclClrTableStream.FindTable Method

TJclClrTableStream Class

function FindTable(const AKind: TJclClrTableKind; var ATable: TJclClrTable): Boolean;

Class

TJclClrTableStream Class


TJclClrTableStream.Update Method

TJclClrTableStream Class

procedure Update; virtual;

Class

TJclClrTableStream Class


TJclClrTableTypeDef Class

Properties	Methods	Legend

TJclClrTableTypeDef = class(TJclClrTable, ITableCanDumpIL);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableTypeDef Class Properties

TJclClrTableTypeDef Class	Legend

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeDef Class

 Rows


Legend

read only


TJclClrTableTypeDef Class Methods

TJclClrTableTypeDef Class	Legend

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeDef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableTypeDef Class

Legend

read only

protected

Constructor


TJclClrTableTypeDef Class Members

TJclClrTableTypeDef Class	Legend

Members

Properties

TJclClrTable Class

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeDef Class

 Rows

Methods

TJclClrTable Class

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeDef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableTypeDef.Rows Property

TJclClrTableTypeDef Class

property Rows [const Idx: Integer]: TJclClrTableTypeDefRow;

Class

TJclClrTableTypeDef Class


TJclClrTableTypeDef.TableRowClass Method

TJclClrTableTypeDef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableTypeDef Class


TJclClrTableTypeDefRow Class

Properties	Methods	Legend

TJclClrTableTypeDefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableTypeDefRow Class Properties

TJclClrTableTypeDefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableTypeDefRow Class

 Attributes

 ClassLayout

 ClassSemantics

 Extends

 ExtendsIdx

 FieldCount

 FieldListIdx

 Fields

 Flags

 FullName

 MethodCount

 MethodListIdx

 Methods

 Name

 NameOffset

 Namespace

 NamespaceOffset

 StringFormatting

 Visibility


Legend

read only


TJclClrTableTypeDefRow Class Methods

TJclClrTableTypeDefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeDefRow Class

 Create

 Destroy

DumpIL

HasField

HasMethod

 Update


Legend

Constructor

protected


Legend

TJclClrTableTypeDefRow Class

Legend

read only

Constructor

protected


TJclClrTableTypeDefRow Class Members

TJclClrTableTypeDefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableTypeDefRow Class

 Attributes

 ClassLayout

 ClassSemantics

 Extends

 ExtendsIdx

 FieldCount

 FieldListIdx

 Fields

 Flags

 FullName

 MethodCount

 MethodListIdx

 Methods

 Name

 NameOffset

 Namespace

 NamespaceOffset

 StringFormatting

 Visibility

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeDefRow Class

 Create

 Destroy

DumpIL

HasField

HasMethod

 Update


Legend

read only

Constructor

protected


TJclClrTableTypeDefRow.Attributes Property

TJclClrTableTypeDefRow Class

property Attributes: TJclClrTypeAttributes;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.ClassLayout Property

TJclClrTableTypeDefRow Class

property ClassLayout: TJclClrClassLayout;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.ClassSemantics Property

TJclClrTableTypeDefRow Class

property ClassSemantics: TJclClrClassSemantics;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Extends Property

TJclClrTableTypeDefRow Class

property Extends: TJclClrTableRow;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.ExtendsIdx Property

TJclClrTableTypeDefRow Class

property ExtendsIdx: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.FieldCount Property

TJclClrTableTypeDefRow Class

property FieldCount: Integer;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.FieldListIdx Property

TJclClrTableTypeDefRow Class

property FieldListIdx: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Fields Property

TJclClrTableTypeDefRow Class

property Fields [const Idx: Integer]: TJclClrTableFieldDefRow;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Flags Property

TJclClrTableTypeDefRow Class

property Flags: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.FullName Property

TJclClrTableTypeDefRow Class

property FullName: WideString;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.MethodCount Property

TJclClrTableTypeDefRow Class

property MethodCount: Integer;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.MethodListIdx Property

TJclClrTableTypeDefRow Class

property MethodListIdx: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Methods Property

TJclClrTableTypeDefRow Class

property Methods [const Idx: Integer]: TJclClrTableMethodDefRow;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Name Property

TJclClrTableTypeDefRow Class

property Name: WideString;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.NameOffset Property

TJclClrTableTypeDefRow Class

property NameOffset: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Namespace Property

TJclClrTableTypeDefRow Class

property Namespace: WideString;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.NamespaceOffset Property

TJclClrTableTypeDefRow Class

property NamespaceOffset: DWORD;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.StringFormatting Property

TJclClrTableTypeDefRow Class

property StringFormatting: TJclClrStringFormatting;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Visibility Property

TJclClrTableTypeDefRow Class

property Visibility: TJclClrTypeVisibility;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Create Constructor

TJclClrTableTypeDefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Destroy Destructor

TJclClrTableTypeDefRow Class

destructor Destroy; override;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.DumpIL Method

TJclClrTableTypeDefRow Class

function DumpIL: string; override;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.HasField Method

TJclClrTableTypeDefRow Class

function HasField: Boolean;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.HasMethod Method

TJclClrTableTypeDefRow Class

function HasMethod: Boolean;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeDefRow.Update Method

TJclClrTableTypeDefRow Class

procedure Update; override;

Class

TJclClrTableTypeDefRow Class


TJclClrTableTypeRef Class

Properties	Methods	Legend

TJclClrTableTypeRef = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableTypeRef Class Properties

TJclClrTableTypeRef Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeRef Class

 Rows


Legend

read only


TJclClrTableTypeRef Class Methods

TJclClrTableTypeRef Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeRef Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableTypeRef Class

Legend

read only

protected

Constructor


TJclClrTableTypeRef Class Members

TJclClrTableTypeRef Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeRef Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeRef Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableTypeRef.Rows Property

TJclClrTableTypeRef Class

property Rows [const Idx: Integer]: TJclClrTableTypeRefRow;

Class

TJclClrTableTypeRef Class


TJclClrTableTypeRef.TableRowClass Method

TJclClrTableTypeRef Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableTypeRef Class


TJclClrTableTypeRefRow Class

Properties	Methods	Legend

TJclClrTableTypeRefRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableTypeRefRow Class Properties

TJclClrTableTypeRefRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableTypeRefRow Class

 FullName

 Name

 NameOffset

 Namespace

 NamespaceOffset

 ResolutionScope

 ResolutionScopeIdx

 ResolutionScopeName


Legend

read only


TJclClrTableTypeRefRow Class Methods

TJclClrTableTypeRefRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeRefRow Class

 Create

DumpIL


Legend

Constructor

protected


Legend

TJclClrTableTypeRefRow Class

Legend

read only

Constructor

protected


TJclClrTableTypeRefRow Class Members

TJclClrTableTypeRefRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableTypeRefRow Class

 FullName

 Name

 NameOffset

 Namespace

 NamespaceOffset

 ResolutionScope

 ResolutionScopeIdx

 ResolutionScopeName

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeRefRow Class

 Create

DumpIL


Legend

read only

Constructor

protected


TJclClrTableTypeRefRow.FullName Property

TJclClrTableTypeRefRow Class

property FullName: WideString;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.Name Property

TJclClrTableTypeRefRow Class

property Name: WideString;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.NameOffset Property

TJclClrTableTypeRefRow Class

property NameOffset: DWORD;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.Namespace Property

TJclClrTableTypeRefRow Class

property Namespace: WideString;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.NamespaceOffset Property

TJclClrTableTypeRefRow Class

property NamespaceOffset: DWORD;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.ResolutionScope Property

TJclClrTableTypeRefRow Class

property ResolutionScope: TJclClrTableRow;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.ResolutionScopeIdx Property

TJclClrTableTypeRefRow Class

property ResolutionScopeIdx: DWORD;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.ResolutionScopeName Property

TJclClrTableTypeRefRow Class

property ResolutionScopeName: string;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.Create Constructor

TJclClrTableTypeRefRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeRefRow.DumpIL Method

TJclClrTableTypeRefRow Class

function DumpIL: string; override;

Class

TJclClrTableTypeRefRow Class


TJclClrTableTypeSpec Class

Properties	Methods	Legend

TJclClrTableTypeSpec = class(TJclClrTable);

Legend

read only

protected

Constructor

Unit

JclMetadata


TJclClrTableTypeSpec Class Properties

TJclClrTableTypeSpec Class	Legend

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeSpec Class

 Rows


Legend

read only


TJclClrTableTypeSpec Class Methods

TJclClrTableTypeSpec Class	Legend

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeSpec Class

 TableRowClass


Legend

protected

Constructor


Legend

TJclClrTableTypeSpec Class

Legend

read only

protected

Constructor


TJclClrTableTypeSpec Class Members

TJclClrTableTypeSpec Class	Legend

Members

Properties

 Data

 Offset

 RowCount

 Rows

 Size

 Stream

TJclClrTableTypeSpec Class

 Rows

Methods

 AddRow

 Create

 Destroy

 DumpIL

GetCodedIndexTag

GetCodedIndexValue

 GetRow

 GetRowCount

IsWideIndex

 Load

ReadByte

ReadCompressedValue

ReadDWord

ReadIndex

ReadWord

 RealRowCount

 Reset

 SetSize

 TableRowClass

 Update

TJclClrTableTypeSpec Class

 TableRowClass


Legend

read only

protected

Constructor


TJclClrTableTypeSpec.Rows Property

TJclClrTableTypeSpec Class

property Rows [const Idx: Integer]: TJclClrTableTypeSpecRow;

Class

TJclClrTableTypeSpec Class


TJclClrTableTypeSpec.TableRowClass Method

TJclClrTableTypeSpec Class

class function TableRowClass: TJclClrTableRowClass; override;

Class

TJclClrTableTypeSpec Class


TJclClrTableTypeSpecRow Class

Properties	Methods	Legend

TJclClrTableTypeSpecRow = class(TJclClrTableRow);

Legend

read only

Constructor

protected

Unit

JclMetadata


TJclClrTableTypeSpecRow Class Properties

TJclClrTableTypeSpecRow Class	Legend

Properties

 Index

 Table

 Token

TJclClrTableTypeSpecRow Class

 Signature

 SignatureOffset


Legend

read only


TJclClrTableTypeSpecRow Class Methods

TJclClrTableTypeSpecRow Class	Legend

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeSpecRow Class

 Create


Legend

Constructor

protected


Legend

TJclClrTableTypeSpecRow Class

Legend

read only

Constructor

protected


TJclClrTableTypeSpecRow Class Members

TJclClrTableTypeSpecRow Class	Legend

Members

Properties

 Index

 Table

 Token

TJclClrTableTypeSpecRow Class

 Signature

 SignatureOffset

Methods

 Create

 DecodeResolutionScope

 DecodeTypeDefOrRef

DumpIL

 Update

TJclClrTableTypeSpecRow Class

 Create


Legend

read only

Constructor

protected


TJclClrTableTypeSpecRow.Signature Property

TJclClrTableTypeSpecRow Class

property Signature: TJclClrBlobRecord;

Class

TJclClrTableTypeSpecRow Class


TJclClrTableTypeSpecRow.SignatureOffset Property

TJclClrTableTypeSpecRow Class

property SignatureOffset: DWORD;

Class

TJclClrTableTypeSpecRow Class


TJclClrTableTypeSpecRow.Create Constructor

TJclClrTableTypeSpecRow Class

constructor Create(const ATable: TJclClrTable); override;

Class

TJclClrTableTypeSpecRow Class


TJclClrUserStringStream Class

Properties	Methods	Legend

TJclClrUserStringStream = class(TJclClrBlobStream);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrUserStringStream Class Properties

TJclClrUserStringStream Class	Legend

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrBlobStream Class

 BlobCount

 Blobs

TJclClrUserStringStream Class

 Offsets

 StringCount

 Strings


Legend

read only


TJclClrUserStringStream Class Methods

TJclClrUserStringStream Class	Legend

Methods

 Create

TJclClrBlobStream Class

At

 Create

 Destroy

TJclClrUserStringStream Class

At


Legend

Constructor

protected


Legend

TJclClrUserStringStream Class

Legend

read only

Constructor

protected


TJclClrUserStringStream Class Members

TJclClrUserStringStream Class	Legend

Members

Properties

 Data

 Header

 Metadata

 Name

 Offset

 Size

TJclClrBlobStream Class

 BlobCount

 Blobs

TJclClrUserStringStream Class

 Offsets

 StringCount

 Strings

Methods

 Create

TJclClrBlobStream Class

At

 Create

 Destroy

TJclClrUserStringStream Class

At


Legend

read only

Constructor

protected


TJclClrUserStringStream.Offsets Property

TJclClrUserStringStream Class

property Offsets [const Idx: Integer]: DWord;

Class

TJclClrUserStringStream Class


TJclClrUserStringStream.StringCount Property

TJclClrUserStringStream Class

property StringCount: Integer;

Class

TJclClrUserStringStream Class


TJclClrUserStringStream.Strings Property

TJclClrUserStringStream Class

property Strings [const Idx: Integer]: WideString;

Class

TJclClrUserStringStream Class


TJclClrUserStringStream.At Method

TJclClrUserStringStream Class

function At(const Offset: DWORD): WideString;

Class

TJclClrUserStringStream Class


TJclClrVTableFixupRecord Class

Properties	Methods	Legend

TJclClrVTableFixupRecord = class(TObject);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclClrVTableFixupRecord Class Properties

TJclClrVTableFixupRecord Class	Legend

Properties

 Count

 Data

 Kinds

 RVA


Legend

read only


TJclClrVTableFixupRecord Class Methods

TJclClrVTableFixupRecord Class	Legend

Methods

 Create

 VTableKinds


Legend

Constructor

protected


Legend

TJclClrVTableFixupRecord Class

Legend

read only

Constructor

protected


TJclClrVTableFixupRecord Class Members

TJclClrVTableFixupRecord Class	Legend

Members

Properties

 Count

 Data

 Kinds

 RVA

Methods

 Create

 VTableKinds


Legend

read only

Constructor

protected


TJclClrVTableFixupRecord.Count Property

TJclClrVTableFixupRecord Class

property Count: DWORD;

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.Data Property

TJclClrVTableFixupRecord Class

property Data: PImageCorVTableFixup;

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.Kinds Property

TJclClrVTableFixupRecord Class

property Kinds: TJclClrVTableKinds;

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.RVA Property

TJclClrVTableFixupRecord Class

property RVA: DWORD;

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.Create Constructor

TJclClrVTableFixupRecord Class

constructor Create(AData: PImageCorVTableFixup);

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.VTableKinds Method (DWORD)

TJclClrVTableFixupRecord Class

class function VTableKinds(const Kinds: DWORD): TJclClrVTableKinds; overload;

Class

TJclClrVTableFixupRecord Class


TJclClrVTableFixupRecord.VTableKinds Method (TJclClrVTableKinds)

TJclClrVTableFixupRecord Class

class function VTableKinds(const Kinds: TJclClrVTableKinds): DWORD; overload;

Class

TJclClrVTableFixupRecord Class


TJclCommandLineTool Class

Properties	Methods	Events	Legend

TJclCommandLineTool = class(TInterfacedObject, IJclCommandLineTool);

Events

 OutputCallback

Legend

read only

protected

write only

Constructor

Unit

JclBorlandTools


TJclCommandLineTool Class Properties

TJclCommandLineTool Class	Legend

Properties

 ExeName

 Options

 Output

TJclCommandLineTool Class

 ExeName

 Output


Legend

read only

protected


TJclCommandLineTool Class Events

TJclCommandLineTool Class	Legend

Events

 OutputCallback


Legend

write only


TJclCommandLineTool Class Methods

TJclCommandLineTool Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclCommandLineTool Class

 AddPathOption

 Create

 Destroy

 Execute

 GetExeName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback


Legend

protected

Constructor


Legend

TJclCommandLineTool Class

Legend

read only

protected

write only

Constructor


TJclCommandLineTool Class Members

TJclCommandLineTool Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclCommandLineTool Class

 ExeName

 Output

Events

 OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclCommandLineTool Class

 AddPathOption

 Create

 Destroy

 Execute

 GetExeName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback


Legend

read only

protected

write only

Constructor


TJclCommandLineTool.ExeName Property

TJclCommandLineTool Class

property ExeName: string;

Class

TJclCommandLineTool Class


TJclCommandLineTool.Output Property

TJclCommandLineTool Class

property Output: string;

Class

TJclCommandLineTool Class


TJclCommandLineTool.AddPathOption Method

TJclCommandLineTool Class

procedure AddPathOption(const Option: string; const Path: string);

Class

TJclCommandLineTool Class


TJclCommandLineTool.Create Constructor

TJclCommandLineTool Class

constructor Create(const AExeName: string);

Class

TJclCommandLineTool Class


TJclCommandLineTool.Destroy Destructor

TJclCommandLineTool Class

destructor Destroy; override;

Class

TJclCommandLineTool Class


TJclCommandLineTool.Execute Method

TJclCommandLineTool Class

function Execute(const CommandLine: string): Boolean;

Class

TJclCommandLineTool Class


TJclCommandLineTool.GetExeName Method

TJclCommandLineTool Class

function GetExeName: string;

Class

TJclCommandLineTool Class


TJclCommandLineTool.GetOptions Method

TJclCommandLineTool Class

function GetOptions: TStrings;

Class

TJclCommandLineTool Class


TJclCommandLineTool.GetOutput Method

TJclCommandLineTool Class

function GetOutput: string;

Class

TJclCommandLineTool Class


TJclCommandLineTool.GetOutputCallback Method

TJclCommandLineTool Class

function GetOutputCallback: TTextHandler;

Class

TJclCommandLineTool Class


TJclCommandLineTool.SetOutputCallback Method

TJclCommandLineTool Class

procedure SetOutputCallback(const CallbackMethod: TTextHandler);

Class

TJclCommandLineTool Class


TJclCompressionStream Class

Properties	Methods	Legend

TJclCompressionStream = class(TStream);

Legend

protected

Constructor

Unit

JclCompression


TJclCompressionStream Class Properties

TJclCompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclCompressionStream Class Methods

TJclCompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

Constructor

protected


Legend

TJclCompressionStream Class

Legend

protected

Constructor


TJclCompressionStream Class Members

TJclCompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

protected

Constructor


TJclCompressionStream.OnProgress Property

TJclCompressionStream Class

property OnProgress: TNotifyEvent;

Class

TJclCompressionStream Class


TJclCompressionStream.Create Constructor

TJclCompressionStream Class

constructor Create(Stream: TStream);

Class

TJclCompressionStream Class


TJclCompressionStream.Destroy Destructor

TJclCompressionStream Class

destructor Destroy; override;

Class

TJclCompressionStream Class


TJclCompressionStream.Progress Method

TJclCompressionStream Class

procedure Progress(Sender: TObject); dynamic;

Class

TJclCompressionStream Class


TJclCompressionStream.Read Method

TJclCompressionStream Class

function Read(var Buffer; Count: Longint): Longint; override;

Class

TJclCompressionStream Class


TJclCompressionStream.Reset Method

TJclCompressionStream Class

procedure Reset; virtual;

Class

TJclCompressionStream Class


TJclCompressionStream.Seek Method

TJclCompressionStream Class

function Seek(Offset: Longint; Origin: Word): Longint; override;

Class

TJclCompressionStream Class


TJclCompressionStream.SetBufferSize Method

TJclCompressionStream Class

function SetBufferSize(Size: Cardinal): Cardinal; virtual;

Class

TJclCompressionStream Class


TJclCompressionStream.Write Method

TJclCompressionStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Class

TJclCompressionStream Class


TJclCompressStream Class

Properties	Methods	Legend

TJclCompressStream = class(TJclCompressionStream);

Legend

protected

Constructor

Unit

JclCompression


TJclCompressStream Class Properties

TJclCompressStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclCompressStream Class Methods

TJclCompressStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclCompressStream Class

 Create

Flush


Legend

Constructor

protected


Legend

TJclCompressStream Class

Legend

protected

Constructor


TJclCompressStream Class Members

TJclCompressStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclCompressStream Class

 Create

Flush


Legend

protected

Constructor


TJclCompressStream.Create Constructor

TJclCompressStream Class

constructor Create(Destination: TStream);

Class

TJclCompressStream Class


TJclCompressStream.Flush Method

TJclCompressStream Class

function Flush: Integer; abstract; dynamic;

Class

TJclCompressStream Class


TJclConsole Class

Properties	Methods	Legend

TJclConsole = class(TObject);

Legend

read only

Constructor

protected

Unit

JclConsole


TJclConsole Class Properties

TJclConsole Class	Legend

Properties

ActiveScreen

ActiveScreenIndex

 Input

InputCodePage

OnClose

OnCtrlBreak

OnCtrlC

OnLogOff

OnShutdown

OutputCodePage

 ScreenCount

 Screens

Title


Legend

read only


TJclConsole Class Methods

TJclConsole Class	Legend

Methods

Add

Alloc

 Create

Default

Delete

 Destroy

Free

IsConsole

MouseButtonCount

Remove

Shutdown


Legend

Constructor

protected


Legend

TJclConsole Class

Legend

read only

Constructor

protected


TJclConsole Class Members

TJclConsole Class	Legend

Members

Properties

ActiveScreen

ActiveScreenIndex

 Input

InputCodePage

OnClose

OnCtrlBreak

OnCtrlC

OnLogOff

OnShutdown

OutputCodePage

 ScreenCount

 Screens

Title

Methods

Add

Alloc

 Create

Default

Delete

 Destroy

Free

IsConsole

MouseButtonCount

Remove

Shutdown


Legend

read only

Constructor

protected


TJclConsole.ActiveScreen Property

TJclConsole Class

property ActiveScreen: TJclScreenBuffer;

Class

TJclConsole Class


TJclConsole.ActiveScreenIndex Property

TJclConsole Class

property ActiveScreenIndex: Longword;

Class

TJclConsole Class


TJclConsole.Input Property

TJclConsole Class

property Input: TJclInputBuffer;

Class

TJclConsole Class


TJclConsole.InputCodePage Property

TJclConsole Class

property InputCodePage: DWORD;

Class

TJclConsole Class


TJclConsole.OnClose Property

TJclConsole Class

property OnClose: TNotifyEvent;

Class

TJclConsole Class


TJclConsole.OnCtrlBreak Property

TJclConsole Class

property OnCtrlBreak: TNotifyEvent;

Class

TJclConsole Class


TJclConsole.OnCtrlC Property

TJclConsole Class

property OnCtrlC: TNotifyEvent;

Class

TJclConsole Class


TJclConsole.OnLogOff Property

TJclConsole Class

property OnLogOff: TNotifyEvent;

Class

TJclConsole Class


TJclConsole.OnShutdown Property

TJclConsole Class

property OnShutdown: TNotifyEvent;

Class

TJclConsole Class


TJclConsole.OutputCodePage Property

TJclConsole Class

property OutputCodePage: DWORD;

Class

TJclConsole Class


TJclConsole.ScreenCount Property

TJclConsole Class

property ScreenCount: Longword;

Class

TJclConsole Class


TJclConsole.Screens Property

TJclConsole Class

property Screens [const Idx: Longword]: TJclScreenBuffer;

Class

TJclConsole Class


TJclConsole.Title Property

TJclConsole Class

property Title: string;

Class

TJclConsole Class


TJclConsole.Add Method

TJclConsole Class

function Add(AWidth: Smallint = 0; AHeight: Smallint = 0): TJclScreenBuffer;

Class

TJclConsole Class


TJclConsole.Alloc Method

TJclConsole Class

class procedure Alloc;

Class

TJclConsole Class


TJclConsole.Create Constructor

TJclConsole Class

constructor Create;

Class

TJclConsole Class


TJclConsole.Default Method

TJclConsole Class

class function Default: TJclConsole;

Class

TJclConsole Class


TJclConsole.Delete Method

TJclConsole Class

procedure Delete(const Idx: Longword);

Class

TJclConsole Class


TJclConsole.Destroy Destructor

TJclConsole Class

destructor Destroy; override;

Class

TJclConsole Class


TJclConsole.Free Method

TJclConsole Class

class procedure Free;

Class

TJclConsole Class


TJclConsole.IsConsole Method (HMODULE)

TJclConsole Class

class function IsConsole(const Module: HMODULE): Boolean; overload;

Class

TJclConsole Class


TJclConsole.IsConsole Method (TFileName)

TJclConsole Class

class function IsConsole(const FileName: TFileName): Boolean; overload;

Class

TJclConsole Class


TJclConsole.MouseButtonCount Method

TJclConsole Class

class function MouseButtonCount: DWORD;

Class

TJclConsole Class


TJclConsole.Remove Method

TJclConsole Class

function Remove(const ScrBuf: TJclScreenBuffer): Longword;

Class

TJclConsole Class


TJclConsole.Shutdown Method

TJclConsole Class

class procedure Shutdown;

Class

TJclConsole Class


TJclConstantSymbolInfo Class

Properties	Methods	Legend

TJclConstantSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclConstantSymbolInfo Class Properties

TJclConstantSymbolInfo Class	Legend

Properties

 SymbolType

TJclConstantSymbolInfo Class

 NameIndex

 TypeIndex

 Value


Legend

protected

read only


TJclConstantSymbolInfo Class Methods

TJclConstantSymbolInfo Class	Legend

Methods

 Create

TJclConstantSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclConstantSymbolInfo Class

Legend

protected

read only

Constructor


TJclConstantSymbolInfo Class Members

TJclConstantSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclConstantSymbolInfo Class

 NameIndex

 TypeIndex

 Value

Methods

 Create

TJclConstantSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclConstantSymbolInfo.NameIndex Property

TJclConstantSymbolInfo Class

property NameIndex: DWORD;

Class

TJclConstantSymbolInfo Class


TJclConstantSymbolInfo.TypeIndex Property

TJclConstantSymbolInfo Class

property TypeIndex: DWORD;

Class

TJclConstantSymbolInfo Class


TJclConstantSymbolInfo.Value Property

TJclConstantSymbolInfo Class

property Value: DWORD;

Class

TJclConstantSymbolInfo Class


TJclConstantSymbolInfo.Create Constructor

TJclConstantSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclConstantSymbolInfo Class


TJclDataSymbolInfo Class

Properties	Methods	Legend

TJclDataSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclDataSymbolInfo Class Properties

TJclDataSymbolInfo Class	Legend

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex


Legend

protected

read only


TJclDataSymbolInfo Class Methods

TJclDataSymbolInfo Class	Legend

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclDataSymbolInfo Class

Legend

protected

read only

Constructor


TJclDataSymbolInfo Class Members

TJclDataSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclDataSymbolInfo.NameIndex Property

TJclDataSymbolInfo Class

property NameIndex: DWORD;

Class

TJclDataSymbolInfo Class


TJclDataSymbolInfo.Offset Property

TJclDataSymbolInfo Class

property Offset: DWORD;

Class

TJclDataSymbolInfo Class


TJclDataSymbolInfo.TypeIndex Property

TJclDataSymbolInfo Class

property TypeIndex: DWORD;

Class

TJclDataSymbolInfo Class


TJclDataSymbolInfo.Create Constructor

TJclDataSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclDataSymbolInfo Class


TJclDCC32 Class

Properties	Methods	Events	Legend

TJclDCC32 = class(TJclBorlandCommandLineTool);

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Legend

read only

write only

Constructor

protected

Unit

JclBorlandTools


TJclDCC32 Class Properties

TJclDCC32 Class	Legend

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output


Legend

read only


TJclDCC32 Class Events

TJclDCC32 Class	Legend

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback


Legend

write only


TJclDCC32 Class Methods

TJclDCC32 Class	Legend

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclDCC32 Class

 AddProjectOptions

 Compile

 Create

Execute

 GetExeName

MakePackage

MakeProject

 SaveOptionsToFile

SetDefaultOptions

SupportsLibSuffix


Legend

Constructor

protected


Legend

TJclDCC32 Class

Legend

read only

write only

Constructor

protected


TJclDCC32 Class Members

TJclDCC32 Class	Legend

Members

Properties

 ExeName

 Options

 Output

TJclBorRADToolInstallationObject Class

 Installation

TJclBorlandCommandLineTool Class

 FileName

 Options

 Output

Events

 OutputCallback

TJclBorlandCommandLineTool Class

OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback

TJclBorRADToolInstallationObject Class

 Create

TJclBorlandCommandLineTool Class

AddPathOption

 CheckOutputValid

 Create

 Destroy

Execute

 GetExeName

 GetFileName

 GetOptions

 GetOutput

 GetOutputCallback

 SetOutputCallback

TJclDCC32 Class

 AddProjectOptions

 Compile

 Create

Execute

 GetExeName

MakePackage

MakeProject

 SaveOptionsToFile

SetDefaultOptions

SupportsLibSuffix


Legend

read only

write only

Constructor

protected


TJclDCC32.AddProjectOptions Method

TJclDCC32 Class

procedure AddProjectOptions(const ProjectFileName: string; const DCPPath: string);

Class

TJclDCC32 Class


TJclDCC32.Compile Method

TJclDCC32 Class

function Compile(const ProjectFileName: string): Boolean;

Class

TJclDCC32 Class


TJclDCC32.Create Constructor

TJclDCC32 Class

constructor Create(AInstallation: TJclBorRADToolInstallation); override;

Class

TJclDCC32 Class


TJclDCC32.Execute Method

TJclDCC32 Class

function Execute(const CommandLine: string): Boolean; override;

Class

TJclDCC32 Class


TJclDCC32.GetExeName Method

TJclDCC32 Class

function GetExeName: string; override;

Class

TJclDCC32 Class


TJclDCC32.MakePackage Method

TJclDCC32 Class

function MakePackage(const PackageName: string; const BPLPath: string; const DCPPath: string; ExtraOptions: string = ''): Boolean;

Class

TJclDCC32 Class


TJclDCC32.MakeProject Method

TJclDCC32 Class

function MakeProject(const ProjectName: string; const OutputDir: string; const DcpSearchPath: string; ExtraOptions: string = ''): Boolean;

Class

TJclDCC32 Class


TJclDCC32.SaveOptionsToFile Method

TJclDCC32 Class

procedure SaveOptionsToFile(const ConfigFileName: string);

Class

TJclDCC32 Class


TJclDCC32.SetDefaultOptions Method

TJclDCC32 Class

procedure SetDefaultOptions;

Class

TJclDCC32 Class


TJclDCC32.SupportsLibSuffix Method

TJclDCC32 Class

function SupportsLibSuffix: Boolean;

Class

TJclDCC32 Class


TJclDebugInfoTD32 Class

Properties	Methods	Legend

TJclDebugInfoTD32 = class(TJclDebugInfoSource);

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugInfoTD32 Class Properties

TJclDebugInfoTD32 Class	Legend

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.


Legend

read only


TJclDebugInfoTD32 Class Methods

TJclDebugInfoTD32 Class	Legend

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoTD32 Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

Constructor

protected


Legend

TJclDebugInfoTD32 Class

Legend

read only

Constructor

protected


TJclDebugInfoTD32 Class Members

TJclDebugInfoTD32 Class	Legend

Members

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoTD32 Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

read only

Constructor

protected


TJclDebugInfoTD32.Destroy Destructor

TJclDebugInfoTD32 Class

destructor Destroy; override;

Class

TJclDebugInfoTD32 Class


TJclDebugInfoTD32.GetLocationInfo Method

TJclDebugInfoTD32 Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; override;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

Addr

Address to get information on

Info

Structure that holds information on the address, if address belongs to this object

Return Value

If the specified address exists within the module represented by this object the function returns True and Info will hold the information for the specified address. If the address does not exist within the module, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoTD32 Class


TJclDebugInfoTD32.InitializeSource Method

TJclDebugInfoTD32 Class

Initializes the object.

Pascal

function InitializeSource: Boolean; override;

Description

InitializeSource initializes the object.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclDebugInfoTD32 Class


TJclDebugThread Class

Properties	Methods	Legend

TJclDebugThread = class(TThread);

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugThread Class Properties

TJclDebugThread Class	Legend

Properties

 SyncException

 ThreadInfo

 ThreadName


Legend

read only


TJclDebugThread Class Methods

TJclDebugThread Class	Legend

Methods

 Create

 Destroy

 DoNotify

 DoSyncHandleException

 HandleException


Legend

Constructor

protected


Legend

TJclDebugThread Class

Legend

read only

Constructor

protected


TJclDebugThread Class Members

TJclDebugThread Class	Legend

Members

Properties

 SyncException

 ThreadInfo

 ThreadName

Methods

 Create

 Destroy

 DoNotify

 DoSyncHandleException

 HandleException


Legend

read only

Constructor

protected


TJclDebugThread.SyncException Property

TJclDebugThread Class

property SyncException: Exception;

Class

TJclDebugThread Class


TJclDebugThread.ThreadInfo Property

TJclDebugThread Class

property ThreadInfo: string;

Class

TJclDebugThread Class


TJclDebugThread.ThreadName Property

TJclDebugThread Class

property ThreadName: string;

Class

TJclDebugThread Class


TJclDebugThread.Create Constructor

TJclDebugThread Class

constructor Create(Suspended: Boolean; const AThreadName: string = '');

Class

TJclDebugThread Class


TJclDebugThread.Destroy Destructor

TJclDebugThread Class

destructor Destroy; override;

Class

TJclDebugThread Class


TJclDebugThread.DoNotify Method

TJclDebugThread Class

procedure DoNotify;

Class

TJclDebugThread Class


TJclDebugThread.DoSyncHandleException Method

TJclDebugThread Class

procedure DoSyncHandleException; dynamic;

Class

TJclDebugThread Class


TJclDebugThread.HandleException Method

TJclDebugThread Class

procedure HandleException;

Class

TJclDebugThread Class


TJclDebugThreadList Class

Properties	Methods	Events	Legend

TJclDebugThreadList = class(TObject);

Events

OnSyncException

OnThreadRegistered

OnThreadUnregistered

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugThreadList Class Properties

TJclDebugThreadList Class	Legend

Properties

 Lock

 ThreadClassNames

 ThreadIDCount

 ThreadIDs

 ThreadInfos

 ThreadNames


Legend

read only


TJclDebugThreadList Class Events

TJclDebugThreadList Class

Events

OnSyncException

OnThreadRegistered

OnThreadUnregistered


TJclDebugThreadList Class Methods

TJclDebugThreadList Class	Legend

Methods

 Create

 Destroy

 DoSyncException

 DoThreadRegistered

 DoThreadUnregistered

 InternalRegisterThread

 InternalUnregisterThread

RegisterThread

UnregisterThread


Legend

Constructor

protected


Legend

TJclDebugThreadList Class

Legend

read only

Constructor

protected


TJclDebugThreadList Class Members

TJclDebugThreadList Class	Legend

Members

Properties

 Lock

 ThreadClassNames

 ThreadIDCount

 ThreadIDs

 ThreadInfos

 ThreadNames

Events

OnSyncException

OnThreadRegistered

OnThreadUnregistered

Methods

 Create

 Destroy

 DoSyncException

 DoThreadRegistered

 DoThreadUnregistered

 InternalRegisterThread

 InternalUnregisterThread

RegisterThread

UnregisterThread


Legend

read only

Constructor

protected


TJclDebugThreadList.Lock Property

TJclDebugThreadList Class

property Lock: TJclCriticalSection;

Class

TJclDebugThreadList Class


TJclDebugThreadList.OnSyncException Event

TJclDebugThreadList Class

property OnSyncException: TJclDebugThreadNotifyEvent;

Class

TJclDebugThreadList Class


TJclDebugThreadList.OnThreadRegistered Event

TJclDebugThreadList Class

property OnThreadRegistered: TJclThreadIDNotifyEvent;

Class

TJclDebugThreadList Class


TJclDebugThreadList.OnThreadUnregistered Event

TJclDebugThreadList Class

property OnThreadUnregistered: TJclThreadIDNotifyEvent;

Class

TJclDebugThreadList Class


TJclDebugThreadList.ThreadClassNames Property

TJclDebugThreadList Class

property ThreadClassNames [ThreadID: DWORD]: string;

Class

TJclDebugThreadList Class


TJclDebugThreadList.ThreadIDCount Property

TJclDebugThreadList Class

property ThreadIDCount: Integer;

Class

TJclDebugThreadList Class


TJclDebugThreadList.ThreadIDs Property

TJclDebugThreadList Class

property ThreadIDs [Index: Integer]: DWORD;

Class

TJclDebugThreadList Class


TJclDebugThreadList.ThreadInfos Property

TJclDebugThreadList Class

property ThreadInfos [ThreadID: DWORD]: string;

Class

TJclDebugThreadList Class


TJclDebugThreadList.ThreadNames Property

TJclDebugThreadList Class

property ThreadNames [ThreadID: DWORD]: string;

Class

TJclDebugThreadList Class


TJclDebugThreadList.Create Constructor

TJclDebugThreadList Class

constructor Create;

Class

TJclDebugThreadList Class


TJclDebugThreadList.Destroy Destructor

TJclDebugThreadList Class

destructor Destroy; override;

Class

TJclDebugThreadList Class


TJclDebugThreadList.DoSyncException Method

TJclDebugThreadList Class

procedure DoSyncException(Thread: TJclDebugThread);

Class

TJclDebugThreadList Class


TJclDebugThreadList.DoThreadRegistered Method

TJclDebugThreadList Class

procedure DoThreadRegistered(Thread: TThread);

Class

TJclDebugThreadList Class


TJclDebugThreadList.DoThreadUnregistered Method

TJclDebugThreadList Class

procedure DoThreadUnregistered(Thread: TThread);

Class

TJclDebugThreadList Class


TJclDebugThreadList.InternalRegisterThread Method

TJclDebugThreadList Class

procedure InternalRegisterThread(Thread: TThread; const ThreadName: string);

Class

TJclDebugThreadList Class


TJclDebugThreadList.InternalUnregisterThread Method

TJclDebugThreadList Class

procedure InternalUnregisterThread(Thread: TThread);

Class

TJclDebugThreadList Class


TJclDebugThreadList.RegisterThread Method

TJclDebugThreadList Class

procedure RegisterThread(Thread: TThread; const ThreadName: string);

Class

TJclDebugThreadList Class


TJclDebugThreadList.UnregisterThread Method

TJclDebugThreadList Class

procedure UnregisterThread(Thread: TThread);

Class

TJclDebugThreadList Class


TJclDecompressStream Class

Properties	Methods	Legend

TJclDecompressStream = class(TJclCompressionStream);

Legend

protected

Constructor

Unit

JclCompression


TJclDecompressStream Class Properties

TJclDecompressStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclDecompressStream Class Methods

TJclDecompressStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

Constructor

protected


Legend

TJclDecompressStream Class

Legend

protected

Constructor


TJclDecompressStream Class Members

TJclDecompressStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

protected

Constructor


TJclDecompressStream.Create Constructor

TJclDecompressStream Class

constructor Create(Source: TStream);

Class

TJclDecompressStream Class


TJclDefaultUnitVersioningProvider Class

Methods	Legend

TJclDefaultUnitVersioningProvider = class(TCustomUnitVersioningProvider);

Legend

Constructor

Unit

JclUnitVersioningProviders


TJclDefaultUnitVersioningProvider Class Methods

TJclDefaultUnitVersioningProvider Class	Legend

Methods

 Create

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo

TJclDefaultUnitVersioningProvider Class

 Create

 Destroy

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo


Legend

Constructor


Legend

TJclDefaultUnitVersioningProvider Class

Legend

Constructor


TJclDefaultUnitVersioningProvider Class Members

TJclDefaultUnitVersioningProvider Class	Legend

Members

Methods

 Create

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo

TJclDefaultUnitVersioningProvider Class

 Create

 Destroy

LoadModuleUnitVersioningInfo

ReleaseModuleUnitVersioningInfo


Legend

Constructor


TJclDefaultUnitVersioningProvider.Create Constructor

TJclDefaultUnitVersioningProvider Class

constructor Create; override;

Class

TJclDefaultUnitVersioningProvider Class


TJclDefaultUnitVersioningProvider.Destroy Destructor

TJclDefaultUnitVersioningProvider Class

destructor Destroy; override;

Class

TJclDefaultUnitVersioningProvider Class


TJclDefaultUnitVersioningProvider.LoadModuleUnitVersioningInfo Method

TJclDefaultUnitVersioningProvider Class

procedure LoadModuleUnitVersioningInfo(Instance: THandle); override;

Class

TJclDefaultUnitVersioningProvider Class


TJclDefaultUnitVersioningProvider.ReleaseModuleUnitVersioningInfo Method

TJclDefaultUnitVersioningProvider Class

procedure ReleaseModuleUnitVersioningInfo(Instance: THandle); override;

Class

TJclDefaultUnitVersioningProvider Class


TJclDelphiInstallation Class

Properties	Methods	Events	Legend

TJclDelphiInstallation = class(TJclBorRADToolInstallation);

Events

OutputCallback

Legend

read only

protected

Constructor

Unit

JclBorlandTools


TJclDelphiInstallation Class Properties

TJclDelphiInstallation Class	Legend

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr


Legend

read only


TJclDelphiInstallation Class Events

TJclDelphiInstallation Class

Events

OutputCallback


TJclDelphiInstallation Class Methods

TJclDelphiInstallation Class	Legend

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclDelphiInstallation Class

ConfigFileName

 Create

 Destroy

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

InstallPackage

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName


Legend

protected

Constructor


Legend

TJclDelphiInstallation Class

Legend

read only

protected

Constructor


TJclDelphiInstallation Class Members

TJclDelphiInstallation Class	Legend

Members

Properties

 BCC32

 BinFolderName

 BPLOutputPath

 Bpr2Mak

 CommandLineTools

 ConfigData

 ConfigDataLocation

 DCC

 DCC32

 DCPOutputPath

DebugDCUPath

 DefaultProjectsDir

 Description

 Edition

 EditionAsText

 EnvironmentVariables

 Globals

 IdeExeBuildNumber

 IdeExeFileName

 IdePackages

 IdeTools

 IDEVersionNumber

 InstalledUpdatePack

 LatestUpdatePack

LibraryBrowsingPath

LibrarySearchPath

 Make

MapCreate

MapDelete

MapLink

 Name

 OpenHelp

 Palette

 Personalities

 Repository

 RootDir

 SupportsLibSuffix

 UpdateNeeded

 Valid

 VclIncludeDir

 VersionNumber

 VersionNumberStr

Events

OutputCallback

Methods

 AddMissingPathItems

AddToDebugDCUPath

AddToLibraryBrowsingPath

AddToLibrarySearchPath

AnyInstanceRunning

 CompileBCBPackage

 CompileBCBProject

 CompileDelphiPackage

 CompileDelphiProject

CompilePackage

CompileProject

ConfigFileName

 Create

 Destroy

ExtractPaths

FindFolderInPath

 GetBPLOutputPath

 GetDCPOutputPath

GetDefaultProjectsDir

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

 GetName

 GetVclIncludeDir

 InstallBCBExpert

 InstallBCBIdePackage

 InstallBCBPackage

 InstallDelphiExpert

 InstallDelphiIdePackage

 InstallDelphiPackage

InstallExpert

InstallIDEPackage

InstallPackage

IsBDSPersonality

LibFolderName

 LinkMapFile

 OutputFileDelete

 OutputString

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName

 ReadInformation

RegisterExpert

RegisterIDEPackage

RegisterPackage

RemoveFromDebugDCUPath

RemoveFromLibraryBrowsingPath

RemoveFromLibrarySearchPath

 RemoveFromPath

SubstitutePath

SupportsBCB

SupportsVisualCLX

 UninstallBCBExpert

 UninstallBCBIdePackage

 UninstallBCBPackage

 UninstallDelphiExpert

 UninstallDelphiIdePackage

 UninstallDelphiPackage

UninstallExpert

UninstallIDEPackage

UninstallPackage

UnregisterExpert

UnregisterIDEPackage

UnregisterPackage

TJclDelphiInstallation Class

ConfigFileName

 Create

 Destroy

 GetEnvironmentVariables

GetLatestUpdatePackForVersion

InstallPackage

PackageSourceFileExtension

ProjectSourceFileExtension

RadToolKind

RadToolName


Legend

read only

protected

Constructor


TJclDelphiInstallation.ConfigFileName Method

TJclDelphiInstallation Class

function ConfigFileName(const Extension: string): string; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.Create Constructor

TJclDelphiInstallation Class

constructor Create(const AConfigDataLocation: string); override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.Destroy Destructor

TJclDelphiInstallation Class

destructor Destroy; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.GetEnvironmentVariables Method

TJclDelphiInstallation Class

function GetEnvironmentVariables: TStrings; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.GetLatestUpdatePackForVersion Method

TJclDelphiInstallation Class

class function GetLatestUpdatePackForVersion(Version: Integer): Integer; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.InstallPackage Method

TJclDelphiInstallation Class

function InstallPackage(const PackageName: string; const BPLPath: string; const DCPPath: string): Boolean; reintroduce;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.PackageSourceFileExtension Method

TJclDelphiInstallation Class

class function PackageSourceFileExtension: string; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.ProjectSourceFileExtension Method

TJclDelphiInstallation Class

class function ProjectSourceFileExtension: string; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.RadToolKind Method

TJclDelphiInstallation Class

class function RadToolKind: TJclBorRadToolKind; override;

Class

TJclDelphiInstallation Class


TJclDelphiInstallation.RadToolName Method

TJclDelphiInstallation Class

function RadToolName: string; override;

Class

TJclDelphiInstallation Class


TJclFileMappingStream Class

Methods	Legend

TJclFileMappingStream = class(TCustomMemoryStream);

Legend

protected

Constructor

Unit

JclFileUtils


TJclFileMappingStream Class Methods

TJclFileMappingStream Class	Legend

Methods

 Close

 Create

 Destroy

Write


Legend

protected

Constructor


Legend

TJclFileMappingStream Class

Legend

protected

Constructor


TJclFileMappingStream Class Members

TJclFileMappingStream Class	Legend

Members

Methods

 Close

 Create

 Destroy

Write


Legend

protected

Constructor


TJclFileMappingStream.Close Method

TJclFileMappingStream Class

procedure Close;

Class

TJclFileMappingStream Class


TJclFileMappingStream.Create Constructor

TJclFileMappingStream Class

constructor Create(const FileName: string; FileMode: Word = fmOpenRead or fmShareDenyWrite);

Class

TJclFileMappingStream Class


TJclFileMappingStream.Destroy Destructor

TJclFileMappingStream Class

destructor Destroy; override;

Class

TJclFileMappingStream Class


TJclFileMappingStream.Write Method

TJclFileMappingStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Class

TJclFileMappingStream Class


TJclFileMaskComparator Class

Properties	Methods	Legend

TJclFileMaskComparator = class(TObject);

Legend

read only

Constructor

Unit

JclFileUtils


TJclFileMaskComparator Class Properties

TJclFileMaskComparator Class	Legend

Properties

 Count

 Exts

FileMask

 Masks

 Names

Separator


Legend

read only


TJclFileMaskComparator Class Methods

TJclFileMaskComparator Class	Legend

Methods

Compare

 Create


Legend

Constructor


Legend

TJclFileMaskComparator Class

Legend

read only

Constructor


TJclFileMaskComparator Class Members

TJclFileMaskComparator Class	Legend

Members

Properties

 Count

 Exts

FileMask

 Masks

 Names

Separator

Methods

Compare

 Create


Legend

read only

Constructor


TJclFileMaskComparator.Count Property

TJclFileMaskComparator Class

property Count: Integer;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Exts Property

TJclFileMaskComparator Class

property Exts [Index: Integer]: string;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.FileMask Property

TJclFileMaskComparator Class

property FileMask: string;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Masks Property

TJclFileMaskComparator Class

property Masks [Index: Integer]: string;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Names Property

TJclFileMaskComparator Class

property Names [Index: Integer]: string;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Separator Property

TJclFileMaskComparator Class

property Separator: Char;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Compare Method

TJclFileMaskComparator Class

function Compare(const NameExt: string): Boolean;

Class

TJclFileMaskComparator Class


TJclFileMaskComparator.Create Constructor

TJclFileMaskComparator Class

constructor Create;

Class

TJclFileMaskComparator Class


TJclFlatSet Class

Methods	Legend

TJclFlatSet = class(TJclASet);

Legend

protected

Constructor

Unit

JclMath


TJclFlatSet Class Methods

TJclFlatSet Class	Legend

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange

TJclFlatSet Class

Clear

 Create

 Destroy

GetBit

GetRange

Invert

SetBit

SetRange


Legend

protected

Constructor


Legend

TJclFlatSet Class

Legend

protected

Constructor


TJclFlatSet Class Members

TJclFlatSet Class	Legend

Members

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange

TJclFlatSet Class

Clear

 Create

 Destroy

GetBit

GetRange

Invert

SetBit

SetRange


Legend

protected

Constructor


TJclFlatSet.Clear Method

TJclFlatSet Class

procedure Clear; override;

Class

TJclFlatSet Class


TJclFlatSet.Create Constructor

TJclFlatSet Class

constructor Create;

Class

TJclFlatSet Class


TJclFlatSet.Destroy Destructor

TJclFlatSet Class

destructor Destroy; override;

Class

TJclFlatSet Class


TJclFlatSet.GetBit Method

TJclFlatSet Class

function GetBit(const Idx: Integer): Boolean; override;

Class

TJclFlatSet Class


TJclFlatSet.GetRange Method

TJclFlatSet Class

function GetRange(const Low: Integer; const High: Integer; const Value: Boolean): Boolean; override;

Class

TJclFlatSet Class


TJclFlatSet.Invert Method

TJclFlatSet Class

procedure Invert; override;

Class

TJclFlatSet Class


TJclFlatSet.SetBit Method

TJclFlatSet Class

procedure SetBit(const Idx: Integer; const Value: Boolean); override;

Class

TJclFlatSet Class


TJclFlatSet.SetRange Method

TJclFlatSet Class

procedure SetRange(const Low: Integer; const High: Integer; const Value: Boolean); override;

Class

TJclFlatSet Class


TJclGDataSymbolInfo Class

Properties	Methods	Legend

TJclGDataSymbolInfo = class(TJclDataSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclGDataSymbolInfo Class Properties

TJclGDataSymbolInfo Class	Legend

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex


Legend

protected

read only


TJclGDataSymbolInfo Class Methods

TJclGDataSymbolInfo Class	Legend

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclGDataSymbolInfo Class

Legend

protected

read only

Constructor


TJclGDataSymbolInfo Class Members

TJclGDataSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclGlobalProcSymbolInfo Class

Properties	Methods	Legend

TJclGlobalProcSymbolInfo = class(TJclProcSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclGlobalProcSymbolInfo Class Properties

TJclGlobalProcSymbolInfo Class	Legend

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size


Legend

protected

read only


TJclGlobalProcSymbolInfo Class Methods

TJclGlobalProcSymbolInfo Class	Legend

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclGlobalProcSymbolInfo Class

Legend

protected

read only

Constructor


TJclGlobalProcSymbolInfo Class Members

TJclGlobalProcSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclGZIPCompressionStream Class

Properties	Methods	Legend

TJclGZIPCompressionStream = class(TJclCompressionStream);

Legend

protected

Constructor

Unit

JclCompression


TJclGZIPCompressionStream Class Properties

TJclGZIPCompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclGZIPCompressionStream Class Methods

TJclGZIPCompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

Constructor

protected


Legend

TJclGZIPCompressionStream Class

Legend

protected

Constructor


TJclGZIPCompressionStream Class Members

TJclGZIPCompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

protected

Constructor


TJclGZIPDecompressionStream Class

Properties	Methods	Legend

TJclGZIPDecompressionStream = class(TJclDecompressStream);

Legend

protected

Constructor

Unit

JclCompression


TJclGZIPDecompressionStream Class Properties

TJclGZIPDecompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclGZIPDecompressionStream Class Methods

TJclGZIPDecompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

Constructor

protected


Legend

TJclGZIPDecompressionStream Class

Legend

protected

Constructor


TJclGZIPDecompressionStream Class Members

TJclGZIPDecompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

protected

Constructor


TJclInfoStringsWriter Class

Properties	Methods	Legend

TStrings output class

Pascal

TJclInfoStringsWriter = class(TJclInfoWriter);

Description

RTTI info writer class that sends it's output to a TStrings descendant.

Donator

Marcel Bestebroer

Legend

protected

read only

Constructor

Unit

JclRTTI


TJclInfoStringsWriter Class Properties

TJclInfoStringsWriter Class	Legend

Properties

Wrap

Word wrap column

TJclInfoWriter Class

 CurLine

Line buffer

 IndentLevel

The indentation level.

Wrap

Word wrap column

TJclInfoStringsWriter Class

 Strings

TStrings that receives the output.


Legend

protected

read only


TJclInfoStringsWriter Class Methods

TJclInfoStringsWriter Class	Legend

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoWriter Class

 Create

Instantiates an writer object.

 Destroy

Flushes the line buffer and destroys the writer object.

 DoWrap

Performs word wrapping on the text currently in the buffer.

 DoWriteCompleteLines

Writes all complete lines to the output object/device/method

 GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

 PrimWrite

Primary write method

 SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoStringsWriter Class

 Create

Instantiates an writer object.

 PrimWrite

Primary write method


Legend

Constructor

protected


Legend

TJclInfoStringsWriter Class

Legend

protected

read only

Constructor


TJclInfoStringsWriter Class Members

TJclInfoStringsWriter Class	Legend

Members

Properties

Wrap

Word wrap column

TJclInfoWriter Class

 CurLine

Line buffer

 IndentLevel

The indentation level.

Wrap

Word wrap column

TJclInfoStringsWriter Class

 Strings

TStrings that receives the output.

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoWriter Class

 Create

Instantiates an writer object.

 Destroy

Flushes the line buffer and destroys the writer object.

 DoWrap

Performs word wrapping on the text currently in the buffer.

 DoWriteCompleteLines

Writes all complete lines to the output object/device/method

 GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

 PrimWrite

Primary write method

 SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoStringsWriter Class

 Create

Instantiates an writer object.

 PrimWrite

Primary write method


Legend

protected

read only

Constructor


TJclInfoStringsWriter.Strings Property

TJclInfoStringsWriter Class

TStrings that receives the output.

Pascal

property Strings: TStrings;

Description

Strings is a reference to the TStrings that is used as the output.

Donator

Marcel Bestebroer

Class

TJclInfoStringsWriter Class


TJclInfoStringsWriter.Create Constructor

TJclInfoStringsWriter Class

Instantiates an writer object.

Pascal

constructor Create(const AStrings: TStrings; const AWrap: Integer = 80);

Description

Creates an instance and sets the Wrap property to a default value.

Parameters

const AStrings: TStrings

TStrings descendant that is to receive the output.

const AWrap: Integer = 80

Initial value for the Wrap property.

Donator

Marcel Bestebroer

Class

TJclInfoStringsWriter Class


TJclInfoStringsWriter.PrimWrite Method

TJclInfoStringsWriter Class

Primary write method

Pascal

procedure PrimWrite(const S: string); override;

Description

PrimWrite is an abstract method that does the actual writing to the underlaying object. S is guarenteed to be no longer than Wrap characters will be exactly 1 line with proper indentation.

Override PrimWrite in descendants to write the output to the object, device or stream.

Parameters

S

The string to write to the output device/stream/object. The string has proper indentation, consists of 1 line and will be no longer than the number of character specified by the Wrap property.

Donator

Marcel Bestebroer

Class

TJclInfoStringsWriter Class


TJclInfoWriter Class

Properties	Methods	Legend

Abstract base RTTI outout class.

Pascal

TJclInfoWriter = class(TInterfacedObject, IJclInfoWriter);

Description

Abstract base class for RTTI info output. Do no create an instance of this class but rather use a descendant (JclRTTI provides a descendant to write to a TStrings descendant).

The class implements all properties and methods of the IJclInfoWriter interface and adds some internal methods and properties.

Descendants should override the PrimWrite method to do the actual writing.

Donator

Marcel Bestebroer

Legend

protected

Constructor

Unit

JclRTTI


TJclInfoWriter Class Properties

TJclInfoWriter Class	Legend

Properties

Wrap

Word wrap column

TJclInfoWriter Class

 CurLine

Line buffer

 IndentLevel

The indentation level.

Wrap

Word wrap column


Legend

protected


TJclInfoWriter Class Methods

TJclInfoWriter Class	Legend

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoWriter Class

 Create

Instantiates an writer object.

 Destroy

Flushes the line buffer and destroys the writer object.

 DoWrap

Performs word wrapping on the text currently in the buffer.

 DoWriteCompleteLines

Writes all complete lines to the output object/device/method

 GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

 PrimWrite

Primary write method

 SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF


Legend

Constructor

protected


Legend

TJclInfoWriter Class

Legend

protected

Constructor


TJclInfoWriter Class Members

TJclInfoWriter Class	Legend

Members

Properties

Wrap

Word wrap column

TJclInfoWriter Class

 CurLine

Line buffer

 IndentLevel

The indentation level.

Wrap

Word wrap column

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF

TJclInfoWriter Class

 Create

Instantiates an writer object.

 Destroy

Flushes the line buffer and destroys the writer object.

 DoWrap

Performs word wrapping on the text currently in the buffer.

 DoWriteCompleteLines

Writes all complete lines to the output object/device/method

 GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

 PrimWrite

Primary write method

 SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF


Legend

protected

Constructor


TJclInfoWriter.CurLine Property

TJclInfoWriter Class

Line buffer

Pascal

property CurLine: string;

Description

CurLine is the line buffer. When changing the contents of CurLine, call DoWrap and DoWriteCompleteLines to process both word wrapping and indentation (DoWrap) and write any completed lines to the output device/object/stream.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.IndentLevel Property

TJclInfoWriter Class

The indentation level.

Pascal

property IndentLevel: Integer;

Description

IndentLevel holds the current indentation level.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Wrap Property

TJclInfoWriter Class

Word wrap column

Pascal

property Wrap: Integer;

Description

Wrap holds the word wrap column. Read Wrap to determine the column at which text will word wrap or set Wrap to a new wrapping column.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Create Constructor

TJclInfoWriter Class

Instantiates an writer object.

Pascal

constructor Create(const AWrap: Integer = 80);

Description

Creates an instance and sets the Wrap property to a default value.

Parameters

const AWrap: Integer = 80

Initial value for the Wrap property

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Destroy Destructor

TJclInfoWriter Class

Flushes the line buffer and destroys the writer object.

Pascal

destructor Destroy; override;

Description

Destroy will empty the line buffer and then performs the usual destruction of the instance.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.DoWrap Method

TJclInfoWriter Class

Performs word wrapping on the text currently in the buffer.

Pascal

procedure DoWrap;

Description

DoWrap performs word wrapping on the lines in the buffer. DoWrap is called by the Write method to apply word wrapping to the last written string.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.DoWriteCompleteLines Method

TJclInfoWriter Class

Writes all complete lines to the output object/device/method

Pascal

procedure DoWriteCompleteLines;

Description

DoWriteCompleteLines writes any complete l ines currently in the buffer. The info writer buffers text until it has at least a complete line. This is done to allow mulitple successive calls to the Write method to be indented / word wrapped properly.

DoWriteCompleteLines will check if there's at least a complete line in the buffer, and if there is, it will call PrimWrite to output that line and removes it from the buffer. It will loop until there are no complete lines left.

After a call to this method the buffer could be either empty or contain a partial (unfinished) line.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.GetWrap Method

TJclInfoWriter Class

Returns the column at which wrapping will take place.

Pascal

function GetWrap: Integer;

Description

GetWrap returns the column at which the output should be wrapped. GetWrap is the read method for the Wrap property.

Return Value

The column at which wrapping will take place.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Indent Method

TJclInfoWriter Class

Increment the indentation level by 1.

Pascal

procedure Indent;

Description

Indent will increment the indentation level by 1. Each identation level will result in two spaces.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Outdent Method

See Also	TJclInfoWriter Class

Decrement the indentation level by 1.

Pascal

procedure Outdent;

Description

Outdent will decrement the indentation level by 1.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


See Also

Indent


TJclInfoWriter.PrimWrite Method

TJclInfoWriter Class

Primary write method

Pascal

procedure PrimWrite(const S: string); virtual; abstract;

Description

PrimWrite is an abstract method that does the actual writing to the underlaying object. S is guarenteed to be no longer than Wrap characters will be exactly 1 line with proper indentation.

Override PrimWrite in descendants to write the output to the object, device or stream.

Parameters

const S: string

The string to write to the output device/stream/object. The string has proper indentation, consists of 1 line and will be no longer than the number of character specified by the Wrap property.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.SetWrap Method

TJclInfoWriter Class

Sets a new word wrap column

Pascal

procedure SetWrap(const Value: Integer);

Description

SetWrap sets the column at which output will be word wrapped. SetWrap is the write specifier for the Wrap property.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Write Method

TJclInfoWriter Class

Outputs a string to the underlaying object.

Pascal

procedure Write(const S: string);

Description

Write will write the specified string to the underlaying object. Just as Write in Object Pascal, there will be no CR/LF appended to the string. Use Writeln if you want an CR/LF appended when the string is outputed. If the string contains CR/LF, it will be seen as a separate string for which indentation level is taken into consideration.

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


TJclInfoWriter.Writeln Method

See Also	TJclInfoWriter Class

Writes the specified text and appends a CR/LF

Pascal

procedure Writeln(const S: string = '');

Description

Writeln will output the specified string and appends a CR/LF. Each CR/LF in the text will be considered a new line for which indentation will be performed.

Parameters

S

Text to be outputed. Each CR/LF will be considered a new line for which indentation will be performed

Donator

Marcel Bestebroer

Class

TJclInfoWriter Class


See Also

Write,Indent,Outdent,Wrap


TJclInputBuffer Class

Properties	Methods	Legend

TJclInputBuffer = class(TObject);

Legend

read only

Constructor

protected

Unit

JclConsole


TJclInputBuffer Class Properties

TJclInputBuffer Class	Legend

Properties

 Console

 EventCount

 Handle

Mode


Legend

read only


TJclInputBuffer Class Methods

TJclInputBuffer Class	Legend

Methods

Clear

 Create

 Destroy

GetEvent

GetEvents

PeekEvent

PeekEvents

PutEvent

PutEvents

RaiseCtrlEvent

WaitEvent


Legend

Constructor

protected


Legend

TJclInputBuffer Class

Legend

read only

Constructor

protected


TJclInputBuffer Class Members

TJclInputBuffer Class	Legend

Members

Properties

 Console

 EventCount

 Handle

Mode

Methods

Clear

 Create

 Destroy

GetEvent

GetEvents

PeekEvent

PeekEvents

PutEvent

PutEvents

RaiseCtrlEvent

WaitEvent


Legend

read only

Constructor

protected


TJclInputBuffer.Console Property

TJclInputBuffer Class

property Console: TJclConsole;

Class

TJclInputBuffer Class


TJclInputBuffer.EventCount Property

TJclInputBuffer Class

property EventCount: DWORD;

Class

TJclInputBuffer Class


TJclInputBuffer.Handle Property

TJclInputBuffer Class

property Handle: THandle;

Class

TJclInputBuffer Class


TJclInputBuffer.Mode Property

TJclInputBuffer Class

property Mode: TJclConsoleInputModes;

Class

TJclInputBuffer Class


TJclInputBuffer.Clear Method

TJclInputBuffer Class

procedure Clear;

Class

TJclInputBuffer Class


TJclInputBuffer.Create Constructor

TJclInputBuffer Class

constructor Create(const AConsole: TJclConsole);

Class

TJclInputBuffer Class


TJclInputBuffer.Destroy Destructor

TJclInputBuffer Class

destructor Destroy; override;

Class

TJclInputBuffer Class


TJclInputBuffer.GetEvent Method

TJclInputBuffer Class

function GetEvent: TInputRecord;

Class

TJclInputBuffer Class


TJclInputBuffer.GetEvents Method (Integer)

TJclInputBuffer Class

function GetEvents(const Count: Integer): TJclInputRecordArray; overload;

Class

TJclInputBuffer Class


TJclInputBuffer.GetEvents Method (TJclInputRecordArray)

TJclInputBuffer Class

function GetEvents(var Events: TJclInputRecordArray): DWORD; overload;

Class

TJclInputBuffer Class


TJclInputBuffer.PeekEvent Method

TJclInputBuffer Class

function PeekEvent: TInputRecord;

Class

TJclInputBuffer Class


TJclInputBuffer.PeekEvents Method (Integer)

TJclInputBuffer Class

function PeekEvents(const Count: Integer): TJclInputRecordArray; overload;

Class

TJclInputBuffer Class


TJclInputBuffer.PeekEvents Method (TJclInputRecordArray)

TJclInputBuffer Class

function PeekEvents(var Events: TJclInputRecordArray): DWORD; overload;

Class

TJclInputBuffer Class


TJclInputBuffer.PutEvent Method

TJclInputBuffer Class

function PutEvent(const Event: TInputRecord): Boolean;

Class

TJclInputBuffer Class


TJclInputBuffer.PutEvents Method

TJclInputBuffer Class

function PutEvents(const Events: TJclInputRecordArray): DWORD; overload;

Class

TJclInputBuffer Class


TJclInputBuffer.RaiseCtrlEvent Method

TJclInputBuffer Class

procedure RaiseCtrlEvent(const AEvent: TJclInputCtrlEvent; const ProcessGroupId: DWORD = 0);

Class

TJclInputBuffer Class


TJclInputBuffer.WaitEvent Method

TJclInputBuffer Class

function WaitEvent(const TimeOut: DWORD = INFINITE): Boolean;

Class

TJclInputBuffer Class


TJclInstruction Class

Properties	Methods	Legend

TJclInstruction = class(TObject);

Legend

read only

Constructor

protected

Unit

JclCIL


TJclInstruction Class Properties

TJclInstruction Class	Legend

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode


Legend

read only


TJclInstruction Class Methods

TJclInstruction Class	Legend

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

Constructor

protected


Legend

TJclInstruction Class

Legend

read only

Constructor

protected


TJclInstruction Class Members

TJclInstruction Class	Legend

Members

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

read only

Constructor

protected


TJclInstruction.Description Property

TJclInstruction Class

property Description: string;

Class

TJclInstruction Class


TJclInstruction.FullName Property

TJclInstruction Class

property FullName: string;

Class

TJclInstruction Class


TJclInstruction.Name Property

TJclInstruction Class

property Name: string;

Class

TJclInstruction Class


TJclInstruction.Offset Property

TJclInstruction Class

property Offset: DWORD;

Class

TJclInstruction Class


TJclInstruction.OpCode Property

TJclInstruction Class

property OpCode: TJclOpCode;

Class

TJclInstruction Class


TJclInstruction.Owner Property

TJclInstruction Class

property Owner: TJclClrILGenerator;

Class

TJclInstruction Class


TJclInstruction.Param Property

TJclInstruction Class

property Param: Variant;

Class

TJclInstruction Class


TJclInstruction.ParamType Property

TJclInstruction Class

property ParamType: TJclInstructionParamType;

Class

TJclInstruction Class


TJclInstruction.RealOpCode Property

TJclInstruction Class

property RealOpCode: Byte;

Class

TJclInstruction Class


TJclInstruction.Size Property

TJclInstruction Class

property Size: DWORD;

Class

TJclInstruction Class


TJclInstruction.WideOpCode Property

TJclInstruction Class

property WideOpCode: Boolean;

Class

TJclInstruction Class


TJclInstruction.Create Constructor

TJclInstruction Class

constructor Create(AOwner: TJclClrILGenerator; AOpCode: TJclOpCode);

Class

TJclInstruction Class


TJclInstruction.DumpIL Method

TJclInstruction Class

function DumpIL(Options: TJclInstructionDumpILOptions = [doIL]): string;

Class

TJclInstruction Class


TJclInstruction.DumpILOption Method

TJclInstruction Class

function DumpILOption(Option: TJclInstructionDumpILOption): string; virtual;

Class

TJclInstruction Class


TJclInstruction.GetSize Method

TJclInstruction Class

function GetSize: DWORD; virtual;

Class

TJclInstruction Class


TJclInstruction.Load Method

TJclInstruction Class

procedure Load(Stream: TStream); virtual;

Class

TJclInstruction Class


TJclInstruction.Save Method

TJclInstruction Class

procedure Save(Stream: TStream); virtual;

Class

TJclInstruction Class


TJclIntfArraySet Class

Properties	Methods	Legend

This class store interfaces only one time in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfArraySet = class(TJclIntfArrayList, IJclIntfCollection, IJclIntfSet, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

Unit

JclArraySets


TJclIntfArraySet Class Methods

TJclIntfArraySet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList

TJclIntfArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Contains

 Insert

 Intersect

 Subtract

 Union


Legend

Constructor

protected


TJclIntfArraySet Class Properties

TJclIntfArraySet Class

Properties

IJclIntfArray Interface

Items

TJclIntfArrayList Class

Capacity


Legend

TJclIntfArraySet Class

Legend

Constructor

protected


TJclIntfArraySet Class Members

TJclIntfArraySet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList

TJclIntfArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Contains

 Insert

 Intersect

 Subtract

 Union

Properties

IJclIntfArray Interface

Items

TJclIntfArrayList Class

Capacity


Legend

Constructor

protected


TJclIntfArraySet.Add Method

TJclIntfArraySet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean;

Class

TJclIntfArraySet Class


TJclIntfArraySet.AddAll Method

TJclIntfArraySet Class

function AddAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfArraySet Class


TJclIntfArraySet.Contains Method

TJclIntfArraySet Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfArraySet Class


TJclIntfArraySet.Insert Method

TJclIntfArraySet Class

procedure Insert(Index: Integer; AInterface: IInterface); overload;

Class

TJclIntfArraySet Class


TJclIntfArraySet.Intersect Method

TJclIntfArraySet Class

procedure Intersect(ACollection: IJclIntfCollection);

Class

TJclIntfArraySet Class


TJclIntfArraySet.Subtract Method

TJclIntfArraySet Class

procedure Subtract(ACollection: IJclIntfCollection);

Class

TJclIntfArraySet Class


TJclIntfArraySet.Union Method

TJclIntfArraySet Class

procedure Union(ACollection: IJclIntfCollection);

Class

TJclIntfArraySet Class


TJclIntfBinaryNode Class

TJclIntfBinaryNode = class;

Fields

Color

Left

Parent

Right

TJclIntfBinaryNode=recordObj

Unit

JclBinaryTrees


TJclIntfBinaryNode Class Fields

TJclIntfBinaryNode Class

Fields

Color

Left

Parent

Right

TJclIntfBinaryNode=recordObj


TJclIntfBinaryNode Class Members

TJclIntfBinaryNode Class

Members

Fields

Color

Left

Parent

Right

TJclIntfBinaryNode=recordObj


TJclIntfBinaryNode.Color Field

TJclIntfBinaryNode Class

Color: TJclTreeColor;

Class

TJclIntfBinaryNode Class


TJclIntfBinaryNode.Left Field

TJclIntfBinaryNode Class

Left: PJclIntfBinaryNode;

Class

TJclIntfBinaryNode Class


TJclIntfBinaryNode.Parent Field

TJclIntfBinaryNode Class

Parent: PJclIntfBinaryNode;

Class

TJclIntfBinaryNode Class


TJclIntfBinaryNode.Right Field

TJclIntfBinaryNode Class

Right: PJclIntfBinaryNode;

Class

TJclIntfBinaryNode Class


TJclIntfBinaryNode.TJclIntfBinaryNode_recordObj Field
TJclIntfBinaryNode.TJclIntfBinaryNode=recordObj Field

TJclIntfBinaryNode Class

TJclIntfBinaryNode=recordObj: IInterface;

Class

TJclIntfBinaryNode Class


TJclIntfBinaryTree Class

Properties	Methods	Legend

This class store interfaces in a red-black binary tree.

The binary tree is always balanced with red-black algorithms (from CLR) for best performance in search.

When an element is removed or insert, the tree is modified to keep balancing.

You can traverse the tree with iterators in different order (PreOrder, Order and PostOrder). Iterators are bidirectionnal.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfBinaryTree = class(TJclAbstractContainer, IJclIntfCollection, IJclIntfTree, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

Unit

JclBinaryTrees


TJclIntfBinaryTree Class Methods

TJclIntfBinaryTree Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetTraverseOrder

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 SetTraverseOrder

 Size


Legend

Constructor

protected


TJclIntfBinaryTree Class Properties

TJclIntfBinaryTree Class

Properties

IJclIntfTree Interface

TraverseOrder


Legend

TJclIntfBinaryTree Class

Legend

Constructor

protected


TJclIntfBinaryTree Class Members

TJclIntfBinaryTree Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetTraverseOrder

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 SetTraverseOrder

 Size

Properties

IJclIntfTree Interface

TraverseOrder


Legend

Constructor

protected


TJclIntfBinaryTree.Add Method

TJclIntfBinaryTree Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.AddAll Method

TJclIntfBinaryTree Class

function AddAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Clear Method

TJclIntfBinaryTree Class

procedure Clear;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Clone Method

TJclIntfBinaryTree Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Contains Method

TJclIntfBinaryTree Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.ContainsAll Method

TJclIntfBinaryTree Class

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Create Constructor

TJclIntfBinaryTree Class

constructor Create(AComparator: TIntfCompare = nil);

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Destroy Destructor

TJclIntfBinaryTree Class

destructor Destroy; override;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Equals Method

TJclIntfBinaryTree Class

function Equals(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.First Method

TJclIntfBinaryTree Class

function First: IJclIntfIterator;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.GetTraverseOrder Method

TJclIntfBinaryTree Class

function GetTraverseOrder: TJclTraverseOrder;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.IsEmpty Method

TJclIntfBinaryTree Class

function IsEmpty: Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Last Method

TJclIntfBinaryTree Class

function Last: IJclIntfIterator;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Remove Method

TJclIntfBinaryTree Class

function Remove(AInterface: IInterface): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.RemoveAll Method

TJclIntfBinaryTree Class

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.RetainAll Method

TJclIntfBinaryTree Class

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.SetTraverseOrder Method

TJclIntfBinaryTree Class

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Class

TJclIntfBinaryTree Class


TJclIntfBinaryTree.Size Method

TJclIntfBinaryTree Class

function Size: Integer;

Class

TJclIntfBinaryTree Class


TJclIntfCriticalSection Class

Methods	Legend

TJclIntfCriticalSection = class(TObject, IInterface);

Legend

protected

Constructor

Unit

JclAbstractContainers


TJclIntfCriticalSection Class Methods

TJclIntfCriticalSection Class	Legend

Methods

 _AddRef

 _Release

 Create

 Destroy

 QueryInterface


Legend

protected

Constructor


Legend

TJclIntfCriticalSection Class

Legend

protected

Constructor


TJclIntfCriticalSection Class Members

TJclIntfCriticalSection Class	Legend

Members

Methods

 _AddRef

 _Release

 Create

 Destroy

 QueryInterface


Legend

protected

Constructor


TJclIntfCriticalSection._AddRef Method

TJclIntfCriticalSection Class

function _AddRef: Integer; stdcall;

Class

TJclIntfCriticalSection Class


TJclIntfCriticalSection._Release Method

TJclIntfCriticalSection Class

function _Release: Integer; stdcall;

Class

TJclIntfCriticalSection Class


TJclIntfCriticalSection.Create Constructor

TJclIntfCriticalSection Class

constructor Create;

Class

TJclIntfCriticalSection Class


TJclIntfCriticalSection.Destroy Destructor

TJclIntfCriticalSection Class

destructor Destroy; override;

Class

TJclIntfCriticalSection Class


TJclIntfCriticalSection.QueryInterface Method

TJclIntfCriticalSection Class

function QueryInterface(const IID: TGUID; out Obj): HRESULT; stdcall;

Class

TJclIntfCriticalSection Class


TJclIntfIntfBucket Class

TJclIntfIntfBucket = class;

Fields

Entries

TJclIntfIntfBucket=recordCount

Unit

JclHashMaps


TJclIntfIntfBucket Class Fields

TJclIntfIntfBucket Class

Fields

Entries

TJclIntfIntfBucket=recordCount


TJclIntfIntfBucket Class Members

TJclIntfIntfBucket Class

Members

Fields

Entries

TJclIntfIntfBucket=recordCount


TJclIntfIntfBucket.Entries Field

TJclIntfIntfBucket Class

Entries: TJclIntfIntfEntryArray;

Class

TJclIntfIntfBucket Class


TJclIntfIntfBucket.TJclIntfIntfBucket_recordCount Field
TJclIntfIntfBucket.TJclIntfIntfBucket=recordCount Field

TJclIntfIntfBucket Class

TJclIntfIntfBucket=recordCount: Integer;

Class

TJclIntfIntfBucket Class


TJclIntfLinkedListItem Class

TJclIntfLinkedListItem = class;

Fields

Next

TJclIntfLinkedListItem=recordObj

Unit

JclLinkedLists


TJclIntfLinkedListItem Class Fields

TJclIntfLinkedListItem Class

Fields

Next

TJclIntfLinkedListItem=recordObj


TJclIntfLinkedListItem Class Members

TJclIntfLinkedListItem Class

Members

Fields

Next

TJclIntfLinkedListItem=recordObj


TJclIntfLinkedListItem.Next Field

TJclIntfLinkedListItem Class

Next: PJclIntfLinkedListItem;

Class

TJclIntfLinkedListItem Class


TJclIntfLinkedListItem.TJclIntfLinkedListItem_recordObj Field
TJclIntfLinkedListItem.TJclIntfLinkedListItem=recordObj Field

TJclIntfLinkedListItem Class

TJclIntfLinkedListItem=recordObj: IInterface;

Class

TJclIntfLinkedListItem Class


TJclLabelSymbolInfo Class

Properties	Methods	Legend

TJclLabelSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclLabelSymbolInfo Class Properties

TJclLabelSymbolInfo Class	Legend

Properties

 SymbolType

TJclLabelSymbolInfo Class

 NameIndex

 Offset


Legend

protected

read only


TJclLabelSymbolInfo Class Methods

TJclLabelSymbolInfo Class	Legend

Methods

 Create

TJclLabelSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclLabelSymbolInfo Class

Legend

protected

read only

Constructor


TJclLabelSymbolInfo Class Members

TJclLabelSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclLabelSymbolInfo Class

 NameIndex

 Offset

Methods

 Create

TJclLabelSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclLabelSymbolInfo.NameIndex Property

TJclLabelSymbolInfo Class

property NameIndex: DWORD;

Class

TJclLabelSymbolInfo Class


TJclLabelSymbolInfo.Offset Property

TJclLabelSymbolInfo Class

property Offset: DWORD;

Class

TJclLabelSymbolInfo Class


TJclLabelSymbolInfo.Create Constructor

TJclLabelSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclLabelSymbolInfo Class


TJclLDataSymbolInfo Class

Properties	Methods	Legend

TJclLDataSymbolInfo = class(TJclDataSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclLDataSymbolInfo Class Properties

TJclLDataSymbolInfo Class	Legend

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex


Legend

protected

read only


TJclLDataSymbolInfo Class Methods

TJclLDataSymbolInfo Class	Legend

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclLDataSymbolInfo Class

Legend

protected

read only

Constructor


TJclLDataSymbolInfo Class Members

TJclLDataSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclLineInfo Class

Properties	Methods	Legend

TJclLineInfo = class(TObject);

Legend

read only

Constructor

protected

Unit

JclTD32


TJclLineInfo Class Properties

TJclLineInfo Class	Legend

Properties

 LineNo

 Offset


Legend

read only


TJclLineInfo Class Methods

TJclLineInfo Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclLineInfo Class

Legend

read only

Constructor

protected


TJclLineInfo Class Members

TJclLineInfo Class	Legend

Members

Properties

 LineNo

 Offset

Methods

 Create


Legend

read only

Constructor

protected


TJclLineInfo.LineNo Property

TJclLineInfo Class

property LineNo: DWORD;

Class

TJclLineInfo Class


TJclLineInfo.Offset Property

TJclLineInfo Class

property Offset: DWORD;

Class

TJclLineInfo Class


TJclLineInfo.Create Constructor

TJclLineInfo Class

constructor Create(ALineNo: DWORD; AOffset: DWORD);

Class

TJclLineInfo Class


TJclLinkedListItem Class

TJclLinkedListItem = class;

Fields

Next

TJclLinkedListItem=recordObj

Unit

JclLinkedLists


TJclLinkedListItem Class Fields

TJclLinkedListItem Class

Fields

Next

TJclLinkedListItem=recordObj


TJclLinkedListItem Class Members

TJclLinkedListItem Class

Members

Fields

Next

TJclLinkedListItem=recordObj


TJclLinkedListItem.Next Field

TJclLinkedListItem Class

Next: PJclLinkedListItem;

Class

TJclLinkedListItem Class


TJclLinkedListItem.TJclLinkedListItem_recordObj Field
TJclLinkedListItem.TJclLinkedListItem=recordObj Field

TJclLinkedListItem Class

TJclLinkedListItem=recordObj: TObject;

Class

TJclLinkedListItem Class


TJclLocalProcSymbolInfo Class

Properties	Methods	Legend

TJclLocalProcSymbolInfo = class(TJclProcSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclLocalProcSymbolInfo Class Properties

TJclLocalProcSymbolInfo Class	Legend

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size


Legend

protected

read only


TJclLocalProcSymbolInfo Class Methods

TJclLocalProcSymbolInfo Class	Legend

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclLocalProcSymbolInfo Class

Legend

protected

read only

Constructor


TJclLocalProcSymbolInfo Class Members

TJclLocalProcSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclMappedTextReader Class

Properties	Methods	Legend

TJclMappedTextReader = class(TPersistent);

Legend

read only

protected

Constructor

Unit

JclFileUtils


TJclMappedTextReader Class Properties

TJclMappedTextReader Class	Legend

Properties

 AsString

 Chars

 Content

 Eof

 IndexOption

 LineCount

 Lines

Position

 PositionFromLine

 Size


Legend

read only


TJclMappedTextReader Class Methods

TJclMappedTextReader Class	Legend

Methods

 AssignTo

 Create

 CreateIndex

 Destroy

GoBegin

 Init

 PtrFromLine

Read

ReadLn

 StringFromPosition


Legend

protected

Constructor


Legend

TJclMappedTextReader Class

Legend

read only

protected

Constructor


TJclMappedTextReader Class Members

TJclMappedTextReader Class	Legend

Members

Properties

 AsString

 Chars

 Content

 Eof

 IndexOption

 LineCount

 Lines

Position

 PositionFromLine

 Size

Methods

 AssignTo

 Create

 CreateIndex

 Destroy

GoBegin

 Init

 PtrFromLine

Read

ReadLn

 StringFromPosition


Legend

read only

protected

Constructor


TJclMappedTextReader.AsString Property

TJclMappedTextReader Class

property AsString: string;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Chars Property

TJclMappedTextReader Class

property Chars [Index: Integer]: Char;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Content Property

TJclMappedTextReader Class

property Content: PChar;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Eof Property

TJclMappedTextReader Class

property Eof: Boolean;

Class

TJclMappedTextReader Class


TJclMappedTextReader.IndexOption Property

TJclMappedTextReader Class

property IndexOption: TJclMappedTextReaderIndex;

Class

TJclMappedTextReader Class


TJclMappedTextReader.LineCount Property

TJclMappedTextReader Class

property LineCount: Integer;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Lines Property

TJclMappedTextReader Class

property Lines [LineNumber: Integer]: string;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Position Property

TJclMappedTextReader Class

property Position: Integer;

Class

TJclMappedTextReader Class


TJclMappedTextReader.PositionFromLine Property

TJclMappedTextReader Class

property PositionFromLine [LineNumber: Integer]: Integer;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Size Property

TJclMappedTextReader Class

property Size: Integer;

Class

TJclMappedTextReader Class


TJclMappedTextReader.AssignTo Method

TJclMappedTextReader Class

procedure AssignTo(Dest: TPersistent); override;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Create Constructor (TCustomMemoryStream, Boolean, TJclMappedTextReaderIndex)

TJclMappedTextReader Class

constructor Create(MemoryStream: TCustomMemoryStream; FreeStream: Boolean = True; const AIndexOption: TJclMappedTextReaderIndex = tiNoIndex); overload;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Create Constructor (string, TJclMappedTextReaderIndex)

TJclMappedTextReader Class

constructor Create(const FileName: string; const AIndexOption: TJclMappedTextReaderIndex = tiNoIndex); overload;

Class

TJclMappedTextReader Class


TJclMappedTextReader.CreateIndex Method

TJclMappedTextReader Class

procedure CreateIndex;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Destroy Destructor

TJclMappedTextReader Class

destructor Destroy; override;

Class

TJclMappedTextReader Class


TJclMappedTextReader.GoBegin Method

TJclMappedTextReader Class

procedure GoBegin;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Init Method

TJclMappedTextReader Class

procedure Init;

Class

TJclMappedTextReader Class


TJclMappedTextReader.PtrFromLine Method

TJclMappedTextReader Class

function PtrFromLine(LineNumber: Integer): PChar;

Class

TJclMappedTextReader Class


TJclMappedTextReader.Read Method

TJclMappedTextReader Class

function Read: Char;

Class

TJclMappedTextReader Class


TJclMappedTextReader.ReadLn Method

TJclMappedTextReader Class

function ReadLn: string;

Class

TJclMappedTextReader Class


TJclMappedTextReader.StringFromPosition Method

TJclMappedTextReader Class

function StringFromPosition(var StartPos: PChar): string;

Class

TJclMappedTextReader Class


TJclMIDIOut Class

Properties	Methods	Legend

TJclMIDIOut = class(TInterfacedObject, IJclMIDIOut);

Legend

read only

write only

Destructor

protected

Unit

JclMIDI


TJclMIDIOut Class Properties

TJclMIDIOut Class	Legend

Properties

 ActiveNotes

 LocalControl

 MIDIStatus

 Name

The name of the MIDI receiver.

RunningStatusEnabled

TJclMIDIOut Class

 ActiveNotes

 Name

The name of the MIDI receiver.

RunningStatusEnabled


Legend

read only

write only


TJclMIDIOut Class Methods

TJclMIDIOut Class	Legend

Methods

GetMIDIStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain

TJclMIDIOut Class

 Destroy

 DoSendMessage

 GetActiveNotes

 GetMIDIStatus

 GetName

 GetRunningStatusEnabled

 IsRunningStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

 SendChannelMessage

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

 SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

 SetRunningStatusEnabled

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain


Legend

Destructor

protected


Legend

TJclMIDIOut Class

Legend

read only

write only

Destructor

protected


TJclMIDIOut Class Members

TJclMIDIOut Class	Legend

Members

Properties

 ActiveNotes

 LocalControl

 MIDIStatus

 Name

The name of the MIDI receiver.

RunningStatusEnabled

TJclMIDIOut Class

 ActiveNotes

 Name

The name of the MIDI receiver.

RunningStatusEnabled

Methods

GetMIDIStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain

TJclMIDIOut Class

 Destroy

 DoSendMessage

 GetActiveNotes

 GetMIDIStatus

 GetName

 GetRunningStatusEnabled

 IsRunningStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

 SendChannelMessage

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

 SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

 SetRunningStatusEnabled

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain


Legend

read only

write only

Destructor

protected


TJclMIDIOut.ActiveNotes Property

TJclMIDIOut Class

property ActiveNotes [Channel: TMIDIChannel]: TMIDINotes;

Class

TJclMIDIOut Class


TJclMIDIOut.Name Property

TJclMIDIOut Class

The name of the MIDI receiver.

Pascal

property Name: string;

Description

Name is used to get the name of the MIDI receiver associated with the interface.

Donator

Robert Rossmair

Class

TJclMIDIOut Class


TJclMIDIOut.RunningStatusEnabled Property

TJclMIDIOut Class

property RunningStatusEnabled: Boolean;

Class

TJclMIDIOut Class


TJclMIDIOut.Destroy Destructor

TJclMIDIOut Class

destructor Destroy; override;

Class

TJclMIDIOut Class


TJclMIDIOut.DoSendMessage Method

TJclMIDIOut Class

procedure DoSendMessage(const Data: array of Byte); virtual; abstract;

Class

TJclMIDIOut Class


TJclMIDIOut.GetActiveNotes Method

TJclMIDIOut Class

function GetActiveNotes(Channel: TMIDIChannel): TMIDINotes;

Class

TJclMIDIOut Class


TJclMIDIOut.GetMIDIStatus Method

TJclMIDIOut Class

function GetMIDIStatus: TMIDIStatusByte;

Class

TJclMIDIOut Class


TJclMIDIOut.GetName Method

TJclMIDIOut Class

function GetName: string; virtual; abstract;

Class

TJclMIDIOut Class


TJclMIDIOut.GetRunningStatusEnabled Method

TJclMIDIOut Class

function GetRunningStatusEnabled: Boolean;

Class

TJclMIDIOut Class


TJclMIDIOut.IsRunningStatus Method

TJclMIDIOut Class

function IsRunningStatus(StatusByte: TMIDIStatusByte): Boolean;

Class

TJclMIDIOut Class


TJclMIDIOut.NoteIsOn Method

TJclMIDIOut Class

function NoteIsOn(Channel: TMIDIChannel; Key: TMIDINote): Boolean;

Class

TJclMIDIOut Class


TJclMIDIOut.ResetAllControllers Method

TJclMIDIOut Class

procedure ResetAllControllers(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SelectProgram Method

TJclMIDIOut Class

procedure SelectProgram(Channel: TMIDIChannel; BankNum: TMIDIDataWord; ProgramNum: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendBalanceChange Method

TJclMIDIOut Class

procedure SendBalanceChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendBalanceChangeHR Method

TJclMIDIOut Class

procedure SendBalanceChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendBreathControlChange Method

TJclMIDIOut Class

procedure SendBreathControlChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendBreathControlChangeHR Method

TJclMIDIOut Class

procedure SendBreathControlChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendChannelMessage Method

TJclMIDIOut Class

procedure SendChannelMessage(Msg: TMIDIStatusByte; Channel: TMIDIChannel; Data1: TMIDIDataByte; Data2: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendChannelPressure Method

TJclMIDIOut Class

procedure SendChannelPressure(Channel: TMIDIChannel; Value: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendChannelVolumeChange Method

TJclMIDIOut Class

procedure SendChannelVolumeChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendChannelVolumeChangeHR Method

TJclMIDIOut Class

procedure SendChannelVolumeChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendControlChange Method

TJclMIDIOut Class

procedure SendControlChange(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendControlChangeHR Method

TJclMIDIOut Class

procedure SendControlChangeHR(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: TMIDIDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendDataEntry Method

TJclMIDIOut Class

procedure SendDataEntry(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendDataEntryHR Method

TJclMIDIOut Class

procedure SendDataEntryHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendExpressionChange Method

TJclMIDIOut Class

procedure SendExpressionChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendExpressionChangeHR Method

TJclMIDIOut Class

procedure SendExpressionChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendFootControllerChange Method

TJclMIDIOut Class

procedure SendFootControllerChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendFootControllerChangeHR Method

TJclMIDIOut Class

procedure SendFootControllerChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendMessage Method

TJclMIDIOut Class

procedure SendMessage(const Data: array of Byte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendModulationWheelChange Method

TJclMIDIOut Class

procedure SendModulationWheelChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendModulationWheelChangeHR Method

TJclMIDIOut Class

procedure SendModulationWheelChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendNoteOff Method

TJclMIDIOut Class

procedure SendNoteOff(Channel: TMIDIChannel; Key: TMIDINote; Velocity: TMIDIDataByte = $40);

Class

TJclMIDIOut Class


TJclMIDIOut.SendNoteOn Method

TJclMIDIOut Class

procedure SendNoteOn(Channel: TMIDIChannel; Key: TMIDINote; Velocity: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPanChange Method

TJclMIDIOut Class

procedure SendPanChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPanChangeHR Method

TJclMIDIOut Class

procedure SendPanChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPitchWheelChange Method

TJclMIDIOut Class

procedure SendPitchWheelChange(Channel: TMIDIChannel; Value: TMIDIDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPitchWheelPos Method

TJclMIDIOut Class

procedure SendPitchWheelPos(Channel: TMIDIChannel; Value: Single);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPolyphonicKeyPressure Method

TJclMIDIOut Class

procedure SendPolyphonicKeyPressure(Channel: TMIDIChannel; Key: TMIDINote; Value: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPortamentoTimeChange Method

TJclMIDIOut Class

procedure SendPortamentoTimeChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendPortamentoTimeChangeHR Method

TJclMIDIOut Class

procedure SendPortamentoTimeChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Class

TJclMIDIOut Class


TJclMIDIOut.SendProgramChange Method

TJclMIDIOut Class

procedure SendProgramChange(Channel: TMIDIChannel; ProgramNum: TMIDIDataByte);

Class

TJclMIDIOut Class


TJclMIDIOut.SendSingleNoteTuningChange Method

TJclMIDIOut Class

procedure SendSingleNoteTuningChange(const TargetDeviceID: TMidiDataByte; const TuningProgramNum: TMidiDataByte; const TuningData: array of TSingleNoteTuningData);

Class

TJclMIDIOut Class


TJclMIDIOut.SendSwitchChange Method

TJclMIDIOut Class

procedure SendSwitchChange(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SetRunningStatusEnabled Method

TJclMIDIOut Class

procedure SetRunningStatusEnabled(const Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchActiveNotesOff Method ()

TJclMIDIOut Class

procedure SwitchActiveNotesOff; overload;

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchActiveNotesOff Method (TMIDIChannel)

TJclMIDIOut Class

procedure SwitchActiveNotesOff(Channel: TMIDIChannel); overload;

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchAllNotesOff Method

TJclMIDIOut Class

procedure SwitchAllNotesOff(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchAllSoundOff Method

TJclMIDIOut Class

procedure SwitchAllSoundOff(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchHold2 Method

TJclMIDIOut Class

procedure SwitchHold2(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchLegato Method

TJclMIDIOut Class

procedure SwitchLegato(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchLocalControl Method

TJclMIDIOut Class

procedure SwitchLocalControl(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchMonoModeOn Method

TJclMIDIOut Class

procedure SwitchMonoModeOn(Channel: TMIDIChannel; ChannelCount: Integer);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchOmniModeOff Method

TJclMIDIOut Class

procedure SwitchOmniModeOff(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchOmniModeOn Method

TJclMIDIOut Class

procedure SwitchOmniModeOn(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchPolyModeOn Method

TJclMIDIOut Class

procedure SwitchPolyModeOn(Channel: TMIDIChannel);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchPortamento Method

TJclMIDIOut Class

procedure SwitchPortamento(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchSoftPedal Method

TJclMIDIOut Class

procedure SwitchSoftPedal(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchSostenuto Method

TJclMIDIOut Class

procedure SwitchSostenuto(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMIDIOut.SwitchSustain Method

TJclMIDIOut Class

procedure SwitchSustain(Channel: TMIDIChannel; Value: Boolean);

Class

TJclMIDIOut Class


TJclMixer Class

Properties	Methods	Legend

TJclMixer = class(TObject);

Legend

read only

protected

Constructor

Unit

JclMultimedia


TJclMixer Class Properties

TJclMixer Class	Legend

Properties

 CallbackWnd

 DeviceCount

 Devices

 FirstDevice

 LineByID

 LineControlByID

LineMute

LineVolume

SpeakersMute

SpeakersVolume


Legend

read only


TJclMixer Class Methods

TJclMixer Class	Legend

Methods

 BuildDevices

 Create

 Destroy


Legend

protected

Constructor


Legend

TJclMixer Class

Legend

read only

protected

Constructor


TJclMixer Class Members

TJclMixer Class	Legend

Members

Properties

 CallbackWnd

 DeviceCount

 Devices

 FirstDevice

 LineByID

 LineControlByID

LineMute

LineVolume

SpeakersMute

SpeakersVolume

Methods

 BuildDevices

 Create

 Destroy


Legend

read only

protected

Constructor


TJclMixer.CallbackWnd Property

TJclMixer Class

property CallbackWnd: THandle;

Class

TJclMixer Class


TJclMixer.DeviceCount Property

TJclMixer Class

property DeviceCount: Integer;

Class

TJclMixer Class


TJclMixer.Devices Property

TJclMixer Class

property Devices [Index: Integer]: TJclMixerDevice;

Class

TJclMixer Class


TJclMixer.FirstDevice Property

TJclMixer Class

property FirstDevice: TJclMixerDevice;

Class

TJclMixer Class


TJclMixer.LineByID Property

TJclMixer Class

property LineByID [MixerHandle: HMIXER; LineID: DWORD]: TJclMixerLine;

Class

TJclMixer Class


TJclMixer.LineControlByID Property

TJclMixer Class

property LineControlByID [MixerHandle: HMIXER; LineID: DWORD]: TJclMixerLineControl;

Class

TJclMixer Class


TJclMixer.LineMute Property

TJclMixer Class

property LineMute [ComponentType: Integer]: Boolean;

Class

TJclMixer Class


TJclMixer.LineVolume Property

TJclMixer Class

property LineVolume [ComponentType: Integer]: Cardinal;

Class

TJclMixer Class


TJclMixer.SpeakersMute Property

TJclMixer Class

property SpeakersMute: Boolean;

Class

TJclMixer Class


TJclMixer.SpeakersVolume Property

TJclMixer Class

property SpeakersVolume: Cardinal;

Class

TJclMixer Class


TJclMixer.BuildDevices Method

TJclMixer Class

procedure BuildDevices;

Class

TJclMixer Class


TJclMixer.Create Constructor

TJclMixer Class

constructor Create(ACallBackWnd: THandle = 0);

Class

TJclMixer Class


TJclMixer.Destroy Destructor

TJclMixer Class

destructor Destroy; override;

Class

TJclMixer Class


TJclMixerDestination Class

Properties	Methods	Legend

TJclMixerDestination = class(TJclMixerLine);

Legend

read only

protected

Constructor

Unit

JclMultimedia


TJclMixerDestination Class Properties

TJclMixerDestination Class	Legend

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name

TJclMixerDestination Class

 SourceCount

 Sources


Legend

read only


TJclMixerDestination Class Methods

TJclMixerDestination Class	Legend

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy

TJclMixerDestination Class

 BuildSources

 Create

 Destroy


Legend

protected

Constructor


Legend

TJclMixerDestination Class

Legend

read only

protected

Constructor


TJclMixerDestination Class Members

TJclMixerDestination Class	Legend

Members

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name

TJclMixerDestination Class

 SourceCount

 Sources

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy

TJclMixerDestination Class

 BuildSources

 Create

 Destroy


Legend

read only

protected

Constructor


TJclMixerDestination.SourceCount Property

TJclMixerDestination Class

property SourceCount: Integer;

Class

TJclMixerDestination Class


TJclMixerDestination.Sources Property

TJclMixerDestination Class

property Sources [Index: Integer]: TJclMixerSource;

Class

TJclMixerDestination Class


TJclMixerDestination.BuildSources Method

TJclMixerDestination Class

procedure BuildSources;

Class

TJclMixerDestination Class


TJclMixerDestination.Create Constructor

TJclMixerDestination Class

constructor Create(AMixerDevice: TJclMixerDevice; ADestinationIndex: Cardinal);

Class

TJclMixerDestination Class


TJclMixerDestination.Destroy Destructor

TJclMixerDestination Class

destructor Destroy; override;

Class

TJclMixerDestination Class


TJclMixerDevice Class

Properties	Methods	Legend

TJclMixerDevice = class(TObject);

Legend

read only

protected

Constructor

Unit

JclMultimedia


TJclMixerDevice Class Properties

TJclMixerDevice Class	Legend

Properties

 Capabilities

 DestinationCount

 Destinations

 DeviceIndex

 Handle

 LineByComponentType

 LineByID

 LineControlByID

 LineCount

 Lines

LineUniformValue

 ProductName


Legend

read only


TJclMixerDevice Class Methods

TJclMixerDevice Class	Legend

Methods

 BuildDestinations

 BuildLines

 Close

 Create

 Destroy

FindLineControl

 Open


Legend

protected

Constructor


Legend

TJclMixerDevice Class

Legend

read only

protected

Constructor


TJclMixerDevice Class Members

TJclMixerDevice Class	Legend

Members

Properties

 Capabilities

 DestinationCount

 Destinations

 DeviceIndex

 Handle

 LineByComponentType

 LineByID

 LineControlByID

 LineCount

 Lines

LineUniformValue

 ProductName

Methods

 BuildDestinations

 BuildLines

 Close

 Create

 Destroy

FindLineControl

 Open


Legend

read only

protected

Constructor


TJclMixerDevice.Capabilities Property

TJclMixerDevice Class

property Capabilities: TMixerCaps;

Class

TJclMixerDevice Class


TJclMixerDevice.DestinationCount Property

TJclMixerDevice Class

property DestinationCount: Integer;

Class

TJclMixerDevice Class


TJclMixerDevice.Destinations Property

TJclMixerDevice Class

property Destinations [Index: Integer]: TJclMixerDestination;

Class

TJclMixerDevice Class


TJclMixerDevice.DeviceIndex Property

TJclMixerDevice Class

property DeviceIndex: Cardinal;

Class

TJclMixerDevice Class


TJclMixerDevice.Handle Property

TJclMixerDevice Class

property Handle: HMIXER;

Class

TJclMixerDevice Class


TJclMixerDevice.LineByComponentType Property

TJclMixerDevice Class

property LineByComponentType [ComponentType: DWORD]: TJclMixerLine;

Class

TJclMixerDevice Class


TJclMixerDevice.LineByID Property

TJclMixerDevice Class

property LineByID [LineID: DWORD]: TJclMixerLine;

Class

TJclMixerDevice Class


TJclMixerDevice.LineControlByID Property

TJclMixerDevice Class

property LineControlByID [ControlID: DWORD]: TJclMixerLineControl;

Class

TJclMixerDevice Class


TJclMixerDevice.LineCount Property

TJclMixerDevice Class

property LineCount: Integer;

Class

TJclMixerDevice Class


TJclMixerDevice.Lines Property

TJclMixerDevice Class

property Lines [Index: Integer]: TJclMixerLine;

Class

TJclMixerDevice Class


TJclMixerDevice.LineUniformValue Property

TJclMixerDevice Class

property LineUniformValue [ComponentType, ControlType: DWORD]: Cardinal;

Class

TJclMixerDevice Class


TJclMixerDevice.ProductName Property

TJclMixerDevice Class

property ProductName: string;

Class

TJclMixerDevice Class


TJclMixerDevice.BuildDestinations Method

TJclMixerDevice Class

procedure BuildDestinations;

Class

TJclMixerDevice Class


TJclMixerDevice.BuildLines Method

TJclMixerDevice Class

procedure BuildLines;

Class

TJclMixerDevice Class


TJclMixerDevice.Close Method

TJclMixerDevice Class

procedure Close;

Class

TJclMixerDevice Class


TJclMixerDevice.Create Constructor

TJclMixerDevice Class

constructor Create(ADeviceIndex: Cardinal; ACallBackWnd: THandle);

Class

TJclMixerDevice Class


TJclMixerDevice.Destroy Destructor

TJclMixerDevice Class

destructor Destroy; override;

Class

TJclMixerDevice Class


TJclMixerDevice.FindLineControl Method

TJclMixerDevice Class

function FindLineControl(ComponentType: DWORD; ControlType: DWORD): TJclMixerLineControl;

Class

TJclMixerDevice Class


TJclMixerDevice.Open Method

TJclMixerDevice Class

procedure Open(ACallBackWnd: THandle);

Class

TJclMixerDevice Class


TJclMixerLine Class

Properties	Methods	Legend

TJclMixerLine = class(TObject);

Legend

read only

protected

Constructor

Unit

JclMultimedia


TJclMixerLine Class Properties

TJclMixerLine Class	Legend

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name


Legend

read only


TJclMixerLine Class Methods

TJclMixerLine Class	Legend

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy


Legend

protected

Constructor


Legend

TJclMixerLine Class

Legend

read only

protected

Constructor


TJclMixerLine Class Members

TJclMixerLine Class	Legend

Members

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy


Legend

read only

protected

Constructor


TJclMixerLine.ComponentString Property

TJclMixerLine Class

property ComponentString: string;

Class

TJclMixerLine Class


TJclMixerLine.HasControlType Property

TJclMixerLine Class

property HasControlType [ControlType: DWORD]: Boolean;

Class

TJclMixerLine Class


TJclMixerLine.ID Property

TJclMixerLine Class

property ID: DWORD;

Class

TJclMixerLine Class


TJclMixerLine.LineControlByType Property

TJclMixerLine Class

property LineControlByType [ControlType: DWORD]: TJclMixerLineControl;

Class

TJclMixerLine Class


TJclMixerLine.LineControlCount Property

TJclMixerLine Class

property LineControlCount: Integer;

Class

TJclMixerLine Class


TJclMixerLine.LineControls Property

TJclMixerLine Class

property LineControls [Index: Integer]: TJclMixerLineControl;

Class

TJclMixerLine Class


TJclMixerLine.LineInfo Property

TJclMixerLine Class

property LineInfo: TMixerLine;

Class

TJclMixerLine Class


TJclMixerLine.MixerDevice Property

TJclMixerLine Class

property MixerDevice: TJclMixerDevice;

Class

TJclMixerLine Class


TJclMixerLine.Name Property

TJclMixerLine Class

property Name: string;

Class

TJclMixerLine Class


TJclMixerLine.BuildLineControls Method

TJclMixerLine Class

procedure BuildLineControls;

Class

TJclMixerLine Class


TJclMixerLine.ComponentTypeToString Method

TJclMixerLine Class

class function ComponentTypeToString(const ComponentType: DWORD): string;

Class

TJclMixerLine Class


TJclMixerLine.Create Constructor

TJclMixerLine Class

constructor Create(AMixerDevice: TJclMixerDevice);

Class

TJclMixerLine Class


TJclMixerLine.Destroy Destructor

TJclMixerLine Class

destructor Destroy; override;

Class

TJclMixerLine Class


TJclMixerLineControl Class

Properties	Methods	Legend

TJclMixerLineControl = class(TObject);

Legend

read only

Constructor

protected

Unit

JclMultimedia


TJclMixerLineControl Class Properties

TJclMixerLineControl Class	Legend

Properties

 ControlInfo

 ID

 IsDisabled

 IsList

 IsMultiple

 IsUniform

 ListText

 MixerLine

 Name

UniformValue

Value

 ValueString


Legend

read only


TJclMixerLineControl Class Methods

TJclMixerLineControl Class	Legend

Methods

 Create

 Destroy

FormatValue

 PrepareControlDetailsStruc


Legend

Constructor

protected


Legend

TJclMixerLineControl Class

Legend

read only

Constructor

protected


TJclMixerLineControl Class Members

TJclMixerLineControl Class	Legend

Members

Properties

 ControlInfo

 ID

 IsDisabled

 IsList

 IsMultiple

 IsUniform

 ListText

 MixerLine

 Name

UniformValue

Value

 ValueString

Methods

 Create

 Destroy

FormatValue

 PrepareControlDetailsStruc


Legend

read only

Constructor

protected


TJclMixerLineControl.ControlInfo Property

TJclMixerLineControl Class

property ControlInfo: TMixerControl;

Class

TJclMixerLineControl Class


TJclMixerLineControl.ID Property

TJclMixerLineControl Class

property ID: DWORD;

Class

TJclMixerLineControl Class


TJclMixerLineControl.IsDisabled Property

TJclMixerLineControl Class

property IsDisabled: Boolean;

Class

TJclMixerLineControl Class


TJclMixerLineControl.IsList Property

TJclMixerLineControl Class

property IsList: Boolean;

Class

TJclMixerLineControl Class


TJclMixerLineControl.IsMultiple Property

TJclMixerLineControl Class

property IsMultiple: Boolean;

Class

TJclMixerLineControl Class


TJclMixerLineControl.IsUniform Property

TJclMixerLineControl Class

property IsUniform: Boolean;

Class

TJclMixerLineControl Class


TJclMixerLineControl.ListText Property

TJclMixerLineControl Class

property ListText: TStrings;

Class

TJclMixerLineControl Class


TJclMixerLineControl.MixerLine Property

TJclMixerLineControl Class

property MixerLine: TJclMixerLine;

Class

TJclMixerLineControl Class


TJclMixerLineControl.Name Property

TJclMixerLineControl Class

property Name: string;

Class

TJclMixerLineControl Class


TJclMixerLineControl.UniformValue Property

TJclMixerLineControl Class

property UniformValue: Cardinal;

Class

TJclMixerLineControl Class


TJclMixerLineControl.Value Property

TJclMixerLineControl Class

property Value: TDynCardinalArray;

Class

TJclMixerLineControl Class


TJclMixerLineControl.ValueString Property

TJclMixerLineControl Class

property ValueString: string;

Class

TJclMixerLineControl Class


TJclMixerLineControl.Create Constructor

TJclMixerLineControl Class

constructor Create(AMixerLine: TJclMixerLine; const AControlInfo: TMixerControl);

Class

TJclMixerLineControl Class


TJclMixerLineControl.Destroy Destructor

TJclMixerLineControl Class

destructor Destroy; override;

Class

TJclMixerLineControl Class


TJclMixerLineControl.FormatValue Method

TJclMixerLineControl Class

function FormatValue(AValue: Cardinal): string;

Class

TJclMixerLineControl Class


TJclMixerLineControl.PrepareControlDetailsStruc Method

TJclMixerLineControl Class

procedure PrepareControlDetailsStruc(var ControlDetails: TMixerControlDetails; AUniform: Boolean; AMultiple: Boolean);

Class

TJclMixerLineControl Class


TJclMixerSource Class

Properties	Methods	Legend

TJclMixerSource = class(TJclMixerLine);

Legend

read only

protected

Constructor

Unit

JclMultimedia


TJclMixerSource Class Properties

TJclMixerSource Class	Legend

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name

TJclMixerSource Class

 MixerDestination


Legend

read only


TJclMixerSource Class Methods

TJclMixerSource Class	Legend

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy

TJclMixerSource Class

 Create


Legend

protected

Constructor


Legend

TJclMixerSource Class

Legend

read only

protected

Constructor


TJclMixerSource Class Members

TJclMixerSource Class	Legend

Members

Properties

 ComponentString

 HasControlType

 ID

 LineControlByType

 LineControlCount

 LineControls

 LineInfo

 MixerDevice

 Name

TJclMixerSource Class

 MixerDestination

Methods

 BuildLineControls

ComponentTypeToString

 Create

 Destroy

TJclMixerSource Class

 Create


Legend

read only

protected

Constructor


TJclMixerSource.MixerDestination Property

TJclMixerSource Class

property MixerDestination: TJclMixerDestination;

Class

TJclMixerSource Class


TJclMixerSource.Create Constructor

TJclMixerSource Class

constructor Create(AMixerDestination: TJclMixerDestination; ASourceIndex: Cardinal);

Class

TJclMixerSource Class


TJclModuleInfo Class

Properties	Methods	Legend

TJclModuleInfo = class(TObject);

Legend

read only

Constructor

protected

Unit

JclTD32


TJclModuleInfo Class Properties

TJclModuleInfo Class	Legend

Properties

 NameIndex

 Segment

 SegmentCount


Legend

read only


TJclModuleInfo Class Methods

TJclModuleInfo Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclModuleInfo Class

Legend

read only

Constructor

protected


TJclModuleInfo Class Members

TJclModuleInfo Class	Legend

Members

Properties

 NameIndex

 Segment

 SegmentCount

Methods

 Create


Legend

read only

Constructor

protected


TJclModuleInfo.NameIndex Property

TJclModuleInfo Class

property NameIndex: DWORD;

Class

TJclModuleInfo Class


TJclModuleInfo.Segment Property

TJclModuleInfo Class

property Segment [const Idx: Integer]: TSegmentInfo;

Class

TJclModuleInfo Class


TJclModuleInfo.SegmentCount Property

TJclModuleInfo Class

property SegmentCount: Integer;

Class

TJclModuleInfo Class


TJclModuleInfo.Create Constructor

TJclModuleInfo Class

constructor Create(pModInfo: PModuleInfo);

Class

TJclModuleInfo Class


TJclModuleInfoList Class

Properties	Methods	Legend

TJclModuleInfoList = class(TObjectList);

Legend

read only

protected

Constructor

Unit

JclDebug


TJclModuleInfoList Class Properties

TJclModuleInfoList Class	Legend

Properties

 DynamicBuild

 Items

 ModuleFromAddress


Legend

read only


TJclModuleInfoList Class Methods

TJclModuleInfoList Class	Legend

Methods

AddModule

 BuildModulesList

 Create

 CreateItemForAddress

IsSystemModuleAddress

IsValidModuleAddress


Legend

protected

Constructor


Legend

TJclModuleInfoList Class

Legend

read only

protected

Constructor


TJclModuleInfoList Class Members

TJclModuleInfoList Class	Legend

Members

Properties

 DynamicBuild

 Items

 ModuleFromAddress

Methods

AddModule

 BuildModulesList

 Create

 CreateItemForAddress

IsSystemModuleAddress

IsValidModuleAddress


Legend

read only

protected

Constructor


TJclModuleInfoList.DynamicBuild Property

TJclModuleInfoList Class

property DynamicBuild: Boolean;

Class

TJclModuleInfoList Class


TJclModuleInfoList.Items Property

TJclModuleInfoList Class

property Items [Index: Integer]: TJclModuleInfo;

Class

TJclModuleInfoList Class


TJclModuleInfoList.ModuleFromAddress Property

TJclModuleInfoList Class

property ModuleFromAddress [Addr: Pointer]: TJclModuleInfo;

Class

TJclModuleInfoList Class


TJclModuleInfoList.AddModule Method

TJclModuleInfoList Class

function AddModule(Module: HMODULE; SystemModule: Boolean): Boolean;

Class

TJclModuleInfoList Class


TJclModuleInfoList.BuildModulesList Method

TJclModuleInfoList Class

procedure BuildModulesList;

Class

TJclModuleInfoList Class


TJclModuleInfoList.Create Constructor

TJclModuleInfoList Class

constructor Create(ADynamicBuild: Boolean; ASystemModulesOnly: Boolean);

Class

TJclModuleInfoList Class


TJclModuleInfoList.CreateItemForAddress Method

TJclModuleInfoList Class

function CreateItemForAddress(Addr: Pointer; SystemModule: Boolean): TJclModuleInfo;

Class

TJclModuleInfoList Class


TJclModuleInfoList.IsSystemModuleAddress Method

TJclModuleInfoList Class

function IsSystemModuleAddress(Addr: Pointer): Boolean;

Class

TJclModuleInfoList Class


TJclModuleInfoList.IsValidModuleAddress Method

TJclModuleInfoList Class

function IsValidModuleAddress(Addr: Pointer): Boolean;

Class

TJclModuleInfoList Class


TJclObjNameSymbolInfo Class

Properties	Methods	Legend

TJclObjNameSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclObjNameSymbolInfo Class Properties

TJclObjNameSymbolInfo Class	Legend

Properties

 SymbolType

TJclObjNameSymbolInfo Class

 NameIndex

 Signature


Legend

protected

read only


TJclObjNameSymbolInfo Class Methods

TJclObjNameSymbolInfo Class	Legend

Methods

 Create

TJclObjNameSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclObjNameSymbolInfo Class

Legend

protected

read only

Constructor


TJclObjNameSymbolInfo Class Members

TJclObjNameSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclObjNameSymbolInfo Class

 NameIndex

 Signature

Methods

 Create

TJclObjNameSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclObjNameSymbolInfo.NameIndex Property

TJclObjNameSymbolInfo Class

property NameIndex: DWORD;

Class

TJclObjNameSymbolInfo Class


TJclObjNameSymbolInfo.Signature Property

TJclObjNameSymbolInfo Class

property Signature: DWORD;

Class

TJclObjNameSymbolInfo Class


TJclObjNameSymbolInfo.Create Constructor

TJclObjNameSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclObjNameSymbolInfo Class


TJclPeBorForm Class

Properties	Methods	Legend

TJclPeBorForm = class(TObject);

Legend

read only

Unit

JclPeImage


TJclPeBorForm Class Properties

TJclPeBorForm Class	Legend

Properties

 DisplayName

 FormClassName

 FormFlags

 FormObjectName

 FormPosition

 ResItem


Legend

read only


TJclPeBorForm Class Methods

TJclPeBorForm Class

Methods

ConvertFormToText


Legend

TJclPeBorForm Class

Legend

read only


TJclPeBorForm Class Members

TJclPeBorForm Class	Legend

Members

Properties

 DisplayName

 FormClassName

 FormFlags

 FormObjectName

 FormPosition

 ResItem

Methods

ConvertFormToText


Legend

read only


TJclPeBorForm.DisplayName Property

TJclPeBorForm Class

property DisplayName: string;

Class

TJclPeBorForm Class


TJclPeBorForm.FormClassName Property

TJclPeBorForm Class

property FormClassName: string;

Class

TJclPeBorForm Class


TJclPeBorForm.FormFlags Property

TJclPeBorForm Class

property FormFlags: TFilerFlags;

Class

TJclPeBorForm Class


TJclPeBorForm.FormObjectName Property

TJclPeBorForm Class

property FormObjectName: string;

Class

TJclPeBorForm Class


TJclPeBorForm.FormPosition Property

TJclPeBorForm Class

property FormPosition: Integer;

Class

TJclPeBorForm Class


TJclPeBorForm.ResItem Property

TJclPeBorForm Class

property ResItem: TJclPeResourceItem;

Class

TJclPeBorForm Class


TJclPeBorForm.ConvertFormToText Method (TStream)

TJclPeBorForm Class

procedure ConvertFormToText(const Stream: TStream); overload;

Class

TJclPeBorForm Class


TJclPeBorForm.ConvertFormToText Method (TStrings)

TJclPeBorForm Class

procedure ConvertFormToText(const Strings: TStrings); overload;

Class

TJclPeBorForm Class


TJclPeBorImagesCache Class

Properties	Methods	Legend

TJclPeBorImagesCache = class(TJclPeImagesCache);

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeBorImagesCache Class Properties

TJclPeBorImagesCache Class	Legend

Properties

 Count

Returns the number of TJclPeImage instances currently in the cache.

 Images

Returns a TJclPeImage instance for the specified image file.

TJclPeBorImagesCache Class

 Images

Returns a TJclPeImage instance for the specified image file.


Legend

read only


TJclPeBorImagesCache Class Methods

TJclPeBorImagesCache Class	Legend

Methods

Clear

Clears the list of image objects

 Create

 Destroy

 GetPeImageClass

TJclPeBorImagesCache Class

 GetPeImageClass


Legend

Constructor

protected


Legend

TJclPeBorImagesCache Class

Legend

read only

Constructor

protected


TJclPeBorImagesCache Class Members

TJclPeBorImagesCache Class	Legend

Members

Properties

 Count

Returns the number of TJclPeImage instances currently in the cache.

 Images

Returns a TJclPeImage instance for the specified image file.

TJclPeBorImagesCache Class

 Images

Returns a TJclPeImage instance for the specified image file.

Methods

Clear

Clears the list of image objects

 Create

 Destroy

 GetPeImageClass

TJclPeBorImagesCache Class

 GetPeImageClass


Legend

read only

Constructor

protected


TJclPeBorImagesCache.Images Property

TJclPeBorImagesCache Class

Returns a TJclPeImage instance for the specified image file.

Pascal

property Images [const FileName: TFileName]: TJclPeBorImage;

Description

The Images property returns an TJclPeImage object for the image file specified by the FileName index. If there is already an object for that image in the cache the property returns a reference to it. If there isn't an object in the cache yet the property creates the object first and then returns a reference to this newly created object. The FileName index should be the fully qualified name of the image file for which you need a TJclPeImage instance. If the filename is not fully qualified and can't be found in the usually directories (path, system etc) an exception is raised. Note that any references to TJclPeImage instances retrieved through the cache become invalid when the TJclPeImagesCache object is destroyed or when it's Clear method is called.

Donator

Petr Vones

Class

TJclPeBorImagesCache Class


TJclPeBorImagesCache.GetPeImageClass Method

TJclPeBorImagesCache Class

function GetPeImageClass: TJclPeImageClass; override;

Class

TJclPeBorImagesCache Class


TJclPeBorTD32Image Class

Properties	Methods	Legend

TJclPeBorTD32Image = class(TJclPeBorImage);

Legend

read only

protected

Constructor

Unit

JclTD32


TJclPeBorTD32Image Class Properties

TJclPeBorTD32Image Class	Legend

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable

TJclPeBorImage Class

 FormCount

 FormFromName

 Forms

 IsBorlandImage

Returns whether or not the image is an image produced by a Borland linker.

 IsPackage

Returns whether the image is Borland package file.

 LibHandle

Returns a handle to the loaded library (image).

 PackageCompilerVersion

 PackageInfo

Returns an object which provides additional information about a package.

TJclPeBorTD32Image Class

 IsTD32DebugPresent

 TD32DebugData

 TD32Scanner


Legend

read only

protected


TJclPeBorTD32Image Class Methods

TJclPeBorTD32Image Class	Legend

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.

TJclPeBorImage Class

 AfterOpen

 Clear

 Create

Creates an instance of the TJclPeImage class.

 CreateFormsList

DependedPackages

 Destroy

FreeLibHandle

Closes the library handle as returned by the LibHandle property.

TJclPeBorTD32Image Class

 AfterOpen

 CheckDebugData

 Clear

 ClearDebugData

 IsDebugInfoInImage

 IsDebugInfoInTds


Legend

protected

Constructor


Legend

TJclPeBorTD32Image Class

Legend

read only

protected

Constructor


TJclPeBorTD32Image Class Members

TJclPeBorTD32Image Class	Legend

Members

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable

TJclPeBorImage Class

 FormCount

 FormFromName

 Forms

 IsBorlandImage

Returns whether or not the image is an image produced by a Borland linker.

 IsPackage

Returns whether the image is Borland package file.

 LibHandle

Returns a handle to the loaded library (image).

 PackageCompilerVersion

 PackageInfo

Returns an object which provides additional information about a package.

TJclPeBorTD32Image Class

 IsTD32DebugPresent

 TD32DebugData

 TD32Scanner

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.

TJclPeBorImage Class

 AfterOpen

 Clear

 Create

Creates an instance of the TJclPeImage class.

 CreateFormsList

DependedPackages

 Destroy

FreeLibHandle

Closes the library handle as returned by the LibHandle property.

TJclPeBorTD32Image Class

 AfterOpen

 CheckDebugData

 Clear

 ClearDebugData

 IsDebugInfoInImage

 IsDebugInfoInTds


Legend

read only

protected

Constructor


TJclPeBorTD32Image.IsTD32DebugPresent Property

TJclPeBorTD32Image Class

property IsTD32DebugPresent: Boolean;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.TD32DebugData Property

TJclPeBorTD32Image Class

property TD32DebugData: TCustomMemoryStream;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.TD32Scanner Property

TJclPeBorTD32Image Class

property TD32Scanner: TJclTD32InfoScanner;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.AfterOpen Method

TJclPeBorTD32Image Class

procedure AfterOpen; override;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.CheckDebugData Method

TJclPeBorTD32Image Class

procedure CheckDebugData;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.Clear Method

TJclPeBorTD32Image Class

procedure Clear; override;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.ClearDebugData Method

TJclPeBorTD32Image Class

procedure ClearDebugData;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.IsDebugInfoInImage Method

TJclPeBorTD32Image Class

function IsDebugInfoInImage(var DataStream: TCustomMemoryStream): Boolean;

Class

TJclPeBorTD32Image Class


TJclPeBorTD32Image.IsDebugInfoInTds Method

TJclPeBorTD32Image Class

function IsDebugInfoInTds(var DataStream: TCustomMemoryStream): Boolean;

Class

TJclPeBorTD32Image Class


TJclPeCertificate Class

Properties	Legend

TJclPeCertificate = class(TObject);

Legend

read only

Unit

JclPeImage


TJclPeCertificate Class Properties

TJclPeCertificate Class	Legend

Properties

 Data

 Header


Legend

read only


Legend

TJclPeCertificate Class

Legend

read only


TJclPeCertificate Class Members

TJclPeCertificate Class	Legend

Members

Properties

 Data

 Header


Legend

read only


TJclPeCertificate.Data Property

TJclPeCertificate Class

property Data: Pointer;

Class

TJclPeCertificate Class


TJclPeCertificate.Header Property

TJclPeCertificate Class

property Header: TWinCertificate;

Class

TJclPeCertificate Class


TJclPeCertificateList Class

Properties	Methods	Legend

TJclPeCertificateList = class(TJclPeImageBaseList);

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeCertificateList Class Properties

TJclPeCertificateList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeCertificateList Class

 Items


Legend

read only


TJclPeCertificateList Class Methods

TJclPeCertificateList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeCertificateList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

Constructor

protected


Legend

TJclPeCertificateList Class

Legend

read only

Constructor

protected


TJclPeCertificateList Class Members

TJclPeCertificateList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeCertificateList Class

 Items

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeCertificateList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

read only

Constructor

protected


TJclPeCertificateList.Items Property

TJclPeCertificateList Class

property Items [Index: Integer]: TJclPeCertificate;

Class

TJclPeCertificateList Class


TJclPeCertificateList.Create Constructor

See Also	TJclPeCertificateList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeCertificateList Class


See Also

TJclPeImage


TJclPeCertificateList.CreateList Method

TJclPeCertificateList Class

procedure CreateList;

Class

TJclPeCertificateList Class


TJclPeCLRHeader Class

Properties	Methods	Legend

TJclPeCLRHeader = class(TObject);

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeCLRHeader Class Properties

TJclPeCLRHeader Class	Legend

Properties

 HasMetadata

 Header

 Image

 VersionString


Legend

read only


TJclPeCLRHeader Class Methods

TJclPeCLRHeader Class	Legend

Methods

 Create

 ReadHeader


Legend

Constructor

protected


Legend

TJclPeCLRHeader Class

Legend

read only

Constructor

protected


TJclPeCLRHeader Class Members

TJclPeCLRHeader Class	Legend

Members

Properties

 HasMetadata

 Header

 Image

 VersionString

Methods

 Create

 ReadHeader


Legend

read only

Constructor

protected


TJclPeCLRHeader.HasMetadata Property

TJclPeCLRHeader Class

property HasMetadata: Boolean;

Class

TJclPeCLRHeader Class


TJclPeCLRHeader.Header Property

TJclPeCLRHeader Class

property Header: TImageCor20Header;

Class

TJclPeCLRHeader Class


TJclPeCLRHeader.Image Property

TJclPeCLRHeader Class

property Image: TJclPeImage;

Class

TJclPeCLRHeader Class


TJclPeCLRHeader.VersionString Property

TJclPeCLRHeader Class

property VersionString: string;

Class

TJclPeCLRHeader Class


TJclPeCLRHeader.Create Constructor

TJclPeCLRHeader Class

constructor Create(AImage: TJclPeImage);

Class

TJclPeCLRHeader Class


TJclPeCLRHeader.ReadHeader Method

TJclPeCLRHeader Class

procedure ReadHeader;

Class

TJclPeCLRHeader Class


TJclPeMetadata Class

Properties	Methods	Legend

TJclPeMetadata = class(TObject);

Legend

read only

Constructor

protected

Unit

JclCLR


TJclPeMetadata Class Properties

TJclPeMetadata Class	Legend

Properties

 BlobCount

 Blobs

 Flags

 GuidCount

 Guids

 Header

 Image

 StreamCount

 Streams

 StringCount

 Strings

 TableCount

 Tables

 Tokens

 UserStringCount

 UserStrings

 Version

 VersionString


Legend

read only


TJclPeMetadata Class Methods

TJclPeMetadata Class	Legend

Methods

BlobAt

 Create

 Destroy

DumpIL

FindStream

MakeToken

StringAt

TokenCode

TokenExists

TokenIndex

TokenTable

UserStringAt


Legend

Constructor

protected


Legend

TJclPeMetadata Class

Legend

read only

Constructor

protected


TJclPeMetadata Class Members

TJclPeMetadata Class	Legend

Members

Properties

 BlobCount

 Blobs

 Flags

 GuidCount

 Guids

 Header

 Image

 StreamCount

 Streams

 StringCount

 Strings

 TableCount

 Tables

 Tokens

 UserStringCount

 UserStrings

 Version

 VersionString

Methods

BlobAt

 Create

 Destroy

DumpIL

FindStream

MakeToken

StringAt

TokenCode

TokenExists

TokenIndex

TokenTable

UserStringAt


Legend

read only

Constructor

protected


TJclPeMetadata.BlobCount Property

TJclPeMetadata Class

property BlobCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.Blobs Property

TJclPeMetadata Class

property Blobs [const Idx: Integer]: TJclClrBlobRecord;

Class

TJclPeMetadata Class


TJclPeMetadata.Flags Property

TJclPeMetadata Class

property Flags: Word;

Class

TJclPeMetadata Class


TJclPeMetadata.GuidCount Property

TJclPeMetadata Class

property GuidCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.Guids Property

TJclPeMetadata Class

property Guids [const Idx: Integer]: TGUID;

Class

TJclPeMetadata Class


TJclPeMetadata.Header Property

TJclPeMetadata Class

property Header: PClrMetadataHeader;

Class

TJclPeMetadata Class


TJclPeMetadata.Image Property

TJclPeMetadata Class

property Image: TJclPeImage;

Class

TJclPeMetadata Class


TJclPeMetadata.StreamCount Property

TJclPeMetadata Class

property StreamCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.Streams Property

TJclPeMetadata Class

property Streams [const Idx: Integer]: TJclClrStream;

Class

TJclPeMetadata Class


TJclPeMetadata.StringCount Property

TJclPeMetadata Class

property StringCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.Strings Property

TJclPeMetadata Class

property Strings [const Idx: Integer]: WideString;

Class

TJclPeMetadata Class


TJclPeMetadata.TableCount Property

TJclPeMetadata Class

property TableCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.Tables Property

TJclPeMetadata Class

property Tables [const AKind: TJclClrTableKind]: TJclClrTable;

Class

TJclPeMetadata Class


TJclPeMetadata.Tokens Property

TJclPeMetadata Class

property Tokens [const AToken: TJclClrToken]: TJclClrTableRow;

Class

TJclPeMetadata Class


TJclPeMetadata.UserStringCount Property

TJclPeMetadata Class

property UserStringCount: Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.UserStrings Property

TJclPeMetadata Class

property UserStrings [const Idx: Integer]: WideString;

Class

TJclPeMetadata Class


TJclPeMetadata.Version Property

TJclPeMetadata Class

property Version: string;

Class

TJclPeMetadata Class


TJclPeMetadata.VersionString Property

TJclPeMetadata Class

property VersionString: WideString;

Class

TJclPeMetadata Class


TJclPeMetadata.BlobAt Method

TJclPeMetadata Class

function BlobAt(const Offset: DWORD): TJclClrBlobRecord;

Class

TJclPeMetadata Class


TJclPeMetadata.Create Constructor

TJclPeMetadata Class

constructor Create(const AImage: TJclPeImage);

Class

TJclPeMetadata Class


TJclPeMetadata.Destroy Destructor

TJclPeMetadata Class

destructor Destroy; override;

Class

TJclPeMetadata Class


TJclPeMetadata.DumpIL Method

TJclPeMetadata Class

function DumpIL: string;

Class

TJclPeMetadata Class


TJclPeMetadata.FindStream Method (TJclClrStreamClass, TJclClrStream)

TJclPeMetadata Class

function FindStream(const AClass: TJclClrStreamClass; var Stream: TJclClrStream): Boolean; overload;

Class

TJclPeMetadata Class


TJclPeMetadata.FindStream Method (string, TJclClrStream)

TJclPeMetadata Class

function FindStream(const AName: string; var Stream: TJclClrStream): Boolean; overload;

Class

TJclPeMetadata Class


TJclPeMetadata.MakeToken Method

TJclPeMetadata Class

class function MakeToken(const Table: TJclClrTableKind; const Idx: Integer): TJclClrToken;

Class

TJclPeMetadata Class


TJclPeMetadata.StringAt Method

TJclPeMetadata Class

function StringAt(const Offset: DWORD): WideString;

Class

TJclPeMetadata Class


TJclPeMetadata.TokenCode Method

TJclPeMetadata Class

class function TokenCode(const Token: TJclClrToken): Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.TokenExists Method

TJclPeMetadata Class

function TokenExists(const Token: TJclClrToken): Boolean;

Class

TJclPeMetadata Class


TJclPeMetadata.TokenIndex Method

TJclPeMetadata Class

class function TokenIndex(const Token: TJclClrToken): Integer;

Class

TJclPeMetadata Class


TJclPeMetadata.TokenTable Method

TJclPeMetadata Class

class function TokenTable(const Token: TJclClrToken): TJclClrTableKind;

Class

TJclPeMetadata Class


TJclPeMetadata.UserStringAt Method

TJclPeMetadata Class

function UserStringAt(const Offset: DWORD): WideString;

Class

TJclPeMetadata Class


TJclPrintSet Class

Properties	Methods	Legend

TJclPrintSet = class(TObject);

Legend

read only

Constructor

protected

Unit

JclPrint


TJclPrintSet Class Properties

TJclPrintSet Class	Legend

Properties

BinIndex

Color

Copies

DefaultSource

DpiX

DpiY

Duplex

Orientation

PaperIndex

PaperLength

PaperSize

PaperWidth

 PrinterDriver

 PrinterName

PrinterPort

PrintQuality

Scale

TrueTypeOption

YResolution


Legend

read only


TJclPrintSet Class Methods

TJclPrintSet Class	Legend

Methods

CpiToDot

 Create

CustomPageSetup

 Destroy

 GetBin

 GetBinIndex

GetBinSourceList

 GetColor

 GetCopies

 GetDuplex

 GetOrientation

 GetPaperIndex

 GetPaperLength

GetPaperList

 GetPaperSize

 GetPaperWidth

 GetPrinterDriver

 GetPrinterName

 GetPrinterPort

 GetPrintQuality

 GetScale

 GetTrueTypeOption

 GetYResolution

LpiToDot

ReadFromIniFile

ResetPrinterDialogs

SavePrinterAsDefault

SaveToDefaults

SaveToIniFile

 SetBin

 SetBinFromList

 SetColor

 SetCopies

SetDeviceMode

 SetDuplex

 SetOrientation

 SetPaperFromList

 SetPaperLength

 SetPaperSize

 SetPaperWidth

 SetPort

 SetPrintQuality

 SetScale

 SetTrueTypeOption

 SetYResolution

TextOutCm

TextOutCpiLpi

TextOutInch

UpdateDeviceMode

XCmToDot

XInchToDot

YCmToDot

YInchToDot


Legend

Constructor

protected


Legend

TJclPrintSet Class

Legend

read only

Constructor

protected


TJclPrintSet Class Members

TJclPrintSet Class	Legend

Members

Properties

BinIndex

Color

Copies

DefaultSource

DpiX

DpiY

Duplex

Orientation

PaperIndex

PaperLength

PaperSize

PaperWidth

 PrinterDriver

 PrinterName

PrinterPort

PrintQuality

Scale

TrueTypeOption

YResolution

Methods

CpiToDot

 Create

CustomPageSetup

 Destroy

 GetBin

 GetBinIndex

GetBinSourceList

 GetColor

 GetCopies

 GetDuplex

 GetOrientation

 GetPaperIndex

 GetPaperLength

GetPaperList

 GetPaperSize

 GetPaperWidth

 GetPrinterDriver

 GetPrinterName

 GetPrinterPort

 GetPrintQuality

 GetScale

 GetTrueTypeOption

 GetYResolution

LpiToDot

ReadFromIniFile

ResetPrinterDialogs

SavePrinterAsDefault

SaveToDefaults

SaveToIniFile

 SetBin

 SetBinFromList

 SetColor

 SetCopies

SetDeviceMode

 SetDuplex

 SetOrientation

 SetPaperFromList

 SetPaperLength

 SetPaperSize

 SetPaperWidth

 SetPort

 SetPrintQuality

 SetScale

 SetTrueTypeOption

 SetYResolution

TextOutCm

TextOutCpiLpi

TextOutInch

UpdateDeviceMode

XCmToDot

XInchToDot

YCmToDot

YInchToDot


Legend

read only

Constructor

protected


TJclPrintSet.BinIndex Property

TJclPrintSet Class

property BinIndex: Byte;

Class

TJclPrintSet Class


TJclPrintSet.Color Property

TJclPrintSet Class

property Color: Integer;

Class

TJclPrintSet Class


TJclPrintSet.Copies Property

TJclPrintSet Class

property Copies: Integer;

Class

TJclPrintSet Class


TJclPrintSet.DefaultSource Property

TJclPrintSet Class

property DefaultSource: Integer;

Class

TJclPrintSet Class


TJclPrintSet.DpiX Property

TJclPrintSet Class

property DpiX: Integer;

Class

TJclPrintSet Class


TJclPrintSet.DpiY Property

TJclPrintSet Class

property DpiY: Integer;

Class

TJclPrintSet Class


TJclPrintSet.Duplex Property

TJclPrintSet Class

property Duplex: Integer;

Class

TJclPrintSet Class


TJclPrintSet.Orientation Property

TJclPrintSet Class

property Orientation: Integer;

Class

TJclPrintSet Class


TJclPrintSet.PaperIndex Property

TJclPrintSet Class

property PaperIndex: Byte;

Class

TJclPrintSet Class


TJclPrintSet.PaperLength Property

TJclPrintSet Class

property PaperLength: Integer;

Class

TJclPrintSet Class


TJclPrintSet.PaperSize Property

TJclPrintSet Class

property PaperSize: Integer;

Class

TJclPrintSet Class


TJclPrintSet.PaperWidth Property

TJclPrintSet Class

property PaperWidth: Integer;

Class

TJclPrintSet Class


TJclPrintSet.PrinterDriver Property

TJclPrintSet Class

property PrinterDriver: string;

Class

TJclPrintSet Class


TJclPrintSet.PrinterName Property

TJclPrintSet Class

property PrinterName: string;

Class

TJclPrintSet Class


TJclPrintSet.PrinterPort Property

TJclPrintSet Class

property PrinterPort: string;

Class

TJclPrintSet Class


TJclPrintSet.PrintQuality Property

TJclPrintSet Class

property PrintQuality: Integer;

Class

TJclPrintSet Class


TJclPrintSet.Scale Property

TJclPrintSet Class

property Scale: Integer;

Class

TJclPrintSet Class


TJclPrintSet.TrueTypeOption Property

TJclPrintSet Class

property TrueTypeOption: Integer;

Class

TJclPrintSet Class


TJclPrintSet.YResolution Property

TJclPrintSet Class

property YResolution: Integer;

Class

TJclPrintSet Class


TJclPrintSet.CpiToDot Method

TJclPrintSet Class

function CpiToDot(const Cpi: Double; const Chars: Double): Integer;

Class

TJclPrintSet Class


TJclPrintSet.Create Constructor

TJclPrintSet Class

constructor Create; virtual;

Class

TJclPrintSet Class


TJclPrintSet.CustomPageSetup Method

TJclPrintSet Class

procedure CustomPageSetup(const Width: Double; const Height: Double);

Class

TJclPrintSet Class


TJclPrintSet.Destroy Destructor

TJclPrintSet Class

destructor Destroy; override;

Class

TJclPrintSet Class


TJclPrintSet.GetBin Method

TJclPrintSet Class

function GetBin: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetBinIndex Method

TJclPrintSet Class

function GetBinIndex: Byte;

Class

TJclPrintSet Class


TJclPrintSet.GetBinSourceList Method ()

TJclPrintSet Class

function GetBinSourceList: TStringList; overload; deprecated;

Class

TJclPrintSet Class


TJclPrintSet.GetBinSourceList Method (TStrings)

TJclPrintSet Class

procedure GetBinSourceList(List: TStrings); overload;

Class

TJclPrintSet Class


TJclPrintSet.GetColor Method

TJclPrintSet Class

function GetColor: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetCopies Method

TJclPrintSet Class

function GetCopies: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetDuplex Method

TJclPrintSet Class

function GetDuplex: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetOrientation Method

TJclPrintSet Class

function GetOrientation: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperIndex Method

TJclPrintSet Class

function GetPaperIndex: Byte;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperLength Method

TJclPrintSet Class

function GetPaperLength: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperList Method ()

TJclPrintSet Class

function GetPaperList: TStringList; overload; deprecated;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperList Method (TStrings)

TJclPrintSet Class

procedure GetPaperList(List: TStrings); overload;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperSize Method

TJclPrintSet Class

function GetPaperSize: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetPaperWidth Method

TJclPrintSet Class

function GetPaperWidth: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetPrinterDriver Method

TJclPrintSet Class

function GetPrinterDriver: string;

Class

TJclPrintSet Class


TJclPrintSet.GetPrinterName Method

TJclPrintSet Class

function GetPrinterName: string;

Class

TJclPrintSet Class


TJclPrintSet.GetPrinterPort Method

TJclPrintSet Class

function GetPrinterPort: string;

Class

TJclPrintSet Class


TJclPrintSet.GetPrintQuality Method

TJclPrintSet Class

function GetPrintQuality: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetScale Method

TJclPrintSet Class

function GetScale: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetTrueTypeOption Method

TJclPrintSet Class

function GetTrueTypeOption: Integer;

Class

TJclPrintSet Class


TJclPrintSet.GetYResolution Method

TJclPrintSet Class

function GetYResolution: Integer;

Class

TJclPrintSet Class


TJclPrintSet.LpiToDot Method

TJclPrintSet Class

function LpiToDot(const Lpi: Double; const Lines: Double): Integer;

Class

TJclPrintSet Class


TJclPrintSet.ReadFromIniFile Method

TJclPrintSet Class

function ReadFromIniFile(const IniFileName: string; const Section: string): Boolean;

Class

TJclPrintSet Class


TJclPrintSet.ResetPrinterDialogs Method

TJclPrintSet Class

procedure ResetPrinterDialogs;

Class

TJclPrintSet Class


TJclPrintSet.SavePrinterAsDefault Method

TJclPrintSet Class

procedure SavePrinterAsDefault;

Class

TJclPrintSet Class


TJclPrintSet.SaveToDefaults Method

TJclPrintSet Class

procedure SaveToDefaults;

Class

TJclPrintSet Class


TJclPrintSet.SaveToIniFile Method

TJclPrintSet Class

procedure SaveToIniFile(const IniFileName: string; const Section: string);

Class

TJclPrintSet Class


TJclPrintSet.SetBin Method

TJclPrintSet Class

procedure SetBin(Bin: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetBinFromList Method

TJclPrintSet Class

procedure SetBinFromList(BinNum: Byte);

Class

TJclPrintSet Class


TJclPrintSet.SetColor Method

TJclPrintSet Class

procedure SetColor(Color: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetCopies Method

TJclPrintSet Class

procedure SetCopies(Copies: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetDeviceMode Method

TJclPrintSet Class

procedure SetDeviceMode(Creating: Boolean);

Class

TJclPrintSet Class


TJclPrintSet.SetDuplex Method

TJclPrintSet Class

procedure SetDuplex(Duplex: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetOrientation Method

TJclPrintSet Class

procedure SetOrientation(Orientation: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetPaperFromList Method

TJclPrintSet Class

procedure SetPaperFromList(PaperNum: Byte);

Class

TJclPrintSet Class


TJclPrintSet.SetPaperLength Method

TJclPrintSet Class

procedure SetPaperLength(Length: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetPaperSize Method

TJclPrintSet Class

procedure SetPaperSize(Size: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetPaperWidth Method

TJclPrintSet Class

procedure SetPaperWidth(Width: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetPort Method

TJclPrintSet Class

procedure SetPort(Port: string);

Class

TJclPrintSet Class


TJclPrintSet.SetPrintQuality Method

TJclPrintSet Class

procedure SetPrintQuality(Quality: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetScale Method

TJclPrintSet Class

procedure SetScale(Scale: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetTrueTypeOption Method

TJclPrintSet Class

procedure SetTrueTypeOption(Option: Integer);

Class

TJclPrintSet Class


TJclPrintSet.SetYResolution Method

TJclPrintSet Class

procedure SetYResolution(YRes: Integer);

Class

TJclPrintSet Class


TJclPrintSet.TextOutCm Method

TJclPrintSet Class

procedure TextOutCm(const X: Double; const Y: Double; const Text: string);

Class

TJclPrintSet Class


TJclPrintSet.TextOutCpiLpi Method

TJclPrintSet Class

procedure TextOutCpiLpi(const Cpi: Double; const Chars: Double; const Lpi: Double; const Lines: Double; const Text: string);

Class

TJclPrintSet Class


TJclPrintSet.TextOutInch Method

TJclPrintSet Class

procedure TextOutInch(const X: Double; const Y: Double; const Text: string);

Class

TJclPrintSet Class


TJclPrintSet.UpdateDeviceMode Method

TJclPrintSet Class

procedure UpdateDeviceMode;

Class

TJclPrintSet Class


TJclPrintSet.XCmToDot Method

TJclPrintSet Class

function XCmToDot(const Cm: Double): Integer;

Class

TJclPrintSet Class


TJclPrintSet.XInchToDot Method

TJclPrintSet Class

function XInchToDot(const Inches: Double): Integer;

Class

TJclPrintSet Class


TJclPrintSet.YCmToDot Method

TJclPrintSet Class

function YCmToDot(const Cm: Double): Integer;

Class

TJclPrintSet Class


TJclPrintSet.YInchToDot Method

TJclPrintSet Class

function YInchToDot(const Inches: Double): Integer;

Class

TJclPrintSet Class


TJclProcSymbolInfo Class

Properties	Methods	Legend

TJclProcSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclProcSymbolInfo Class Properties

TJclProcSymbolInfo Class	Legend

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size


Legend

protected

read only


TJclProcSymbolInfo Class Methods

TJclProcSymbolInfo Class	Legend

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclProcSymbolInfo Class

Legend

protected

read only

Constructor


TJclProcSymbolInfo Class Members

TJclProcSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclProcSymbolInfo Class

 NameIndex

 Offset

 Size

Methods

 Create

TJclProcSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclProcSymbolInfo.NameIndex Property

TJclProcSymbolInfo Class

property NameIndex: DWORD;

Class

TJclProcSymbolInfo Class


TJclProcSymbolInfo.Offset Property

TJclProcSymbolInfo Class

property Offset: DWORD;

Class

TJclProcSymbolInfo Class


TJclProcSymbolInfo.Size Property

TJclProcSymbolInfo Class

property Size: DWORD;

Class

TJclProcSymbolInfo Class


TJclProcSymbolInfo.Create Constructor

TJclProcSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclProcSymbolInfo Class


TJclPublicSymbolInfo Class

Properties	Methods	Legend

TJclPublicSymbolInfo = class(TJclDataSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclPublicSymbolInfo Class Properties

TJclPublicSymbolInfo Class	Legend

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex


Legend

protected

read only


TJclPublicSymbolInfo Class Methods

TJclPublicSymbolInfo Class	Legend

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclPublicSymbolInfo Class

Legend

protected

read only

Constructor


TJclPublicSymbolInfo Class Members

TJclPublicSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclDataSymbolInfo Class

 NameIndex

 Offset

 TypeIndex

Methods

 Create

TJclDataSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclRARCompressionStream Class

Properties	Methods	Legend

TJclRARCompressionStream = class(TJclCompressionStream);

Legend

protected

Constructor

Unit

JclCompression


TJclRARCompressionStream Class Properties

TJclRARCompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclRARCompressionStream Class Methods

TJclRARCompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

Constructor

protected


Legend

TJclRARCompressionStream Class

Legend

protected

Constructor


TJclRARCompressionStream Class Members

TJclRARCompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

protected

Constructor


TJclRARDecompressionStream Class

Properties	Methods	Legend

TJclRARDecompressionStream = class(TJclDecompressStream);

Legend

protected

Constructor

Unit

JclCompression


TJclRARDecompressionStream Class Properties

TJclRARDecompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclRARDecompressionStream Class Methods

TJclRARDecompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

Constructor

protected


Legend

TJclRARDecompressionStream Class

Legend

protected

Constructor


TJclRARDecompressionStream Class Members

TJclRARDecompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

protected

Constructor


TJclRational Class

Properties	Methods	Legend

TJclRational = class(TObject);

Legend

read only

Constructor

protected

Unit

JclMath


TJclRational Class Properties

TJclRational Class	Legend

Properties

AsFloat

AsString

 Denominator

 Numerator


Legend

read only


TJclRational Class Methods

TJclRational Class	Legend

Methods

Abs

Add

Assign

AssignOne

AssignZero

 Create

Divide

Duplicate

IsEqual

IsOne

IsZero

Multiply

Negate

Power

Reciprocal

Sgn

 Simplify

Sqr

Sqrt

Subtract


Legend

Constructor

protected


Legend

TJclRational Class

Legend

read only

Constructor

protected


TJclRational Class Members

TJclRational Class	Legend

Members

Properties

AsFloat

AsString

 Denominator

 Numerator

Methods

Abs

Add

Assign

AssignOne

AssignZero

 Create

Divide

Duplicate

IsEqual

IsOne

IsZero

Multiply

Negate

Power

Reciprocal

Sgn

 Simplify

Sqr

Sqrt

Subtract


Legend

read only

Constructor

protected


TJclRational.AsFloat Property

TJclRational Class

property AsFloat: Float;

Class

TJclRational Class


TJclRational.AsString Property

TJclRational Class

property AsString: string;

Class

TJclRational Class


TJclRational.Denominator Property

TJclRational Class

property Denominator: Integer;

Class

TJclRational Class


TJclRational.Numerator Property

TJclRational Class

property Numerator: Integer;

Class

TJclRational Class


TJclRational.Abs Method

TJclRational Class

procedure Abs;

Class

TJclRational Class


TJclRational.Add Method (Float)

TJclRational Class

procedure Add(const V: Float); overload;

Class

TJclRational Class


TJclRational.Add Method (Integer)

TJclRational Class

procedure Add(const V: Integer); overload;

Class

TJclRational Class


TJclRational.Add Method (TJclRational)

TJclRational Class

procedure Add(const R: TJclRational); overload;

Class

TJclRational Class


TJclRational.Assign Method (Float)

TJclRational Class

procedure Assign(const R: Float); overload;

Class

TJclRational Class


TJclRational.Assign Method (Integer, Integer)

TJclRational Class

procedure Assign(const Numerator: Integer; const Denominator: Integer = 1); overload;

Class

TJclRational Class


TJclRational.Assign Method (TJclRational)

TJclRational Class

procedure Assign(const R: TJclRational); overload;

Class

TJclRational Class


TJclRational.AssignOne Method

TJclRational Class

procedure AssignOne;

Class

TJclRational Class


TJclRational.AssignZero Method

TJclRational Class

procedure AssignZero;

Class

TJclRational Class


TJclRational.Create Constructor ()

TJclRational Class

constructor Create; overload;

Class

TJclRational Class


TJclRational.Create Constructor (Float)

TJclRational Class

constructor Create(const R: Float); overload;

Class

TJclRational Class


TJclRational.Create Constructor (Integer, Integer)

TJclRational Class

constructor Create(const Numerator: Integer; const Denominator: Integer = 1); overload;

Class

TJclRational Class


TJclRational.Divide Method (Float)

TJclRational Class

procedure Divide(const V: Float); overload;

Class

TJclRational Class


TJclRational.Divide Method (Integer)

TJclRational Class

procedure Divide(const V: Integer); overload;

Class

TJclRational Class


TJclRational.Divide Method (TJclRational)

TJclRational Class

procedure Divide(const R: TJclRational); overload;

Class

TJclRational Class


TJclRational.Duplicate Method

TJclRational Class

function Duplicate: TJclRational;

Class

TJclRational Class


TJclRational.IsEqual Method (Float)

TJclRational Class

function IsEqual(const R: Float): Boolean; overload; reintroduce;

Class

TJclRational Class


TJclRational.IsEqual Method (Integer, Integer)

TJclRational Class

function IsEqual(const Numerator: Integer; const Denominator: Integer = 1): Boolean; overload; reintroduce;

Class

TJclRational Class


TJclRational.IsEqual Method (TJclRational)

TJclRational Class

function IsEqual(const R: TJclRational): Boolean; overload; reintroduce;

Class

TJclRational Class


TJclRational.IsOne Method

TJclRational Class

function IsOne: Boolean;

Class

TJclRational Class


TJclRational.IsZero Method

TJclRational Class

function IsZero: Boolean;

Class

TJclRational Class


TJclRational.Multiply Method (Float)

TJclRational Class

procedure Multiply(const V: Float); overload;

Class

TJclRational Class


TJclRational.Multiply Method (Integer)

TJclRational Class

procedure Multiply(const V: Integer); overload;

Class

TJclRational Class


TJclRational.Multiply Method (TJclRational)

TJclRational Class

procedure Multiply(const R: TJclRational); overload;

Class

TJclRational Class


TJclRational.Negate Method

TJclRational Class

procedure Negate;

Class

TJclRational Class


TJclRational.Power Method (Float)

TJclRational Class

procedure Power(const V: Float); overload;

Class

TJclRational Class


TJclRational.Power Method (Integer)

TJclRational Class

procedure Power(const V: Integer); overload;

Class

TJclRational Class


TJclRational.Power Method (TJclRational)

TJclRational Class

procedure Power(const R: TJclRational); overload;

Class

TJclRational Class


TJclRational.Reciprocal Method

TJclRational Class

procedure Reciprocal;

Class

TJclRational Class


TJclRational.Sgn Method

TJclRational Class

function Sgn: Integer;

Class

TJclRational Class


TJclRational.Simplify Method

TJclRational Class

procedure Simplify;

Class

TJclRational Class


TJclRational.Sqr Method

TJclRational Class

procedure Sqr;

Class

TJclRational Class


TJclRational.Sqrt Method

TJclRational Class

procedure Sqrt;

Class

TJclRational Class


TJclRational.Subtract Method (Float)

TJclRational Class

procedure Subtract(const V: Float); overload;

Class

TJclRational Class


TJclRational.Subtract Method (Integer)

TJclRational Class

procedure Subtract(const V: Integer); overload;

Class

TJclRational Class


TJclRational.Subtract Method (TJclRational)

TJclRational Class

procedure Subtract(const R: TJclRational); overload;

Class

TJclRational Class


TJclReferenceMemoryStream Class

Methods	Legend

TJclReferenceMemoryStream = class(TCustomMemoryStream);

Legend

Constructor

Unit

JclSysUtils


TJclReferenceMemoryStream Class Methods

TJclReferenceMemoryStream Class	Legend

Methods

 Create

Write


Legend

Constructor


Legend

TJclReferenceMemoryStream Class

Legend

Constructor


TJclReferenceMemoryStream Class Members

TJclReferenceMemoryStream Class	Legend

Members

Methods

 Create

Write


Legend

Constructor


TJclReferenceMemoryStream.Create Constructor

TJclReferenceMemoryStream Class

constructor Create(const Ptr: Pointer; Size: Longint);

Class

TJclReferenceMemoryStream Class


TJclReferenceMemoryStream.Write Method

TJclReferenceMemoryStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Class

TJclReferenceMemoryStream Class


TJclScheduledTask Class

Properties	Methods	Legend

TJclScheduledTask = class(TJclScheduledWorkItem);

Legend

read only

write only

Constructor

protected

Unit

JclTask


TJclScheduledTask Class Properties

TJclScheduledTask Class	Legend

Properties

AccountName

Comment

Creator

 DeadlineMinutes

ErrorRetryCount

ErrorRetryInterval

 ExitCode

Flags

 IdleMinutes

 MostRecentRunTime

 NextRunTime

OwnerData

 Password

 ScheduledWorkItem

 Status

TaskName

 TriggerCount

 Triggers

TJclScheduledTask Class

ApplicationName

MaxRunTime

Parameters

Priority

 Task

TaskFlags

WorkingDirectory


Legend

read only

write only


TJclScheduledTask Class Methods

TJclScheduledTask Class	Legend

Methods

 Create

 Destroy

GetRunTimes

Refresh

Run

Save

SetAccountInformation

Terminate

TJclScheduledTask Class

ShowPage


Legend

Constructor

protected


Legend

TJclScheduledTask Class

Legend

read only

write only

Constructor

protected


TJclScheduledTask Class Members

TJclScheduledTask Class	Legend

Members

Properties

AccountName

Comment

Creator

 DeadlineMinutes

ErrorRetryCount

ErrorRetryInterval

 ExitCode

Flags

 IdleMinutes

 MostRecentRunTime

 NextRunTime

OwnerData

 Password

 ScheduledWorkItem

 Status

TaskName

 TriggerCount

 Triggers

TJclScheduledTask Class

ApplicationName

MaxRunTime

Parameters

Priority

 Task

TaskFlags

WorkingDirectory

Methods

 Create

 Destroy

GetRunTimes

Refresh

Run

Save

SetAccountInformation

Terminate

TJclScheduledTask Class

ShowPage


Legend

read only

write only

Constructor

protected


TJclScheduledTask.ApplicationName Property

TJclScheduledTask Class

property ApplicationName: WideString;

Class

TJclScheduledTask Class


TJclScheduledTask.MaxRunTime Property

TJclScheduledTask Class

property MaxRunTime: DWORD;

Class

TJclScheduledTask Class


TJclScheduledTask.Parameters Property

TJclScheduledTask Class

property Parameters: WideString;

Class

TJclScheduledTask Class


TJclScheduledTask.Priority Property

TJclScheduledTask Class

property Priority: DWORD;

Class

TJclScheduledTask Class


TJclScheduledTask.Task Property

TJclScheduledTask Class

property Task: ITask;

Class

TJclScheduledTask Class


TJclScheduledTask.TaskFlags Property

TJclScheduledTask Class

property TaskFlags: DWORD;

Class

TJclScheduledTask Class


TJclScheduledTask.WorkingDirectory Property

TJclScheduledTask Class

property WorkingDirectory: WideString;

Class

TJclScheduledTask Class


TJclScheduledTask.ShowPage Method

TJclScheduledTask Class

function ShowPage(Pages: TJclScheduleTaskPropertyPages = JclScheduleTaskAllPages): Boolean;

Class

TJclScheduledTask Class


TJclScheduledWorkItem Class

Properties	Methods	Legend

TJclScheduledWorkItem = class(TPersistent);

Legend

read only

write only

Constructor

protected

Unit

JclTask


TJclScheduledWorkItem Class Properties

TJclScheduledWorkItem Class	Legend

Properties

AccountName

Comment

Creator

 DeadlineMinutes

ErrorRetryCount

ErrorRetryInterval

 ExitCode

Flags

 IdleMinutes

 MostRecentRunTime

 NextRunTime

OwnerData

 Password

 ScheduledWorkItem

 Status

TaskName

 TriggerCount

 Triggers


Legend

read only

write only


TJclScheduledWorkItem Class Methods

TJclScheduledWorkItem Class	Legend

Methods

 Create

 Destroy

GetRunTimes

Refresh

Run

Save

SetAccountInformation

Terminate


Legend

Constructor

protected


Legend

TJclScheduledWorkItem Class

Legend

read only

write only

Constructor

protected


TJclScheduledWorkItem Class Members

TJclScheduledWorkItem Class	Legend

Members

Properties

AccountName

Comment

Creator

 DeadlineMinutes

ErrorRetryCount

ErrorRetryInterval

 ExitCode

Flags

 IdleMinutes

 MostRecentRunTime

 NextRunTime

OwnerData

 Password

 ScheduledWorkItem

 Status

TaskName

 TriggerCount

 Triggers

Methods

 Create

 Destroy

GetRunTimes

Refresh

Run

Save

SetAccountInformation

Terminate


Legend

read only

write only

Constructor

protected


TJclScheduledWorkItem.AccountName Property

TJclScheduledWorkItem Class

property AccountName: WideString;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Comment Property

TJclScheduledWorkItem Class

property Comment: WideString;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Creator Property

TJclScheduledWorkItem Class

property Creator: WideString;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.DeadlineMinutes Property

TJclScheduledWorkItem Class

property DeadlineMinutes: Word;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.ErrorRetryCount Property

TJclScheduledWorkItem Class

property ErrorRetryCount: Word;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.ErrorRetryInterval Property

TJclScheduledWorkItem Class

property ErrorRetryInterval: Word;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.ExitCode Property

TJclScheduledWorkItem Class

property ExitCode: DWORD;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Flags Property

TJclScheduledWorkItem Class

property Flags: TJclScheduledTaskFlags;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.IdleMinutes Property

TJclScheduledWorkItem Class

property IdleMinutes: Word;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.MostRecentRunTime Property

TJclScheduledWorkItem Class

property MostRecentRunTime: Windows;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.NextRunTime Property

TJclScheduledWorkItem Class

property NextRunTime: Windows;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.OwnerData Property

TJclScheduledWorkItem Class

property OwnerData: TStream;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Password Property

TJclScheduledWorkItem Class

property Password: WideString;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.ScheduledWorkItem Property

TJclScheduledWorkItem Class

property ScheduledWorkItem: IScheduledWorkItem;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Status Property

TJclScheduledWorkItem Class

property Status: TJclScheduledTaskStatus;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.TaskName Property

TJclScheduledWorkItem Class

property TaskName: WideString;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.TriggerCount Property

TJclScheduledWorkItem Class

property TriggerCount: Integer;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Triggers Property

TJclScheduledWorkItem Class

property Triggers [const Idx: Integer]: TJclTaskTrigger;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Create Constructor

TJclScheduledWorkItem Class

constructor Create(const ATaskName: WideString; const AScheduledWorkItem: IScheduledWorkItem);

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Destroy Destructor

TJclScheduledWorkItem Class

destructor Destroy; override;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.GetRunTimes Method

TJclScheduledWorkItem Class

function GetRunTimes(const BeginTime: TDateTime; const EndTime: TDateTime = InfiniteTime): TDateTimeArray;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Refresh Method

TJclScheduledWorkItem Class

procedure Refresh;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Run Method

TJclScheduledWorkItem Class

procedure Run;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Save Method

TJclScheduledWorkItem Class

procedure Save;

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.SetAccountInformation Method

TJclScheduledWorkItem Class

procedure SetAccountInformation(const Name: WideString; const Password: WideString);

Class

TJclScheduledWorkItem Class


TJclScheduledWorkItem.Terminate Method

TJclScheduledWorkItem Class

procedure Terminate;

Class

TJclScheduledWorkItem Class


TJclScreenBuffer Class

Properties	Methods	Events	Legend

TJclScreenBuffer = class(TObject);

Events

OnAfterResize

OnBeforeResize

Legend

read only

protected

Constructor

Unit

JclConsole


TJclScreenBuffer Class Properties

TJclScreenBuffer Class	Legend

Properties

 Cursor

 Font

 Handle

Height

 Info

Mode

Size

Width

 Window


Legend

read only

protected


TJclScreenBuffer Class Events

TJclScreenBuffer Class

Events

OnAfterResize

OnBeforeResize


TJclScreenBuffer Class Methods

TJclScreenBuffer Class	Legend

Methods

Clear

 Create

 Destroy

 DoResize

Fill

 Init

Read

Readln

Write

Writeln


Legend

Constructor

protected


Legend

TJclScreenBuffer Class

Legend

read only

protected

Constructor


TJclScreenBuffer Class Members

TJclScreenBuffer Class	Legend

Members

Properties

 Cursor

 Font

 Handle

Height

 Info

Mode

Size

Width

 Window

Events

OnAfterResize

OnBeforeResize

Methods

Clear

 Create

 Destroy

 DoResize

Fill

 Init

Read

Readln

Write

Writeln


Legend

read only

protected

Constructor


TJclScreenBuffer.Cursor Property

TJclScreenBuffer Class

property Cursor: TJclScreenCursor;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Font Property

TJclScreenBuffer Class

property Font: TJclScreenFont;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Handle Property

TJclScreenBuffer Class

property Handle: THandle;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Height Property

TJclScreenBuffer Class

property Height: Smallint;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Info Property

TJclScreenBuffer Class

property Info: TConsoleScreenBufferInfo;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Mode Property

TJclScreenBuffer Class

property Mode: TJclConsoleOutputModes;

Class

TJclScreenBuffer Class


TJclScreenBuffer.OnAfterResize Event

TJclScreenBuffer Class

property OnAfterResize: TJclScreenBufferAfterResizeEvent;

Class

TJclScreenBuffer Class


TJclScreenBuffer.OnBeforeResize Event

TJclScreenBuffer Class

property OnBeforeResize: TJclScreenBufferBeforeResizeEvent;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Size Property

TJclScreenBuffer Class

property Size: TCoord;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Width Property

TJclScreenBuffer Class

property Width: Smallint;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Window Property

TJclScreenBuffer Class

property Window: TJclScreenWindow;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Clear Method

TJclScreenBuffer Class

procedure Clear;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Create Constructor ()

TJclScreenBuffer Class

constructor Create; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Create Constructor (Smallint, Smallint)

TJclScreenBuffer Class

constructor Create(const AWidth: Smallint; const AHeight: Smallint); overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Create Constructor (THandle)

TJclScreenBuffer Class

constructor Create(const AHandle: THandle); overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Destroy Destructor

TJclScreenBuffer Class

destructor Destroy; override;

Class

TJclScreenBuffer Class


TJclScreenBuffer.DoResize Method (Smallint, Smallint)

TJclScreenBuffer Class

procedure DoResize(const NewWidth: Smallint; const NewHeight: Smallint); overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.DoResize Method (TCoord)

TJclScreenBuffer Class

procedure DoResize(const NewSize: TCoord); overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Fill Method

TJclScreenBuffer Class

procedure Fill(const ch: Char; const ATextAttribute: IJclScreenTextAttribute = nil);

Class

TJclScreenBuffer Class


TJclScreenBuffer.Init Method

TJclScreenBuffer Class

procedure Init;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Read Method (Integer)

TJclScreenBuffer Class

function Read(const Count: Integer): string; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Read Method (Smallint, Smallint, Integer)

TJclScreenBuffer Class

function Read(X: Smallint; Y: Smallint; const Count: Integer): string; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Readln Method ()

TJclScreenBuffer Class

function Readln: string; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Readln Method (Smallint, Smallint)

TJclScreenBuffer Class

function Readln(X: Smallint; Y: Smallint): string; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Write Method (string, IJclScreenTextAttribute)

TJclScreenBuffer Class

function Write(const Text: string; const ATextAttribute: IJclScreenTextAttribute = nil): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Write Method (string, Smallint, Smallint, IJclScreenTextAttribute)

TJclScreenBuffer Class

function Write(const Text: string; const X: Smallint; const Y: Smallint; const ATextAttribute: IJclScreenTextAttribute = nil): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Write Method (string, Smallint, Smallint, PWORD)

TJclScreenBuffer Class

function Write(const Text: string; const X: Smallint; const Y: Smallint; pAttrs: PWORD): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Write Method (string, Smallint, Smallint, array of Word)

TJclScreenBuffer Class

function Write(const Text: string; const X: Smallint; const Y: Smallint; Attrs: array of Word): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Write Method (string, TJclScreenBufferTextHorizontalAlign, TJclScreenBufferTextVerticalAlign, IJclScreenTextAttribute)

TJclScreenBuffer Class

function Write(const Text: string; const HorizontalAlign: TJclScreenBufferTextHorizontalAlign; const VerticalAlign: TJclScreenBufferTextVerticalAlign = tvaCurrent; const ATextAttribute: IJclScreenTextAttribute = nil): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenBuffer.Writeln Method

TJclScreenBuffer Class

function Writeln(const Text: string = ''; const ATextAttribute: IJclScreenTextAttribute = nil): DWORD; overload;

Class

TJclScreenBuffer Class


TJclScreenCharacter Class

Properties	Methods	Legend

TJclScreenCharacter = class(TJclScreenCustomTextAttribute);

Legend

Constructor

protected

Unit

JclConsole


TJclScreenCharacter Class Properties

TJclScreenCharacter Class

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCharacter Class

Character

Info


TJclScreenCharacter Class Methods

TJclScreenCharacter Class	Legend

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenCharacter Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


Legend

TJclScreenCharacter Class

Legend

Constructor

protected


TJclScreenCharacter Class Members

TJclScreenCharacter Class	Legend

Members

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCharacter Class

Character

Info

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenCharacter Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


TJclScreenCharacter.Character Property

TJclScreenCharacter Class

property Character: Char;

Class

TJclScreenCharacter Class


TJclScreenCharacter.Info Property

TJclScreenCharacter Class

property Info: TCharInfo;

Class

TJclScreenCharacter Class


TJclScreenCharacter.Create Constructor

TJclScreenCharacter Class

constructor Create(const CharInfo: TCharInfo);

Class

TJclScreenCharacter Class


TJclScreenCharacter.GetTextAttribute Method

TJclScreenCharacter Class

function GetTextAttribute: Word; override;

Class

TJclScreenCharacter Class


TJclScreenCharacter.SetTextAttribute Method

TJclScreenCharacter Class

procedure SetTextAttribute(const Value: Word); override;

Class

TJclScreenCharacter Class


TJclScreenCursor Class

Properties	Methods	Legend

TJclScreenCursor = class(TObject);

Legend

protected

read only

Constructor

Unit

JclConsole


TJclScreenCursor Class Properties

TJclScreenCursor Class	Legend

Properties

 Info

Position

 ScreenBuffer

Size

Visible


Legend

protected

read only


TJclScreenCursor Class Methods

TJclScreenCursor Class	Legend

Methods

 Create

MoveBy

MoveTo


Legend

Constructor

protected


Legend

TJclScreenCursor Class

Legend

protected

read only

Constructor


TJclScreenCursor Class Members

TJclScreenCursor Class	Legend

Members

Properties

 Info

Position

 ScreenBuffer

Size

Visible

Methods

 Create

MoveBy

MoveTo


Legend

protected

read only

Constructor


TJclScreenCursor.Info Property

TJclScreenCursor Class

property Info: TConsoleCursorInfo;

Class

TJclScreenCursor Class


TJclScreenCursor.Position Property

TJclScreenCursor Class

property Position: TCoord;

Class

TJclScreenCursor Class


TJclScreenCursor.ScreenBuffer Property

TJclScreenCursor Class

property ScreenBuffer: TJclScreenBuffer;

Class

TJclScreenCursor Class


TJclScreenCursor.Size Property

TJclScreenCursor Class

property Size: TJclScreenCursorSize;

Class

TJclScreenCursor Class


TJclScreenCursor.Visible Property

TJclScreenCursor Class

property Visible: Boolean;

Class

TJclScreenCursor Class


TJclScreenCursor.Create Constructor

TJclScreenCursor Class

constructor Create(const AScrBuf: TJclScreenBuffer);

Class

TJclScreenCursor Class


TJclScreenCursor.MoveBy Method (Smallint, Smallint)

TJclScreenCursor Class

procedure MoveBy(const cx: Smallint; const cy: Smallint); overload;

Class

TJclScreenCursor Class


TJclScreenCursor.MoveBy Method (TCoord)

TJclScreenCursor Class

procedure MoveBy(const Delta: TCoord); overload;

Class

TJclScreenCursor Class


TJclScreenCursor.MoveTo Method (Smallint, Smallint)

TJclScreenCursor Class

procedure MoveTo(const x: Smallint; const y: Smallint); overload;

Class

TJclScreenCursor Class


TJclScreenCursor.MoveTo Method (TCoord)

TJclScreenCursor Class

procedure MoveTo(const DestPos: TCoord); overload;

Class

TJclScreenCursor Class


TJclScreenCustomTextAttribute Class

Properties	Methods	Legend

TJclScreenCustomTextAttribute = class(TInterfacedObject, IJclScreenTextAttribute);

Legend

Constructor

protected

Unit

JclConsole


TJclScreenCustomTextAttribute Class Properties

TJclScreenCustomTextAttribute Class

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute


TJclScreenCustomTextAttribute Class Methods

TJclScreenCustomTextAttribute Class	Legend

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


Legend

TJclScreenCustomTextAttribute Class

Legend

Constructor

protected


TJclScreenCustomTextAttribute Class Members

TJclScreenCustomTextAttribute Class	Legend

Members

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


TJclScreenCustomTextAttribute.BgColor Property

TJclScreenCustomTextAttribute Class

property BgColor: TJclScreenBackColor;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.BgHighlight Property

TJclScreenCustomTextAttribute Class

property BgHighlight: Boolean;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.Color Property

TJclScreenCustomTextAttribute Class

property Color: TJclScreenFontColor;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.Highlight Property

TJclScreenCustomTextAttribute Class

property Highlight: Boolean;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.Style Property

TJclScreenCustomTextAttribute Class

property Style: TJclScreenFontStyles;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.TextAttribute Property

TJclScreenCustomTextAttribute Class

property TextAttribute: Word;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.Clear Method

TJclScreenCustomTextAttribute Class

procedure Clear;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.Create Constructor

TJclScreenCustomTextAttribute Class

constructor Create(const Attr: TJclScreenCustomTextAttribute = nil); overload;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.GetTextAttribute Method

TJclScreenCustomTextAttribute Class

function GetTextAttribute: Word; virtual; abstract;

Class

TJclScreenCustomTextAttribute Class


TJclScreenCustomTextAttribute.SetTextAttribute Method

TJclScreenCustomTextAttribute Class

procedure SetTextAttribute(const Value: Word); virtual; abstract;

Class

TJclScreenCustomTextAttribute Class


TJclScreenFont Class

Properties	Methods	Legend

TJclScreenFont = class(TJclScreenCustomTextAttribute);

Legend

read only

Constructor

protected

Unit

JclConsole


TJclScreenFont Class Properties

TJclScreenFont Class	Legend

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenFont Class

 ScreenBuffer


Legend

read only


TJclScreenFont Class Methods

TJclScreenFont Class	Legend

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenFont Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


Legend

TJclScreenFont Class

Legend

read only

Constructor

protected


TJclScreenFont Class Members

TJclScreenFont Class	Legend

Members

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenFont Class

 ScreenBuffer

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenFont Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

read only

Constructor

protected


TJclScreenFont.ScreenBuffer Property

TJclScreenFont Class

property ScreenBuffer: TJclScreenBuffer;

Class

TJclScreenFont Class


TJclScreenFont.Create Constructor

TJclScreenFont Class

constructor Create(const AScrBuf: TJclScreenBuffer);

Class

TJclScreenFont Class


TJclScreenFont.GetTextAttribute Method

TJclScreenFont Class

function GetTextAttribute: Word; override;

Class

TJclScreenFont Class


TJclScreenFont.SetTextAttribute Method

TJclScreenFont Class

procedure SetTextAttribute(const Value: Word); override;

Class

TJclScreenFont Class


TJclScreenTextAttribute Class

Properties	Methods	Legend

TJclScreenTextAttribute = class(TJclScreenCustomTextAttribute);

Legend

Constructor

protected

Unit

JclConsole


TJclScreenTextAttribute Class Properties

TJclScreenTextAttribute Class

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute


TJclScreenTextAttribute Class Methods

TJclScreenTextAttribute Class	Legend

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenTextAttribute Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


Legend

TJclScreenTextAttribute Class

Legend

Constructor

protected


TJclScreenTextAttribute Class Members

TJclScreenTextAttribute Class	Legend

Members

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

TJclScreenCustomTextAttribute Class

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute

TJclScreenCustomTextAttribute Class

Clear

 Create

 GetTextAttribute

 SetTextAttribute

TJclScreenTextAttribute Class

 Create

 GetTextAttribute

 SetTextAttribute


Legend

Constructor

protected


TJclScreenTextAttribute.Create Constructor (TJclScreenFontColor, TJclScreenBackColor, Boolean, Boolean, TJclScreenFontStyles)

TJclScreenTextAttribute Class

constructor Create(const AColor: TJclScreenFontColor = fclWhite; const ABgColor: TJclScreenBackColor = bclBlack; const AHighLight: Boolean = False; const ABgHighLight: Boolean = False; const AStyle: TJclScreenFontStyles = []); overload;

Class

TJclScreenTextAttribute Class


TJclScreenTextAttribute.Create Constructor (Word)

TJclScreenTextAttribute Class

constructor Create(const Attribute: Word); overload;

Class

TJclScreenTextAttribute Class


TJclScreenTextAttribute.GetTextAttribute Method

TJclScreenTextAttribute Class

function GetTextAttribute: Word; override;

Class

TJclScreenTextAttribute Class


TJclScreenTextAttribute.SetTextAttribute Method

TJclScreenTextAttribute Class

procedure SetTextAttribute(const Value: Word); override;

Class

TJclScreenTextAttribute Class


TJclScreenWindow Class

Properties	Methods	Legend

TJclScreenWindow = class(TObject);

Legend

read only

Constructor

protected

Unit

JclConsole


TJclScreenWindow Class Properties

TJclScreenWindow Class	Legend

Properties

Bottom

Height

Left

 MaxConsoleWindowSize

 MaxWindow

Position

Right

 ScreenBuffer

Size

Top

Width


Legend

read only


TJclScreenWindow Class Methods

TJclScreenWindow Class	Legend

Methods

 Create

 DoResize

Scroll


Legend

Constructor

protected


Legend

TJclScreenWindow Class

Legend

read only

Constructor

protected


TJclScreenWindow Class Members

TJclScreenWindow Class	Legend

Members

Properties

Bottom

Height

Left

 MaxConsoleWindowSize

 MaxWindow

Position

Right

 ScreenBuffer

Size

Top

Width

Methods

 Create

 DoResize

Scroll


Legend

read only

Constructor

protected


TJclScreenWindow.Bottom Property

TJclScreenWindow Class

property Bottom: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.Height Property

TJclScreenWindow Class

property Height: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.Left Property

TJclScreenWindow Class

property Left: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.MaxConsoleWindowSize Property

TJclScreenWindow Class

property MaxConsoleWindowSize: TCoord;

Class

TJclScreenWindow Class


TJclScreenWindow.MaxWindow Property

TJclScreenWindow Class

property MaxWindow: TCoord;

Class

TJclScreenWindow Class


TJclScreenWindow.Position Property

TJclScreenWindow Class

property Position: TCoord;

Class

TJclScreenWindow Class


TJclScreenWindow.Right Property

TJclScreenWindow Class

property Right: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.ScreenBuffer Property

TJclScreenWindow Class

property ScreenBuffer: TJclScreenBuffer;

Class

TJclScreenWindow Class


TJclScreenWindow.Size Property

TJclScreenWindow Class

property Size: TCoord;

Class

TJclScreenWindow Class


TJclScreenWindow.Top Property

TJclScreenWindow Class

property Top: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.Width Property

TJclScreenWindow Class

property Width: Smallint;

Class

TJclScreenWindow Class


TJclScreenWindow.Create Constructor

TJclScreenWindow Class

constructor Create(const AScrBuf: TJclScreenBuffer);

Class

TJclScreenWindow Class


TJclScreenWindow.DoResize Method

TJclScreenWindow Class

procedure DoResize(const NewRect: TSmallRect; bAbsolute: Boolean = True);

Class

TJclScreenWindow Class


TJclScreenWindow.Scroll Method

TJclScreenWindow Class

procedure Scroll(const cx: Smallint; const cy: Smallint);

Class

TJclScreenWindow Class


TJclSourceModuleInfo Class

Properties	Methods	Legend

TJclSourceModuleInfo = class(TObject);

Legend

read only

Constructor

protected

Unit

JclTD32


TJclSourceModuleInfo Class Properties

TJclSourceModuleInfo Class	Legend

Properties

 Line

 LineCount

 NameIndex

 Segment

 SegmentCount


Legend

read only


TJclSourceModuleInfo Class Methods

TJclSourceModuleInfo Class	Legend

Methods

 Create

 Destroy

FindLine


Legend

Constructor

protected


Legend

TJclSourceModuleInfo Class

Legend

read only

Constructor

protected


TJclSourceModuleInfo Class Members

TJclSourceModuleInfo Class	Legend

Members

Properties

 Line

 LineCount

 NameIndex

 Segment

 SegmentCount

Methods

 Create

 Destroy

FindLine


Legend

read only

Constructor

protected


TJclSourceModuleInfo.Line Property

TJclSourceModuleInfo Class

property Line [const Idx: Integer]: TJclLineInfo;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.LineCount Property

TJclSourceModuleInfo Class

property LineCount: Integer;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.NameIndex Property

TJclSourceModuleInfo Class

property NameIndex: DWORD;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.Segment Property

TJclSourceModuleInfo Class

property Segment [const Idx: Integer]: TOffsetPair;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.SegmentCount Property

TJclSourceModuleInfo Class

property SegmentCount: Integer;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.Create Constructor

TJclSourceModuleInfo Class

constructor Create(pSrcFile: PSourceFileEntry; Base: DWORD);

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.Destroy Destructor

TJclSourceModuleInfo Class

destructor Destroy; override;

Class

TJclSourceModuleInfo Class


TJclSourceModuleInfo.FindLine Method

TJclSourceModuleInfo Class

function FindLine(const AAddr: DWORD; var ALine: TJclLineInfo): Boolean;

Class

TJclSourceModuleInfo Class


TJclSparseFlatSet Class

Methods	Legend

TJclSparseFlatSet = class(TJclASet);

Legend

protected

Destructor

Unit

JclMath


TJclSparseFlatSet Class Methods

TJclSparseFlatSet Class	Legend

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange

TJclSparseFlatSet Class

Clear

 Destroy

GetBit

GetRange

Invert

SetBit

SetRange


Legend

protected

Destructor


Legend

TJclSparseFlatSet Class

Legend

protected

Destructor


TJclSparseFlatSet Class Members

TJclSparseFlatSet Class	Legend

Members

Methods

 Clear

 GetBit

 GetRange

 Invert

 SetBit

 SetRange

TJclSparseFlatSet Class

Clear

 Destroy

GetBit

GetRange

Invert

SetBit

SetRange


Legend

protected

Destructor


TJclSparseFlatSet.Clear Method

TJclSparseFlatSet Class

procedure Clear; override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.Destroy Destructor

TJclSparseFlatSet Class

destructor Destroy; override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.GetBit Method

TJclSparseFlatSet Class

function GetBit(const Idx: Integer): Boolean; override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.GetRange Method

TJclSparseFlatSet Class

function GetRange(const Low: Integer; const High: Integer; const Value: Boolean): Boolean; override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.Invert Method

TJclSparseFlatSet Class

procedure Invert; override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.SetBit Method

TJclSparseFlatSet Class

procedure SetBit(const Idx: Integer; const Value: Boolean); override;

Class

TJclSparseFlatSet Class


TJclSparseFlatSet.SetRange Method

TJclSparseFlatSet Class

procedure SetRange(const Low: Integer; const High: Integer; const Value: Boolean); override;

Class

TJclSparseFlatSet Class


TJclStrArraySet Class

Properties	Methods	Legend

This class store strings only one time in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrArraySet = class(TJclStrArrayList, IJclStrSet, IJclCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

Unit

JclArraySets


TJclStrArraySet Class Methods

TJclStrArraySet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList

TJclStrArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Contains

 Insert

 Intersect

 Subtract

 Union


Legend

Constructor

protected


TJclStrArraySet Class Properties

TJclStrArraySet Class

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrArrayList Class

Capacity


Legend

TJclStrArraySet Class

Legend

Constructor

protected


TJclStrArraySet Class Members

TJclStrArraySet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList

TJclStrArraySet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Contains

 Insert

 Intersect

 Subtract

 Union

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrArrayList Class

Capacity


Legend

Constructor

protected


TJclStrArraySet.Add Method

TJclStrArraySet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override;

Class

TJclStrArraySet Class


TJclStrArraySet.AddAll Method

TJclStrArraySet Class

function AddAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrArraySet Class


TJclStrArraySet.Contains Method

TJclStrArraySet Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrArraySet Class


TJclStrArraySet.Insert Method

TJclStrArraySet Class

procedure Insert(Index: Integer; const AString: string); overload;

Class

TJclStrArraySet Class


TJclStrArraySet.Intersect Method

TJclStrArraySet Class

procedure Intersect(ACollection: IJclStrCollection);

Class

TJclStrArraySet Class


TJclStrArraySet.Subtract Method

TJclStrArraySet Class

procedure Subtract(ACollection: IJclStrCollection);

Class

TJclStrArraySet Class


TJclStrArraySet.Union Method

TJclStrArraySet Class

procedure Union(ACollection: IJclStrCollection);

Class

TJclStrArraySet Class


TJclStrBinaryNode Class

TJclStrBinaryNode = class;

Fields

Color

Left

Parent

Right

TJclStrBinaryNode=recordStr

Unit

JclBinaryTrees


TJclStrBinaryNode Class Fields

TJclStrBinaryNode Class

Fields

Color

Left

Parent

Right

TJclStrBinaryNode=recordStr


TJclStrBinaryNode Class Members

TJclStrBinaryNode Class

Members

Fields

Color

Left

Parent

Right

TJclStrBinaryNode=recordStr


TJclStrBinaryNode.Color Field

TJclStrBinaryNode Class

Color: TJclTreeColor;

Class

TJclStrBinaryNode Class


TJclStrBinaryNode.Left Field

TJclStrBinaryNode Class

Left: PJclStrBinaryNode;

Class

TJclStrBinaryNode Class


TJclStrBinaryNode.Parent Field

TJclStrBinaryNode Class

Parent: PJclStrBinaryNode;

Class

TJclStrBinaryNode Class


TJclStrBinaryNode.Right Field

TJclStrBinaryNode Class

Right: PJclStrBinaryNode;

Class

TJclStrBinaryNode Class


TJclStrBinaryNode.TJclStrBinaryNode_recordStr Field
TJclStrBinaryNode.TJclStrBinaryNode=recordStr Field

TJclStrBinaryNode Class

TJclStrBinaryNode=recordStr: string;

Class

TJclStrBinaryNode Class


TJclStrBinaryTree Class

Properties	Methods	Legend

This class store strings in a red-black binary tree.

The binary tree is always balanced with red-black algorithms (from CLR) for best performance in search.

When an element is removed or insert, the tree is modified to keep balancing.

You can traverse the tree with iterators in different order (PreOrder, Order and PostOrder). Iterators are bidirectionnal.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrBinaryTree = class(TJclStrCollection, IJclStrTree, IJclCloneable);

Donator

Jean-Philippe Bempel

Legend

Constructor

protected

Unit

JclBinaryTrees


TJclStrBinaryTree Class Methods

TJclStrBinaryTree Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetTraverseOrder

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 SetTraverseOrder

 Size


Legend

Constructor

protected


TJclStrBinaryTree Class Properties

TJclStrBinaryTree Class

Properties

IJclStrTree Interface

TraverseOrder


Legend

TJclStrBinaryTree Class

Legend

Constructor

protected


TJclStrBinaryTree Class Members

TJclStrBinaryTree Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrTree Interface

GetTraverseOrder

SetTraverseOrder

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrBinaryTree Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetTraverseOrder

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 SetTraverseOrder

 Size

Properties

IJclStrTree Interface

TraverseOrder


Legend

Constructor

protected


TJclStrBinaryTree.Add Method

TJclStrBinaryTree Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.AddAll Method

TJclStrBinaryTree Class

function AddAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Clear Method

TJclStrBinaryTree Class

procedure Clear; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Clone Method

TJclStrBinaryTree Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Contains Method

TJclStrBinaryTree Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.ContainsAll Method

TJclStrBinaryTree Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Create Constructor

TJclStrBinaryTree Class

constructor Create(AComparator: TStrCompare = nil);

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Destroy Destructor

TJclStrBinaryTree Class

destructor Destroy; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Equals Method

TJclStrBinaryTree Class

function Equals(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.First Method

TJclStrBinaryTree Class

function First: IJclStrIterator; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.GetTraverseOrder Method

TJclStrBinaryTree Class

function GetTraverseOrder: TJclTraverseOrder;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.IsEmpty Method

TJclStrBinaryTree Class

function IsEmpty: Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Last Method

TJclStrBinaryTree Class

function Last: IJclStrIterator; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Remove Method

TJclStrBinaryTree Class

function Remove(const AString: string): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.RemoveAll Method

TJclStrBinaryTree Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.RetainAll Method

TJclStrBinaryTree Class

function RetainAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.SetTraverseOrder Method

TJclStrBinaryTree Class

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Class

TJclStrBinaryTree Class


TJclStrBinaryTree.Size Method

TJclStrBinaryTree Class

function Size: Integer; override;

Class

TJclStrBinaryTree Class


TJclStrBucket Class

TJclStrBucket = class;

Fields

Entries

TJclStrBucket=recordCount

Unit

JclHashMaps


TJclStrBucket Class Fields

TJclStrBucket Class

Fields

Entries

TJclStrBucket=recordCount


TJclStrBucket Class Members

TJclStrBucket Class

Members

Fields

Entries

TJclStrBucket=recordCount


TJclStrBucket.Entries Field

TJclStrBucket Class

Entries: TJclStrEntryArray;

Class

TJclStrBucket Class


TJclStrBucket.TJclStrBucket_recordCount Field
TJclStrBucket.TJclStrBucket=recordCount Field

TJclStrBucket Class

TJclStrBucket=recordCount: Integer;

Class

TJclStrBucket Class


TJclStrCollection Class

Methods	Legend

Abstract class; serves as a common ancestor to classes which implement the IJclStrCollection interface.

Pascal

TJclStrCollection = class(TJclAbstractContainer, IJclStrCollection);

Donator

Daniele Teti

Legend

Constructor

protected

Unit

JclAbstractContainers


TJclStrCollection Class Methods

TJclStrCollection Class	Legend

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size


Legend

Constructor

protected


Legend

TJclStrCollection Class

Legend

Constructor

protected


TJclStrCollection Class Members

TJclStrCollection Class	Legend

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size


Legend

Constructor

protected


TJclStrCollection.Add Method

TJclStrCollection Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.AddAll Method

TJclStrCollection Class

function AddAll(ACollection: IJclStrCollection): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.AppendDelimited Method

TJclStrCollection Class

procedure AppendDelimited(const AString: string; const Separator: string = AnsiLineBreak);

Class

TJclStrCollection Class


TJclStrCollection.AppendFromStrings Method

TJclStrCollection Class

procedure AppendFromStrings(Strings: TStrings);

Class

TJclStrCollection Class


TJclStrCollection.AppendToStrings Method

TJclStrCollection Class

procedure AppendToStrings(Strings: TStrings);

Class

TJclStrCollection Class


TJclStrCollection.Clear Method

TJclStrCollection Class

procedure Clear; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.Contains Method

TJclStrCollection Class

function Contains(const AString: string): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.ContainsAll Method

TJclStrCollection Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.Equals Method

TJclStrCollection Class

function Equals(ACollection: IJclStrCollection): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.First Method

TJclStrCollection Class

function First: IJclStrIterator; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.GetAsDelimited Method

TJclStrCollection Class

function GetAsDelimited(const Separator: string = AnsiLineBreak): string;

Class

TJclStrCollection Class


TJclStrCollection.GetAsStrings Method

TJclStrCollection Class

function GetAsStrings: TStrings;

Class

TJclStrCollection Class


TJclStrCollection.IsEmpty Method

TJclStrCollection Class

function IsEmpty: Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.Last Method

TJclStrCollection Class

function Last: IJclStrIterator; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.LoadDelimited Method

TJclStrCollection Class

procedure LoadDelimited(const AString: string; const Separator: string = AnsiLineBreak);

Class

TJclStrCollection Class


TJclStrCollection.LoadFromStrings Method

TJclStrCollection Class

procedure LoadFromStrings(Strings: TStrings);

Class

TJclStrCollection Class


TJclStrCollection.Remove Method

TJclStrCollection Class

function Remove(const AString: string): Boolean; virtual; abstract; overload;

Class

TJclStrCollection Class


TJclStrCollection.RemoveAll Method

TJclStrCollection Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.RetainAll Method

TJclStrCollection Class

function RetainAll(ACollection: IJclStrCollection): Boolean; virtual; abstract;

Class

TJclStrCollection Class


TJclStrCollection.SaveToStrings Method

TJclStrCollection Class

procedure SaveToStrings(Strings: TStrings);

Class

TJclStrCollection Class


TJclStrCollection.Size Method

TJclStrCollection Class

function Size: Integer; virtual; abstract;

Class

TJclStrCollection Class


TJclStrIntfBucket Class

TJclStrIntfBucket = class;

Fields

Entries

TJclStrIntfBucket=recordCount

Unit

JclHashMaps


TJclStrIntfBucket Class Fields

TJclStrIntfBucket Class

Fields

Entries

TJclStrIntfBucket=recordCount


TJclStrIntfBucket Class Members

TJclStrIntfBucket Class

Members

Fields

Entries

TJclStrIntfBucket=recordCount


TJclStrIntfBucket.Entries Field

TJclStrIntfBucket Class

Entries: TJclStrIntfEntryArray;

Class

TJclStrIntfBucket Class


TJclStrIntfBucket.TJclStrIntfBucket_recordCount Field
TJclStrIntfBucket.TJclStrIntfBucket=recordCount Field

TJclStrIntfBucket Class

TJclStrIntfBucket=recordCount: Integer;

Class

TJclStrIntfBucket Class


TJclStrLinkedListItem Class

TJclStrLinkedListItem = class;

Fields

Next

TJclStrLinkedListItem=recordStr

Unit

JclLinkedLists


TJclStrLinkedListItem Class Fields

TJclStrLinkedListItem Class

Fields

Next

TJclStrLinkedListItem=recordStr


TJclStrLinkedListItem Class Members

TJclStrLinkedListItem Class

Members

Fields

Next

TJclStrLinkedListItem=recordStr


TJclStrLinkedListItem.Next Field

TJclStrLinkedListItem Class

Next: PJclStrLinkedListItem;

Class

TJclStrLinkedListItem Class


TJclStrLinkedListItem.TJclStrLinkedListItem_recordStr Field
TJclStrLinkedListItem.TJclStrLinkedListItem=recordStr Field

TJclStrLinkedListItem Class

TJclStrLinkedListItem=recordStr: string;

Class

TJclStrLinkedListItem Class


TJclStrStrBucket Class

TJclStrStrBucket = class;

Fields

Entries

TJclStrStrBucket=recordCount

Unit

JclHashMaps


TJclStrStrBucket Class Fields

TJclStrStrBucket Class

Fields

Entries

TJclStrStrBucket=recordCount


TJclStrStrBucket Class Members

TJclStrStrBucket Class

Members

Fields

Entries

TJclStrStrBucket=recordCount


TJclStrStrBucket.Entries Field

TJclStrStrBucket Class

Entries: TJclStrStrEntryArray;

Class

TJclStrStrBucket Class


TJclStrStrBucket.TJclStrStrBucket_recordCount Field
TJclStrStrBucket.TJclStrStrBucket=recordCount Field

TJclStrStrBucket Class

TJclStrStrBucket=recordCount: Integer;

Class

TJclStrStrBucket Class


TJclStructStorageFolder Class

Properties	Methods	Legend

TJclStructStorageFolder = class(TPersistent);

Fields

 FAccessMode

 FConvertedMode

 FFileName

 FLastError

 FStorage

Legend

protected

read only

Constructor

Unit

JclStructStorage


TJclStructStorageFolder Class Fields

TJclStructStorageFolder Class	Legend

Fields

 FAccessMode

 FConvertedMode

 FFileName

 FLastError

 FStorage


Legend

protected


TJclStructStorageFolder Class Properties

TJclStructStorageFolder Class	Legend

Properties

 Intf

 LastError

 Name


Legend

read only


TJclStructStorageFolder Class Methods

TJclStructStorageFolder Class	Legend

Methods

Add

 AssignTo

 Check

 CheckResult

Commit

Convert

CopyTo

 Create

Delete

 Destroy

FreeStats

GetFileStream

GetFolder

GetStats

GetSubItems

IsStructured

MoveTo

Rename

Revert

SetElementTimes


Legend

protected

Constructor


Legend

TJclStructStorageFolder Class

Legend

protected

read only

Constructor


TJclStructStorageFolder Class Members

TJclStructStorageFolder Class	Legend

Members

Fields

 FAccessMode

 FConvertedMode

 FFileName

 FLastError

 FStorage

Properties

 Intf

 LastError

 Name

Methods

Add

 AssignTo

 Check

 CheckResult

Commit

Convert

CopyTo

 Create

Delete

 Destroy

FreeStats

GetFileStream

GetFolder

GetStats

GetSubItems

IsStructured

MoveTo

Rename

Revert

SetElementTimes


Legend

protected

read only

Constructor


TJclStructStorageFolder.FAccessMode Field

TJclStructStorageFolder Class

FAccessMode: TJclStructStorageAccessModes;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.FConvertedMode Field

TJclStructStorageFolder Class

FConvertedMode: UINT;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.FFileName Field

TJclStructStorageFolder Class

FFileName: string;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.FLastError Field

TJclStructStorageFolder Class

FLastError: HRESULT;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.FStorage Field

TJclStructStorageFolder Class

FStorage: IStorage;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Intf Property

TJclStructStorageFolder Class

property Intf: IStorage;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.LastError Property

TJclStructStorageFolder Class

property LastError: HRESULT;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Name Property

TJclStructStorageFolder Class

property Name: string;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Add Method

TJclStructStorageFolder Class

function Add(const Name: string; IsFolder: Boolean): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.AssignTo Method

TJclStructStorageFolder Class

procedure AssignTo(Dest: TPersistent); override;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Check Method

TJclStructStorageFolder Class

procedure Check;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.CheckResult Method

TJclStructStorageFolder Class

function CheckResult(HR: HRESULT): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Commit Method

TJclStructStorageFolder Class

function Commit: Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Convert Method

TJclStructStorageFolder Class

class function Convert(const FileName: string): HRESULT;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.CopyTo Method

TJclStructStorageFolder Class

function CopyTo(const OldName: string; const NewName: string; Dest: TJclStructStorageFolder): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Create Constructor

TJclStructStorageFolder Class

constructor Create(const FileName: string; AccessMode: TJclStructStorageAccessModes; OpenDirect: Boolean = False); virtual;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Delete Method

TJclStructStorageFolder Class

function Delete(const Name: string): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Destroy Destructor

TJclStructStorageFolder Class

destructor Destroy; override;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.FreeStats Method

TJclStructStorageFolder Class

procedure FreeStats(var Stat: TStatStg);

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.GetFileStream Method

TJclStructStorageFolder Class

function GetFileStream(const Name: string; out Stream: TStream): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.GetFolder Method

TJclStructStorageFolder Class

function GetFolder(const Name: string; out Storage: TJclStructStorageFolder): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.GetStats Method

TJclStructStorageFolder Class

function GetStats(out Stat: TStatStg; IncludeName: Boolean): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.GetSubItems Method

TJclStructStorageFolder Class

function GetSubItems(Strings: TStrings; Folders: Boolean): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.IsStructured Method

TJclStructStorageFolder Class

class function IsStructured(const FileName: string): HRESULT;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.MoveTo Method

TJclStructStorageFolder Class

function MoveTo(const OldName: string; const NewName: string; Dest: TJclStructStorageFolder): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Rename Method

TJclStructStorageFolder Class

function Rename(const OldName: string; const NewName: string): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.Revert Method

TJclStructStorageFolder Class

function Revert: Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageFolder.SetElementTimes Method

TJclStructStorageFolder Class

function SetElementTimes(const Name: string; Stat: TStatStg): Boolean;

Class

TJclStructStorageFolder Class


TJclStructStorageStream Class

Properties	Methods	Legend

TJclStructStorageStream = class(TStream);

Fields

 FLastError

 FName

 FStream

Legend

protected

read only

Destructor

Unit

JclStructStorage


TJclStructStorageStream Class Fields

TJclStructStorageStream Class	Legend

Fields

 FLastError

 FName

 FStream


Legend

protected


TJclStructStorageStream Class Properties

TJclStructStorageStream Class	Legend

Properties

 Intf

 LastError

 Name


Legend

read only


TJclStructStorageStream Class Methods

TJclStructStorageStream Class	Legend

Methods

 Check

 CheckResult

Clone

CopyTo

 Destroy

FreeStats

GetStats

Read

Seek

 SetSize

Write


Legend

protected

Destructor


Legend

TJclStructStorageStream Class

Legend

protected

read only

Destructor


TJclStructStorageStream Class Members

TJclStructStorageStream Class	Legend

Members

Fields

 FLastError

 FName

 FStream

Properties

 Intf

 LastError

 Name

Methods

 Check

 CheckResult

Clone

CopyTo

 Destroy

FreeStats

GetStats

Read

Seek

 SetSize

Write


Legend

protected

read only

Destructor


TJclStructStorageStream.FLastError Field

TJclStructStorageStream Class

FLastError: HRESULT;

Class

TJclStructStorageStream Class


TJclStructStorageStream.FName Field

TJclStructStorageStream Class

FName: string;

Class

TJclStructStorageStream Class


TJclStructStorageStream.FStream Field

TJclStructStorageStream Class

FStream: IStream;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Intf Property

TJclStructStorageStream Class

property Intf: IStream;

Class

TJclStructStorageStream Class


TJclStructStorageStream.LastError Property

TJclStructStorageStream Class

property LastError: HRESULT;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Name Property

TJclStructStorageStream Class

property Name: string;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Check Method

TJclStructStorageStream Class

procedure Check;

Class

TJclStructStorageStream Class


TJclStructStorageStream.CheckResult Method

TJclStructStorageStream Class

function CheckResult(HR: HRESULT): Boolean;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Clone Method

TJclStructStorageStream Class

function Clone: TJclStructStorageStream;

Class

TJclStructStorageStream Class


TJclStructStorageStream.CopyTo Method

TJclStructStorageStream Class

function CopyTo(Stream: TJclStructStorageStream; Size: Int64): Boolean;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Destroy Destructor

TJclStructStorageStream Class

destructor Destroy; override;

Class

TJclStructStorageStream Class


TJclStructStorageStream.FreeStats Method

TJclStructStorageStream Class

procedure FreeStats(var Stat: TStatStg);

Class

TJclStructStorageStream Class


TJclStructStorageStream.GetStats Method

TJclStructStorageStream Class

function GetStats(out Stat: TStatStg; IncludeName: Boolean): Boolean;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Read Method

TJclStructStorageStream Class

function Read(var Buffer; Count: Longint): Longint; override;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Seek Method

TJclStructStorageStream Class

function Seek(Offset: Longint; Origin: Word): Longint; override;

Class

TJclStructStorageStream Class


TJclStructStorageStream.SetSize Method

TJclStructStorageStream Class

procedure SetSize(NewSize: Longint); override;

Class

TJclStructStorageStream Class


TJclStructStorageStream.Write Method

TJclStructStorageStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Class

TJclStructStorageStream Class


TJclSymbolInfo Class

Properties	Methods	Legend

TJclSymbolInfo = class(TObject);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclSymbolInfo Class Properties

TJclSymbolInfo Class	Legend

Properties

 SymbolType


Legend

protected

read only


TJclSymbolInfo Class Methods

TJclSymbolInfo Class	Legend

Methods

 Create


Legend

Constructor

protected


Legend

TJclSymbolInfo Class

Legend

protected

read only

Constructor


TJclSymbolInfo Class Members

TJclSymbolInfo Class	Legend

Members

Properties

 SymbolType

Methods

 Create


Legend

protected

read only

Constructor


TJclSymbolInfo.SymbolType Property

TJclSymbolInfo Class

property SymbolType: Word;

Class

TJclSymbolInfo Class


TJclSymbolInfo.Create Constructor

TJclSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); virtual;

Class

TJclSymbolInfo Class


TJclTARCompressionStream Class

Properties	Methods	Legend

TJclTARCompressionStream = class(TJclCompressionStream);

Legend

protected

Constructor

Unit

JclCompression


TJclTARCompressionStream Class Properties

TJclTARCompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclTARCompressionStream Class Methods

TJclTARCompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

Constructor

protected


Legend

TJclTARCompressionStream Class

Legend

protected

Constructor


TJclTARCompressionStream Class Members

TJclTARCompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write


Legend

protected

Constructor


TJclTARDecompressionStream Class

Properties	Methods	Legend

TJclTARDecompressionStream = class(TJclDecompressStream);

Legend

protected

Constructor

Unit

JclCompression


TJclTARDecompressionStream Class Properties

TJclTARDecompressionStream Class	Legend

Properties

 OnProgress


Legend

protected


TJclTARDecompressionStream Class Methods

TJclTARDecompressionStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

Constructor

protected


Legend

TJclTARDecompressionStream Class

Legend

protected

Constructor


TJclTARDecompressionStream Class Members

TJclTARDecompressionStream Class	Legend

Members

Properties

 OnProgress

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create


Legend

protected

Constructor


TJclTaskSchedule Class

Properties	Methods	Legend

TJclTaskSchedule = class(TObject);

Legend

read only

Constructor

Unit

JclTask


TJclTaskSchedule Class Properties

TJclTaskSchedule Class	Legend

Properties

TargetComputer

 TaskCount

 Tasks

 TaskScheduler


Legend

read only


TJclTaskSchedule Class Methods

TJclTaskSchedule Class	Legend

Methods

Add

 Create

Delete

 Destroy

IsRunning

Refresh

Remove

Start

Stop


Legend

Constructor


Legend

TJclTaskSchedule Class

Legend

read only

Constructor


TJclTaskSchedule Class Members

TJclTaskSchedule Class	Legend

Members

Properties

TargetComputer

 TaskCount

 Tasks

 TaskScheduler

Methods

Add

 Create

Delete

 Destroy

IsRunning

Refresh

Remove

Start

Stop


Legend

read only

Constructor


TJclTaskSchedule.TargetComputer Property

TJclTaskSchedule Class

property TargetComputer: WideString;

Class

TJclTaskSchedule Class


TJclTaskSchedule.TaskCount Property

TJclTaskSchedule Class

property TaskCount: Integer;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Tasks Property

TJclTaskSchedule Class

property Tasks [const Idx: Integer]: TJclScheduledTask;

Class

TJclTaskSchedule Class


TJclTaskSchedule.TaskScheduler Property

TJclTaskSchedule Class

property TaskScheduler: ITaskScheduler;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Add Method

TJclTaskSchedule Class

function Add(const TaskName: WideString): TJclScheduledTask;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Create Constructor

TJclTaskSchedule Class

constructor Create(const ComputerName: WideString = '');

Class

TJclTaskSchedule Class


TJclTaskSchedule.Delete Method

TJclTaskSchedule Class

procedure Delete(const Idx: Integer);

Class

TJclTaskSchedule Class


TJclTaskSchedule.Destroy Destructor

TJclTaskSchedule Class

destructor Destroy; override;

Class

TJclTaskSchedule Class


TJclTaskSchedule.IsRunning Method

TJclTaskSchedule Class

class function IsRunning: Boolean;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Refresh Method

TJclTaskSchedule Class

procedure Refresh;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Remove Method (ITask)

TJclTaskSchedule Class

function Remove(const TaskIntf: ITask): Integer; overload;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Remove Method (TJclScheduledTask)

TJclTaskSchedule Class

function Remove(const ATask: TJclScheduledTask): Integer; overload;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Remove Method (WideString)

TJclTaskSchedule Class

function Remove(const TaskName: WideString): Integer; overload;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Start Method

TJclTaskSchedule Class

class procedure Start;

Class

TJclTaskSchedule Class


TJclTaskSchedule.Stop Method

TJclTaskSchedule Class

class procedure Stop;

Class

TJclTaskSchedule Class


TJclTaskTrigger Class

Properties	Legend

TJclTaskTrigger = class(TCollectionItem);

Legend

read only

Unit

JclTask


TJclTaskTrigger Class Properties

TJclTaskTrigger Class	Legend

Properties

 TaskTrigger

Trigger

 TriggerString


Legend

read only


Legend

TJclTaskTrigger Class

Legend

read only


TJclTaskTrigger Class Members

TJclTaskTrigger Class	Legend

Members

Properties

 TaskTrigger

Trigger

 TriggerString


Legend

read only


TJclTaskTrigger.TaskTrigger Property

TJclTaskTrigger Class

property TaskTrigger: ITaskTrigger;

Class

TJclTaskTrigger Class


TJclTaskTrigger.Trigger Property

TJclTaskTrigger Class

property Trigger: TTaskTrigger;

Class

TJclTaskTrigger Class


TJclTaskTrigger.TriggerString Property

TJclTaskTrigger Class

property TriggerString: WideString;

Class

TJclTaskTrigger Class


TJclTaskTriggers Class

Properties	Methods	Legend

TJclTaskTriggers = class(TCollection);

Fields

FWorkItem

Legend

Constructor

protected

Unit

JclTask


TJclTaskTriggers Class Fields

TJclTaskTriggers Class

Fields

FWorkItem


TJclTaskTriggers Class Properties

TJclTaskTriggers Class

Properties

Items


TJclTaskTriggers Class Methods

TJclTaskTriggers Class	Legend

Methods

Add

AddItem

 Create

GetItem

 GetOwner

Insert

SetItem


Legend

Constructor

protected


Legend

TJclTaskTriggers Class

Legend

Constructor

protected


TJclTaskTriggers Class Members

TJclTaskTriggers Class	Legend

Members

Fields

FWorkItem

Properties

Items

Methods

Add

AddItem

 Create

GetItem

 GetOwner

Insert

SetItem


Legend

Constructor

protected


TJclTaskTriggers.FWorkItem Field

TJclTaskTriggers Class

FWorkItem: TJclScheduledWorkItem;

Class

TJclTaskTriggers Class


TJclTaskTriggers.Items Property

TJclTaskTriggers Class

property Items [Index: Integer]: TJclTaskTrigger;

Class

TJclTaskTriggers Class


TJclTaskTriggers.Add Method ()

TJclTaskTriggers Class

function Add: TJclTaskTrigger; overload;

Class

TJclTaskTriggers Class


TJclTaskTriggers.Add Method (ITaskTrigger)

TJclTaskTriggers Class

function Add(ATrigger: ITaskTrigger): TJclTaskTrigger; overload;

Class

TJclTaskTriggers Class


TJclTaskTriggers.AddItem Method

TJclTaskTriggers Class

function AddItem(Item: TJclTaskTrigger; Index: Integer): TJclTaskTrigger;

Class

TJclTaskTriggers Class


TJclTaskTriggers.Create Constructor

TJclTaskTriggers Class

constructor Create(AWorkItem: TJclScheduledWorkItem);

Class

TJclTaskTriggers Class


TJclTaskTriggers.GetItem Method

TJclTaskTriggers Class

function GetItem(Index: Integer): TJclTaskTrigger;

Class

TJclTaskTriggers Class


TJclTaskTriggers.GetOwner Method

TJclTaskTriggers Class

function GetOwner: TPersistent; override;

Class

TJclTaskTriggers Class


TJclTaskTriggers.Insert Method

TJclTaskTriggers Class

function Insert(Index: Integer): TJclTaskTrigger;

Class

TJclTaskTriggers Class


TJclTaskTriggers.SetItem Method

TJclTaskTriggers Class

procedure SetItem(Index: Integer; Value: TJclTaskTrigger);

Class

TJclTaskTriggers Class


TJclTD32InfoParser Class

Properties	Methods	Legend

TJclTD32InfoParser = class(TObject);

Legend

read only

protected

Constructor

Unit

JclTD32


TJclTD32InfoParser Class Properties

TJclTD32InfoParser Class	Legend

Properties

 Data

 ModuleCount

 Modules

 NameCount

 Names

 SourceModuleCount

 SourceModules

 SymbolCount

 Symbols

 ValidData


Legend

read only


TJclTD32InfoParser Class Methods

TJclTD32InfoParser Class	Legend

Methods

 Analyse

 AnalyseAlignSymbols

 AnalyseGlobalTypes

 AnalyseModules

 AnalyseNames

 AnalyseSourceModules

 AnalyseUnknownSubSection

 Create

 Destroy

FindModule

FindProc

FindSourceModule

IsTD32DebugInfoValid

IsTD32Sign

 LfaToVa


Legend

protected

Constructor


Legend

TJclTD32InfoParser Class

Legend

read only

protected

Constructor


TJclTD32InfoParser Class Members

TJclTD32InfoParser Class	Legend

Members

Properties

 Data

 ModuleCount

 Modules

 NameCount

 Names

 SourceModuleCount

 SourceModules

 SymbolCount

 Symbols

 ValidData

Methods

 Analyse

 AnalyseAlignSymbols

 AnalyseGlobalTypes

 AnalyseModules

 AnalyseNames

 AnalyseSourceModules

 AnalyseUnknownSubSection

 Create

 Destroy

FindModule

FindProc

FindSourceModule

IsTD32DebugInfoValid

IsTD32Sign

 LfaToVa


Legend

read only

protected

Constructor


TJclTD32InfoParser.Data Property

TJclTD32InfoParser Class

property Data: TCustomMemoryStream;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.ModuleCount Property

TJclTD32InfoParser Class

property ModuleCount: Integer;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Modules Property

TJclTD32InfoParser Class

property Modules [const Idx: Integer]: TJclModuleInfo;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.NameCount Property

TJclTD32InfoParser Class

property NameCount: Integer;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Names Property

TJclTD32InfoParser Class

property Names [const Idx: Integer]: string;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.SourceModuleCount Property

TJclTD32InfoParser Class

property SourceModuleCount: Integer;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.SourceModules Property

TJclTD32InfoParser Class

property SourceModules [const Idx: Integer]: TJclSourceModuleInfo;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.SymbolCount Property

TJclTD32InfoParser Class

property SymbolCount: Integer;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Symbols Property

TJclTD32InfoParser Class

property Symbols [const Idx: Integer]: TJclSymbolInfo;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.ValidData Property

TJclTD32InfoParser Class

property ValidData: Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Analyse Method

TJclTD32InfoParser Class

procedure Analyse;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseAlignSymbols Method

TJclTD32InfoParser Class

procedure AnalyseAlignSymbols(pSymbols: PSymbolInfos; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseGlobalTypes Method

TJclTD32InfoParser Class

procedure AnalyseGlobalTypes(const pTypes: Pointer; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseModules Method

TJclTD32InfoParser Class

procedure AnalyseModules(pModInfo: PModuleInfo; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseNames Method

TJclTD32InfoParser Class

procedure AnalyseNames(const pSubsection: Pointer; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseSourceModules Method

TJclTD32InfoParser Class

procedure AnalyseSourceModules(pSrcModInfo: PSourceModuleInfo; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.AnalyseUnknownSubSection Method

TJclTD32InfoParser Class

procedure AnalyseUnknownSubSection(const pSubsection: Pointer; const Size: DWORD); virtual;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Create Constructor

TJclTD32InfoParser Class

constructor Create(const ATD32Data: TCustomMemoryStream);

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.Destroy Destructor

TJclTD32InfoParser Class

destructor Destroy; override;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.FindModule Method

TJclTD32InfoParser Class

function FindModule(const AAddr: DWORD; var AMod: TJclModuleInfo): Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.FindProc Method

TJclTD32InfoParser Class

function FindProc(const AAddr: DWORD; var AProc: TJclProcSymbolInfo): Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.FindSourceModule Method

TJclTD32InfoParser Class

function FindSourceModule(const AAddr: DWORD; var ASrcMod: TJclSourceModuleInfo): Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.IsTD32DebugInfoValid Method

TJclTD32InfoParser Class

class function IsTD32DebugInfoValid(const DebugData: Pointer; const DebugDataSize: LongWord): Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.IsTD32Sign Method

TJclTD32InfoParser Class

class function IsTD32Sign(const Sign: TJclTD32FileSignature): Boolean;

Class

TJclTD32InfoParser Class


TJclTD32InfoParser.LfaToVa Method

TJclTD32InfoParser Class

function LfaToVa(Lfa: DWORD): Pointer;

Class

TJclTD32InfoParser Class


TJclTD32InfoScanner Class

Properties	Methods	Legend

TJclTD32InfoScanner = class(TJclTD32InfoParser);

Legend

read only

protected

Constructor

Unit

JclTD32


TJclTD32InfoScanner Class Properties

TJclTD32InfoScanner Class	Legend

Properties

 Data

 ModuleCount

 Modules

 NameCount

 Names

 SourceModuleCount

 SourceModules

 SymbolCount

 Symbols

 ValidData


Legend

read only


TJclTD32InfoScanner Class Methods

TJclTD32InfoScanner Class	Legend

Methods

 Analyse

 AnalyseAlignSymbols

 AnalyseGlobalTypes

 AnalyseModules

 AnalyseNames

 AnalyseSourceModules

 AnalyseUnknownSubSection

 Create

 Destroy

FindModule

FindProc

FindSourceModule

IsTD32DebugInfoValid

IsTD32Sign

 LfaToVa

TJclTD32InfoScanner Class

LineNumberFromAddr

ModuleNameFromAddr

ProcNameFromAddr

SourceNameFromAddr


Legend

protected

Constructor


Legend

TJclTD32InfoScanner Class

Legend

read only

protected

Constructor


TJclTD32InfoScanner Class Members

TJclTD32InfoScanner Class	Legend

Members

Properties

 Data

 ModuleCount

 Modules

 NameCount

 Names

 SourceModuleCount

 SourceModules

 SymbolCount

 Symbols

 ValidData

Methods

 Analyse

 AnalyseAlignSymbols

 AnalyseGlobalTypes

 AnalyseModules

 AnalyseNames

 AnalyseSourceModules

 AnalyseUnknownSubSection

 Create

 Destroy

FindModule

FindProc

FindSourceModule

IsTD32DebugInfoValid

IsTD32Sign

 LfaToVa

TJclTD32InfoScanner Class

LineNumberFromAddr

ModuleNameFromAddr

ProcNameFromAddr

SourceNameFromAddr


Legend

read only

protected

Constructor


TJclTD32InfoScanner.LineNumberFromAddr Method (DWORD)

TJclTD32InfoScanner Class

function LineNumberFromAddr(AAddr: DWORD): Integer; overload;

Class

TJclTD32InfoScanner Class


TJclTD32InfoScanner.LineNumberFromAddr Method (DWORD, Integer)

TJclTD32InfoScanner Class

function LineNumberFromAddr(AAddr: DWORD; var Offset: Integer): Integer; overload;

Class

TJclTD32InfoScanner Class


TJclTD32InfoScanner.ModuleNameFromAddr Method

TJclTD32InfoScanner Class

function ModuleNameFromAddr(AAddr: DWORD): string;

Class

TJclTD32InfoScanner Class


TJclTD32InfoScanner.ProcNameFromAddr Method (DWORD)

TJclTD32InfoScanner Class

function ProcNameFromAddr(AAddr: DWORD): string; overload;

Class

TJclTD32InfoScanner Class


TJclTD32InfoScanner.ProcNameFromAddr Method (DWORD, Integer)

TJclTD32InfoScanner Class

function ProcNameFromAddr(AAddr: DWORD; var Offset: Integer): string; overload;

Class

TJclTD32InfoScanner Class


TJclTD32InfoScanner.SourceNameFromAddr Method

TJclTD32InfoScanner Class

function SourceNameFromAddr(AAddr: DWORD): string;

Class

TJclTD32InfoScanner Class


TJclUdtSymbolInfo Class

Properties	Methods	Legend

TJclUdtSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclUdtSymbolInfo Class Properties

TJclUdtSymbolInfo Class	Legend

Properties

 SymbolType

TJclUdtSymbolInfo Class

 NameIndex

 Properties

 TypeIndex


Legend

protected

read only


TJclUdtSymbolInfo Class Methods

TJclUdtSymbolInfo Class	Legend

Methods

 Create

TJclUdtSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclUdtSymbolInfo Class

Legend

protected

read only

Constructor


TJclUdtSymbolInfo Class Members

TJclUdtSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclUdtSymbolInfo Class

 NameIndex

 Properties

 TypeIndex

Methods

 Create

TJclUdtSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclUdtSymbolInfo.NameIndex Property

TJclUdtSymbolInfo Class

property NameIndex: DWORD;

Class

TJclUdtSymbolInfo Class


TJclUdtSymbolInfo.Properties Property

TJclUdtSymbolInfo Class

property Properties: Word;

Class

TJclUdtSymbolInfo Class


TJclUdtSymbolInfo.TypeIndex Property

TJclUdtSymbolInfo Class

property TypeIndex: DWORD;

Class

TJclUdtSymbolInfo Class


TJclUdtSymbolInfo.Create Constructor

TJclUdtSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclUdtSymbolInfo Class


TJclUnaryInstruction Class

Properties	Methods	Legend

TJclUnaryInstruction = class(TJclInstruction);

Legend

read only

Constructor

protected

Unit

JclCIL


TJclUnaryInstruction Class Properties

TJclUnaryInstruction Class	Legend

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode


Legend

read only


TJclUnaryInstruction Class Methods

TJclUnaryInstruction Class	Legend

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

Constructor

protected


Legend

TJclUnaryInstruction Class

Legend

read only

Constructor

protected


TJclUnaryInstruction Class Members

TJclUnaryInstruction Class	Legend

Members

Properties

 Description

 FullName

 Name

 Offset

 OpCode

 Owner

Param

 ParamType

 RealOpCode

 Size

 WideOpCode

Methods

 Create

DumpIL

 DumpILOption

 GetSize

Load

Save


Legend

read only

Constructor

protected


TJclUnitVersioningList Class

Properties	Methods	Legend

TJclUnitVersioningList = class(TObject);

Legend

read only

Constructor

Unit

JclUnitVersioningProviders


TJclUnitVersioningList Class Properties

TJclUnitVersioningList Class	Legend

Properties

 Count

 Items


Legend

read only


TJclUnitVersioningList Class Methods

TJclUnitVersioningList Class	Legend

Methods

Add

Clear

 Create

 Destroy

Load

LoadFromDefaultResource

LoadFromDefaultSection

LoadFromStream

SaveToFile

SaveToStream


Legend

Constructor


Legend

TJclUnitVersioningList Class

Legend

read only

Constructor


TJclUnitVersioningList Class Members

TJclUnitVersioningList Class	Legend

Members

Properties

 Count

 Items

Methods

Add

Clear

 Create

 Destroy

Load

LoadFromDefaultResource

LoadFromDefaultSection

LoadFromStream

SaveToFile

SaveToStream


Legend

read only

Constructor


TJclUnitVersioningList.Count Property

TJclUnitVersioningList Class

property Count: Integer;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Items Property

TJclUnitVersioningList Class

property Items [AIndex: Integer]: PUnitVersionInfo;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Add Method

TJclUnitVersioningList Class

procedure Add(Info: TUnitVersionInfo);

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Clear Method

TJclUnitVersioningList Class

procedure Clear;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Create Constructor

TJclUnitVersioningList Class

constructor Create;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Destroy Destructor

TJclUnitVersioningList Class

destructor Destroy; override;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.Load Method

TJclUnitVersioningList Class

function Load(AModule: HMODULE): Boolean;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.LoadFromDefaultResource Method

TJclUnitVersioningList Class

function LoadFromDefaultResource(AModule: HMODULE): Boolean;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.LoadFromDefaultSection Method

TJclUnitVersioningList Class

function LoadFromDefaultSection(AModule: HMODULE): Boolean;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.LoadFromStream Method

TJclUnitVersioningList Class

function LoadFromStream(AStream: TStream): Boolean;

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.SaveToFile Method

TJclUnitVersioningList Class

procedure SaveToFile(AFileName: string);

Class

TJclUnitVersioningList Class


TJclUnitVersioningList.SaveToStream Method

TJclUnitVersioningList Class

procedure SaveToStream(AStream: TStream);

Class

TJclUnitVersioningList Class


TJclUnitVersioningProviderModule Class

Properties	Methods	Legend

TJclUnitVersioningProviderModule = class(TObject);

Legend

read only

Constructor

Unit

JclUnitVersioningProviders


TJclUnitVersioningProviderModule Class Properties

TJclUnitVersioningProviderModule Class	Legend

Properties

 InfoList

 Instance


Legend

read only


TJclUnitVersioningProviderModule Class Methods

TJclUnitVersioningProviderModule Class	Legend

Methods

 Create

 Destroy


Legend

Constructor


Legend

TJclUnitVersioningProviderModule Class

Legend

read only

Constructor


TJclUnitVersioningProviderModule Class Members

TJclUnitVersioningProviderModule Class	Legend

Members

Properties

 InfoList

 Instance

Methods

 Create

 Destroy


Legend

read only

Constructor


TJclUnitVersioningProviderModule.InfoList Property

TJclUnitVersioningProviderModule Class

property InfoList: TJclUnitVersioningList;

Class

TJclUnitVersioningProviderModule Class


TJclUnitVersioningProviderModule.Instance Property

TJclUnitVersioningProviderModule Class

property Instance: THandle;

Class

TJclUnitVersioningProviderModule Class


TJclUnitVersioningProviderModule.Create Constructor

TJclUnitVersioningProviderModule Class

constructor Create(Instance: THandle);

Class

TJclUnitVersioningProviderModule Class


TJclUnitVersioningProviderModule.Destroy Destructor

TJclUnitVersioningProviderModule Class

destructor Destroy; override;

Class

TJclUnitVersioningProviderModule Class


TJclVftPathSymbolInfo Class

Properties	Methods	Legend

TJclVftPathSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclVftPathSymbolInfo Class Properties

TJclVftPathSymbolInfo Class	Legend

Properties

 SymbolType

TJclVftPathSymbolInfo Class

 Offset

 PathIndex

 RootIndex


Legend

protected

read only


TJclVftPathSymbolInfo Class Methods

TJclVftPathSymbolInfo Class	Legend

Methods

 Create

TJclVftPathSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclVftPathSymbolInfo Class

Legend

protected

read only

Constructor


TJclVftPathSymbolInfo Class Members

TJclVftPathSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclVftPathSymbolInfo Class

 Offset

 PathIndex

 RootIndex

Methods

 Create

TJclVftPathSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclVftPathSymbolInfo.Offset Property

TJclVftPathSymbolInfo Class

property Offset: DWORD;

Class

TJclVftPathSymbolInfo Class


TJclVftPathSymbolInfo.PathIndex Property

TJclVftPathSymbolInfo Class

property PathIndex: DWORD;

Class

TJclVftPathSymbolInfo Class


TJclVftPathSymbolInfo.RootIndex Property

TJclVftPathSymbolInfo Class

property RootIndex: DWORD;

Class

TJclVftPathSymbolInfo Class


TJclVftPathSymbolInfo.Create Constructor

TJclVftPathSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclVftPathSymbolInfo Class


TJclWithSymbolInfo Class

Properties	Methods	Legend

TJclWithSymbolInfo = class(TJclSymbolInfo);

Legend

protected

read only

Constructor

Unit

JclTD32


TJclWithSymbolInfo Class Properties

TJclWithSymbolInfo Class	Legend

Properties

 SymbolType

TJclWithSymbolInfo Class

 NameIndex

 Offset

 Size


Legend

protected

read only


TJclWithSymbolInfo Class Methods

TJclWithSymbolInfo Class	Legend

Methods

 Create

TJclWithSymbolInfo Class

 Create


Legend

Constructor

protected


Legend

TJclWithSymbolInfo Class

Legend

protected

read only

Constructor


TJclWithSymbolInfo Class Members

TJclWithSymbolInfo Class	Legend

Members

Properties

 SymbolType

TJclWithSymbolInfo Class

 NameIndex

 Offset

 Size

Methods

 Create

TJclWithSymbolInfo Class

 Create


Legend

protected

read only

Constructor


TJclWithSymbolInfo.NameIndex Property

TJclWithSymbolInfo Class

property NameIndex: DWORD;

Class

TJclWithSymbolInfo Class


TJclWithSymbolInfo.Offset Property

TJclWithSymbolInfo Class

property Offset: DWORD;

Class

TJclWithSymbolInfo Class


TJclWithSymbolInfo.Size Property

TJclWithSymbolInfo Class

property Size: DWORD;

Class

TJclWithSymbolInfo Class


TJclWithSymbolInfo.Create Constructor

TJclWithSymbolInfo Class

constructor Create(pSymInfo: PSymbolInfo); override;

Class

TJclWithSymbolInfo Class


TJclZLibCompressStream Class

Properties	Methods	Legend

TJclZLibCompressStream = class(TJclCompressStream);

Fields

TJclZLibCompressStream Class

 ZLibRecord

Legend

protected

Constructor

Unit

JclCompression


TJclZLibCompressStream Class Properties

TJclZLibCompressStream Class	Legend

Properties

 OnProgress

TJclZLibCompressStream Class

CompressionLevel

MemLevel

Method

Strategy

WindowBits


Legend

protected


TJclZLibCompressStream Class Methods

TJclZLibCompressStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclCompressStream Class

 Create

Flush

TJclZLibCompressStream Class

 Create

 Destroy

Flush

Reset

Seek

 SetCompressionLevel

 SetMemLevel

 SetMethod

 SetStrategy

 SetWindowBits

Write


Legend

Constructor

protected


TJclZLibCompressStream Class Fields

TJclZLibCompressStream Class	Legend

Fields

TJclZLibCompressStream Class

 ZLibRecord


Legend

protected


Legend

TJclZLibCompressStream Class

Legend

protected

Constructor


TJclZLibCompressStream Class Members

TJclZLibCompressStream Class	Legend

Members

Properties

 OnProgress

TJclZLibCompressStream Class

CompressionLevel

MemLevel

Method

Strategy

WindowBits

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclCompressStream Class

 Create

Flush

TJclZLibCompressStream Class

 Create

 Destroy

Flush

Reset

Seek

 SetCompressionLevel

 SetMemLevel

 SetMethod

 SetStrategy

 SetWindowBits

Write

Fields

TJclZLibCompressStream Class

 ZLibRecord


Legend

protected

Constructor


TJclZLibCompressStream.ZLibRecord Field

TJclZLibCompressStream Class

ZLibRecord: TZStreamRec;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.CompressionLevel Property

TJclZLibCompressStream Class

property CompressionLevel: Integer;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.MemLevel Property

TJclZLibCompressStream Class

property MemLevel: Integer;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Method Property

TJclZLibCompressStream Class

property Method: Integer;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Strategy Property

TJclZLibCompressStream Class

property Strategy: Integer;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.WindowBits Property

TJclZLibCompressStream Class

property WindowBits: Integer;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Create Constructor

TJclZLibCompressStream Class

constructor Create(Destination: TStream; CompressionLevel: TJclCompressionLevel = -1);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Destroy Destructor

TJclZLibCompressStream Class

destructor Destroy; override;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Flush Method

TJclZLibCompressStream Class

function Flush: Integer; override;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Reset Method

TJclZLibCompressStream Class

procedure Reset; override;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Seek Method

TJclZLibCompressStream Class

function Seek(Offset: Longint; Origin: Word): Longint; override;

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.SetCompressionLevel Method

TJclZLibCompressStream Class

procedure SetCompressionLevel(Value: Integer);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.SetMemLevel Method

TJclZLibCompressStream Class

procedure SetMemLevel(Value: Integer);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.SetMethod Method

TJclZLibCompressStream Class

procedure SetMethod(Value: Integer);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.SetStrategy Method

TJclZLibCompressStream Class

procedure SetStrategy(Value: Integer);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.SetWindowBits Method

TJclZLibCompressStream Class

procedure SetWindowBits(Value: Integer);

Class

TJclZLibCompressStream Class


TJclZLibCompressStream.Write Method

TJclZLibCompressStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Class

TJclZLibCompressStream Class


TJclZLibDecompressStream Class

Properties	Methods	Legend

TJclZLibDecompressStream = class(TJclDecompressStream);

Fields

TJclZLibDecompressStream Class

 ZLibRecord

Legend

protected

Constructor

Unit

JclCompression


TJclZLibDecompressStream Class Properties

TJclZLibDecompressStream Class	Legend

Properties

 OnProgress

TJclZLibDecompressStream Class

WindowBits


Legend

protected


TJclZLibDecompressStream Class Methods

TJclZLibDecompressStream Class	Legend

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create

TJclZLibDecompressStream Class

 Create

 Destroy

Read

Seek

 SetWindowBits


Legend

Constructor

protected


TJclZLibDecompressStream Class Fields

TJclZLibDecompressStream Class	Legend

Fields

TJclZLibDecompressStream Class

 ZLibRecord


Legend

protected


Legend

TJclZLibDecompressStream Class

Legend

protected

Constructor


TJclZLibDecompressStream Class Members

TJclZLibDecompressStream Class	Legend

Members

Properties

 OnProgress

TJclZLibDecompressStream Class

WindowBits

Methods

 Create

 Destroy

 Progress

Read

Reset

Seek

 SetBufferSize

Write

TJclDecompressStream Class

 Create

TJclZLibDecompressStream Class

 Create

 Destroy

Read

Seek

 SetWindowBits

Fields

TJclZLibDecompressStream Class

 ZLibRecord


Legend

protected

Constructor


TJclZLibDecompressStream.ZLibRecord Field

TJclZLibDecompressStream Class

ZLibRecord: TZStreamRec;

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.WindowBits Property

TJclZLibDecompressStream Class

property WindowBits: Integer;

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.Create Constructor

TJclZLibDecompressStream Class

constructor Create(Source: TStream; WindowBits: Integer = DEF_WBITS);

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.Destroy Destructor

TJclZLibDecompressStream Class

destructor Destroy; override;

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.Read Method

TJclZLibDecompressStream Class

function Read(var Buffer; Count: Longint): Longint; override;

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.Seek Method

TJclZLibDecompressStream Class

function Seek(Offset: Longint; Origin: Word): Longint; override;

Class

TJclZLibDecompressStream Class


TJclZLibDecompressStream.SetWindowBits Method

TJclZLibDecompressStream Class

procedure SetWindowBits(Value: Integer);

Class

TJclZLibDecompressStream Class


TRectComplex Record

Methods	Legend	Operators

TRectComplex = record
  Re: Float;
  Im: Float;
end;

Fields

Im

Re

Legend

Operator

Operators

 Add

 Divide

 Equal

 Implicit

 Multiply

 Negative

 NotEqual

 Subtract

Unit

JclMath


TRectComplex Record Fields

TRectComplex Record

Fields

Im

Re


TRectComplex Record Operators

TRectComplex Record	Legend

Operators

 Add

 Divide

 Equal

 Implicit

 Multiply

 Negative

 NotEqual

 Subtract


Legend

Operator


TRectComplex Record Methods

TRectComplex Record

Methods

Exp


Legend

TRectComplex Record

Legend

Operator


TRectComplex Record Members

TRectComplex Record	Legend

Members

Fields

Im

Re

Operators

 Add

 Divide

 Equal

 Implicit

 Multiply

 Negative

 NotEqual

 Subtract

Methods

Exp


Legend

Operator


TRectComplex.Im Field

TRectComplex Record

Im: Float;

Record

TRectComplex Record


TRectComplex.Re Field

TRectComplex Record

Re: Float;

Record

TRectComplex Record


TRectComplex.Add Operator

TRectComplex Record

class operator Add(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TRectComplex.Divide Operator

TRectComplex Record

class operator Divide(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TRectComplex.Equal Operator

TRectComplex Record

class operator Equal(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TRectComplex.Exp Method

TRectComplex Record

class function Exp(const Z: TRectComplex): TPolarComplex; static;

Record

TRectComplex Record


TRectComplex.Implicit Operator (Float)

TRectComplex Record

class operator Implicit(const Value: Float);

Record

TRectComplex Record


TRectComplex.Implicit Operator (Int64)

TRectComplex Record

class operator Implicit(const Value: Int64);

Record

TRectComplex Record


TRectComplex.Implicit Operator (Integer)

TRectComplex Record

class operator Implicit(const Value: Integer);

Record

TRectComplex Record


TRectComplex.Implicit Operator (TPolarComplex)

TRectComplex Record

class operator Implicit(const Z: TPolarComplex);

Record

TRectComplex Record


TRectComplex.Multiply Operator

TRectComplex Record

class operator Multiply(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TRectComplex.Negative Operator

TRectComplex Record

class operator Negative(const Z: TRectComplex);

Record

TRectComplex Record


TRectComplex.NotEqual Operator

TRectComplex Record

class operator NotEqual(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TRectComplex.Subtract Operator

TRectComplex Record

class operator Subtract(const Z1: TRectComplex; const Z2: TRectComplex);

Record

TRectComplex Record


TUnitVersion Class

Methods	Legend

TUnitVersion = class(TObject);

Legend

Constructor

Unit

JclUnitVersioning


TUnitVersion Class Methods

TUnitVersion Class	Legend

Methods

 Create

Data

Date

DateTime

Extra

LogPath

RCSfile

Revision


Legend

Constructor


Legend

TUnitVersion Class

Legend

Constructor


TUnitVersion Class Members

TUnitVersion Class	Legend

Members

Methods

 Create

Data

Date

DateTime

Extra

LogPath

RCSfile

Revision


Legend

Constructor


TUnitVersion.Create Constructor

TUnitVersion Class

constructor Create(AInfo: PUnitVersionInfo);

Class

TUnitVersion Class


TUnitVersion.Data Method

TUnitVersion Class

function Data: Pointer;

Class

TUnitVersion Class


TUnitVersion.Date Method

TUnitVersion Class

function Date: string;

Class

TUnitVersion Class


TUnitVersion.DateTime Method

TUnitVersion Class

function DateTime: TDateTime;

Class

TUnitVersion Class


TUnitVersion.Extra Method

TUnitVersion Class

function Extra: string;

Class

TUnitVersion Class


TUnitVersion.LogPath Method

TUnitVersion Class

function LogPath: string;

Class

TUnitVersion Class


TUnitVersion.RCSfile Method

TUnitVersion Class

function RCSfile: string;

Class

TUnitVersion Class


TUnitVersion.Revision Method

TUnitVersion Class

function Revision: string;

Class

TUnitVersion Class


TUnitVersioning Class

Properties	Methods	Legend

TUnitVersioning = class(TObject);

Legend

read only

Constructor

Unit

JclUnitVersioning


TUnitVersioning Class Properties

TUnitVersioning Class	Legend

Properties

 Count

 Items

 ModuleCount

 Modules


Legend

read only


TUnitVersioning Class Methods

TUnitVersioning Class	Legend

Methods

 Create

 Destroy

FindUnit

IndexOf

LoadModuleUnitVersioningInfo

RegisterProvider


Legend

Constructor


Legend

TUnitVersioning Class

Legend

read only

Constructor


TUnitVersioning Class Members

TUnitVersioning Class	Legend

Members

Properties

 Count

 Items

 ModuleCount

 Modules

Methods

 Create

 Destroy

FindUnit

IndexOf

LoadModuleUnitVersioningInfo

RegisterProvider


Legend

read only

Constructor


TUnitVersioning.Count Property

TUnitVersioning Class

property Count: Integer;

Class

TUnitVersioning Class


TUnitVersioning.Items Property

TUnitVersioning Class

property Items [Index: Integer]: TUnitVersion;

Class

TUnitVersioning Class


TUnitVersioning.ModuleCount Property

TUnitVersioning Class

property ModuleCount: Integer;

Class

TUnitVersioning Class


TUnitVersioning.Modules Property

TUnitVersioning Class

property Modules [Index: Integer]: TUnitVersioningModule;

Class

TUnitVersioning Class


TUnitVersioning.Create Constructor

TUnitVersioning Class

constructor Create;

Class

TUnitVersioning Class


TUnitVersioning.Destroy Destructor

TUnitVersioning Class

destructor Destroy; override;

Class

TUnitVersioning Class


TUnitVersioning.FindUnit Method

TUnitVersioning Class

function FindUnit(const RCSfile: string; const LogPath: string = '*'): TUnitVersion;

Class

TUnitVersioning Class


TUnitVersioning.IndexOf Method

TUnitVersioning Class

function IndexOf(const RCSfile: string; const LogPath: string = '*'): Integer;

Class

TUnitVersioning Class


TUnitVersioning.LoadModuleUnitVersioningInfo Method

TUnitVersioning Class

procedure LoadModuleUnitVersioningInfo(Instance: THandle);

Class

TUnitVersioning Class


TUnitVersioning.RegisterProvider Method

TUnitVersioning Class

procedure RegisterProvider(AProviderClass: TUnitVersioningProviderClass);

Class

TUnitVersioning Class


TUnitVersioningModule Class

Properties	Methods	Legend

TUnitVersioningModule = class(TObject);

Legend

read only

Constructor

Unit

JclUnitVersioning


TUnitVersioningModule Class Properties

TUnitVersioningModule Class	Legend

Properties

 Count

 Instance

 Items


Legend

read only


TUnitVersioningModule Class Methods

TUnitVersioningModule Class	Legend

Methods

 Create

 Destroy

FindUnit

IndexOf


Legend

Constructor


Legend

TUnitVersioningModule Class

Legend

read only

Constructor


TUnitVersioningModule Class Members

TUnitVersioningModule Class	Legend

Members

Properties

 Count

 Instance

 Items

Methods

 Create

 Destroy

FindUnit

IndexOf


Legend

read only

Constructor


TUnitVersioningModule.Count Property

TUnitVersioningModule Class

property Count: Integer;

Class

TUnitVersioningModule Class


TUnitVersioningModule.Instance Property

TUnitVersioningModule Class

property Instance: THandle;

Class

TUnitVersioningModule Class


TUnitVersioningModule.Items Property

TUnitVersioningModule Class

property Items [Index: Integer]: TUnitVersion;

Class

TUnitVersioningModule Class


TUnitVersioningModule.Create Constructor

TUnitVersioningModule Class

constructor Create(AInstance: THandle);

Class

TUnitVersioningModule Class


TUnitVersioningModule.Destroy Destructor

TUnitVersioningModule Class

destructor Destroy; override;

Class

TUnitVersioningModule Class


TUnitVersioningModule.FindUnit Method

TUnitVersioningModule Class

function FindUnit(const RCSfile: string; const LogPath: string = '*'): TUnitVersion;

Class

TUnitVersioningModule Class


TUnitVersioningModule.IndexOf Method

TUnitVersioningModule Class

function IndexOf(const RCSfile: string; const LogPath: string = '*'): Integer;

Class

TUnitVersioningModule Class


TWStringList Class

Properties	Methods	Legend

TWStringList = class(TWStrings);

Legend

read only

protected

Constructor

Unit

JclWideStrings


TWStringList Class Properties

TWStringList Class	Legend

Properties

Capacity

CommaText

 Count

DelimitedText

Delimiter

LineSeparator

 Names

NameValueSeparator

Objects

 PStrings

QuoteChar

Strings

Text

 UpdateCount

ValueFromIndex

Values

TWStringList Class

CaseSensitive

Duplicates

OnChange

OnChanging

Sorted


Legend

read only

protected


TWStringList Class Methods

TWStringList Class	Legend

Methods

Add

AddObject

AddStrings

AddStringsTo

Append

Assign

 AssignTo

BeginUpdate

Clear

 CompareStrings

 Create

CreateAnsiStringList

 DefineProperties

Delete

EndUpdate

Equals

Exchange

 ExtractName

 Get

 GetCapacity

 GetCount

GetDelimitedTextEx

 GetObject

 GetP

GetText

 GetTextStr

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

 Put

 PutObject

SaveToFile

SaveToStream

 SetCapacity

SetDelimitedTextEx

SetText

 SetTextStr

 SetUpdateState

TWStringList Class

AddObject

 Changed

 Changing

Clear

 CompareStrings

 Create

CustomSort

Delete

 Destroy

Exchange

Find

 GetCapacity

 GetCount

 GetItem

 GetObject

 GetP

IndexOf

InsertObject

 Put

 PutObject

 SetCapacity

 SetUpdateState

Sort


Legend

protected

Constructor


Legend

TWStringList Class

Legend

read only

protected

Constructor


TWStringList Class Members

TWStringList Class	Legend

Members

Properties

Capacity

CommaText

 Count

DelimitedText

Delimiter

LineSeparator

 Names

NameValueSeparator

Objects

 PStrings

QuoteChar

Strings

Text

 UpdateCount

ValueFromIndex

Values

TWStringList Class

CaseSensitive

Duplicates

OnChange

OnChanging

Sorted

Methods

Add

AddObject

AddStrings

AddStringsTo

Append

Assign

 AssignTo

BeginUpdate

Clear

 CompareStrings

 Create

CreateAnsiStringList

 DefineProperties

Delete

EndUpdate

Equals

Exchange

 ExtractName

 Get

 GetCapacity

 GetCount

GetDelimitedTextEx

 GetObject

 GetP

GetText

 GetTextStr

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

 Put

 PutObject

SaveToFile

SaveToStream

 SetCapacity

SetDelimitedTextEx

SetText

 SetTextStr

 SetUpdateState

TWStringList Class

AddObject

 Changed

 Changing

Clear

 CompareStrings

 Create

CustomSort

Delete

 Destroy

Exchange

Find

 GetCapacity

 GetCount

 GetItem

 GetObject

 GetP

IndexOf

InsertObject

 Put

 PutObject

 SetCapacity

 SetUpdateState

Sort


Legend

read only

protected

Constructor


TWStringList.CaseSensitive Property

TWStringList Class

property CaseSensitive: Boolean;

Class

TWStringList Class


TWStringList.Duplicates Property

TWStringList Class

property Duplicates: TDuplicates;

Class

TWStringList Class


TWStringList.OnChange Property

TWStringList Class

property OnChange: TNotifyEvent;

Class

TWStringList Class


TWStringList.OnChanging Property

TWStringList Class

property OnChanging: TNotifyEvent;

Class

TWStringList Class


TWStringList.Sorted Property

TWStringList Class

property Sorted: Boolean;

Class

TWStringList Class


TWStringList.AddObject Method

TWStringList Class

function AddObject(const S: WideString; AObject: TObject): Integer; override;

Class

TWStringList Class


TWStringList.Changed Method

TWStringList Class

procedure Changed; virtual;

Class

TWStringList Class


TWStringList.Changing Method

TWStringList Class

procedure Changing; virtual;

Class

TWStringList Class


TWStringList.Clear Method

TWStringList Class

procedure Clear; override;

Class

TWStringList Class


TWStringList.CompareStrings Method

TWStringList Class

function CompareStrings(const S1: WideString; const S2: WideString): Integer; override;

Class

TWStringList Class


TWStringList.Create Constructor

TWStringList Class

constructor Create;

Class

TWStringList Class


TWStringList.CustomSort Method

TWStringList Class

procedure CustomSort(Compare: TWStringListSortCompare); virtual;

Class

TWStringList Class


TWStringList.Delete Method

TWStringList Class

procedure Delete(Index: Integer); override;

Class

TWStringList Class


TWStringList.Destroy Destructor

TWStringList Class

destructor Destroy; override;

Class

TWStringList Class


TWStringList.Exchange Method

TWStringList Class

procedure Exchange(Index1: Integer; Index2: Integer); override;

Class

TWStringList Class


TWStringList.Find Method

TWStringList Class

function Find(const S: WideString; var Index: Integer): Boolean; virtual;

Class

TWStringList Class


TWStringList.GetCapacity Method

TWStringList Class

function GetCapacity: Integer; override;

Class

TWStringList Class


TWStringList.GetCount Method

TWStringList Class

function GetCount: Integer; override;

Class

TWStringList Class


TWStringList.GetItem Method

TWStringList Class

function GetItem(Index: Integer): PWStringItem;

Class

TWStringList Class


TWStringList.GetObject Method

TWStringList Class

function GetObject(Index: Integer): TObject; override;

Class

TWStringList Class


TWStringList.GetP Method

TWStringList Class

function GetP(Index: Integer): PWideString; override;

Class

TWStringList Class


TWStringList.IndexOf Method

TWStringList Class

function IndexOf(const S: WideString): Integer; override;

Class

TWStringList Class


TWStringList.InsertObject Method

TWStringList Class

procedure InsertObject(Index: Integer; const S: WideString; AObject: TObject); override;

Class

TWStringList Class


TWStringList.Put Method

TWStringList Class

procedure Put(Index: Integer; const Value: WideString); override;

Class

TWStringList Class


TWStringList.PutObject Method

TWStringList Class

procedure PutObject(Index: Integer; AObject: TObject); override;

Class

TWStringList Class


TWStringList.SetCapacity Method

TWStringList Class

procedure SetCapacity(NewCapacity: Integer); override;

Class

TWStringList Class


TWStringList.SetUpdateState Method

TWStringList Class

procedure SetUpdateState(Updating: Boolean); override;

Class

TWStringList Class


TWStringList.Sort Method

TWStringList Class

procedure Sort; virtual;

Class

TWStringList Class


TWStrings Class

Properties	Methods	Legend

TWStrings = class(TPersistent);

Legend

read only

protected

Constructor

Unit

JclWideStrings


TWStrings Class Properties

TWStrings Class	Legend

Properties

Capacity

CommaText

 Count

DelimitedText

Delimiter

LineSeparator

 Names

NameValueSeparator

Objects

 PStrings

QuoteChar

Strings

Text

 UpdateCount

ValueFromIndex

Values


Legend

read only

protected


TWStrings Class Methods

TWStrings Class	Legend

Methods

Add

AddObject

AddStrings

AddStringsTo

Append

Assign

 AssignTo

BeginUpdate

Clear

 CompareStrings

 Create

CreateAnsiStringList

 DefineProperties

Delete

EndUpdate

Equals

Exchange

 ExtractName

 Get

 GetCapacity

 GetCount

GetDelimitedTextEx

 GetObject

 GetP

GetText

 GetTextStr

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

 Put

 PutObject

SaveToFile

SaveToStream

 SetCapacity

SetDelimitedTextEx

SetText

 SetTextStr

 SetUpdateState


Legend

protected

Constructor


Legend

TWStrings Class

Legend

read only

protected

Constructor


TWStrings Class Members

TWStrings Class	Legend

Members

Properties

Capacity

CommaText

 Count

DelimitedText

Delimiter

LineSeparator

 Names

NameValueSeparator

Objects

 PStrings

QuoteChar

Strings

Text

 UpdateCount

ValueFromIndex

Values

Methods

Add

AddObject

AddStrings

AddStringsTo

Append

Assign

 AssignTo

BeginUpdate

Clear

 CompareStrings

 Create

CreateAnsiStringList

 DefineProperties

Delete

EndUpdate

Equals

Exchange

 ExtractName

 Get

 GetCapacity

 GetCount

GetDelimitedTextEx

 GetObject

 GetP

GetText

 GetTextStr

IndexOf

IndexOfName

IndexOfObject

Insert

InsertObject

LoadFromFile

LoadFromStream

Move

 Put

 PutObject

SaveToFile

SaveToStream

 SetCapacity

SetDelimitedTextEx

SetText

 SetTextStr

 SetUpdateState


Legend

read only

protected

Constructor


TWStrings.Capacity Property

TWStrings Class

property Capacity: Integer;

Class

TWStrings Class


TWStrings.CommaText Property

TWStrings Class

property CommaText: WideString;

Class

TWStrings Class


TWStrings.Count Property

TWStrings Class

property Count: Integer;

Class

TWStrings Class


TWStrings.DelimitedText Property

TWStrings Class

property DelimitedText: WideString;

Class

TWStrings Class


TWStrings.Delimiter Property

TWStrings Class

property Delimiter: WideChar;

Class

TWStrings Class


TWStrings.LineSeparator Property

TWStrings Class

property LineSeparator: WideString;

Class

TWStrings Class


TWStrings.Names Property

TWStrings Class

property Names [Index: Integer]: WideString;

Class

TWStrings Class


TWStrings.NameValueSeparator Property

TWStrings Class

property NameValueSeparator: WideChar;

Class

TWStrings Class


TWStrings.Objects Property

TWStrings Class

property Objects [Index: Integer]: TObject;

Class

TWStrings Class


TWStrings.PStrings Property

TWStrings Class

property PStrings [Index: Integer]: PWideString;

Class

TWStrings Class


TWStrings.QuoteChar Property

TWStrings Class

property QuoteChar: WideChar;

Class

TWStrings Class


TWStrings.Strings Property

TWStrings Class

property Strings [Index: Integer]: WideString;

Class

TWStrings Class


TWStrings.Text Property

TWStrings Class

property Text: WideString;

Class

TWStrings Class


TWStrings.UpdateCount Property

TWStrings Class

property UpdateCount: Integer;

Class

TWStrings Class


TWStrings.ValueFromIndex Property

TWStrings Class

property ValueFromIndex [Index: Integer]: WideString;

Class

TWStrings Class


TWStrings.Values Property

TWStrings Class

property Values [const Name: WideString]: WideString;

Class

TWStrings Class


TWStrings.Add Method

TWStrings Class

function Add(const S: WideString): Integer; virtual;

Class

TWStrings Class


TWStrings.AddObject Method

TWStrings Class

function AddObject(const S: WideString; AObject: TObject): Integer; virtual;

Class

TWStrings Class


TWStrings.AddStrings Method (TStrings)

TWStrings Class

procedure AddStrings(Strings: TStrings); virtual; overload;

Class

TWStrings Class


TWStrings.AddStrings Method (TWStrings)

TWStrings Class

procedure AddStrings(Strings: TWStrings); virtual; overload;

Class

TWStrings Class


TWStrings.AddStringsTo Method

TWStrings Class

procedure AddStringsTo(Dest: TStrings); virtual;

Class

TWStrings Class


TWStrings.Append Method

TWStrings Class

procedure Append(const S: WideString);

Class

TWStrings Class


TWStrings.Assign Method

TWStrings Class

procedure Assign(Source: TPersistent); override;

Class

TWStrings Class


TWStrings.AssignTo Method

TWStrings Class

procedure AssignTo(Dest: TPersistent); override;

Class

TWStrings Class


TWStrings.BeginUpdate Method

TWStrings Class

procedure BeginUpdate;

Class

TWStrings Class


TWStrings.Clear Method

TWStrings Class

procedure Clear; virtual; abstract;

Class

TWStrings Class


TWStrings.CompareStrings Method

TWStrings Class

function CompareStrings(const S1: WideString; const S2: WideString): Integer; virtual;

Class

TWStrings Class


TWStrings.Create Constructor

TWStrings Class

constructor Create;

Class

TWStrings Class


TWStrings.CreateAnsiStringList Method

TWStrings Class

function CreateAnsiStringList: TStrings;

Class

TWStrings Class


TWStrings.DefineProperties Method

TWStrings Class

procedure DefineProperties(Filer: TFiler); override;

Class

TWStrings Class


TWStrings.Delete Method

TWStrings Class

procedure Delete(Index: Integer); virtual; abstract;

Class

TWStrings Class


TWStrings.EndUpdate Method

TWStrings Class

procedure EndUpdate;

Class

TWStrings Class


TWStrings.Equals Method (TStrings)

TWStrings Class

function Equals(Strings: TStrings): Boolean; overload;

Class

TWStrings Class


TWStrings.Equals Method (TWStrings)

TWStrings Class

function Equals(Strings: TWStrings): Boolean; overload;

Class

TWStrings Class


TWStrings.Exchange Method

TWStrings Class

procedure Exchange(Index1: Integer; Index2: Integer); virtual;

Class

TWStrings Class


TWStrings.ExtractName Method

TWStrings Class

function ExtractName(const S: WideString): WideString;

Class

TWStrings Class


TWStrings.Get Method

TWStrings Class

function Get(Index: Integer): WideString;

Class

TWStrings Class


TWStrings.GetCapacity Method

TWStrings Class

function GetCapacity: Integer; virtual;

Class

TWStrings Class


TWStrings.GetCount Method

TWStrings Class

function GetCount: Integer; virtual; abstract;

Class

TWStrings Class


TWStrings.GetDelimitedTextEx Method

TWStrings Class

function GetDelimitedTextEx(ADelimiter: WideChar; AQuoteChar: WideChar): WideString;

Class

TWStrings Class


TWStrings.GetObject Method

TWStrings Class

function GetObject(Index: Integer): TObject; virtual;

Class

TWStrings Class


TWStrings.GetP Method

TWStrings Class

function GetP(Index: Integer): PWideString; virtual; abstract;

Class

TWStrings Class


TWStrings.GetText Method

TWStrings Class

function GetText: PWideChar; virtual;

Class

TWStrings Class


TWStrings.GetTextStr Method

TWStrings Class

function GetTextStr: WideString; virtual;

Class

TWStrings Class


TWStrings.IndexOf Method

TWStrings Class

function IndexOf(const S: WideString): Integer; virtual;

Class

TWStrings Class


TWStrings.IndexOfName Method

TWStrings Class

function IndexOfName(const Name: WideString): Integer; virtual;

Class

TWStrings Class


TWStrings.IndexOfObject Method

TWStrings Class

function IndexOfObject(AObject: TObject): Integer; virtual;

Class

TWStrings Class


TWStrings.Insert Method

TWStrings Class

procedure Insert(Index: Integer; const S: WideString); virtual;

Class

TWStrings Class


TWStrings.InsertObject Method

TWStrings Class

procedure InsertObject(Index: Integer; const S: WideString; AObject: TObject); virtual;

Class

TWStrings Class


TWStrings.LoadFromFile Method

TWStrings Class

procedure LoadFromFile(const FileName: AnsiString; WideFileOptions: TWideFileOptions = []); virtual;

Class

TWStrings Class


TWStrings.LoadFromStream Method

TWStrings Class

procedure LoadFromStream(Stream: TStream; WideFileOptions: TWideFileOptions = []); virtual;

Class

TWStrings Class


TWStrings.Move Method

TWStrings Class

procedure Move(CurIndex: Integer; NewIndex: Integer); virtual;

Class

TWStrings Class


TWStrings.Put Method

TWStrings Class

procedure Put(Index: Integer; const S: WideString); virtual; abstract;

Class

TWStrings Class


TWStrings.PutObject Method

TWStrings Class

procedure PutObject(Index: Integer; AObject: TObject); virtual; abstract;

Class

TWStrings Class


TWStrings.SaveToFile Method

TWStrings Class

procedure SaveToFile(const FileName: AnsiString; WideFileOptions: TWideFileOptions = []); virtual;

Class

TWStrings Class


TWStrings.SaveToStream Method

TWStrings Class

procedure SaveToStream(Stream: TStream; WideFileOptions: TWideFileOptions = []); virtual;

Class

TWStrings Class


TWStrings.SetCapacity Method

TWStrings Class

procedure SetCapacity(NewCapacity: Integer); virtual;

Class

TWStrings Class


TWStrings.SetDelimitedTextEx Method

TWStrings Class

procedure SetDelimitedTextEx(ADelimiter: WideChar; AQuoteChar: WideChar; const Value: WideString);

Class

TWStrings Class


TWStrings.SetText Method

TWStrings Class

procedure SetText(Text: PWideChar); virtual;

Class

TWStrings Class


TWStrings.SetTextStr Method

TWStrings Class

procedure SetTextStr(const Value: WideString); virtual;

Class

TWStrings Class


TWStrings.SetUpdateState Method

TWStrings Class

procedure SetUpdateState(Updating: Boolean); virtual;

Class

TWStrings Class


IJclCommandLineTool Interface

Properties	Methods	Events	Legend

IJclCommandLineTool = interface;

Events

 OutputCallback

Legend

read only

write only

Unit

JclBorlandTools


IJclCommandLineTool Interface Properties

IJclCommandLineTool Interface	Legend

Properties

 ExeName

 Options

 Output


Legend

read only


IJclCommandLineTool Interface Events

IJclCommandLineTool Interface	Legend

Events

 OutputCallback


Legend

write only


IJclCommandLineTool Interface Methods

IJclCommandLineTool Interface

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback


Legend

IJclCommandLineTool Interface

Legend

read only

write only


IJclCommandLineTool Interface Members

IJclCommandLineTool Interface	Legend

Members

Properties

 ExeName

 Options

 Output

Events

 OutputCallback

Methods

AddPathOption

Execute

GetExeName

GetOptions

GetOutput

GetOutputCallback

SetOutputCallback


Legend

read only

write only


IJclCommandLineTool.ExeName Property

IJclCommandLineTool Interface

property ExeName: string;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.Options Property

IJclCommandLineTool Interface

property Options: TStrings;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.Output Property

IJclCommandLineTool Interface

property Output: string;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.OutputCallback Event

IJclCommandLineTool Interface

property OutputCallback: TTextHandler;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.AddPathOption Method

IJclCommandLineTool Interface

procedure AddPathOption(const Option: string; const Path: string);

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.Execute Method

IJclCommandLineTool Interface

function Execute(const CommandLine: string): Boolean;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.GetExeName Method

IJclCommandLineTool Interface

function GetExeName: string;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.GetOptions Method

IJclCommandLineTool Interface

function GetOptions: TStrings;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.GetOutput Method

IJclCommandLineTool Interface

function GetOutput: string;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.GetOutputCallback Method

IJclCommandLineTool Interface

function GetOutputCallback: TTextHandler;

Interface

IJclCommandLineTool Interface


IJclCommandLineTool.SetOutputCallback Method

IJclCommandLineTool Interface

procedure SetOutputCallback(const CallbackMethod: TTextHandler);

Interface

IJclCommandLineTool Interface


IJclMsdosSys Interface

Properties	Methods

IJclMsdosSys = interface;

Unit

JclMsdosSys


IJclMsdosSys Interface Properties

IJclMsdosSys Interface

Properties

AutoScan

BootDelay

BootGUI

BootKeys

BootMenu

BootMenuDefault

BootMenuDelay

BootMulti

BootSafe

BootWarn

BootWin

DBLSpace

DoubleBuffer

DRVSpace

HostWinBootDrv

LoadTop

Logo

Network

UninstallDir

WinBootDir

WinDir

WinVer


IJclMsdosSys Interface Methods

IJclMsdosSys Interface

Methods

GetAutoScan

GetBootDelay

GetBootGUI

GetBootKeys

GetBootMenu

GetBootMenuDefault

GetBootMenuDelay

GetBootMulti

GetBootSafe

GetBootWarn

GetBootWin

GetDBLSpace

GetDoubleBuffer

GetDRVSpace

GetHostWinBootDrv

GetLoadTop

GetLogo

GetNetwork

GetUninstallDir

GetWinBootDir

GetWinDir

GetWinVer

SetAutoScan

SetBool

SetBootDelay

SetBootGUI

SetBootKeys

SetBootMenu

SetBootMenuDefault

SetBootMenuDelay

SetBootMulti

SetBootSafe

SetBootWarn

SetBootWin

SetDBLSpace

SetDoubleBuffer

SetDRVSpace

SetHostWinBootDrv

SetLoadTop

SetLogo

SetNetwork

SetString

SetUninstallDir

SetWinBootDir

SetWinDir

SetWinVer


IJclMsdosSys Interface Members

IJclMsdosSys Interface

Members

Properties

AutoScan

BootDelay

BootGUI

BootKeys

BootMenu

BootMenuDefault

BootMenuDelay

BootMulti

BootSafe

BootWarn

BootWin

DBLSpace

DoubleBuffer

DRVSpace

HostWinBootDrv

LoadTop

Logo

Network

UninstallDir

WinBootDir

WinDir

WinVer

Methods

GetAutoScan

GetBootDelay

GetBootGUI

GetBootKeys

GetBootMenu

GetBootMenuDefault

GetBootMenuDelay

GetBootMulti

GetBootSafe

GetBootWarn

GetBootWin

GetDBLSpace

GetDoubleBuffer

GetDRVSpace

GetHostWinBootDrv

GetLoadTop

GetLogo

GetNetwork

GetUninstallDir

GetWinBootDir

GetWinDir

GetWinVer

SetAutoScan

SetBool

SetBootDelay

SetBootGUI

SetBootKeys

SetBootMenu

SetBootMenuDefault

SetBootMenuDelay

SetBootMulti

SetBootSafe

SetBootWarn

SetBootWin

SetDBLSpace

SetDoubleBuffer

SetDRVSpace

SetHostWinBootDrv

SetLoadTop

SetLogo

SetNetwork

SetString

SetUninstallDir

SetWinBootDir

SetWinDir

SetWinVer


IJclMsdosSys.AutoScan Property

IJclMsdosSys Interface

property AutoScan: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootDelay Property

IJclMsdosSys Interface

property BootDelay: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootGUI Property

IJclMsdosSys Interface

property BootGUI: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootKeys Property

IJclMsdosSys Interface

property BootKeys: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootMenu Property

IJclMsdosSys Interface

property BootMenu: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootMenuDefault Property

IJclMsdosSys Interface

property BootMenuDefault: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootMenuDelay Property

IJclMsdosSys Interface

property BootMenuDelay: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootMulti Property

IJclMsdosSys Interface

property BootMulti: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootSafe Property

IJclMsdosSys Interface

property BootSafe: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootWarn Property

IJclMsdosSys Interface

property BootWarn: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.BootWin Property

IJclMsdosSys Interface

property BootWin: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.DBLSpace Property

IJclMsdosSys Interface

property DBLSpace: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.DoubleBuffer Property

IJclMsdosSys Interface

property DoubleBuffer: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.DRVSpace Property

IJclMsdosSys Interface

property DRVSpace: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.HostWinBootDrv Property

IJclMsdosSys Interface

property HostWinBootDrv: Char;

Interface

IJclMsdosSys Interface


IJclMsdosSys.LoadTop Property

IJclMsdosSys Interface

property LoadTop: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.Logo Property

IJclMsdosSys Interface

property Logo: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.Network Property

IJclMsdosSys Interface

property Network: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.UninstallDir Property

IJclMsdosSys Interface

property UninstallDir: Char;

Interface

IJclMsdosSys Interface


IJclMsdosSys.WinBootDir Property

IJclMsdosSys Interface

property WinBootDir: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.WinDir Property

IJclMsdosSys Interface

property WinDir: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.WinVer Property

IJclMsdosSys Interface

property WinVer: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetAutoScan Method

IJclMsdosSys Interface

function GetAutoScan: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootDelay Method

IJclMsdosSys Interface

function GetBootDelay: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootGUI Method

IJclMsdosSys Interface

function GetBootGUI: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootKeys Method

IJclMsdosSys Interface

function GetBootKeys: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootMenu Method

IJclMsdosSys Interface

function GetBootMenu: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootMenuDefault Method

IJclMsdosSys Interface

function GetBootMenuDefault: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootMenuDelay Method

IJclMsdosSys Interface

function GetBootMenuDelay: Cardinal;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootMulti Method

IJclMsdosSys Interface

function GetBootMulti: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootSafe Method

IJclMsdosSys Interface

function GetBootSafe: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootWarn Method

IJclMsdosSys Interface

function GetBootWarn: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetBootWin Method

IJclMsdosSys Interface

function GetBootWin: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetDBLSpace Method

IJclMsdosSys Interface

function GetDBLSpace: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetDoubleBuffer Method

IJclMsdosSys Interface

function GetDoubleBuffer: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetDRVSpace Method

IJclMsdosSys Interface

function GetDRVSpace: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetHostWinBootDrv Method

IJclMsdosSys Interface

function GetHostWinBootDrv: Char;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetLoadTop Method

IJclMsdosSys Interface

function GetLoadTop: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetLogo Method

IJclMsdosSys Interface

function GetLogo: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetNetwork Method

IJclMsdosSys Interface

function GetNetwork: Boolean;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetUninstallDir Method

IJclMsdosSys Interface

function GetUninstallDir: Char;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetWinBootDir Method

IJclMsdosSys Interface

function GetWinBootDir: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetWinDir Method

IJclMsdosSys Interface

function GetWinDir: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.GetWinVer Method

IJclMsdosSys Interface

function GetWinVer: string;

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetAutoScan Method

IJclMsdosSys Interface

procedure SetAutoScan(AAutoScan: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBool Method

IJclMsdosSys Interface

procedure SetBool(var ANew: Boolean; AOld: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootDelay Method

IJclMsdosSys Interface

procedure SetBootDelay(ABootDelay: Cardinal);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootGUI Method

IJclMsdosSys Interface

procedure SetBootGUI(ABootGUI: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootKeys Method

IJclMsdosSys Interface

procedure SetBootKeys(ABootKeys: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootMenu Method

IJclMsdosSys Interface

procedure SetBootMenu(ABootMenu: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootMenuDefault Method

IJclMsdosSys Interface

procedure SetBootMenuDefault(ABootMenuDefault: Cardinal);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootMenuDelay Method

IJclMsdosSys Interface

procedure SetBootMenuDelay(ABootMenuDelay: Cardinal);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootMulti Method

IJclMsdosSys Interface

procedure SetBootMulti(ABootMulti: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootSafe Method

IJclMsdosSys Interface

procedure SetBootSafe(ABootSafe: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootWarn Method

IJclMsdosSys Interface

procedure SetBootWarn(ABootWarn: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetBootWin Method

IJclMsdosSys Interface

procedure SetBootWin(ABootWin: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetDBLSpace Method

IJclMsdosSys Interface

procedure SetDBLSpace(ADBLSpace: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetDoubleBuffer Method

IJclMsdosSys Interface

procedure SetDoubleBuffer(ADoubleBuffer: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetDRVSpace Method

IJclMsdosSys Interface

procedure SetDRVSpace(ADRVSpace: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetHostWinBootDrv Method

IJclMsdosSys Interface

procedure SetHostWinBootDrv(AHostWinBootDrv: Char);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetLoadTop Method

IJclMsdosSys Interface

procedure SetLoadTop(ALoadTop: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetLogo Method

IJclMsdosSys Interface

procedure SetLogo(ALogo: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetNetwork Method

IJclMsdosSys Interface

procedure SetNetwork(ANetwork: Boolean);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetString Method

IJclMsdosSys Interface

procedure SetString(var ANew: string; AOld: string);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetUninstallDir Method

IJclMsdosSys Interface

procedure SetUninstallDir(AUninstallDir: Char);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetWinBootDir Method

IJclMsdosSys Interface

procedure SetWinBootDir(AWinBootDir: string);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetWinDir Method

IJclMsdosSys Interface

procedure SetWinDir(AWinDir: string);

Interface

IJclMsdosSys Interface


IJclMsdosSys.SetWinVer Method

IJclMsdosSys Interface

procedure SetWinVer(AWinVer: string);

Interface

IJclMsdosSys Interface


IJclScreenTextAttribute Interface

Properties	Methods

IJclScreenTextAttribute = interface;

Unit

JclConsole


IJclScreenTextAttribute Interface Properties

IJclScreenTextAttribute Interface

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute


IJclScreenTextAttribute Interface Methods

IJclScreenTextAttribute Interface

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute


IJclScreenTextAttribute Interface Members

IJclScreenTextAttribute Interface

Members

Properties

BgColor

BgHighlight

Color

Highlight

Style

TextAttribute

Methods

GetBgColor

GetBgHighlight

GetColor

GetHighlight

GetStyle

GetTextAttribute

SetBgColor

SetBgHighlight

SetColor

SetHighlight

SetStyle

SetTextAttribute


IJclScreenTextAttribute.BgColor Property

IJclScreenTextAttribute Interface

property BgColor: TJclScreenBackColor;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.BgHighlight Property

IJclScreenTextAttribute Interface

property BgHighlight: Boolean;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.Color Property

IJclScreenTextAttribute Interface

property Color: TJclScreenFontColor;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.Highlight Property

IJclScreenTextAttribute Interface

property Highlight: Boolean;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.Style Property

IJclScreenTextAttribute Interface

property Style: TJclScreenFontStyles;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.TextAttribute Property

IJclScreenTextAttribute Interface

property TextAttribute: Word;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetBgColor Method

IJclScreenTextAttribute Interface

function GetBgColor: TJclScreenBackColor;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetBgHighlight Method

IJclScreenTextAttribute Interface

function GetBgHighlight: Boolean;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetColor Method

IJclScreenTextAttribute Interface

function GetColor: TJclScreenFontColor;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetHighlight Method

IJclScreenTextAttribute Interface

function GetHighlight: Boolean;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetStyle Method

IJclScreenTextAttribute Interface

function GetStyle: TJclScreenFontStyles;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.GetTextAttribute Method

IJclScreenTextAttribute Interface

function GetTextAttribute: Word;

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetBgColor Method

IJclScreenTextAttribute Interface

procedure SetBgColor(const Value: TJclScreenBackColor);

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetBgHighlight Method

IJclScreenTextAttribute Interface

procedure SetBgHighlight(const Value: Boolean);

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetColor Method

IJclScreenTextAttribute Interface

procedure SetColor(const Value: TJclScreenFontColor);

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetHighlight Method

IJclScreenTextAttribute Interface

procedure SetHighlight(const Value: Boolean);

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetStyle Method

IJclScreenTextAttribute Interface

procedure SetStyle(const Value: TJclScreenFontStyles);

Interface

IJclScreenTextAttribute Interface


IJclScreenTextAttribute.SetTextAttribute Method

IJclScreenTextAttribute Interface

procedure SetTextAttribute(const Value: Word);

Interface

IJclScreenTextAttribute Interface


IJclWinMidiOut Interface

Properties	Methods

IJclWinMidiOut = interface(IJclMidiOut);

Unit

JclWinMIDI


IJclWinMidiOut Interface Properties

IJclWinMidiOut Interface

Properties

ChannelVolume

Volume


IJclWinMidiOut Interface Methods

IJclWinMidiOut Interface

Methods

GetChannelVolume

GetVolume

SetChannelVolume

SetVolume


IJclWinMidiOut Interface Members

IJclWinMidiOut Interface

Members

Properties

ChannelVolume

Volume

Methods

GetChannelVolume

GetVolume

SetChannelVolume

SetVolume


IJclWinMidiOut.ChannelVolume Property

IJclWinMidiOut Interface

property ChannelVolume [Channel: TStereoChannel]: Word;

Interface

IJclWinMidiOut Interface


IJclWinMidiOut.Volume Property

IJclWinMidiOut Interface

property Volume: Word;

Interface

IJclWinMidiOut Interface


IJclWinMidiOut.GetChannelVolume Method

IJclWinMidiOut Interface

function GetChannelVolume(Channel: TStereoChannel): Word;

Interface

IJclWinMidiOut Interface


IJclWinMidiOut.GetVolume Method

IJclWinMidiOut Interface

function GetVolume: Word;

Interface

IJclWinMidiOut Interface


IJclWinMidiOut.SetChannelVolume Method

IJclWinMidiOut Interface

procedure SetChannelVolume(Channel: TStereoChannel; const Value: Word);

Interface

IJclWinMidiOut Interface


IJclWinMidiOut.SetVolume Method

IJclWinMidiOut Interface

procedure SetVolume(const Value: Word);

Interface

IJclWinMidiOut Interface


ITableCanDumpIL Interface

ITableCanDumpIL = interface(IUnknown);

Unit

JclCLR


AbsSqr Function

function AbsSqr(const Z: TPolarComplex): Float; overload;

Unit

JclMath


AbsSqr Function

function AbsSqr(const Z: TRectComplex): Float; overload;

Unit

JclMath


Ackermann Function

function Ackermann(const A: Integer; const B: Integer): Integer;

Unit

JclMath


AddCompositeElementTo Function

function AddCompositeElementTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFCompositeElement;

Unit

JclEDISEF


AddElementTo Function

function AddElementTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFElement;

Unit

JclEDISEF


AddLoopTo Function

function AddLoopTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFLoop;

Unit

JclEDISEF


AddRepeatingPatternTo Function

function AddRepeatingPatternTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFRepeatingPattern;

Unit

JclEDISEF


AddSegmentTo Function

function AddSegmentTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFSegment;

Unit

JclEDISEF


AddStringToStrings Function

Add a string to TStrings instance if conditions met.

Pascal

function AddStringToStrings(const S: string; Strings: TStrings; const Unique: Boolean): Boolean;

Description

Add a string to an object of TStrings. If a string already exists in the list and there is a uniqueness requirement in place, the string is not added.

Parameters

const S: string

String to be added.

Strings: TStrings

TStrings object to which the string specified by S should be added.

const Unique: Boolean

Determines whether the the uniqueness check should be performed before adding the string.

Return Value

The function returns True if the string was added, False otherwise.

Donator

Jean-Fabien Connault Windows NT/2000: Requires Windows NT 3.1 or later. Windows 95/98: Requires Windows 95 or later.

Unit

JclStrings


AddSubElementTo Function

function AddSubElementTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFSubElement;

Unit

JclEDISEF


AddTableTo Function

function AddTableTo(DataObjectGroup: TEDISEFDataObjectGroup): TEDISEFTable;

Unit

JclEDISEF


AdjustTokenPrivileges Function

function AdjustTokenPrivileges(TokenHandle: THandle; DisableAllPrivileges: BOOL; const NewState: TTokenPrivileges; BufferLength: DWORD; out PreviousState: TTokenPrivileges; out ReturnLength: DWORD PreviousState: PTokenPrivileges; ReturnLength: PDWORD): BOOL; stdcall;

Unit

JclWin32


AllocateMultiSz Function

procedure AllocateMultiSz(var Dest: PMultiSz; Len: Integer);

Unit

JclStrings


AllocateWideMultiSz Function

procedure AllocateWideMultiSz(var Dest: PWideMultiSz; Len: Integer);

Unit

JclStrings


AlphaComponent Function

function AlphaComponent(const Color32: TColor32): Integer;

Unit

JclQGraphUtils


AppendCompositeElementTo Function

function AppendCompositeElementTo(DataObjectGroup: TEDISEFDataObjectGroup; CompositeElement: TEDISEFCompositeElement): TEDISEFCompositeElement;

Unit

JclEDISEF


AppendElementTo Function

function AppendElementTo(DataObjectGroup: TEDISEFDataObjectGroup; Element: TEDISEFElement): TEDISEFElement;

Unit

JclEDISEF


AppendLoopTo Function

function AppendLoopTo(DataObjectGroup: TEDISEFDataObjectGroup; Loop: TEDISEFLoop): TEDISEFLoop;

Unit

JclEDISEF


AppendRepeatingPatternTo Function

function AppendRepeatingPatternTo(DataObjectGroup: TEDISEFDataObjectGroup; RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Unit

JclEDISEF


AppendSegmentTo Function

function AppendSegmentTo(DataObjectGroup: TEDISEFDataObjectGroup; Segment: TEDISEFSegment): TEDISEFSegment;

Unit

JclEDISEF


AppendSubElementTo Function

function AppendSubElementTo(DataObjectGroup: TEDISEFDataObjectGroup; SubElement: TEDISEFSubElement): TEDISEFSubElement;

Unit

JclEDISEF


AppendTableTo Function

function AppendTableTo(DataObjectGroup: TEDISEFDataObjectGroup; Table: TEDISEFTable): TEDISEFTable;

Unit

JclEDISEF


Apply Function

procedure Apply(First: IJclIntfIterator; Count: Integer; F: TIntfApplyFunction); overload;

Unit

JclAlgorithms


Apply Function

procedure Apply(First: IJclIterator; Count: Integer; F: TApplyFunction); overload;

Unit

JclAlgorithms


Apply Function

procedure Apply(First: IJclStrIterator; Count: Integer; F: TStrApplyFunction); overload;

Unit

JclAlgorithms


ArrayOf Function

function ArrayOf(List: TStrings): TDynStringArray; overload;

Unit

JclStrings


BackupSeek Function

function BackupSeek(hFile: THandle; dwLowBytesToSeek: DWORD; dwHighBytesToSeek: DWORD; out lpdwLowByteSeeked: DWORD; out lpdwHighByteSeeked: DWORD; var lpContext: IntPtr Pointer): BOOL; stdcall;

Unit

JclWin32


BinaryFileName Function

function BinaryFileName(const OutputPath: string; const ProjectFileName: string): string;

Unit

JclBorlandTools


BlueComponent Function

function BlueComponent(const Color32: TColor32): Integer;

Unit

JclQGraphUtils


BoolToInt Function

function BoolToInt(B: Boolean): Integer;

Unit

JclSysUtils


BPLFileName Function

function BPLFileName(const BPLPath: string; const PackageFileName: string): string;

Unit

JclBorlandTools


ByteArrayStringLen Function

function ByteArrayStringLen(Data: TBytes): Integer;

Unit

JclBase


ByteArrayToString Function

function ByteArrayToString(const Data: TBytes; Count: Integer): string;

Unit

JclBase


CallFunctionShim Function

function CallFunctionShim(szDllName: PWideChar; const szFunctionName: PChar; const lpvArgument1: Pointer; const lpvArgument2: Pointer; szVersion: PWideChar; const pvReserved: Pointer): HRESULT; stdcall;

Unit

JclDotNet


CelsiusTo Function

function CelsiusTo(ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


CelsiusToRankine Function

function CelsiusToRankine(const Temperature: Float): Float;

Unit

JclUnitConv


CelsiusToReaumur Function

function CelsiusToReaumur(const Temperature: Float): Float;

Unit

JclUnitConv


CharFitsWithinDots Function

function CharFitsWithinDots(const Text: string; const Dots: Integer): Integer;

Unit

JclPrint


CharLastPos Function

function CharLastPos(const S: string; const C: Char; const Index: Integer = 1): Integer;

Unit

JclStrings


CharToWideChar Function

function CharToWideChar(Ch: AnsiChar): WideChar;

Unit

JclWideStrings


CheckSumMappedFile Function

function CheckSumMappedFile(BaseAddress: Pointer; FileLength: DWORD; out HeaderSum: DWORD; out CheckSum: DWORD): PImageNtHeaders; stdcall;

Unit

JclWin32


CIELABToBGR Function

procedure CIELABToBGR(LSource: PByte; aSource: PByte; bSource: PByte; const Target: Pointer; const Count: Cardinal); overload;

Unit

JclQGraphUtils


CIELABToBGR Function

procedure CIELABToBGR(const Source: Pointer; const Target: Pointer; const Count: Cardinal); overload;

Unit

JclQGraphUtils


ClearBitBuffer Function

procedure ClearBitBuffer(var Value; const Bit: TBitRange);

Unit

JclLogic


ClipCodes Function

function ClipCodes(const X: Float; const Y: Float; const MinX: Float; const MinY: Float; const MaxX: Float; const MaxY: Float): TClipCodes; overload;

Unit

JclQGraphUtils


ClipCodes Function

function ClipCodes(const X: Float; const Y: Float; const ClipRect: TRect): TClipCodes; overload;

Unit

JclQGraphUtils


CloseCdMciDevice Function

function CloseCdMciDevice(var OpenParams: TMCI_Open_Parms): MCIERROR;

Unit

JclMultimedia


ClrCreateManagedInstance Function

function ClrCreateManagedInstance(pTypeName: PWideChar; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CMYKToBGR Function

procedure CMYKToBGR(const Source: Pointer; const Target: Pointer; const BitsPerSample: Byte; Count: Cardinal); overload;

Unit

JclQGraphUtils


CMYKToBGR Function

procedure CMYKToBGR(const C: Pointer; const M: Pointer; const Y: Pointer; const K: Pointer; const Target: Pointer; const BitsPerSample: Byte; Count: Cardinal); overload;

Unit

JclQGraphUtils


CodeBlockName Function

function CodeBlockName(const CB: TUnicodeBlock): string;

Unit

JclUnicode


CodeBlockRange Function

function CodeBlockRange(const CB: TUnicodeBlock): TUnicodeBlockRange;

Unit

JclUnicode


Color32 Function

function Color32(const R: Byte; const G: Byte; const B: Byte; const A: Byte = $FF): TColor32; overload;

Unit

JclQGraphUtils


Color32 Function

function Color32(const Index: Byte; const Palette: TPalette32): TColor32; overload;

Unit

JclQGraphUtils


Color32 Function

function Color32(WinColor: TColor): TColor32; overload;

Unit

JclQGraphUtils


ColorToHTML Function

function ColorToHTML(const Color: TColor): string;

Unit

JclQGraphUtils


CoMallocFree Function

procedure CoMallocFree(P: Pointer);

Unit

JclStructStorage


Combinations Function

function Combinations(N: Cardinal; R: Cardinal): Float;

Unit

JclStatistics


CombineCOMSDataOfCOMSDefinition Function

function CombineCOMSDataOfCOMSDefinition(CompositeElement: TEDISEFCompositeElement): string;

Unit

JclEDISEF


CombineCOMSDataOfSEGSDefinition Function

function CombineCOMSDataOfSEGSDefinition(CompositeElement: TEDISEFCompositeElement): string;

Unit

JclEDISEF


CombineELMSDataOfCOMSorSEGSDefinition Function

function CombineELMSDataOfCOMSorSEGSDefinition(Element: TEDISEFElement; ELMSList: TEDISEFDataObjectList): string;

Unit

JclEDISEF


CombineELMSDataOfELMSDefinition Function

function CombineELMSDataOfELMSDefinition(Element: TEDISEFElement): string;

Unit

JclEDISEF


CombineSEGSDataOfSEGSDefinition Function

function CombineSEGSDataOfSEGSDefinition(Segment: TEDISEFSegment): string;

Unit

JclEDISEF


CombineSEGSDataOfSETSDefinition Function

function CombineSEGSDataOfSETSDefinition(Segment: TEDISEFSegment): string;

Unit

JclEDISEF


Conjugate Function

function Conjugate(const Z: TPolarComplex): TPolarComplex; overload;

Unit

JclMath


Conjugate Function

function Conjugate(const Z: TRectComplex): TRectComplex; overload;

Unit

JclMath


ContinueCount Function

procedure ContinueCount(var Counter: TJclCounter);

Unit

JclCounter


ConvertTemperature Function

function ConvertTemperature(const FromType: TTemperatureType; const ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


Copy Function

procedure Copy(First: IJclIntfIterator; Count: Integer; Output: IJclIntfIterator); overload;

Unit

JclAlgorithms


Copy Function

procedure Copy(First: IJclIterator; Count: Integer; Output: IJclIterator); overload;

Unit

JclAlgorithms


Copy Function

procedure Copy(First: IJclStrIterator; Count: Integer; Output: IJclStrIterator); overload;

Unit

JclAlgorithms


CorBindToCurrentRuntime Function

function CorBindToCurrentRuntime(pwszFileName: PWideChar; const rclsid: TCLSID; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CorBindToRuntime Function

function CorBindToRuntime(pwszVersion: PWideChar; pwszBuildFlavor: PWideChar; const rclsid: TCLSID; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CorBindToRuntimeByCfg Function

function CorBindToRuntimeByCfg(const pCfgStream: IStream; const reserved: DWORD; const startupFlags: DWORD; const rclsid: TCLSID; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CorBindToRuntimeEx Function

function CorBindToRuntimeEx(pwszVersion: PWideChar; pwszBuildFlavor: PWideChar; startupFlags: DWORD; const rclsid: TCLSID; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CorBindToRuntimeHost Function

function CorBindToRuntimeHost(pwszVersion: PWideChar; pwszBuildFlavor: PWideChar; pwszHostConfigFile: PWideChar; const pReserved: Pointer; const startupFlags: DWORD; const rclsid: TCLSID; const riid: TIID; out pv): HRESULT; stdcall;

Unit

JclDotNet


CorExitProcess Function

procedure CorExitProcess(const exitCode: Integer); stdcall;

Unit

JclDotNet


CorMarkThreadInThreadPool Function

procedure CorMarkThreadInThreadPool; stdcall;

Unit

JclDotNet


CountObject Function

function CountObject(First: IJclIntfIterator; Count: Integer; AInterface: IInterface; AComparator: TIntfCompare): Integer; overload;

Unit

JclAlgorithms


CountObject Function

function CountObject(First: IJclIterator; Count: Integer; AObject: TObject; AComparator: TCompare): Integer; overload;

Unit

JclAlgorithms


CountObject Function

function CountObject(First: IJclStrIterator; Count: Integer; const AString: string; AComparator: TStrCompare): Integer; overload;

Unit

JclAlgorithms


CreateComponentCategory Function

function CreateComponentCategory(const CatID: TGUID; const sDescription: string): HRESULT;

Unit

JclCOM


CreateDOSProcessRedirected Function

function CreateDOSProcessRedirected(const CommandLine: string; const InputFile: string; const OutputFile: string): Boolean;

Unit

JclMiscel


CreateMutex Function

function CreateMutex(lpMutexAttributes: PSecurityAttributes; bInitialOwner: DWORD; lpName: PChar): THandle; stdcall;

Unit

JclWin32


CreateRegionFromBitmap Function

See Also

Creates the region from the specified bitmap.

Pascal

function CreateRegionFromBitmap(Bitmap: TBitmap; RegionColor: TColor; RegionBitmapMode: TJclRegionBitmapMode): HRGN;

Description

This function creates the region from a bitmap by specifing a color. You can use this function to make custom forms of bitmaps, or hotspots on your bitmap, like a map of europe for instance with every country in a different color. Create the regions for every color. The RegionBitmapMode can be rmInclude or rmExclude, with rmInclude all pixels of RegionColor will be in the region, with rmExclude all pixels except those of RegionColor will be in the region.

Parameters

Bitmap: TBitmap

A bitmap used as input to create the region.

RegionColor: TColor

The color for the mask.

RegionBitmapMode: TJclRegionBitmapMode

This flag specifies if the RegionColor is included or excluded.

Return Value

The region handle.

Donator

Wim De Cleen

Unit

JclGraphics


See Also

TJclRegionBitmapMode, CreateBitmap


DecodeHttpBasicAuthentication Function

procedure DecodeHttpBasicAuthentication(const BasicCredentials: string; out UserId: string; out PassWord: string);

Unit

JclMime


DeleteCompositeElementFrom Function

procedure DeleteCompositeElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; CompositeElement: TEDISEFCompositeElement);

Unit

JclEDISEF


DeleteElementFrom Function

procedure DeleteElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; Element: TEDISEFElement);

Unit

JclEDISEF


DeleteLoopFrom Function

procedure DeleteLoopFrom(DataObjectGroup: TEDISEFDataObjectGroup; Loop: TEDISEFLoop);

Unit

JclEDISEF


DeleteRepeatingPatternFrom Function

procedure DeleteRepeatingPatternFrom(DataObjectGroup: TEDISEFDataObjectGroup; RepeatingPattern: TEDISEFRepeatingPattern);

Unit

JclEDISEF


DeleteSegmentFrom Function

procedure DeleteSegmentFrom(DataObjectGroup: TEDISEFDataObjectGroup; Segment: TEDISEFSegment);

Unit

JclEDISEF


DeleteSubElementFrom Function

procedure DeleteSubElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; SubElement: TEDISEFSubElement);

Unit

JclEDISEF


DeleteTableFrom Function

procedure DeleteTableFrom(DataObjectGroup: TEDISEFDataObjectGroup; Table: TEDISEFTable);

Unit

JclEDISEF


DeleteVolumeMountPoint Function

function DeleteVolumeMountPoint(lpszVolumeMountPoint: LPCSTR): BOOL; stdcall;

Unit

JclWin32


DestroyEnvironmentBlock Function

procedure DestroyEnvironmentBlock(var Env: PChar);

Unit

JclSysInfo


DialogUnitsToPixelsX Function

function DialogUnitsToPixelsX(const DialogUnits: Word): Word;

Unit

JclQGraphUtils


DialogUnitsToPixelsY Function

function DialogUnitsToPixelsY(const DialogUnits: Word): Word;

Unit

JclQGraphUtils


Diff Function

function Diff(const Z1: TRectComplex; const Z2: TRectComplex): TRectComplex;

Unit

JclMath


DirectPrint Function

procedure DirectPrint(const Printer: string; const Data: string);

Unit

JclPrint


DomainCheck Function

procedure DomainCheck(Err: Boolean);

Unit

JclMath


DottedLineTo Function

function DottedLineTo(const Canvas: TCanvas; const X: Integer; const Y: Integer): Boolean; overload;

Unit

JclGraphUtils


DoubleToHex Function

function DoubleToHex(const D: Double): string;

Unit

JclMath


DPGetDefaultPrinter Function

function DPGetDefaultPrinter(out PrinterName: string): Boolean;

Unit

JclPrint


DPSetDefaultPrinter Function

function DPSetDefaultPrinter(const PrinterName: string): Boolean;

Unit

JclPrint


DynArrayCompareAnsiString Function

function DynArrayCompareAnsiString(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareAnsiText Function

function DynArrayCompareAnsiText(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareByte Function

function DynArrayCompareByte(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareCardinal Function

function DynArrayCompareCardinal(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareDouble Function

function DynArrayCompareDouble(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareExtended Function

function DynArrayCompareExtended(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareFloat Function

function DynArrayCompareFloat(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareInt64 Function

function DynArrayCompareInt64(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareInteger Function

function DynArrayCompareInteger(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareShortInt Function

function DynArrayCompareShortInt(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareSingle Function

function DynArrayCompareSingle(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareSmallInt Function

function DynArrayCompareSmallInt(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareString Function

function DynArrayCompareString(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareText Function

function DynArrayCompareText(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


DynArrayCompareWord Function

function DynArrayCompareWord(Item1: Pointer; Item2: Pointer): Integer;

Unit

JclSysUtils


EMMS Function

procedure EMMS;

Unit

JclQGraphUtils


EnsureRange Function

function EnsureRange(const AValue: Double; const AMin: Double; const AMax: Double): Double; overload;

Unit

JclMath


EnsureRange Function

function EnsureRange(const AValue: Int64; const AMin: Int64; const AMax: Int64): Int64; overload;

Unit

JclMath


EnsureRange Function

function EnsureRange(const AValue: Integer; const AMin: Integer; const AMax: Integer): Integer; overload;

Unit

JclMath


EnumCalendarInfoExA Function

function EnumCalendarInfoExA(lpCalInfoEnumProcEx: CALINFO_ENUMPROCEXA; Locale: LCID; Calendar: CALID; CalType: CALTYPE): BOOL; stdcall;

Unit

JclWin32


Equal Function

function Equal(const Z1: TPolarComplex; const Z2: TPolarComplex): Boolean; overload;

Unit

JclMath


Equal Function

function Equal(const Z1: TRectComplex; const Z2: TRectComplex): Boolean; overload;

Unit

JclMath


Execute Function

function Execute(const CommandLine: string; OutputLineCallback: TTextHandler; RawOutput: Boolean = False; AbortPtr: PBoolean = nil): Cardinal; overload;

Unit

JclSysUtils


Execute Function

function Execute(const CommandLine: string; var Output: string; RawOutput: Boolean = False; AbortPtr: PBoolean = nil): Cardinal; overload;

Unit

JclSysUtils


Exsecans Function

function Exsecans(X: Float): Float;

Unit

JclMath


ExtractCompositeElementFrom Function

function ExtractCompositeElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; CompositeElement: TEDISEFCompositeElement): TEDISEFCompositeElement;

Unit

JclEDISEF


ExtractElementFrom Function

function ExtractElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; Element: TEDISEFElement): TEDISEFElement;

Unit

JclEDISEF


ExtractFromDataObjectGroup Function

procedure ExtractFromDataObjectGroup(DataObjectClass: TEDISEFDataObjectClass; DataObjectGroup: TEDISEFDataObjectGroup; ObjectList: TObjectList); overload;

Unit

JclEDISEF


ExtractFromDataObjectGroup Function

procedure ExtractFromDataObjectGroup(DataObjectClasses: array of TEDISEFDataObjectClass; DataObjectGroup: TEDISEFDataObjectGroup; ObjectList: TObjectList); overload;

Unit

JclEDISEF


ExtractLoopFrom Function

function ExtractLoopFrom(DataObjectGroup: TEDISEFDataObjectGroup; Loop: TEDISEFLoop): TEDISEFLoop;

Unit

JclEDISEF


ExtractRepeatingPatternFrom Function

function ExtractRepeatingPatternFrom(DataObjectGroup: TEDISEFDataObjectGroup; RepeatingPattern: TEDISEFRepeatingPattern): TEDISEFRepeatingPattern;

Unit

JclEDISEF


ExtractSegmentFrom Function

function ExtractSegmentFrom(DataObjectGroup: TEDISEFDataObjectGroup; Segment: TEDISEFSegment): TEDISEFSegment;

Unit

JclEDISEF


ExtractSubElementFrom Function

function ExtractSubElementFrom(DataObjectGroup: TEDISEFDataObjectGroup; SubElement: TEDISEFSubElement): TEDISEFSubElement;

Unit

JclEDISEF


ExtractTableFrom Function

function ExtractTableFrom(DataObjectGroup: TEDISEFDataObjectGroup; Table: TEDISEFTable): TEDISEFTable;

Unit

JclEDISEF


FahrenheitTo Function

function FahrenheitTo(ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


FahrenheitToRankine Function

function FahrenheitToRankine(const Temperature: Float): Float;

Unit

JclUnitConv


FahrenheitToReaumur Function

function FahrenheitToReaumur(const Temperature: Float): Float;

Unit

JclUnitConv


FastDegToGrad Function

procedure FastDegToGrad;

Unit

JclMath


FastDegToRad Function

procedure FastDegToRad;

Unit

JclMath


FastGradToDeg Function

procedure FastGradToDeg;

Unit

JclMath


FastGradToRad Function

procedure FastGradToRad;

Unit

JclMath


FastRadToDeg Function

procedure FastRadToDeg;

Unit

JclMath


FastRadToGrad Function

procedure FastRadToGrad;

Unit

JclMath


Fibonacci Function

function Fibonacci(const N: Integer): Integer;

Unit

JclMath


FileTimeToLocalDateTime Function

function FileTimeToLocalDateTime(const FileTime: TFileTime): TDateTime;

Unit

JclDateTime


Fill Function

procedure Fill(First: IJclIntfIterator; Count: Integer; AInterface: IInterface); overload;

Unit

JclAlgorithms


Fill Function

procedure Fill(First: IJclIterator; Count: Integer; AObject: TObject); overload;

Unit

JclAlgorithms


Fill Function

procedure Fill(First: IJclStrIterator; Count: Integer; const AString: string); overload;

Unit

JclAlgorithms


Find Function

function Find(First: IJclIntfIterator; Count: Integer; AInterface: IInterface; AComparator: TIntfCompare): IJclIntfIterator; overload;

Unit

JclAlgorithms


Find Function

function Find(First: IJclIterator; Count: Integer; AObject: TObject; AComparator: TCompare): IJclIterator; overload;

Unit

JclAlgorithms


Find Function

function Find(First: IJclStrIterator; Count: Integer; const AString: string; AComparator: TStrCompare): IJclStrIterator; overload;

Unit

JclAlgorithms


FormatVersionString Function

function FormatVersionString(const FixedInfo: TVSFixedFileInfo; VersionFormat: TFileVersionFormat = vfFull): string; overload;

Unit

JclFileUtils


FormatVersionString Function

function FormatVersionString(const HiV: Word; const LoV: Word): string; overload;

Unit

JclFileUtils


FormatVersionString Function

function FormatVersionString(const Major: Word; const Minor: Word; const Build: Word; const Revision: Word): string; overload;

Unit

JclFileUtils


FreeTokenInformation Function

procedure FreeTokenInformation(var Buffer: Pointer);

Unit

JclSecurity


FreeWideMultiSz Function

procedure FreeWideMultiSz(var Dest: PWideMultiSz);

Unit

JclStrings


fstat64 Function

function fstat64(FileDes: Integer; var StatBuffer: TStatBuf64): Integer; cdecl;

Unit

JclFileUtils


Generate Function

procedure Generate(List: IJclIntfList; Count: Integer; AInterface: IInterface); overload;

Unit

JclAlgorithms


Generate Function

procedure Generate(List: IJclList; Count: Integer; AObject: TObject); overload;

Unit

JclAlgorithms


Generate Function

procedure Generate(List: IJclStrList; Count: Integer; const AString: string); overload;

Unit

JclAlgorithms


GetAntialiasedBitmap Function

Antialiases a bitmap.

Pascal

function GetAntialiasedBitmap(const Bitmap: TBitmap): TBitmap;

Description

Antialiases a bitmap.

Parameters

const Bitmap: TBitmap

The bitmap to be antialiased.

Return Value

An antialiased true color bitmap shrunk 2 times on each dimension. Output bitmap is created inside the function and should be manually freed.

Donator

Marcin Wieczorek (T-1000)

Unit

JclGraphics


GetAPMBatteryFlags Function

function GetAPMBatteryFlags: TAPMBatteryFlags;

Unit

JclSysInfo


GetBackupFileName Function

Returns a file name that can be used for backup purposes.

Pascal

function GetBackupFileName(const FileName: string): string;

Description

Returns a file name that can be used for backup purposes. Basically it prepends the file extention with a tilde (~). If file does not contain extension, the function does nothing.

Parameters

const FileName: string

File name that is used to construct file name of backup file.

Category

Files and IO

Donator

Marcel van Brakel (Jeff?)

Unit

JclFileUtils


GetBPKFileInfo Function

procedure GetBPKFileInfo(const BPKFileName: string; out RunOnly: Boolean; const BinaryFileName: PString = nil; const Description: PString = nil);

Unit

JclBorlandTools


GetBPRFileInfo Function

procedure GetBPRFileInfo(const BPRFileName: string; out BinaryFileName: string; const Description: PString = nil);

Unit

JclBorlandTools


GetBytesEx Function

function GetBytesEx(const Value): TBytes;

Unit

JclBase


GetCalendarInfoA Function

function GetCalendarInfoA(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: LPSTR; cchData: Integer; lpValue: LPDWORD): Integer; stdcall;

Unit

JclWin32


GetCalendarInfoW Function

function GetCalendarInfoW(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: LPWSTR; cchData: Integer; lpValue: LPDWORD): Integer; stdcall;

Unit

JclWin32


GetCDAudioTrackList Function

function GetCDAudioTrackList(var TrackList: TJclCdTrackInfoArray; Drive: Char = #0): TJclCdTrackInfo; overload;

Unit

JclMultimedia


GetCDAudioTrackList Function

function GetCDAudioTrackList(TrackList: TStrings; IncludeTrackType: Boolean = False; Drive: Char = #0): string; overload;

Unit

JclMultimedia


GetCdInfo Function

function GetCdInfo(InfoType: TJclCdMediaInfo; Drive: Char = #0): string;

Unit

JclMultimedia


GetCharSetFromLocale Function

function GetCharSetFromLocale(Language: LCID; out FontCharSet: TFontCharSet): Boolean;

Unit

JclUnicode


GetCORRequiredVersion Function

function GetCORRequiredVersion(pbuffer: PWideChar; const cchBuffer: DWORD; var dwLength: DWORD): HRESULT; stdcall;

Unit

JclDotNet


GetCORSystemDirectory Function

function GetCORSystemDirectory(pbuffer: PWideChar; const cchBuffer: DWORD; var dwLength: DWORD): HRESULT; stdcall;

Unit

JclDotNet


GetCORVersion Function

function GetCORVersion(pbuffer: PWideChar; const cchBuffer: DWORD; var dwLength: DWORD): HRESULT; stdcall;

Unit

JclDotNet


GetCPUSpeed Function

function GetCPUSpeed(var CpuSpeed: TFreqInfo): Boolean;

Unit

JclSysInfo


GetDefaultPrinterName Function

function GetDefaultPrinterName: string;

Unit

JclPrint


GetDPKFileInfo Function

procedure GetDPKFileInfo(const DPKFileName: string; out RunOnly: Boolean; const LibSuffix: PString = nil; const Description: PString = nil);

Unit

JclBorlandTools


GetDPRFileInfo Function

procedure GetDPRFileInfo(const DPRFileName: string; out BinaryExtension: string; const LibSuffix: PString = nil);

Unit

JclBorlandTools


GetEDISEFUserAttributeDescription Function

function GetEDISEFUserAttributeDescription(Attribute: TEDISEFComsUserAttributes): string; overload;

Unit

JclEDISEF


GetEDISEFUserAttributeDescription Function

function GetEDISEFUserAttributeDescription(Attribute: string): string; overload;

Unit

JclEDISEF


GetFileLastAttrChange Function

function GetFileLastAttrChange(const FileName: string; ResolveSymLinks: Boolean = True): Integer; overload;

Unit

JclFileUtils


GetFileLastAttrChange Function

function GetFileLastAttrChange(const FileName: string; out TimeStamp: Integer; ResolveSymLinks: Boolean = True): Boolean; overload;

Unit

JclFileUtils


GetFileLastAttrChange Function

function GetFileLastAttrChange(const FileName: string; out LocalTime: TDateTime; ResolveSymLinks: Boolean = True): Boolean; overload;

Unit

JclFileUtils


GetFileNameIcon Function

function GetFileNameIcon(const FileName: string; Flags: Cardinal = 0): HICON;

Unit

JclShell


GetFileSecurity Function

function GetFileSecurity(lpFileName: LPCTSTR; RequestedInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR; nLength: DWORD; var lpnLengthNeeded: DWORD): BOOL; stdcall;

Unit

JclWin32


GetFileSecurityA Function

function GetFileSecurityA(lpFileName: LPCSTR; RequestedInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR; nLength: DWORD; var lpnLengthNeeded: DWORD): BOOL; stdcall;

Unit

JclWin32


GetFileSecurityW Function

function GetFileSecurityW(lpFileName: LPCWSTR; RequestedInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR; nLength: DWORD; var lpnLengthNeeded: DWORD): BOOL; stdcall;

Unit

JclWin32


GetFileStatus Function

function GetFileStatus(const FileName: string; out StatBuf: TStatBuf64; const ResolveSymLinks: Boolean): Integer;

Unit

JclFileUtils


GetFreeSystemResources Function

function GetFreeSystemResources: TFreeSystemResources; overload;

Unit

JclSysInfo


GetFreeSystemResources Function

function GetFreeSystemResources(const ResourceType: TFreeSysResKind): Integer; overload;

Unit

JclSysInfo


GetIconFromBitmap Function

See Also

Converts a bitmap to an icon

Pascal

procedure GetIconFromBitmap(Icon: TIcon; Bitmap: TBitmap);

Description

GetIconFromBitmap retrieves the specified Bitmap object as an icon.

Parameters

Icon: TIcon

The TIcon object that receives the bitmap image.

Bitmap: TBitmap

The TBitmap object that provides the icon image

Platforms

VCL

Donator

Robert Rossmair

Unit

JclGraphics


See Also

BitmapToIcon, WriteIcon


GetImageUnusedHeaderBytes Function

function GetImageUnusedHeaderBytes(const LoadedImage: LOADED_IMAGE; var SizeUnusedHeaderBytes: DWORD): DWORD; stdcall;

Unit

JclWin32


GetImplementorOfInterface Function

function GetImplementorOfInterface(const I: IInterface): TObject;

Unit

JclSysUtils


GetIpAddresses Function

procedure GetIpAddresses(Results: TStrings);

Unit

JclSysInfo


GetISOYearNumberOfDays Function

function GetISOYearNumberOfDays(const Year: Word): Word;

Unit

JclDateTime


GetMainAppWndFromPid Function

function GetMainAppWndFromPid(PID: DWORD): THandle;

Unit

JclSysInfo


GetMidiOutputs Function

procedure GetMidiOutputs(const List: TStrings);

Unit

JclWinMIDI


GetMsdosSys Function

function GetMsdosSys: IJclMsdosSys;

Unit

JclMsdosSys


GetNativeSystemInfo Function

function GetNativeSystemInfo(var SystemInfo: TSystemInfo): Boolean;

Unit

JclSysInfo


GetParity Function

function GetParity(Buffer: PByte; Len: Integer): Boolean;

Unit

JclMath


GetParity Function

function GetParity(Buffer: TDynByteArray; Len: Integer): Boolean;

Unit

JclMath


GetPrinterResolution Function

function GetPrinterResolution: TPoint;

Unit

JclPrint


GetProcessorArchitecture Function

function GetProcessorArchitecture: TProcessorArchitecture;

Unit

JclSysInfo


GetProfileFolder Function

function GetProfileFolder: string;

Unit

JclSysInfo


GetRealProcAddress Function

function GetRealProcAddress(const pwszProcName: PChar; out ppv: Pointer): HRESULT; stdcall;

Unit

JclDotNet


GetServiceStatusByName Function

function GetServiceStatusByName(const AServer: string; const AServiceName: string): TJclServiceState;

Unit

JclSvcCtrl


GetSpecialFolderLocation Function

function GetSpecialFolderLocation(const Folder: Integer): string;

Unit

JclShell


GetUnitVersioning Function

function GetUnitVersioning: TUnitVersioning;

Unit

JclUnitVersioning


GetVersionEx Function

function GetVersionEx(lpVersionInformation: POSVERSIONINFOEX): BOOL; stdcall; overload; deprecated;

Unit

JclWin32


GetVersionEx Function

function GetVersionEx(var lpVersionInformation: TOSVersionInfoEx): BOOL; stdcall; overload;

Unit

JclWin32


GetVolumeFileSystemFlags Function

function GetVolumeFileSystemFlags(const Volume: string): TFileSystemFlags;

Unit

JclSysInfo


GetVolumeNameForVolumeMountPoint Function

function GetVolumeNameForVolumeMountPoint(lpszVolumeMountPoint: LPCSTR; lpszVolumeName: LPSTR; cchBufferLength: DWORD): BOOL; stdcall;

Unit

JclWin32


GetWindowCaption Function

function GetWindowCaption(Wnd: THandle): string;

Unit

JclSysInfo


GetWindowsServicePackVersionString Function

See Also

Returns the installed service pack as a string

Pascal

function GetWindowsServicePackVersionString: string;

Description

Returns the major version number of the latest installed Windows Service Pack as a string.

Return Value

The major version number of the latest installed Service Pack. In case of failure, or if no Service Pack is installed, the function returns an empty string.

Donator

Jean-Fabien Connault

Unit

JclSysInfo


See Also

GetWindowsServicePackVersion, GetWindowsVersionString


Gray32 Function

function Gray32(const Intensity: Byte; const Alpha: Byte = $FF): TColor32;

Unit

JclQGraphUtils


GreenComponent Function

function GreenComponent(const Color32: TColor32): Integer;

Unit

JclQGraphUtils


HeronianMean Function

function HeronianMean(const A: Float; const B: Float): Float;

Unit

JclStatistics


HexToDouble Function

function HexToDouble(const Hex: string): Double;

Unit

JclMath


HLSToRGB Function

procedure HLSToRGB(const H: Single; const L: Single; const S: Single; out R: Single; out G: Single; out B: Single); overload;

Unit

JclQGraphUtils


HLSToRGB Function

function HLSToRGB(const HLS: TColorVector): TColorVector; overload;

Unit

JclQGraphUtils


HLSToRGB Function

function HLSToRGB(const Hue: THLSValue; const Luminance: THLSValue; const Saturation: THLSValue): TColorRef; overload;

Unit

JclQGraphUtils


HSLToRGB Function

function HSLToRGB(const H: Single; const S: Single; const L: Single): TColor32; overload;

Unit

JclQGraphUtils


HSLToRGB Function

procedure HSLToRGB(const H: Single; const S: Single; const L: Single; out R: Single; out G: Single; out B: Single); overload; deprecated;

Unit

JclQGraphUtils


IMAGE_FIRST_SECTION Function

function IMAGE_FIRST_SECTION(NtHeader: PImageNtHeaders): PImageSectionHeader;

Unit

JclWin32


IMAGE_ORDINAL Function

function IMAGE_ORDINAL(Ordinal: DWORD): DWORD;

Unit

JclWin32


IMAGE_ORDINAL32 Function

function IMAGE_ORDINAL32(Ordinal: DWORD): DWORD;

Unit

JclWin32


IMAGE_ORDINAL64 Function

function IMAGE_ORDINAL64(Ordinal: ULONGLONG): ULONGLONG;

Unit

JclWin32


IMAGE_SNAP_BY_ORDINAL Function

function IMAGE_SNAP_BY_ORDINAL(Ordinal: DWORD): Boolean;

Unit

JclWin32


IMAGE_SNAP_BY_ORDINAL32 Function

function IMAGE_SNAP_BY_ORDINAL32(Ordinal: DWORD): Boolean;

Unit

JclWin32


IMAGE_SNAP_BY_ORDINAL64 Function

function IMAGE_SNAP_BY_ORDINAL64(Ordinal: ULONGLONG): Boolean;

Unit

JclWin32


ImageDirectoryEntryToData Function

function ImageDirectoryEntryToData(Base: Pointer; MappedAsImage: ByteBool; DirectoryEntry: USHORT; var Size: ULONG): Pointer; stdcall;

Unit

JclWin32


ImageRvaToSection Function

function ImageRvaToSection(NtHeaders: PImageNtHeaders; Base: Pointer; Rva: ULONG): PImageSectionHeader; stdcall;

Unit

JclWin32


ImageRvaToVa Function

function ImageRvaToVa(NtHeaders: PImageNtHeaders; Base: Pointer; Rva: ULONG; LastRvaSection: PPImageSectionHeader): Pointer; stdcall;

Unit

JclWin32


IniReadStrings Function

procedure IniReadStrings(IniFile: TCustomIniFile; const Section: string; Strings: TStrings);

Unit

JclIniFiles


IniWriteStrings Function

procedure IniWriteStrings(IniFile: TCustomIniFile; const Section: string; Strings: TStrings);

Unit

JclIniFiles


InsertCompositeElementInto Function

function InsertCompositeElementInto(DataObjectGroup: TEDISEFDataObjectGroup; CompositeElement: TEDISEFCompositeElement; BeforeObject: TEDISEFDataObject): TEDISEFCompositeElement; overload;

Unit

JclEDISEF


InsertCompositeElementInto Function

function InsertCompositeElementInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFCompositeElement; overload;

Unit

JclEDISEF


InsertElementInto Function

function InsertElementInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFElement; overload;

Unit

JclEDISEF


InsertElementInto Function

function InsertElementInto(DataObjectGroup: TEDISEFDataObjectGroup; Element: TEDISEFElement; BeforeObject: TEDISEFDataObject): TEDISEFElement; overload;

Unit

JclEDISEF


InsertLoopInto Function

function InsertLoopInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Unit

JclEDISEF


InsertLoopInto Function

function InsertLoopInto(DataObjectGroup: TEDISEFDataObjectGroup; Loop: TEDISEFLoop; BeforeObject: TEDISEFDataObject): TEDISEFLoop; overload;

Unit

JclEDISEF


InsertRepeatingPatternInto Function

function InsertRepeatingPatternInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Unit

JclEDISEF


InsertRepeatingPatternInto Function

function InsertRepeatingPatternInto(DataObjectGroup: TEDISEFDataObjectGroup; RepeatingPattern: TEDISEFRepeatingPattern; BeforeObject: TEDISEFDataObject): TEDISEFRepeatingPattern; overload;

Unit

JclEDISEF


InsertSegmentInto Function

function InsertSegmentInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Unit

JclEDISEF


InsertSegmentInto Function

function InsertSegmentInto(DataObjectGroup: TEDISEFDataObjectGroup; Segment: TEDISEFSegment; BeforeObject: TEDISEFDataObject): TEDISEFSegment; overload;

Unit

JclEDISEF


InsertSubElementInto Function

function InsertSubElementInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFSubElement; overload;

Unit

JclEDISEF


InsertSubElementInto Function

function InsertSubElementInto(DataObjectGroup: TEDISEFDataObjectGroup; SubElement: TEDISEFSubElement; BeforeObject: TEDISEFDataObject): TEDISEFSubElement; overload;

Unit

JclEDISEF


InsertTableInto Function

function InsertTableInto(DataObjectGroup: TEDISEFDataObjectGroup; BeforeObject: TEDISEFDataObject): TEDISEFTable; overload;

Unit

JclEDISEF


InsertTableInto Function

function InsertTableInto(DataObjectGroup: TEDISEFDataObjectGroup; Table: TEDISEFTable; BeforeObject: TEDISEFDataObject): TEDISEFTable; overload;

Unit

JclEDISEF


InsertUnitVersioningSection Function

function InsertUnitVersioningSection(const ExecutableFileName: TFileName; AUnitList: TJclUnitVersioningList): Boolean;

Unit

JclUnitVersioningProviders


IntegerCompare Function

function IntegerCompare(Obj1: TObject; Obj2: TObject): Integer;

Unit

JclAlgorithms


Intensity Function

function Intensity(const R: Single; const G: Single; const B: Single): Single; overload;

Unit

JclQGraphUtils


Intensity Function

function Intensity(const Color32: TColor32): Integer; overload;

Unit

JclQGraphUtils


IntfSimpleCompare Function

function IntfSimpleCompare(Obj1: IInterface; Obj2: IInterface): Integer;

Unit

JclAlgorithms


IntToBool Function

function IntToBool(I: Integer): Boolean;

Unit

JclSysUtils


Inv Function

function Inv(const Z: TPolarComplex): TPolarComplex; overload;

Unit

JclMath


Inv Function

function Inv(const Z: TRectComplex): TRectComplex; overload;

Unit

JclMath


IsBCBPackage Function

function IsBCBPackage(const FileName: string): Boolean;

Unit

JclBorlandTools


IsBCBProject Function

function IsBCBProject(const FileName: string): Boolean;

Unit

JclBorlandTools


IsCompiledWithPackages Function

function IsCompiledWithPackages: Boolean;

Unit

JclSysUtils


IsDelphiPackage Function

function IsDelphiPackage(const FileName: string): Boolean;

Unit

JclBorlandTools


IsDelphiProject Function

function IsDelphiProject(const FileName: string): Boolean;

Unit

JclBorlandTools


IsISOLongYear Function

function IsISOLongYear(const DateTime: TDateTime): Boolean; overload;

Unit

JclDateTime


IsISOLongYear Function

function IsISOLongYear(const Year: Word): Boolean; overload;

Unit

JclDateTime


IsMainAppWindow Function

function IsMainAppWindow(Wnd: THandle): Boolean;

Unit

JclSysInfo


IsMediaPresentInDrive Function

function IsMediaPresentInDrive(Drive: Char = #0): Boolean;

Unit

JclMultimedia


ISODayOfWeek Function

function ISODayOfWeek(const DateTime: TDateTime): Word;

Unit

JclDateTime


IsReparseTagHighLatency Function

function IsReparseTagHighLatency(Tag: ULONG): Boolean;

Unit

JclWin32


IsReparseTagMicrosoft Function

function IsReparseTagMicrosoft(Tag: ULONG): Boolean;

Unit

JclWin32


IsReparseTagNameSurrogate Function

function IsReparseTagNameSurrogate(Tag: ULONG): Boolean;

Unit

JclWin32


IsRootDirectory Function

function IsRootDirectory(const CanonicFileName: string): Boolean;

Unit

JclFileUtils


IsSystemResourcesMeterPresent Function

function IsSystemResourcesMeterPresent: Boolean;

Unit

JclSysInfo


IsValidISBN Function

function IsValidISBN(const ISBN: string): Boolean;

Unit

JclValidation


IsWindows64 Function

function IsWindows64: Boolean;

Unit

JclSysInfo


IsZero Function

function IsZero(const Z: TPolarComplex): Boolean; overload;

Unit

JclMath


IsZero Function

function IsZero(const Z: TRectComplex): Boolean; overload;

Unit

JclMath


JclAddExceptNotifier Function

function JclAddExceptNotifier(const NotifyMethod: TJclExceptNotifyMethod; Priority: TJclExceptNotifyPriority = npNormal): Boolean; overload;

Unit

JclHookExcept


JclAddExceptNotifier Function

function JclAddExceptNotifier(const NotifyProc: TJclExceptNotifyProc; Priority: TJclExceptNotifyPriority = npNormal): Boolean; overload;

Unit

JclHookExcept


JclBelongsHookedCode Function

function JclBelongsHookedCode(Addr: Pointer): Boolean;

Unit

JclHookExcept


JclDebugThreadList Function

function JclDebugThreadList: TJclDebugThreadList;

Unit

JclDebug


JclExceptionTrackingActive Function

function JclExceptionTrackingActive: Boolean;

Unit

JclDebug


JclHookedExceptModulesList Function

function JclHookedExceptModulesList(var ModulesList: TJclModuleArray): Boolean;

Unit

JclHookExcept


JclHookExceptionsInModule Function

function JclHookExceptionsInModule(Module: HMODULE): Boolean;

Unit

JclHookExcept


JclInitializeLibrariesHookExcept Function

function JclInitializeLibrariesHookExcept: Boolean;

Unit

JclHookExcept


JclLastExceptStackListToStrings Function

function JclLastExceptStackListToStrings(Strings: TStrings; IncludeModuleName: Boolean = False; IncludeAddressOffset: Boolean = False; IncludeStartProcLineOffset: Boolean = False; IncludeVAdress: Boolean = False): Boolean;

Unit

JclDebug


JclLocalesInfoList Function

procedure JclLocalesInfoList(const Strings: TStrings; InfoType: Integer = LOCALE_SENGCOUNTRY);

Unit

JclLocales


JclRemoveExceptNotifier Function

function JclRemoveExceptNotifier(const NotifyMethod: TJclExceptNotifyMethod): Boolean; overload;

Unit

JclHookExcept


JclRemoveExceptNotifier Function

function JclRemoveExceptNotifier(const NotifyProc: TJclExceptNotifyProc): Boolean; overload;

Unit

JclHookExcept


JclReplaceExceptObj Function

procedure JclReplaceExceptObj(NewExceptObj: Exception);

Unit

JclHookExcept


JclSimpleSendFax Function

function JclSimpleSendFax(const Recipient: string; const Name: string; const Subject: string; const Body: string; const Attachment: string = ''; ShowDialog: Boolean = True; ParentWND: THandle = 0; const ProfileName: string = ''; const Password: string = ''): Boolean;

Unit

JclMapi


JclStartExceptionTracking Function

function JclStartExceptionTracking: Boolean;

Unit

JclDebug


JclStopExceptionTracking Function

function JclStopExceptionTracking: Boolean;

Unit

JclDebug


JclTrackExceptionsFromLibraries Function

function JclTrackExceptionsFromLibraries: Boolean;

Unit

JclDebug


JclUnkookExceptionsInModule Function

function JclUnkookExceptionsInModule(Module: HMODULE): Boolean;

Unit

JclHookExcept


JclValidateModuleAddress Function

function JclValidateModuleAddress(Addr: Pointer): Boolean;

Unit

JclDebug


KelvinTo Function

function KelvinTo(ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


KelvinToRankine Function

function KelvinToRankine(const Temperature: Float): Float;

Unit

JclUnitConv


KelvinToReaumur Function

function KelvinToReaumur(const Temperature: Float): Float;

Unit

JclUnitConv


LANGIDFROMLCID Function

function LANGIDFROMLCID(LocaleId: LCID): WORD;

Unit

JclWin32


Ln Function

function Ln(const Z: TPolarComplex): TRectComplex;

Unit

JclMath


LoadLibraryShim Function

function LoadLibraryShim(szDllName: PWideChar; szVersion: PWideChar; const pvReserved: Pointer; out phModDll: HMODULE): HRESULT; stdcall;

Unit

JclDotNet


lstat64 Function

function lstat64(FileName: PChar; var StatBuffer: TStatBuf64): Integer; cdecl;

Unit

JclFileUtils


MAKELANGID Function

function MAKELANGID(PrimaryLang: USHORT; SubLang: USHORT): WORD;

Unit

JclWin32


MAKELCID Function

function MAKELCID(LangId: WORD; SortId: WORD): DWORD;

Unit

JclWin32


MAKESORTLCID Function

function MAKESORTLCID(LangId: WORD; SortId: WORD; SortVersion: WORD): DWORD;

Unit

JclWin32


MapAndLoad Function

function MapAndLoad(ImageName: PChar; DllPath: PChar; var LoadedImage: LOADED_IMAGE; DotDll: BOOL; ReadOnly: BOOL): BOOL; stdcall;

Unit

JclWin32


MapWindowRect Function

function MapWindowRect(hWndFrom: THandle; hWndTo: THandle; ARect: TRect): TRect;

Unit

JclGraphics


MarshalInterMachineInterfaceInStream Function

function MarshalInterMachineInterfaceInStream(const iid: TIID; unk: IUnknown; var stm: IStream): HRESULT;

Unit

JclCOM


MarshalInterMachineInterfaceInVarArray Function

function MarshalInterMachineInterfaceInVarArray(const iid: TIID; unk: IUnknown; var VarArray: OleVariant): HRESULT;

Unit

JclCOM


MarshalInterProcessInterfaceInStream Function

function MarshalInterProcessInterfaceInStream(const iid: TIID; unk: IUnknown; var stm: IStream): HRESULT;

Unit

JclCOM


MarshalInterProcessInterfaceInVarArray Function

function MarshalInterProcessInterfaceInVarArray(const iid: TIID; unk: IUnknown; var VarArray: OleVariant): HRESULT;

Unit

JclCOM


MarshalInterThreadInterfaceInVarArray Function

function MarshalInterThreadInterfaceInVarArray(const iid: TIID; unk: IUnknown; var VarArray: OleVariant): HRESULT;

Unit

JclCOM


MidiInCheck Function

procedure MidiInCheck(Code: MMResult);

Unit

JclWinMIDI


MIDINoteToStr Function

function MIDINoteToStr(Note: TMIDINote): string;

Unit

JclMIDI


MidiOut Function

function MidiOut(DeviceID: Cardinal): IJclWinMidiOut;

Unit

JclWinMIDI


MIDIOut Function

function MIDIOut(DeviceID: Cardinal = 0): IJclMIDIOut;

Unit

JclMIDI


MidiOutCheck Function

procedure MidiOutCheck(Code: MMResult);

Unit

JclWinMIDI


MIDISingleNoteTuningData Function

function MIDISingleNoteTuningData(Key: TMIDINote; Frequency: Single): TSingleNoteTuningData;

Unit

JclMIDI


MimeDecodeFile Function

procedure MimeDecodeFile(const InputFileName: AnsiString; const OutputFileName: AnsiString);

Unit

JclMime


MimeEncodedSizeNoCRLF Function

function MimeEncodedSizeNoCRLF(const InputSize: Cardinal): Cardinal;

Unit

JclMime


MimeEncodeFile Function

procedure MimeEncodeFile(const InputFileName: AnsiString; const OutputFileName: AnsiString);

Unit

JclMime


MimeEncodeFileNoCRLF Function

procedure MimeEncodeFileNoCRLF(const InputFileName: AnsiString; const OutputFileName: AnsiString);

Unit

JclMime


MimeEncodeFullLines Function

procedure MimeEncodeFullLines(const InputBuffer; const InputByteCount: Cardinal; out OutputBuffer);

Unit

JclMime


MimeEncodeFullLines Function

procedure MimeEncodeFullLines(const InputBuffer: TDynByteArray; InputOffset: Cardinal; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; OutputOffset: Cardinal = 0); overload;

Unit

JclMime


MimeEncodeFullLines Function

procedure MimeEncodeFullLines(const InputBuffer: TDynByteArray; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray); overload;

Unit

JclMime


MimeEncodeNoCRLF Function

procedure MimeEncodeNoCRLF(const InputBuffer; const InputByteCount: Cardinal; out OutputBuffer);

Unit

JclMime


MimeEncodeNoCRLF Function

procedure MimeEncodeNoCRLF(const InputBuffer: TDynByteArray; InputOffset: Cardinal; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; OutputOffset: Cardinal = 0); overload;

Unit

JclMime


MimeEncodeNoCRLF Function

procedure MimeEncodeNoCRLF(const InputBuffer: TDynByteArray; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray); overload;

Unit

JclMime


MimeEncodeStreamNoCRLF Function

procedure MimeEncodeStreamNoCRLF(const InputStream: TStream; const OutputStream: TStream);

Unit

JclMime


MimeEncodeStringNoCRLF Function

function MimeEncodeStringNoCRLF(const S: AnsiString): AnsiString;

Unit

JclMime


MinedDoubleArray Function

function MinedDoubleArray(Length: Integer): TDynDoubleArray;

Unit

JclMath


MinedSingleArray Function

function MinedSingleArray(Length: Integer): TDynSingleArray;

Unit

JclMath


MixerLeftRightToArray Function

function MixerLeftRightToArray(Left: Cardinal; Right: Cardinal): TDynCardinalArray;

Unit

JclMultimedia


MMCheck Function

function MMCheck(const MciError: MCIERROR; const Msg: string = ''): MCIERROR;

Unit

JclMultimedia


MoveArray Function

procedure MoveArray(var List: TDynIInterfaceArray; FromIndex: Integer; ToIndex: Integer; Count: Integer); overload;

Unit

JclBase


MoveArray Function

procedure MoveArray(var List: TDynIntegerArray; FromIndex: Integer; ToIndex: Integer; Count: Integer); overload;

Unit

JclBase


MoveArray Function

procedure MoveArray(var List: TDynObjectArray; FromIndex: Integer; ToIndex: Integer; Count: Integer); overload;

Unit

JclBase


MoveArray Function

procedure MoveArray(var List: TDynStringArray; FromIndex: Integer; ToIndex: Integer; Count: Integer); overload;

Unit

JclBase


MoveChar Function

procedure MoveChar(const Source: string; FromIndex: Integer; var Dest: string; ToIndex: Integer; Count: Integer); overload;

Unit

JclBase


MoveWideChar Function

procedure MoveWideChar(const Source; var Dest; Count: Integer);

Unit

JclWideStrings


MultiSzDup Function

function MultiSzDup(const Source: PMultiSz): PMultiSz;

Unit

JclStrings


MultiSzLength Function

function MultiSzLength(const Source: PMultiSz): Integer;

Unit

JclStrings


Neg Function

function Neg(const Z: TPolarComplex): TPolarComplex; overload;

Unit

JclMath


Neg Function

function Neg(const Z: TRectComplex): TRectComplex; overload;

Unit

JclMath


NetApiBufferFree Function

function NetApiBufferFree(Buffer: Pointer): NET_API_STATUS; stdcall;

Unit

JclWin32


Netbios Function

function Netbios(pncb: PNCB): UCHAR; stdcall;

Unit

JclWin32


NetGroupAdd Function

function NetGroupAdd(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupAddUser Function

function NetGroupAddUser(servername: LPCWSTR; GroupName: LPCWSTR; username: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupDel Function

function NetGroupDel(servername: LPCWSTR; groupname: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupDelUser Function

function NetGroupDelUser(servername: LPCWSTR; GroupName: LPCWSTR; Username: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupEnum Function

function NetGroupEnum(servername: LPCWSTR; level: DWORD; out bufptr: PByte; prefmaxlen: DWORD; out entriesread: DWORD; out totalentries: DWORD; resume_handle: PDWORD_PTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupGetInfo Function

function NetGroupGetInfo(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; bufptr: PByte): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupGetUsers Function

function NetGroupGetUsers(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; var bufptr: PByte; prefmaxlen: DWORD; entriesread: LPDWORD; totalentries: LPDWORD; ResumeHandle: PDWORD_PTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupSetInfo Function

function NetGroupSetInfo(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetGroupSetUsers Function

function NetGroupSetUsers(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; totalentries: DWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupAdd Function

function NetLocalGroupAdd(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupAddMember Function

function NetLocalGroupAddMember(servername: LPCWSTR; groupname: LPCWSTR; membersid: PSID): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupAddMembers Function

function NetLocalGroupAddMembers(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; totalentries: DWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupDel Function

function NetLocalGroupDel(servername: LPCWSTR; groupname: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupDelMember Function

function NetLocalGroupDelMember(servername: LPCWSTR; groupname: LPCWSTR; membersid: PSID): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupDelMembers Function

function NetLocalGroupDelMembers(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; totalentries: DWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupEnum Function

function NetLocalGroupEnum(servername: LPCWSTR; level: DWORD; out bufptr: PByte; prefmaxlen: DWORD; out entriesread: DWORD; out totalentries: DWORD; resumehandle: PDWORD_PTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupGetInfo Function

function NetLocalGroupGetInfo(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; var bufptr: PByte): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupGetMembers Function

function NetLocalGroupGetMembers(servername: LPCWSTR; localgroupname: LPCWSTR; level: DWORD; var bufptr: PByte; prefmaxlen: DWORD; entriesread: LPDWORD; totalentries: LPDWORD; resumehandle: PDWORD_PTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupSetInfo Function

function NetLocalGroupSetInfo(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetLocalGroupSetMembers Function

function NetLocalGroupSetMembers(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; totalentries: DWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserAdd Function

function NetUserAdd(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserChangePassword Function

function NetUserChangePassword(domainname: LPCWSTR; username: LPCWSTR; oldpassword: LPCWSTR; newpassword: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserDel Function

function NetUserDel(servername: LPCWSTR; username: LPCWSTR): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserEnum Function

function NetUserEnum(servername: LPCWSTR; level: DWORD; filter: DWORD; var bufptr: PByte; prefmaxlen: DWORD; entriesread: LPDWORD; totalentries: LPDWORD; resume_handle: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserGetGroups Function

function NetUserGetGroups(servername: LPCWSTR; username: LPCWSTR; level: DWORD; var bufptr: PByte; prefmaxlen: DWORD; entriesread: LPDWORD; totalentries: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserGetInfo Function

function NetUserGetInfo(servername: LPCWSTR; username: LPCWSTR; level: DWORD; var bufptr: PByte): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserGetLocalGroups Function

function NetUserGetLocalGroups(servername: LPCWSTR; username: LPCWSTR; level: DWORD; flags: DWORD; var bufptr: PByte; prefmaxlen: DWORD; entriesread: LPDWORD; totalentries: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserModalsGet Function

function NetUserModalsGet(servername: LPCWSTR; level: DWORD; var bufptr: PByte): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserModalsSet Function

function NetUserModalsSet(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserSetGroups Function

function NetUserSetGroups(servername: LPCWSTR; username: LPCWSTR; level: DWORD; buf: PByte; num_entries: DWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


NetUserSetInfo Function

function NetUserSetInfo(servername: LPCWSTR; username: LPCWSTR; level: DWORD; buf: PByte; parm_err: LPDWORD): NET_API_STATUS; stdcall;

Unit

JclWin32


Norm Function

function Norm(const Z: TPolarComplex): Float; overload;

Unit

JclMath


Norm Function

function Norm(const Z: TRectComplex): Float; overload;

Unit

JclMath


NtfsCreateHardLink Function

Creates a hard link.

Pascal

function NtfsCreateHardLink(const LinkFileName: String; const ExistingFileName: String): Boolean;

Description

Creates a hard link. Both LinkFileName and ExistingFileName must reside on the same, NTFS formatted volume.

Parameters

const ExistingFileName: String

Fully qualified path of the file for which to create a hard link

LinkName

Name of the hard link to create

Return Value

True if successfull, False if failed. In the latter case use GetLastError to obtain the reason of failure.

Notes

On NT 3.51 and 4.0 you must be a member of the Administrators or Backup Operators group. Requirements: Windows NT 3.51, 4.0, 2000 or XP

Donator

Unknown

Contributors

Anonymous

Unit

JclNTFS


NtfsCreateHardLinkA Function

function NtfsCreateHardLinkA(const LinkFileName: AnsiString; const ExistingFileName: AnsiString): Boolean;

Unit

JclNTFS


NtfsCreateHardLinkW Function

function NtfsCreateHardLinkW(const LinkFileName: WideString; const ExistingFileName: WideString): Boolean;

Unit

JclNTFS


NtfsDeleteHardLinks Function

function NtfsDeleteHardLinks(const FileName: string): Boolean;

Description

Given the name of a file, this function deletes all hard links (including the specified one). This will result in the file actually being deleted, including all of it's hard links. This in contrast to the DeleteFile function that only deleted the specified hard link but doesn't affect other hard links (if any exist the file remains).

Parameters

const FileName: string

The name of the file to delete

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

Note that in case of failure the function attempts to restore the hard links it had already deleted, but it can't be guarenteed that this will succeed. So in case of failure, some hard links might already have been deleted

Donator

Unknown

Unit

JclNTFS


NtfsFindHardLinks Function

Builds a list of fully qualified hard link path names for the specified file.

Pascal

function NtfsFindHardLinks(const Path: string; const FileIndexHigh: Cardinal; const FileIndexLow: Cardinal; const List: TStrings): Boolean;

Description

Builds a list of fully qualified hard link path names for the specified file. The function recursively searches the specified directory and all it's subdirectories. Usually you set Path to the root of a volume to search the entire volume for hard links, but this is not strictly necessary.

Parameters

const Path: string

The path where the function should search for hard links, without trailing backslash FileIndexHigh, FileIndexLow - The file-index of the file for which to find the hard links. You can obtain the file-index by calling the NtfsGetHardLinkInfo function.

const List: TStrings

A TStrings derivative that receives the fully qualified path names of all found hard links.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case, some hard links may have been found and stored in List but it's not guarenteed to be all hard links.

Notes

It's possible that this function doesn't find all hard links due to access rights... Requirements: Path must point to a directory on an NTFS formatted volume.

Donator

Unknown

Unit

JclNTFS


NtfsGetHardLinkInfo Function

Returns information about a hard link.

Pascal

function NtfsGetHardLinkInfo(const FileName: string; var Info: TNtfsHardLinkInfo): Boolean;

Description

Returns information about a hard link. Specifically it's link count and fileindex.

Parameters

var Info: TNtfsHardLinkInfo

A TNtfsHardLinkInfo containing the requested information

LinkName

Name of the file for which to get hard link information

Return Value

If the function succeeds it returns True, otherwise it returns False. Requirements: The specified file must reside on an NTFS formatted volume

Donator

Unknown

Unit

JclNTFS


NtfsOpLockAckClosePending Function

function NtfsOpLockAckClosePending(Handle: THandle; Overlapped: TOverlapped): Boolean;

Unit

JclNTFS


NtfsOpLockBreakAckNo2 Function

function NtfsOpLockBreakAckNo2(Handle: THandle; Overlapped: TOverlapped): Boolean;

Unit

JclNTFS


NtfsOpLockBreakAcknowledge Function

function NtfsOpLockBreakAcknowledge(Handle: THandle; Overlapped: TOverlapped): Boolean;

Unit

JclNTFS


NtfsOpLockBreakNotify Function

function NtfsOpLockBreakNotify(Handle: THandle; Overlapped: TOverlapped): Boolean;

Unit

JclNTFS


NtfsRequestOpLock Function

function NtfsRequestOpLock(Handle: THandle; Kind: TOpLock; Overlapped: TOverlapped): Boolean;

Unit

JclNTFS


OpenCdMciDevice Function

function OpenCdMciDevice(var OpenParams: TMCI_Open_Parms; Drive: Char = #0): MCIERROR;

Unit

JclMultimedia


OpenGLColorToWinColor Function

function OpenGLColorToWinColor(const Red: Float; const Green: Float; const Blue: Float): TColor;

Unit

JclQGraphUtils


PAnsiCharOrNil Function

function PAnsiCharOrNil(const S: AnsiString): PAnsiChar;

Unit

JclSysUtils


ParseCOMSDataOfCOMSDefinition Function

procedure ParseCOMSDataOfCOMSDefinition(Data: string; CompositeElement: TEDISEFCompositeElement; ELMSList: TEDISEFDataObjectList);

Unit

JclEDISEF


ParseCOMSDataOfSEGSDefinition Function

procedure ParseCOMSDataOfSEGSDefinition(Data: string; CompositeElement: TEDISEFCompositeElement; COMSList: TEDISEFDataObjectList);

Unit

JclEDISEF


ParseELMSDataOfCOMSDefinition Function

procedure ParseELMSDataOfCOMSDefinition(Data: string; Element: TEDISEFElement; ELMSList: TEDISEFDataObjectList);

Unit

JclEDISEF


ParseELMSDataOfELMSDefinition Function

procedure ParseELMSDataOfELMSDefinition(Data: string; Element: TEDISEFElement);

Unit

JclEDISEF


ParseELMSDataOfSEGSDefinition Function

procedure ParseELMSDataOfSEGSDefinition(Data: string; Element: TEDISEFElement; ELMSList: TEDISEFDataObjectList);

Unit

JclEDISEF


ParseLoopDataOfSETSDefinition Function

procedure ParseLoopDataOfSETSDefinition(Data: string; Loop: TEDISEFLoop; SEFFile: TEDISEFFile);

Unit

JclEDISEF


ParseSEGSDataOfSEGSDefinition Function

procedure ParseSEGSDataOfSEGSDefinition(Data: string; Segment: TEDISEFSegment; SEFFile: TEDISEFFile);

Unit

JclEDISEF


ParseSEGSDataOfSETSDefinition Function

procedure ParseSEGSDataOfSETSDefinition(Data: string; Segment: TEDISEFSegment; SEFFile: TEDISEFFile);

Unit

JclEDISEF


ParseSetsDataOfSETSDefinition Function

procedure ParseSetsDataOfSETSDefinition(Data: string; ASet: TEDISEFSet; SEFFile: TEDISEFFile);

Unit

JclEDISEF


ParseTableDataOfSETSDefinition Function

procedure ParseTableDataOfSETSDefinition(Data: string; Table: TEDISEFTable; SEFFile: TEDISEFFile);

Unit

JclEDISEF


PathCanonicalize Function

If possible, shortens a path by resolving relative path elements ('.', '..')

Pascal

function PathCanonicalize(const Path: string): string;

Description

Canonicalizes a path. Meaning, it parses the specified path for the character sequences '.' and '..' where '.' means skip over the next path part and '..' means remove the previous path part.

For example: c:users.delphidata => c:usersdelphidata c:users..delphidata => c:delphidata c:users.delphi.. => c:users c:users...data => c:data

Thus, the '.' and '..' sequences have similar meaning to their counterparts in the filesystem.

Parameters

const Path: string

The path to canonicalize.

Return Value

The canonicalized path.

Notes

(Kylix) Libc.canonicalize_file_name() is different in that it converts relative paths to absolute ones - and thus needs to evaluate the program's environment.

Donator

Jeff

Unit

JclFileUtils


PathExtractPathDepth Function

See Also

Returns Depth parts of the path excluding drive.

Pascal

function PathExtractPathDepth(const Path: string; Depth: Integer): string;

Description

Returns first Depth parts of the specified path excluding drive letter and colon. Example:

PathExtractPathDepth('c:usersbrakelmdata', 2) => 'c:usersbrakelm'

Parameters

const Path: string

The path to extract parts from.

Depth: Integer

Specifies the maximum of path parts to return.

Donator

Jeff

Unit

JclFileUtils


See Also

PathGetDepth


PathGetDepth Function

See Also

Returns the depth of the path specified by Path parameter.

Pascal

function PathGetDepth(const Path: string): Integer;

Description

Returns the depth of the path specified by Path parameter, that is the number of subdirectories in the path.

Parameters

const Path: string

The path to count the depth of.

Donator

Jeff

Unit

JclFileUtils


See Also

PathExtractPathDepth


PeBorDependedPackages Function

function PeBorDependedPackages(const FileName: TFileName; PackagesList: TStrings; FullPathName: Boolean; Descriptions: Boolean): Boolean;

Unit

JclPeImage


PeBorFormNames Function

function PeBorFormNames(const FileName: TFileName; const NamesList: TStrings): Boolean;

Unit

JclPeImage


PeClearCheckSum Function

function PeClearCheckSum(const FileName: TFileName): Boolean;

Unit

JclPeImage


PeCreateRequiredImportList Function

function PeCreateRequiredImportList(const FileName: TFileName; RequiredImportsList: TStrings): Boolean;

Unit

JclPeImage


PeExportedNames Function

function PeExportedNames(const FileName: TFileName; const FunctionsList: TStrings): Boolean;

Unit

JclPeImage


PeExportedVariables Function

function PeExportedVariables(const FileName: TFileName; const FunctionsList: TStrings): Boolean;

Unit

JclPeImage


PeFindMissingImports Function

function PeFindMissingImports(const FileName: TFileName; MissingImportsList: TStrings): Boolean; overload;

Unit

JclPeImage


PeFindMissingImports Function

function PeFindMissingImports(RequiredImportsList: TStrings; MissingImportsList: TStrings): Boolean; overload;

Unit

JclPeImage


PeInsertSection Function

function PeInsertSection(const FileName: TFileName; SectionStream: TStream; SectionName: string): Boolean;

Unit

JclPeImage


PeMapFindResource Function

function PeMapFindResource(const Module: HMODULE; const ResourceType: PChar; const ResourceName: string): Pointer;

Unit

JclPeImage


PeMapImgExportedVariables Function

function PeMapImgExportedVariables(const Module: HMODULE; const VariablesList: TStrings): Boolean;

Unit

JclPeImage


PeMapImgResolvePackageThunk Function

function PeMapImgResolvePackageThunk(Address: Pointer): Pointer;

Unit

JclPeImage


PeReadLinkerTimeStamp Function

function PeReadLinkerTimeStamp(const FileName: string): TDateTime;

Unit

JclPeImage


PeResourceKindNames Function

function PeResourceKindNames(const FileName: TFileName; ResourceType: TJclPeResourceKind; const NamesList: TStrings): Boolean;

Unit

JclPeImage


PeUpdateLinkerTimeStamp Function

function PeUpdateLinkerTimeStamp(const FileName: string; const Time: TDateTime): Boolean;

Unit

JclPeImage


PixelsToDialogUnitsX Function

function PixelsToDialogUnitsX(const PixelUnits: Word): Word;

Unit

JclQGraphUtils


PixelsToDialogUnitsY Function

function PixelsToDialogUnitsY(const PixelUnits: Word): Word;

Unit

JclQGraphUtils


PolarComplex Function

function PolarComplex(const Radius: Float; const Angle: Float = 0): TPolarComplex; overload;

Unit

JclMath


PolarComplex Function

function PolarComplex(const Z: TRectComplex): TPolarComplex; overload;

Unit

JclMath


PRIMARYLANGID Function

function PRIMARYLANGID(LangId: WORD): WORD;

Unit

JclWin32


PrintMemo Function

procedure PrintMemo(const Memo: TMemo; const Rect: TRect);

Unit

JclPrint


Product Function

function Product(const Z1: TPolarComplex; const Z2: TPolarComplex): TPolarComplex; overload;

Unit

JclMath


Product Function

function Product(const Z1: TRectComplex; const Z2: TRectComplex): TRectComplex; overload;

Unit

JclMath


QuickSort Function

procedure QuickSort(AList: IJclIntfList; L: Integer; R: Integer; AComparator: TIntfCompare); overload;

Unit

JclAlgorithms


QuickSort Function

procedure QuickSort(AList: IJclList; L: Integer; R: Integer; AComparator: TCompare); overload;

Unit

JclAlgorithms


QuickSort Function

procedure QuickSort(AList: IJclStrList; L: Integer; R: Integer; AComparator: TStrCompare); overload;

Unit

JclAlgorithms


Quotient Function

function Quotient(const Z1: TRectComplex; const Z2: TRectComplex): TRectComplex;

Unit

JclMath


RankineTo Function

function RankineTo(ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


RankineToCelsius Function

function RankineToCelsius(const Temperature: Float): Float;

Unit

JclUnitConv


RankineToFahrenheit Function

function RankineToFahrenheit(const Temperature: Float): Float;

Unit

JclUnitConv


RankineToKelvin Function

function RankineToKelvin(const Temperature: Float): Float;

Unit

JclUnitConv


RankineToReaumur Function

function RankineToReaumur(const Temperature: Float): Float;

Unit

JclUnitConv


ReadKey Function

function ReadKey: Char;

Unit

JclSysUtils


ReaumurTo Function

function ReaumurTo(ToType: TTemperatureType; const Temperature: Float): Float;

Unit

JclUnitConv


ReaumurToCelsius Function

function ReaumurToCelsius(const Temperature: Float): Float;

Unit

JclUnitConv


ReaumurToFahrenheit Function

function ReaumurToFahrenheit(const Temperature: Float): Float;

Unit

JclUnitConv


ReaumurToKelvin Function

function ReaumurToKelvin(const Temperature: Float): Float;

Unit

JclUnitConv


ReaumurToRankine Function

function ReaumurToRankine(const Temperature: Float): Float;

Unit

JclUnitConv


ReBaseImage Function

function ReBaseImage(CurrentImageName: PAnsiChar; SymbolPath: PAnsiChar; fReBase: BOOL; fRebaseSysfileOk: BOOL; fGoingDown: BOOL; CheckImageSize: ULONG; var OldImageSize: ULONG; var OldImageBase: ULONG_PTR; var NewImageSize: ULONG; var NewImageBase: ULONG_PTR; TimeStamp: ULONG): BOOL; stdcall;

Unit

JclWin32


RectComplex Function

function RectComplex(const Re: Float; const Im: Float = 0): TRectComplex; overload;

Unit

JclMath


RectComplex Function

function RectComplex(const Z: TPolarComplex): TRectComplex; overload;

Unit

JclMath


RectFitToScreen Function

procedure RectFitToScreen(var R: TRect);

Unit

JclQGraphUtils


RedComponent Function

function RedComponent(const Color32: TColor32): Integer;

Unit

JclQGraphUtils


RegisterCLSIDInCategory Function

function RegisterCLSIDInCategory(const ClassID: TGUID; const CatID: TGUID): HRESULT;

Unit

JclCOM


RegisterUnitVersion Function

procedure RegisterUnitVersion(Instance: THandle; const Info: TUnitVersionInfo);

Unit

JclUnitVersioning


RegReadAnsiStringEx Function

function RegReadAnsiStringEx(const RootKey: DelphiHKEY; const Key: AnsiString; const Name: AnsiString; out RetValue: AnsiString; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadBinaryEx Function

function RegReadBinaryEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; var Value; const ValueSize: Cardinal; out DataSize: Cardinal; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadCardinalEx Function

function RegReadCardinalEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Cardinal; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadDouble Function

function RegReadDouble(const RootKey: DelphiHKEY; const Key: string; const Name: string): Double;

Unit

JclRegistry


RegReadDoubleDef Function

function RegReadDoubleDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Double): Double;

Unit

JclRegistry


RegReadDoubleEx Function

function RegReadDoubleEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Double; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadDWORDEx Function

function RegReadDWORDEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: DWORD; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadExtended Function

function RegReadExtended(const RootKey: DelphiHKEY; const Key: string; const Name: string): Extended;

Unit

JclRegistry


RegReadExtendedDef Function

function RegReadExtendedDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Extended): Extended;

Unit

JclRegistry


RegReadExtendedEx Function

function RegReadExtendedEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Extended; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadInt64Ex Function

function RegReadInt64Ex(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Int64; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadIntegerEx Function

function RegReadIntegerEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Integer; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadMultiSz Function

function RegReadMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string): PMultiSz; overload;

Unit

JclRegistry


RegReadMultiSz Function

procedure RegReadMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TStrings); overload;

Unit

JclRegistry


RegReadMultiSzDef Function

function RegReadMultiSzDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: PMultiSz): PMultiSz; overload;

Unit

JclRegistry


RegReadMultiSzDef Function

procedure RegReadMultiSzDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TStrings; Def: TStrings); overload;

Unit

JclRegistry


RegReadMultiSzEx Function

function RegReadMultiSzEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: PMultiSz; RaiseException: Boolean = False): Boolean; overload;

Unit

JclRegistry


RegReadMultiSzEx Function

function RegReadMultiSzEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TStrings; RaiseException: Boolean = False): Boolean; overload;

Unit

JclRegistry


RegReadSingle Function

function RegReadSingle(const RootKey: DelphiHKEY; const Key: string; const Name: string): Single;

Unit

JclRegistry


RegReadSingleDef Function

function RegReadSingleDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Single): Single;

Unit

JclRegistry


RegReadSingleEx Function

function RegReadSingleEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: Single; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadStringEx Function

function RegReadStringEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: AnsiString; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadUInt64Ex Function

function RegReadUInt64Ex(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: UInt64; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegReadWideMultiSz Function

function RegReadWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string): PWideMultiSz; overload;

Unit

JclRegistry


RegReadWideMultiSz Function

procedure RegReadWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TWideStrings); overload;

Unit

JclRegistry


RegReadWideMultiSzDef Function

function RegReadWideMultiSzDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: PWideMultiSz): PWideMultiSz; overload;

Unit

JclRegistry


RegReadWideMultiSzDef Function

procedure RegReadWideMultiSzDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TWideStrings; Def: TWideStrings); overload;

Unit

JclRegistry


RegReadWideMultiSzEx Function

function RegReadWideMultiSzEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: PWideMultiSz; RaiseException: Boolean = False): Boolean; overload;

Unit

JclRegistry


RegReadWideMultiSzEx Function

function RegReadWideMultiSzEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: TWideStrings; RaiseException: Boolean = False): Boolean; overload;

Unit

JclRegistry


RegReadWideStringEx Function

function RegReadWideStringEx(const RootKey: DelphiHKEY; const Key: string; const Name: string; out RetValue: WideString; RaiseException: Boolean = False): Boolean;

Unit

JclRegistry


RegWriteDouble Function

procedure RegWriteDouble(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Double); overload;

Unit

JclRegistry


RegWriteDouble Function

procedure RegWriteDouble(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Double); overload;

Unit

JclRegistry


RegWriteExtended Function

procedure RegWriteExtended(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Extended); overload;

Unit

JclRegistry


RegWriteExtended Function

procedure RegWriteExtended(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Extended); overload;

Unit

JclRegistry


RegWriteMultiSz Function

procedure RegWriteMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: PMultiSz); overload;

Unit

JclRegistry


RegWriteMultiSz Function

procedure RegWriteMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; const Value: TStrings); overload;

Unit

JclRegistry


RegWriteMultiSz Function

procedure RegWriteMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: PMultiSz); overload;

Unit

JclRegistry


RegWriteMultiSz Function

procedure RegWriteMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; const Value: TStrings); overload;

Unit

JclRegistry


RegWriteSingle Function

procedure RegWriteSingle(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Single); overload;

Unit

JclRegistry


RegWriteSingle Function

procedure RegWriteSingle(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Single); overload;

Unit

JclRegistry


RegWriteWideMultiSz Function

procedure RegWriteWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: PWideMultiSz); overload;

Unit

JclRegistry


RegWriteWideMultiSz Function

procedure RegWriteWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; const Value: TWideStrings); overload;

Unit

JclRegistry


RegWriteWideMultiSz Function

procedure RegWriteWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: PWideMultiSz); overload;

Unit

JclRegistry


RegWriteWideMultiSz Function

procedure RegWriteWideMultiSz(const RootKey: DelphiHKEY; const Key: string; const Name: string; const Value: TWideStrings); overload;

Unit

JclRegistry


ResetIStreamToStart Function

function ResetIStreamToStart(Stream: IStream): Boolean;

Unit

JclCOM


Reverse Function

procedure Reverse(First: IJclIntfIterator; Last: IJclIntfIterator); overload;

Unit

JclAlgorithms


Reverse Function

procedure Reverse(First: IJclIterator; Last: IJclIterator); overload;

Unit

JclAlgorithms


Reverse Function

procedure Reverse(First: IJclStrIterator; Last: IJclStrIterator); overload;

Unit

JclAlgorithms


RGBAToBGRA Function

procedure RGBAToBGRA(const Source: Pointer; const Target: Pointer; const BitsPerSample: Byte; Count: Cardinal);

Unit

JclQGraphUtils


RGBToBGR Function

procedure RGBToBGR(const Source: Pointer; const Target: Pointer; const BitsPerSample: Byte; Count: Cardinal); overload;

Unit

JclQGraphUtils


RGBToBGR Function

procedure RGBToBGR(const R: Pointer; const G: Pointer; const B: Pointer; const Target: Pointer; const BitsPerSample: Byte; Count: Cardinal); overload;

Unit

JclQGraphUtils


RGBToHLS Function

procedure RGBToHLS(const R: Single; const G: Single; const B: Single; out H: Single; out L: Single; out S: Single); overload;

Unit

JclQGraphUtils


RGBToHLS Function

function RGBToHLS(const RGBColor: TColorRef): THLSVector; overload;

Unit

JclQGraphUtils


RGBToHLS Function

function RGBToHLS(const RGB: TColorVector): TColorVector; overload;

Unit

JclQGraphUtils


RGBToHSL Function

procedure RGBToHSL(const R: Single; const G: Single; const B: Single; out H: Single; out S: Single; out L: Single); overload; deprecated;

Unit

JclQGraphUtils


RGBToHSL Function

procedure RGBToHSL(const RGB: TColor32; out H: Single; out S: Single; out L: Single); overload;

Unit

JclQGraphUtils


Root Function

function Root(const Z: TPolarComplex; const K: Cardinal; const N: Cardinal): TPolarComplex;

Unit

JclMath


RoundToAllocGranularity64 Function

procedure RoundToAllocGranularity64(var Value: Int64; Up: Boolean);

Unit

JclSysInfo


RunDll32ShimW Function

function RunDll32ShimW(const hwnd: THandle; const hinst: HMODULE; lpszCmdLine: PWideChar; const nCmdShow: Integer): HRESULT; stdcall;

Unit

JclDotNet


ScreenShot Function

procedure ScreenShot(bm: TBitmap; IncludeTaskBar: Boolean = True); overload;

Unit

JclGraphics


ScreenShot Function

procedure ScreenShot(bm: TBitmap; Left: Integer; Top: Integer; Width: Integer; Height: Integer; Window: THandle = HWND_DESKTOP); overload;

Unit

JclGraphics


SearchDynArray Function

function SearchDynArray(const ArrayPtr: Pointer; ElementSize: Cardinal; SortFunc: TDynArraySortCompare; ValuePtr: Pointer; Nearest: Boolean = False): Integer;

Unit

JclSysUtils


SearchSortedList Function

function SearchSortedList(List: TList; SortFunc: TListSortCompare; Item: Pointer; Nearest: Boolean = False): Integer;

Unit

JclSysUtils


SearchSortedUntyped Function

function SearchSortedUntyped(Param: Pointer; ItemCount: Integer; SearchFunc: TUntypedSearchCompare; const Value; Nearest: Boolean = False): Integer;

Unit

JclSysUtils


SetAlpha Function

function SetAlpha(const Color32: TColor32; NewAlpha: Integer): TColor32;

Unit

JclQGraphUtils


SetBitBuffer Function

procedure SetBitBuffer(var Value; const Bit: TBitRange);

Unit

JclLogic


SetBitmapColors Function

function SetBitmapColors(Bmp: TBitmap; const Colors: array of TColor; StartIndex: Integer): Integer;

Unit

JclGraphUtils


SetBytesEx Function

procedure SetBytesEx(var Value; Bytes: TBytes);

Unit

JclBase


SetFileSecurity Function

function SetFileSecurity(lpFileName: LPCTSTR; SecurityInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR): BOOL; stdcall;

Unit

JclWin32


SetFileSecurityA Function

function SetFileSecurityA(lpFileName: LPCSTR; SecurityInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR): BOOL; stdcall;

Unit

JclWin32


SetFileSecurityW Function

function SetFileSecurityW(lpFileName: LPCWSTR; SecurityInformation: SECURITY_INFORMATION; pSecurityDescriptor: PSECURITY_DESCRIPTOR): BOOL; stdcall;

Unit

JclWin32


SetGlobalEnvironmentVariable Function

procedure SetGlobalEnvironmentVariable(VariableName: string; VariableContent: string);

Unit

JclSysInfo


SetIntegerSet Function

procedure SetIntegerSet(var DestSet: TIntegerSet; Value: UInt32);

Unit

JclBase


SetNamedSecurityInfoW Function

function SetNamedSecurityInfoW(pObjectName: LPWSTR; ObjectType: SE_OBJECT_TYPE; SecurityInfo: SECURITY_INFORMATION; psidOwner: PSID; psidGroup: PSID; pDacl: PACL; pSacl: PACL): DWORD; stdcall;

Unit

JclWin32


SetPrinterPixelsPerInch Function

procedure SetPrinterPixelsPerInch;

Unit

JclPrint


SetVolumeMountPoint Function

function SetVolumeMountPoint(lpszVolumeMountPoint: LPCSTR; lpszVolumeName: LPCSTR): BOOL; stdcall;

Unit

JclWin32


SetWaitableTimer Function

function SetWaitableTimer(hTimer: THandle; var lpDueTime: TLargeInteger; lPeriod: Longint; pfnCompletionRoutine: TFNTimerAPCRoutine; lpArgToCompletionRoutine: Pointer; fResume: BOOL): BOOL; stdcall;

Unit

JclWin32


ShellExecEx Function

function ShellExecEx(const FileName: string; const Parameters: string = ''; const Verb: string = ''; CmdShow: Integer = SW_SHOWNORMAL): Boolean;

Unit

JclShell


ShellLinkIcon Function

function ShellLinkIcon(const Link: TShellLink): HICON; overload;

Unit

JclShell


ShellLinkIcon Function

function ShellLinkIcon(const FileName: string): HICON; overload;

Unit

JclShell


SHEnumSpecialFolderFirst Function

function SHEnumSpecialFolderFirst(SpecialFolder: DWORD; Flags: TEnumFolderFlags; var F: TEnumFolderRec): Boolean;

Unit

JclShell


ShortenString Function

function ShortenString(const DC: HDC; const S: WideString; const Width: Integer; const RTL: Boolean; EllipsisWidth: Integer = 0): WideString;

Unit

JclQGraphUtils


SimpleCompare Function

function SimpleCompare(Obj1: TObject; Obj2: TObject): Integer;

Unit

JclAlgorithms


SizeOfIStreamContents Function

function SizeOfIStreamContents(Stream: IStream): Largeint;

Unit

JclCOM


Sort Function

procedure Sort(AList: IJclIntfList; First: Integer; Last: Integer; AComparator: TIntfCompare); overload;

Unit

JclAlgorithms


Sort Function

procedure Sort(AList: IJclList; First: Integer; Last: Integer; AComparator: TCompare); overload;

Unit

JclAlgorithms


Sort Function

procedure Sort(AList: IJclStrList; First: Integer; Last: Integer; AComparator: TStrCompare); overload;

Unit

JclAlgorithms


SortDynArray Function

procedure SortDynArray(const ArrayPtr: Pointer; ElementSize: Cardinal; SortFunc: TDynArraySortCompare);

Unit

JclSysUtils


SORTIDFROMLCID Function

function SORTIDFROMLCID(LocaleId: LCID): WORD;

Unit

JclWin32


SORTVERSIONFROMLCID Function

function SORTVERSIONFROMLCID(LocaleId: LCID): WORD;

Unit

JclWin32


StartServiceByName Function

function StartServiceByName(const AServer: String; const AServiceName: String): Boolean;

Unit

JclSvcCtrl


stat64 Function

function stat64(FileName: PChar; var StatBuffer: TStatBuf64): Integer; cdecl;

Unit

JclFileUtils


StdError Function

function StdError(const Variance: Float; const SampleSize: Integer): Float; overload;

Unit

JclStatistics


StdError Function

function StdError(const X: TDynFloatArray): Float; overload;

Unit

JclStatistics


StopServiceByName Function

function StopServiceByName(const AServer: String; const AServiceName: String): Boolean;

Unit

JclSvcCtrl


StrCharPosLower Function

function StrCharPosLower(const S: string; CharPos: Integer): string;

Unit

JclStrings


StrCharPosUpper Function

function StrCharPosUpper(const S: string; CharPos: Integer): string;

Unit

JclStrings


StrDisposeAndNilW Function

procedure StrDisposeAndNilW(var Str: PWideChar);

Unit

JclUnicode


StreamToVariantArray Function

function StreamToVariantArray(Stream: IStream): OleVariant; overload;

Unit

JclCOM


StreamToVariantArray Function

function StreamToVariantArray(Stream: TStream): OleVariant; overload;

Unit

JclCOM


StringRemove Function

function StringRemove(const S: string; const Pattern: string; Flags: TReplaceFlags): string;

Unit

JclEDI


StringReplace Function

function StringReplace(const S: string; const OldPattern: string; const NewPattern: string; Flags: TReplaceFlags): string;

Unit

JclEDI


StringToByteArray Function

function StringToByteArray(const S: string): TBytes;

Unit

JclBase


StrIToStrings Function

See Also

Converts a string into a list of strings using the specified separator character.

Pascal

procedure StrIToStrings(S: string; Sep: string; const List: TStrings; const AllowEmptyString: Boolean = True);

Description

StrIToStrings converts the supplied string, which supposedly is a list of strings packed into a single string variable, to a TStrings. The function uses the supplied separator string to separate the string into its individual elements.

For example, if you call the function like this: StrIToStrings('Project JEDI Rules', ' ', List) then on return list will contain three items, namely 'Project', 'JEDI', and 'Rules'. As this example shows, the last string doesn't have to be terminated by the separator string although it is allowed.

Parameters

S: string

The string to split into elements

Sep: string

The string that separates the individual elements

const List: TStrings

A TStrings derivative that receives the individual elements

const AllowEmptyString: Boolean = True

Specifies whether empty strings can be added to the list or not

Notes

The function differs from StrToString since it does not perform any case conversion of the string passed as the parameter.

The list will be cleared by this function before adding the elements.

Donator

Anthony Steele

Unit

JclStrings


See Also

StrToStrings


StrLICompW2 Function

function StrLICompW2(const Str1: PWideChar; const Str2: PWideChar; MaxLen: Cardinal): Integer;

Unit

JclWideStrings


StrPCopyWW Function

function StrPCopyWW(Dest: PWideChar; const Source: WideString): PWideChar; overload;

Unit

JclUnicode


StrPLCopyWW Function

function StrPLCopyWW(Dest: PWideChar; const Source: WideString; MaxLen: Cardinal): PWideChar;

Unit

JclUnicode


StrRepeatLength Function

function StrRepeatLength(const S: string; L: Integer): string;

Unit

JclStrings


StrSimpleCompare Function

function StrSimpleCompare(const Obj1: string; const Obj2: string): Integer;

Unit

JclAlgorithms


StrToBoolean Function

function StrToBoolean(const S: string): Boolean;

Unit

JclSysUtils


StrToFloatSafe Function

The function StrToFloatSafe attempts to convert the string passed as a parameter to its float value.

Pascal

function StrToFloatSafe(const S: string): Float;

Description

The function StrToFloatSafe attempts to convert the string passed as a parameter to its float value. It handles correctly decimal and float separators as well as negative sign. Function also handles national settings for thousand separator (see ThousandSeparator variable).

Parameters

const S: string

String to be converted to float value

Return Value

Float value of the string S passed as a parameter. If error occurs, the function returns 0.00

Donator

Azret Botash

Contributors

Robert Rossmair

Unit

JclStrings


StrToIntSafe Function

The function StrToIntSafe attempts to convert the string passed as a parameter to its integer value.

Pascal

function StrToIntSafe(const S: string): Integer;

Description

The function StrToIntSafe attempts to convert the string passed as a parameter to its integer value. The function handles correctly national settings ofr thousand separator (see ThousandSeparator variable) as well as negative sign.

Parameters

const S: string

String to be converted to integer value

Return Value

Integer value of the string S passed as a parameter. If error occurs, the function returns 0

Donator

Azret Botash

Unit

JclStrings


SUBLANGID Function

function SUBLANGID(LangId: WORD): WORD;

Unit

JclWin32


Sum Function

function Sum(const Z1: TRectComplex; const Z2: TRectComplex): TRectComplex; overload;

Unit

JclMath


Sum Function

function Sum(const Z: array of TRectComplex): TRectComplex; overload;

Unit

JclMath


SumOfSquares Function

function SumOfSquares(const X: TDynFloatArray): Float;

Unit

JclStatistics


SystemTObjectInstance Function

function SystemTObjectInstance: LongWord;

Unit

JclSysUtils


TestBitBuffer Function

function TestBitBuffer(const Value; const Bit: TBitRange): Boolean;

Unit

JclLogic


ToggleBitBuffer Function

procedure ToggleBitBuffer(var Value; const Bit: TBitRange);

Unit

JclLogic


TouchFileTimes Function

function TouchFileTimes(const FileHandle: THandle; const pSystemTime: TSystemTime): BOOL; stdcall;

Unit

JclWin32


TrimLeftLengthW Function

function TrimLeftLengthW(const S: WideString): Integer;

Unit

JclWideStrings


TrimLeftW Function

function TrimLeftW(const S: WideString): WideString;

Unit

JclWideStrings


TrimRightLengthW Function

function TrimRightLengthW(const S: WideString): Integer;

Unit

JclWideStrings


TrimRightW Function

function TrimRightW(const S: WideString): WideString;

Unit

JclWideStrings


TrimW Function

function TrimW(const S: WideString): WideString;

Unit

JclWideStrings


TruncPower Function

function TruncPower(const Base: Float; const Exponent: Float): Float;

Unit

JclMath


TryStrToCurr Function

function TryStrToCurr(const S: string; out Value: Currency): Boolean;

Unit

JclStrings


TryStrToFloat Function

function TryStrToFloat(const S: string; out Value: Double): Boolean; overload;

Unit

JclStrings


TryStrToFloat Function

function TryStrToFloat(const S: string; out Value: Extended): Boolean; overload;

Unit

JclStrings


TryStrToFloat Function

function TryStrToFloat(const S: string; out Value: Single): Boolean; overload;

Unit

JclStrings


TryStrToInt Function

function TryStrToInt(const S: string; out Value: Integer): Boolean;

Unit

JclStrings


TryStrToInt64 Function

function TryStrToInt64(const S: string; out Value: Int64): Boolean;

Unit

JclStrings


UnDecorateSymbolName Function

function UnDecorateSymbolName(DecoratedName: string PAnsiChar; UnDecoratedName: string PAnsiChar; UndecoratedLength: DWORD; Flags: DWORD): DWORD; stdcall;

Unit

JclWin32


UnicodeCaseFold Function

function UnicodeCaseFold(Code: UCS4): TUCS4Array;

Unit

JclUnicode


UnMapAndLoad Function

function UnMapAndLoad(const LoadedImage: LOADED_IMAGE): BOOL; stdcall;

Unit

JclWin32


UnRegisterCLSIDInCategory Function

function UnRegisterCLSIDInCategory(const ClassID: TGUID; const CatID: TGUID): HRESULT;

Unit

JclCOM


UnregisterUnitVersion Function

procedure UnregisterUnitVersion(Instance: THandle);

Unit

JclUnitVersioning


VariantArrayToStream Function

procedure VariantArrayToStream(VarArray: OleVariant; var Stream: IStream); overload;

Unit

JclCOM


VariantArrayToStream Function

procedure VariantArrayToStream(VarArray: OleVariant; var Stream: TStream); overload;

Unit

JclCOM


VersionExtractFileInfo Function

procedure VersionExtractFileInfo(const FixedInfo: TVSFixedFileInfo; var Major: Word; var Minor: Word; var Build: Word; var Revision: Word);

Unit

JclFileUtils


VersionExtractProductInfo Function

procedure VersionExtractProductInfo(const FixedInfo: TVSFixedFileInfo; var Major: Word; var Minor: Word; var Build: Word; var Revision: Word);

Unit

JclFileUtils


VersionFixedFileInfoString Function

function VersionFixedFileInfoString(const FileName: string; VersionFormat: TFileVersionFormat = vfFull; const NotAvailableText: string = ''): string;

Unit

JclFileUtils


WaitAlertableForMultipleObjects Function

function WaitAlertableForMultipleObjects(const Objects: array of TJclDispatcherObject; WaitAll: Boolean; TimeOut: Cardinal): Cardinal;

Unit

JclSynch


WaitForMultipleObjects Function

function WaitForMultipleObjects(const Objects: array of TJclDispatcherObject; WaitAll: Boolean; TimeOut: Cardinal): Cardinal;

Unit

JclSynch


WideCaseFolding Function

function WideCaseFolding(C: WideChar): WideString; overload;

Unit

JclUnicode


WideCaseFolding Function

function WideCaseFolding(const S: WideString): WideString; overload;

Unit

JclUnicode


WideCharToChar Function

function WideCharToChar(Ch: WideChar): AnsiChar;

Unit

JclWideStrings


WideCompareStr Function

function WideCompareStr(const S1: WideString; const S2: WideString): Integer;

Unit

JclWideStrings


WideCompareText Function

function WideCompareText(const S1: WideString; const S2: WideString): Integer;

Unit

JclWideStrings


WideFormat Function

function WideFormat(const Format: WideString; const Args: array of const): WideString;

Unit

JclWideFormat


WideMultiSzDup Function

function WideMultiSzDup(const Source: PWideMultiSz): PWideMultiSz;

Unit

JclStrings


WideMultiSzLength Function

function WideMultiSzLength(const Source: PWideMultiSz): Integer;

Unit

JclStrings


WideMultiSzToWideStrings Function

procedure WideMultiSzToWideStrings(const Dest: TWideStrings; const Source: PWideMultiSz);

Unit

JclStrings


WidePos Function

function WidePos(const SubStr: WideString; const S: WideString): Integer;

Unit

JclWideStrings


WideStringsToWideMultiSz Function

function WideStringsToWideMultiSz(var Dest: PWideMultiSz; const Source: TWideStrings): PWideMultiSz;

Unit

JclStrings


WideTitleCase Function

function WideTitleCase(C: WideChar): WideString; overload;

Unit

JclUnicode


WideTitleCase Function

function WideTitleCase(const S: WideString): WideString; overload;

Unit

JclUnicode


WinColor Function

function WinColor(const Color32: TColor32): TColor;

Unit

JclQGraphUtils


WinColorToOpenGLColor Function

procedure WinColorToOpenGLColor(const Color: TColor; out Red: Float; out Green: Float; out Blue: Float);

Unit

JclQGraphUtils


WinExec32 Function

function WinExec32(const Cmd: string; const CmdShow: Integer): Boolean;

Unit

JclMiscel


WinExec32AndRedirectOutput Function

function WinExec32AndRedirectOutput(const Cmd: string; var Output: string; RawOutput: Boolean = False): Cardinal;

Unit

JclMiscel


WinExec32AndWait Function

function WinExec32AndWait(const Cmd: string; const CmdShow: Integer): Cardinal;

Unit

JclMiscel


WriteIcon

See Also

Writes two bitmaps as an icon to a stream.

Pascal

procedure WriteIcon(Stream: TStream; ColorBitmap: HBITMAP; MaskBitmap: HBITMAP; WriteLength: Boolean = False); overload;

Description

Use WriteIcon to write the icon image (specified by its handle) to a stream.

Parameters

Stream: TStream

the stream object that receives the memory image of the icon

ColorBitmap: HBITMAP

Handle of the bitmap that holds the image data for the icon

MaskBitmap: HBITMAP

Handle of the bitmap that holds the mask data for the icon

WriteLength: Boolean = False

Determines whether a Longint containing the data size is written to the stream prior to the icon data.

Platforms

Win32

Donator

Robert Rossmair

Unit

JclGraphics


See Also

WriteIcon, BitmapToIcon


WriteProtectedMemory Function

function WriteProtectedMemory(BaseAddress: Pointer; Buffer: Pointer; Size: Cardinal; out WrittenBytes: Cardinal): Boolean;

Unit

JclSysUtils


_ACTION_HEADER Record

_ACTION_HEADER = record
  transport_id: ULONG;
  action_code: USHORT;
  reserved: USHORT;
end;

Unit

JclWin32


_ADAPTER_STATUS Record

_ADAPTER_STATUS = record
  adapter_address: array [0..5] of UCHAR;
  rev_major: UCHAR;
  reserved0: UCHAR;
  adapter_type: UCHAR;
  rev_minor: UCHAR;
  duration: WORD;
  frmr_recv: WORD;
  frmr_xmit: WORD;
  iframe_recv_err: WORD;
  xmit_aborts: WORD;
  xmit_success: DWORD;
  recv_success: DWORD;
  iframe_xmit_err: WORD;
  recv_buff_unavail: WORD;
  t1_timeouts: WORD;
  ti_timeouts: WORD;
  reserved1: DWORD;
  free_ncbs: WORD;
  max_cfg_ncbs: WORD;
  max_ncbs: WORD;
  xmit_buf_unavail: WORD;
  max_dgram_size: WORD;
  pending_sess: WORD;
  max_cfg_sess: WORD;
  max_sess: WORD;
  max_sess_pkt_size: WORD;
  name_count: WORD;
end;

Unit

JclWin32


_FIND_NAME_BUFFER Record

_FIND_NAME_BUFFER = record
  length: UCHAR;
  access_control: UCHAR;
  frame_control: UCHAR;
  destination_addr: array [0..5] of UCHAR;
  source_addr: array [0..5] of UCHAR;
  routing_info: array [0..17] of UCHAR;
end;

Unit

JclWin32


_FIND_NAME_HEADER Record

_FIND_NAME_HEADER = record
  node_count: WORD;
  reserved: UCHAR;
  unique_group: UCHAR;
end;

Unit

JclWin32


_FPO_DATA Record

_FPO_DATA = record
  ulOffStart: DWORD;
  cbProcSize: DWORD;
  cdwLocals: DWORD;
  cdwParams: WORD;
  Flags: WORD;
end;

Unit

JclWin32


_GET_FILEEX_INFO_LEVELS Enumeration

_GET_FILEEX_INFO_LEVELS = (
  GetFileExInfoStandard,
  GetFileExMaxInfoLevel
);

Unit

JclWin32


_GROUP_INFO_0 Record

_GROUP_INFO_0 = record
  grpi0_name: LPWSTR;
end;

Unit

JclWin32


_GROUP_INFO_1 Record

_GROUP_INFO_1 = record
  grpi1_name: LPWSTR;
  grpi1_comment: LPWSTR;
end;

Unit

JclWin32


_IMAGE_ARCHIVE_MEMBER_HEADER Record

_IMAGE_ARCHIVE_MEMBER_HEADER = record
  Name: array [0..15] of Byte;
  Date: array [0..11] of Byte;
  UserID: array [0..5] of Byte;
  GroupID: array [0..5] of Byte;
  Mode: array [0..7] of Byte;
  Size: array [0..9] of Byte;
  EndHeader: array [0..1] of Byte;
end;

Unit

JclWin32


_IMAGE_COFF_SYMBOLS_HEADER Record

_IMAGE_COFF_SYMBOLS_HEADER = record
  NumberOfSymbols: DWORD;
  LvaToFirstSymbol: DWORD;
  NumberOfLinenumbers: DWORD;
  LvaToFirstLinenumber: DWORD;
  RvaToFirstByteOfCode: DWORD;
  RvaToLastByteOfCode: DWORD;
  RvaToFirstByteOfData: DWORD;
  RvaToLastByteOfData: DWORD;
end;

Unit

JclWin32


_IMAGE_COR_VTABLEFIXUP Record

_IMAGE_COR_VTABLEFIXUP = packed record
  RVA: DWORD;
  Count: Word;
  Kind: Word;
end;

Unit

JclCLR


_IMAGE_DATA_DIRECTORY Record

_IMAGE_DATA_DIRECTORY = record
  VirtualAddress: DWORD;
  Size: DWORD;
end;

Unit

JclWin32


_IMAGE_DEBUG_MISC Record

_IMAGE_DEBUG_MISC = record
  DataType: DWORD;
  Length: DWORD;
  Unicode: ByteBool;
  Reserved: array [0..2] of Byte;
  Data: array [0..0] of Byte;
end;

Unit

JclWin32


_IMAGE_FILE_HEADER Record

_IMAGE_FILE_HEADER = record
  Machine: WORD;
  NumberOfSections: WORD;
  TimeDateStamp: DWORD;
  PointerToSymbolTable: DWORD;
  NumberOfSymbols: DWORD;
  SizeOfOptionalHeader: WORD;
  Characteristics: WORD;
end;

Unit

JclWin32


_IMAGE_FUNCTION_ENTRY Record

_IMAGE_FUNCTION_ENTRY = record
  StartingAddress: DWORD;
  EndingAddress: DWORD;
  EndOfPrologue: DWORD;
end;

Unit

JclWin32


_IMAGE_FUNCTION_ENTRY64 Record

_IMAGE_FUNCTION_ENTRY64 = record
  StartingAddress: ULONGLONG;
  EndingAddress: ULONGLONG;
  case Integer of
    0: (EndOfPrologue: ULONGLONG;);
    1: (UnwindInfoAddress: ULONGLONG;);
end;

Unit

JclWin32


_IMAGE_LINENUMBER Record

_IMAGE_LINENUMBER = record
  Type_: TImgLineNoType;
  Linenumber: WORD;
end;

Unit

JclWin32


_IMAGE_NT_HEADERS Record

_IMAGE_NT_HEADERS = record
  Signature: DWORD;
  FileHeader: IMAGE_FILE_HEADER;
  OptionalHeader: IMAGE_OPTIONAL_HEADER32;
end;

Unit

JclWin32


_IMAGE_NT_HEADERS64 Record

_IMAGE_NT_HEADERS64 = record
  Signature: DWORD;
  FileHeader: IMAGE_FILE_HEADER;
  OptionalHeader: IMAGE_OPTIONAL_HEADER64;
end;

Unit

JclWin32


_IMAGE_OPTIONAL_HEADER Record

_IMAGE_OPTIONAL_HEADER = record
  Magic: Word;
  MajorLinkerVersion: Byte;
  MinorLinkerVersion: Byte;
  SizeOfCode: DWORD;
  SizeOfInitializedData: DWORD;
  SizeOfUninitializedData: DWORD;
  AddressOfEntryPoint: DWORD;
  BaseOfCode: DWORD;
  BaseOfData: DWORD;
  ImageBase: DWORD;
  SectionAlignment: DWORD;
  FileAlignment: DWORD;
  MajorOperatingSystemVersion: Word;
  MinorOperatingSystemVersion: Word;
  MajorImageVersion: Word;
  MinorImageVersion: Word;
  MajorSubsystemVersion: Word;
  MinorSubsystemVersion: Word;
  Win32VersionValue: DWORD;
  SizeOfImage: DWORD;
  SizeOfHeaders: DWORD;
  CheckSum: DWORD;
  Subsystem: Word;
  DllCharacteristics: Word;
  SizeOfStackReserve: DWORD;
  SizeOfStackCommit: DWORD;
  SizeOfHeapReserve: DWORD;
  SizeOfHeapCommit: DWORD;
  LoaderFlags: DWORD;
  NumberOfRvaAndSizes: DWORD;
  DataDirectory: array [0..IMAGE_NUMBEROF_DIRECTORY_ENTRIES - 1] of IMAGE_DATA_DIRECTORY;
end;

Unit

JclWin32


_IMAGE_OPTIONAL_HEADER64 Record

_IMAGE_OPTIONAL_HEADER64 = record
  Magic: Word;
  MajorLinkerVersion: Byte;
  MinorLinkerVersion: Byte;
  SizeOfCode: DWORD;
  SizeOfInitializedData: DWORD;
  SizeOfUninitializedData: DWORD;
  AddressOfEntryPoint: DWORD;
  BaseOfCode: DWORD;
  ImageBase: Int64;
  SectionAlignment: DWORD;
  FileAlignment: DWORD;
  MajorOperatingSystemVersion: Word;
  MinorOperatingSystemVersion: Word;
  MajorImageVersion: Word;
  MinorImageVersion: Word;
  MajorSubsystemVersion: Word;
  MinorSubsystemVersion: Word;
  Win32VersionValue: DWORD;
  SizeOfImage: DWORD;
  SizeOfHeaders: DWORD;
  CheckSum: DWORD;
  Subsystem: Word;
  DllCharacteristics: Word;
  SizeOfStackReserve: Int64;
  SizeOfStackCommit: Int64;
  SizeOfHeapReserve: Int64;
  SizeOfHeapCommit: Int64;
  LoaderFlags: DWORD;
  NumberOfRvaAndSizes: DWORD;
  DataDirectory: array [0..IMAGE_NUMBEROF_DIRECTORY_ENTRIES - 1] of IMAGE_DATA_DIRECTORY;
end;

Unit

JclWin32


_IMAGE_RESOURCE_DIRECTORY_STRING Record

_IMAGE_RESOURCE_DIRECTORY_STRING = record
  Length: Word;
  NameString: array [0..0] of CHAR;
end;

Unit

JclWin32


_IMAGE_ROM_HEADERS Record

_IMAGE_ROM_HEADERS = record
  FileHeader: IMAGE_FILE_HEADER;
  OptionalHeader: IMAGE_ROM_OPTIONAL_HEADER;
end;

Unit

JclWin32


_IMAGE_ROM_OPTIONAL_HEADER Record

_IMAGE_ROM_OPTIONAL_HEADER = record
  Magic: Word;
  MajorLinkerVersion: Byte;
  MinorLinkerVersion: Byte;
  SizeOfCode: DWORD;
  SizeOfInitializedData: DWORD;
  SizeOfUninitializedData: DWORD;
  AddressOfEntryPoint: DWORD;
  BaseOfCode: DWORD;
  BaseOfData: DWORD;
  BaseOfBss: DWORD;
  GprMask: DWORD;
  CprMask: array [0..3] of DWORD;
  GpValue: DWORD;
end;

Unit

JclWin32


_IMAGE_SECTION_HEADER Record

_IMAGE_SECTION_HEADER = record
  Name: array [0..IMAGE_SIZEOF_SHORT_NAME - 1] of BYTE;
  Misc: TImgSecHdrMisc;
  VirtualAddress: DWORD;
  SizeOfRawData: DWORD;
  PointerToRawData: DWORD;
  PointerToRelocations: DWORD;
  PointerToLinenumbers: DWORD;
  NumberOfRelocations: WORD;
  NumberOfLinenumbers: WORD;
  Characteristics: DWORD;
end;

Unit

JclWin32


_IMAGE_SEPARATE_DEBUG_HEADER Record

_IMAGE_SEPARATE_DEBUG_HEADER = record
  Signature: Word;
  Flags: Word;
  Machine: Word;
  Characteristics: Word;
  TimeDateStamp: DWORD;
  CheckSum: DWORD;
  ImageBase: DWORD;
  SizeOfImage: DWORD;
  NumberOfSections: DWORD;
  ExportedNamesSize: DWORD;
  DebugDirectorySize: DWORD;
  SectionAlignment: DWORD;
  Reserved: array [0..1] of DWORD;
end;

Unit

JclWin32


_IMAGE_THUNK_DATA32 Record

_IMAGE_THUNK_DATA32 = record
  case Integer of
    0: (ForwarderString: DWORD;);
    1: (Function_: DWORD;);
    2: (Ordinal: DWORD;);
    3: (AddressOfData: DWORD;);
end;

Unit

JclWin32


_IMAGE_THUNK_DATA64 Record

_IMAGE_THUNK_DATA64 = record
  case Integer of
    0: (ForwarderString: ULONGLONG;);
    1: (Function_: ULONGLONG;);
    2: (Ordinal: ULONGLONG;);
    3: (AddressOfData: ULONGLONG;);
end;

Unit

JclWin32


_IMAGE_TLS_DIRECTORY32 Record

_IMAGE_TLS_DIRECTORY32 = record
  StartAddressOfRawData: DWORD;
  EndAddressOfRawData: DWORD;
  AddressOfIndex: DWORD;
  AddressOfCallBacks: DWORD;
  SizeOfZeroFill: DWORD;
  Characteristics: DWORD;
end;

Unit

JclWin32


_IMAGE_TLS_DIRECTORY64 Record

_IMAGE_TLS_DIRECTORY64 = record
  StartAddressOfRawData: ULONGLONG;
  EndAddressOfRawData: ULONGLONG;
  AddressOfIndex: ULONGLONG;
  AddressOfCallBacks: ULONGLONG;
  SizeOfZeroFill: DWORD;
  Characteristics: DWORD;
end;

Unit

JclWin32


_ImageArchitectureEntry Record

_ImageArchitectureEntry = record
  FixupInstRVA: DWORD;
  NewInst: DWORD;
end;

Unit

JclWin32


_ImageArchitectureHeader Record

_ImageArchitectureHeader = record
  Mask: DWORD;
  FirstEntryRVA: DWORD;
end;

Unit

JclWin32


_LANA_ENUM Record

_LANA_ENUM = record
  length: UCHAR;
  lana: array [0..MAX_LANA] of UCHAR;
end;

Unit

JclWin32


_LOADED_IMAGE Record

_LOADED_IMAGE = record
  ModuleName: PChar;
  hFile: THandle;
  MappedAddress: PAnsiChar;
  FileHeader: PImageNtHeaders;
  LastRvaSection: PImageSectionHeader;
  NumberOfSections: ULONG;
  Sections: PImageSectionHeader;
  Characteristics: ULONG;
  fSystemImage: ByteBool;
  fDOSImage: ByteBool;
  Links: LIST_ENTRY;
  SizeOfImage: ULONG;
end;

Unit

JclWin32


_LOCALGROUP_INFO_0 Record

_LOCALGROUP_INFO_0 = record
  lgrpi0_name: LPWSTR;
end;

Unit

JclWin32


_LOCALGROUP_INFO_1 Record

_LOCALGROUP_INFO_1 = record
  lgrpi1_name: LPWSTR;
  lgrpi1_comment: LPWSTR;
end;

Unit

JclWin32


_LOCALGROUP_INFO_1002 Record

_LOCALGROUP_INFO_1002 = record
  lgrpi1002_comment: LPWSTR;
end;

Unit

JclWin32


_LOCALGROUP_MEMBERS_INFO_0 Record

_LOCALGROUP_MEMBERS_INFO_0 = record
  lgrmi0_sid: PSID;
end;

Unit

JclWin32


_LOCALGROUP_MEMBERS_INFO_1 Record

_LOCALGROUP_MEMBERS_INFO_1 = record
  lgrmi1_sid: PSID;
  lgrmi1_sidusage: SID_NAME_USE;
  lgrmi1_name: LPWSTR;
end;

Unit

JclWin32


_LOCALGROUP_MEMBERS_INFO_2 Record

_LOCALGROUP_MEMBERS_INFO_2 = record
  lgrmi2_sid: PSID;
  lgrmi2_sidusage: SID_NAME_USE;
  lgrmi2_domainandname: LPWSTR;
end;

Unit

JclWin32


_LOCALGROUP_MEMBERS_INFO_3 Record

_LOCALGROUP_MEMBERS_INFO_3 = record
  lgrmi3_domainandname: LPWSTR;
end;

Unit

JclWin32


_NAME_BUFFER Record

_NAME_BUFFER = record
  name: array [0..NCBNAMSZ - 1] of Char;
  name_num: UCHAR;
  name_flags: UCHAR;
end;

Unit

JclWin32


_NCB Record

_NCB = record
  ncb_command: UCHAR;
  ncb_retcode: UCHAR;
  ncb_lsn: UCHAR;
  ncb_num: UCHAR;
  ncb_buffer: PChar;
  ncb_length: Word;
  ncb_callname: array [0..NCBNAMSZ - 1] of Char;
  ncb_name: array [0..NCBNAMSZ - 1] of Char;
  ncb_rto: UCHAR;
  ncb_sto: UCHAR;
  ncb_post: TNcbPost;
  ncb_lana_num: UCHAR;
  ncb_cmd_cplt: UCHAR;
  ncb_reserve: array [0..9] of Char;
  ncb_event: THandle;
end;

Unit

JclWin32


_NON_PAGED_DEBUG_INFO Record

_NON_PAGED_DEBUG_INFO = record
  Signature: WORD;
  Flags: WORD;
  Size: DWORD;
  Machine: WORD;
  Characteristics: WORD;
  TimeDateStamp: DWORD;
  CheckSum: DWORD;
  SizeOfImage: DWORD;
  ImageBase: ULONGLONG;
end;

Unit

JclWin32


_OSVERSIONINFOEXA Record

_OSVERSIONINFOEXA = record
  dwOSVersionInfoSize: DWORD;
  dwMajorVersion: DWORD;
  dwMinorVersion: DWORD;
  dwBuildNumber: DWORD;
  dwPlatformId: DWORD;
  szCSDVersion: array [0..127] of CHAR;
  wServicePackMajor: WORD;
  wServicePackMinor: WORD;
  wSuiteMask: WORD;
  wProductType: BYTE;
  wReserved: BYTE;
end;

Unit

JclWin32


_OSVERSIONINFOEXW Record

_OSVERSIONINFOEXW = record
  dwOSVersionInfoSize: DWORD;
  dwMajorVersion: DWORD;
  dwMinorVersion: DWORD;
  dwBuildNumber: DWORD;
  dwPlatformId: DWORD;
  szCSDVersion: array [0..127] of WCHAR;
  wServicePackMajor: WORD;
  wServicePackMinor: WORD;
  wSuiteMask: WORD;
  wProductType: BYTE;
  wReserved: BYTE;
end;

Unit

JclWin32


_SESSION_BUFFER Record

_SESSION_BUFFER = record
  lsn: UCHAR;
  state: UCHAR;
  local_name: array [0..NCBNAMSZ - 1] of UCHAR;
  remote_name: array [0..NCBNAMSZ - 1] of UCHAR;
  rcvs_outstanding: UCHAR;
  sends_outstanding: UCHAR;
end;

Unit

JclWin32


_SESSION_HEADER Record

_SESSION_HEADER = record
  sess_name: UCHAR;
  num_sess: UCHAR;
  rcv_dg_outstanding: UCHAR;
  rcv_any_outstanding: UCHAR;
end;

Unit

JclWin32


_SID Record

_SID = record
  Revision: Byte;
  SubAuthorityCount: Byte;
  IdentifierAuthority: SID_IDENTIFIER_AUTHORITY;
  SubAuthority: array [0..ANYSIZE_ARRAY - 1] of DWORD;
end;

Unit

JclWin32


_SID_AND_ATTRIBUTES Record

_SID_AND_ATTRIBUTES = record
  Sid: PSID;
  Attributes: DWORD;
end;

Unit

JclWin32


_TOKEN_USER Record

_TOKEN_USER = record
  User: SID_AND_ATTRIBUTES;
end;

Unit

JclWin32


_USER_INFO_0 Record

_USER_INFO_0 = record
  usri0_name: LPWSTR;
end;

Unit

JclWin32


_USER_INFO_1 Record

_USER_INFO_1 = record
  usri1_name: LPWSTR;
  usri1_password: LPWSTR;
  usri1_password_age: DWORD;
  usri1_priv: DWORD;
  usri1_home_dir: LPWSTR;
  usri1_comment: LPWSTR;
  usri1_flags: DWORD;
  usri1_script_path: LPWSTR;
end;

Unit

JclWin32


_USER_INFO_2 Record

_USER_INFO_2 = record
  usri2_name: LPWSTR;
  usri2_password: LPWSTR;
  usri2_password_age: DWORD;
  usri2_priv: DWORD;
  usri2_home_dir: LPWSTR;
  usri2_comment: LPWSTR;
  usri2_flags: DWORD;
  usri2_script_path: LPWSTR;
  usri2_auth_flags: DWORD;
  usri2_full_name: LPWSTR;
  usri2_usr_comment: LPWSTR;
  usri2_parms: LPWSTR;
  usri2_workstations: LPWSTR;
  usri2_last_logon: DWORD;
  usri2_last_logoff: DWORD;
  usri2_acct_expires: DWORD;
  usri2_max_storage: DWORD;
  usri2_units_per_week: DWORD;
  usri2_logon_hours: IntPtr PBYTE;
  usri2_bad_pw_count: DWORD;
  usri2_num_logons: DWORD;
  usri2_logon_server: LPWSTR;
  usri2_country_code: DWORD;
  usri2_code_page: DWORD;
end;

Unit

JclWin32


IMAGE_COR_ILMETHOD_FAT Record

IMAGE_COR_ILMETHOD_FAT = packed record
  Flags_Size: Word;
  MaxStack: Word;
  CodeSize: DWORD;
  LocalVarSigTok: TJclClrToken;
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_EH Record

IMAGE_COR_ILMETHOD_SECT_EH = packed record
  case Boolean of
    False: (Fat: IMAGE_COR_ILMETHOD_SECT_EH_FAT;);
    True: (Small: IMAGE_COR_ILMETHOD_SECT_EH_SMALL;);
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_FAT Record

IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_FAT = packed record
  Flags: DWORD;
  TryOffset: DWORD;
  TryLength: DWORD;
  HandlerOffset: DWORD;
  HandlerLength: DWORD;
  case Boolean of
    False: (FilterOffset: DWORD;);
    True: (ClassToken: DWORD;);
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_SMALL Record

IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_SMALL = packed record
  Flags: Word;
  TryOffset: Word;
  TryLength: Byte;
  HandlerOffset: Word;
  HandlerLength: Byte;
  case Boolean of
    False: (FilterOffset: DWORD;);
    True: (ClassToken: DWORD;);
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_EH_FAT Record

IMAGE_COR_ILMETHOD_SECT_EH_FAT = packed record
  SectFat: IMAGE_COR_ILMETHOD_SECT_FAT;
  Clauses: array [0..MaxWord-1] of IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_FAT;
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_EH_SMALL Record

IMAGE_COR_ILMETHOD_SECT_EH_SMALL = packed record
  SectSmall: IMAGE_COR_ILMETHOD_SECT_SMALL;
  Clauses: array [0..MaxWord-1] of IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_SMALL;
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_FAT Record

IMAGE_COR_ILMETHOD_SECT_FAT = packed record
  Kind_DataSize: DWORD;
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_SECT_SMALL Record

IMAGE_COR_ILMETHOD_SECT_SMALL = packed record
  Kind: Byte;
  Datasize: Byte;
  Padding: Word;
end;

Unit

JclMetadata


IMAGE_COR_ILMETHOD_TINY Record

IMAGE_COR_ILMETHOD_TINY = packed record
  Flags_CodeSize: Byte;
end;

Unit

JclMetadata


IMAGE_LOAD_CONFIG_DIRECTORY32 Record

IMAGE_LOAD_CONFIG_DIRECTORY32 = record
  Size: DWORD;
  TimeDateStamp: DWORD;
  MajorVersion: WORD;
  MinorVersion: WORD;
  GlobalFlagsClear: DWORD;
  GlobalFlagsSet: DWORD;
  CriticalSectionDefaultTimeout: DWORD;
  DeCommitFreeBlockThreshold: DWORD;
  DeCommitTotalFreeThreshold: DWORD;
  LockPrefixTable: DWORD;
  MaximumAllocationSize: DWORD;
  VirtualMemoryThreshold: DWORD;
  ProcessHeapFlags: DWORD;
  ProcessAffinityMask: DWORD;
  CSDVersion: WORD;
  Reserved1: WORD;
  EditList: DWORD;
  SecurityCookie: DWORD;
  SEHandlerTable: DWORD;
  SEHandlerCount: DWORD;
end;

Unit

JclWin32


IMAGE_LOAD_CONFIG_DIRECTORY64 Record

IMAGE_LOAD_CONFIG_DIRECTORY64 = record
  Size: DWORD;
  TimeDateStamp: DWORD;
  MajorVersion: WORD;
  MinorVersion: WORD;
  GlobalFlagsClear: DWORD;
  GlobalFlagsSet: DWORD;
  CriticalSectionDefaultTimeout: DWORD;
  DeCommitFreeBlockThreshold: ULONGLONG;
  DeCommitTotalFreeThreshold: ULONGLONG;
  LockPrefixTable: ULONGLONG;
  MaximumAllocationSize: ULONGLONG;
  VirtualMemoryThreshold: ULONGLONG;
  ProcessAffinityMask: ULONGLONG;
  ProcessHeapFlags: DWORD;
  CSDVersion: WORD;
  Reserved1: WORD;
  EditList: ULONGLONG;
  SecurityCookie: ULONGLONG;
  SEHandlerTable: ULONGLONG;
  SEHandlerCount: ULONGLONG;
end;

Unit

JclWin32


IMPORT_OBJECT_HEADER Record

IMPORT_OBJECT_HEADER = record
  Sig1: WORD;
  Sig2: WORD;
  Version: WORD;
  Machine: WORD;
  TimeDateStamp: DWORD;
  SizeOfData: DWORD;
  OrdinalOrHint: record;
  Flags: WORD;
end;

Unit

JclWin32


IMPORT_OBJECT_NAME_TYPE Enumeration

IMPORT_OBJECT_NAME_TYPE = (
  IMPORT_OBJECT_ORDINAL,
  IMPORT_OBJECT_NAME,
  IMPORT_OBJECT_NAME_NO_PREFIX,
  IMPORT_OBJECT_NAME_UNDECORATE
);

Unit

JclWin32


IMPORT_OBJECT_TYPE Enumeration

IMPORT_OBJECT_TYPE = (
  IMPORT_OBJECT_CODE,
  IMPORT_OBJECT_DATA,
  IMPORT_OBJECT_CONST
);

Unit

JclWin32


SERVICE_DESCRIPTIONA Record

SERVICE_DESCRIPTIONA = record
  lpDescription: LPSTR;
end;

Unit

JclSvcCtrl


tagRASDIALDLG Record

tagRASDIALDLG = packed record
  dwSize: DWORD;
  hwndOwner: THandle;
  dwFlags: DWORD;
  xDlg: Longint;
  yDlg: Longint;
  dwSubEntry: DWORD;
  dwError: DWORD;
  reserved: Longword;
  reserved2: Longword;
end;

Unit

JclWin32


TCacheFamily Enumeration

TCacheFamily = (
  cfInstructionTLB,
  cfDataTLB,
  cfL1InstructionCache,
  cfL1DataCache,
  cfL2Cache,
  cfL3Cache,
  cfTrace,
  cfOther
);

Unit

JclSysInfo


TCacheInformation Enumeration

TCacheInformation = (
  ciLineSize,
  ciLinesPerTag,
  ciAssociativity,
  ciSize
);

Unit

JclSysInfo


TClipCode Enumeration

TClipCode = (
  ccLeft,
  ccRight,
  ccAbove,
  ccBelow
);

Unit

JclQGraphUtils


TClrMetadataHeader Record

TClrMetadataHeader = packed record
  Signature: DWORD;
  MajorVersion: Word;
  MinorVersion: Word;
  Reserved: DWORD;
  Length: DWORD;
  Version: array [0..0] of Char;
end;

Unit

JclCLR


TClrStreamHeader Record

TClrStreamHeader = packed record
  Offset: DWORD;
  Size: DWORD;
  Name: array [0..MaxWord] of Char;
end;

Unit

JclCLR


TClrTableStreamHeader Record

TClrTableStreamHeader = packed record
  Reserved: DWORD;
  MajorVersion: Byte;
  MinorVersion: Byte;
  HeapSizes: Byte;
  Reserved2: Byte;
  Valid: Int64;
  Sorted: Int64;
  Rows: array [0..MaxWord] of DWORD;
end;

Unit

JclCLR


TColorChannel Enumeration

TColorChannel = (
  ccRed,
  ccGreen,
  ccBlue,
  ccAlpha
);

Unit

JclQGraphics


TColorRec Record

TColorRec = packed record
  case Integer of
    0: (Value: Longint;);
    1: (Blue: Byte;
        Green: Byte;
        Red: Byte;);
    2: (B: Byte;
        Flag: Byte;
        G: Byte;
        R: Byte;);
    3: (Index: Word;);
end;

Unit

JclQGraphUtils


TColorVector Record

TColorVector = record
  case Integer of
    0: (Coord: array [0..2] of Single);
        B: Single;
        G: Single;
        R: Single;);
    2: (H: Single;
        L: Single;
        S: Single;);
end;

Unit

JclQGraphUtils


TCommandLineTool Enumeration

TCommandLineTool = (
  clAsm,
  clBcc32,
  clDcc32,
  clDccIL,
  clMake,
  clProj2Mak
);

Unit

JclBorlandTools


TCompactPath Enumeration

TCompactPath = (
  cpCenter,
  cpEnd
);

Unit

JclFileUtils


TCoords Record

TCoords = record
  X: Float;
  Y: Float;
  R: Float;
  Theta: Float;
end;

Unit

JclComplex


TDFA Record

TDFA = record
  Flags: Cardinal;
  SymbolTable: TUcSymbolTable;
  StateList: TDFAStates;
  TransitionList: TUcTransitions;
end;

Unit

JclUnicode


TDFAState Record

TDFAState = record
  Accepting: Boolean;
  NumberTransitions: Integer;
  StartTransition: Integer;
end;

Unit

JclUnicode


TDFAStates Record

TDFAStates = record
  States: array of TDFAState;
  StatesUsed: Integer;
end;

Unit

JclUnicode


TDirectoryEntry Record

TDirectoryEntry = packed record
  SubsectionType: Word;
  ModuleIndex: Word;
  Offset: DWORD;
  Size: DWORD;
end;

Unit

JclTD32


TDirectoryHeader Record

TDirectoryHeader = packed record
  Size: Word;
  DirEntrySize: Word;
  DirEntryCount: DWORD;
  lfoNextDir: DWORD;
  Flags: DWORD;
  DirEntries: array [0..0] of TDirectoryEntry;
end;

Unit

JclTD32


TEDIDataObjectDataState Enumeration

TEDIDataObjectDataState = (
  ediCreated,
  ediAssembled,
  ediDisassembled
);

Unit

JclEDI


TEDIDataObjectType Enumeration

TEDIDataObjectType = (
  ediUnknown,
  ediElement,
  ediCompositeElement,
  ediSegment,
  ediLoop,
  ediTransactionSet,
  ediMessage,
  ediFunctionalGroup,
  ediInterchangeControl,
  ediFile,
  ediCustom
);

Unit

JclEDI


TEDILoopStackFlags Enumeration

TEDILoopStackFlags = (
  ediAltStackPointer,
  ediStackResized,
  ediLoopRepeated
);

Unit

JclEDI


TEDILoopStackRecord Record

TEDILoopStackRecord = record
  SegmentId: string;
  SpecStartIndex: Integer;
  OwnerLoopId: string;
  ParentLoopId: string;
  EDIObject: TEDIObject;
  EDISpecObject: TEDIObject;
end;

Unit

JclEDI


TEDISEFComsUserAttributes Enumeration

TEDISEFComsUserAttributes = (
  caPeriod,
  caExclamationPoint,
  caDollarSign,
  caHyphen,
  caAmpersand
);

Unit

JclEDISEF


TEDISEFObjectParentType Enumeration

TEDISEFObjectParentType = (
  sefNil,
  sefList,
  sefElement,
  sefCompositeElement,
  sefSegment
);

Unit

JclEDISEF


TEDISEFWhereType Enumeration

TEDISEFWhereType = (
  twUnknown,
  twSet,
  twSegment,
  twElementOrCompositeElement,
  twSubElement
);

Unit

JclEDISEF


TEDIXMLNameSpaceOption Enumeration

TEDIXMLNameSpaceOption = (
  nsNone,
  nsDefault,
  nsQualified
);

Unit

JclEDIXML


TEventInfo Record

TEventInfo = record
  EventType: Longint;
  Signaled: LongBool;
end;

Unit

JclSynch


TFileEnumeratorSyncMode Enumeration

TFileEnumeratorSyncMode = (
  smPerFile,
  smPerDirectory
);

Unit

JclFileUtils


TFileFlag Enumeration

TFileFlag = (
  ffDebug,
  ffInfoInferred,
  ffPatched,
  ffPreRelease,
  ffPrivateBuild,
  ffSpecialBuild
);

Unit

JclFileUtils


TFileListOption Enumeration

TFileListOption = (
  flFullNames,
  flRecursive,
  flMaskedSubfolders
);

Unit

JclFileUtils


TFileSearchOption Enumeration

TFileSearchOption = (
  fsIncludeSubDirectories,
  fsIncludeHiddenSubDirectories,
  fsLastChangeAfter,
  fsLastChangeBefore,
  fsMaxSize,
  fsMinSize
);

Unit

JclFileUtils


TFileSystemFlag Enumeration

TFileSystemFlag = (
  fsCaseSensitive,
  fsCasePreservedNames,
  fsSupportsUnicodeOnDisk,
  fsPersistentACLs,
  fsSupportsFileCompression,
  fsSupportsVolumeQuotas,
  fsSupportsSparseFiles,
  fsSupportsReparsePoints,
  fsSupportsRemoteStorage,
  fsVolumeIsCompressed,
  fsSupportsObjectIds,
  fsSupportsEncryption,
  fsSupportsNamedStreams,
  fsVolumeIsReadOnly
);

Unit

JclSysInfo


TFileVersionFormat Enumeration

TFileVersionFormat = (
  vfMajorMinor,
  vfFull
);

Unit

JclFileUtils


TFreeSysResKind Enumeration

TFreeSysResKind = (
  rtSystem,
  rtGdi,
  rtUser
);

Unit

JclSysInfo


TFreeSystemResources Record

TFreeSystemResources = record
  SystemRes: Integer;
  GdiRes: Integer;
  UserRes: Integer;
end;

Unit

JclSysInfo


TGenericReparseBuffer Record

TGenericReparseBuffer = record
  DataBuffer: array [0..0] of BYTE;
end;

Unit

JclWin32


TGlobalTypeInfo Record

TGlobalTypeInfo = packed record
  Count: DWORD;
  Offsets: array [0..0] of DWORD;
end;

Unit

JclTD32


THLSVector Record

THLSVector = record
  Hue: THLSValue;
  Luminance: THLSValue;
  Saturation: THLSValue;
end;

Unit

JclQGraphUtils


TIIDUnion Record

TIIDUnion = record
  case Integer of
    0: (Characteristics: DWORD;);
    1: (OriginalFirstThunk: DWORD;);
end;

Unit

JclWin32


TImageCorILMethodHeader Record

TImageCorILMethodHeader = packed record
  case Boolean of
    False: (Fat: TImageCorILMethodFat;);
    True: (Tiny: TImageCorILMethodTiny;);
end;

Unit

JclMetadata


TImageCorILMethodSectHeader Record

TImageCorILMethodSectHeader = packed record
  case Boolean of
    False: (Fat: TImageCorILMethodSectFat;);
    True: (Small: TImageCorILMethodSectSmall;);
end;

Unit

JclMetadata


TImgLineNoType Record

TImgLineNoType = record
  case Integer of
    0: (SymbolTableIndex: DWORD;);
    1: (VirtualAddress: DWORD;);
end;

Unit

JclWin32


TImgSecHdrMisc Record

TImgSecHdrMisc = record
  case Integer of
    0: (PhysicalAddress: DWORD;);
    1: (VirtualSize: DWORD;);
end;

Unit

JclWin32


TInternalFindStreamData Record

TInternalFindStreamData = record
  FileHandle: THandle;
  Context: Pointer;
  StreamIds: TStreamIds;
end;

Unit

JclNTFS


TJclAnsiCaptureOffset Record

TJclAnsiCaptureOffset = record
  FirstPos: Integer;
  LastPos: Integer;
end;

Unit

JclPCRE


TJclAnsiRegExOption Enumeration

TJclAnsiRegExOption = (
  roIgnoreCase,
  roMultiLine,
  roDotAll,
  roExtended,
  roAnchored,
  roDollarEndOnly,
  roExtra,
  roNotBOL,
  roNotEOL,
  roUnGreedy,
  roNotEmpty,
  roUTF8
);

Unit

JclPCRE


TJclAttributeMatch Enumeration

TJclAttributeMatch = (
  amAny,
  amExact,
  amSubSetOf,
  amSuperSetOf,
  amCustom
);

Unit

JclFileUtils


TJclBinDbgNameCache Record

TJclBinDbgNameCache = record
  Addr: DWORD;
  FirstWord: Integer;
  SecondWord: Integer;
end;

Unit

JclDebug


TJclBorPersonality Enumeration

TJclBorPersonality = (
  bpDelphi32,
  bpBCBuilder32,
  bpDelphiNet32,
  bpDelphiNet64,
  bpCSBuilder32,
  bpCSBuilder64
);

Unit

JclBorlandTools


TJclBorRADToolEdition Enumeration

TJclBorRADToolEdition = (
  deSTD,
  dePRO,
  deCSS,
  deARC
);

Unit

JclBorlandTools


TJclBorRADToolKind Enumeration

TJclBorRADToolKind = (
  brDelphi,
  brCppBuilder,
  brBorlandDevStudio
);

Unit

JclBorlandTools


TJclCdMediaInfo Enumeration

TJclCdMediaInfo = (
  miProduct,
  miIdentity,
  miUPC
);

Unit

JclMultimedia


TJclCdTrackInfo Record

TJclCdTrackInfo = record
  Minute: Byte;
  Second: Byte;
  TrackType: TJclCdTrackType;
end;

Unit

JclMultimedia


TJclCdTrackType Enumeration

TJclCdTrackType = (
  ttAudio,
  ttOther
);

Unit

JclMultimedia


TJclClrArrayData Enumeration

TJclClrArrayData = (
  adSize,
  adLowBound
);

Unit

JclMetadata


TJclClrAssemblyFlag Enumeration

TJclClrAssemblyFlag = (
  cafPublicKey,
  cafCompatibilityMask,
  cafSideBySideCompatible,
  cafNonSideBySideAppDomain,
  cafNonSideBySideProcess,
  cafNonSideBySideMachine,
  cafEnableJITcompileTracking,
  cafDisableJITcompileOptimizer
);

Unit

JclMetadata


TJclClrClassLayout Enumeration

TJclClrClassLayout = (
  clAuto,
  clSequential,
  clExplicit
);

Unit

JclMetadata


TJclClrClassSemantics Enumeration

TJclClrClassSemantics = (
  csClass,
  csInterface
);

Unit

JclMetadata


TJclClrCodeBlock Record

TJclClrCodeBlock = record
  Offset: DWORD;
  Length: DWORD;
end;

Unit

JclMetadata


TJclClrComboIndex Enumeration

TJclClrComboIndex = (
  ciResolutionScope
);

Unit

JclCLR


TJclClrElementType Enumeration

TJclClrElementType = (
  etEnd,
  etVoid,
  etBoolean,
  etChar,
  etI1,
  etU1,
  etI2,
  etU2,
  etI4,
  etU4,
  etI8,
  etU8,
  etR4,
  etR8,
  etString,
  etPtr,
  etByRef,
  etValueType,
  etClass,
  etArray,
  etTypedByRef,
  etI,
  etU,
  etFnPtr,
  etObject,
  etSzArray,
  etCModReqd,
  etCModOpt,
  etInternal,
  etMax,
  etModifier,
  etSentinel,
  etPinned
);

Unit

JclMetadata


TJclClrExceptionClauseFlag Enumeration

TJclClrExceptionClauseFlag = (
  cfException,
  cfFilter,
  cfFinally,
  cfFault
);

Unit

JclMetadata


TJclClrHeapKind Enumeration

TJclClrHeapKind = (
  hkString,
  hkGuid,
  hkBlob
);

Unit

JclCLR


TJclClrHostFlavor Enumeration

TJclClrHostFlavor = (
  hfServer,
  hfWorkStation
);

Unit

JclDotNet


TJclClrHostLoaderFlag Enumeration

TJclClrHostLoaderFlag = (
  hlOptSingleDomain,
  hlOptMultiDomain,
  hlOptMultiDomainHost,
  hlSafeMode,
  hlSetPreference
);

Unit

JclDotNet


TJclClrImageFlag Enumeration

TJclClrImageFlag = (
  cifILOnly,
  cif32BitRequired,
  cifStrongNameSinged,
  cifTrackDebugData
);

Unit

JclCLR


TJclClrLocalVarFlag Enumeration

TJclClrLocalVarFlag = (
  lvfPinned,
  lvfByRef
);

Unit

JclMetadata


TJclClrMemberAccess Enumeration

TJclClrMemberAccess = (
  maCompilercontrolled,
  maPrivate,
  maFamilyAndAssembly,
  maAssembly,
  maFamily,
  maFamilyOrAssembly,
  maPublic
);

Unit

JclMetadata


TJclClrMethodCodeType Enumeration

TJclClrMethodCodeType = (
  ctIL,
  ctNative,
  ctOptIL,
  ctRuntime
);

Unit

JclMetadata


TJclClrMethodFlag Enumeration

TJclClrMethodFlag = (
  mfStatic,
  mfFinal,
  mfVirtual,
  mfHideBySig,
  mfCheckAccessOnOverride,
  mfAbstract,
  mfSpecialName,
  mfPInvokeImpl,
  mfUnmanagedExport,
  mfRTSpcialName,
  mfHasSecurity,
  mfRequireSecObject
);

Unit

JclMetadata


TJclClrMethodImplFlag Enumeration

TJclClrMethodImplFlag = (
  mifForwardRef,
  mifPreserveSig,
  mifInternalCall,
  mifSynchronized,
  mifNoInlining
);

Unit

JclMetadata


TJclClrMethodSignFlag Enumeration

TJclClrMethodSignFlag = (
  mfHasThis,
  mfExplicitThis,
  mfDefault,
  mfVarArg
);

Unit

JclMetadata


TJclClrParamKind Enumeration

TJclClrParamKind = (
  pkIn,
  pkOut,
  pkOptional,
  pkHasDefault,
  pkHasFieldMarshal
);

Unit

JclMetadata


TJclClrStringFormatting Enumeration

TJclClrStringFormatting = (
  sfAnsi,
  sfUnicode,
  sfAutoChar
);

Unit

JclMetadata


TJclClrTableEventFlag Enumeration

TJclClrTableEventFlag = (
  efSpecialName,
  efRTSpecialName
);

Unit

JclMetadata


TJclClrTableFieldDefFlag Enumeration

TJclClrTableFieldDefFlag = (
  ffStatic,
  ffInitOnly,
  ffLiteral,
  ffNotSerialized,
  ffSpecialName,
  ffPinvokeImpl,
  ffRTSpecialName,
  ffHasFieldMarshal,
  ffHasDefault,
  ffHasFieldRVA
);

Unit

JclMetadata


TJclClrTableFieldDefVisibility Enumeration

TJclClrTableFieldDefVisibility = (
  fvPrivateScope,
  fvPrivate,
  fvFamANDAssem,
  fvAssembly,
  fvFamily,
  fvFamORAssem,
  fvPublic
);

Unit

JclMetadata


TJclClrTableKind Enumeration

TJclClrTableKind = (
  ttModule,
  ttTypeRef,
  ttTypeDef,
  ttFieldPtr,
  ttFieldDef,
  ttMethodPtr,
  ttMethodDef,
  ttParamPtr,
  ttParamDef,
  ttInterfaceImpl,
  ttMemberRef,
  ttConstant,
  ttCustomAttribute,
  ttFieldMarshal,
  ttDeclSecurity,
  ttClassLayout,
  ttFieldLayout,
  ttSignature,
  ttEventMap,
  ttEventPtr,
  ttEventDef,
  ttPropertyMap,
  ttPropertyPtr,
  ttPropertyDef,
  ttMethodSemantics,
  ttMethodImpl,
  ttModuleRef,
  ttTypeSpec,
  ttImplMap,
  ttFieldRVA,
  ttENCLog,
  ttENCMap,
  ttAssembly,
  ttAssemblyProcessor,
  ttAssemblyOS,
  ttAssemblyRef,
  ttAssemblyRefProcessor,
  ttAssemblyRefOS,
  ttFile,
  ttExportedType,
  ttManifestResource,
  ttNestedClass,
  ttTypeTyPar,
  ttMethodTyPar
);

Unit

JclCLR


TJclClrTableManifestResourceVisibility Enumeration

TJclClrTableManifestResourceVisibility = (
  rvPublic,
  rvPrivate
);

Unit

JclMetadata


TJclClrTablePropertyFlag Enumeration

TJclClrTablePropertyFlag = (
  pfSpecialName,
  pfRTSpecialName,
  pfHasDefault
);

Unit

JclMetadata


TJclClrTypeAttribute Enumeration

TJclClrTypeAttribute = (
  taAbstract,
  taSealed,
  taSpecialName,
  taImport,
  taSerializable,
  taBeforeFieldInit,
  taRTSpecialName,
  taHasSecurity
);

Unit

JclMetadata


TJclClrTypeVisibility Enumeration

TJclClrTypeVisibility = (
  tvNotPublic,
  tvPublic,
  tvNestedPublic,
  tvNestedPrivate,
  tvNestedFamily,
  tvNestedAssembly,
  tvNestedFamANDAssem,
  tvNestedFamORAssem
);

Unit

JclMetadata


TJclClrVTableKind Enumeration

TJclClrVTableKind = (
  vtk32Bit,
  vtk64Bit,
  vtkFromUnmanaged,
  vtkCallMostDerived
);

Unit

JclCLR


TJclConsoleInputMode Enumeration

TJclConsoleInputMode = (
  imLine,
  imEcho,
  imProcessed,
  imWindow,
  imMouse
);

Unit

JclConsole


TJclConsoleOutputMode Enumeration

TJclConsoleOutputMode = (
  omProcessed,
  omWrapAtEol
);

Unit

JclConsole


TJclDbgHeader Record

TJclDbgHeader = packed record
  Signature: DWORD;
  Version: Byte;
  Units: Integer;
  SourceNames: Integer;
  Symbols: Integer;
  LineNumbers: Integer;
  Words: Integer;
  ModuleName: Integer;
  CheckSum: Integer;
  CheckSumValid: Boolean;
end;

Unit

JclDebug


TJclEntry Record

TJclEntry = record
  Key: TObject;
  Value: TObject;
end;

Unit

JclHashMaps


TJclExceptNotifyPriority Enumeration

TJclExceptNotifyPriority = (
  npNormal,
  npFirstChain
);

Unit

JclHookExcept


TJclFileMappingRoundOffset Enumeration

TJclFileMappingRoundOffset = (
  rvDown,
  rvUp
);

Unit

JclFileUtils


TJclInputCtrlEvent Enumeration

TJclInputCtrlEvent = (
  ceCtrlC,
  ceCtrlBreak,
  ceCtrlClose,
  ceCtrlLogOff,
  ceCtrlShutdown
);

Unit

JclConsole


TJclInstructionDumpILOption Enumeration

TJclInstructionDumpILOption = (
  doLineNo,
  doRawBytes,
  doIL,
  doTokenValue,
  doComment
);

Unit

JclCIL


TJclInstructionParamType Enumeration

TJclInstructionParamType = (
  ptVoid,
  ptI1,
  ptI2,
  ptI4,
  ptI8,
  ptU1,
  ptU2,
  ptU4,
  ptU8,
  ptR4,
  ptR8,
  ptToken,
  ptSOff,
  ptLOff,
  ptArray
);

Unit

JclCIL


TJclIntfIntfEntry Record

TJclIntfIntfEntry = record
  Key: IInterface;
  Value: IInterface;
end;

Unit

JclHashMaps


TJclLocaleDateFormats Enumeration

TJclLocaleDateFormats = (
  ldShort,
  ldLong,
  ldYearMonth
);

Unit

JclLocales


TJclMapLineNumber Record

TJclMapLineNumber = record
  Addr: DWORD;
  LineNumber: Integer;
end;

Unit

JclDebug


TJclMappedTextReaderIndex Enumeration

TJclMappedTextReaderIndex = (
  tiNoIndex,
  tiFull
);

Unit

JclFileUtils


TJclMapProcName Record

TJclMapProcName = record
  Addr: DWORD;
  ProcName: PJclMapString;
end;

Unit

JclDebug


TJclMapSegment Record

TJclMapSegment = record
  StartAddr: DWORD;
  EndAddr: DWORD;
  UnitName: PJclMapString;
end;

Unit

JclDebug


TJclOpCode Enumeration

TJclOpCode = (
  opNop,
  opBreak,
  opLdArg_0,
  opLdArg_1,
  opLdArg_2,
  opLdArg_3,
  opLdLoc_0,
  opLdLoc_1,
  opLdLoc_2,
  opLdLoc_3,
  opStLoc_0,
  opStLoc_1,
  opStLoc_2,
  opStLoc_3,
  opldArg_s,
  opLdArga_s,
  opStArg_s,
  opLdLoc_s,
  opLdLoca_s,
  opStLoc_s,
  opLdNull,
  opLdc_I4_M1,
  opLdc_I4_0,
  opLdc_I4_1,
  opLdc_I4_2,
  opLdc_I4_3,
  opLdc_I4_4,
  opLdc_I4_5,
  opLdc_I4_6,
  opLdc_I4_7,
  opLdc_I4_8,
  opLdc_I4_s,
  opLdc_i4,
  opLdc_i8,
  opLdc_r4,
  opLdc_r8,
  opUnused49,
  opDup,
  opPop,
  opJmp,
  opCall,
  opCalli,
  opRet,
  opBr_s,
  opBrFalse_s,
  opBrTrue_s,
  opBeq_s,
  opBge_s,
  opBgt_s,
  opBle_s,
  opBlt_s,
  opBne_un_s,
  opBge_un_s,
  opBgt_un_s,
  opBle_un_s,
  opBlt_un_s,
  opBr,
  opBrFalse,
  opBrTrue,
  opBeq,
  opBge,
  opBgt,
  opBle,
  opBlt,
  opBne_un,
  opBge_un,
  opBgt_un,
  opBle_un,
  opBlt_un,
  opSwitch,
  opLdInd_i1,
  opLdInd_i2,
  opLdInd_u1,
  opLdInd_u2,
  opLdInd_i4,
  opLdInd_u4,
  opLdInd_i8,
  opLdInd_i,
  opLdInd_r4,
  opLdInd_r8,
  opLdInd_ref,
  opStInd_ref,
  opStInd_i1,
  opStInd_i2,
  opStInd_i4,
  opStInd_i8,
  opStInd_r4,
  opStInd_r8,
  opAdd,
  opSub,
  opMul,
  opDiv,
  opDiv_un,
  opRem,
  opRem_un,
  opAnd,
  opOr,
  opXor,
  opShl,
  opShr,
  opShr_un,
  opNeg,
  opNot,
  opConv_i1,
  opConv_i2,
  opConv_i4,
  opConv_i8,
  opConv_r4,
  opConv_r8,
  opConv_u4,
  opConv_u8,
  opCallVirt,
  opCpObj,
  opLdObj,
  opLdStr,
  opNewObj,
  opCastClass,
  opIsInst,
  opConv_r_un,
  opUnused58,
  opUnused1,
  opUnbox,
  opThrow,
  opLdFld,
  opLdFlda,
  opStFld,
  opLdsFld,
  opLdsFlda,
  opStsFld,
  opStObj,
  opConv_ovf_i1_un,
  opConv_ovf_i2_un,
  opConv_ovf_i4_un,
  opConv_ovf_i8_un,
  opConv_ovf_u1_un,
  opConv_ovf_u2_un,
  opConv_ovf_u4_un,
  opConv_ovf_u8_un,
  opConv_ovf_i_un,
  opConv_ovf_u_un,
  opBox,
  opNewArr,
  opLdLen,
  opLdElema,
  opLdElem_i1,
  opLdElem_u1,
  opLdElem_i2,
  opLdElem_u2,
  opLdElem_i4,
  opLdElem_u4,
  opLdElem_i8,
  opLdElem_i,
  opLdElem_r4,
  opLdElem_r8,
  opLdElem_ref,
  opStElem_i,
  opStElem_i1,
  opStElem_i2,
  opStElem_i4,
  opStElem_i8,
  opStElem_r4,
  opStElem_r8,
  opStElem_ref,
  opUnused2,
  opUnused3,
  opUnused4,
  opUnused5,
  opUnused6,
  opUnused7,
  opUnused8,
  opUnused9,
  opUnused10,
  opUnused11,
  opUnused12,
  opUnused13,
  opUnused14,
  opUnused15,
  opUnused16,
  opUnused17,
  opConv_ovf_i1,
  opConv_ovf_u1,
  opConv_ovf_i2,
  opConv_ovf_u2,
  opConv_ovf_i4,
  opConv_ovf_u4,
  opConv_ovf_i8,
  opConv_ovf_u8,
  opUnused50,
  opUnused18,
  opUnused19,
  opUnused20,
  opUnused21,
  opUnused22,
  opUnused23,
  opRefAnyVal,
  opCkFinite,
  opUnused24,
  opUnused25,
  opMkRefAny,
  opUnused59,
  opUnused60,
  opUnused61,
  opUnused62,
  opUnused63,
  opUnused64,
  opUnused65,
  opUnused66,
  opUnused67,
  opLdToken,
  opConv_u2,
  opConv_u1,
  opConv_i,
  opConv_ovf_i,
  opConv_ovf_u,
  opAdd_ovf,
  opAdd_ovf_un,
  opMul_ovf,
  opMul_ovf_un,
  opSub_ovf,
  opSub_ovf_un,
  opEndFinally,
  opLeave,
  opLeave_s,
  opStInd_i,
  opConv_u,
  opUnused26,
  opUnused27,
  opUnused28,
  opUnused29,
  opUnused30,
  opUnused31,
  opUnused32,
  opUnused33,
  opUnused34,
  opUnused35,
  opUnused36,
  opUnused37,
  opUnused38,
  opUnused39,
  opUnused40,
  opUnused41,
  opUnused42,
  opUnused43,
  opUnused44,
  opUnused45,
  opUnused46,
  opUnused47,
  opUnused48,
  opPrefix7,
  opPrefix6,
  opPrefix5,
  opPrefix4,
  opPrefix3,
  opPrefix2,
  opPrefix1,
  opPrefixRef,
  opArgLlist,
  opCeq,
  opCgt,
  opCgt_un,
  opClt,
  opClt_un,
  opLdFtn,
  opLdVirtFtn,
  optUnused56,
  opLdArg,
  opLdArga,
  opStArg,
  opLdLoc,
  opLdLoca,
  opStLoc,
  opLocalLoc,
  opUnused57,
  opEndFilter,
  opUnaligned,
  opVolatile,
  opTail,
  opInitObj,
  opUnused68,
  opCpBlk,
  opInitBlk,
  opUnused69,
  opRethrow,
  opUnused51,
  opSizeOf,
  opRefAnyType,
  opUnused52,
  opUnused53,
  opUnused54,
  opUnused55,
  opUnused70
);

Unit

JclCIL


TJclRegionBitmapMode Enumeration

See Also

Specifies the operation on the color.

Pascal

TJclRegionBitmapMode = (
  rmInclude,
  rmExclude
);

Description

Specifies the operation on the color when creating the region from a bitmap.

Donator

Wim De Cleen

Unit

JclQGraphics


See Also

CreateRegionFromBitmap, CreateBitmap


TJclRegionCombineOperator Enumeration

See Also

Specifies the combination operator.

Pascal

TJclRegionCombineOperator = (
  coAnd,
  coDiff,
  coOr,
  coXor
);

Description

Specifies the operator when combining two regions. The following values can be specified:
Value	Description
coAnd	The resulting region is the intersection of the two regions
coDiff	The resulting region is any area of region one that is not in region two
coOr	The resulting region is the union of the regions
coXor	The resulting region is the union of the regions except any overlapping areas
Donator

Wim De Cleen

Unit

JclQGraphics


See Also

Combine


TJclRegionKind Enumeration

TJclRegionKind = (
  rkNull,
  rkSimple,
  rkComplex,
  rkError
);

Unit

JclQGraphics


TJclScheduledTaskFlag Enumeration

TJclScheduledTaskFlag = (
  tfInteractive,
  tfDeleteWhenDone,
  tfDisabled,
  tfStartOnlyIfIdle,
  tfKillOnIdleEndl,
  tfDontStartIfOnBatteries,
  tfKillIfGoingOnBatteries,
  tfRunOnlyIfDocked,
  tfHidden,
  tfRunIfConnectedToInternet,
  tfRestartOnIdleResume,
  tfSystemRequired,
  tfRunOnlyIfLoggedOn
);

Unit

JclTask


TJclScheduledTaskStatus Enumeration

TJclScheduledTaskStatus = (
  tsUnknown,
  tsReady,
  tsRunning,
  tsNotScheduled,
  tsHasNotRun
);

Unit

JclTask


TJclScheduleTaskPropertyPage Enumeration

TJclScheduleTaskPropertyPage = (
  ppTask,
  ppSchedule,
  ppSettings
);

Unit

JclTask


TJclScreenBackColor Enumeration

TJclScreenBackColor = (
  bclBlack,
  bclBlue,
  bclGreen,
  bclRed,
  bclCyan,
  bclMagenta,
  bclYellow,
  bclWhite
);

Unit

JclConsole


TJclScreenBufferTextHorizontalAlign Enumeration

TJclScreenBufferTextHorizontalAlign = (
  thaCurrent,
  thaLeft,
  thaCenter,
  thaRight
);

Unit

JclConsole


TJclScreenBufferTextVerticalAlign Enumeration

TJclScreenBufferTextVerticalAlign = (
  tvaCurrent,
  tvaTop,
  tvaCenter,
  tvaBottom
);

Unit

JclConsole


TJclScreenFontColor Enumeration

TJclScreenFontColor = (
  fclBlack,
  fclBlue,
  fclGreen,
  fclRed,
  fclCyan,
  fclMagenta,
  fclYellow,
  fclWhite
);

Unit

JclConsole


TJclScreenFontStyle Enumeration

TJclScreenFontStyle = (
  fsLeadingByte,
  fsTrailingByte,
  fsGridHorizontal,
  fsGridLeftVertical,
  fsGridRightVertical,
  fsReverseVideo,
  fsUnderscore,
  fsSbcsDbcs
);

Unit

JclConsole


TJclStackTrackingOption Enumeration

TJclStackTrackingOption = (
  stStack,
  stExceptFrame,
  stRawMode,
  stAllModules,
  stStaticModuleList
);

Unit

JclDebug


TJclStrEntry Record

TJclStrEntry = record
  Key: string;
  Value: TObject;
end;

Unit

JclHashMaps


TJclStrIntfEntry Record

TJclStrIntfEntry = record
  Key: string;
  Value: IInterface;
end;

Unit

JclHashMaps


TJclStrStrEntry Record

TJclStrStrEntry = record
  Key: string;
  Value: string;
end;

Unit

JclHashMaps


TJclStructStorageAccessMode Enumeration

TJclStructStorageAccessMode = (
  smOpenRead,
  smOpenWrite,
  smCreate,
  smShareDenyRead,
  smShareDenyWrite,
  smTransacted
);

Unit

JclStructStorage


TJclTD32FileSignature Record

TJclTD32FileSignature = packed record
  Signature: DWORD;
  Offset: DWORD;
end;

Unit

JclTD32


TJclTerminateAppResult Enumeration

TJclTerminateAppResult = (
  taError,
  taClean,
  taKill
);

Unit

JclSysInfo


TJclTreeColor Enumeration

TJclTreeColor = (
  tcBlack,
  tcRed
);

Unit

JclBinaryTrees


TJmpTable Record

TJmpTable = packed record
  OPCode: Word;
  Ptr: Pointer;
end;

Unit

JclDebug


TLangIdRec Record

TLangIdRec = packed record
  case Integer of
    0: (LangId: Word;
        CodePage: Word;);
    1: (Pair: DWORD;);
end;

Unit

JclFileUtils


TLineMappingEntry Record

TLineMappingEntry = packed record
  SegmentIndex: Word;
  PairCount: Word;
  Offsets: array [0..0] of DWORD;
end;

Unit

JclTD32


TMeteredSection Record

TMeteredSection = record
  Event: THandle;
  FileMap: THandle;
  SharedInfo: PMetSectSharedInfo;
end;

Unit

JclSynch


TMetSectSharedInfo Record

TMetSectSharedInfo = record
  Initialized: LongBool;
  SpinLock: Longint;
  ThreadsWaiting: Longint;
  AvailableCount: Longint;
  MaximumCount: Longint;
end;

Unit

JclSynch


TMrewPreferred Enumeration

TMrewPreferred = (
  mpReaders,
  mpWriters,
  mpEqual
);

Unit

JclSynch


TMrewThreadInfo Record

TMrewThreadInfo = record
  ThreadId: Longword;
  RecursionCount: Integer;
  Reader: Boolean;
end;

Unit

JclSynch


TMutexInfo Record

TMutexInfo = record
  SignalState: Longint;
  Owned: ByteBool;
  Abandoned: ByteBool;
end;

Unit

JclSynch


TNetUserAuthFlag Enumeration

TNetUserAuthFlag = (
  afOpPrint,
  afOpComm,
  afOpServer,
  afOpAccounts
);

Unit

JclLANMan


TNetUserFlag Enumeration

TNetUserFlag = (
  ufAccountDisable,
  ufHomedirRequired,
  ufLockout,
  ufPasswordNotRequired,
  ufPasswordCantChange,
  ufDontExpirePassword,
  ufMNSLogonAccount
);

Unit

JclLANMan


TNetUserInfoFlag Enumeration

TNetUserInfoFlag = (
  uifScript,
  uifTempDuplicateAccount,
  uifNormalAccount,
  uifInterdomainTrustAccount,
  uifWorkstationTrustAccount,
  uifServerTrustAccount
);

Unit

JclLANMan


TNetUserPriv Enumeration

TNetUserPriv = (
  upUnknown,
  upGuest,
  upUser,
  upAdmin
);

Unit

JclLANMan


TNtfsHardLinkInfo Record

TNtfsHardLinkInfo = record
  LinkCount: Cardinal;
  case Integer of
    0: (FileIndexHigh: Cardinal;
        FileIndexLow: Cardinal;);
    1: (FileIndex: Int64;);
end;

Unit

JclNTFS


TNtProductType Enumeration

TNtProductType = (
  ptUnknown,
  ptWorkStation,
  ptServer,
  ptAdvancedServer,
  ptPersonal,
  ptProfessional,
  ptDatacenterServer,
  ptEnterprise,
  ptWebEdition
);

Unit

JclSysInfo


TOffsetPair Record

TOffsetPair = packed record
  StartOffset: DWORD;
  EndOffset: DWORD;
end;

Unit

JclTD32


TOpLock Enumeration

TOpLock = (
  olExclusive,
  olReadOnly,
  olBatch,
  olFilter
);

Unit

JclNTFS


TOptexSharedInfo Record

TOptexSharedInfo = record
  SpinCount: Integer;
  LockCount: Integer;
  ThreadId: Longword;
  RecursionCount: Integer;
end;

Unit

JclSynch


TPolarComplex Record

TPolarComplex = record
  Radius: Float;
  Angle: Float;
end;

Unit

JclMath


TPrimalityTestMethod Enumeration

TPrimalityTestMethod = (
  ptTrialDivision,
  ptRabinMiller
);

Unit

JclMath


TProcessorArchitecture Enumeration

TProcessorArchitecture = (
  paUnknown,
  pax8632,
  pax8664,
  paIA64
);

Unit

JclSysInfo


TRectCoord Record

TRectCoord = record
  X: Float;
  Y: Float;
end;

Unit

JclComplex


TSaveFormat Enumeration

TSaveFormat = (
  sfUTF16LSB,
  sfUTF16MSB,
  sfUTF8,
  sfAnsi
);

Unit

JclUnicode


TSegmentInfo Record

TSegmentInfo = packed record
  Segment: Word;
  Flags: Word;
  Offset: DWORD;
  Size: DWORD;
end;

Unit

JclTD32


TSemaphoreCounts Record

TSemaphoreCounts = record
  CurrentCount: Longint;
  MaximumCount: Longint;
end;

Unit

JclSynch


TSingleNoteTuningData Record

TSingleNoteTuningData = packed record
  case Integer of
    0: (Key: TMIDINote;
        Frequency: array [0..2] of TMIDIDataByte);
        DWord: LongWord;);
end;

Unit

JclMIDI


TSourceFileEntry Record

TSourceFileEntry = packed record
  SegmentCount: Word;
  NameIndex: DWORD;
  BaseSrcLines: array [0..0] of DWORD;
end;

Unit

JclTD32


TSourceModuleInfo Record

TSourceModuleInfo = packed record
  FileCount: Word;
  SegmentCount: Word;
  BaseSrcFiles: array [0..0] of DWORD;
end;

Unit

JclTD32


TStereoChannel Enumeration

TStereoChannel = (
  scLeft,
  scRight
);

Unit

JclWinMIDI


TSymbolConstantInfo Record

TSymbolConstantInfo = packed record
  TypeIndex: DWORD;
  NameIndex: DWORD;
  Reserved: DWORD;
  Value: DWORD;
end;

Unit

JclTD32


TSymbolDataInfo Record

TSymbolDataInfo = packed record
  Offset: DWORD;
  Segment: Word;
  Reserved: Word;
  TypeIndex: DWORD;
  NameIndex: DWORD;
end;

Unit

JclTD32


TSymbolInfo Record

TSymbolInfo = packed record
  Size: Word;
  SymbolType: Word;
  case Word of
    SYMBOL_TYPE_CONST: (Constant: TSymbolConstantInfo;);
    SYMBOL_TYPE_GPROC32: (Proc: TSymbolProcInfo;);
    SYMBOL_TYPE_LABEL32: (Label32: TSymbolLabelInfo;);
    SYMBOL_TYPE_OBJNAME: (ObjName: TSymbolObjNameInfo;);
    SYMBOL_TYPE_PUB32: (Data: TSymbolDataInfo;);
    SYMBOL_TYPE_UDT: (Udt: TSymbolUdtInfo;);
    SYMBOL_TYPE_VFTPATH32: (VftPath: TSymbolVftPathInfo;);
    SYMBOL_TYPE_WITH32: (With32: TSymbolWithInfo;);
end;

Unit

JclTD32


TSymbolInfos Record

TSymbolInfos = packed record
  Signature: DWORD;
  Symbols: array [0..0] of TSymbolInfo;
end;

Unit

JclTD32


TSymbolLabelInfo Record

TSymbolLabelInfo = packed record
  Offset: DWORD;
  Segment: Word;
  NearFar: Byte;
  Reserved: Byte;
  NameIndex: DWORD;
end;

Unit

JclTD32


TSymbolObjNameInfo Record

TSymbolObjNameInfo = packed record
  Signature: DWORD;
  NameIndex: DWORD;
end;

Unit

JclTD32


TSymbolProcInfo Record

TSymbolProcInfo = packed record
  pParent: DWORD;
  pEnd: DWORD;
  pNext: DWORD;
  Size: DWORD;
  DebugStart: DWORD;
  DebugEnd: DWORD;
  Offset: DWORD;
  Segment: Word;
  ProcType: DWORD;
  NearFar: Byte;
  Reserved: Byte;
  NameIndex: DWORD;
end;

Unit

JclTD32


TSymbolUdtInfo Record

TSymbolUdtInfo = packed record
  TypeIndex: DWORD;
  Properties: Word;
  NameIndex: DWORD;
  Reserved: DWORD;
end;

Unit

JclTD32


TSymbolVftPathInfo Record

TSymbolVftPathInfo = packed record
  Offset: DWORD;
  Segment: Word;
  Reserved: Word;
  RootIndex: DWORD;
  PathIndex: DWORD;
end;

Unit

JclTD32


TSymbolWithInfo Record

TSymbolWithInfo = packed record
  pParent: DWORD;
  pEnd: DWORD;
  Size: DWORD;
  Offset: DWORD;
  Segment: Word;
  Reserved: Word;
  NameIndex: DWORD;
end;

Unit

JclTD32


TTemperatureType Enumeration

TTemperatureType = (
  ttCelsius,
  ttFahrenheit,
  ttKelvin,
  ttRankine,
  ttReaumur
);

Unit

JclUnitConv


TTimerInfo Record

TTimerInfo = record
  Remaining: TLargeInteger;
  Signaled: ByteBool;
end;

Unit

JclSynch


TTLBInformation Enumeration

TTLBInformation = (
  tiEntries,
  tiAssociativity
);

Unit

JclSysInfo


TTransmetaSpecific Record

TTransmetaSpecific = record
  ExFeatures: Cardinal;
  DataTLB: array [TTLBInformation] of Byte;
  CodeTLB: array [TTLBInformation] of Byte;
  L1DataCache: array [TCacheInformation] of Byte;
  L1CodeCache: array [TCacheInformation] of Byte;
  L2Cache: Cardinal;
  RevisionABCD: Cardinal;
  RevisionXXXX: Cardinal;
  Frequency: Cardinal;
  CodeMorphingABCD: Cardinal;
  CodeMorphingXXXX: Cardinal;
  TransmetaFeatures: Cardinal;
  TransmetaInformations: array [0..64] of Char;
  CurrentVoltage: Cardinal;
  CurrentFrequency: Cardinal;
  CurrentPerformance: Cardinal;
end;

Unit

JclSysInfo


TUcCClass Record

TUcCClass = record
  Ranges: array of TUcRange;
  RangesUsed: Integer;
end;

Unit

JclUnicode


TUcElement Record

TUcElement = record
  OnStack: Boolean;
  AType: Cardinal;
  LHS: Cardinal;
  RHS: Cardinal;
end;

Unit

JclUnicode


TUcEquivalent Record

TUcEquivalent = record
  Left: Cardinal;
  Right: Cardinal;
end;

Unit

JclUnicode


TUcEquivalentList Record

TUcEquivalentList = record
  Equivalents: array of TUcEquivalent;
  EquivalentsUsed: Integer;
end;

Unit

JclUnicode


TUcExpressionList Record

TUcExpressionList = record
  Expressions: array of TUcElement;
  ExpressionsUsed: Integer;
end;

Unit

JclUnicode


TUcRange Record

TUcRange = record
  MaxCode: UCS4;
  MinCode: UCS4;
end;

Unit

JclUnicode


TUcState Record

TUcState = record
  ID: Cardinal;
  Accepting: Boolean;
  StateList: TUcStateList;
  Transitions: array of TUcElement;
  TransitionsUsed: Integer;
end;

Unit

JclUnicode


TUcStateList Record

TUcStateList = record
  List: array of Cardinal;
  ListUsed: Integer;
end;

Unit

JclUnicode


TUcStateTable Record

TUcStateTable = record
  States: array of TUcState;
  StatesUsed: Integer;
end;

Unit

JclUnicode


TUcSymbol Record

TUcSymbol = record
  Chr: UCS4;
  CCL: TUcCClass;
end;

Unit

JclUnicode


TUcSymbolTable Record

TUcSymbolTable = record
  Symbols: array of TUcSymbolTableEntry;
  SymbolsUsed: Integer;
end;

Unit

JclUnicode


TUcSymbolTableEntry Record

TUcSymbolTableEntry = record
  AType: Cardinal;
  ID: Cardinal;
  Categories: TCharacterCategories;
  Mods: TCharacterCategories;
  Symbol: TUcSymbol;
  States: TUcStateList;
end;

Unit

JclUnicode


TUcTransition Record

TUcTransition = record
  NextState: Cardinal;
  Symbol: Cardinal;
end;

Unit

JclUnicode


TUcTransitions Record

TUcTransitions = record
  Transitions: array of TUcTransition;
  TransitionsUsed: Integer;
end;

Unit

JclUnicode


TULargeInteger Record

TULargeInteger = record
  case Integer of
    0: (LowPart: LongWord;
        HighPart: LongWord;);
    1: (QuadPart: Int64;);
end;

Unit

JclBase


TUnicodeBlockRange Record

TUnicodeBlockRange = record
  RangeEnd: Cardinal;
  RangeStart: Cardinal;
end;

Unit

JclUnicode


TUnitVersionInfo Record

TUnitVersionInfo = record
  RCSfile: string;
  Revision: string;
  Date: string;
  LogPath: string;
  Extra: string;
  Data: Pointer;
end;

Unit

JclUnitVersioning


TUREBuffer Record

TUREBuffer = record
  Reducing: Boolean;
  Error: Integer;
  Flags: Cardinal;
  Stack: TUcStateList;
  SymbolTable: TUcSymbolTable;
  ExpressionList: TUcExpressionList;
  States: TUcStateTable;
  EquivalentList: TUcEquivalentList;
end;

Unit

JclUnicode


TUTBMChar Record

TUTBMChar = record
  LoCase: UCS4;
  TitleCase: UCS4;
  UpCase: UCS4;
end;

Unit

JclUnicode


TUTBMSkip Record

TUTBMSkip = record
  BMChar: PUTBMChar;
  SkipValues: Integer;
end;

Unit

JclUnicode


TVIASpecific Record

TVIASpecific = record
  ExFeatures: Cardinal;
  DataTLB: array [TTLBInformation] of Byte;
  InstructionTLB: array [TTLBInformation] of Byte;
  L1DataCache: array [TCacheInformation] of Byte;
  L1InstructionCache: array [TCacheInformation] of Byte;
  L2DataCache: Cardinal;
end;

Unit

JclSysInfo


TWideFileOptionsType Enumeration

TWideFileOptionsType = (
  foAnsiFile,
  foUnicodeLB
);

Unit

JclWideStrings


TWideStringItem Record

TWideStringItem = record
  FString: WideString;
  FObject: TObject;
end;

Unit

JclUnicode


TWStringItem Record

TWStringItem = record
  FString: WideString;
  FObject: TObject;
end;

Unit

JclWideStrings


_SID_NAME_USE Type

_SID_NAME_USE = DWORD;

Unit

JclWin32


ACTION_HEADER Type

ACTION_HEADER = _ACTION_HEADER;

Unit

JclWin32


ADAPTER_STATUS Type

ADAPTER_STATUS = _ADAPTER_STATUS;

Unit

JclWin32


CALINFO_ENUMPROCEXA Type

CALINFO_ENUMPROCEXA = function (lpCalendarInfoString: LPSTR; Calendar: CALID): BOOL;

Unit

JclWin32


DelphiHKEY Type

DelphiHKEY = Longword;

Unit

JclRegistry


DEVICE_TYPE Type

DEVICE_TYPE = DWORD;

Unit

JclWin32


DWORD Type

DWORD = LongWord;

Unit

JclSysInfo


DWORD_PTR Type

DWORD_PTR = ULONG_PTR;

Unit

JclWin32


EJclEDIError Type

EJclEDIError = EJclError;

Unit

JclEDI


EJclStringError Type

Class of exceptions that are risen by JclStrings unit's routines.

Pascal

EJclStringError = EJclError;

Unit

JclStrings


FILE_ALLOCATED_RANGE_BUFFER Type

FILE_ALLOCATED_RANGE_BUFFER = _FILE_ALLOCATED_RANGE_BUFFER;

Unit

JclWin32


FILE_ZERO_DATA_INFORMATION Type

FILE_ZERO_DATA_INFORMATION = _FILE_ZERO_DATA_INFORMATION;

Unit

JclWin32


FIND_NAME_BUFFER Type

FIND_NAME_BUFFER = _FIND_NAME_BUFFER;

Unit

JclWin32


FIND_NAME_HEADER Type

FIND_NAME_HEADER = _FIND_NAME_HEADER;

Unit

JclWin32


FPO_DATA Type

FPO_DATA = _FPO_DATA;

Unit

JclWin32


GET_FILEEX_INFO_LEVELS Type

GET_FILEEX_INFO_LEVELS = _GET_FILEEX_INFO_LEVELS;

Unit

JclWin32


GROUP_INFO_0 Type

GROUP_INFO_0 = _GROUP_INFO_0;

Unit

JclWin32


GROUP_INFO_1 Type

GROUP_INFO_1 = _GROUP_INFO_1;

Unit

JclWin32


HDOMAINENUM Type

HDOMAINENUM = Pointer;

Unit

JclDotNet


IJclClrAppDomain Type

IJclClrAppDomain = mscorlib_TLB._AppDomain;

Unit

JclDotNet


IJclClrAssembly Type

IJclClrAssembly = mscorlib_TLB._Assembly;

Unit

JclDotNet


IJclClrEvidence Type

IJclClrEvidence = mscorlib_TLB._Evidence;

Unit

JclDotNet


IJclClrMethod Type

IJclClrMethod = mscorlib_TLB._MethodInfo;

Unit

JclDotNet


IMAGE_ARCHITECTURE_ENTRY Type

IMAGE_ARCHITECTURE_ENTRY = _ImageArchitectureEntry;

Unit

JclWin32


IMAGE_ARCHITECTURE_HEADER Type

IMAGE_ARCHITECTURE_HEADER = _ImageArchitectureHeader;

Unit

JclWin32


IMAGE_ARCHIVE_MEMBER_HEADER Type

IMAGE_ARCHIVE_MEMBER_HEADER = _IMAGE_ARCHIVE_MEMBER_HEADER;

Unit

JclWin32


IMAGE_COFF_SYMBOLS_HEADER Type

IMAGE_COFF_SYMBOLS_HEADER = _IMAGE_COFF_SYMBOLS_HEADER;

Unit

JclWin32


IMAGE_COR_VTABLEFIXUP Type

IMAGE_COR_VTABLEFIXUP = _IMAGE_COR_VTABLEFIXUP;

Unit

JclCLR


IMAGE_DATA_DIRECTORY Type

IMAGE_DATA_DIRECTORY = _IMAGE_DATA_DIRECTORY;

Unit

JclWin32


IMAGE_DEBUG_MISC Type

IMAGE_DEBUG_MISC = _IMAGE_DEBUG_MISC;

Unit

JclWin32


IMAGE_FILE_HEADER Type

IMAGE_FILE_HEADER = _IMAGE_FILE_HEADER;

Unit

JclWin32


IMAGE_FUNCTION_ENTRY Type

IMAGE_FUNCTION_ENTRY = _IMAGE_FUNCTION_ENTRY;

Unit

JclWin32


IMAGE_FUNCTION_ENTRY64 Type

IMAGE_FUNCTION_ENTRY64 = _IMAGE_FUNCTION_ENTRY64;

Unit

JclWin32


IMAGE_LINENUMBER Type

IMAGE_LINENUMBER = _IMAGE_LINENUMBER;

Unit

JclWin32


IMAGE_NT_HEADERS Type

IMAGE_NT_HEADERS = IMAGE_NT_HEADERS32;

Unit

JclWin32


IMAGE_NT_HEADERS32 Type

IMAGE_NT_HEADERS32 = _IMAGE_NT_HEADERS;

Unit

JclWin32


IMAGE_NT_HEADERS64 Type

IMAGE_NT_HEADERS64 = _IMAGE_NT_HEADERS64;

Unit

JclWin32


IMAGE_OPTIONAL_HEADER32 Type

IMAGE_OPTIONAL_HEADER32 = _IMAGE_OPTIONAL_HEADER;

Unit

JclWin32


IMAGE_OPTIONAL_HEADER64 Type

IMAGE_OPTIONAL_HEADER64 = _IMAGE_OPTIONAL_HEADER64;

Unit

JclWin32


IMAGE_RESOURCE_DIRECTORY_STRING Type

IMAGE_RESOURCE_DIRECTORY_STRING = _IMAGE_RESOURCE_DIRECTORY_STRING;

Unit

JclWin32


IMAGE_ROM_HEADERS Type

IMAGE_ROM_HEADERS = _IMAGE_ROM_HEADERS;

Unit

JclWin32


IMAGE_ROM_OPTIONAL_HEADER Type

IMAGE_ROM_OPTIONAL_HEADER = _IMAGE_ROM_OPTIONAL_HEADER;

Unit

JclWin32


IMAGE_SECTION_HEADER Type

IMAGE_SECTION_HEADER = _IMAGE_SECTION_HEADER;

Unit

JclWin32


IMAGE_SEPARATE_DEBUG_HEADER Type

IMAGE_SEPARATE_DEBUG_HEADER = _IMAGE_SEPARATE_DEBUG_HEADER;

Unit

JclWin32


IMAGE_THUNK_DATA32 Type

IMAGE_THUNK_DATA32 = _IMAGE_THUNK_DATA32;

Unit

JclWin32


IMAGE_THUNK_DATA64 Type

IMAGE_THUNK_DATA64 = _IMAGE_THUNK_DATA64;

Unit

JclWin32


IMAGE_TLS_DIRECTORY32 Type

IMAGE_TLS_DIRECTORY32 = _IMAGE_TLS_DIRECTORY32;

Unit

JclWin32


IMAGE_TLS_DIRECTORY64 Type

IMAGE_TLS_DIRECTORY64 = _IMAGE_TLS_DIRECTORY64;

Unit

JclWin32


INSTALLSTATE Type

INSTALLSTATE = Longint;

Unit

JclShell


Int16 Type

Int16 = Smallint;

Unit

JclBase


Int32 Type

Int32 = Integer;

Unit

JclBase


Int8 Type

Int8 = ShortInt;

Unit

JclBase


LANA_ENUM Type

LANA_ENUM = _LANA_ENUM;

Unit

JclWin32


Largeint Type

Largeint = Int64;

Unit

JclBase


LMCSTR Type

LMCSTR = LPCSTR;

Unit

JclWin32


LMSTR Type

LMSTR = LPSTR;

Unit

JclWin32


LOADED_IMAGE Type

LOADED_IMAGE = _LOADED_IMAGE;

Unit

JclWin32


LOCALGROUP_INFO_0 Type

LOCALGROUP_INFO_0 = _LOCALGROUP_INFO_0;

Unit

JclWin32


LOCALGROUP_INFO_1 Type

LOCALGROUP_INFO_1 = _LOCALGROUP_INFO_1;

Unit

JclWin32


LOCALGROUP_INFO_1002 Type

LOCALGROUP_INFO_1002 = _LOCALGROUP_INFO_1002;

Unit

JclWin32


LOCALGROUP_MEMBERS_INFO_0 Type

LOCALGROUP_MEMBERS_INFO_0 = _LOCALGROUP_MEMBERS_INFO_0;

Unit

JclWin32


LOCALGROUP_MEMBERS_INFO_1 Type

LOCALGROUP_MEMBERS_INFO_1 = _LOCALGROUP_MEMBERS_INFO_1;

Unit

JclWin32


LOCALGROUP_MEMBERS_INFO_2 Type

LOCALGROUP_MEMBERS_INFO_2 = _LOCALGROUP_MEMBERS_INFO_2;

Unit

JclWin32


LOCALGROUP_MEMBERS_INFO_3 Type

LOCALGROUP_MEMBERS_INFO_3 = _LOCALGROUP_MEMBERS_INFO_3;

Unit

JclWin32


LPCSTR Type

LPCSTR = string;

Unit

JclWin32


LPCTSTR Type

LPCTSTR = string;

Unit

JclWin32


LPCWSTR Type

LPCWSTR = string;

Unit

JclWin32


LPGROUP_INFO_0 Type

LPGROUP_INFO_0 = ^GROUP_INFO_0;

Unit

JclWin32


LPGROUP_INFO_1 Type

LPGROUP_INFO_1 = ^GROUP_INFO_1;

Unit

JclWin32


LPLOCALGROUP_INFO_0 Type

LPLOCALGROUP_INFO_0 = ^LOCALGROUP_INFO_0;

Unit

JclWin32


LPLOCALGROUP_INFO_1 Type

LPLOCALGROUP_INFO_1 = ^LOCALGROUP_INFO_1;

Unit

JclWin32


LPLOCALGROUP_INFO_1002 Type

LPLOCALGROUP_INFO_1002 = ^LOCALGROUP_INFO_1002;

Unit

JclWin32


LPLOCALGROUP_MEMBERS_INFO_0 Type

LPLOCALGROUP_MEMBERS_INFO_0 = ^LOCALGROUP_MEMBERS_INFO_0;

Unit

JclWin32


LPLOCALGROUP_MEMBERS_INFO_1 Type

LPLOCALGROUP_MEMBERS_INFO_1 = ^LOCALGROUP_MEMBERS_INFO_1;

Unit

JclWin32


LPLOCALGROUP_MEMBERS_INFO_2 Type

LPLOCALGROUP_MEMBERS_INFO_2 = ^LOCALGROUP_MEMBERS_INFO_2;

Unit

JclWin32


LPLOCALGROUP_MEMBERS_INFO_3 Type

LPLOCALGROUP_MEMBERS_INFO_3 = ^LOCALGROUP_MEMBERS_INFO_3;

Unit

JclWin32


LPOSVERSIONINFOEX Type

LPOSVERSIONINFOEX = LPOSVERSIONINFOEXA;

Unit

JclWin32


LPOSVERSIONINFOEXA Type

LPOSVERSIONINFOEXA = ^OSVERSIONINFOEXA;

Unit

JclWin32


LPOSVERSIONINFOEXW Type

LPOSVERSIONINFOEXW = ^OSVERSIONINFOEXW;

Unit

JclWin32


LPSERVICE_DESCRIPTIONA Type

LPSERVICE_DESCRIPTIONA = ^SERVICE_DESCRIPTIONA;

Unit

JclSvcCtrl


LPSTR Type

LPSTR = string;

Unit

JclWin32


LPUSER_INFO_0 Type

LPUSER_INFO_0 = ^USER_INFO_0;

Unit

JclWin32


LPUSER_INFO_1 Type

LPUSER_INFO_1 = ^USER_INFO_1;

Unit

JclWin32


LPUSER_INFO_2 Type

LPUSER_INFO_2 = ^USER_INFO_2;

Unit

JclWin32


LPWSTR Type

LPWSTR = string;

Unit

JclWin32


MAKEINTRESOURCE Type

MAKEINTRESOURCE = MAKEINTRESOURCEA;

Unit

JclWin32


MAKEINTRESOURCEA Type

MAKEINTRESOURCEA = LPSTR;

Unit

JclWin32


MAKEINTRESOURCEW Type

MAKEINTRESOURCEW = LPWSTR;

Unit

JclWin32


NAME_BUFFER Type

NAME_BUFFER = _NAME_BUFFER;

Unit

JclWin32


NCB Type

NCB = _NCB;

Unit

JclWin32


NET_API_STATUS Type

NET_API_STATUS = DWORD;

Unit

JclWin32


NON_PAGED_DEBUG_INFO Type

NON_PAGED_DEBUG_INFO = _NON_PAGED_DEBUG_INFO;

Unit

JclWin32


OSVERSIONINFOEX Type

OSVERSIONINFOEX = OSVERSIONINFOEXA;

Unit

JclWin32


OSVERSIONINFOEXA Type

OSVERSIONINFOEXA = _OSVERSIONINFOEXA;

Unit

JclWin32


OSVERSIONINFOEXW Type

OSVERSIONINFOEXW = _OSVERSIONINFOEXW;

Unit

JclWin32


PACTION_HEADER Type

PACTION_HEADER = ^ACTION_HEADER;

Unit

JclWin32


PActionHeader Type

PActionHeader = PACTION_HEADER;

Unit

JclWin32


PADAPTER_STATUS Type

PADAPTER_STATUS = ^ADAPTER_STATUS;

Unit

JclWin32


PAnonObjectHeader Type

PAnonObjectHeader = ^ANON_OBJECT_HEADER;

Unit

JclWin32


PBoolean Type

PBoolean = System.PBoolean;

Unit

JclSysUtils


PByte Type

PByte = IntPtr;

Unit

JclWin32


PCardinal Type

PCardinal = ^Cardinal;

Unit

JclBase


PCharVector Type

See Also

PCharVector type represents an array of pointers to PChars.

Pascal

PCharVector = ^PChar;

Description

A PCharVector is an array of PChar's where each PChar points to a null terminated string. The array is delimited by a nil (NULL) pointer. In the Windows API this is usually typed as a PPSTR. This type is being operated by the following routines: StringsToPCharVector, PCharVectorCount, PCharVectorToStrings, FreePCharVector.

Donator

Marcel van Brakel

Unit

JclStrings


See Also

PCharVectorToStrings, PCharVectorCount, FreePCharVector

StringsToPCharVector, PCharVectorCount, PCharVectorToStrings, FreePCharVector


PClipCodes Type

PClipCodes = ^TClipCodes;

Unit

JclQGraphUtils


PClrMetadataHeader Type

PClrMetadataHeader = ^TClrMetadataHeader;

Unit

JclCLR


PClrStreamHeader Type

PClrStreamHeader = ^TClrStreamHeader;

Unit

JclCLR


PClrTableStreamHeader Type

PClrTableStreamHeader = ^TClrTableStreamHeader;

Unit

JclCLR


PColor32 Type

PColor32 = ^TColor32;

Unit

JclQGraphUtils


PColor32Array Type

PColor32Array = ^TColor32Array;

Unit

JclQGraphUtils


PData Type

PData = Pointer;

Unit

JclStrHashMap


PDelphiSet Type

PDelphiSet = ^TDelphiSet;

Unit

JclMath


PDFAState Type

PDFAState = ^TDFAState;

Unit

JclUnicode


PDirectoryEntry Type

PDirectoryEntry = ^TDirectoryEntry;

Unit

JclTD32


PDirectoryHeader Type

PDirectoryHeader = ^TDirectoryHeader;

Unit

JclTD32


PDllVersionInfo Type

PDllVersionInfo = ^TDllVersionInfo;

Unit

JclWin32


PDWORD_PTR Type

PDWORD_PTR = ^PLongWord;

Unit

JclWin32


PDWORDArray Type

PDWORDArray = ^TDWORDArray;

Unit

JclDebug


PFILE_ALLOCATED_RANGE_BUFFER Type

PFILE_ALLOCATED_RANGE_BUFFER = ^FILE_ALLOCATED_RANGE_BUFFER;

Unit

JclWin32


PFILE_ZERO_DATA_INFORMATION Type

PFILE_ZERO_DATA_INFORMATION = ^FILE_ZERO_DATA_INFORMATION;

Unit

JclWin32


PFIND_NAME_BUFFER Type

PFIND_NAME_BUFFER = ^FIND_NAME_BUFFER;

Unit

JclWin32


PFIND_NAME_HEADER Type

PFIND_NAME_HEADER = ^FIND_NAME_HEADER;

Unit

JclWin32


PFindNameBuffer Type

PFindNameBuffer = PFIND_NAME_BUFFER;

Unit

JclWin32


PFindNameHeader Type

PFindNameHeader = PFIND_NAME_HEADER;

Unit

JclWin32


PFPO_DATA Type

PFPO_DATA = ^FPO_DATA;

Unit

JclWin32


PFpoData Type

PFpoData = PFPO_DATA;

Unit

JclWin32


PGlobalTypeInfo Type

PGlobalTypeInfo = ^TGlobalTypeInfo;

Unit

JclTD32


PGROUP_INFO_0 Type

PGROUP_INFO_0 = ^GROUP_INFO_0;

Unit

JclWin32


PGROUP_INFO_1 Type

PGROUP_INFO_1 = ^GROUP_INFO_1;

Unit

JclWin32


PGroupInfo0 Type

PGroupInfo0 = PGROUP_INFO_0;

Unit

JclWin32


PGroupInfo1 Type

PGroupInfo1 = PGROUP_INFO_1;

Unit

JclWin32


PIMAGE_ARCHITECTURE_ENTRY Type

PIMAGE_ARCHITECTURE_ENTRY = ^IMAGE_ARCHITECTURE_ENTRY;

Unit

JclWin32


PIMAGE_ARCHITECTURE_HEADER Type

PIMAGE_ARCHITECTURE_HEADER = ^IMAGE_ARCHITECTURE_HEADER;

Unit

JclWin32


PIMAGE_ARCHIVE_MEMBER_HEADER Type

PIMAGE_ARCHIVE_MEMBER_HEADER = ^IMAGE_ARCHIVE_MEMBER_HEADER;

Unit

JclWin32


PIMAGE_BASE_RELOCATION Type

PIMAGE_BASE_RELOCATION = ^IMAGE_BASE_RELOCATION;

Unit

JclWin32


PIMAGE_BOUND_FORWARDER_REF Type

PIMAGE_BOUND_FORWARDER_REF = ^IMAGE_BOUND_FORWARDER_REF;

Unit

JclWin32


PIMAGE_BOUND_IMPORT_DESCRIPTOR Type

PIMAGE_BOUND_IMPORT_DESCRIPTOR = ^IMAGE_BOUND_IMPORT_DESCRIPTOR;

Unit

JclWin32


PIMAGE_COFF_SYMBOLS_HEADER Type

PIMAGE_COFF_SYMBOLS_HEADER = ^IMAGE_COFF_SYMBOLS_HEADER;

Unit

JclWin32


PIMAGE_COR20_HEADER Type

PIMAGE_COR20_HEADER = ^IMAGE_COR20_HEADER;

Unit

JclWin32


PIMAGE_DATA_DIRECTORY Type

PIMAGE_DATA_DIRECTORY = ^IMAGE_DATA_DIRECTORY;

Unit

JclWin32


PIMAGE_DEBUG_MISC Type

PIMAGE_DEBUG_MISC = ^IMAGE_DEBUG_MISC;

Unit

JclWin32


PIMAGE_EXPORT_DIRECTORY Type

PIMAGE_EXPORT_DIRECTORY = ^IMAGE_EXPORT_DIRECTORY;

Unit

JclWin32


PIMAGE_FILE_HEADER Type

PIMAGE_FILE_HEADER = ^IMAGE_FILE_HEADER;

Unit

JclWin32


PIMAGE_FUNCTION_ENTRY Type

PIMAGE_FUNCTION_ENTRY = ^IMAGE_FUNCTION_ENTRY;

Unit

JclWin32


PIMAGE_FUNCTION_ENTRY64 Type

PIMAGE_FUNCTION_ENTRY64 = ^IMAGE_FUNCTION_ENTRY64;

Unit

JclWin32


PIMAGE_IMPORT_BY_NAME Type

PIMAGE_IMPORT_BY_NAME = ^IMAGE_IMPORT_BY_NAME;

Unit

JclWin32


PIMAGE_IMPORT_DESCRIPTOR Type

PIMAGE_IMPORT_DESCRIPTOR = ^IMAGE_IMPORT_DESCRIPTOR;

Unit

JclWin32


PIMAGE_LINENUMBER Type

PIMAGE_LINENUMBER = ^IMAGE_LINENUMBER;

Unit

JclWin32


PIMAGE_LOAD_CONFIG_DIRECTORY Type

PIMAGE_LOAD_CONFIG_DIRECTORY = PIMAGE_LOAD_CONFIG_DIRECTORY32;

Unit

JclWin32


PIMAGE_LOAD_CONFIG_DIRECTORY32 Type

PIMAGE_LOAD_CONFIG_DIRECTORY32 = ^IMAGE_LOAD_CONFIG_DIRECTORY32;

Unit

JclWin32


PIMAGE_LOAD_CONFIG_DIRECTORY64 Type

PIMAGE_LOAD_CONFIG_DIRECTORY64 = ^IMAGE_LOAD_CONFIG_DIRECTORY64;

Unit

JclWin32


PIMAGE_NT_HEADERS Type

PIMAGE_NT_HEADERS = PIMAGE_NT_HEADERS32;

Unit

JclWin32


PIMAGE_NT_HEADERS32 Type

PIMAGE_NT_HEADERS32 = ^IMAGE_NT_HEADERS32;

Unit

JclWin32


PIMAGE_NT_HEADERS64 Type

PIMAGE_NT_HEADERS64 = ^IMAGE_NT_HEADERS64;

Unit

JclWin32


PIMAGE_OPTIONAL_HEADER32 Type

PIMAGE_OPTIONAL_HEADER32 = ^IMAGE_OPTIONAL_HEADER32;

Unit

JclWin32


PIMAGE_OPTIONAL_HEADER64 Type

PIMAGE_OPTIONAL_HEADER64 = ^IMAGE_OPTIONAL_HEADER64;

Unit

JclWin32


PIMAGE_RESOURCE_DATA_ENTRY Type

PIMAGE_RESOURCE_DATA_ENTRY = ^IMAGE_RESOURCE_DATA_ENTRY;

Unit

JclWin32


PIMAGE_RESOURCE_DIR_STRING_U Type

PIMAGE_RESOURCE_DIR_STRING_U = ^IMAGE_RESOURCE_DIR_STRING_U;

Unit

JclWin32


PIMAGE_RESOURCE_DIRECTORY Type

PIMAGE_RESOURCE_DIRECTORY = ^IMAGE_RESOURCE_DIRECTORY;

Unit

JclWin32


PIMAGE_RESOURCE_DIRECTORY_ENTRY Type

PIMAGE_RESOURCE_DIRECTORY_ENTRY = ^IMAGE_RESOURCE_DIRECTORY_ENTRY;

Unit

JclWin32


PIMAGE_RESOURCE_DIRECTORY_STRING Type

PIMAGE_RESOURCE_DIRECTORY_STRING = ^IMAGE_RESOURCE_DIRECTORY_STRING;

Unit

JclWin32


PIMAGE_ROM_HEADERS Type

PIMAGE_ROM_HEADERS = ^IMAGE_ROM_HEADERS;

Unit

JclWin32


PIMAGE_ROM_OPTIONAL_HEADER Type

PIMAGE_ROM_OPTIONAL_HEADER = ^IMAGE_ROM_OPTIONAL_HEADER;

Unit

JclWin32


PIMAGE_SECTION_HEADER Type

PIMAGE_SECTION_HEADER = ^IMAGE_SECTION_HEADER;

Unit

JclWin32


PIMAGE_SEPARATE_DEBUG_HEADER Type

PIMAGE_SEPARATE_DEBUG_HEADER = ^IMAGE_SEPARATE_DEBUG_HEADER;

Unit

JclWin32


PIMAGE_THUNK_DATA Type

PIMAGE_THUNK_DATA = PIMAGE_THUNK_DATA32;

Unit

JclWin32


PIMAGE_THUNK_DATA32 Type

PIMAGE_THUNK_DATA32 = ^IMAGE_THUNK_DATA32;

Unit

JclWin32


PIMAGE_THUNK_DATA64 Type

PIMAGE_THUNK_DATA64 = ^IMAGE_THUNK_DATA64;

Unit

JclWin32


PIMAGE_TLS_CALLBACK Type

PIMAGE_TLS_CALLBACK = procedure (DllHandle: Pointer; Reason: DWORD; Reserved: Pointer);

Unit

JclWin32


PIMAGE_TLS_DIRECTORY Type

PIMAGE_TLS_DIRECTORY = PIMAGE_TLS_DIRECTORY32;

Unit

JclWin32


PIMAGE_TLS_DIRECTORY32 Type

PIMAGE_TLS_DIRECTORY32 = ^IMAGE_TLS_DIRECTORY32;

Unit

JclWin32


PIMAGE_TLS_DIRECTORY64 Type

PIMAGE_TLS_DIRECTORY64 = ^IMAGE_TLS_DIRECTORY64;

Unit

JclWin32


PImageArchitectureEntry Type

PImageArchitectureEntry = PIMAGE_ARCHITECTURE_ENTRY;

Unit

JclWin32


PImageArchitectureHeader Type

PImageArchitectureHeader = PIMAGE_ARCHITECTURE_HEADER;

Unit

JclWin32


PImageArchiveMemberHeader Type

PImageArchiveMemberHeader = PIMAGE_ARCHIVE_MEMBER_HEADER;

Unit

JclWin32


PImageCoffSymbolsHeader Type

PImageCoffSymbolsHeader = PIMAGE_COFF_SYMBOLS_HEADER;

Unit

JclWin32


PImageCorILMethodFat Type

PImageCorILMethodFat = ^TImageCorILMethodFat;

Unit

JclMetadata


PImageCorILMethodHeader Type

PImageCorILMethodHeader = ^TImageCorILMethodHeader;

Unit

JclMetadata


PImageCorILMethodSectEH Type

PImageCorILMethodSectEH = ^TImageCorILMethodSectEH;

Unit

JclMetadata


PImageCorILMethodSectEHClauseFat Type

PImageCorILMethodSectEHClauseFat = ^TImageCorILMethodSectEHClauseFat;

Unit

JclMetadata


PImageCorILMethodSectEHClauseSmall Type

PImageCorILMethodSectEHClauseSmall = ^TImageCorILMethodSectEHClauseSmall;

Unit

JclMetadata


PImageCorILMethodSectEHFat Type

PImageCorILMethodSectEHFat = ^TImageCorILMethodSectEHFat;

Unit

JclMetadata


PImageCorILMethodSectEHSmall Type

PImageCorILMethodSectEHSmall = ^TImageCorILMethodSectEHSmall;

Unit

JclMetadata


PImageCorILMethodSectFat Type

PImageCorILMethodSectFat = ^TImageCorILMethodSectFat;

Unit

JclMetadata


PImageCorILMethodSectHeader Type

PImageCorILMethodSectHeader = ^TImageCorILMethodSectHeader;

Unit

JclMetadata


PImageCorILMethodSectSmall Type

PImageCorILMethodSectSmall = ^TImageCorILMethodSectSmall;

Unit

JclMetadata


PImageCorILMethodTiny Type

PImageCorILMethodTiny = ^TImageCorILMethodTiny;

Unit

JclMetadata


PImageCorVTableFixup Type

PImageCorVTableFixup = ^TImageCorVTableFixup;

Unit

JclCLR


PImageCorVTableFixupArray Type

PImageCorVTableFixupArray = ^TImageCorVTableFixupArray;

Unit

JclCLR


PImageDataDirectory Type

PImageDataDirectory = PIMAGE_DATA_DIRECTORY;

Unit

JclWin32


PImageDebugMisc Type

PImageDebugMisc = PIMAGE_DEBUG_MISC;

Unit

JclWin32


PImageFileHeader Type

PImageFileHeader = PIMAGE_FILE_HEADER;

Unit

JclWin32


PImageFunctionEntry Type

PImageFunctionEntry = PIMAGE_FUNCTION_ENTRY;

Unit

JclWin32


PImageFunctionEntry64 Type

PImageFunctionEntry64 = PIMAGE_FUNCTION_ENTRY64;

Unit

JclWin32


PImageLineNumber Type

PImageLineNumber = PIMAGE_LINENUMBER;

Unit

JclWin32


PImageLoadConfigDirectory32 Type

PImageLoadConfigDirectory32 = PIMAGE_LOAD_CONFIG_DIRECTORY32;

Unit

JclWin32


PImageLoadConfigDirectory64 Type

PImageLoadConfigDirectory64 = PIMAGE_LOAD_CONFIG_DIRECTORY64;

Unit

JclWin32


PImageNtHeaders Type

PImageNtHeaders = PIMAGE_NT_HEADERS;

Unit

JclWin32


PImageNtHeaders32 Type

PImageNtHeaders32 = PIMAGE_NT_HEADERS32;

Unit

JclWin32


PImageNtHeaders64 Type

PImageNtHeaders64 = PIMAGE_NT_HEADERS64;

Unit

JclWin32


PImageOptionalHeader32 Type

PImageOptionalHeader32 = PIMAGE_OPTIONAL_HEADER32;

Unit

JclWin32


PImageOptionalHeader64 Type

PImageOptionalHeader64 = PIMAGE_OPTIONAL_HEADER64;

Unit

JclWin32


PImageResourceDirectoryString Type

PImageResourceDirectoryString = PIMAGE_RESOURCE_DIRECTORY_STRING;

Unit

JclWin32


PImageRomHeaders Type

PImageRomHeaders = PIMAGE_ROM_HEADERS;

Unit

JclWin32


PImageRomOptionalHeader Type

PImageRomOptionalHeader = PIMAGE_ROM_OPTIONAL_HEADER;

Unit

JclWin32


PImageSectionHeader Type

PImageSectionHeader = PIMAGE_SECTION_HEADER;

Unit

JclWin32


PImageSeparateDebugHeader Type

PImageSeparateDebugHeader = PIMAGE_SEPARATE_DEBUG_HEADER;

Unit

JclWin32


PImageThunkData32 Type

PImageThunkData32 = PIMAGE_THUNK_DATA32;

Unit

JclWin32


PImageThunkData64 Type

PImageThunkData64 = PIMAGE_THUNK_DATA64;

Unit

JclWin32


PImageTlsDirectory32 Type

PImageTlsDirectory32 = PIMAGE_TLS_DIRECTORY32;

Unit

JclWin32


PImageTlsDirectory64 Type

PImageTlsDirectory64 = PIMAGE_TLS_DIRECTORY64;

Unit

JclWin32


PImportObjectHeader Type

PImportObjectHeader = ^IMPORT_OBJECT_HEADER;

Unit

JclWin32


PJclBinaryNode Type

PJclBinaryNode = TJclBinaryNode;

Unit

JclBinaryTrees


PJclBucket Type

PJclBucket = TJclBucket;

Unit

JclHashMaps


PJclByteArray Type

PJclByteArray = ^TJclByteArray;

Unit

JclBase


PJclClrToken Type

PJclClrToken = ^TJclClrToken;

Unit

JclCLR


PJclDbgHeader Type

PJclDbgHeader = ^TJclDbgHeader;

Unit

JclDebug


PJclIntfBinaryNode Type

PJclIntfBinaryNode = TJclIntfBinaryNode;

Unit

JclBinaryTrees


PJclIntfIntfBucket Type

PJclIntfIntfBucket = TJclIntfIntfBucket;

Unit

JclHashMaps


PJclIntfLinkedListItem Type

PJclIntfLinkedListItem = TJclIntfLinkedListItem;

Unit

JclLinkedLists


PJclLinkedListItem Type

PJclLinkedListItem = TJclLinkedListItem;

Unit

JclLinkedLists


PJclLocationInfo Type

PJclLocationInfo = ^TJclLocationInfo;

Unit

JclDebug


PJclMapAddress Type

PJclMapAddress = ^TJclMapAddress;

Unit

JclDebug


PJclMapLineNumber Type

PJclMapLineNumber = ^TJclMapLineNumber;

Unit

JclDebug


PJclMapProcName Type

PJclMapProcName = ^TJclMapProcName;

Unit

JclDebug


PJclMapSegment Type

PJclMapSegment = ^TJclMapSegment;

Unit

JclDebug


PJclStrBinaryNode Type

PJclStrBinaryNode = TJclStrBinaryNode;

Unit

JclBinaryTrees


PJclStrBucket Type

PJclStrBucket = TJclStrBucket;

Unit

JclHashMaps


PJclStrIntfBucket Type

PJclStrIntfBucket = TJclStrIntfBucket;

Unit

JclHashMaps


PJclStrLinkedListItem Type

PJclStrLinkedListItem = TJclStrLinkedListItem;

Unit

JclLinkedLists


PJclStrStrBucket Type

PJclStrStrBucket = TJclStrStrBucket;

Unit

JclHashMaps


PJclTD32FileSignature Type

PJclTD32FileSignature = ^TJclTD32FileSignature;

Unit

JclTD32


PJmpTable Type

PJmpTable = ^TJmpTable;

Unit

JclDebug


PKeyboardState Type

PKeyboardState = ^TKeyboardState;

Unit

JclWin32


PLANA_ENUM Type

PLANA_ENUM = ^LANA_ENUM;

Unit

JclWin32


PLangIdRec Type

PLangIdRec = ^TLangIdRec;

Unit

JclFileUtils


PLargeInteger Type

PLargeInteger = ^TLargeInteger;

Unit

JclBase


PLineMappingEntry Type

PLineMappingEntry = ^TLineMappingEntry;

Unit

JclTD32


PLMSTR Type

PLMSTR = ^LMSTR;

Unit

JclWin32


PLOADED_IMAGE Type

PLOADED_IMAGE = ^LOADED_IMAGE;

Unit

JclWin32


PLoadedImage Type

PLoadedImage = PLOADED_IMAGE;

Unit

JclWin32


PLOCALGROUP_INFO_0 Type

PLOCALGROUP_INFO_0 = ^LOCALGROUP_INFO_0;

Unit

JclWin32


PLOCALGROUP_INFO_1 Type

PLOCALGROUP_INFO_1 = ^LOCALGROUP_INFO_1;

Unit

JclWin32


PLOCALGROUP_INFO_1002 Type

PLOCALGROUP_INFO_1002 = ^LOCALGROUP_INFO_1002;

Unit

JclWin32


PLOCALGROUP_MEMBERS_INFO_0 Type

PLOCALGROUP_MEMBERS_INFO_0 = ^LOCALGROUP_MEMBERS_INFO_0;

Unit

JclWin32


PLOCALGROUP_MEMBERS_INFO_1 Type

PLOCALGROUP_MEMBERS_INFO_1 = ^LOCALGROUP_MEMBERS_INFO_1;

Unit

JclWin32


PLOCALGROUP_MEMBERS_INFO_2 Type

PLOCALGROUP_MEMBERS_INFO_2 = ^LOCALGROUP_MEMBERS_INFO_2;

Unit

JclWin32


PLOCALGROUP_MEMBERS_INFO_3 Type

PLOCALGROUP_MEMBERS_INFO_3 = ^LOCALGROUP_MEMBERS_INFO_3;

Unit

JclWin32


PLocalGroupInfo0 Type

PLocalGroupInfo0 = PLOCALGROUP_INFO_0;

Unit

JclWin32


PLocalGroupInfo1 Type

PLocalGroupInfo1 = PLOCALGROUP_INFO_1;

Unit

JclWin32


PLocalGroupInfo1002 Type

PLocalGroupInfo1002 = PLOCALGROUP_INFO_1002;

Unit

JclWin32


PLocalGroupMembersInfo0 Type

PLocalGroupMembersInfo0 = PLOCALGROUP_MEMBERS_INFO_0;

Unit

JclWin32


PLocalGroupMembersInfo1 Type

PLocalGroupMembersInfo1 = PLOCALGROUP_MEMBERS_INFO_1;

Unit

JclWin32


PLocalGroupMembersInfo2 Type

PLocalGroupMembersInfo2 = PLOCALGROUP_MEMBERS_INFO_2;

Unit

JclWin32


PLocalGroupMembersInfo3 Type

PLocalGroupMembersInfo3 = PLOCALGROUP_MEMBERS_INFO_3;

Unit

JclWin32


PLONGLONG Type

PLONGLONG = ^LONGLONG;

Unit

JclWin32


PLongWord Type

PLongWord = ^LongWord;

Unit

JclWin32


PMeteredSection Type

PMeteredSection = ^TMeteredSection;

Unit

JclSynch


PMetSectSharedInfo Type

PMetSectSharedInfo = ^TMetSectSharedInfo;

Unit

JclSynch


PMultiSz Type

PMultiSz = PChar;

Unit

JclStrings


PNAME_BUFFER Type

PNAME_BUFFER = ^NAME_BUFFER;

Unit

JclWin32


PNON_PAGED_DEBUG_INFO Type

PNON_PAGED_DEBUG_INFO = ^NON_PAGED_DEBUG_INFO;

Unit

JclWin32


POffsetPairArray Type

POffsetPairArray = ^TOffsetPairArray;

Unit

JclTD32


POptexSharedInfo Type

POptexSharedInfo = ^TOptexSharedInfo;

Unit

JclSynch


POSVERSIONINFOEX Type

POSVERSIONINFOEX = POSVERSIONINFOEXA;

Unit

JclWin32


POSVERSIONINFOEXA Type

POSVERSIONINFOEXA = ^OSVERSIONINFOEXA;

Unit

JclWin32


POSVERSIONINFOEXW Type

POSVERSIONINFOEXW = ^OSVERSIONINFOEXW;

Unit

JclWin32


PPalette32 Type

PPalette32 = ^TPalette32;

Unit

JclQGraphUtils


PPCharArray Type

PPCharArray = ^TPCharArray;

Unit

JclFileUtils


PPCREIntArray Type

PPCREIntArray = ^TPCREIntArray;

Unit

JclPCRE


PPointArray Type

PPointArray = ^TPointArray;

Unit

JclGraphUtils


PPointer Type

PPointer = ^Pointer;

Unit

JclBase


PPointerArray Type

PPointerArray = ^TPointerArray;

Unit

JclMath


PRasDialDlg Type

PRasDialDlg = ^TRasDialDlg;

Unit

JclWin32


PREPARSE_DATA_BUFFER Type

PREPARSE_DATA_BUFFER = ^_REPARSE_DATA_BUFFER;

Unit

JclWin32


PREPARSE_GUID_DATA_BUFFER Type

PREPARSE_GUID_DATA_BUFFER = ^REPARSE_GUID_DATA_BUFFER;

Unit

JclWin32


PREPARSE_POINT_INFORMATION Type

PREPARSE_POINT_INFORMATION = ^_REPARSE_POINT_INFORMATION;

Unit

JclWin32


PRTL_OSVERSIONINFOEXW Type

PRTL_OSVERSIONINFOEXW = ^RTL_OSVERSIONINFOEXW;

Unit

JclWin32


PSegmentInfo Type

PSegmentInfo = ^TSegmentInfo;

Unit

JclTD32


PSegmentInfoArray Type

PSegmentInfoArray = ^TSegmentInfoArray;

Unit

JclTD32


PServiceDescriptionA Type

PServiceDescriptionA = LPSERVICE_DESCRIPTIONA;

Unit

JclSvcCtrl


PSESSION_BUFFER Type

PSESSION_BUFFER = ^SESSION_BUFFER;

Unit

JclWin32


PSESSION_HEADER Type

PSESSION_HEADER = ^SESSION_HEADER;

Unit

JclWin32


PSessionBuffer Type

PSessionBuffer = PSESSION_BUFFER;

Unit

JclWin32


PSessionHeader Type

PSessionHeader = PSESSION_HEADER;

Unit

JclWin32


PSID_AND_ATTRIBUTES Type

PSID_AND_ATTRIBUTES = ^SID_AND_ATTRIBUTES;

Unit

JclWin32


PSID_AND_ATTRIBUTES_ARRAY Type

PSID_AND_ATTRIBUTES_ARRAY = ^SID_AND_ATTRIBUTES_ARRAY;

Unit

JclWin32


PSID_NAME_USE Type

PSID_NAME_USE = ^SID_NAME_USE;

Unit

JclWin32


PSidAndAttributes Type

PSidAndAttributes = PSID_AND_ATTRIBUTES;

Unit

JclWin32


PSidAndAttributesArray Type

PSidAndAttributesArray = ^TSidAndAttributesArray;

Unit

JclWin32


PSidNameUSe Type

PSidNameUSe = PSID_NAME_USE;

Unit

JclWin32


PSourceFileEntry Type

PSourceFileEntry = ^TSourceFileEntry;

Unit

JclTD32


PSourceModuleInfo Type

PSourceModuleInfo = ^TSourceModuleInfo;

Unit

JclTD32


PStackInfo Type

PStackInfo = ^TStackInfo;

Unit

JclDebug


PSymbolInfo Type

PSymbolInfo = ^TSymbolInfo;

Unit

JclTD32


PSymbolInfos Type

PSymbolInfos = ^TSymbolInfos;

Unit

JclTD32


PTOKEN_USER Type

PTOKEN_USER = ^TOKEN_USER;

Unit

JclWin32


PTokenUser Type

PTokenUser = PTOKEN_USER;

Unit

JclWin32


PUcRange Type

PUcRange = ^TUcRange;

Unit

JclUnicode


PUcState Type

PUcState = ^TUcState;

Unit

JclUnicode


PUcStateList Type

PUcStateList = ^TUcStateList;

Unit

JclUnicode


PUcSymbolTableEntry Type

PUcSymbolTableEntry = ^TUcSymbolTableEntry;

Unit

JclUnicode


PULargeInteger Type

PULargeInteger = ^TULargeInteger;

Unit

JclBase


PULONGLONG Type

PULONGLONG = ^ULONGLONG;

Unit

JclWin32


PUnitVersionInfo Type

PUnitVersionInfo = ^TUnitVersionInfo;

Unit

JclUnitVersioning


PUREBuffer Type

PUREBuffer = ^TUREBuffer;

Unit

JclUnicode


PUSER_INFO_0 Type

PUSER_INFO_0 = ^USER_INFO_0;

Unit

JclWin32


PUSER_INFO_1 Type

PUSER_INFO_1 = ^USER_INFO_1;

Unit

JclWin32


PUSER_INFO_2 Type

PUSER_INFO_2 = ^USER_INFO_2;

Unit

JclWin32


PUserData Type

PUserData = Pointer;

Unit

JclStrHashMap


PUserInfo0 Type

PUserInfo0 = PUSER_INFO_0;

Unit

JclWin32


PUserInfo1 Type

PUserInfo1 = PUSER_INFO_1;

Unit

JclWin32


PUserInfo2 Type

PUserInfo2 = puser_info_2;

Unit

JclWin32


PUTBMChar Type

PUTBMChar = ^TUTBMChar;

Unit

JclUnicode


PUTBMSkip Type

PUTBMSkip = ^TUTBMSkip;

Unit

JclUnicode


PWideMultiSz Type

PWideMultiSz = PWideChar;

Unit

JclStrings


PWordArray Type

PWordArray = ^TWordArray;

Unit

JclPrint


PWStringItem Type

PWStringItem = ^TWStringItem;

Unit

JclWideStrings


RASDIALDLG Type

RASDIALDLG = tagRASDIALDLG;

Unit

JclWin32


REPARSE_DATA_BUFFER Type

REPARSE_DATA_BUFFER = _REPARSE_DATA_BUFFER;

Unit

JclWin32


REPARSE_GUID_DATA_BUFFER Type

REPARSE_GUID_DATA_BUFFER = _REPARSE_GUID_DATA_BUFFER;

Unit

JclWin32


REPARSE_POINT_INFORMATION Type

REPARSE_POINT_INFORMATION = _REPARSE_POINT_INFORMATION;

Unit

JclWin32


ReplacesCorHdrNumericDefines Type

ReplacesCorHdrNumericDefines = DWORD;

Unit

JclWin32


RTL_OSVERSIONINFOEXW Type

RTL_OSVERSIONINFOEXW = _OSVERSIONINFOEXW;

Unit

JclWin32


SESSION_BUFFER Type

SESSION_BUFFER = _SESSION_BUFFER;

Unit

JclWin32


SESSION_HEADER Type

SESSION_HEADER = _SESSION_HEADER;

Unit

JclWin32


SID Type

SID = _SID;

Unit

JclWin32


SID_AND_ATTRIBUTES Type

SID_AND_ATTRIBUTES = _SID_AND_ATTRIBUTES;

Unit

JclWin32


SID_AND_ATTRIBUTES_ARRAY Type

SID_AND_ATTRIBUTES_ARRAY = array [0..ANYSIZE_ARRAY - 1] of SID_AND_ATTRIBUTES;

Unit

JclWin32


TActionHeader Type

TActionHeader = ACTION_HEADER;

Unit

JclWin32


TAnonObjectHeader Type

TAnonObjectHeader = ANON_OBJECT_HEADER;

Unit

JclWin32


TAnsiPath Type

TAnsiPath = array [0..MAX_PATH-1] of char;

Unit

JclShell


TAPMBatteryFlags Type

TAPMBatteryFlags = set of TAPMBatteryFlag;

Unit

JclSysInfo


TApplyFunction Type

TApplyFunction = function (AObject: TObject): TObject;

Unit

JclAlgorithms


TArrayCatID Type

TArrayCatID = array [0..0] of TGUID;

Unit

JclCOM


TArrayOfColor32 Type

TArrayOfColor32 = array of TColor32;

Unit

JclQGraphUtils


TBitRange Type

TBitRange = Byte;

Unit

JclLogic


TBlendLine Type

TBlendLine = procedure (Src, Dst: PColor32; Count: Integer);

Unit

JclQGraphUtils


TBlendLineEx Type

TBlendLineEx = procedure (Src, Dst: PColor32; Count: Integer; M: TColor32);

Unit

JclQGraphUtils


TBlendMem Type

TBlendMem = procedure (F: TColor32; var B: TColor32);

Unit

JclQGraphUtils


TBlendMemEx Type

TBlendMemEx = procedure (F: TColor32; var B: TColor32; M: TColor32);

Unit

JclQGraphUtils


TBlendReg Type

TBlendReg = function (F, B: TColor32): TColor32;

Unit

JclQGraphUtils


TBlendRegEx Type

TBlendRegEx = function (F, B, M: TColor32): TColor32;

Unit

JclQGraphUtils


TBooleanArray Type

TBooleanArray = array of Boolean;

Unit

JclLogic


TBytes Type

TBytes = Pointer;

Unit

JclBase


TCalInfoEnumProcExA Type

TCalInfoEnumProcExA = CALINFO_ENUMPROCEXA;

Unit

JclWin32


TClipCodes Type

TClipCodes = set of TClipCode;

Unit

JclQGraphUtils


TCombineMem Type

TCombineMem = procedure (F: TColor32; var B: TColor32; W: TColor32);

Unit

JclQGraphUtils


TCombineReg Type

TCombineReg = function (X, Y, W: TColor32): TColor32;

Unit

JclQGraphUtils


TCommandLineTools Type

TCommandLineTools = set of TCommandLineTool;

Unit

JclBorlandTools


TCompare Type

TCompare = function (Obj1, Obj2: TObject): Integer;

Unit

JclAlgorithms


TCompareFunc Type

TCompareFunc = function (const W1, W2: WideString; Locale: LCID): Integer;

Unit

JclUnicode


TConfirmConversionEvent Type

TConfirmConversionEvent = procedure (Sender: TWideStrings; var Allowed: Boolean) of object;

Unit

JclUnicode


TCustomData Type

TCustomData = Pointer;

Unit

JclEDI


TDateTimeArray Type

TDateTimeArray = array of TDateTime;

Unit

JclTask


TDelphiSet Type

TDelphiSet = set of Byte;

Unit

JclMath


TDigitCount Type

TDigitCount = 0..255;

Unit

JclSysUtils


TDigitValue Type

TDigitValue = -1..35;

Unit

JclSysUtils


TDosDateTime Type

TDosDateTime = Integer;

Unit

JclDateTime


TDWORDArray Type

TDWORDArray = array [0..(MaxInt - $F) div SizeOf(DWORD)] of DWORD;

Unit

JclDebug


TDynArraySortCompare Type

TDynArraySortCompare = function (Item1, Item2: Pointer): Integer;

Unit

JclSysUtils


TDynByteArray Type

TDynByteArray = array of Byte;

Unit

JclBase


TDynCardinalArray Type

TDynCardinalArray = array of Cardinal;

Unit

JclBase


TDynDoubleArray Type

TDynDoubleArray = array of Double;

Unit

JclBase


TDynExtendedArray Type

TDynExtendedArray = array of Extended;

Unit

JclBase


TDynFloatArray Type

TDynFloatArray = array of Float;

Unit

JclBase


TDynIInterfaceArray Type

TDynIInterfaceArray = array of IInterface;

Unit

JclBase


TDynInt64Array Type

TDynInt64Array = array of Int64;

Unit

JclBase


TDynIntegerArray Type

TDynIntegerArray = array of Integer;

Unit

JclBase


TDynLongIntArray Type

TDynLongIntArray = array of Longint;

Unit

JclBase


TDynObjectArray Type

TDynObjectArray = array of TObject;

Unit

JclBase


TDynPointerArray Type

TDynPointerArray = array of Pointer;

Unit

JclBase


TDynShortIntArray Type

TDynShortIntArray = array of Shortint;

Unit

JclBase


TDynSingleArray Type

TDynSingleArray = array of Single;

Unit

JclBase


TDynSmallIntArray Type

TDynSmallIntArray = array of Smallint;

Unit

JclBase


TDynStringArray Type

TDynStringArray = array of string;

Unit

JclBase


TDynWideCharArray Type

TDynWideCharArray = array of WideChar;

Unit

JclUnicode


TDynWordArray Type

TDynWordArray = array of Word;

Unit

JclBase


TEDICompositeElementArray Type

TEDICompositeElementArray = array of TEDICompositeElement;

Unit

JclEDI_UNEDIFACT


TEDIDataObjectArray Type

TEDIDataObjectArray = array of TEDIDataObject;

Unit

JclEDI


TEDIDataObjectGroupArray Type

TEDIDataObjectGroupArray = array of TEDIDataObjectGroup;

Unit

JclEDI


TEDIDataObjectListOptions Type

TEDIDataObjectListOptions = set of (loAutoUpdateIndexes);

Unit

JclEDI


TEDIElementArray Type

TEDIElementArray = array of TEDIElement;

Unit

JclEDI_UNEDIFACT


TEDIFileArray Type

TEDIFileArray = array of TEDIFile;

Unit

JclEDI_UNEDIFACT


TEDIFileOptions Type

TEDIFileOptions = set of (foVariableDelimiterDetection, foRemoveCrLf, foRemoveCr, foRemoveLf, foIgnoreGarbageAtEndOfFile);

Unit

JclEDI_UNEDIFACT


TEDIFunctionalGroupArray Type

TEDIFunctionalGroupArray = array of TEDIFunctionalGroup;

Unit

JclEDI_UNEDIFACT


TEDIInterchangeControlArray Type

TEDIInterchangeControlArray = array of TEDIInterchangeControl;

Unit

JclEDI_UNEDIFACT


TEDILoopStackArray Type

TEDILoopStackArray = array of TEDILoopStackRecord;

Unit

JclEDI


TEDILoopStackFlagSet Type

TEDILoopStackFlagSet = set of TEDILoopStackFlags;

Unit

JclEDI


TEDILoopStackOnAddLoopEvent Type

TEDILoopStackOnAddLoopEvent = procedure (StackRecord: TEDILoopStackRecord; SegmentId, OwnerLoopId, ParentLoopId: string; var EDIObject: TEDIObject) of object;

Unit

JclEDI


TEDIMessageArray Type

TEDIMessageArray = array of TEDIMessage;

Unit

JclEDI_UNEDIFACT


TEDIMessageDocumentOptions Type

TEDIMessageDocumentOptions = set of (doLinkSpecToDataObject);

Unit

JclEDI_UNEDIFACT_Ext


TEDIObjectArray Type

TEDIObjectArray = array of TEDIObject;

Unit

JclEDI


TEDISEFDataObjectClass Type

TEDISEFDataObjectClass = class of TEDISEFDataObject;

Unit

JclEDISEF


TEDISegmentArray Type

TEDISegmentArray = array of TEDISegment;

Unit

JclEDI_UNEDIFACT


TEDITransactionSetArray Type

TEDITransactionSetArray = array of TEDITransactionSet;

Unit

JclEDI_ANSIX12


TEDITransactionSetDocumentArray Type

TEDITransactionSetDocumentArray = array of TEDITransactionSetDocument;

Unit

JclEDI_ANSIX12


TEDITransactionSetDocumentOptions Type

TEDITransactionSetDocumentOptions = set of (doLinkSpecToDataObject);

Unit

JclEDI_ANSIX12


TEDIXMLDataObjectArray Type

TEDIXMLDataObjectArray = array of TEDIXMLDataObject;

Unit

JclEDIXML


TEDIXMLElementArray Type

TEDIXMLElementArray = array of TEDIXMLElement;

Unit

JclEDIXML


TEDIXMLObjectArray Type

TEDIXMLObjectArray = array of TEDIXMLObject;

Unit

JclEDIXML


TEDIXMLSegmentArray Type

TEDIXMLSegmentArray = array of TEDIXMLSegment;

Unit

JclEDIXML


TFileHandler Type

TFileHandler = procedure (const FileName: string) of object;

Unit

JclFileUtils


TFileHandlerEx Type

TFileHandlerEx = procedure (const Directory: string; const FileInfo: TSearchRec) of object;

Unit

JclFileUtils


TFileMatchFunc Type

TFileMatchFunc = function (const Attr: Integer; const FileInfo: TSearchRec): Boolean;

Unit

JclFileUtils


TFileSearchTaskID Type

TFileSearchTaskID = Integer;

Unit

JclFileUtils


TFileSearchTerminationEvent Type

TFileSearchTerminationEvent = procedure (const ID: TFileSearchTaskID; const Aborted: Boolean) of object;

Unit

JclFileUtils


TFileSystemFlags Type

TFileSystemFlags = set of TFileSystemFlag;

Unit

JclSysInfo


TFileTime Type

TFileTime = System.DateTime;

Unit

JclFileUtils


TFindNameBuffer Type

TFindNameBuffer = FIND_NAME_BUFFER;

Unit

JclWin32


TFindNameHeader Type

TFindNameHeader = FIND_NAME_HEADER;

Unit

JclWin32


TFNCreateHardLinkA Type

TFNCreateHardLinkA = function (szLinkName, szLinkTarget: PAnsiChar; lpSecurityAttributes: PSecurityAttributes): BOOL;

Unit

Hardlinks


TFNCreateHardLinkW Type

TFNCreateHardLinkW = function (szLinkName, szLinkTarget: PWideChar; lpSecurityAttributes: PSecurityAttributes): BOOL;

Unit

Hardlinks


TFontCharSet Type

TFontCharSet = 0..255;

Unit

JclUnicode


TFpoData Type

TFpoData = FPO_DATA;

Unit

JclWin32


TGetFileExInfoLevels Type

TGetFileExInfoLevels = _GET_FILEEX_INFO_LEVELS;

Unit

JclWin32


TGroupInfo0 Type

TGroupInfo0 = GROUP_INFO_0;

Unit

JclWin32


TGroupInfo1 Type

TGroupInfo1 = GROUP_INFO_1;

Unit

JclWin32


THLSValue Type

THLSValue = 0..240;

Unit

JclQGraphUtils


TImageArchitectureEntry Type

TImageArchitectureEntry = IMAGE_ARCHITECTURE_ENTRY;

Unit

JclWin32


TImageArchitectureHeader Type

TImageArchitectureHeader = IMAGE_ARCHITECTURE_HEADER;

Unit

JclWin32


TImageArchiveMemberHeader Type

TImageArchiveMemberHeader = IMAGE_ARCHIVE_MEMBER_HEADER;

Unit

JclWin32


TImageCoffSymbolsHeader Type

TImageCoffSymbolsHeader = IMAGE_COFF_SYMBOLS_HEADER;

Unit

JclWin32


TImageCorILMethodFat Type

TImageCorILMethodFat = IMAGE_COR_ILMETHOD_FAT;

Unit

JclMetadata


TImageCorILMethodSectEH Type

TImageCorILMethodSectEH = IMAGE_COR_ILMETHOD_SECT_EH;

Unit

JclMetadata


TImageCorILMethodSectEHClauseFat Type

TImageCorILMethodSectEHClauseFat = IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_FAT;

Unit

JclMetadata


TImageCorILMethodSectEHClauseSmall Type

TImageCorILMethodSectEHClauseSmall = IMAGE_COR_ILMETHOD_SECT_EH_CLAUSE_SMALL;

Unit

JclMetadata


TImageCorILMethodSectEHFat Type

TImageCorILMethodSectEHFat = IMAGE_COR_ILMETHOD_SECT_EH_FAT;

Unit

JclMetadata


TImageCorILMethodSectEHSmall Type

TImageCorILMethodSectEHSmall = IMAGE_COR_ILMETHOD_SECT_EH_SMALL;

Unit

JclMetadata


TImageCorILMethodSectFat Type

TImageCorILMethodSectFat = IMAGE_COR_ILMETHOD_SECT_FAT;

Unit

JclMetadata


TImageCorILMethodSectSmall Type

TImageCorILMethodSectSmall = IMAGE_COR_ILMETHOD_SECT_SMALL;

Unit

JclMetadata


TImageCorILMethodTiny Type

TImageCorILMethodTiny = IMAGE_COR_ILMETHOD_TINY;

Unit

JclMetadata


TImageCorVTableFixup Type

TImageCorVTableFixup = _IMAGE_COR_VTABLEFIXUP;

Unit

JclCLR


TImageCorVTableFixupArray Type

TImageCorVTableFixupArray = array [0..MaxWord-1] of TImageCorVTableFixup;

Unit

JclCLR


TImageDataDirectory Type

TImageDataDirectory = IMAGE_DATA_DIRECTORY;

Unit

JclWin32


TImageDebugMisc Type

TImageDebugMisc = IMAGE_DEBUG_MISC;

Unit

JclWin32


TImageFileHeader Type

TImageFileHeader = IMAGE_FILE_HEADER;

Unit

JclWin32


TImageFunctionEntry Type

TImageFunctionEntry = IMAGE_FUNCTION_ENTRY;

Unit

JclWin32


TImageFunctionEntry64 Type

TImageFunctionEntry64 = IMAGE_FUNCTION_ENTRY64;

Unit

JclWin32


TImageLineNumber Type

TImageLineNumber = IMAGE_LINENUMBER;

Unit

JclWin32


TImageLoadConfigDirectory32 Type

TImageLoadConfigDirectory32 = IMAGE_LOAD_CONFIG_DIRECTORY32;

Unit

JclWin32


TImageLoadConfigDirectory64 Type

TImageLoadConfigDirectory64 = IMAGE_LOAD_CONFIG_DIRECTORY64;

Unit

JclWin32


TImageNtHeaders32 Type

TImageNtHeaders32 = IMAGE_NT_HEADERS32;

Unit

JclWin32


TImageNtHeaders64 Type

TImageNtHeaders64 = IMAGE_NT_HEADERS64;

Unit

JclWin32


TImageOptionalHeader32 Type

TImageOptionalHeader32 = IMAGE_OPTIONAL_HEADER32;

Unit

JclWin32


TImageOptionalHeader64 Type

TImageOptionalHeader64 = IMAGE_OPTIONAL_HEADER64;

Unit

JclWin32


TImageResourceDirectoryString Type

TImageResourceDirectoryString = IMAGE_RESOURCE_DIRECTORY_STRING;

Unit

JclWin32


TImageRomHeaders Type

TImageRomHeaders = IMAGE_ROM_HEADERS;

Unit

JclWin32


TImageRomOptionalHeader Type

TImageRomOptionalHeader = IMAGE_ROM_OPTIONAL_HEADER;

Unit

JclWin32


TImageSectionHeader Type

TImageSectionHeader = IMAGE_SECTION_HEADER;

Unit

JclWin32


TImageSeparateDebugHeader Type

TImageSeparateDebugHeader = IMAGE_SEPARATE_DEBUG_HEADER;

Unit

JclWin32


TImageThunkData32 Type

TImageThunkData32 = IMAGE_THUNK_DATA32;

Unit

JclWin32


TImageThunkData64 Type

TImageThunkData64 = IMAGE_THUNK_DATA64;

Unit

JclWin32


TImageTlsCallback Type

TImageTlsCallback = PIMAGE_TLS_CALLBACK;

Unit

JclWin32


TImageTlsDirectory32 Type

TImageTlsDirectory32 = IMAGE_TLS_DIRECTORY32;

Unit

JclWin32


TImageTlsDirectory64 Type

TImageTlsDirectory64 = IMAGE_TLS_DIRECTORY64;

Unit

JclWin32


TImportObjectHeader Type

TImportObjectHeader = IMPORT_OBJECT_HEADER;

Unit

JclWin32


TImportObjectNameType Type

TImportObjectNameType = IMPORT_OBJECT_NAME_TYPE;

Unit

JclWin32


TImportObjectType Type

TImportObjectType = IMPORT_OBJECT_TYPE;

Unit

JclWin32


TIntegerSet Type

TIntegerSet = set of 0..SizeOf(Integer) * 8 - 1;

Unit

JclBase


TIntfApplyFunction Type

TIntfApplyFunction = function (AInterface: IInterface): IInterface;

Unit

JclAlgorithms


TIntfCompare Type

TIntfCompare = function (Obj1, Obj2: IInterface): Integer;

Unit

JclAlgorithms


TIntfSortProc Type

TIntfSortProc = procedure (AList: IJclIntfList; L, R: Integer; AComparator: TIntfCompare);

Unit

JclAlgorithms


TJclAnsiRegExOptions Type

TJclAnsiRegExOptions = set of TJclAnsiRegExOption;

Unit

JclPCRE


TJclAppInstDataKind Type

TJclAppInstDataKind = Integer;

Unit

JclAppInst


TJclBorPersonalities Type

TJclBorPersonalities = set of TJclBorPersonality;

Unit

JclBorlandTools


TJclBorRADToolInstallationClass Type

TJclBorRADToolInstallationClass = class of TJclBorRADToolInstallation;

Unit

JclBorlandTools


TJclBorRADToolPath Type

TJclBorRADToolPath = string;

Unit

JclBorlandTools


TJclBorUmSymbolModifiers Type

TJclBorUmSymbolModifiers = set of TJclBorUmSymbolModifier;

Unit

JclPeImage


TJclBucketArray Type

TJclBucketArray = array of TJclBucket;

Unit

JclHashMaps


TJclByteArray Type

TJclByteArray = array[0..MaxInt div SizeOf(Byte) - 1] of Byte;

Unit

JclBase


TJclCdTrackInfoArray Type

TJclCdTrackInfoArray = array of TJclCdTrackInfo;

Unit

JclMultimedia


TJclClrAssemblyArguments Type

TJclClrAssemblyArguments = array of WideString;

Unit

JclDotNet


TJclClrAssemblyFlags Type

TJclClrAssemblyFlags = set of TJclClrAssemblyFlag;

Unit

JclMetadata


TJclClrBase Type

TJclClrBase = TInterfacedObject;

Unit

JclDotNet


TJclClrExceptionClauseFlags Type

TJclClrExceptionClauseFlags = set of TJclClrExceptionClauseFlag;

Unit

JclMetadata


TJclClrHostLoaderFlags Type

TJclClrHostLoaderFlags = set of TJclClrHostLoaderFlag;

Unit

JclDotNet


TJclClrImageFlags Type

TJclClrImageFlags = set of TJclClrImageFlag;

Unit

JclCLR


TJclClrLocalVarFlags Type

TJclClrLocalVarFlags = set of TJclClrLocalVarFlag;

Unit

JclMetadata


TJclClrMethodFlags Type

TJclClrMethodFlags = set of TJclClrMethodFlag;

Unit

JclMetadata


TJclClrMethodImplFlags Type

TJclClrMethodImplFlags = set of TJclClrMethodImplFlag;

Unit

JclMetadata


TJclClrMethodSignFlags Type

TJclClrMethodSignFlags = set of TJclClrMethodSignFlag;

Unit

JclMetadata


TJclClrParamKinds Type

TJclClrParamKinds = set of TJclClrParamKind;

Unit

JclMetadata


TJclClrStreamClass Type

TJclClrStreamClass = class of TJclClrStream;

Unit

JclCLR


TJclClrTableClass Type

TJclClrTableClass = class of TJclClrTable;

Unit

JclCLR


TJclClrTableEventFlags Type

TJclClrTableEventFlags = set of TJclClrTableEventFlag;

Unit

JclMetadata


TJclClrTableFieldDefFlags Type

TJclClrTableFieldDefFlags = set of TJclClrTableFieldDefFlag;

Unit

JclMetadata


TJclClrTablePropertyFlags Type

TJclClrTablePropertyFlags = set of TJclClrTablePropertyFlag;

Unit

JclMetadata


TJclClrTableRowClass Type

TJclClrTableRowClass = class of TJclClrTableRow;

Unit

JclCLR


TJclClrToken Type

TJclClrToken = DWORD;

Unit

JclCLR


TJclClrTypeAttributes Type

TJclClrTypeAttributes = set of TJclClrTypeAttribute;

Unit

JclMetadata


TJclClrVTableKinds Type

TJclClrVTableKinds = set of TJclClrVTableKind;

Unit

JclCLR


TJclCompressionLevel Type

TJclCompressionLevel = Integer;

Unit

JclCompression


TJclConsoleInputModes Type

TJclConsoleInputModes = set of TJclConsoleInputMode;

Unit

JclConsole


TJclConsoleOutputModes Type

TJclConsoleOutputModes = set of TJclConsoleOutputMode;

Unit

JclConsole


TJclDCC Type

TJclDCC = TJclDCC32;

Unit

JclBorlandTools


TJclDebugInfoSourceClass Type

TJclDebugInfoSourceClass = class of TJclDebugInfoSource;

Unit

JclDebug


TJclDebugThreadNotifyEvent Type

TJclDebugThreadNotifyEvent = procedure (Thread: TJclDebugThread) of object;

Unit

JclDebug


TJclEntryArray Type

TJclEntryArray = array of TJclEntry;

Unit

JclHashMaps


TJclHashFunction Type

TJclHashFunction = function (Key: Cardinal): Cardinal of object;

Unit

JclHashMaps


TJclInputRecordArray Type

TJclInputRecordArray = array of TInputRecord;

Unit

JclConsole


TJclInstructionDumpILOptions Type

TJclInstructionDumpILOptions = set of TJclInstructionDumpILOption;

Unit

JclCIL


TJclIntfIntfBucketArray Type

TJclIntfIntfBucketArray = array of TJclIntfIntfBucket;

Unit

JclHashMaps


TJclIntfIntfEntryArray Type

TJclIntfIntfEntryArray = array of TJclIntfIntfEntry;

Unit

JclHashMaps


TJclLocalesDays Type

TJclLocalesDays = 1..7;

Unit

JclLocales


TJclLocalesMonths Type

TJclLocalesMonths = 1..13;

Unit

JclLocales


TJclMapClassTableEvent Type

TJclMapClassTableEvent = procedure (Sender: TObject; const Address: TJclMapAddress; Len: Integer; const SectionName, GroupName: string) of object;

Unit

JclDebug


TJclMapLineNumbersEvent Type

TJclMapLineNumbersEvent = procedure (Sender: TObject; LineNumber: Integer; const Address: TJclMapAddress) of object;

Unit

JclDebug


TJclMapLineNumberUnitEvent Type

TJclMapLineNumberUnitEvent = procedure (Sender: TObject; const UnitName, UnitFileName: string) of object;

Unit

JclDebug


TJclMapPublicsEvent Type

TJclMapPublicsEvent = procedure (Sender: TObject; const Address: TJclMapAddress; const Name: string) of object;

Unit

JclDebug


TJclMapSegmentEvent Type

TJclMapSegmentEvent = procedure (Sender: TObject; const Address: TJclMapAddress; Len: Integer; const GroupName, UnitName: string) of object;

Unit

JclDebug


TJclModuleArray Type

TJclModuleArray = array of HMODULE;

Unit

JclHookExcept


TJclPeImageClass Type

TJclPeImageClass = class of TJclPeImage;

Unit

JclPeImage


TJclScheduledTaskFlags Type

TJclScheduledTaskFlags = set of TJclScheduledTaskFlag;

Unit

JclTask


TJclScheduleTaskPropertyPages Type

TJclScheduleTaskPropertyPages = set of TJclScheduleTaskPropertyPage;

Unit

JclTask


TJclScreenBufferAfterResizeEvent Type

TJclScreenBufferAfterResizeEvent = procedure (Sender: TObject) of object;

Unit

JclConsole


TJclScreenBufferBeforeResizeEvent Type

TJclScreenBufferBeforeResizeEvent = procedure (Sender: TObject; const NewSize: TCoord; var CanResize: Boolean) of object;

Unit

JclConsole


TJclScreenCursorSize Type

TJclScreenCursorSize = 1..100;

Unit

JclConsole


TJclScreenFontStyles Type

TJclScreenFontStyles = set of TJclScreenFontStyle;

Unit

JclConsole


TJclServiceStates Type

TJclServiceStates = set of TJclServiceState;

Unit

JclSvcCtrl


TJclServiceTypes Type

TJclServiceTypes = set of TJclServiceType;

Unit

JclSvcCtrl


TJclSmartCompOptions Type

TJclSmartCompOption = (
  scSimpleCompare,
  scIgnoreCase
);
TJclSmartCompOptions = set of TJclSmartCompOption;

Unit

JclPeImage


TJclStackTrackingOptions Type

TJclStackTrackingOptions = set of TJclStackTrackingOption;

Unit

JclDebug


TJclStrBucketArray Type

TJclStrBucketArray = array of TJclStrBucket;

Unit

JclHashMaps


TJclStrEntryArray Type

TJclStrEntryArray = array of TJclStrEntry;

Unit

JclHashMaps


TJclStrIntfBucketArray Type

TJclStrIntfBucketArray = array of TJclStrIntfBucket;

Unit

JclHashMaps


TJclStrIntfEntryArray Type

TJclStrIntfEntryArray = array of TJclStrIntfEntry;

Unit

JclHashMaps


TJclStrStrBucketArray Type

TJclStrStrBucketArray = array of TJclStrStrBucket;

Unit

JclHashMaps


TJclStrStrEntryArray Type

TJclStrStrEntryArray = array of TJclStrStrEntry;

Unit

JclHashMaps


TJclStructStorageAccessModes Type

TJclStructStorageAccessModes = set of TJclStructStorageAccessMode;

Unit

JclStructStorage


TJclTaskWindowsList Type

TJclTaskWindowsList = array of THandle;

Unit

JclMapi


TJclThreadIDNotifyEvent Type

TJclThreadIDNotifyEvent = procedure (ThreadID: DWORD) of object;

Unit

JclDebug


TKeyboardState Type

TKeyboardState = array [0..255] of Byte;

Unit

JclWin32


TLargeInteger Type

TLargeInteger = Int64;

Unit

JclBase


TLocalGroupInfo0 Type

TLocalGroupInfo0 = LOCALGROUP_INFO_0;

Unit

JclWin32


TLocalGroupInfo1 Type

TLocalGroupInfo1 = LOCALGROUP_INFO_1;

Unit

JclWin32


TLocalGroupInfo1002 Type

TLocalGroupInfo1002 = LOCALGROUP_INFO_1002;

Unit

JclWin32


TLocalGroupMembersInfo0 Type

TLocalGroupMembersInfo0 = LOCALGROUP_MEMBERS_INFO_0;

Unit

JclWin32


TLocalGroupMembersInfo1 Type

TLocalGroupMembersInfo1 = LOCALGROUP_MEMBERS_INFO_1;

Unit

JclWin32


TLocalGroupMembersInfo2 Type

TLocalGroupMembersInfo2 = LOCALGROUP_MEMBERS_INFO_2;

Unit

JclWin32


TLocalGroupMembersInfo3 Type

TLocalGroupMembersInfo3 = LOCALGROUP_MEMBERS_INFO_3;

Unit

JclWin32


TMCI_Open_Parms Type

TMCI_Open_Parms = MCI_OPEN_PARMS;

Unit

JclMultimedia


TMIDIChannel Type

TMIDIChannel = 1..16;

Unit

JclMIDI


TMIDIDataByte Type

TMIDIDataByte = 0..$7F;

Unit

JclMIDI


TMIDIDataWord Type

TMIDIDataWord = 0..$3FFF;

Unit

JclMIDI


TMIDIKey Type

TMIDIKey = TMIDIDataByte;

Unit

JclMIDI


TMIDINote Type

TMIDINote = TMIDIKey;

Unit

JclMIDI


TMIDINotes Type

TMIDINotes = set of TMIDINote;

Unit

JclMIDI


TMIDIStatusByte Type

TMIDIStatusByte = $80..$FF;

Unit

JclMIDI


TMIDIVelocity Type

TMIDIVelocity = TMIDIDataByte;

Unit

JclMIDI


TMixerCaps Type

TMixerCaps = MIXERCAPS;

Unit

JclMultimedia


TMixerControl Type

TMixerControl = MIXERCONTROL;

Unit

JclMultimedia


TMixerLine Type

TMixerLine = MIXERLINE;

Unit

JclMultimedia


TMrewThreadInfoArray Type

TMrewThreadInfoArray = array of TMrewThreadInfo;

Unit

JclSynch


TNcb Type

TNcb = NCB;

Unit

JclWin32


TNcbPost Type

TNcbPost = procedure (P: PNCB);

Unit

JclWin32


TNetApiStatus Type

TNetApiStatus = NET_API_STATUS;

Unit

JclWin32


TNetUserAuthFlags Type

TNetUserAuthFlags = set of TNetUserAuthFlag;

Unit

JclLANMan


TNetUserFlags Type

TNetUserFlags = set of TNetUserFlag;

Unit

JclLANMan


TNetUserInfoFlags Type

TNetUserInfoFlags = set of TNetUserInfoFlag;

Unit

JclLANMan


TNodeIterateFunc Type

TNodeIterateFunc = procedure (AUserData: Pointer; ANode: PPHashNode);

Unit

JclStrHashMap


TNumericSystemBase Type

TNumericSystemBase = 2..Succ(High(TDigitValue));

Unit

JclSysUtils


TOffsetPairArray Type

TOffsetPairArray = array [0..32767] of TOffsetPair;

Unit

JclTD32


TOKEN_USER Type

TOKEN_USER = _TOKEN_USER;

Unit

JclWin32


TOSVersionInfoExA Type

TOSVersionInfoExA = _OSVERSIONINFOEXA;

Unit

JclWin32


TOSVersionInfoExW Type

TOSVersionInfoExW = _OSVERSIONINFOEXW;

Unit

JclWin32


TPCharArray Type

TPCharArray = array [0..0] of PChar;

Unit

JclFileUtils


TPCREIntArray Type

TPCREIntArray = array [0..2999] of Integer;

Unit

JclPCRE


TPointArray Type

TPointArray = array of TPoint;

Unit

JclGraphUtils


TPointerArray Type

TPointerArray = array [0..MaxLongint div 256] of Pointer;

Unit

JclMath


TQueryServiceConfig2A Type

TQueryServiceConfig2A = function (hService: SC_HANDLE; dwInfoLevel: DWORD; lpBuffer: PByte; cbBufSize: DWORD; var pcbBytesNeeded: DWORD): BOOL;

Unit

JclSvcCtrl


TRasDialDlg Type

TRasDialDlg = tagRASDIALDLG;

Unit

JclWin32


TScheduleWeekDays Type

TScheduleWeekDay = (
  swdMonday,
  swdTuesday,
  swdWednesday,
  swdThursday,
  swdFriday,
  swdSaturday,
  swdSunday
);
TScheduleWeekDays = set of TScheduleWeekDay;

Unit

JclSchedule


TSegmentInfoArray Type

TSegmentInfoArray = array [0..32767] of TSegmentInfo;

Unit

JclTD32


TServiceDescriptionA Type

TServiceDescriptionA = SERVICE_DESCRIPTIONA;

Unit

JclSvcCtrl


TSessionBuffer Type

TSessionBuffer = SESSION_BUFFER;

Unit

JclWin32


TSessionHeader Type

TSessionHeader = SESSION_HEADER;

Unit

JclWin32


TSid Type

TSid = SID;

Unit

JclWin32


TSidAndAttributes Type

TSidAndAttributes = SID_AND_ATTRIBUTES;

Unit

JclWin32


TSidAndAttributesArray Type

TSidAndAttributesArray = SID_AND_ATTRIBUTES_ARRAY;

Unit

JclWin32


TSidNameUse Type

TSidNameUse = SID_NAME_USE;

Unit

JclWin32


TSortProc Type

TSortProc = procedure (AList: IJclList; L, R: Integer; AComparator: TCompare);

Unit

JclAlgorithms


TStrApplyFunction Type

TStrApplyFunction = function (const AString: string): string;

Unit

JclAlgorithms


TStrCompare Type

TStrCompare = function (const Obj, Obj2: string): Integer;

Unit

JclAlgorithms


TStrSortProc Type

TStrSortProc = procedure (AList: IJclStrList; L, R: Integer; AComparator: TStrCompare);

Unit

JclAlgorithms


TTextHandler Type

TTextHandler = procedure (const Text: string) of object;

Unit

JclSysUtils


TTimeCaps Type

TTimeCaps = TIMECAPS;

Unit

JclMultimedia


TTokenUser Type

TTokenUser = TOKEN_USER;

Unit

JclWin32


TTraverseMethod Type

TTraverseMethod = function (Installation: TJclBorRADToolInstallation): Boolean of object;

Unit

JclBorlandTools


TUCS2Array Type

TUCS2Array = array of UCS2;

Unit

JclUnicode


TUCS4Array Type

TUCS4Array = array of UCS4;

Unit

JclUnicode


TUnicodePath Type

TUnicodePath = array [0..MAX_PATH-1] of WideChar;

Unit

JclShell


TUnitVersioningProviderClass Type

TUnitVersioningProviderClass = class of TCustomUnitVersioningProvider;

Unit

JclUnitVersioning


TUntypedSearchCompare Type

TUntypedSearchCompare = function (Param: Pointer; ItemIndex: Integer; const Value): Integer;

Unit

JclSysUtils


TUserInfo0 Type

TUserInfo0 = USER_INFO_0;

Unit

JclWin32


TUserInfo1 Type

TUserInfo1 = USER_INFO_1;

Unit

JclWin32


TUserInfo2 Type

TUserInfo2 = USER_INFO_2;

Unit

JclWin32


TWideFileOptions Type

TWideFileOptions = set of TWideFileOptionsType;

Unit

JclWideStrings


TWideStringItemList Type

TWideStringItemList = array of TWideStringItem;

Unit

JclUnicode


TWordArray Type

TWordArray = array [0..255] of Word;

Unit

JclPrint


TWStringListSortCompare Type

TWStringListSortCompare = function (List: TWStringList; Index1, Index2: Integer): Integer;

Unit

JclWideStrings


UCS2 Type

UCS2 = WideChar;

Unit

JclUnicode


UInt16 Type

UInt16 = Word;

Unit

JclBase


UInt32 Type

UInt32 = LongWord;

Unit

JclBase


UInt64 Type

UInt64 = Int64;

Unit

JclBase


UInt8 Type

UInt8 = Byte;

Unit

JclBase


ULONG_PTR Type

ULONG_PTR = LongWord;

Unit

JclWin32


ULONGLONG Type

ULONGLONG = Int64;

Unit

JclWin32


USER_INFO_0 Type

USER_INFO_0 = _USER_INFO_0;

Unit

JclWin32


USER_INFO_1 Type

USER_INFO_1 = _USER_INFO_1;

Unit

JclWin32


USER_INFO_2 Type

USER_INFO_2 = _USER_INFO_2;

Unit

JclWin32


USHORT Type

USHORT = Word;

Unit

JclWin32


BlendLine Variable

BlendLine: TBlendLine;

Unit

JclQGraphUtils


BlendLineEx Variable

BlendLineEx: TBlendLineEx;

Unit

JclQGraphUtils


BlendMem Variable

BlendMem: TBlendMem;

Unit

JclQGraphUtils


BlendMemEx Variable

BlendMemEx: TBlendMemEx;

Unit

JclQGraphUtils


BlendReg Variable

BlendReg: TBlendReg;

Unit

JclQGraphUtils


BlendRegEx Variable

BlendRegEx: TBlendRegEx;

Unit

JclQGraphUtils


bRtdlFunctionsLoaded Variable

bRtdlFunctionsLoaded: Boolean = False;

Unit

Hardlinks


CombineMem Variable

CombineMem: TCombineMem;

Unit

JclQGraphUtils


CombineReg Variable

CombineReg: TCombineReg;

Unit

JclQGraphUtils


ComplexPrecision Variable

ComplexPrecision: Float = 1E-14;

Unit

JclComplex


CreateHardLinkA Variable

CreateHardLinkA: TFNCreateHardLinkA = nil;

Unit

Hardlinks


CreateHardLinkW Variable

CreateHardLinkW: TFNCreateHardLinkW = nil;

Unit

Hardlinks


Debug_EDIDataObjectListCreated Variable

Debug_EDIDataObjectListCreated: Int64;

Unit

JclEDI


Debug_EDIDataObjectListDestroyed Variable

Debug_EDIDataObjectListDestroyed: Int64;

Unit

JclEDI


Debug_EDIDataObjectListItemsCreated Variable

Debug_EDIDataObjectListItemsCreated: Int64;

Unit

JclEDI


Debug_EDIDataObjectListItemsDestroyed Variable

Debug_EDIDataObjectListItemsDestroyed: Int64;

Unit

JclEDI


Debug_EDIDataObjectsCreated Variable

Debug_EDIDataObjectsCreated: Int64;

Unit

JclEDI


Debug_EDIDataObjectsDestroyed Variable

Debug_EDIDataObjectsDestroyed: Int64;

Unit

JclEDI


hNtDll Variable

hNtDll: THandle = 0;

Unit

Hardlinks


IntfSortProc Variable

IntfSortProc: TIntfSortProc = QuickSort;

Unit

JclAlgorithms


IsWin2003R2 Variable

IsWin2003R2: Boolean = False;

Unit

JclSysInfo


IsWinLonghorn Variable

IsWinLonghorn: Boolean = False;

Unit

JclSysInfo


IsWinVista Variable

IsWinVista: Boolean = False;

Unit

JclSysInfo


IsWinXP64 Variable

IsWinXP64: Boolean = False;

Unit

JclSysInfo


JclStackTrackingOptions Variable

JclStackTrackingOptions: TJclStackTrackingOptions = [stStack];

Unit

JclDebug


RtdlMsiGetComponentPath Variable

RtdlMsiGetComponentPath: function(szProduct: LPCSTR; szComponent: LPCSTR; lpPathBuf: LPSTR; pcchBuf: LPDWORD): INSTALLSTATE;

Unit

JclShell


RtdlMsiGetShortcutTarget Variable

RtdlMsiGetShortcutTarget: function(szShortcutPath: LPCSTR; szProductCode: LPSTR; szFeatureId: LPSTR; szComponentCode: LPSTR): UINT;

Unit

JclShell


RtdlMsiLibHandle Variable

RtdlMsiLibHandle: TModuleHandle = INVALID_MODULEHANDLE_VALUE;

Unit

JclShell


SortProc Variable

SortProc: TSortProc = QuickSort;

Unit

JclAlgorithms


StrSortProc Variable

StrSortProc: TStrSortProc = QuickSort;

Unit

JclAlgorithms


WideCompareText Variable

WideCompareText: TCompareFunc;

Unit

JclUnicode


ABORT_EXIT_CODE Constant

ABORT_EXIT_CODE = ERROR_CANCELLED 1223;

Unit

JclSysUtils


ACPI_FLAG Constant

ACPI_FLAG = BIT_22;

Unit

JclSysInfo


AdministratorsSCMDesiredAccess Constant

AdministratorsSCMDesiredAccess = SC_MANAGER_ALL_ACCESS;

Unit

JclSvcCtrl


ALERTSZ Constant

ALERTSZ = 128;

Unit

JclWin32


ALL_TRANSPORTS Constant

ALL_TRANSPORTS = 'M'#0#0#0;

Unit

JclWin32


AMD_APIC Constant

AMD_APIC = BIT_9;

Unit

JclSysInfo


AMD_ASSOC_DIRECT Constant

AMD_ASSOC_DIRECT = 1;

Unit

JclSysInfo


AMD_ASSOC_FULLY Constant

AMD_ASSOC_FULLY = 255;

Unit

JclSysInfo


AMD_ASSOC_RESERVED Constant

AMD_ASSOC_RESERVED = 0;

Unit

JclSysInfo


AMD_CLFLSH Constant

AMD_CLFLSH = BIT_19;

Unit

JclSysInfo


AMD_CMOV Constant

AMD_CMOV = BIT_15;

Unit

JclSysInfo


AMD_CX8 Constant

AMD_CX8 = BIT_8;

Unit

JclSysInfo


AMD_DE Constant

AMD_DE = BIT_2;

Unit

JclSysInfo


AMD_FPU Constant

AMD_FPU = BIT_0;

Unit

JclSysInfo


AMD_FX Constant

AMD_FX = BIT_24;

Unit

JclSysInfo


AMD_L2_ASSOC_16WAY Constant

AMD_L2_ASSOC_16WAY = 8;

Unit

JclSysInfo


AMD_L2_ASSOC_2WAY Constant

AMD_L2_ASSOC_2WAY = 2;

Unit

JclSysInfo


AMD_L2_ASSOC_4WAY Constant

AMD_L2_ASSOC_4WAY = 4;

Unit

JclSysInfo


AMD_L2_ASSOC_8WAY Constant

AMD_L2_ASSOC_8WAY = 6;

Unit

JclSysInfo


AMD_L2_ASSOC_DIRECT Constant

AMD_L2_ASSOC_DIRECT = 1;

Unit

JclSysInfo


AMD_L2_ASSOC_DISABLED Constant

AMD_L2_ASSOC_DISABLED = 0;

Unit

JclSysInfo


AMD_L2_ASSOC_FULLY Constant

AMD_L2_ASSOC_FULLY = 15;

Unit

JclSysInfo


AMD_MCA Constant

AMD_MCA = BIT_14;

Unit

JclSysInfo


AMD_MCE Constant

AMD_MCE = BIT_7;

Unit

JclSysInfo


AMD_MMX Constant

AMD_MMX = BIT_23;

Unit

JclSysInfo


AMD_MSR Constant

AMD_MSR = BIT_5;

Unit

JclSysInfo


AMD_MTRR Constant

AMD_MTRR = BIT_12;

Unit

JclSysInfo


AMD_PAE Constant

AMD_PAE = BIT_6;

Unit

JclSysInfo


AMD_PAT Constant

AMD_PAT = BIT_16;

Unit

JclSysInfo


AMD_PGE Constant

AMD_PGE = BIT_13;

Unit

JclSysInfo


AMD_PSE Constant

AMD_PSE = BIT_3;

Unit

JclSysInfo


AMD_PSE2 Constant

AMD_PSE2 = BIT_17;

Unit

JclSysInfo


AMD_SEP_BIT Constant

AMD_SEP_BIT = BIT_11;

Unit

JclSysInfo


AMD_SSE Constant

AMD_SSE = BIT_25;

Unit

JclSysInfo


AMD_SSE2 Constant

AMD_SSE2 = BIT_26;

Unit

JclSysInfo


AMD_TSC Constant

AMD_TSC = BIT_4;

Unit

JclSysInfo


AMD_VME Constant

AMD_VME = BIT_1;

Unit

JclSysInfo


AnsiDecDigits Constant

Specifies the enumeration type containing digits from 0 to 9.

Pascal

AnsiDecDigits = JclBase.AnsiDecDigits;

Description

The enumeration AnsiDecDigits contains all valid digits for decimal number representation.

Unit

JclStrings


AnsiHexDigits Constant

Specifies enumeration typcontaining all valid characters for hexadecimal numbers representation.

Pascal

AnsiHexDigits = JclBase.AnsiHexDigits;

Description

The enumeration AnsiHexDigits contains all valid digits from 0 to 9 and letters of latin alphabet from A to F in both lower and upper cases for hexadecimal numbers representation.

Unit

JclStrings


AnsiLetters Constant

AnsiLetters = JclBase.AnsiLetters;

Unit

JclStrings


AnsiLowercaseLetters Constant

AnsiLowercaseLetters = JclBase.AnsiLowercaseLetters;

Unit

JclStrings


AnsiNull Constant

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

Symbol	Description	Char
AnsiNull	No character	#0
AnsiSoh	Start of header	#1
AnsiStx	Start of Text	#2
AnsiEtx	End of Text	#3
AnsiEot	End of Transmission	#4
AnsiEnq	Enquiry	#5
AnsiAck	Acknowledgment	#6
AnsiBell	Bell	#7
AnsiBackspace	Backspace	#8
AnsiTab	Horizontal Tab	#9
AnsiLineFeed	Line Feed	#10
AnsiVerticalTab	Vertical Tab	#11
AnsiFormFeed	Form Feed	#12
AnsiCarriageReturn	Carriage Return	#13
AnsiCrLf	Carriage Return and LineFeed	#1310
AnsiSo	Shift Out	#14
AnsiSi	Shift In	#15
AnsiDle	Data Link Escape	#16
AnsiDc1	Device Control 1	#17
AnsiDc2	Device Control 2	#18
AnsiDc3	Device Control 3	#19
AnsiDc4	Device Control 4	#20
AnsiNak	Negative Acknowledgement	#21
AnsiSyn	Synchronous Idle	#22
AnsiEtb	End of Transmission Block	#23
AnsiCan	Cancel	#24
AnsiEm	End of Medium	#25
AnsiEndOfFile	Substitute	#26
AnsiEscape	Escape	#27
AnsiFs	File Separator	#28
AnsiGs	Group Separator	#29
AnsiRs	Request to Send	#30
AnsiUs	Unit Separator	#31
AnsiSpace	Space	#32
AnsiComma	Comma	#44
AnsiBackslash	Backslash	#92
AnsiForwardSlash	Forward Slash	#47
AnsiDoubleQuote	Double Quote	#34
AnsiSingleQuote	Single Quote	#39
Pascal

AnsiNull = Char(#0);

Unit

JclStrings


AnsiOctDigits Constant

AnsiOctDigits = JclBase.AnsiOctDigits;

Unit

JclStrings


AnsiSigns Constant

AnsiSigns = ['-', '+'];

Unit

JclStrings


AnsiUppercaseLetters Constant

AnsiUppercaseLetters = JclBase.AnsiUppercaseLetters;

Unit

JclStrings


AnsiValidIdentifierLetters Constant

AnsiValidIdentifierLetters = JclBase.AnsiValidIdentifierLetters;

Unit

JclStrings


AnsiWhiteSpace Constant

AnsiWhiteSpace = [AnsiTab, AnsiLineFeed, AnsiVerticalTab, AnsiFormFeed, AnsiCarriageReturn, AnsiSpace];

Unit

JclStrings


ANYSIZE_ARRAY Constant

ANYSIZE_ARRAY = 1;

Unit

JclWin32


APIC_FLAG Constant

APIC_FLAG = BIT_9;

Unit

JclSysInfo


AppInstCmdLineDataKind Constant

AppInstCmdLineDataKind = 1;

Unit

JclAppInst


AppInstDataKindNoData Constant

AppInstDataKindNoData = -1;

Unit

JclAppInst


ArcMinutesPerDeg Constant

ArcMinutesPerDeg = 60.0;

Unit

JclUnitConv


ArcSecondsPerArcMinute Constant

ArcSecondsPerArcMinute = 60.0;

Unit

JclUnitConv


ArcSecondsPerDeg Constant

ArcSecondsPerDeg = ArcSecondsPerArcMinute * ArcMinutesPerDeg;

Unit

JclUnitConv


ASYNCH Constant

ASYNCH = $80;

Unit

JclWin32


BACKUP_MSG_FILENAME Constant

BACKUP_MSG_FILENAME = 'BAK.MSG';

Unit

JclWin32


Bernstein Constant

Bernstein: Float = 0.2801694990238691330364364912307;

Unit

JclMath


BinaryExtensionExecutable Constant

BinaryExtensionExecutable = '.exe';

Unit

JclBorlandTools


BinaryExtensionLibrary Constant

BinaryExtensionLibrary = '.dll';

Unit

JclBorlandTools


BinaryExtensionPackage Constant

BinaryExtensionPackage = '.bpl';

Unit

JclBorlandTools


BIT_0 Constant

BIT_0 = $00000001;

Unit

JclSysInfo


BIT_1 Constant

BIT_1 = $00000002;

Unit

JclSysInfo


BIT_10_FLAG Constant

BIT_10_FLAG = BIT_10;

Unit

JclSysInfo


BIT_11 Constant

BIT_11 = $00000800;

Unit

JclSysInfo


BIT_12 Constant

BIT_12 = $00001000;

Unit

JclSysInfo


BIT_13 Constant

BIT_13 = $00002000;

Unit

JclSysInfo


BIT_14 Constant

BIT_14 = $00004000;

Unit

JclSysInfo


BIT_15 Constant

BIT_15 = $00008000;

Unit

JclSysInfo


BIT_16 Constant

BIT_16 = $00010000;

Unit

JclSysInfo


BIT_17 Constant

BIT_17 = $00020000;

Unit

JclSysInfo


BIT_2 Constant

BIT_2 = $00000004;

Unit

JclSysInfo


BIT_20_FLAG Constant

BIT_20_FLAG = BIT_20;

Unit

JclSysInfo


BIT_23 Constant

BIT_23 = $00800000;

Unit

JclSysInfo


BIT_24 Constant

BIT_24 = $01000000;

Unit

JclSysInfo


BIT_3 Constant

BIT_3 = $00000008;

Unit

JclSysInfo


BIT_30_FLAG Constant

BIT_30_FLAG = BIT_30;

Unit

JclSysInfo


BIT_4 Constant

BIT_4 = $00000010;

Unit

JclSysInfo


BIT_5 Constant

BIT_5 = $00000020;

Unit

JclSysInfo


BIT_6 Constant

BIT_6 = $00000040;

Unit

JclSysInfo


BIT_7 Constant

BIT_7 = $00000080;

Unit

JclSysInfo


BIT_8 Constant

BIT_8 = $00000100;

Unit

JclSysInfo


BIT_9 Constant

BIT_9 = $00000200;

Unit

JclSysInfo


BitsPerByte Constant

BitsPerByte = 8;

Unit

JclLogic


BitsPerCardinal Constant

BitsPerCardinal = SizeOf(Cardinal) * BitsPerByte;

Unit

JclLogic


BitsPerInt64 Constant

BitsPerInt64 = SizeOf(Int64) * BitsPerByte;

Unit

JclLogic


BitsPerInteger Constant

BitsPerInteger = SizeOf(Integer) * BitsPerByte;

Unit

JclLogic


BitsPerMIDIDataByte Constant

BitsPerMIDIDataByte = 7;

Unit

JclMIDI


BitsPerMIDIDataWord Constant

BitsPerMIDIDataWord = BitsPerMIDIDataByte * 2;

Unit

JclMIDI


BitsPerNibble Constant

BitsPerNibble = 4;

Unit

JclLogic


BitsPerShortint Constant

BitsPerShortint = SizeOf(Shortint) * BitsPerByte;

Unit

JclLogic


BitsPerSmallint Constant

BitsPerSmallint = SizeOf(Smallint) * BitsPerByte;

Unit

JclLogic


BitsPerWord Constant

BitsPerWord = SizeOf(Word) * BitsPerByte;

Unit

JclLogic


BOM_LSB_FIRST Constant

BOM_LSB_FIRST = WideChar($FEFF);

Unit

JclUnicode


BOM_MSB_FIRST Constant

BOM_MSB_FIRST = WideChar($FFFE);

Unit

JclUnicode


BOM_UTF16_LSB Constant

BOM_UTF16_LSB: array [0..1] of Byte = ($FF,$FE);

Unit

JclUnicode


BOM_UTF16_MSB Constant

BOM_UTF16_MSB: array [0..1] of Byte = ($FE,$FF);

Unit

JclUnicode


BOM_UTF32_LSB Constant

BOM_UTF32_LSB: array [0..3] of Byte = ($FF,$FE,$00,$00);

Unit

JclUnicode


BOM_UTF32_MSB Constant

BOM_UTF32_MSB: array [0..3] of Byte = ($00,$00,$FE,$FF);

Unit

JclUnicode


BOM_UTF8 Constant

BOM_UTF8: array [0..2] of Byte = ($EF,$BB,$BF);

Unit

JclUnicode


Borland32BitSymbolFileSignatureForBCB Constant

Borland32BitSymbolFileSignatureForBCB = $41304246;

Unit

JclTD32


Borland32BitSymbolFileSignatureForDelphi Constant

Borland32BitSymbolFileSignatureForDelphi = $39304246;

Unit

JclTD32


BorRADToolEditionIDs Constant

BorRADToolEditionIDs: array [TJclBorRADToolEdition] of PChar = ('STD', 'PRO', 'CSS', 'ARC');

Unit

JclBorlandTools


BorRADToolRepositoryDataModulesPage Constant

BorRADToolRepositoryDataModulesPage = 'Data Modules';

Unit

JclBorlandTools


BorRADToolRepositoryDesignerDfm Constant

BorRADToolRepositoryDesignerDfm = 'dfm';

Unit

JclBorlandTools


BorRADToolRepositoryDesignerXfm Constant

BorRADToolRepositoryDesignerXfm = 'xfm';

Unit

JclBorlandTools


BorRADToolRepositoryDialogsPage Constant

BorRADToolRepositoryDialogsPage = 'Dialogs';

Unit

JclBorlandTools


BorRADToolRepositoryFormsPage Constant

BorRADToolRepositoryFormsPage = 'Forms';

Unit

JclBorlandTools


BorRADToolRepositoryFormTemplate Constant

BorRADToolRepositoryFormTemplate = 'FormTemplate';

Unit

JclBorlandTools


BorRADToolRepositoryObjectAncestor Constant

BorRADToolRepositoryObjectAncestor = 'Ancestor';

Unit

JclBorlandTools


BorRADToolRepositoryObjectAuthor Constant

BorRADToolRepositoryObjectAuthor = 'Author';

Unit

JclBorlandTools


BorRADToolRepositoryObjectDescr Constant

BorRADToolRepositoryObjectDescr = 'Description';

Unit

JclBorlandTools


BorRADToolRepositoryObjectDesigner Constant

BorRADToolRepositoryObjectDesigner = 'Designer';

Unit

JclBorlandTools


BorRADToolRepositoryObjectIcon Constant

BorRADToolRepositoryObjectIcon = 'Icon';

Unit

JclBorlandTools


BorRADToolRepositoryObjectMainForm Constant

BorRADToolRepositoryObjectMainForm = 'DefaultMainForm';

Unit

JclBorlandTools


BorRADToolRepositoryObjectName Constant

BorRADToolRepositoryObjectName = 'Name';

Unit

JclBorlandTools


BorRADToolRepositoryObjectNewForm Constant

BorRADToolRepositoryObjectNewForm = 'DefaultNewForm';

Unit

JclBorlandTools


BorRADToolRepositoryObjectPage Constant

BorRADToolRepositoryObjectPage = 'Page';

Unit

JclBorlandTools


BorRADToolRepositoryObjectType Constant

BorRADToolRepositoryObjectType = 'Type';

Unit

JclBorlandTools


BorRADToolRepositoryPagesSection Constant

BorRADToolRepositoryPagesSection = 'Repository Pages';

Unit

JclBorlandTools


BorRADToolRepositoryProjectsPage Constant

BorRADToolRepositoryProjectsPage = 'Projects';

Unit

JclBorlandTools


BorRADToolRepositoryProjectTemplate Constant

BorRADToolRepositoryProjectTemplate = 'ProjectTemplate';

Unit

JclBorlandTools


ByteMask Constant

ByteMask = Byte($FF);

Unit

JclLogic


C1_ALPHA Constant

C1_ALPHA = $0100;

Unit

JclStrings


C1_BLANK Constant

C1_BLANK = $0040;

Unit

JclStrings


C1_CNTRL Constant

C1_CNTRL = $0020;

Unit

JclStrings


C1_DIGIT Constant

C1_DIGIT = $0004;

Unit

JclStrings


C1_LOWER Constant

C1_LOWER = $0002;

Unit

JclStrings


C1_PUNCT Constant

C1_PUNCT = $0010;

Unit

JclStrings


C1_SPACE Constant

C1_SPACE = $0008;

Unit

JclStrings


C1_UPPER Constant

C1_UPPER = $0001;

Unit

JclStrings


C1_XDIGIT Constant

C1_XDIGIT = $0080;

Unit

JclStrings


CAL_ITWODIGITYEARMAX Constant

CAL_ITWODIGITYEARMAX = $00000030;

Unit

JclWin32


CAL_NOUSEROVERRIDE Constant

CAL_NOUSEROVERRIDE = LOCALE_NOUSEROVERRIDE;

Unit

JclWin32


CAL_RETURN_NUMBER Constant

CAL_RETURN_NUMBER = LOCALE_RETURN_NUMBER;

Unit

JclWin32


CAL_SYEARMONTH Constant

CAL_SYEARMONTH = $0000002f;

Unit

JclWin32


CAL_USE_CP_ACP Constant

CAL_USE_CP_ACP = LOCALE_USE_CP_ACP;

Unit

JclWin32


CALL_PENDING Constant

CALL_PENDING = $02;

Unit

JclWin32


CardinalMask Constant

CardinalMask = Cardinal($FFFFFFFF);

Unit

JclLogic


Catalan Constant

Catalan: Float = 0.9159655941772190150546035149324;

Unit

JclMath


CATID_SafeForInitializing Constant

CATID_SafeForInitializing: TGUID = '{7DD95802-9882-11CF-9FA9-00AA006C42C4}';

Unit

JclCOM


CATID_SafeForScripting Constant

CATID_SafeForScripting: TGUID = '{7DD95801-9882-11CF-9FA9-00AA006C42C4}';

Unit

JclCOM


CBinMax Constant

CBinMax = 256;

Unit

JclPrint


CCHBinName Constant

CCHBinName = 24;

Unit

JclPrint


CCHPaperName Constant

CCHPaperName = 64;

Unit

JclPrint


CelsiusAbsoluteZero Constant

This constant is representating the absolute zero point in degree Celsius.

Pascal

CelsiusAbsoluteZero = -273.15;

Unit

JclUnitConv


CelsiusBoilingPoint Constant

This constant is representating the boiling point of water in degree Celsius.

Pascal

CelsiusBoilingPoint = 100.0 + CelsiusFreezingPoint;

Unit

JclUnitConv


CelsiusFreezingPoint Constant

This constant is representating the freezing point of water in degree Celsius.

Pascal

CelsiusFreezingPoint = 0.0;

Unit

JclUnitConv


CLFLSH_FLAG Constant

CLFLSH_FLAG = BIT_19;

Unit

JclSysInfo


CLSID_StdComponentCategoriesMgr Constant

CLSID_StdComponentCategoriesMgr: TGUID = '{0002E005-0000-0000-C000-000000000046}';

Unit

JclCOM


clTeal32 Constant

clTeal32 = TColor32($FF007F7F);

Unit

JclQGraphUtils


clTrBlack32 Constant

clTrBlack32 = TColor32($7F000000);

Unit

JclQGraphUtils


clTrBlue32 Constant

clTrBlue32 = TColor32($7F0000FF);

Unit

JclQGraphUtils


clTrGreen32 Constant

clTrGreen32 = TColor32($7F00FF00);

Unit

JclQGraphUtils


clTrRed32 Constant

clTrRed32 = TColor32($7FFF0000);

Unit

JclQGraphUtils


clTrWhite32 Constant

clTrWhite32 = TColor32($7FFFFFFF);

Unit

JclQGraphUtils


CLTYPE_LEN Constant

CLTYPE_LEN = 12;

Unit

JclWin32


clWhite32 Constant

clWhite32 = TColor32($FFFFFFFF);

Unit

JclQGraphUtils


clYellow32 Constant

clYellow32 = TColor32($FFFFFF00);

Unit

JclQGraphUtils


CMOV_FLAG Constant

CMOV_FLAG = BIT_15;

Unit

JclSysInfo


CNLEN Constant

CNLEN = 15;

Unit

JclWin32


CompilerExtensionBPI Constant

CompilerExtensionBPI = '.bpi';

Unit

JclBorlandTools


CompilerExtensionDCP Constant

CompilerExtensionDCP = '.dcp';

Unit

JclBorlandTools


CompilerExtensionDEF Constant

CompilerExtensionDEF = '.def';

Unit

JclBorlandTools


CompilerExtensionLIB Constant

CompilerExtensionLIB = '.lib';

Unit

JclBorlandTools


CompilerExtensionMAP Constant

CompilerExtensionMAP = '.map';

Unit

JclBorlandTools


CompilerExtensionTDS Constant

CompilerExtensionTDS = '.tds';

Unit

JclBorlandTools


CompleteDelphiSet Constant

CompleteDelphiSet: TDelphiSet = [0..255];

Unit

JclMath


COMPRESSION_ENGINE_HIBER Constant

COMPRESSION_ENGINE_HIBER = ($0200);

Unit

JclWin32


COMPRESSION_ENGINE_MAXIMUM Constant

COMPRESSION_ENGINE_MAXIMUM = ($0100);

Unit

JclWin32


COMPRESSION_ENGINE_STANDARD Constant

COMPRESSION_ENGINE_STANDARD = ($0000);

Unit

JclWin32


COR_DELETED_NAME_LENGTH Constant

COR_DELETED_NAME_LENGTH = 8;

Unit

JclWin32


COR_ILMETHOD_SECT_SMALL_MAX_DATASIZE Constant

COR_ILMETHOD_SECT_SMALL_MAX_DATASIZE = $FF;

Unit

JclWin32


COR_VERSION_MAJOR Constant

COR_VERSION_MAJOR = COR_VERSION_MAJOR_V2;

Unit

JclWin32


COR_VERSION_MAJOR_V2 Constant

COR_VERSION_MAJOR_V2 = 2;

Unit

JclWin32


COR_VERSION_MINOR Constant

COR_VERSION_MINOR = 0;

Unit

JclWin32


COR_VTABLE_32BIT Constant

COR_VTABLE_32BIT = $01;

Unit

JclWin32


COR_VTABLE_64BIT Constant

COR_VTABLE_64BIT = $02;

Unit

JclWin32


COR_VTABLE_CALL_MOST_DERIVED Constant

COR_VTABLE_CALL_MOST_DERIVED = $10;

Unit

JclWin32


COR_VTABLE_FROM_UNMANAGED Constant

COR_VTABLE_FROM_UNMANAGED = $04;

Unit

JclWin32


COR_VTABLEGAP_NAME_LENGTH Constant

COR_VTABLEGAP_NAME_LENGTH = 8;

Unit

JclWin32


CP_ACP Constant

CP_ACP = 0;

Unit

JclWin32


CP_MACCP Constant

CP_MACCP = 2;

Unit

JclWin32


CP_OEMCP Constant

CP_OEMCP = 1;

Unit

JclWin32


CP_SYMBOL Constant

CP_SYMBOL = 42;

Unit

JclWin32


CP_THREAD_ACP Constant

CP_THREAD_ACP = 3;

Unit

JclWin32


CP_UTF7 Constant

CP_UTF7 = 65000;

Unit

JclWin32


CP_UTF8 Constant

CP_UTF8 = 65001;

Unit

JclWin32


CPaperNames Constant

CPaperNames = 256;

Unit

JclPrint


CPU_TYPE_AMD Constant

CPU_TYPE_AMD = 3;

Unit

JclSysInfo


CPU_TYPE_CYRIX Constant

CPU_TYPE_CYRIX = 2;

Unit

JclSysInfo


CPU_TYPE_INTEL Constant

CPU_TYPE_INTEL = 1;

Unit

JclSysInfo


CPU_TYPE_TRANSMETA Constant

CPU_TYPE_TRANSMETA = 4;

Unit

JclSysInfo


CPU_TYPE_VIA Constant

CPU_TYPE_VIA = 5;

Unit

JclSysInfo


CREATEPROCESS_MANIFEST_RESOURCE_ID Constant

CREATEPROCESS_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(1);

Unit

JclWin32


CRYPT_KEY_LEN Constant

CRYPT_KEY_LEN = 7;

Unit

JclWin32


CRYPT_TXT_LEN Constant

CRYPT_TXT_LEN = 8;

Unit

JclWin32


CSIDL_ADMINTOOLS Constant

CSIDL_ADMINTOOLS = $0030;

Unit

JclWin32


CSIDL_CDBURN_AREA Constant

CSIDL_CDBURN_AREA = $003B;

Unit

JclWin32


CSIDL_COMMON_ADMINTOOLS Constant

CSIDL_COMMON_ADMINTOOLS = $002F;

Unit

JclWin32


CSIDL_COMMON_APPDATA Constant

CSIDL_COMMON_APPDATA = $0023;

Unit

JclWin32


CSIDL_COMMON_DOCUMENTS Constant

CSIDL_COMMON_DOCUMENTS = $002E;

Unit

JclWin32


CSIDL_COMMON_MUSIC Constant

CSIDL_COMMON_MUSIC = $0035;

Unit

JclWin32


CSIDL_COMMON_OEM_LINKS Constant

CSIDL_COMMON_OEM_LINKS = $003A;

Unit

JclWin32


CSIDL_COMMON_PICTURES Constant

CSIDL_COMMON_PICTURES = $0036;

Unit

JclWin32


CSIDL_COMMON_TEMPLATES Constant

CSIDL_COMMON_TEMPLATES = $002D;

Unit

JclWin32


CSIDL_COMMON_VIDEO Constant

CSIDL_COMMON_VIDEO = $0037;

Unit

JclWin32


CSIDL_COMPUTERSNEARME Constant

CSIDL_COMPUTERSNEARME = $003D;

Unit

JclWin32


CSIDL_CONNECTIONS Constant

CSIDL_CONNECTIONS = $0031;

Unit

JclWin32


CSIDL_MYPICTURES Constant

CSIDL_MYPICTURES = $0027;

Unit

JclWin32


CSIDL_PROFILE Constant

CSIDL_PROFILE = $0028;

Unit

JclWin32


CSIDL_PROGRAM_FILES Constant

CSIDL_PROGRAM_FILES = $0026;

Unit

JclWin32


CSIDL_PROGRAM_FILES_COMMON Constant

CSIDL_PROGRAM_FILES_COMMON = $002B;

Unit

JclWin32


CSIDL_RESOURCES Constant

CSIDL_RESOURCES = $0038;

Unit

JclWin32


CSIDL_RESOURCES_LOCALIZED Constant

CSIDL_RESOURCES_LOCALIZED = $0039;

Unit

JclWin32


CSIDL_SYSTEM Constant

CSIDL_SYSTEM = $0025;

Unit

JclWin32


CSIDL_WINDOWS Constant

CSIDL_WINDOWS = $0024;

Unit

JclWin32


CX8_FLAG Constant

CX8_FLAG = BIT_8;

Unit

JclSysInfo


CyclePerDeg Constant

CyclePerDeg: Float = 0.0027777777777777777777777777777778;

Unit

JclUnitConv


CyclePerGrad Constant

CyclePerGrad: Float = 0.0025;

Unit

JclUnitConv


CyclePerRad Constant

CyclePerRad: Float = 0.15915494309189533576888376337251;

Unit

JclUnitConv


CYRIX_APIC Constant

CYRIX_APIC = BIT_9;

Unit

JclSysInfo


CYRIX_BIT_10 Constant

CYRIX_BIT_10 = BIT_10;

Unit

JclSysInfo


CYRIX_BIT_11 Constant

CYRIX_BIT_11 = BIT_11;

Unit

JclSysInfo


CYRIX_BIT_16 Constant

CYRIX_BIT_16 = BIT_16;

Unit

JclSysInfo


CYRIX_BIT_17 Constant

CYRIX_BIT_17 = BIT_17;

Unit

JclSysInfo


CYRIX_BIT_18 Constant

CYRIX_BIT_18 = BIT_18;

Unit

JclSysInfo


CYRIX_BIT_19 Constant

CYRIX_BIT_19 = BIT_19;

Unit

JclSysInfo


CYRIX_BIT_20 Constant

CYRIX_BIT_20 = BIT_20;

Unit

JclSysInfo


CYRIX_BIT_21 Constant

CYRIX_BIT_21 = BIT_21;

Unit

JclSysInfo


CYRIX_BIT_22 Constant

CYRIX_BIT_22 = BIT_22;

Unit

JclSysInfo


CYRIX_BIT_24 Constant

CYRIX_BIT_24 = BIT_24;

Unit

JclSysInfo


CYRIX_BIT_25 Constant

CYRIX_BIT_25 = BIT_25;

Unit

JclSysInfo


CYRIX_BIT_26 Constant

CYRIX_BIT_26 = BIT_26;

Unit

JclSysInfo


CYRIX_BIT_27 Constant

CYRIX_BIT_27 = BIT_27;

Unit

JclSysInfo


CYRIX_BIT_28 Constant

CYRIX_BIT_28 = BIT_28;

Unit

JclSysInfo


CYRIX_BIT_29 Constant

CYRIX_BIT_29 = BIT_29;

Unit

JclSysInfo


CYRIX_BIT_30 Constant

CYRIX_BIT_30 = BIT_30;

Unit

JclSysInfo


CYRIX_BIT_31 Constant

CYRIX_BIT_31 = BIT_31;

Unit

JclSysInfo


CYRIX_CMOV Constant

CYRIX_CMOV = BIT_15;

Unit

JclSysInfo


CYRIX_CX8 Constant

CYRIX_CX8 = BIT_8;

Unit

JclSysInfo


CYRIX_DE Constant

CYRIX_DE = BIT_2;

Unit

JclSysInfo


CYRIX_FPU Constant

CYRIX_FPU = BIT_0;

Unit

JclSysInfo


CYRIX_MCA Constant

CYRIX_MCA = BIT_14;

Unit

JclSysInfo


CYRIX_MCE Constant

CYRIX_MCE = BIT_7;

Unit

JclSysInfo


CYRIX_MMX Constant

CYRIX_MMX = BIT_23;

Unit

JclSysInfo


CYRIX_MSR Constant

CYRIX_MSR = BIT_5;

Unit

JclSysInfo


CYRIX_MTRR Constant

CYRIX_MTRR = BIT_12;

Unit

JclSysInfo


CYRIX_PAE Constant

CYRIX_PAE = BIT_6;

Unit

JclSysInfo


CYRIX_PGE Constant

CYRIX_PGE = BIT_13;

Unit

JclSysInfo


CYRIX_PSE Constant

CYRIX_PSE = BIT_3;

Unit

JclSysInfo


CYRIX_TSC Constant

CYRIX_TSC = BIT_4;

Unit

JclSysInfo


CYRIX_VME Constant

CYRIX_VME = BIT_1;

Unit

JclSysInfo


DATE_LTRREADING Constant

DATE_LTRREADING = $00000010;

Unit

JclWin32


DATE_RTLREADING Constant

DATE_RTLREADING = $00000020;

Unit

JclWin32


DE_FLAG Constant

DE_FLAG = BIT_2;

Unit

JclSysInfo


DefaultContainerCapacity Constant

DefaultContainerCapacity = 16;

Unit

JclContainerIntf


DefaultSCMDesiredAccess Constant

DefaultSCMDesiredAccess = EveryoneSCMDesiredAccess;

Unit

JclSvcCtrl


DefaultSvcDesiredAccess Constant

DefaultSvcDesiredAccess = SERVICE_ALL_ACCESS;

Unit

JclSvcCtrl


DegPerArcMinute Constant

DegPerArcMinute = 1 / ArcMinutesPerDeg;

Unit

JclUnitConv


DegPerArcSecond Constant

DegPerArcSecond = 1 / ArcSecondsPerDeg;

Unit

JclUnitConv


DegPerCycle Constant

DegPerCycle: Float = 360.0;

Unit

JclUnitConv


DegPerGrad Constant

DegPerGrad: Float = 0.9;

Unit

JclUnitConv


DegPerRad Constant

DegPerRad: Float = 57.295779513082320876798154814105;

Unit

JclUnitConv


DEREGISTERED Constant

DEREGISTERED = $05;

Unit

JclWin32


DEVLEN Constant

DEVLEN = 80;

Unit

JclWin32


DIFFERENCE Constant

DIFFERENCE = 11;

Unit

JclWin32


DLLVER_PLATFORM_NT Constant

DLLVER_PLATFORM_NT = $00000002;

Unit

JclWin32


DLLVER_PLATFORM_WINDOWS Constant

DLLVER_PLATFORM_WINDOWS = $00000001;

Unit

JclWin32


DNLEN Constant

DNLEN = CNLEN;

Unit

JclWin32


DOFCompilerSection Constant

DOFCompilerSection = 'Compiler';

Unit

JclBorlandTools


DOFDirectoriesSection Constant

DOFDirectoriesSection = 'Directories';

Unit

JclBorlandTools


DOFLinkerSection Constant

DOFLinkerSection = 'Linker';

Unit

JclBorlandTools


DOFPackageNoLinkKey Constant

DOFPackageNoLinkKey = 'PackageNoLink';

Unit

JclBorlandTools


DOFPackagesKey Constant

DOFPackagesKey = 'Packages';

Unit

JclBorlandTools


DOFSearchPathName Constant

DOFSearchPathName = 'SearchPath';

Unit

JclBorlandTools


DOFUnitOutputDirKey Constant

DOFUnitOutputDirKey = 'UnitOutputDir';

Unit

JclBorlandTools


DOMAIN_ALIAS_RID_AUTHORIZATIONACCESS Constant

DOMAIN_ALIAS_RID_AUTHORIZATIONACCESS = ($00000230);

Unit

JclWin32


DOMAIN_ALIAS_RID_INCOMING_FOREST_TRUST_BUILDERS Constant

DOMAIN_ALIAS_RID_INCOMING_FOREST_TRUST_BUILDERS = ($0000022D);

Unit

JclWin32


DOMAIN_ALIAS_RID_LOGGING_USERS Constant

DOMAIN_ALIAS_RID_LOGGING_USERS = ($0000022F);

Unit

JclWin32


DOMAIN_ALIAS_RID_MONITORING_USERS Constant

DOMAIN_ALIAS_RID_MONITORING_USERS = ($0000022E);

Unit

JclWin32


DOMAIN_ALIAS_RID_NETWORK_CONFIGURATION_OPS Constant

DOMAIN_ALIAS_RID_NETWORK_CONFIGURATION_OPS = ($0000022C);

Unit

JclWin32


DOMAIN_ALIAS_RID_REMOTE_DESKTOP_USERS Constant

DOMAIN_ALIAS_RID_REMOTE_DESKTOP_USERS = ($0000022B);

Unit

JclWin32


DOMAIN_ALIAS_RID_TS_LICENSE_SERVERS Constant

DOMAIN_ALIAS_RID_TS_LICENSE_SERVERS = ($00000231);

Unit

JclWin32


DOMAIN_USER_RID_MAX Constant

DOMAIN_USER_RID_MAX = ($000003E7);

Unit

JclWin32


DrcFileExtension Constant

DrcFileExtension = '.drc';

Unit

JclDebug


DROPEFFECT_COPY Constant

DROPEFFECT_COPY = 1;

Unit

JclWin32


DROPEFFECT_LINK Constant

DROPEFFECT_LINK = 4;

Unit

JclWin32


DROPEFFECT_MOVE Constant

DROPEFFECT_MOVE = 2;

Unit

JclWin32


DROPEFFECT_NONE Constant

DROPEFFECT_NONE = 0;

Unit

JclWin32


DROPEFFECT_SCROLL Constant

DROPEFFECT_SCROLL = DWORD($80000000);

Unit

JclWin32


DS_FLAG Constant

DS_FLAG = BIT_21;

Unit

JclSysInfo


DUPLICATE Constant

DUPLICATE = $06;

Unit

JclWin32


DUPLICATE_CLOSE_SOURCE Constant

DUPLICATE_CLOSE_SOURCE = $00000001;

Unit

JclWin32


DUPLICATE_DEREG Constant

DUPLICATE_DEREG = $07;

Unit

JclWin32


DUPLICATE_SAME_ACCESS Constant

DUPLICATE_SAME_ACCESS = $00000002;

Unit

JclWin32


EAMD_3DNOW Constant

EAMD_3DNOW = BIT_31;

Unit

JclSysInfo


EAMD_APIC Constant

EAMD_APIC = BIT_9;

Unit

JclSysInfo


EAMD_BIT_10 Constant

EAMD_BIT_10 = BIT_10;

Unit

JclSysInfo


EAMD_BIT_18 Constant

EAMD_BIT_18 = BIT_18;

Unit

JclSysInfo


EAMD_BIT_19 Constant

EAMD_BIT_19 = BIT_19;

Unit

JclSysInfo


EAMD_BIT_21 Constant

EAMD_BIT_21 = BIT_21;

Unit

JclSysInfo


EAMD_BIT_26 Constant

EAMD_BIT_26 = BIT_26;

Unit

JclSysInfo


EAMD_BIT_27 Constant

EAMD_BIT_27 = BIT_27;

Unit

JclSysInfo


EAMD_BIT_28 Constant

EAMD_BIT_28 = BIT_28;

Unit

JclSysInfo


EAMD_CMOV Constant

EAMD_CMOV = BIT_15;

Unit

JclSysInfo


EAMD_CX8 Constant

EAMD_CX8 = BIT_8;

Unit

JclSysInfo


EAMD_DE Constant

EAMD_DE = BIT_2;

Unit

JclSysInfo


EAMD_EX3DNOW Constant

EAMD_EX3DNOW = BIT_30;

Unit

JclSysInfo


EAMD_EXMMX Constant

EAMD_EXMMX = BIT_22;

Unit

JclSysInfo


EAMD_FFX Constant

EAMD_FFX = BIT_25;

Unit

JclSysInfo


EAMD_FPU Constant

EAMD_FPU = BIT_0;

Unit

JclSysInfo


EAMD_FX Constant

EAMD_FX = BIT_24;

Unit

JclSysInfo


EAMD_LONG Constant

EAMD_LONG = BIT_29;

Unit

JclSysInfo


EAMD_MCA Constant

EAMD_MCA = BIT_14;

Unit

JclSysInfo


EAMD_MCE Constant

EAMD_MCE = BIT_7;

Unit

JclSysInfo


EAMD_MMX Constant

EAMD_MMX = BIT_23;

Unit

JclSysInfo


EAMD_MSR Constant

EAMD_MSR = BIT_5;

Unit

JclSysInfo


EAMD_MTRR Constant

EAMD_MTRR = BIT_12;

Unit

JclSysInfo


EAMD_NEPP Constant

EAMD_NEPP = BIT_20;

Unit

JclSysInfo


EAMD_PAE Constant

EAMD_PAE = BIT_6;

Unit

JclSysInfo


EAMD_PAT Constant

EAMD_PAT = BIT_16;

Unit

JclSysInfo


EAMD_PGE Constant

EAMD_PGE = BIT_13;

Unit

JclSysInfo


EAMD_PSE Constant

EAMD_PSE = BIT_3;

Unit

JclSysInfo


EAMD_PSE2 Constant

EAMD_PSE2 = BIT_17;

Unit

JclSysInfo


EAMD_SEP Constant

EAMD_SEP = BIT_11;

Unit

JclSysInfo


EAMD_TSC Constant

EAMD_TSC = BIT_4;

Unit

JclSysInfo


EAMD_VME Constant

EAMD_VME = BIT_1;

Unit

JclSysInfo


ECYRIX_APIC Constant

ECYRIX_APIC = BIT_9;

Unit

JclSysInfo


ECYRIX_BIT_11 Constant

ECYRIX_BIT_11 = BIT_11;

Unit

JclSysInfo


ECYRIX_BIT_17 Constant

ECYRIX_BIT_17 = BIT_17;

Unit

JclSysInfo


ECYRIX_BIT_18 Constant

ECYRIX_BIT_18 = BIT_18;

Unit

JclSysInfo


ECYRIX_BIT_19 Constant

ECYRIX_BIT_19 = BIT_19;

Unit

JclSysInfo


ECYRIX_BIT_20 Constant

ECYRIX_BIT_20 = BIT_20;

Unit

JclSysInfo


ECYRIX_BIT_21 Constant

ECYRIX_BIT_21 = BIT_21;

Unit

JclSysInfo


ECYRIX_BIT_22 Constant

ECYRIX_BIT_22 = BIT_22;

Unit

JclSysInfo


ECYRIX_BIT_25 Constant

ECYRIX_BIT_25 = BIT_25;

Unit

JclSysInfo


ECYRIX_BIT_26 Constant

ECYRIX_BIT_26 = BIT_26;

Unit

JclSysInfo


ECYRIX_BIT_27 Constant

ECYRIX_BIT_27 = BIT_27;

Unit

JclSysInfo


ECYRIX_BIT_28 Constant

ECYRIX_BIT_28 = BIT_28;

Unit

JclSysInfo


ECYRIX_BIT_29 Constant

ECYRIX_BIT_29 = BIT_29;

Unit

JclSysInfo


ECYRIX_BIT_30 Constant

ECYRIX_BIT_30 = BIT_30;

Unit

JclSysInfo


ECYRIX_BIT_31 Constant

ECYRIX_BIT_31 = BIT_31;

Unit

JclSysInfo


ECYRIX_CX8 Constant

ECYRIX_CX8 = BIT_8;

Unit

JclSysInfo


ECYRIX_DE Constant

ECYRIX_DE = BIT_2;

Unit

JclSysInfo


ECYRIX_EMMX Constant

ECYRIX_EMMX = BIT_24;

Unit

JclSysInfo


ECYRIX_FCMOV Constant

ECYRIX_FCMOV = BIT_16;

Unit

JclSysInfo


ECYRIX_FPU Constant

ECYRIX_FPU = BIT_0;

Unit

JclSysInfo


ECYRIX_ICMOV Constant

ECYRIX_ICMOV = BIT_15;

Unit

JclSysInfo


ECYRIX_MCA Constant

ECYRIX_MCA = BIT_14;

Unit

JclSysInfo


ECYRIX_MCE Constant

ECYRIX_MCE = BIT_7;

Unit

JclSysInfo


ECYRIX_MMX Constant

ECYRIX_MMX = BIT_23;

Unit

JclSysInfo


ECYRIX_MSR Constant

ECYRIX_MSR = BIT_5;

Unit

JclSysInfo


ECYRIX_MTRR Constant

ECYRIX_MTRR = BIT_12;

Unit

JclSysInfo


ECYRIX_PAE Constant

ECYRIX_PAE = BIT_6;

Unit

JclSysInfo


ECYRIX_PGE Constant

ECYRIX_PGE = BIT_13;

Unit

JclSysInfo


ECYRIX_PSE Constant

ECYRIX_PSE = BIT_3;

Unit

JclSysInfo


ECYRIX_SEP Constant

ECYRIX_SEP = BIT_10;

Unit

JclSysInfo


ECYRIX_TSC Constant

ECYRIX_TSC = BIT_4;

Unit

JclSysInfo


ECYRIX_VME Constant

ECYRIX_VME = BIT_1;

Unit

JclSysInfo


EDIDataType_Binary Constant

EDIDataType_Binary = 'B';

Unit

JclEDI


EDIDataType_Date Constant

EDIDataType_Date = 'DT';

Unit

JclEDI


EDIDataType_Decimal Constant

EDIDataType_Decimal = 'R';

Unit

JclEDI


EDIDataType_Identifier Constant

EDIDataType_Identifier = 'ID';

Unit

JclEDI


EDIDataType_Numeric Constant

EDIDataType_Numeric = 'N';

Unit

JclEDI


EDIDataType_String Constant

EDIDataType_String = 'AN';

Unit

JclEDI


EDIDataType_Time Constant

EDIDataType_Time = 'TM';

Unit

JclEDI


EDISEFUserAttributeAmpersand Constant

EDISEFUserAttributeAmpersand = '&';

Unit

JclEDISEF


EDISEFUserAttributeAmpersandDesc Constant

EDISEFUserAttributeAmpersandDesc = 'Dependent';

Unit

JclEDISEF


EDISEFUserAttributeDollarSign Constant

EDISEFUserAttributeDollarSign = '$';

Unit

JclEDISEF


EDISEFUserAttributeDollarSignDesc Constant

EDISEFUserAttributeDollarSignDesc = 'Recommended';

Unit

JclEDISEF


EDISEFUserAttributeExclamationPoint Constant

EDISEFUserAttributeExclamationPoint = '!';

Unit

JclEDISEF


EDISEFUserAttributeExclamationPointDesc Constant

EDISEFUserAttributeExclamationPointDesc = 'Mandatory';

Unit

JclEDISEF


EDISEFUserAttributeHyphen Constant

EDISEFUserAttributeHyphen = '-';

Unit

JclEDISEF


EDISEFUserAttributeHyphenDesc Constant

EDISEFUserAttributeHyphenDesc = 'Not Recommended';

Unit

JclEDISEF


EDISEFUserAttributePeriod Constant

EDISEFUserAttributePeriod = '.';

Unit

JclEDISEF


EDISEFUserAttributePeriodDesc Constant

EDISEFUserAttributePeriodDesc = 'Not Used';

Unit

JclEDISEF


EDISEFUserAttributeSet Constant

EDISEFUserAttributeSet = [EDISEFUserAttributePeriod, EDISEFUserAttributeExclamationPoint, EDISEFUserAttributeDollarSign, EDISEFUserAttributeHyphen, EDISEFUserAttributeAmpersand];

Unit

JclEDISEF


EDIXMLError001 Constant

EDIXMLError001 = 'Could not open edi file.  File not specified.';

Unit

JclResources


EDIXMLError002 Constant

EDIXMLError002 = 'Could not save edi file.  File name and path not specified.';

Unit

JclResources


EDIXMLError003 Constant

EDIXMLError003 = 'Could not assign delimiters to edi file.  Disassemble cancelled.';

Unit

JclResources


EDIXMLError004 Constant

EDIXMLError004 = 'Could not assign delimiters to edi file.  Assemble cancelled.';

Unit

JclResources


EDIXMLError005 Constant

EDIXMLError005 = 'Could not assign delimiters to interchange control. Disassemble cancelled.';

Unit

JclResources


EDIXMLError006 Constant

EDIXMLError006 = 'Could not assign delimiters to interchange control. Assemble cancelled.';

Unit

JclResources


EDIXMLError007 Constant

EDIXMLError007 = 'Could not find interchange control end tag.';

Unit

JclResources


EDIXMLError008 Constant

EDIXMLError008 = 'Could not find interchange control end tag delimiter.';

Unit

JclResources


EDIXMLError009 Constant

EDIXMLError009 = 'Could not find interchange control header.';

Unit

JclResources


EDIXMLError010 Constant

EDIXMLError010 = 'Could not find interchange control header end tag.';

Unit

JclResources


EDIXMLError011 Constant

EDIXMLError011 = 'Could not find interchange control header end tag delimiter.';

Unit

JclResources


EDIXMLError012 Constant

EDIXMLError012 = 'Could not find interchange control trailer.';

Unit

JclResources


EDIXMLError013 Constant

EDIXMLError013 = 'Could not find interchange control trailer end tag.';

Unit

JclResources


EDIXMLError014 Constant

EDIXMLError014 = 'Could not find interchange control trailer end tag delimiter.';

Unit

JclResources


EDIXMLError015 Constant

EDIXMLError015 = 'Could not assign delimiters to functional group. Disassemble cancelled.';

Unit

JclResources


EDIXMLError016 Constant

EDIXMLError016 = 'Could not assign delimiters to functional group. Assemble cancelled.';

Unit

JclResources


EDIXMLError017 Constant

EDIXMLError017 = 'Could not find functional group end tag.';

Unit

JclResources


EDIXMLError018 Constant

EDIXMLError018 = 'Could not find functional group end tag delimiter.';

Unit

JclResources


EDIXMLError019 Constant

EDIXMLError019 = 'Could not find functional group header.';

Unit

JclResources


EDIXMLError020 Constant

EDIXMLError020 = 'Could not find functional group header end tag.';

Unit

JclResources


EDIXMLError021 Constant

EDIXMLError021 = 'Could not find functional group header end tag delimiter.';

Unit

JclResources


EDIXMLError022 Constant

EDIXMLError022 = 'Could not find functional group trailer.';

Unit

JclResources


EDIXMLError023 Constant

EDIXMLError023 = 'Could not find functional group trailer end tag.';

Unit

JclResources


EDIXMLError024 Constant

EDIXMLError024 = 'Could not find functional group trailer end tag delimiter.';

Unit

JclResources


EDIXMLError025 Constant

EDIXMLError025 = 'Could not assign delimiters to transactoin set. Disassemble cancelled.';

Unit

JclResources


EDIXMLError026 Constant

EDIXMLError026 = 'Could not assign delimiters to transactoin set. Assemble cancelled.';

Unit

JclResources


EDIXMLError027 Constant

EDIXMLError027 = 'Could not find transaction set end tag.';

Unit

JclResources


EDIXMLError028 Constant

EDIXMLError028 = 'Could not find transaction set end tag delimiter.';

Unit

JclResources


EDIXMLError029 Constant

EDIXMLError029 = 'Could not assign delimiters to transactoin set loop. Disassemble cancelled.';

Unit

JclResources


EDIXMLError030 Constant

EDIXMLError030 = 'Could not assign delimiters to transactoin set loop. Assemble cancelled.';

Unit

JclResources


EDIXMLError031 Constant

EDIXMLError031 = 'Could not find loop end tag';

Unit

JclResources


EDIXMLError032 Constant

EDIXMLError032 = 'Could not find loop end tag delimiter';

Unit

JclResources


EDIXMLError033 Constant

EDIXMLError033 = 'Could not set data object at index [%s].';

Unit

JclResources


EDIXMLError034 Constant

EDIXMLError034 = 'Could not set data object at index [%s], Index too low.';

Unit

JclResources


EDIXMLError035 Constant

EDIXMLError035 = 'Could not set data object at index [%s], Index too high.';

Unit

JclResources


EDIXMLError036 Constant

EDIXMLError036 = 'Could not get data object at index [%s], There was no data object to get.';

Unit

JclResources


EDIXMLError037 Constant

EDIXMLError037 = 'Could not get data object at index [%s], Index too low.';

Unit

JclResources


EDIXMLError038 Constant

EDIXMLError038 = 'Could not get data object at index [%s], Index too high.';

Unit

JclResources


EDIXMLError039 Constant

EDIXMLError039 = 'Could not get data object at index [%s], Data object does not exist.';

Unit

JclResources


EDIXMLError040 Constant

EDIXMLError040 = 'Could not delete EDI data object';

Unit

JclResources


EDIXMLError041 Constant

EDIXMLError041 = 'Could not assign delimiters to segment. Disassemble cancelled.';

Unit

JclResources


EDIXMLError042 Constant

EDIXMLError042 = 'Could not assign delimiters to segment. Assemble cancelled.';

Unit

JclResources


EDIXMLError043 Constant

EDIXMLError043 = 'Could not find segment begin tag';

Unit

JclResources


EDIXMLError044 Constant

EDIXMLError044 = 'Could not find segment end tag';

Unit

JclResources


EDIXMLError045 Constant

EDIXMLError045 = 'Could not find segment end tag delimiter';

Unit

JclResources


EDIXMLError046 Constant

EDIXMLError046 = 'Could not assign delimiters to element. Disassemble cancelled.';

Unit

JclResources


EDIXMLError047 Constant

EDIXMLError047 = 'Could not assign delimiters to element. Assemble cancelled.';

Unit

JclResources


EDIXMLError048 Constant

EDIXMLError048 = 'Could not find element tag';

Unit

JclResources


EDIXMLError049 Constant

EDIXMLError049 = 'Could not find element end tag';

Unit

JclResources


EDIXMLError050 Constant

EDIXMLError050 = 'Could not find element end tag delimiter';

Unit

JclResources


EDIXMLError051 Constant

EDIXMLError051 = 'Could not set element at index [%s].';

Unit

JclResources


EDIXMLError052 Constant

EDIXMLError052 = 'Could not set element at index [%s], Index too low.';

Unit

JclResources


EDIXMLError053 Constant

EDIXMLError053 = 'Could not set element at index [%s], Index too high.';

Unit

JclResources


EDIXMLError054 Constant

EDIXMLError054 = 'Could not get element at index [%s], There was no element to get.';

Unit

JclResources


EDIXMLError055 Constant

EDIXMLError055 = 'Could not get element at index [%s], Index too low.';

Unit

JclResources


EDIXMLError056 Constant

EDIXMLError056 = 'Could not get element at index [%s], Index too high.';

Unit

JclResources


EDIXMLError057 Constant

EDIXMLError057 = 'Could not get element at index [%s], Element does not exist.';

Unit

JclResources


EDIXMLError058 Constant

EDIXMLError058 = 'Could not delete element at index [%s].';

Unit

JclResources


EDIXMLError059 Constant

EDIXMLError059 = 'Could not find transaction set header.';

Unit

JclResources


EDIXMLError060 Constant

EDIXMLError060 = 'Could not find transaction set trailer.';

Unit

JclResources


EDIXMLError061 Constant

EDIXMLError061 = 'Could not find transaction set header and trailer.';

Unit

JclResources


EDIXMLError062 Constant

EDIXMLError062 = 'TEDIXMLANSIX12FormatTranslator: Unexpected object [%s] found.';

Unit

JclResources


EINTEL_BIT_1 Constant

EINTEL_BIT_1 = BIT_1;

Unit

JclSysInfo


EINTEL_BIT_11 Constant

EINTEL_BIT_11 = BIT_11;

Unit

JclSysInfo


EINTEL_BIT_12 Constant

EINTEL_BIT_12 = BIT_12;

Unit

JclSysInfo


EINTEL_BIT_13 Constant

EINTEL_BIT_13 = BIT_13;

Unit

JclSysInfo


EINTEL_BIT_15 Constant

EINTEL_BIT_15 = BIT_15;

Unit

JclSysInfo


EINTEL_BIT_16 Constant

EINTEL_BIT_16 = BIT_16;

Unit

JclSysInfo


EINTEL_BIT_17 Constant

EINTEL_BIT_17 = BIT_17;

Unit

JclSysInfo


EINTEL_BIT_18 Constant

EINTEL_BIT_18 = BIT_18;

Unit

JclSysInfo


EINTEL_BIT_19 Constant

EINTEL_BIT_19 = BIT_19;

Unit

JclSysInfo


EINTEL_BIT_2 Constant

EINTEL_BIT_2 = BIT_2;

Unit

JclSysInfo


EINTEL_BIT_20 Constant

EINTEL_BIT_20 = BIT_20;

Unit

JclSysInfo


EINTEL_BIT_21 Constant

EINTEL_BIT_21 = BIT_21;

Unit

JclSysInfo


EINTEL_BIT_22 Constant

EINTEL_BIT_22 = BIT_22;

Unit

JclSysInfo


EINTEL_BIT_23 Constant

EINTEL_BIT_23 = BIT_23;

Unit

JclSysInfo


EINTEL_BIT_24 Constant

EINTEL_BIT_24 = BIT_24;

Unit

JclSysInfo


EINTEL_BIT_25 Constant

EINTEL_BIT_25 = BIT_25;

Unit

JclSysInfo


EINTEL_BIT_26 Constant

EINTEL_BIT_26 = BIT_26;

Unit

JclSysInfo


EINTEL_BIT_27 Constant

EINTEL_BIT_27 = BIT_27;

Unit

JclSysInfo


EINTEL_BIT_28 Constant

EINTEL_BIT_28 = BIT_28;

Unit

JclSysInfo


EINTEL_BIT_29 Constant

EINTEL_BIT_29 = BIT_29;

Unit

JclSysInfo


EINTEL_BIT_30 Constant

EINTEL_BIT_30 = BIT_30;

Unit

JclSysInfo


EINTEL_BIT_31 Constant

EINTEL_BIT_31 = BIT_31;

Unit

JclSysInfo


EINTEL_BIT_5 Constant

EINTEL_BIT_5 = BIT_5;

Unit

JclSysInfo


EINTEL_BIT_6 Constant

EINTEL_BIT_6 = BIT_6;

Unit

JclSysInfo


EINTEL_BIT_9 Constant

EINTEL_BIT_9 = BIT_9;

Unit

JclSysInfo


EINTEL_CNXTID Constant

EINTEL_CNXTID = BIT_10;

Unit

JclSysInfo


EINTEL_DSCPL Constant

EINTEL_DSCPL = BIT_4;

Unit

JclSysInfo


EINTEL_EST Constant

EINTEL_EST = BIT_7;

Unit

JclSysInfo


EINTEL_MONITOR Constant

EINTEL_MONITOR = BIT_3;

Unit

JclSysInfo


EINTEL_SSE3 Constant

EINTEL_SSE3 = BIT_0;

Unit

JclSysInfo


EINTEL_TM2 Constant

EINTEL_TM2 = BIT_8;

Unit

JclSysInfo


EINTEL_XTPR Constant

EINTEL_XTPR = BIT_14;

Unit

JclSysInfo


EINTEL64_BIT_0 Constant

EINTEL64_BIT_0 = BIT_0;

Unit

JclSysInfo


EINTEL64_BIT_1 Constant

EINTEL64_BIT_1 = BIT_1;

Unit

JclSysInfo


EINTEL64_BIT_10 Constant

EINTEL64_BIT_10 = BIT_10;

Unit

JclSysInfo


EINTEL64_BIT_12 Constant

EINTEL64_BIT_12 = BIT_12;

Unit

JclSysInfo


EINTEL64_BIT_13 Constant

EINTEL64_BIT_13 = BIT_13;

Unit

JclSysInfo


EINTEL64_BIT_14 Constant

EINTEL64_BIT_14 = BIT_14;

Unit

JclSysInfo


EINTEL64_BIT_15 Constant

EINTEL64_BIT_15 = BIT_15;

Unit

JclSysInfo


EINTEL64_BIT_16 Constant

EINTEL64_BIT_16 = BIT_16;

Unit

JclSysInfo


EINTEL64_BIT_17 Constant

EINTEL64_BIT_17 = BIT_17;

Unit

JclSysInfo


EINTEL64_BIT_18 Constant

EINTEL64_BIT_18 = BIT_18;

Unit

JclSysInfo


EINTEL64_BIT_19 Constant

EINTEL64_BIT_19 = BIT_19;

Unit

JclSysInfo


EINTEL64_BIT_2 Constant

EINTEL64_BIT_2 = BIT_2;

Unit

JclSysInfo


EINTEL64_BIT_20 Constant

EINTEL64_BIT_20 = BIT_20;

Unit

JclSysInfo


EINTEL64_BIT_21 Constant

EINTEL64_BIT_21 = BIT_21;

Unit

JclSysInfo


EINTEL64_BIT_22 Constant

EINTEL64_BIT_22 = BIT_22;

Unit

JclSysInfo


EINTEL64_BIT_23 Constant

EINTEL64_BIT_23 = BIT_23;

Unit

JclSysInfo


EINTEL64_BIT_24 Constant

EINTEL64_BIT_24 = BIT_24;

Unit

JclSysInfo


EINTEL64_BIT_25 Constant

EINTEL64_BIT_25 = BIT_25;

Unit

JclSysInfo


EINTEL64_BIT_26 Constant

EINTEL64_BIT_26 = BIT_26;

Unit

JclSysInfo


EINTEL64_BIT_27 Constant

EINTEL64_BIT_27 = BIT_27;

Unit

JclSysInfo


EINTEL64_BIT_28 Constant

EINTEL64_BIT_28 = BIT_28;

Unit

JclSysInfo


EINTEL64_BIT_3 Constant

EINTEL64_BIT_3 = BIT_3;

Unit

JclSysInfo


EINTEL64_BIT_30 Constant

EINTEL64_BIT_30 = BIT_30;

Unit

JclSysInfo


EINTEL64_BIT_31 Constant

EINTEL64_BIT_31 = BIT_31;

Unit

JclSysInfo


EINTEL64_BIT_4 Constant

EINTEL64_BIT_4 = BIT_4;

Unit

JclSysInfo


EINTEL64_BIT_5 Constant

EINTEL64_BIT_5 = BIT_5;

Unit

JclSysInfo


EINTEL64_BIT_6 Constant

EINTEL64_BIT_6 = BIT_6;

Unit

JclSysInfo


EINTEL64_BIT_7 Constant

EINTEL64_BIT_7 = BIT_7;

Unit

JclSysInfo


EINTEL64_BIT_8 Constant

EINTEL64_BIT_8 = BIT_8;

Unit

JclSysInfo


EINTEL64_BIT_9 Constant

EINTEL64_BIT_9 = BIT_9;

Unit

JclSysInfo


EINTEL64_EM64T Constant

EINTEL64_EM64T = BIT_29;

Unit

JclSysInfo


EINTEL64_SYS Constant

EINTEL64_SYS = BIT_11;

Unit

JclSysInfo


ElementSpecId_Reserved Constant

ElementSpecId_Reserved = 'Reserved';

Unit

JclEDI


EmptyDelphiSet Constant

EmptyDelphiSet: TDelphiSet = [];

Unit

JclMath


ENCRYPTED_PWLEN Constant

ENCRYPTED_PWLEN = 16;

Unit

JclWin32


EpsilonSqr Constant

EpsilonSqr: Float = 1E-20;

Unit

JclComplex


ERROR_NO_MORE_FILES Constant

ERROR_NO_MORE_FILES = 18;

Unit

JclFileUtils


ETRANSMETA_BIT_10 Constant

ETRANSMETA_BIT_10 = BIT_10;

Unit

JclSysInfo


ETRANSMETA_BIT_11 Constant

ETRANSMETA_BIT_11 = BIT_11;

Unit

JclSysInfo


ETRANSMETA_BIT_12 Constant

ETRANSMETA_BIT_12 = BIT_12;

Unit

JclSysInfo


ETRANSMETA_BIT_13 Constant

ETRANSMETA_BIT_13 = BIT_13;

Unit

JclSysInfo


ETRANSMETA_BIT_14 Constant

ETRANSMETA_BIT_14 = BIT_14;

Unit

JclSysInfo


ETRANSMETA_BIT_17 Constant

ETRANSMETA_BIT_17 = BIT_17;

Unit

JclSysInfo


ETRANSMETA_BIT_18 Constant

ETRANSMETA_BIT_18 = BIT_18;

Unit

JclSysInfo


ETRANSMETA_BIT_19 Constant

ETRANSMETA_BIT_19 = BIT_19;

Unit

JclSysInfo


ETRANSMETA_BIT_20 Constant

ETRANSMETA_BIT_20 = BIT_20;

Unit

JclSysInfo


ETRANSMETA_BIT_21 Constant

ETRANSMETA_BIT_21 = BIT_21;

Unit

JclSysInfo


ETRANSMETA_BIT_22 Constant

ETRANSMETA_BIT_22 = BIT_22;

Unit

JclSysInfo


ETRANSMETA_BIT_24 Constant

ETRANSMETA_BIT_24 = BIT_24;

Unit

JclSysInfo


ETRANSMETA_BIT_25 Constant

ETRANSMETA_BIT_25 = BIT_25;

Unit

JclSysInfo


ETRANSMETA_BIT_26 Constant

ETRANSMETA_BIT_26 = BIT_26;

Unit

JclSysInfo


ETRANSMETA_BIT_27 Constant

ETRANSMETA_BIT_27 = BIT_27;

Unit

JclSysInfo


ETRANSMETA_BIT_28 Constant

ETRANSMETA_BIT_28 = BIT_28;

Unit

JclSysInfo


ETRANSMETA_BIT_29 Constant

ETRANSMETA_BIT_29 = BIT_29;

Unit

JclSysInfo


ETRANSMETA_BIT_30 Constant

ETRANSMETA_BIT_30 = BIT_30;

Unit

JclSysInfo


ETRANSMETA_BIT_31 Constant

ETRANSMETA_BIT_31 = BIT_31;

Unit

JclSysInfo


ETRANSMETA_BIT_6 Constant

ETRANSMETA_BIT_6 = BIT_6;

Unit

JclSysInfo


ETRANSMETA_BIT_7 Constant

ETRANSMETA_BIT_7 = BIT_7;

Unit

JclSysInfo


ETRANSMETA_BIT_9 Constant

ETRANSMETA_BIT_9 = BIT_9;

Unit

JclSysInfo


ETRANSMETA_CMOV Constant

ETRANSMETA_CMOV = BIT_15;

Unit

JclSysInfo


ETRANSMETA_CX8 Constant

ETRANSMETA_CX8 = BIT_8;

Unit

JclSysInfo


ETRANSMETA_DE Constant

ETRANSMETA_DE = BIT_2;

Unit

JclSysInfo


ETRANSMETA_FCMOV Constant

ETRANSMETA_FCMOV = BIT_16;

Unit

JclSysInfo


ETRANSMETA_FPU Constant

ETRANSMETA_FPU = BIT_0;

Unit

JclSysInfo


ETRANSMETA_MMX Constant

ETRANSMETA_MMX = BIT_23;

Unit

JclSysInfo


ETRANSMETA_MSR Constant

ETRANSMETA_MSR = BIT_5;

Unit

JclSysInfo


ETRANSMETA_PSE Constant

ETRANSMETA_PSE = BIT_3;

Unit

JclSysInfo


ETRANSMETA_TSC Constant

ETRANSMETA_TSC = BIT_4;

Unit

JclSysInfo


ETRANSMETA_VME Constant

ETRANSMETA_VME = BIT_1;

Unit

JclSysInfo


EulerMascheroni Constant

EulerMascheroni: Float = 0.5772156649015328606065120900824;

Unit

JclMath


EveryoneSCMDesiredAccess Constant

EveryoneSCMDesiredAccess = SC_MANAGER_CONNECT or SC_MANAGER_ENUMERATE_SERVICE or SC_MANAGER_QUERY_LOCK_STATUS or STANDARD_RIGHTS_READ;

Unit

JclSvcCtrl


EVIA_ACEE Constant

EVIA_ACEE = BIT_7;

Unit

JclSysInfo


EVIA_AIS Constant

EVIA_AIS = BIT_0;

Unit

JclSysInfo


EVIA_AISE Constant

EVIA_AISE = BIT_1;

Unit

JclSysInfo


EVIA_BIT_10 Constant

EVIA_BIT_10 = BIT_10;

Unit

JclSysInfo


EVIA_BIT_11 Constant

EVIA_BIT_11 = BIT_11;

Unit

JclSysInfo


EVIA_BIT_12 Constant

EVIA_BIT_12 = BIT_12;

Unit

JclSysInfo


EVIA_BIT_13 Constant

EVIA_BIT_13 = BIT_13;

Unit

JclSysInfo


EVIA_BIT_14 Constant

EVIA_BIT_14 = BIT_14;

Unit

JclSysInfo


EVIA_BIT_15 Constant

EVIA_BIT_15 = BIT_15;

Unit

JclSysInfo


EVIA_BIT_16 Constant

EVIA_BIT_16 = BIT_16;

Unit

JclSysInfo


EVIA_BIT_17 Constant

EVIA_BIT_17 = BIT_17;

Unit

JclSysInfo


EVIA_BIT_18 Constant

EVIA_BIT_18 = BIT_18;

Unit

JclSysInfo


EVIA_BIT_19 Constant

EVIA_BIT_19 = BIT_19;

Unit

JclSysInfo


EVIA_BIT_20 Constant

EVIA_BIT_20 = BIT_20;

Unit

JclSysInfo


EVIA_BIT_21 Constant

EVIA_BIT_21 = BIT_21;

Unit

JclSysInfo


EVIA_BIT_22 Constant

EVIA_BIT_22 = BIT_22;

Unit

JclSysInfo


EVIA_BIT_23 Constant

EVIA_BIT_23 = BIT_23;

Unit

JclSysInfo


EVIA_BIT_24 Constant

EVIA_BIT_24 = BIT_24;

Unit

JclSysInfo


EVIA_BIT_25 Constant

EVIA_BIT_25 = BIT_25;

Unit

JclSysInfo


EVIA_BIT_26 Constant

EVIA_BIT_26 = BIT_26;

Unit

JclSysInfo


EVIA_BIT_27 Constant

EVIA_BIT_27 = BIT_27;

Unit

JclSysInfo


EVIA_BIT_28 Constant

EVIA_BIT_28 = BIT_28;

Unit

JclSysInfo


EVIA_BIT_29 Constant

EVIA_BIT_29 = BIT_29;

Unit

JclSysInfo


EVIA_BIT_30 Constant

EVIA_BIT_30 = BIT_30;

Unit

JclSysInfo


EVIA_BIT_31 Constant

EVIA_BIT_31 = BIT_31;

Unit

JclSysInfo


EVIA_BIT_8 Constant

EVIA_BIT_8 = BIT_8;

Unit

JclSysInfo


EVIA_BIT_9 Constant

EVIA_BIT_9 = BIT_9;

Unit

JclSysInfo


EVIA_FEMMS Constant

EVIA_FEMMS = BIT_5;

Unit

JclSysInfo


EVIA_MSR Constant

EVIA_MSR = BIT_4;

Unit

JclSysInfo


EVIA_NO_ACE Constant

EVIA_NO_ACE = BIT_6;

Unit

JclSysInfo


EVIA_NO_RNG Constant

EVIA_NO_RNG = BIT_2;

Unit

JclSysInfo


EVIA_RNGE Constant

EVIA_RNGE = BIT_3;

Unit

JclSysInfo


EVLEN Constant

EVLEN = 16;

Unit

JclWin32


faCompressed Constant

faCompressed = $00000800 platform;

Unit

JclFileUtils


faEncrypted Constant

faEncrypted = $00004000 platform;

Unit

JclFileUtils


FahrenheitAbsoluteZero Constant

This constant is representating the absolute zero point in degree Fahrenheit.

Pascal

FahrenheitAbsoluteZero = -459.67;

Unit

JclUnitConv


FahrenheitBoilingPoint Constant

This constant is representating the boiling point of water in degree Fahrenheit.

Pascal

FahrenheitBoilingPoint = 180.0 + FahrenheitFreezingPoint;

Unit

JclUnitConv


FahrenheitFreezingPoint Constant

This constant is representating the freezing point of water in degree Fahrenheit.

Pascal

FahrenheitFreezingPoint = 32.0;

Unit

JclUnitConv


faNormalFile Constant

faNormalFile = $00000080;

Unit

JclFileUtils


faNotContentIndexed Constant

faNotContentIndexed = $00002000 platform;

Unit

JclFileUtils


faOffline Constant

faOffline = $00001000 platform;

Unit

JclFileUtils


faRejectedByDefault Constant

faRejectedByDefault = faHidden + faSysFile + faVolumeID + faDirectory;

Unit

JclFileUtils


faReparsePoint Constant

faReparsePoint = $00000400 platform;

Unit

JclFileUtils


faSparseFile Constant

faSparseFile = $00000200 platform;

Unit

JclFileUtils


faSymLink Constant

faSymLink = $00000040 platform;

Unit

JclFileUtils


faTemporary Constant

faTemporary = $00000100 platform;

Unit

JclFileUtils


faUnixSpecific Constant

faUnixSpecific = faSymLink;

Unit

JclFileUtils


faWindowsSpecific Constant

faWindowsSpecific = faVolumeID + faArchive + faTemporary + faSparseFile + faReparsePoint + faCompressed + faOffline + faNotContentIndexed + faEncrypted;

Unit

JclFileUtils


FGHSegmentId Constant

FGHSegmentId = 'GS';

Unit

JclEDI_ANSIX12


FGTSegmentId Constant

FGTSegmentId = 'GE';

Unit

JclEDI_ANSIX12


FILE_ACTION_ADDED Constant

FILE_ACTION_ADDED = $00000001;

Unit

JclWin32


FILE_ACTION_MODIFIED Constant

FILE_ACTION_MODIFIED = $00000003;

Unit

JclWin32


FILE_ACTION_REMOVED Constant

FILE_ACTION_REMOVED = $00000002;

Unit

JclWin32


FILE_ACTION_RENAMED_NEW_NAME Constant

FILE_ACTION_RENAMED_NEW_NAME = $00000005;

Unit

JclWin32


FILE_ACTION_RENAMED_OLD_NAME Constant

FILE_ACTION_RENAMED_OLD_NAME = $00000004;

Unit

JclWin32


FILE_ADD_FILE Constant

FILE_ADD_FILE = ($0002);

Unit

JclWin32


FILE_ADD_SUBDIRECTORY Constant

FILE_ADD_SUBDIRECTORY = ($0004);

Unit

JclWin32


FILE_ALL_ACCESS Constant

FILE_ALL_ACCESS = (STANDARD_RIGHTS_REQUIRED or SYNCHRONIZE or $1FF);

Unit

JclWin32


FILE_APPEND_DATA Constant

FILE_APPEND_DATA = ($0004);

Unit

JclWin32


FILE_ATTRIBUTE_ARCHIVE Constant

FILE_ATTRIBUTE_ARCHIVE = $00000020;

Unit

JclWin32


FILE_ATTRIBUTE_COMPRESSED Constant

FILE_ATTRIBUTE_COMPRESSED = $00000800;

Unit

JclWin32


FILE_ATTRIBUTE_DIRECTORY Constant

FILE_ATTRIBUTE_DIRECTORY = $00000010;

Unit

JclWin32


FILE_ATTRIBUTE_HIDDEN Constant

FILE_ATTRIBUTE_HIDDEN = $00000002;

Unit

JclWin32


FILE_ATTRIBUTE_NORMAL Constant

FILE_ATTRIBUTE_NORMAL = $00000080;

Unit

JclWin32


FILE_ATTRIBUTE_OFFLINE Constant

FILE_ATTRIBUTE_OFFLINE = $00001000;

Unit

JclWin32


FILE_ATTRIBUTE_READONLY Constant

FILE_ATTRIBUTE_READONLY = $00000001;

Unit

JclWin32


FILE_ATTRIBUTE_SYSTEM Constant

FILE_ATTRIBUTE_SYSTEM = $00000004;

Unit

JclWin32


FILE_ATTRIBUTE_TEMPORARY Constant

FILE_ATTRIBUTE_TEMPORARY = $00000100;

Unit

JclWin32


FILE_CASE_PRESERVED_NAMES Constant

FILE_CASE_PRESERVED_NAMES = $00000002;

Unit

JclWin32


FILE_CASE_SENSITIVE_SEARCH Constant

FILE_CASE_SENSITIVE_SEARCH = $00000001;

Unit

JclWin32


FILE_CREATE_PIPE_INSTANCE Constant

FILE_CREATE_PIPE_INSTANCE = ($0004);

Unit

JclWin32


FILE_DELETE_CHILD Constant

FILE_DELETE_CHILD = ($0040);

Unit

JclWin32


FILE_DEVICE_8042_PORT Constant

FILE_DEVICE_8042_PORT = $00000027;

Unit

JclWin32


FILE_DEVICE_ACPI Constant

FILE_DEVICE_ACPI = $00000032;

Unit

JclWin32


FILE_DEVICE_BATTERY Constant

FILE_DEVICE_BATTERY = $00000029;

Unit

JclWin32


FILE_DEVICE_BEEP Constant

FILE_DEVICE_BEEP = $00000001;

Unit

JclWin32


FILE_DEVICE_BUS_EXTENDER Constant

FILE_DEVICE_BUS_EXTENDER = $0000002a;

Unit

JclWin32


FILE_DEVICE_CD_ROM Constant

FILE_DEVICE_CD_ROM = $00000002;

Unit

JclWin32


FILE_DEVICE_CD_ROM_FILE_SYSTEM Constant

FILE_DEVICE_CD_ROM_FILE_SYSTEM = $00000003;

Unit

JclWin32


FILE_DEVICE_CHANGER Constant

FILE_DEVICE_CHANGER = $00000030;

Unit

JclWin32


FILE_DEVICE_CONTROLLER Constant

FILE_DEVICE_CONTROLLER = $00000004;

Unit

JclWin32


FILE_DEVICE_DATALINK Constant

FILE_DEVICE_DATALINK = $00000005;

Unit

JclWin32


FILE_DEVICE_DFS Constant

FILE_DEVICE_DFS = $00000006;

Unit

JclWin32


FILE_DEVICE_DFS_FILE_SYSTEM Constant

FILE_DEVICE_DFS_FILE_SYSTEM = $00000035;

Unit

JclWin32


FILE_DEVICE_DFS_VOLUME Constant

FILE_DEVICE_DFS_VOLUME = $00000036;

Unit

JclWin32


FILE_DEVICE_DISK Constant

FILE_DEVICE_DISK = $00000007;

Unit

JclWin32


FILE_DEVICE_DISK_FILE_SYSTEM Constant

FILE_DEVICE_DISK_FILE_SYSTEM = $00000008;

Unit

JclWin32


FILE_DEVICE_DVD Constant

FILE_DEVICE_DVD = $00000033;

Unit

JclWin32


FILE_DEVICE_FIPS Constant

FILE_DEVICE_FIPS = $0000003A;

Unit

JclWin32


FILE_DEVICE_FULLSCREEN_VIDEO Constant

FILE_DEVICE_FULLSCREEN_VIDEO = $00000034;

Unit

JclWin32


FILE_DEVICE_INFINIBAND Constant

FILE_DEVICE_INFINIBAND = $0000003B;

Unit

JclWin32


FILE_DEVICE_INPORT_PORT Constant

FILE_DEVICE_INPORT_PORT = $0000000a;

Unit

JclWin32


FILE_DEVICE_KEYBOARD Constant

FILE_DEVICE_KEYBOARD = $0000000b;

Unit

JclWin32


FILE_DEVICE_KS Constant

FILE_DEVICE_KS = $0000002f;

Unit

JclWin32


FILE_DEVICE_KSEC Constant

FILE_DEVICE_KSEC = $00000039;

Unit

JclWin32


FILE_DEVICE_MAILSLOT Constant

FILE_DEVICE_MAILSLOT = $0000000c;

Unit

JclWin32


FILE_DEVICE_MASS_STORAGE Constant

FILE_DEVICE_MASS_STORAGE = $0000002d;

Unit

JclWin32


FILE_DEVICE_MIDI_IN Constant

FILE_DEVICE_MIDI_IN = $0000000d;

Unit

JclWin32


FILE_DEVICE_MIDI_OUT Constant

FILE_DEVICE_MIDI_OUT = $0000000e;

Unit

JclWin32


FILE_DEVICE_MODEM Constant

FILE_DEVICE_MODEM = $0000002b;

Unit

JclWin32


FILE_DEVICE_MOUSE Constant

FILE_DEVICE_MOUSE = $0000000f;

Unit

JclWin32


FILE_DEVICE_MULTI_UNC_PROVIDER Constant

FILE_DEVICE_MULTI_UNC_PROVIDER = $00000010;

Unit

JclWin32


FILE_DEVICE_NAMED_PIPE Constant

FILE_DEVICE_NAMED_PIPE = $00000011;

Unit

JclWin32


FILE_DEVICE_NETWORK Constant

FILE_DEVICE_NETWORK = $00000012;

Unit

JclWin32


FILE_DEVICE_NETWORK_BROWSER Constant

FILE_DEVICE_NETWORK_BROWSER = $00000013;

Unit

JclWin32


FILE_DEVICE_NETWORK_FILE_SYSTEM Constant

FILE_DEVICE_NETWORK_FILE_SYSTEM = $00000014;

Unit

JclWin32


FILE_DEVICE_NETWORK_REDIRECTOR Constant

FILE_DEVICE_NETWORK_REDIRECTOR = $00000028;

Unit

JclWin32


FILE_DEVICE_NULL Constant

FILE_DEVICE_NULL = $00000015;

Unit

JclWin32


FILE_DEVICE_PARALLEL_PORT Constant

FILE_DEVICE_PARALLEL_PORT = $00000016;

Unit

JclWin32


FILE_DEVICE_PHYSICAL_NETCARD Constant

FILE_DEVICE_PHYSICAL_NETCARD = $00000017;

Unit

JclWin32


FILE_DEVICE_PRINTER Constant

FILE_DEVICE_PRINTER = $00000018;

Unit

JclWin32


FILE_DEVICE_SCANNER Constant

FILE_DEVICE_SCANNER = $00000019;

Unit

JclWin32


FILE_DEVICE_SCREEN Constant

FILE_DEVICE_SCREEN = $0000001c;

Unit

JclWin32


FILE_DEVICE_SERENUM Constant

FILE_DEVICE_SERENUM = $00000037;

Unit

JclWin32


FILE_DEVICE_SERIAL_MOUSE_PORT Constant

FILE_DEVICE_SERIAL_MOUSE_PORT = $0000001a;

Unit

JclWin32


FILE_DEVICE_SERIAL_PORT Constant

FILE_DEVICE_SERIAL_PORT = $0000001b;

Unit

JclWin32


FILE_DEVICE_SMARTCARD Constant

FILE_DEVICE_SMARTCARD = $00000031;

Unit

JclWin32


FILE_DEVICE_SMB Constant

FILE_DEVICE_SMB = $0000002e;

Unit

JclWin32


FILE_DEVICE_SOUND Constant

FILE_DEVICE_SOUND = $0000001d;

Unit

JclWin32


FILE_DEVICE_STREAMS Constant

FILE_DEVICE_STREAMS = $0000001e;

Unit

JclWin32


FILE_DEVICE_TAPE Constant

FILE_DEVICE_TAPE = $0000001f;

Unit

JclWin32


FILE_DEVICE_TAPE_FILE_SYSTEM Constant

FILE_DEVICE_TAPE_FILE_SYSTEM = $00000020;

Unit

JclWin32


FILE_DEVICE_TERMSRV Constant

FILE_DEVICE_TERMSRV = $00000038;

Unit

JclWin32


FILE_DEVICE_TRANSPORT Constant

FILE_DEVICE_TRANSPORT = $00000021;

Unit

JclWin32


FILE_DEVICE_UNKNOWN Constant

FILE_DEVICE_UNKNOWN = $00000022;

Unit

JclWin32


FILE_DEVICE_VDM Constant

FILE_DEVICE_VDM = $0000002c;

Unit

JclWin32


FILE_DEVICE_VIDEO Constant

FILE_DEVICE_VIDEO = $00000023;

Unit

JclWin32


FILE_DEVICE_VIRTUAL_DISK Constant

FILE_DEVICE_VIRTUAL_DISK = $00000024;

Unit

JclWin32


FILE_DEVICE_WAVE_IN Constant

FILE_DEVICE_WAVE_IN = $00000025;

Unit

JclWin32


FILE_DEVICE_WAVE_OUT Constant

FILE_DEVICE_WAVE_OUT = $00000026;

Unit

JclWin32


FILE_EXECUTE Constant

FILE_EXECUTE = ($0020);

Unit

JclWin32


FILE_FILE_COMPRESSION Constant

FILE_FILE_COMPRESSION = $00000010;

Unit

JclWin32


FILE_FLAG_BACKUP_SEMANTICS Constant

FILE_FLAG_BACKUP_SEMANTICS = $02000000;

Unit

JclWin32


FILE_FLAG_DELETE_ON_CLOSE Constant

FILE_FLAG_DELETE_ON_CLOSE = $04000000;

Unit

JclWin32


FILE_FLAG_FIRST_PIPE_INSTANCE Constant

FILE_FLAG_FIRST_PIPE_INSTANCE = $00080000;

Unit

JclWin32


FILE_FLAG_NO_BUFFERING Constant

FILE_FLAG_NO_BUFFERING = $20000000;

Unit

JclWin32


FILE_FLAG_OPEN_NO_RECALL Constant

FILE_FLAG_OPEN_NO_RECALL = $00100000;

Unit

JclWin32


FILE_FLAG_OVERLAPPED Constant

FILE_FLAG_OVERLAPPED = $40000000;

Unit

JclWin32


FILE_FLAG_POSIX_SEMANTICS Constant

FILE_FLAG_POSIX_SEMANTICS = $01000000;

Unit

JclWin32


FILE_FLAG_RANDOM_ACCESS Constant

FILE_FLAG_RANDOM_ACCESS = $10000000;

Unit

JclWin32


FILE_FLAG_SEQUENTIAL_SCAN Constant

FILE_FLAG_SEQUENTIAL_SCAN = $08000000;

Unit

JclWin32


FILE_FLAG_WRITE_THROUGH Constant

FILE_FLAG_WRITE_THROUGH = DWORD($80000000);

Unit

JclWin32


FILE_GENERIC_EXECUTE Constant

FILE_GENERIC_EXECUTE = (STANDARD_RIGHTS_EXECUTE or FILE_READ_ATTRIBUTES or FILE_EXECUTE or SYNCHRONIZE);

Unit

JclWin32


FILE_GENERIC_READ Constant

FILE_GENERIC_READ = (STANDARD_RIGHTS_READ or FILE_READ_DATA or FILE_READ_ATTRIBUTES or FILE_READ_EA or SYNCHRONIZE);

Unit

JclWin32


FILE_GENERIC_WRITE Constant

FILE_GENERIC_WRITE = (STANDARD_RIGHTS_WRITE or FILE_WRITE_DATA or FILE_WRITE_ATTRIBUTES or FILE_WRITE_EA or FILE_APPEND_DATA or SYNCHRONIZE);

Unit

JclWin32


FILE_LIST_DIRECTORY Constant

FILE_LIST_DIRECTORY = ($0001);

Unit

JclWin32


FILE_NAMED_STREAMS Constant

FILE_NAMED_STREAMS = $00040000;

Unit

JclWin32


FILE_NOTIFY_CHANGE_ATTRIBUTES Constant

FILE_NOTIFY_CHANGE_ATTRIBUTES = $00000004;

Unit

JclWin32


FILE_NOTIFY_CHANGE_CREATION Constant

FILE_NOTIFY_CHANGE_CREATION = $00000040;

Unit

JclWin32


FILE_NOTIFY_CHANGE_DIR_NAME Constant

FILE_NOTIFY_CHANGE_DIR_NAME = $00000002;

Unit

JclWin32


FILE_NOTIFY_CHANGE_FILE_NAME Constant

FILE_NOTIFY_CHANGE_FILE_NAME = $00000001;

Unit

JclWin32


FILE_NOTIFY_CHANGE_LAST_ACCESS Constant

FILE_NOTIFY_CHANGE_LAST_ACCESS = $00000020;

Unit

JclWin32


FILE_NOTIFY_CHANGE_LAST_WRITE Constant

FILE_NOTIFY_CHANGE_LAST_WRITE = $00000010;

Unit

JclWin32


FILE_NOTIFY_CHANGE_SECURITY Constant

FILE_NOTIFY_CHANGE_SECURITY = $00000100;

Unit

JclWin32


FILE_NOTIFY_CHANGE_SIZE Constant

FILE_NOTIFY_CHANGE_SIZE = $00000008;

Unit

JclWin32


FILE_PERSISTENT_ACLS Constant

FILE_PERSISTENT_ACLS = $00000008;

Unit

JclWin32


FILE_READ_ATTRIBUTES Constant

FILE_READ_ATTRIBUTES = ($0080);

Unit

JclWin32


FILE_READ_EA Constant

FILE_READ_EA = ($0008);

Unit

JclWin32


FILE_READ_ONLY_VOLUME Constant

FILE_READ_ONLY_VOLUME = $00080000;

Unit

JclWin32


FILE_SHARE_DELETE Constant

FILE_SHARE_DELETE = $00000004;

Unit

JclWin32


FILE_SHARE_READ Constant

FILE_SHARE_READ = $00000001;

Unit

JclWin32


FILE_SHARE_WRITE Constant

FILE_SHARE_WRITE = $00000002;

Unit

JclWin32


FILE_SUPPORTS_ENCRYPTION Constant

FILE_SUPPORTS_ENCRYPTION = $00020000;

Unit

JclWin32


FILE_SUPPORTS_OBJECT_IDS Constant

FILE_SUPPORTS_OBJECT_IDS = $00010000;

Unit

JclWin32


FILE_SUPPORTS_REMOTE_STORAGE Constant

FILE_SUPPORTS_REMOTE_STORAGE = $00000100;

Unit

JclWin32


FILE_TRAVERSE Constant

FILE_TRAVERSE = ($0020);

Unit

JclWin32


FILE_UNICODE_ON_DISK Constant

FILE_UNICODE_ON_DISK = $00000004;

Unit

JclWin32


FILE_VOLUME_IS_COMPRESSED Constant

FILE_VOLUME_IS_COMPRESSED = $00008000;

Unit

JclWin32


FILE_VOLUME_QUOTAS Constant

FILE_VOLUME_QUOTAS = $00000020;

Unit

JclWin32


FILE_WRITE_ATTRIBUTES Constant

FILE_WRITE_ATTRIBUTES = ($0100);

Unit

JclWin32


FILE_WRITE_EA Constant

FILE_WRITE_EA = ($0010);

Unit

JclWin32


FOREST_USER_RID_MAX Constant

FOREST_USER_RID_MAX = ($000001F3);

Unit

JclWin32


FPOFLAGS_FRAME Constant

FPOFLAGS_FRAME = $C000;

Unit

JclWin32


FPOFLAGS_HAS_SEH Constant

FPOFLAGS_HAS_SEH = $0800;

Unit

JclWin32


FPOFLAGS_PROLOG Constant

FPOFLAGS_PROLOG = $00FF;

Unit

JclWin32


FPOFLAGS_REGS Constant

FPOFLAGS_REGS = $0700;

Unit

JclWin32


FPOFLAGS_RESERVED Constant

FPOFLAGS_RESERVED = $2000;

Unit

JclWin32


FPOFLAGS_USE_BP Constant

FPOFLAGS_USE_BP = $1000;

Unit

JclWin32


FPU_FLAG Constant

FPU_FLAG = BIT_0;

Unit

JclSysInfo


FRAME_FPO Constant

FRAME_FPO = 0;

Unit

JclWin32


FRAME_NONFPO Constant

FRAME_NONFPO = 3;

Unit

JclWin32


FRAME_TRAP Constant

FRAME_TRAP = 1;

Unit

JclWin32


FRAME_TSS Constant

FRAME_TSS = 2;

Unit

JclWin32


FSCTL_ALLOW_EXTENDED_DASD_IO Constant

FSCTL_ALLOW_EXTENDED_DASD_IO = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (32 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_CREATE_OR_GET_OBJECT_ID Constant

FSCTL_CREATE_OR_GET_OBJECT_ID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (48 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_CREATE_USN_JOURNAL Constant

FSCTL_CREATE_USN_JOURNAL = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (57 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_DELETE_OBJECT_ID Constant

FSCTL_DELETE_OBJECT_ID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (40 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_DELETE_USN_JOURNAL Constant

FSCTL_DELETE_USN_JOURNAL = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (62 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_DISMOUNT_VOLUME Constant

FSCTL_DISMOUNT_VOLUME = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (8 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_ENCRYPTION_FSCTL_IO Constant

FSCTL_ENCRYPTION_FSCTL_IO = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (54 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_ENUM_USN_DATA Constant

FSCTL_ENUM_USN_DATA = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (44 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_EXTEND_VOLUME Constant

FSCTL_EXTEND_VOLUME = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (60 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_FILE_PREFETCH Constant

FSCTL_FILE_PREFETCH = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (72 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_FILESYSTEM_GET_STATISTICS Constant

FSCTL_FILESYSTEM_GET_STATISTICS = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (24 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_FIND_FILES_BY_SID Constant

FSCTL_FIND_FILES_BY_SID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (35 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_GET_NTFS_FILE_RECORD Constant

FSCTL_GET_NTFS_FILE_RECORD = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (26 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_GET_NTFS_VOLUME_DATA Constant

FSCTL_GET_NTFS_VOLUME_DATA = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (25 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_GET_OBJECT_ID Constant

FSCTL_GET_OBJECT_ID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (39 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_GET_RETRIEVAL_POINTERS Constant

FSCTL_GET_RETRIEVAL_POINTERS = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (28 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_GET_VOLUME_BITMAP Constant

FSCTL_GET_VOLUME_BITMAP = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (27 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_HSM_DATA Constant

FSCTL_HSM_DATA = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or ((FILE_READ_DATA or FILE_WRITE_DATA) shl 14) or (68 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_HSM_MSG Constant

FSCTL_HSM_MSG = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or ((FILE_READ_DATA or FILE_WRITE_DATA) shl 14) or (66 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_INVALIDATE_VOLUMES Constant

FSCTL_INVALIDATE_VOLUMES = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (21 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_IS_PATHNAME_VALID Constant

FSCTL_IS_PATHNAME_VALID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (11 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_IS_VOLUME_DIRTY Constant

FSCTL_IS_VOLUME_DIRTY = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (30 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_IS_VOLUME_MOUNTED Constant

FSCTL_IS_VOLUME_MOUNTED = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (10 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_MARK_AS_SYSTEM_HIVE Constant

FSCTL_MARK_AS_SYSTEM_HIVE = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (19 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_MARK_HANDLE Constant

FSCTL_MARK_HANDLE = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (63 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_MARK_VOLUME_DIRTY Constant

FSCTL_MARK_VOLUME_DIRTY = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (12 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_MOVE_FILE Constant

FSCTL_MOVE_FILE = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (29 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_QUERY_FAT_BPB Constant

FSCTL_QUERY_FAT_BPB = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (22 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_QUERY_RETRIEVAL_POINTERS Constant

FSCTL_QUERY_RETRIEVAL_POINTERS = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (14 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_QUERY_USN_JOURNAL Constant

FSCTL_QUERY_USN_JOURNAL = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (61 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_READ_FILE_USN_DATA Constant

FSCTL_READ_FILE_USN_DATA = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (58 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_READ_FROM_PLEX Constant

FSCTL_READ_FROM_PLEX = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_READ_DATA shl 14) or (71 shl 2) or METHOD_OUT_DIRECT);

Unit

JclWin32


FSCTL_READ_RAW_ENCRYPTED Constant

FSCTL_READ_RAW_ENCRYPTED = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (56 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_READ_USN_JOURNAL Constant

FSCTL_READ_USN_JOURNAL = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (46 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_RECALL_FILE Constant

FSCTL_RECALL_FILE = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (69 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_SECURITY_ID_CHECK Constant

FSCTL_SECURITY_ID_CHECK = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_READ_DATA shl 14) or (45 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_SET_ENCRYPTION Constant

FSCTL_SET_ENCRYPTION = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (53 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_SET_OBJECT_ID Constant

FSCTL_SET_OBJECT_ID = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (38 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_SET_OBJECT_ID_EXTENDED Constant

FSCTL_SET_OBJECT_ID_EXTENDED = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (47 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_SIS_COPYFILE Constant

FSCTL_SIS_COPYFILE = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (64 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_SIS_LINK_FILES Constant

FSCTL_SIS_LINK_FILES = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or ((FILE_READ_DATA or FILE_WRITE_DATA) shl 14) or (65 shl 2) or METHOD_BUFFERED);

Unit

JclWin32


FSCTL_WRITE_RAW_ENCRYPTED Constant

FSCTL_WRITE_RAW_ENCRYPTED = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_SPECIAL_ACCESS shl 14) or (55 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FSCTL_WRITE_USN_CLOSE_RECORD Constant

FSCTL_WRITE_USN_CLOSE_RECORD = ( (FILE_DEVICE_FILE_SYSTEM shl 16) or (FILE_ANY_ACCESS shl 14) or (59 shl 2) or METHOD_NEITHER);

Unit

JclWin32


FXSR_FLAG Constant

FXSR_FLAG = BIT_24;

Unit

JclSysInfo


GNLEN Constant

GNLEN = UNLEN;

Unit

JclWin32


GoldenMean Constant

GoldenMean: Float = 1.618033988749894848204586834365638;

Unit

JclMath


GradPerCycle Constant

GradPerCycle: Float = 400.0;

Unit

JclUnitConv


GradPerDeg Constant

GradPerDeg: Float = 1.1111111111111111111111111111111;

Unit

JclUnitConv


GradPerRad Constant

GradPerRad: Float = 63.661977236758134307553505349006;

Unit

JclUnitConv


GROUP_NAME Constant

GROUP_NAME = $80;

Unit

JclWin32


HANGUP_COMPLETE Constant

HANGUP_COMPLETE = $05;

Unit

JclWin32


HANGUP_PENDING Constant

HANGUP_PENDING = $04;

Unit

JclWin32


HELP_MSG_FILENAME Constant

HELP_MSG_FILENAME = 'NETH';

Unit

JclWin32


HKCC Constant

HKCC = DelphiHKEY(HKEY_CURRENT_CONFIG);

Unit

JclRegistry


HKCR Constant

HKCR = DelphiHKEY(HKEY_CLASSES_ROOT);

Unit

JclRegistry


HKCU Constant

HKCU = DelphiHKEY(HKEY_CURRENT_USER);

Unit

JclRegistry


HKDD Constant

HKDD = DelphiHKEY(HKEY_DYN_DATA);

Unit

JclRegistry


HKEY_CLASSES_ROOT Constant

HKEY_CLASSES_ROOT = DWORD($80000000);

Unit

JclWin32


HKEY_CURRENT_CONFIG Constant

HKEY_CURRENT_CONFIG = DWORD($80000005);

Unit

JclWin32


HKEY_CURRENT_USER Constant

HKEY_CURRENT_USER = DWORD($80000001);

Unit

JclWin32


HKEY_DYN_DATA Constant

HKEY_DYN_DATA = DWORD($80000006);

Unit

JclWin32


HKEY_LOCAL_MACHINE Constant

HKEY_LOCAL_MACHINE = DWORD($80000002);

Unit

JclWin32


HKEY_PERFORMANCE_DATA Constant

HKEY_PERFORMANCE_DATA = DWORD($80000004);

Unit

JclWin32


HKEY_USERS Constant

HKEY_USERS = DWORD($80000003);

Unit

JclWin32


HKLM Constant

HKLM = DelphiHKEY(HKEY_LOCAL_MACHINE);

Unit

JclRegistry


HKPD Constant

HKPD = DelphiHKEY(HKEY_PERFORMANCE_DATA);

Unit

JclRegistry


HKUS Constant

HKUS = DelphiHKEY(HKEY_USERS);

Unit

JclRegistry


HTT_FLAG Constant

HTT_FLAG = BIT_28;

Unit

JclSysInfo


IAHFLAGS_NAMETYPE Constant

IAHFLAGS_NAMETYPE = $001C;

Unit

JclWin32


IAHFLAGS_RESERVED Constant

IAHFLAGS_RESERVED = $FFE0;

Unit

JclWin32


IAHMASK_MBZ16 Constant

IAHMASK_MBZ16 = DWORD($FFFF0000);

Unit

JclWin32


IAHMASK_MBZ7 Constant

IAHMASK_MBZ7 = $000000FE;

Unit

JclWin32


IAHMASK_SHIFT Constant

IAHMASK_SHIFT = $0000FF00;

Unit

JclWin32


IAHMASK_VALUE Constant

IAHMASK_VALUE = $00000001;

Unit

JclWin32


ICHSegmentId Constant

ICHSegmentId = 'ISA';

Unit

JclEDI_ANSIX12


icMAX_CATEGORY_DESC_LEN Constant

icMAX_CATEGORY_DESC_LEN = 128;

Unit

JclCOM


ICTSegmentId Constant

ICTSegmentId = 'IEA';

Unit

JclEDI_ANSIX12


IMAGE_ARCHIVE_END Constant

IMAGE_ARCHIVE_END = '`'#10;

Unit

JclWin32


IMAGE_ARCHIVE_LINKER_MEMBER Constant

IMAGE_ARCHIVE_LINKER_MEMBER = '/               ';

Unit

JclWin32


IMAGE_ARCHIVE_LONGNAMES_MEMBER Constant

IMAGE_ARCHIVE_LONGNAMES_MEMBER = '//              ';

Unit

JclWin32


IMAGE_ARCHIVE_PAD Constant

IMAGE_ARCHIVE_PAD = #10;

Unit

JclWin32


IMAGE_ARCHIVE_START Constant

IMAGE_ARCHIVE_START = '!<arch>'#10;

Unit

JclWin32


IMAGE_ARCHIVE_START_SIZE Constant

IMAGE_ARCHIVE_START_SIZE = 8;

Unit

JclWin32


IMAGE_COR_EATJ_THUNK_SIZE Constant

IMAGE_COR_EATJ_THUNK_SIZE = 32;

Unit

JclWin32


IMAGE_COR_MIH_BASICBLOCK Constant

IMAGE_COR_MIH_BASICBLOCK = $08;

Unit

JclWin32


IMAGE_COR_MIH_EHRVA Constant

IMAGE_COR_MIH_EHRVA = $02;

Unit

JclWin32


IMAGE_COR_MIH_METHODRVA Constant

IMAGE_COR_MIH_METHODRVA = $01;

Unit

JclWin32


IMAGE_DEBUG_MISC_EXENAME Constant

IMAGE_DEBUG_MISC_EXENAME = 1;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_ARCHITECTURE Constant

IMAGE_DIRECTORY_ENTRY_ARCHITECTURE = 7;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_BASERELOC Constant

IMAGE_DIRECTORY_ENTRY_BASERELOC = 5;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT Constant

IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT = 11;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_DEBUG Constant

IMAGE_DIRECTORY_ENTRY_DEBUG = 6;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_EXCEPTION Constant

IMAGE_DIRECTORY_ENTRY_EXCEPTION = 3;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_EXPORT Constant

IMAGE_DIRECTORY_ENTRY_EXPORT = 0;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_GLOBALPTR Constant

IMAGE_DIRECTORY_ENTRY_GLOBALPTR = 8;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_IAT Constant

IMAGE_DIRECTORY_ENTRY_IAT = 12;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_IMPORT Constant

IMAGE_DIRECTORY_ENTRY_IMPORT = 1;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG Constant

IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG = 10;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_RESOURCE Constant

IMAGE_DIRECTORY_ENTRY_RESOURCE = 2;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_SECURITY Constant

IMAGE_DIRECTORY_ENTRY_SECURITY = 4;

Unit

JclWin32


IMAGE_DIRECTORY_ENTRY_TLS Constant

IMAGE_DIRECTORY_ENTRY_TLS = 9;

Unit

JclWin32


IMAGE_DLLCHARACTERISTICS_NO_BIND Constant

IMAGE_DLLCHARACTERISTICS_NO_BIND = $0800;

Unit

JclWin32


IMAGE_DLLCHARACTERISTICS_NO_ISOLATION Constant

IMAGE_DLLCHARACTERISTICS_NO_ISOLATION = $0200;

Unit

JclWin32


IMAGE_DLLCHARACTERISTICS_NO_SEH Constant

IMAGE_DLLCHARACTERISTICS_NO_SEH = $0400;

Unit

JclWin32


IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER_AWARE Constant

IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER_AWARE = $8000;

Unit

JclWin32


IMAGE_DLLCHARACTERISTICS_WDM_DRIVER Constant

IMAGE_DLLCHARACTERISTICS_WDM_DRIVER = $2000;

Unit

JclWin32


IMAGE_FILE_32BIT_MACHINE Constant

IMAGE_FILE_32BIT_MACHINE = $0100;

Unit

JclWin32


IMAGE_FILE_AGGRESIVE_WS_TRIM Constant

IMAGE_FILE_AGGRESIVE_WS_TRIM = $0010;

Unit

JclWin32


IMAGE_FILE_BYTES_REVERSED_HI Constant

IMAGE_FILE_BYTES_REVERSED_HI = $8000;

Unit

JclWin32


IMAGE_FILE_BYTES_REVERSED_LO Constant

IMAGE_FILE_BYTES_REVERSED_LO = $0080;

Unit

JclWin32


IMAGE_FILE_DEBUG_STRIPPED Constant

IMAGE_FILE_DEBUG_STRIPPED = $0200;

Unit

JclWin32


IMAGE_FILE_DLL Constant

IMAGE_FILE_DLL = $2000;

Unit

JclWin32


IMAGE_FILE_EXECUTABLE_IMAGE Constant

IMAGE_FILE_EXECUTABLE_IMAGE = $0002;

Unit

JclWin32


IMAGE_FILE_LARGE_ADDRESS_AWARE Constant

IMAGE_FILE_LARGE_ADDRESS_AWARE = $0020;

Unit

JclWin32


IMAGE_FILE_LINE_NUMS_STRIPPED Constant

IMAGE_FILE_LINE_NUMS_STRIPPED = $0004;

Unit

JclWin32


IMAGE_FILE_LOCAL_SYMS_STRIPPED Constant

IMAGE_FILE_LOCAL_SYMS_STRIPPED = $0008;

Unit

JclWin32


IMAGE_FILE_MACHINE_ALPHA Constant

IMAGE_FILE_MACHINE_ALPHA = $0184;

Unit

JclWin32


IMAGE_FILE_MACHINE_ALPHA64 Constant

IMAGE_FILE_MACHINE_ALPHA64 = $0284;

Unit

JclWin32


IMAGE_FILE_MACHINE_AM33 Constant

IMAGE_FILE_MACHINE_AM33 = $01d3;

Unit

JclWin32


IMAGE_FILE_MACHINE_AMD64 Constant

IMAGE_FILE_MACHINE_AMD64 = $8664;

Unit

JclWin32


IMAGE_FILE_MACHINE_ARM Constant

IMAGE_FILE_MACHINE_ARM = $01c0;

Unit

JclWin32


IMAGE_FILE_MACHINE_AXP64 Constant

IMAGE_FILE_MACHINE_AXP64 = IMAGE_FILE_MACHINE_ALPHA64;

Unit

JclWin32


IMAGE_FILE_MACHINE_CEE Constant

IMAGE_FILE_MACHINE_CEE = $C0EE;

Unit

JclWin32


IMAGE_FILE_MACHINE_CEF Constant

IMAGE_FILE_MACHINE_CEF = $0CEF;

Unit

JclWin32


IMAGE_FILE_MACHINE_EBC Constant

IMAGE_FILE_MACHINE_EBC = $0EBC;

Unit

JclWin32


IMAGE_FILE_MACHINE_I386 Constant

IMAGE_FILE_MACHINE_I386 = $014c;

Unit

JclWin32


IMAGE_FILE_MACHINE_IA64 Constant

IMAGE_FILE_MACHINE_IA64 = $0200;

Unit

JclWin32


IMAGE_FILE_MACHINE_M32R Constant

IMAGE_FILE_MACHINE_M32R = $9041;

Unit

JclWin32


IMAGE_FILE_MACHINE_MIPS16 Constant

IMAGE_FILE_MACHINE_MIPS16 = $0266;

Unit

JclWin32


IMAGE_FILE_MACHINE_MIPSFPU Constant

IMAGE_FILE_MACHINE_MIPSFPU = $0366;

Unit

JclWin32


IMAGE_FILE_MACHINE_MIPSFPU16 Constant

IMAGE_FILE_MACHINE_MIPSFPU16 = $0466;

Unit

JclWin32


IMAGE_FILE_MACHINE_POWERPC Constant

IMAGE_FILE_MACHINE_POWERPC = $01F0;

Unit

JclWin32


IMAGE_FILE_MACHINE_POWERPCFP Constant

IMAGE_FILE_MACHINE_POWERPCFP = $01f1;

Unit

JclWin32


IMAGE_FILE_MACHINE_R10000 Constant

IMAGE_FILE_MACHINE_R10000 = $0168;

Unit

JclWin32


IMAGE_FILE_MACHINE_R3000 Constant

IMAGE_FILE_MACHINE_R3000 = $0162;

Unit

JclWin32


IMAGE_FILE_MACHINE_R4000 Constant

IMAGE_FILE_MACHINE_R4000 = $0166;

Unit

JclWin32


IMAGE_FILE_MACHINE_SH3 Constant

IMAGE_FILE_MACHINE_SH3 = $01a2;

Unit

JclWin32


IMAGE_FILE_MACHINE_SH3DSP Constant

IMAGE_FILE_MACHINE_SH3DSP = $01a3;

Unit

JclWin32


IMAGE_FILE_MACHINE_SH3E Constant

IMAGE_FILE_MACHINE_SH3E = $01a4;

Unit

JclWin32


IMAGE_FILE_MACHINE_SH4 Constant

IMAGE_FILE_MACHINE_SH4 = $01a6;

Unit

JclWin32


IMAGE_FILE_MACHINE_SH5 Constant

IMAGE_FILE_MACHINE_SH5 = $01a8;

Unit

JclWin32


IMAGE_FILE_MACHINE_THUMB Constant

IMAGE_FILE_MACHINE_THUMB = $01c2;

Unit

JclWin32


IMAGE_FILE_MACHINE_TRICORE Constant

IMAGE_FILE_MACHINE_TRICORE = $0520;

Unit

JclWin32


IMAGE_FILE_MACHINE_UNKNOWN Constant

IMAGE_FILE_MACHINE_UNKNOWN = 0;

Unit

JclWin32


IMAGE_FILE_MACHINE_WCEMIPSV2 Constant

IMAGE_FILE_MACHINE_WCEMIPSV2 = $0169;

Unit

JclWin32


IMAGE_FILE_NET_RUN_FROM_SWAP Constant

IMAGE_FILE_NET_RUN_FROM_SWAP = $0800;

Unit

JclWin32


IMAGE_FILE_RELOCS_STRIPPED Constant

IMAGE_FILE_RELOCS_STRIPPED = $0001;

Unit

JclWin32


IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP Constant

IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP = $0400;

Unit

JclWin32


IMAGE_FILE_SYSTEM Constant

IMAGE_FILE_SYSTEM = $1000;

Unit

JclWin32


IMAGE_FILE_UP_SYSTEM_ONLY Constant

IMAGE_FILE_UP_SYSTEM_ONLY = $4000;

Unit

JclWin32


IMAGE_NT_OPTIONAL_HDR_MAGIC Constant

IMAGE_NT_OPTIONAL_HDR_MAGIC = IMAGE_NT_OPTIONAL_HDR32_MAGIC;

Unit

JclWin32


IMAGE_NT_OPTIONAL_HDR32_MAGIC Constant

IMAGE_NT_OPTIONAL_HDR32_MAGIC = $10b;

Unit

JclWin32


IMAGE_NT_OPTIONAL_HDR64_MAGIC Constant

IMAGE_NT_OPTIONAL_HDR64_MAGIC = $20b;

Unit

JclWin32


IMAGE_NUMBEROF_DIRECTORY_ENTRIES Constant

IMAGE_NUMBEROF_DIRECTORY_ENTRIES = 16;

Unit

JclWin32


IMAGE_ORDINAL_FLAG32 Constant

IMAGE_ORDINAL_FLAG32 = DWORD($80000000);

Unit

JclWin32


IMAGE_ORDINAL_FLAG64 Constant

IMAGE_ORDINAL_FLAG64 = ULONGLONG($8000000000000000);

Unit

JclWin32


IMAGE_ROM_OPTIONAL_HDR_MAGIC Constant

IMAGE_ROM_OPTIONAL_HDR_MAGIC = $107;

Unit

JclWin32


IMAGE_SCN_ALIGN_1024BYTES Constant

IMAGE_SCN_ALIGN_1024BYTES = $00B00000;

Unit

JclWin32


IMAGE_SCN_ALIGN_128BYTES Constant

IMAGE_SCN_ALIGN_128BYTES = $00800000;

Unit

JclWin32


IMAGE_SCN_ALIGN_16BYTES Constant

IMAGE_SCN_ALIGN_16BYTES = $00500000;

Unit

JclWin32


IMAGE_SCN_ALIGN_1BYTES Constant

IMAGE_SCN_ALIGN_1BYTES = $00100000;

Unit

JclWin32


IMAGE_SCN_ALIGN_2048BYTES Constant

IMAGE_SCN_ALIGN_2048BYTES = $00C00000;

Unit

JclWin32


IMAGE_SCN_ALIGN_256BYTES Constant

IMAGE_SCN_ALIGN_256BYTES = $00900000;

Unit

JclWin32


IMAGE_SCN_ALIGN_2BYTES Constant

IMAGE_SCN_ALIGN_2BYTES = $00200000;

Unit

JclWin32


IMAGE_SCN_ALIGN_32BYTES Constant

IMAGE_SCN_ALIGN_32BYTES = $00600000;

Unit

JclWin32


IMAGE_SCN_ALIGN_4096BYTES Constant

IMAGE_SCN_ALIGN_4096BYTES = $00D00000;

Unit

JclWin32


IMAGE_SCN_ALIGN_4BYTES Constant

IMAGE_SCN_ALIGN_4BYTES = $00300000;

Unit

JclWin32


IMAGE_SCN_ALIGN_512BYTES Constant

IMAGE_SCN_ALIGN_512BYTES = $00A00000;

Unit

JclWin32


IMAGE_SCN_ALIGN_64BYTES Constant

IMAGE_SCN_ALIGN_64BYTES = $00700000;

Unit

JclWin32


IMAGE_SCN_ALIGN_8192BYTES Constant

IMAGE_SCN_ALIGN_8192BYTES = $00E00000;

Unit

JclWin32


IMAGE_SCN_ALIGN_8BYTES Constant

IMAGE_SCN_ALIGN_8BYTES = $00400000;

Unit

JclWin32


IMAGE_SCN_ALIGN_MASK Constant

IMAGE_SCN_ALIGN_MASK = $00F00000;

Unit

JclWin32


IMAGE_SCN_CNT_CODE Constant

IMAGE_SCN_CNT_CODE = $00000020;

Unit

JclWin32


IMAGE_SCN_CNT_INITIALIZED_DATA Constant

IMAGE_SCN_CNT_INITIALIZED_DATA = $00000040;

Unit

JclWin32


IMAGE_SCN_CNT_UNINITIALIZED_DATA Constant

IMAGE_SCN_CNT_UNINITIALIZED_DATA = $00000080;

Unit

JclWin32


IMAGE_SCN_GPREL Constant

IMAGE_SCN_GPREL = $00008000;

Unit

JclWin32


IMAGE_SCN_LNK_COMDAT Constant

IMAGE_SCN_LNK_COMDAT = $00001000;

Unit

JclWin32


IMAGE_SCN_LNK_INFO Constant

IMAGE_SCN_LNK_INFO = $00000200;

Unit

JclWin32


IMAGE_SCN_LNK_NRELOC_OVFL Constant

IMAGE_SCN_LNK_NRELOC_OVFL = $01000000;

Unit

JclWin32


IMAGE_SCN_LNK_OTHER Constant

IMAGE_SCN_LNK_OTHER = $00000100;

Unit

JclWin32


IMAGE_SCN_LNK_REMOVE Constant

IMAGE_SCN_LNK_REMOVE = $00000800;

Unit

JclWin32


IMAGE_SCN_MEM_16BIT Constant

IMAGE_SCN_MEM_16BIT = $00020000;

Unit

JclWin32


IMAGE_SCN_MEM_DISCARDABLE Constant

IMAGE_SCN_MEM_DISCARDABLE = $02000000;

Unit

JclWin32


IMAGE_SCN_MEM_EXECUTE Constant

IMAGE_SCN_MEM_EXECUTE = $20000000;

Unit

JclWin32


IMAGE_SCN_MEM_FARDATA Constant

IMAGE_SCN_MEM_FARDATA = $00008000;

Unit

JclWin32


IMAGE_SCN_MEM_LOCKED Constant

IMAGE_SCN_MEM_LOCKED = $00040000;

Unit

JclWin32


IMAGE_SCN_MEM_NOT_CACHED Constant

IMAGE_SCN_MEM_NOT_CACHED = $04000000;

Unit

JclWin32


IMAGE_SCN_MEM_NOT_PAGED Constant

IMAGE_SCN_MEM_NOT_PAGED = $08000000;

Unit

JclWin32


IMAGE_SCN_MEM_PRELOAD Constant

IMAGE_SCN_MEM_PRELOAD = $00080000;

Unit

JclWin32


IMAGE_SCN_MEM_PURGEABLE Constant

IMAGE_SCN_MEM_PURGEABLE = $00020000;

Unit

JclWin32


IMAGE_SCN_MEM_READ Constant

IMAGE_SCN_MEM_READ = $40000000;

Unit

JclWin32


IMAGE_SCN_MEM_SHARED Constant

IMAGE_SCN_MEM_SHARED = $10000000;

Unit

JclWin32


IMAGE_SCN_MEM_WRITE Constant

IMAGE_SCN_MEM_WRITE = DWORD($80000000);

Unit

JclWin32


IMAGE_SCN_NO_DEFER_SPEC_EXC Constant

IMAGE_SCN_NO_DEFER_SPEC_EXC = $00004000;

Unit

JclWin32


IMAGE_SCN_TYPE_NO_PAD Constant

IMAGE_SCN_TYPE_NO_PAD = $00000008;

Unit

JclWin32


IMAGE_SEPARATE_DEBUG_FLAGS_MASK Constant

IMAGE_SEPARATE_DEBUG_FLAGS_MASK = $8000;

Unit

JclWin32


IMAGE_SEPARATE_DEBUG_MISMATCH Constant

IMAGE_SEPARATE_DEBUG_MISMATCH = $8000;

Unit

JclWin32


IMAGE_SEPARATE_DEBUG_SIGNATURE Constant

IMAGE_SEPARATE_DEBUG_SIGNATURE = $4944;

Unit

JclWin32


IMAGE_SEPARATION Constant

IMAGE_SEPARATION = (64*1024);

Unit

JclWin32


IMAGE_SIZEOF_ARCHIVE_MEMBER_HDR Constant

IMAGE_SIZEOF_ARCHIVE_MEMBER_HDR = 60;

Unit

JclWin32


IMAGE_SIZEOF_FILE_HEADER Constant

IMAGE_SIZEOF_FILE_HEADER = 20;

Unit

JclWin32


IMAGE_SIZEOF_LINENUMBER Constant

IMAGE_SIZEOF_LINENUMBER = 6;

Unit

JclWin32


IMAGE_SIZEOF_NT_OPTIONAL_HEADER Constant

IMAGE_SIZEOF_NT_OPTIONAL_HEADER = IMAGE_SIZEOF_NT_OPTIONAL32_HEADER;

Unit

JclWin32


IMAGE_SIZEOF_NT_OPTIONAL32_HEADER Constant

IMAGE_SIZEOF_NT_OPTIONAL32_HEADER = 224;

Unit

JclWin32


IMAGE_SIZEOF_NT_OPTIONAL64_HEADER Constant

IMAGE_SIZEOF_NT_OPTIONAL64_HEADER = 240;

Unit

JclWin32


IMAGE_SIZEOF_ROM_OPTIONAL_HEADER Constant

IMAGE_SIZEOF_ROM_OPTIONAL_HEADER = 56;

Unit

JclWin32


IMAGE_SIZEOF_SECTION_HEADER Constant

IMAGE_SIZEOF_SECTION_HEADER = 40;

Unit

JclWin32


IMAGE_SIZEOF_SHORT_NAME Constant

IMAGE_SIZEOF_SHORT_NAME = 8;

Unit

JclWin32


IMAGE_SIZEOF_STD_OPTIONAL_HEADER Constant

IMAGE_SIZEOF_STD_OPTIONAL_HEADER = 28;

Unit

JclWin32


IMAGE_SUBSYSTEM_EFI_APPLICATION Constant

IMAGE_SUBSYSTEM_EFI_APPLICATION = 10;

Unit

JclWin32


IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER Constant

IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER = 11;

Unit

JclWin32


IMAGE_SUBSYSTEM_EFI_ROM Constant

IMAGE_SUBSYSTEM_EFI_ROM = 13;

Unit

JclWin32


IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER Constant

IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER = 12;

Unit

JclWin32


IMAGE_SUBSYSTEM_NATIVE Constant

IMAGE_SUBSYSTEM_NATIVE = 1;

Unit

JclWin32


IMAGE_SUBSYSTEM_NATIVE_WINDOWS Constant

IMAGE_SUBSYSTEM_NATIVE_WINDOWS = 8;

Unit

JclWin32


IMAGE_SUBSYSTEM_OS2_CUI Constant

IMAGE_SUBSYSTEM_OS2_CUI = 5;

Unit

JclWin32


IMAGE_SUBSYSTEM_POSIX_CUI Constant

IMAGE_SUBSYSTEM_POSIX_CUI = 7;

Unit

JclWin32


IMAGE_SUBSYSTEM_UNKNOWN Constant

IMAGE_SUBSYSTEM_UNKNOWN = 0;

Unit

JclWin32


IMAGE_SUBSYSTEM_WINDOWS_CE_GUI Constant

IMAGE_SUBSYSTEM_WINDOWS_CE_GUI = 9;

Unit

JclWin32


IMAGE_SUBSYSTEM_WINDOWS_CUI Constant

IMAGE_SUBSYSTEM_WINDOWS_CUI = 3;

Unit

JclWin32


IMAGE_SUBSYSTEM_WINDOWS_GUI Constant

IMAGE_SUBSYSTEM_WINDOWS_GUI = 2;

Unit

JclWin32


IMAGE_SUBSYSTEM_XBOX Constant

IMAGE_SUBSYSTEM_XBOX = 14;

Unit

JclWin32


IMPORT_OBJECT_HDR_SIG2 Constant

IMPORT_OBJECT_HDR_SIG2 = $ffff;

Unit

JclWin32


InfiniteTime Constant

InfiniteTime = 0.0;

Unit

JclTask


Infinity Constant

Infinity = 1/0;

Unit

JclMath


InstructionDumpILAllOption Constant

InstructionDumpILAllOption = [doLineNo, doRawBytes, doIL, doTokenValue, doComment];

Unit

JclCIL


Int64Mask Constant

Int64Mask = Int64($FFFFFFFFFFFFFFFF);

Unit

JclLogic


IntegerMask Constant

IntegerMask = Integer($FFFFFFFF);

Unit

JclLogic


INTEL_ACPI Constant

INTEL_ACPI = BIT_22;

Unit

JclSysInfo


INTEL_APIC Constant

INTEL_APIC = BIT_9;

Unit

JclSysInfo


INTEL_BIT_10 Constant

INTEL_BIT_10 = BIT_10;

Unit

JclSysInfo


INTEL_BIT_20 Constant

INTEL_BIT_20 = BIT_20;

Unit

JclSysInfo


INTEL_BIT_30 Constant

INTEL_BIT_30 = BIT_30;

Unit

JclSysInfo


INTEL_CLFLSH Constant

INTEL_CLFLSH = BIT_19;

Unit

JclSysInfo


INTEL_CMOV Constant

INTEL_CMOV = BIT_15;

Unit

JclSysInfo


INTEL_CX8 Constant

INTEL_CX8 = BIT_8;

Unit

JclSysInfo


INTEL_DE Constant

INTEL_DE = BIT_2;

Unit

JclSysInfo


INTEL_DS Constant

INTEL_DS = BIT_21;

Unit

JclSysInfo


INTEL_FPU Constant

INTEL_FPU = BIT_0;

Unit

JclSysInfo


INTEL_FXSR Constant

INTEL_FXSR = BIT_24;

Unit

JclSysInfo


INTEL_HTT Constant

INTEL_HTT = BIT_28;

Unit

JclSysInfo


INTEL_MCA Constant

INTEL_MCA = BIT_14;

Unit

JclSysInfo


INTEL_MCE Constant

INTEL_MCE = BIT_7;

Unit

JclSysInfo


INTEL_MMX Constant

INTEL_MMX = BIT_23;

Unit

JclSysInfo


INTEL_MSR Constant

INTEL_MSR = BIT_5;

Unit

JclSysInfo


INTEL_MTRR Constant

INTEL_MTRR = BIT_12;

Unit

JclSysInfo


INTEL_PAE Constant

INTEL_PAE = BIT_6;

Unit

JclSysInfo


INTEL_PAT Constant

INTEL_PAT = BIT_16;

Unit

JclSysInfo


INTEL_PBE Constant

INTEL_PBE = BIT_31;

Unit

JclSysInfo


INTEL_PGE Constant

INTEL_PGE = BIT_13;

Unit

JclSysInfo


INTEL_PSE Constant

INTEL_PSE = BIT_3;

Unit

JclSysInfo


INTEL_PSE36 Constant

INTEL_PSE36 = BIT_17;

Unit

JclSysInfo


INTEL_PSN Constant

INTEL_PSN = BIT_18;

Unit

JclSysInfo


INTEL_SEP Constant

INTEL_SEP = BIT_11;

Unit

JclSysInfo


INTEL_SS Constant

INTEL_SS = BIT_27;

Unit

JclSysInfo


INTEL_SSE Constant

INTEL_SSE = BIT_25;

Unit

JclSysInfo


INTEL_SSE2 Constant

INTEL_SSE2 = BIT_26;

Unit

JclSysInfo


INTEL_TM Constant

INTEL_TM = BIT_29;

Unit

JclSysInfo


INTEL_TSC Constant

INTEL_TSC = BIT_4;

Unit

JclSysInfo


INTEL_VME Constant

INTEL_VME = BIT_1;

Unit

JclSysInfo


IntelCacheDescription Constant

IntelCacheDescription: array [0..50] of TCacheInfo = ( (D: $00; Family: cfOther; I: RsIntelCacheDescr00), (D: $01; Family: cfInstructionTLB; Size: 4; WaysOfAssoc: 4; Entries: 32; I: RsIntelCacheDescr01), (D: $02; Family: cfInstructionTLB; Size: 4096; WaysOfAssoc: 4; Entries: 2; I: RsIntelCacheDescr02), (D: $03; Family: cfDataTLB; Size: 4; WaysOfAssoc: 4; Entries: 64; I: RsIntelCacheDescr03), (D: $04; Family: cfDataTLB; Size: 4096; WaysOfAssoc: 4; Entries: 8; I: RsIntelCacheDescr04), (D: $06; Family: cfL1InstructionCache; Size: 8; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr06), (D: $08; Family: cfL1InstructionCache; Size: 16; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr08), (D: $0A; Family: cfL1DataCache; Size: 8; WaysOfAssoc: 2; LineSize: 32; I: RsIntelCacheDescr0A), (D: $0C; Family: cfL1DataCache; Size: 16; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr0C), (D: $22; Family: cfL3Cache; Size: 512; WaysOfAssoc: 4; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr22), (D: $23; Family: cfL3Cache; Size: 1024; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr23), (D: $25; Family: cfL3Cache; Size: 2048; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr25), (D: $29; Family: cfL3Cache; Size: 4096; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr29), (D: $2C; Family: cfL1DataCache; Size: 32; WaysOfAssoc: 8; LineSize: 64; I: RsIntelCacheDescr2C), (D: $30; Family: cfL1InstructionCache; Size: 32; WaysOfAssoc: 8; LineSize: 64; I: RsIntelCacheDescr30), (D: $40; Family: cfOther; I: RsIntelCacheDescr40), (D: $41; Family: cfL2Cache; Size: 128; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr41), (D: $42; Family: cfL2Cache; Size: 256; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr42), (D: $43; Family: cfL2Cache; Size: 512; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr43), (D: $44; Family: cfL2Cache; Size: 1024; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr44), (D: $45; Family: cfL2Cache; Size: 2048; WaysOfAssoc: 4; LineSize: 32; I: RsIntelCacheDescr45), (D: $50; Family: cfInstructionTLB; Size: 4096; Entries: 64; I: RsIntelCacheDescr50), (D: $51; Family: cfInstructionTLB; Size: 4096; Entries: 128; I: RsIntelCacheDescr51), (D: $52; Family: cfInstructionTLB; Size: 4096; Entries: 256; I: RsIntelCacheDescr52), (D: $5B; Family: cfDataTLB; Size: 4096; Entries: 64; I: RsIntelCacheDescr5B), (D: $5C; Family: cfDataTLB; Size: 4096; Entries: 128; I: RsIntelCacheDescr5C), (D: $5D; Family: cfDataTLB; Size: 4096; Entries: 256; I: RsIntelCacheDescr5D), (D: $60; Family: cfL1DataCache; Size: 16; WaysOfAssoc: 8; LineSize: 64; I: RsIntelCacheDescr60), (D: $66; Family: cfL1DataCache; Size: 8; WaysOfAssoc: 4; LineSize: 64; I: RsIntelCacheDescr66), (D: $67; Family: cfL1DataCache; Size: 16; WaysOfAssoc: 4; LineSize: 64; I: RsIntelCacheDescr67), (D: $68; Family: cfL1DataCache; Size: 32; WaysOfAssoc: 4; LineSize: 64; I: RsIntelCacheDescr68), (D: $70; Family: cfTrace; Size: 12; WaysOfAssoc: 8; I: RsIntelCacheDescr70), (D: $71; Family: cfTrace; Size: 16; WaysOfAssoc: 8; I: RsIntelCacheDescr71), (D: $72; Family: cfTrace; Size: 32; WaysOfAssoc: 8; I: RsIntelCacheDescr72), (D: $78; Family: cfL2Cache; Size: 1024; WaysOfAssoc: 4; LineSize: 64; I: RsIntelCacheDescr78), (D: $79; Family: cfL2Cache; Size: 128; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr79), (D: $7A; Family: cfL2Cache; Size: 256; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr7A), (D: $7B; Family: cfL2Cache; Size: 512; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr7B), (D: $7C; Family: cfL2Cache; Size: 1024; WaysOfAssoc: 8; LineSize: 64; LinePerSector: 2; I: RsIntelCacheDescr7C), (D: $7D; Family: cfL2Cache; Size: 2048; WaysOfAssoc: 8; LineSize: 64; I: RsIntelCacheDescr7D), (D: $7F; Family: cfL2Cache; Size: 512; WaysOfAssoc: 2; LineSize: 64; I: RsIntelCacheDescr7F), (D: $82; Family: cfL2Cache; Size: 256; WaysOfAssoc: 8; LineSize: 32; I: RsIntelCacheDescr82), (D: $83; Family: cfL2Cache; Size: 512; WaysOfAssoc: 8; LineSize: 32; I: RsIntelCacheDescr83), (D: $84; Family: cfL2Cache; Size: 1024; WaysOfAssoc: 8; LineSize: 32; I: RsIntelCacheDescr84), (D: $85; Family: cfL2Cache; Size: 2048; WaysOfAssoc: 8; LineSize: 32; I: RsIntelCacheDescr85), (D: $86; Family: cfL2Cache; Size: 512; WaysOfAssoc: 4; LineSize: 64; I: RsIntelCacheDescr86), (D: $87; Family: cfL2Cache; Size: 1024; WaysOfAssoc: 8; LineSize: 64; I: RsIntelCacheDescr87), (D: $B0; Family: cfInstructionTLB; Size: 4; WaysOfAssoc: 4; Entries: 128; I: RsIntelCacheDescrB0), (D: $B3; Family: cfDataTLB; Size: 4; WaysOfAssoc: 4; Entries: 128; I: RsIntelCacheDescrB3), (D: $F0; Family: cfOther; I: RsIntelCacheDescrF0), (D: $F1; Family: cfOther; I: RsIntelCacheDescrF1) );

Unit

JclSysInfo


IO_COMPLETION_ALL_ACCESS Constant

IO_COMPLETION_ALL_ACCESS = DWORD(STANDARD_RIGHTS_REQUIRED or SYNCHRONIZE or $3);

Unit

JclWin32


IO_COMPLETION_MODIFY_STATE Constant

IO_COMPLETION_MODIFY_STATE = $0002;

Unit

JclWin32


IO_REPARSE_TAG_DFS Constant

IO_REPARSE_TAG_DFS = DWORD($8000000A);

Unit

JclWin32


IO_REPARSE_TAG_FILTER_MANAGER Constant

IO_REPARSE_TAG_FILTER_MANAGER = DWORD($8000000B);

Unit

JclWin32


IOHFLAGS_TYPE Constant

IOHFLAGS_TYPE = $0003;

Unit

JclWin32


ISOLATIONAWARE_MANIFEST_RESOURCE_ID Constant

ISOLATIONAWARE_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(2);

Unit

JclWin32


ISOLATIONAWARE_NOSTATICIMPORT_MANIFEST_RESOURCE_ID Constant

ISOLATIONAWARE_NOSTATICIMPORT_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(3);

Unit

JclWin32


JclDbgHeaderVersion Constant

JclDbgHeaderVersion = 1;

Unit

JclDebug


JclScheduleTaskAllPages Constant

JclScheduleTaskAllPages = [ppTask, ppSchedule, ppSettings];

Unit

JclTask


JclVersionBuild Constant

JclVersionBuild = 2070;

Unit

JclBase


JclVersionMajor Constant

JclVersionMajor = 1;

Unit

JclBase


JclVersionMinor Constant

JclVersionMinor = 96;

Unit

JclBase


JclVersionRelease Constant

JclVersionRelease = 1;

Unit

JclBase


KelvinAbsoluteZero Constant

This constant is representating the absolute zero point in degree Kelvin.

Pascal

KelvinAbsoluteZero = 0.0;

Unit

JclUnitConv


KelvinBoilingPoint Constant

This constant is representating the boiling point of water in degree Kelvin.

Pascal

KelvinBoilingPoint = 100.0 + KelvinFreezingPoint;

Unit

JclUnitConv


KelvinFreezingPoint Constant

This constant is representating the freezing point of water in degree Kelvin.

Pascal

KelvinFreezingPoint = 273.15;

Unit

JclUnitConv


KLF_RESET Constant

KLF_RESET = $40000000;

Unit

JclWin32


KLF_SHIFTLOCK Constant

KLF_SHIFTLOCK = $00010000;

Unit

JclWin32


LISTEN_OUTSTANDING Constant

LISTEN_OUTSTANDING = $01;

Unit

JclWin32


LM20_CNLEN Constant

LM20_CNLEN = 15;

Unit

JclWin32


LM20_DEVLEN Constant

LM20_DEVLEN = 8;

Unit

JclWin32


LM20_DNLEN Constant

LM20_DNLEN = LM20_CNLEN;

Unit

JclWin32


LM20_GNLEN Constant

LM20_GNLEN = LM20_UNLEN;

Unit

JclWin32


LM20_MAXCOMMENTSZ Constant

LM20_MAXCOMMENTSZ = 48;

Unit

JclWin32


LM20_NNLEN Constant

LM20_NNLEN = 12;

Unit

JclWin32


LM20_PATHLEN Constant

LM20_PATHLEN = 256;

Unit

JclWin32


LM20_PWLEN Constant

LM20_PWLEN = 14;

Unit

JclWin32


LM20_QNLEN Constant

LM20_QNLEN = LM20_NNLEN;

Unit

JclWin32


LM20_RMLEN Constant

LM20_RMLEN = (LM20_UNCLEN+1+LM20_NNLEN);

Unit

JclWin32


LM20_SNLEN Constant

LM20_SNLEN = 15;

Unit

JclWin32


LM20_STXTLEN Constant

LM20_STXTLEN = 63;

Unit

JclWin32


LM20_UNCLEN Constant

LM20_UNCLEN = (LM20_CNLEN+2);

Unit

JclWin32


LM20_UNLEN Constant

LM20_UNLEN = 20;

Unit

JclWin32


LOCALE_IDEFAULTEBCDICCODEPAGE Constant

LOCALE_IDEFAULTEBCDICCODEPAGE = $00001012;

Unit

JclWin32


LOCALE_IDIGITSUBSTITUTION Constant

LOCALE_IDIGITSUBSTITUTION = $00001014;

Unit

JclWin32


LOCALE_IPAPERSIZE Constant

LOCALE_IPAPERSIZE = $0000100A;

Unit

JclWin32


LOCALE_NOUSEROVERRIDE Constant

LOCALE_NOUSEROVERRIDE = DWORD($80000000);

Unit

JclWin32


LOCALE_RETURN_NUMBER Constant

LOCALE_RETURN_NUMBER = $20000000;

Unit

JclWin32


LOCALE_SENGCURRNAME Constant

LOCALE_SENGCURRNAME = $00001007;

Unit

JclWin32


LOCALE_SNATIVECURRNAME Constant

LOCALE_SNATIVECURRNAME = $00001008;

Unit

JclWin32


LOCALE_SSORTNAME Constant

LOCALE_SSORTNAME = $00001013;

Unit

JclWin32


LOCALE_SYEARMONTH Constant

LOCALE_SYEARMONTH = $00001006;

Unit

JclWin32


LOCALE_USE_CP_ACP Constant

LOCALE_USE_CP_ACP = $40000000;

Unit

JclWin32


LocalSystemAccount Constant

LocalSystemAccount = 'SYSTEM';

Unit

JclTask


LocalSystemSCMDesiredAccess Constant

LocalSystemSCMDesiredAccess = SC_MANAGER_CONNECT or SC_MANAGER_ENUMERATE_SERVICE or SC_MANAGER_MODIFY_BOOT_CONFIG or SC_MANAGER_QUERY_LOCK_STATUS or STANDARD_RIGHTS_READ;

Unit

JclSvcCtrl


MAILSLOT_NO_MESSAGE Constant

MAILSLOT_NO_MESSAGE = DWORD(-1);

Unit

JclWin32


MAILSLOT_WAIT_FOREVER Constant

MAILSLOT_WAIT_FOREVER = DWORD(-1);

Unit

JclWin32


MapFileExtension Constant

MapFileExtension = '.map';

Unit

JclDebug


MapiAddressTypeFAX Constant

MapiAddressTypeFAX = 'FAX';

Unit

JclMapi


MapiAddressTypeSMTP Constant

MapiAddressTypeSMTP = 'SMTP';

Unit

JclMapi


MapiAddressTypeTLX Constant

MapiAddressTypeTLX = 'TLX';

Unit

JclMapi


MAX_CLASS_NAME Constant

MAX_CLASS_NAME = 1024;

Unit

JclWin32


MAX_LANMAN_MESSAGE_ID Constant

MAX_LANMAN_MESSAGE_ID = 5899;

Unit

JclWin32


MAX_NATURAL_ALIGNMENT Constant

MAX_NATURAL_ALIGNMENT = SizeOf(ULONG);

Unit

JclWin32


MAX_NERR Constant

MAX_NERR = (NERR_BASE+899);

Unit

JclWin32


MAX_PACKAGE_NAME Constant

MAX_PACKAGE_NAME = 1024;

Unit

JclWin32


MAX_PREFERRED_LENGTH Constant

MAX_PREFERRED_LENGTH = DWORD(-1);

Unit

JclWin32


MAXCOMMENTSZ Constant

MAXCOMMENTSZ = 256;

Unit

JclWin32


MAXDEVENTRIES Constant

MAXDEVENTRIES = (SizeOf(Integer)*8);

Unit

JclWin32


MAXIMUM_RESERVED_MANIFEST_RESOURCE_ID Constant

MAXIMUM_RESERVED_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(16);

Unit

JclWin32


MaximumUCS2 Constant

MaximumUCS2: UCS4 = $0000FFFF;

Unit

JclUnicode


MaximumUCS4 Constant

MaximumUCS4: UCS4 = $7FFFFFFF;

Unit

JclUnicode


MaximumUTF16 Constant

MaximumUTF16: UCS4 = $0010FFFF;

Unit

JclUnicode


MAXLONGLONG Constant

MAXLONGLONG = $7fffffffffffffff;

Unit

JclWin32


MaxPrefixCut Constant

See Also

Maximum number of initial characters allowed to skip.

Pascal

MaxPrefixCut = 250;

Description

Maximum number of initial characters allowed to skip.

Donator

Marcel Bestebroer

Unit

JclRTTI


See Also

JclGenerateEnumTypeBasedOn,PREFIX_CUT_EQUAL,PREFIX_CUT_LOWERCASE


MaxTerm Constant

MaxTerm: Byte = 35;

Unit

JclComplex


MCA_FLAG Constant

MCA_FLAG = BIT_14;

Unit

JclSysInfo


MCE_FLAG Constant

MCE_FLAG = BIT_7;

Unit

JclSysInfo


MESSAGE_FILENAME Constant

MESSAGE_FILENAME = 'NETMSG';

Unit

JclWin32


METHOD_DIRECT_FROM_HARDWARE Constant

METHOD_DIRECT_FROM_HARDWARE = METHOD_OUT_DIRECT;

Unit

JclWin32


METHOD_DIRECT_TO_HARDWARE Constant

METHOD_DIRECT_TO_HARDWARE = METHOD_IN_DIRECT;

Unit

JclWin32


MIDICCAllNotesOff Constant

MIDICCAllNotesOff = $7B;

Unit

JclMIDI


MIDICCAllSoundOff Constant

MIDICCAllSoundOff = $78;

Unit

JclMIDI


MIDICCBalance Constant

MIDICCBalance = $08;

Unit

JclMIDI


MIDICCBalanceLSB Constant

MIDICCBalanceLSB = $28;

Unit

JclMIDI


MIDICCBankSelect Constant

MIDICCBankSelect = $00;

Unit

JclMIDI


MIDICCBankSelectLSB Constant

MIDICCBankSelectLSB = $20;

Unit

JclMIDI


MIDICCBreathControl Constant

MIDICCBreathControl = $02;

Unit

JclMIDI


MIDICCBreathControlLSB Constant

MIDICCBreathControlLSB = $22;

Unit

JclMIDI


MIDICCCelesteDepth Constant

MIDICCCelesteDepth = MIDICCEffects4Depth;

Unit

JclMIDI


MIDICCChannelVolume Constant

MIDICCChannelVolume = $07;

Unit

JclMIDI


MIDICCChannelVolumeLSB Constant

MIDICCChannelVolumeLSB = $27;

Unit

JclMIDI


MIDICCChorusSendLevel Constant

MIDICCChorusSendLevel = $5D;

Unit

JclMIDI


MIDICCDataEntry Constant

MIDICCDataEntry = $06;

Unit

JclMIDI


MIDICCDataEntryDec Constant

MIDICCDataEntryDec = $61;

Unit

JclMIDI


MIDICCDataEntryInc Constant

MIDICCDataEntryInc = $60;

Unit

JclMIDI


MIDICCDataEntryLSB Constant

MIDICCDataEntryLSB = $26;

Unit

JclMIDI


MIDICCEffectControl Constant

MIDICCEffectControl = $0C;

Unit

JclMIDI


MIDICCEffectControl2 Constant

MIDICCEffectControl2 = $0D;

Unit

JclMIDI


MIDICCEffectControl2LSB Constant

MIDICCEffectControl2LSB = $2D;

Unit

JclMIDI


MIDICCEffectControlLSB Constant

MIDICCEffectControlLSB = $2C;

Unit

JclMIDI


MIDICCEffects2Depth Constant

MIDICCEffects2Depth = $5C;

Unit

JclMIDI


MIDICCEffects4Depth Constant

MIDICCEffects4Depth = $5E;

Unit

JclMIDI


MIDICCEffects5Depth Constant

MIDICCEffects5Depth = $5F;

Unit

JclMIDI


MIDICCExpression Constant

MIDICCExpression = $0B;

Unit

JclMIDI


MIDICCExpressionLSB Constant

MIDICCExpressionLSB = $2B;

Unit

JclMIDI


MIDICCFootController Constant

MIDICCFootController = $04;

Unit

JclMIDI


MIDICCFootControllerLSB Constant

MIDICCFootControllerLSB = $24;

Unit

JclMIDI


MIDICCGeneralPurpose1 Constant

MIDICCGeneralPurpose1 = $10;

Unit

JclMIDI


MIDICCGeneralPurpose1LSB Constant

MIDICCGeneralPurpose1LSB = $30;

Unit

JclMIDI


MIDICCGeneralPurpose2 Constant

MIDICCGeneralPurpose2 = $11;

Unit

JclMIDI


MIDICCGeneralPurpose2LSB Constant

MIDICCGeneralPurpose2LSB = $31;

Unit

JclMIDI


MIDICCGeneralPurpose3 Constant

MIDICCGeneralPurpose3 = $12;

Unit

JclMIDI


MIDICCGeneralPurpose3LSB Constant

MIDICCGeneralPurpose3LSB = $32;

Unit

JclMIDI


MIDICCGeneralPurpose4 Constant

MIDICCGeneralPurpose4 = $13;

Unit

JclMIDI


MIDICCGeneralPurpose4LSB Constant

MIDICCGeneralPurpose4LSB = $33;

Unit

JclMIDI


MIDICCGeneralPurpose5 Constant

MIDICCGeneralPurpose5 = $50;

Unit

JclMIDI


MIDICCGeneralPurpose6 Constant

MIDICCGeneralPurpose6 = $51;

Unit

JclMIDI


MIDICCGeneralPurpose7 Constant

MIDICCGeneralPurpose7 = $52;

Unit

JclMIDI


MIDICCGeneralPurpose8 Constant

MIDICCGeneralPurpose8 = $53;

Unit

JclMIDI


MIDICCHold2 Constant

MIDICCHold2 = $45;

Unit

JclMIDI


MIDICCLegato Constant

MIDICCLegato = $44;

Unit

JclMIDI


MIDICCLocalControl Constant

MIDICCLocalControl = $7A;

Unit

JclMIDI


MIDICCMainVolume Constant

MIDICCMainVolume = MIDICCChannelVolume;

Unit

JclMIDI


MIDICCMainVolumeLSB Constant

MIDICCMainVolumeLSB = MIDICCChannelVolumeLSB;

Unit

JclMIDI


MIDICCModulationWheel Constant

MIDICCModulationWheel = $01;

Unit

JclMIDI


MIDICCModulationWheelLSB Constant

MIDICCModulationWheelLSB = $21;

Unit

JclMIDI


MIDICCMonoModeOn Constant

MIDICCMonoModeOn = $7E;

Unit

JclMIDI


MIDICCNonRegParamNumLSB Constant

MIDICCNonRegParamNumLSB = $62;

Unit

JclMIDI


MIDICCNonRegParamNumMSB Constant

MIDICCNonRegParamNumMSB = $63;

Unit

JclMIDI


MIDICCOmniModeOff Constant

MIDICCOmniModeOff = $7C;

Unit

JclMIDI


MIDICCOmniModeOn Constant

MIDICCOmniModeOn = $7D;

Unit

JclMIDI


MIDICCPan Constant

MIDICCPan = $0A;

Unit

JclMIDI


MIDICCPanLSB Constant

MIDICCPanLSB = $2A;

Unit

JclMIDI


MIDICCPhaserDepth Constant

MIDICCPhaserDepth = MIDICCEffects5Depth;

Unit

JclMIDI


MIDICCPolyModeOn Constant

MIDICCPolyModeOn = $7F;

Unit

JclMIDI


MIDICCPortamento Constant

MIDICCPortamento = $41;

Unit

JclMIDI


MIDICCPortamentoControl Constant

MIDICCPortamentoControl = $54;

Unit

JclMIDI


MIDICCPortamentoTime Constant

MIDICCPortamentoTime = $05;

Unit

JclMIDI


MIDICCPortamentoTimeLSB Constant

MIDICCPortamentoTimeLSB = $25;

Unit

JclMIDI


MIDICCRegParamNumLSB Constant

MIDICCRegParamNumLSB = $64;

Unit

JclMIDI


MIDICCRegParamNumMSB Constant

MIDICCRegParamNumMSB = $65;

Unit

JclMIDI


MIDICCResetAllControllers Constant

MIDICCResetAllControllers = $79;

Unit

JclMIDI


MIDICCReverbSendLevel Constant

MIDICCReverbSendLevel = $5B;

Unit

JclMIDI


MIDICCSoftPedal Constant

MIDICCSoftPedal = $43;

Unit

JclMIDI


MIDICCSound1 Constant

MIDICCSound1 = $46;

Unit

JclMIDI


MIDICCSound10 Constant

MIDICCSound10 = $4F;

Unit

JclMIDI


MIDICCSound2 Constant

MIDICCSound2 = $47;

Unit

JclMIDI


MIDICCSound3 Constant

MIDICCSound3 = $48;

Unit

JclMIDI


MIDICCSound4 Constant

MIDICCSound4 = $49;

Unit

JclMIDI


MIDICCSound5 Constant

MIDICCSound5 = $4A;

Unit

JclMIDI


MIDICCSound6 Constant

MIDICCSound6 = $4B;

Unit

JclMIDI


MIDICCSound7 Constant

MIDICCSound7 = $4C;

Unit

JclMIDI


MIDICCSound8 Constant

MIDICCSound8 = $4D;

Unit

JclMIDI


MIDICCSound9 Constant

MIDICCSound9 = $4E;

Unit

JclMIDI


MIDICCSustain Constant

MIDICCSustain = $40;

Unit

JclMIDI


MIDICCSustenuto Constant

MIDICCSustenuto = $42;

Unit

JclMIDI


MIDICCTremoloDepth Constant

MIDICCTremoloDepth = MIDICCEffects2Depth;

Unit

JclMIDI


MIDIChannelMsgMask Constant

MIDIChannelMsgMask = $F0;

Unit

JclMIDI


MIDIDataMask Constant

MIDIDataMask = $7F;

Unit

JclMIDI


MIDIDataWordMask Constant

MIDIDataWordMask = $3FFF;

Unit

JclMIDI


MIDIInvalidStatus Constant

MIDIInvalidStatus = TMIDIStatusByte(0);

Unit

JclMIDI


MIDIMsgActiveSensing Constant

MIDIMsgActiveSensing = $FE;

Unit

JclMIDI


MIDIMsgAftertouch Constant

MIDIMsgAftertouch = MIDIMsgChannelKeyPressure;

Unit

JclMIDI


MIDIMsgChannelKeyPressure Constant

MIDIMsgChannelKeyPressure = $D0;

Unit

JclMIDI


MIDIMsgContinueSequence Constant

MIDIMsgContinueSequence = $FB;

Unit

JclMIDI


MIDIMsgControlChange Constant

MIDIMsgControlChange = $B0;

Unit

JclMIDI


MIDIMsgEOX Constant

MIDIMsgEOX = $F7;

Unit

JclMIDI


MIDIMsgMTCQtrFrame Constant

MIDIMsgMTCQtrFrame = $F1;

Unit

JclMIDI


MIDIMsgNoteOff Constant

MIDIMsgNoteOff = $80;

Unit

JclMIDI


MIDIMsgNoteOn Constant

MIDIMsgNoteOn = $90;

Unit

JclMIDI


MIDIMsgPitchWheelChange Constant

MIDIMsgPitchWheelChange = $E0;

Unit

JclMIDI


MIDIMsgPolyKeyPressure Constant

MIDIMsgPolyKeyPressure = $A0;

Unit

JclMIDI


MIDIMsgProgramChange Constant

MIDIMsgProgramChange = $C0;

Unit

JclMIDI


MIDIMsgSongPositionPtr Constant

MIDIMsgSongPositionPtr = $F2;

Unit

JclMIDI


MIDIMsgSongSelect Constant

MIDIMsgSongSelect = $F3;

Unit

JclMIDI


MIDIMsgStartSequence Constant

MIDIMsgStartSequence = $FA;

Unit

JclMIDI


MIDIMsgStopSequence Constant

MIDIMsgStopSequence = $FC;

Unit

JclMIDI


MIDIMsgSysEx Constant

MIDIMsgSysEx = $F0;

Unit

JclMIDI


MIDIMsgSystemReset Constant

MIDIMsgSystemReset = $FF;

Unit

JclMIDI


MIDIMsgTimingClock Constant

MIDIMsgTimingClock = $F8;

Unit

JclMIDI


MIDIMsgTuneRequest Constant

MIDIMsgTuneRequest = $F6;

Unit

JclMIDI


MIDIPitchWheelCenter Constant

MIDIPitchWheelCenter = 1 shl (BitsPerMIDIDataWord - 1);

Unit

JclMIDI


MIME_BUFFER_SIZE Constant

MIME_BUFFER_SIZE = MIME_DECODED_LINE_BREAK * 3 * 4 * 4;

Unit

JclMime


MIME_DECODED_LINE_BREAK Constant

MIME_DECODED_LINE_BREAK = MIME_ENCODED_LINE_BREAK div 4 * 3;

Unit

JclMime


MIME_ENCODED_LINE_BREAK Constant

MIME_ENCODED_LINE_BREAK = 76;

Unit

JclMime


MIN_LANMAN_MESSAGE_ID Constant

MIN_LANMAN_MESSAGE_ID = NERR_BASE;

Unit

JclWin32


MINIMUM_RESERVED_MANIFEST_RESOURCE_ID Constant

MINIMUM_RESERVED_MANIFEST_RESOURCE_ID = MAKEINTRESOURCE(1);

Unit

JclWin32


MMX_FLAG Constant

MMX_FLAG = BIT_23;

Unit

JclSysInfo


MS_NBF Constant

MS_NBF = 'MNBF';

Unit

JclWin32


MSILIB Constant

MSILIB = 'msi.dll';

Unit

JclShell


MSR_FLAG Constant

MSR_FLAG = BIT_5;

Unit

JclSysInfo


MTRR_FLAG Constant

MTRR_FLAG = BIT_12;

Unit

JclSysInfo


MXCSR_DAZ Constant

MXCSR_DAZ = BIT_6;

Unit

JclSysInfo


MXCSR_DE Constant

MXCSR_DE = BIT_1;

Unit

JclSysInfo


MXCSR_DM Constant

MXCSR_DM = BIT_8;

Unit

JclSysInfo


MXCSR_FZ Constant

MXCSR_FZ = BIT_15;

Unit

JclSysInfo


MXCSR_IE Constant

MXCSR_IE = BIT_0;

Unit

JclSysInfo


MXCSR_IM Constant

MXCSR_IM = BIT_7;

Unit

JclSysInfo


MXCSR_OE Constant

MXCSR_OE = BIT_3;

Unit

JclSysInfo


MXCSR_OM Constant

MXCSR_OM = BIT_10;

Unit

JclSysInfo


MXCSR_PE Constant

MXCSR_PE = BIT_5;

Unit

JclSysInfo


MXCSR_PM Constant

MXCSR_PM = BIT_12;

Unit

JclSysInfo


MXCSR_RC Constant

MXCSR_RC = MXCSR_RC1 or MXCSR_RC2;

Unit

JclSysInfo


MXCSR_RC1 Constant

MXCSR_RC1 = BIT_13;

Unit

JclSysInfo


MXCSR_RC2 Constant

MXCSR_RC2 = BIT_14;

Unit

JclSysInfo


MXCSR_UE Constant

MXCSR_UE = BIT_4;

Unit

JclSysInfo


MXCSR_UM Constant

MXCSR_UM = BIT_11;

Unit

JclSysInfo


MXCSR_ZE Constant

MXCSR_ZE = BIT_2;

Unit

JclSysInfo


MXCSR_ZM Constant

MXCSR_ZM = BIT_9;

Unit

JclSysInfo


NA_LoopId Constant

NA_LoopId = 'N/A';

Unit

JclEDI


NAME_FLAGS_MASK Constant

NAME_FLAGS_MASK = $87;

Unit

JclWin32


NaN Constant

NaN = 0/0;

Unit

JclMath


NATIVE_TYPE_MAX_CB Constant

NATIVE_TYPE_MAX_CB = 1;

Unit

JclWin32


NCBACTION Constant

NCBACTION = $77;

Unit

JclWin32


NCBADDGRNAME Constant

NCBADDGRNAME = $36;

Unit

JclWin32


NCBADDNAME Constant

NCBADDNAME = $30;

Unit

JclWin32


NCBCALL Constant

NCBCALL = $10;

Unit

JclWin32


NCBCANCEL Constant

NCBCANCEL = $35;

Unit

JclWin32


NCBCHAINSEND Constant

NCBCHAINSEND = $17;

Unit

JclWin32


NCBCHAINSENDNA Constant

NCBCHAINSENDNA = $72;

Unit

JclWin32


NCBDELNAME Constant

NCBDELNAME = $31;

Unit

JclWin32


NCBDGRECV Constant

NCBDGRECV = $21;

Unit

JclWin32


NCBDGRECVBC Constant

NCBDGRECVBC = $23;

Unit

JclWin32


NCBDGSEND Constant

NCBDGSEND = $20;

Unit

JclWin32


NCBDGSENDBC Constant

NCBDGSENDBC = $22;

Unit

JclWin32


NCBFINDNAME Constant

NCBFINDNAME = $78;

Unit

JclWin32


NCBHANGUP Constant

NCBHANGUP = $12;

Unit

JclWin32


NCBLANSTALERT Constant

NCBLANSTALERT = $73;

Unit

JclWin32


NCBLISTEN Constant

NCBLISTEN = $11;

Unit

JclWin32


NCBRECV Constant

NCBRECV = $15;

Unit

JclWin32


NCBRECVANY Constant

NCBRECVANY = $16;

Unit

JclWin32


NCBSEND Constant

NCBSEND = $14;

Unit

JclWin32


NCBSENDNA Constant

NCBSENDNA = $71;

Unit

JclWin32


NCBSSTAT Constant

NCBSSTAT = $34;

Unit

JclWin32


NCBTRACE Constant

NCBTRACE = $79;

Unit

JclWin32


NCBUNLINK Constant

NCBUNLINK = $70;

Unit

JclWin32


NegInfinity Constant

NegInfinity = -Infinity;

Unit

JclMath


NERR_AccountExpired Constant

NERR_AccountExpired = (NERR_BASE+139);

Unit

JclWin32


NERR_AccountLockedOut Constant

NERR_AccountLockedOut = (NERR_BASE + 602);

Unit

JclWin32


NERR_AccountUndefined Constant

NERR_AccountUndefined = (NERR_BASE+138);

Unit

JclWin32


NERR_AcctLimitExceeded Constant

NERR_AcctLimitExceeded = (NERR_BASE+334);

Unit

JclWin32


NERR_ACFFileIOFail Constant

NERR_ACFFileIOFail = (NERR_BASE+129);

Unit

JclWin32


NERR_ACFNoParent Constant

NERR_ACFNoParent = (NERR_BASE+132);

Unit

JclWin32


NERR_ACFNoRoom Constant

NERR_ACFNoRoom = (NERR_BASE+128);

Unit

JclWin32


NERR_ACFNotFound Constant

NERR_ACFNotFound = (NERR_BASE+119);

Unit

JclWin32


NERR_ACFNotLoaded Constant

NERR_ACFNotLoaded = (NERR_BASE+127);

Unit

JclWin32


NERR_ACFTooManyLists Constant

NERR_ACFTooManyLists = (NERR_BASE+130);

Unit

JclWin32


NERR_ActiveConns Constant

NERR_ActiveConns = (NERR_BASE+302);

Unit

JclWin32


NERR_AddForwarded Constant

NERR_AddForwarded = (NERR_BASE+175);

Unit

JclWin32


NERR_AlertExists Constant

NERR_AlertExists = (NERR_BASE+330);

Unit

JclWin32


NERR_AlreadyExists Constant

NERR_AlreadyExists = (NERR_BASE+176);

Unit

JclWin32


NERR_AlreadyForwarded Constant

NERR_AlreadyForwarded = (NERR_BASE+174);

Unit

JclWin32


NERR_AlreadyLoggedOn Constant

NERR_AlreadyLoggedOn = (NERR_BASE+100);

Unit

JclWin32


NERR_BadAsgType Constant

NERR_BadAsgType = (NERR_BASE+151);

Unit

JclWin32


NERR_BadComponent Constant

NERR_BadComponent = (NERR_BASE+256);

Unit

JclWin32


NERR_BadControlRecv Constant

NERR_BadControlRecv = (NERR_BASE+93);

Unit

JclWin32


NERR_BadDest Constant

NERR_BadDest = (NERR_BASE+282);

Unit

JclWin32


NERR_BadDev Constant

NERR_BadDev = (NERR_BASE+241);

Unit

JclWin32


NERR_BadDevString Constant

NERR_BadDevString = (NERR_BASE+240);

Unit

JclWin32


NERR_BadDosFunction Constant

NERR_BadDosFunction = (NERR_BASE+402);

Unit

JclWin32


NERR_BadDosRetCode Constant

NERR_BadDosRetCode = (NERR_BASE+400);

Unit

JclWin32


NERR_BadEventName Constant

NERR_BadEventName = (NERR_BASE+43);

Unit

JclWin32


NERR_BadFileCheckSum Constant

NERR_BadFileCheckSum = (NERR_BASE+404);

Unit

JclWin32


NERR_BadPassword Constant

NERR_BadPassword = (NERR_BASE+103);

Unit

JclWin32


NERR_BadPasswordCore Constant

NERR_BadPasswordCore = (NERR_BASE+303);

Unit

JclWin32


NERR_BadQueueDevString Constant

NERR_BadQueueDevString = (NERR_BASE+234);

Unit

JclWin32


NERR_BadQueuePriority Constant

NERR_BadQueuePriority = (NERR_BASE+235);

Unit

JclWin32


NERR_BadReceive Constant

NERR_BadReceive = (NERR_BASE+182);

Unit

JclWin32


NERR_BadRecipient Constant

NERR_BadRecipient = (NERR_BASE+333);

Unit

JclWin32


NERR_BadServiceName Constant

NERR_BadServiceName = (NERR_BASE+85);

Unit

JclWin32


NERR_BadServiceProgName Constant

NERR_BadServiceProgName = (NERR_BASE+88);

Unit

JclWin32


NERR_BadSource Constant

NERR_BadSource = (NERR_BASE+281);

Unit

JclWin32


NERR_BadTransactConfig Constant

NERR_BadTransactConfig = (NERR_BASE+41);

Unit

JclWin32


NERR_BadUasConfig Constant

NERR_BadUasConfig = (NERR_BASE+350);

Unit

JclWin32


NERR_BadUsername Constant

NERR_BadUsername = (NERR_BASE+102);

Unit

JclWin32


NERR_BASE Constant

NERR_BASE = 2100;

Unit

JclWin32


NERR_BrowserConfiguredToNotRun Constant

NERR_BrowserConfiguredToNotRun = (NERR_BASE+450);

Unit

JclWin32


NERR_BrowserNotStarted Constant

NERR_BrowserNotStarted = (NERR_BASE+39);

Unit

JclWin32


NERR_BrowserTableIncomplete Constant

NERR_BrowserTableIncomplete = (NERR_BASE+219);

Unit

JclWin32


NERR_BufTooSmall Constant

NERR_BufTooSmall = (NERR_BASE+23);

Unit

JclWin32


NERR_CallingRplSrvr Constant

NERR_CallingRplSrvr = (NERR_BASE+415);

Unit

JclWin32


NERR_CanNotGrowSegment Constant

NERR_CanNotGrowSegment = (NERR_BASE+133);

Unit

JclWin32


NERR_CanNotGrowUASFile Constant

NERR_CanNotGrowUASFile = (NERR_BASE+356);

Unit

JclWin32


NERR_CantConnectRplSrvr Constant

NERR_CantConnectRplSrvr = (NERR_BASE+413);

Unit

JclWin32


NERR_CantOpenImageFile Constant

NERR_CantOpenImageFile = (NERR_BASE+414);

Unit

JclWin32


NERR_CantType Constant

NERR_CantType = (NERR_BASE+257);

Unit

JclWin32


NERR_CfgCompNotFound Constant

NERR_CfgCompNotFound = (NERR_BASE+46);

Unit

JclWin32


NERR_CfgParamNotFound Constant

NERR_CfgParamNotFound = (NERR_BASE+47);

Unit

JclWin32


NERR_ClientNameNotFound Constant

NERR_ClientNameNotFound = (NERR_BASE+212);

Unit

JclWin32


NERR_CommDevInUse Constant

NERR_CommDevInUse = (NERR_BASE+243);

Unit

JclWin32


NERR_ComputerAccountNotFound Constant

NERR_ComputerAccountNotFound = (NERR_BASE+597);

Unit

JclWin32


NERR_DatabaseUpToDate Constant

NERR_DatabaseUpToDate = (NERR_BASE+148);

Unit

JclWin32


NERR_DataTypeInvalid Constant

NERR_DataTypeInvalid = (NERR_BASE+67);

Unit

JclWin32


NERR_DCNotFound Constant

NERR_DCNotFound = (NERR_BASE+353);

Unit

JclWin32


NERR_DefaultJoinRequired Constant

NERR_DefaultJoinRequired = (NERR_BASE+594);

Unit

JclWin32


NERR_DelComputerName Constant

NERR_DelComputerName = (NERR_BASE+178);

Unit

JclWin32


NERR_DeleteLater Constant

NERR_DeleteLater = (NERR_BASE+198);

Unit

JclWin32


NERR_DestExists Constant

NERR_DestExists = (NERR_BASE+53);

Unit

JclWin32


NERR_DestIdle Constant

NERR_DestIdle = (NERR_BASE+58);

Unit

JclWin32


NERR_DestInvalidOp Constant

NERR_DestInvalidOp = (NERR_BASE+59);

Unit

JclWin32


NERR_DestInvalidState Constant

NERR_DestInvalidState = (NERR_BASE+62);

Unit

JclWin32


NERR_DestNoRoom Constant

NERR_DestNoRoom = (NERR_BASE+57);

Unit

JclWin32


NERR_DestNotFound Constant

NERR_DestNotFound = (NERR_BASE+52);

Unit

JclWin32


NERR_DeviceIsShared Constant

NERR_DeviceIsShared = (NERR_BASE+152);

Unit

JclWin32


NERR_DeviceNotShared Constant

NERR_DeviceNotShared = (NERR_BASE+211);

Unit

JclWin32


NERR_DeviceShareConflict Constant

NERR_DeviceShareConflict = (NERR_BASE+218);

Unit

JclWin32


NERR_DevInUse Constant

NERR_DevInUse = (NERR_BASE+304);

Unit

JclWin32


NERR_DevInvalidOpCode Constant

NERR_DevInvalidOpCode = (NERR_BASE+231);

Unit

JclWin32


NERR_DevNotFound Constant

NERR_DevNotFound = (NERR_BASE+232);

Unit

JclWin32


NERR_DevNotOpen Constant

NERR_DevNotOpen = (NERR_BASE+233);

Unit

JclWin32


NERR_DevNotRedirected Constant

NERR_DevNotRedirected = (NERR_BASE+7);

Unit

JclWin32


NERR_DfsAlreadyShared Constant

NERR_DfsAlreadyShared = (NERR_BASE+564);

Unit

JclWin32


NERR_DfsBadRenamePath Constant

NERR_DfsBadRenamePath = (NERR_BASE+571);

Unit

JclWin32


NERR_DfsCantCreateJunctionPoint Constant

NERR_DfsCantCreateJunctionPoint = (NERR_BASE+569);

Unit

JclWin32


NERR_DfsCantRemoveDfsRoot Constant

NERR_DfsCantRemoveDfsRoot = (NERR_BASE+582);

Unit

JclWin32


NERR_DfsCantRemoveLastServerShare Constant

NERR_DfsCantRemoveLastServerShare = (NERR_BASE+577);

Unit

JclWin32


NERR_DfsChildOrParentInDfs Constant

NERR_DfsChildOrParentInDfs = (NERR_BASE+583);

Unit

JclWin32


NERR_DfsCyclicalName Constant

NERR_DfsCyclicalName = (NERR_BASE+574);

Unit

JclWin32


NERR_DfsDataIsIdentical Constant

NERR_DfsDataIsIdentical = (NERR_BASE+581);

Unit

JclWin32


NERR_DfsDuplicateService Constant

NERR_DfsDuplicateService = (NERR_BASE+576);

Unit

JclWin32


NERR_DfsInconsistent Constant

NERR_DfsInconsistent = (NERR_BASE+579);

Unit

JclWin32


NERR_DfsInternalCorruption Constant

NERR_DfsInternalCorruption = (NERR_BASE+560);

Unit

JclWin32


NERR_DfsInternalError Constant

NERR_DfsInternalError = (NERR_BASE+590);

Unit

JclWin32


NERR_DfsLeafVolume Constant

NERR_DfsLeafVolume = (NERR_BASE+567);

Unit

JclWin32


NERR_DfsNoSuchServer Constant

NERR_DfsNoSuchServer = (NERR_BASE+573);

Unit

JclWin32


NERR_DfsNoSuchShare Constant

NERR_DfsNoSuchShare = (NERR_BASE+565);

Unit

JclWin32


NERR_DfsNoSuchVolume Constant

NERR_DfsNoSuchVolume = (NERR_BASE+562);

Unit

JclWin32


NERR_DfsNotALeafVolume Constant

NERR_DfsNotALeafVolume = (NERR_BASE+566);

Unit

JclWin32


NERR_DfsNotSupportedInServerDfs Constant

NERR_DfsNotSupportedInServerDfs = (NERR_BASE+575);

Unit

JclWin32


NERR_DfsServerNotDfsAware Constant

NERR_DfsServerNotDfsAware = (NERR_BASE+570);

Unit

JclWin32


NERR_DfsServerUpgraded Constant

NERR_DfsServerUpgraded = (NERR_BASE+580);

Unit

JclWin32


NERR_DfsVolumeAlreadyExists Constant

NERR_DfsVolumeAlreadyExists = (NERR_BASE+563);

Unit

JclWin32


NERR_DfsVolumeDataCorrupt Constant

NERR_DfsVolumeDataCorrupt = (NERR_BASE+561);

Unit

JclWin32


NERR_DfsVolumeHasMultipleServers Constant

NERR_DfsVolumeHasMultipleServers = (NERR_BASE+568);

Unit

JclWin32


NERR_DfsVolumeIsInterDfs Constant

NERR_DfsVolumeIsInterDfs = (NERR_BASE+578);

Unit

JclWin32


NERR_DfsVolumeIsOffline Constant

NERR_DfsVolumeIsOffline = (NERR_BASE+572);

Unit

JclWin32


NERR_DifferentServers Constant

NERR_DifferentServers = (NERR_BASE+283);

Unit

JclWin32


NERR_DriverNotFound Constant

NERR_DriverNotFound = (NERR_BASE+66);

Unit

JclWin32


NERR_DuplicateName Constant

NERR_DuplicateName = (NERR_BASE+197);

Unit

JclWin32


NERR_DuplicateShare Constant

NERR_DuplicateShare = (NERR_BASE+18);

Unit

JclWin32


NERR_DupNameReboot Constant

NERR_DupNameReboot = (NERR_BASE+44);

Unit

JclWin32


NERR_ErrCommRunSrv Constant

NERR_ErrCommRunSrv = (NERR_BASE+289);

Unit

JclWin32


NERR_ErrorExecingGhost Constant

NERR_ErrorExecingGhost = (NERR_BASE+291);

Unit

JclWin32


NERR_ExecFailure Constant

NERR_ExecFailure = (NERR_BASE+215);

Unit

JclWin32


NERR_FileIdNotFound Constant

NERR_FileIdNotFound = (NERR_BASE+214);

Unit

JclWin32


NERR_GroupExists Constant

NERR_GroupExists = (NERR_BASE+123);

Unit

JclWin32


NERR_GroupNotFound Constant

NERR_GroupNotFound = (NERR_BASE+120);

Unit

JclWin32


NERR_GrpMsgProcessor Constant

NERR_GrpMsgProcessor = (NERR_BASE+180);

Unit

JclWin32


NERR_ImageParamErr Constant

NERR_ImageParamErr = (NERR_BASE+408);

Unit

JclWin32


NERR_IncompleteDel Constant

NERR_IncompleteDel = (NERR_BASE+199);

Unit

JclWin32


NERR_InternalError Constant

NERR_InternalError = (NERR_BASE+40);

Unit

JclWin32


NERR_InUseBySpooler Constant

NERR_InUseBySpooler = (NERR_BASE+242);

Unit

JclWin32


NERR_InvalidAPI Constant

NERR_InvalidAPI = (NERR_BASE+42);

Unit

JclWin32


NERR_InvalidComputer Constant

NERR_InvalidComputer = (NERR_BASE+251);

Unit

JclWin32


NERR_InvalidDatabase Constant

NERR_InvalidDatabase = (NERR_BASE+147);

Unit

JclWin32


NERR_InvalidDevice Constant

NERR_InvalidDevice = (NERR_BASE+194);

Unit

JclWin32


NERR_InvalidLana Constant

NERR_InvalidLana = (NERR_BASE+300);

Unit

JclWin32


NERR_InvalidLogonHours Constant

NERR_InvalidLogonHours = (NERR_BASE+141);

Unit

JclWin32


NERR_InvalidLogSeek Constant

NERR_InvalidLogSeek = (NERR_BASE+340);

Unit

JclWin32


NERR_InvalidMaxUsers Constant

NERR_InvalidMaxUsers = (NERR_BASE+22);

Unit

JclWin32


NERR_InvalidUASOp Constant

NERR_InvalidUASOp = (NERR_BASE+351);

Unit

JclWin32


NERR_InvalidWorkgroupName Constant

NERR_InvalidWorkgroupName = (NERR_BASE+595);

Unit

JclWin32


NERR_InvalidWorkstation Constant

NERR_InvalidWorkstation = (NERR_BASE+140);

Unit

JclWin32


NERR_IsDfsShare Constant

NERR_IsDfsShare = (NERR_BASE+221);

Unit

JclWin32


NERR_ItemNotFound Constant

NERR_ItemNotFound = (NERR_BASE+15);

Unit

JclWin32


NERR_JobInvalidState Constant

NERR_JobInvalidState = (NERR_BASE+64);

Unit

JclWin32


NERR_JobNoRoom Constant

NERR_JobNoRoom = (NERR_BASE+56);

Unit

JclWin32


NERR_JobNotFound Constant

NERR_JobNotFound = (NERR_BASE+51);

Unit

JclWin32


NERR_LanmanIniError Constant

NERR_LanmanIniError = (NERR_BASE+31);

Unit

JclWin32


NERR_LastAdmin Constant

NERR_LastAdmin = (NERR_BASE+352);

Unit

JclWin32


NERR_LineTooLong Constant

NERR_LineTooLong = (NERR_BASE+49);

Unit

JclWin32


NERR_LocalDrive Constant

NERR_LocalDrive = (NERR_BASE+305);

Unit

JclWin32


NERR_LocalForward Constant

NERR_LocalForward = (NERR_BASE+179);

Unit

JclWin32


NERR_LogFileChanged Constant

NERR_LogFileChanged = (NERR_BASE+278);

Unit

JclWin32


NERR_LogFileCorrupt Constant

NERR_LogFileCorrupt = (NERR_BASE+279);

Unit

JclWin32


NERR_LogonDomainExists Constant

NERR_LogonDomainExists = (NERR_BASE+116);

Unit

JclWin32


NERR_LogonNoUserPath Constant

NERR_LogonNoUserPath = (NERR_BASE+111);

Unit

JclWin32


NERR_LogonScriptError Constant

NERR_LogonScriptError = (NERR_BASE+112);

Unit

JclWin32


NERR_LogonServerConflict Constant

NERR_LogonServerConflict = (NERR_BASE+110);

Unit

JclWin32


NERR_LogonServerNotFound Constant

NERR_LogonServerNotFound = (NERR_BASE+115);

Unit

JclWin32


NERR_LogonsPaused Constant

NERR_LogonsPaused = (NERR_BASE+109);

Unit

JclWin32


NERR_LogonTrackingError Constant

NERR_LogonTrackingError = (NERR_BASE+354);

Unit

JclWin32


NERR_LogOverflow Constant

NERR_LogOverflow = (NERR_BASE+277);

Unit

JclWin32


NERR_MaxLenExceeded Constant

NERR_MaxLenExceeded = (NERR_BASE+254);

Unit

JclWin32


NERR_MsgAlreadyStarted Constant

NERR_MsgAlreadyStarted = (NERR_BASE+171);

Unit

JclWin32


NERR_MsgInitFailed Constant

NERR_MsgInitFailed = (NERR_BASE+172);

Unit

JclWin32


NERR_MsgNotStarted Constant

NERR_MsgNotStarted = (NERR_BASE+184);

Unit

JclWin32


NERR_MultipleNets Constant

NERR_MultipleNets = (NERR_BASE+200);

Unit

JclWin32


NERR_NameInUse Constant

NERR_NameInUse = (NERR_BASE+183);

Unit

JclWin32


NERR_NameNotForwarded Constant

NERR_NameNotForwarded = (NERR_BASE+188);

Unit

JclWin32


NERR_NameNotFound Constant

NERR_NameNotFound = (NERR_BASE+173);

Unit

JclWin32


NERR_NameUsesIncompatibleCodePage Constant

NERR_NameUsesIncompatibleCodePage = (NERR_BASE+596);

Unit

JclWin32


NERR_NetlogonNotStarted Constant

NERR_NetlogonNotStarted = (NERR_BASE+355);

Unit

JclWin32


NERR_NetNameNotFound Constant

NERR_NetNameNotFound = (NERR_BASE+210);

Unit

JclWin32


NERR_NetNotStarted Constant

NERR_NetNotStarted = (NERR_BASE+2);

Unit

JclWin32


NERR_NetworkError Constant

NERR_NetworkError = (NERR_BASE+36);

Unit

JclWin32


NERR_NoAlternateServers Constant

NERR_NoAlternateServers = (NERR_BASE+367);

Unit

JclWin32


NERR_NoCommDevs Constant

NERR_NoCommDevs = (NERR_BASE+237);

Unit

JclWin32


NERR_NoComputerName Constant

NERR_NoComputerName = (NERR_BASE+170);

Unit

JclWin32


NERR_NoForwardName Constant

NERR_NoForwardName = (NERR_BASE+186);

Unit

JclWin32


NERR_NonDosFloppyUsed Constant

NERR_NonDosFloppyUsed = (NERR_BASE+410);

Unit

JclWin32


NERR_NoNetworkResource Constant

NERR_NoNetworkResource = (NERR_BASE+5);

Unit

JclWin32


NERR_NonValidatedLogon Constant

NERR_NonValidatedLogon = (NERR_BASE+117);

Unit

JclWin32


NERR_NoRoom Constant

NERR_NoRoom = (NERR_BASE+19);

Unit

JclWin32


NERR_NoRplBootSystem Constant

NERR_NoRplBootSystem = (NERR_BASE+405);

Unit

JclWin32


NERR_NoSuchAlert Constant

NERR_NoSuchAlert = (NERR_BASE+332);

Unit

JclWin32


NERR_NoSuchConnection Constant

NERR_NoSuchConnection = (NERR_BASE+362);

Unit

JclWin32


NERR_NoSuchServer Constant

NERR_NoSuchServer = (NERR_BASE+360);

Unit

JclWin32


NERR_NoSuchSession Constant

NERR_NoSuchSession = (NERR_BASE+361);

Unit

JclWin32


NERR_NotInCache Constant

NERR_NotInCache = (NERR_BASE+135);

Unit

JclWin32


NERR_NotInDispatchTbl Constant

NERR_NotInDispatchTbl = (NERR_BASE+92);

Unit

JclWin32


NERR_NotLocalDomain Constant

NERR_NotLocalDomain = (NERR_BASE+220);

Unit

JclWin32


NERR_NotLocalName Constant

NERR_NotLocalName = (NERR_BASE+185);

Unit

JclWin32


NERR_NotLoggedOn Constant

NERR_NotLoggedOn = (NERR_BASE+101);

Unit

JclWin32


NERR_NotPrimary Constant

NERR_NotPrimary = (NERR_BASE+126);

Unit

JclWin32


NERR_OpenFiles Constant

NERR_OpenFiles = (NERR_BASE+301);

Unit

JclWin32


NERR_PasswordCantChange Constant

NERR_PasswordCantChange = (NERR_BASE+143);

Unit

JclWin32


NERR_PasswordExpired Constant

NERR_PasswordExpired = (NERR_BASE+142);

Unit

JclWin32


NERR_PasswordFilterError Constant

NERR_PasswordFilterError = (NERR_BASE + 605);

Unit

JclWin32


NERR_PasswordHistConflict Constant

NERR_PasswordHistConflict = (NERR_BASE+144);

Unit

JclWin32


NERR_PasswordMismatch Constant

NERR_PasswordMismatch = (NERR_BASE+358);

Unit

JclWin32


NERR_PasswordMustChange Constant

NERR_PasswordMustChange = (NERR_BASE + 601);

Unit

JclWin32


NERR_PasswordNotComplexEnough Constant

NERR_PasswordNotComplexEnough = (NERR_BASE + 604);

Unit

JclWin32


NERR_PasswordTooLong Constant

NERR_PasswordTooLong = (NERR_BASE + 603);

Unit

JclWin32


NERR_PasswordTooRecent Constant

NERR_PasswordTooRecent = (NERR_BASE+146);

Unit

JclWin32


NERR_PasswordTooShort Constant

NERR_PasswordTooShort = (NERR_BASE+145);

Unit

JclWin32


NERR_PausedRemote Constant

NERR_PausedRemote = (NERR_BASE+181);

Unit

JclWin32


NERR_PersonalSku Constant

NERR_PersonalSku = (NERR_BASE+598);

Unit

JclWin32


NERR_ProcNoRespond Constant

NERR_ProcNoRespond = (NERR_BASE+60);

Unit

JclWin32


NERR_ProcNotFound Constant

NERR_ProcNotFound = (NERR_BASE+68);

Unit

JclWin32


NERR_ProfileCleanup Constant

NERR_ProfileCleanup = (NERR_BASE+272);

Unit

JclWin32


NERR_ProfileFileTooBig Constant

NERR_ProfileFileTooBig = (NERR_BASE+270);

Unit

JclWin32


NERR_ProfileLoadErr Constant

NERR_ProfileLoadErr = (NERR_BASE+274);

Unit

JclWin32


NERR_ProfileOffset Constant

NERR_ProfileOffset = (NERR_BASE+271);

Unit

JclWin32


NERR_ProfileSaveErr Constant

NERR_ProfileSaveErr = (NERR_BASE+275);

Unit

JclWin32


NERR_ProfileUnknownCmd Constant

NERR_ProfileUnknownCmd = (NERR_BASE+273);

Unit

JclWin32


NERR_ProgNeedsExtraMem Constant

NERR_ProgNeedsExtraMem = (NERR_BASE+401);

Unit

JclWin32


NERR_QExists Constant

NERR_QExists = (NERR_BASE+54);

Unit

JclWin32


NERR_QInvalidState Constant

NERR_QInvalidState = (NERR_BASE+63);

Unit

JclWin32


NERR_QNoRoom Constant

NERR_QNoRoom = (NERR_BASE+55);

Unit

JclWin32


NERR_QNotFound Constant

NERR_QNotFound = (NERR_BASE+50);

Unit

JclWin32


NERR_QueueNotFound Constant

NERR_QueueNotFound = (NERR_BASE+238);

Unit

JclWin32


NERR_RedirectedPath Constant

NERR_RedirectedPath = (NERR_BASE+17);

Unit

JclWin32


NERR_RemoteBootFailed Constant

NERR_RemoteBootFailed = (NERR_BASE+403);

Unit

JclWin32


NERR_RemoteErr Constant

NERR_RemoteErr = (NERR_BASE+27);

Unit

JclWin32


NERR_RemoteFull Constant

NERR_RemoteFull = (NERR_BASE+187);

Unit

JclWin32


NERR_RemoteOnly Constant

NERR_RemoteOnly = (NERR_BASE+6);

Unit

JclWin32


NERR_ResourceExists Constant

NERR_ResourceExists = (NERR_BASE+125);

Unit

JclWin32


NERR_ResourceNotFound Constant

NERR_ResourceNotFound = (NERR_BASE+122);

Unit

JclWin32


NERR_RPL_CONNECTED Constant

NERR_RPL_CONNECTED = (NERR_BASE+419);

Unit

JclWin32


NERR_RplAdapterInfoCorrupted Constant

NERR_RplAdapterInfoCorrupted = (NERR_BASE+525);

Unit

JclWin32


NERR_RplAdapterNameUnavailable Constant

NERR_RplAdapterNameUnavailable = (NERR_BASE+533);

Unit

JclWin32


NERR_RplAdapterNotFound Constant

NERR_RplAdapterNotFound = (NERR_BASE+537);

Unit

JclWin32


NERR_RplBackupDatabase Constant

NERR_RplBackupDatabase = (NERR_BASE+536);

Unit

JclWin32


NERR_RplBadDatabase Constant

NERR_RplBadDatabase = (NERR_BASE+512);

Unit

JclWin32


NERR_RplBadRegistry Constant

NERR_RplBadRegistry = (NERR_BASE+511);

Unit

JclWin32


NERR_RplBootInfoCorrupted Constant

NERR_RplBootInfoCorrupted = (NERR_BASE+528);

Unit

JclWin32


NERR_RplBootInUse Constant

NERR_RplBootInUse = (NERR_BASE+535);

Unit

JclWin32


NERR_RplBootNameUnavailable Constant

NERR_RplBootNameUnavailable = (NERR_BASE+540);

Unit

JclWin32


NERR_RplBootNotFound Constant

NERR_RplBootNotFound = (NERR_BASE+531);

Unit

JclWin32


NERR_RplBootRestart Constant

NERR_RplBootRestart = (NERR_BASE+411);

Unit

JclWin32


NERR_RplBootServiceTerm Constant

NERR_RplBootServiceTerm = (NERR_BASE+417);

Unit

JclWin32


NERR_RplBootStartFailed Constant

NERR_RplBootStartFailed = (NERR_BASE+418);

Unit

JclWin32


NERR_RplCannotEnum Constant

NERR_RplCannotEnum = (NERR_BASE+515);

Unit

JclWin32


NERR_RplConfigInfoCorrupted Constant

NERR_RplConfigInfoCorrupted = (NERR_BASE+523);

Unit

JclWin32


NERR_RplConfigNameUnavailable Constant

NERR_RplConfigNameUnavailable = (NERR_BASE+541);

Unit

JclWin32


NERR_RplConfigNotEmpty Constant

NERR_RplConfigNotEmpty = (NERR_BASE+534);

Unit

JclWin32


NERR_RplConfigNotFound Constant

NERR_RplConfigNotFound = (NERR_BASE+524);

Unit

JclWin32


NERR_RplIncompatibleProfile Constant

NERR_RplIncompatibleProfile = (NERR_BASE+532);

Unit

JclWin32


NERR_RplInternal Constant

NERR_RplInternal = (NERR_BASE+526);

Unit

JclWin32


NERR_RplLoadrDiskErr Constant

NERR_RplLoadrDiskErr = (NERR_BASE+407);

Unit

JclWin32


NERR_RplLoadrNetBiosErr Constant

NERR_RplLoadrNetBiosErr = (NERR_BASE+406);

Unit

JclWin32


NERR_RplNeedsRPLUSERAcct Constant

NERR_RplNeedsRPLUSERAcct = (NERR_BASE+530);

Unit

JclWin32


NERR_RplNoAdaptersStarted Constant

NERR_RplNoAdaptersStarted = (NERR_BASE+510);

Unit

JclWin32


NERR_RplNotRplServer Constant

NERR_RplNotRplServer = (NERR_BASE+514);

Unit

JclWin32


NERR_RplProfileInfoCorrupted Constant

NERR_RplProfileInfoCorrupted = (NERR_BASE+519);

Unit

JclWin32


NERR_RplProfileNameUnavailable Constant

NERR_RplProfileNameUnavailable = (NERR_BASE+521);

Unit

JclWin32


NERR_RplProfileNotEmpty Constant

NERR_RplProfileNotEmpty = (NERR_BASE+522);

Unit

JclWin32


NERR_RplProfileNotFound Constant

NERR_RplProfileNotFound = (NERR_BASE+520);

Unit

JclWin32


NERR_RplRplfilesShare Constant

NERR_RplRplfilesShare = (NERR_BASE+513);

Unit

JclWin32


NERR_RplSrvrCallFailed Constant

NERR_RplSrvrCallFailed = (NERR_BASE+412);

Unit

JclWin32


NERR_RplVendorInfoCorrupted Constant

NERR_RplVendorInfoCorrupted = (NERR_BASE+527);

Unit

JclWin32


NERR_RplVendorNameUnavailable Constant

NERR_RplVendorNameUnavailable = (NERR_BASE+539);

Unit

JclWin32


NERR_RplVendorNotFound Constant

NERR_RplVendorNotFound = (NERR_BASE+538);

Unit

JclWin32


NERR_RplWkstaInfoCorrupted Constant

NERR_RplWkstaInfoCorrupted = (NERR_BASE+516);

Unit

JclWin32


NERR_RplWkstaNameUnavailable Constant

NERR_RplWkstaNameUnavailable = (NERR_BASE+518);

Unit

JclWin32


NERR_RplWkstaNeedsUserAcct Constant

NERR_RplWkstaNeedsUserAcct = (NERR_BASE+529);

Unit

JclWin32


NERR_RplWkstaNotFound Constant

NERR_RplWkstaNotFound = (NERR_BASE+517);

Unit

JclWin32


NERR_RunSrvPaused Constant

NERR_RunSrvPaused = (NERR_BASE+285);

Unit

JclWin32


NERR_ServerNotStarted Constant

NERR_ServerNotStarted = (NERR_BASE+14);

Unit

JclWin32


NERR_ServiceCtlBusy Constant

NERR_ServiceCtlBusy = (NERR_BASE+87);

Unit

JclWin32


NERR_ServiceCtlNotValid Constant

NERR_ServiceCtlNotValid = (NERR_BASE+91);

Unit

JclWin32


NERR_ServiceCtlTimeout Constant

NERR_ServiceCtlTimeout = (NERR_BASE+86);

Unit

JclWin32


NERR_ServiceEntryLocked Constant

NERR_ServiceEntryLocked = (NERR_BASE+83);

Unit

JclWin32


NERR_ServiceInstalled Constant

NERR_ServiceInstalled = (NERR_BASE+82);

Unit

JclWin32


NERR_ServiceKillProc Constant

NERR_ServiceKillProc = (NERR_BASE+90);

Unit

JclWin32


NERR_ServiceNotCtrl Constant

NERR_ServiceNotCtrl = (NERR_BASE+89);

Unit

JclWin32


NERR_ServiceNotInstalled Constant

NERR_ServiceNotInstalled = (NERR_BASE+84);

Unit

JclWin32


NERR_ServiceNotStarting Constant

NERR_ServiceNotStarting = (NERR_BASE+94);

Unit

JclWin32


NERR_ServiceTableFull Constant

NERR_ServiceTableFull = (NERR_BASE+81);

Unit

JclWin32


NERR_ServiceTableLocked Constant

NERR_ServiceTableLocked = (NERR_BASE+80);

Unit

JclWin32


NERR_SetupAlreadyJoined Constant

NERR_SetupAlreadyJoined = (NERR_BASE+591);

Unit

JclWin32


NERR_SetupDomainController Constant

NERR_SetupDomainController = (NERR_BASE+593);

Unit

JclWin32


NERR_SetupNotJoined Constant

NERR_SetupNotJoined = (NERR_BASE+592);

Unit

JclWin32


NERR_ShareMem Constant

NERR_ShareMem = (NERR_BASE+4);

Unit

JclWin32


NERR_ShareNotFound Constant

NERR_ShareNotFound = (NERR_BASE+292);

Unit

JclWin32


NERR_SourceIsDir Constant

NERR_SourceIsDir = (NERR_BASE+280);

Unit

JclWin32


NERR_SpeGroupOp Constant

NERR_SpeGroupOp = (NERR_BASE+134);

Unit

JclWin32


NERR_SpoolerNotLoaded Constant

NERR_SpoolerNotLoaded = (NERR_BASE+61);

Unit

JclWin32


NERR_SpoolNoMemory Constant

NERR_SpoolNoMemory = (NERR_BASE+65);

Unit

JclWin32


NERR_StandaloneLogon Constant

NERR_StandaloneLogon = (NERR_BASE+114);

Unit

JclWin32


NERR_StartingRplBoot Constant

NERR_StartingRplBoot = (NERR_BASE+416);

Unit

JclWin32


NERR_Success Constant

NERR_Success = 0;

Unit

JclWin32


NERR_SyncRequired Constant

NERR_SyncRequired = (NERR_BASE+149);

Unit

JclWin32


NERR_TimeDiffAtDC Constant

NERR_TimeDiffAtDC = (NERR_BASE+357);

Unit

JclWin32


NERR_TmpFile Constant

NERR_TmpFile = (NERR_BASE+216);

Unit

JclWin32


NERR_TooManyAlerts Constant

NERR_TooManyAlerts = (NERR_BASE+331);

Unit

JclWin32


NERR_TooManyConnections Constant

NERR_TooManyConnections = (NERR_BASE+365);

Unit

JclWin32


NERR_TooManyEntries Constant

NERR_TooManyEntries = (NERR_BASE+262);

Unit

JclWin32


NERR_TooManyFiles Constant

NERR_TooManyFiles = (NERR_BASE+366);

Unit

JclWin32


NERR_TooManyImageParams Constant

NERR_TooManyImageParams = (NERR_BASE+409);

Unit

JclWin32


NERR_TooManyItems Constant

NERR_TooManyItems = (NERR_BASE+21);

Unit

JclWin32


NERR_TooManyNames Constant

NERR_TooManyNames = (NERR_BASE+177);

Unit

JclWin32


NERR_TooManyServers Constant

NERR_TooManyServers = (NERR_BASE+363);

Unit

JclWin32


NERR_TooManySessions Constant

NERR_TooManySessions = (NERR_BASE+364);

Unit

JclWin32


NERR_TooMuchData Constant

NERR_TooMuchData = (NERR_BASE+217);

Unit

JclWin32


NERR_TruncatedBroadcast Constant

NERR_TruncatedBroadcast = (NERR_BASE+189);

Unit

JclWin32


NERR_TryDownLevel Constant

NERR_TryDownLevel = (NERR_BASE+370);

Unit

JclWin32


NERR_UnableToAddName_F Constant

NERR_UnableToAddName_F = (NERR_BASE+105);

Unit

JclWin32


NERR_UnableToAddName_W Constant

NERR_UnableToAddName_W = (NERR_BASE+104);

Unit

JclWin32


NERR_UnableToDelName_F Constant

NERR_UnableToDelName_F = (NERR_BASE+107);

Unit

JclWin32


NERR_UnableToDelName_W Constant

NERR_UnableToDelName_W = (NERR_BASE+106);

Unit

JclWin32


NERR_UnknownDevDir Constant

NERR_UnknownDevDir = (NERR_BASE+16);

Unit

JclWin32


NERR_UnknownServer Constant

NERR_UnknownServer = (NERR_BASE+3);

Unit

JclWin32


NERR_UPSDriverNotStarted Constant

NERR_UPSDriverNotStarted = (NERR_BASE+380);

Unit

JclWin32


NERR_UPSInvalidCommPort Constant

NERR_UPSInvalidCommPort = (NERR_BASE+382);

Unit

JclWin32


NERR_UPSInvalidConfig Constant

NERR_UPSInvalidConfig = (NERR_BASE+381);

Unit

JclWin32


NERR_UPSShutdownFailed Constant

NERR_UPSShutdownFailed = (NERR_BASE+384);

Unit

JclWin32


NERR_UPSSignalAsserted Constant

NERR_UPSSignalAsserted = (NERR_BASE+383);

Unit

JclWin32


NERR_UseNotFound Constant

NERR_UseNotFound = (NERR_BASE+150);

Unit

JclWin32


NERR_UserExists Constant

NERR_UserExists = (NERR_BASE+124);

Unit

JclWin32


NERR_UserInGroup Constant

NERR_UserInGroup = (NERR_BASE+136);

Unit

JclWin32


NERR_UserLogon Constant

NERR_UserLogon = (NERR_BASE+131);

Unit

JclWin32


NERR_UserNotFound Constant

NERR_UserNotFound = (NERR_BASE+121);

Unit

JclWin32


NERR_UserNotInGroup Constant

NERR_UserNotInGroup = (NERR_BASE+137);

Unit

JclWin32


NERR_WkstaInconsistentState Constant

NERR_WkstaInconsistentState = (NERR_BASE+37);

Unit

JclWin32


NERR_WkstaNotStarted Constant

NERR_WkstaNotStarted = (NERR_BASE+38);

Unit

JclWin32


NERR_WriteFault Constant

NERR_WriteFault = (NERR_BASE+195);

Unit

JclWin32


NetApi32 Constant

NetApi32 = 'netapi32.dll';

Unit

JclWin32


NETBIOS_NAME_LEN Constant

NETBIOS_NAME_LEN = 16;

Unit

JclWin32


NibbleMask Constant

NibbleMask = $F;

Unit

JclLogic


NibblesPerByte Constant

NibblesPerByte = BitsPerByte div BitsPerNibble;

Unit

JclLogic


NibblesPerCardinal Constant

NibblesPerCardinal = SizeOf(Cardinal) * NibblesPerByte;

Unit

JclLogic


NibblesPerInt64 Constant

NibblesPerInt64 = SizeOf(Int64) * NibblesPerByte;

Unit

JclLogic


NibblesPerInteger Constant

NibblesPerInteger = SizeOf(Integer) * NibblesPerByte;

Unit

JclLogic


NibblesPerShortint Constant

NibblesPerShortint = SizeOf(Shortint) * NibblesPerByte;

Unit

JclLogic


NibblesPerSmallint Constant

NibblesPerSmallint = SizeOf(Smallint) * NibblesPerByte;

Unit

JclLogic


NibblesPerWord Constant

NibblesPerWord = SizeOf(Word) * NibblesPerByte;

Unit

JclLogic


NLS_VALID_LOCALE_MASK Constant

NLS_VALID_LOCALE_MASK = $000fffff;

Unit

JclWin32


NNLEN Constant

NNLEN = 80;

Unit

JclWin32


NON_PAGED_DEBUG_SIGNATURE Constant

NON_PAGED_DEBUG_SIGNATURE = $494E;

Unit

JclWin32


NRC_ACTSES Constant

NRC_ACTSES = $0f;

Unit

JclWin32


NRC_BADDR Constant

NRC_BADDR = $07;

Unit

JclWin32


NRC_BRIDGE Constant

NRC_BRIDGE = $23;

Unit

JclWin32


NRC_BUFLEN Constant

NRC_BUFLEN = $01;

Unit

JclWin32


NRC_CANCEL Constant

NRC_CANCEL = $26;

Unit

JclWin32


NRC_CANOCCR Constant

NRC_CANOCCR = $24;

Unit

JclWin32


NRC_CMDCAN Constant

NRC_CMDCAN = $0b;

Unit

JclWin32


NRC_CMDTMO Constant

NRC_CMDTMO = $05;

Unit

JclWin32


NRC_DUPENV Constant

NRC_DUPENV = $30;

Unit

JclWin32


NRC_DUPNAME Constant

NRC_DUPNAME = $0d;

Unit

JclWin32


NRC_ENVNOTDEF Constant

NRC_ENVNOTDEF = $34;

Unit

JclWin32


NRC_IFBUSY Constant

NRC_IFBUSY = $21;

Unit

JclWin32


NRC_ILLCMD Constant

NRC_ILLCMD = $03;

Unit

JclWin32


NRC_ILLNN Constant

NRC_ILLNN = $13;

Unit

JclWin32


NRC_INCOMP Constant

NRC_INCOMP = $06;

Unit

JclWin32


NRC_INUSE Constant

NRC_INUSE = $16;

Unit

JclWin32


NRC_INVADDRESS Constant

NRC_INVADDRESS = $39;

Unit

JclWin32


NRC_INVDDID Constant

NRC_INVDDID = $3B;

Unit

JclWin32


NRC_LOCKFAIL Constant

NRC_LOCKFAIL = $3C;

Unit

JclWin32


NRC_LOCTFUL Constant

NRC_LOCTFUL = $11;

Unit

JclWin32


NRC_MAXAPPS Constant

NRC_MAXAPPS = $36;

Unit

JclWin32


NRC_NAMCONF Constant

NRC_NAMCONF = $19;

Unit

JclWin32


NRC_NAMERR Constant

NRC_NAMERR = $17;

Unit

JclWin32


NRC_NAMTFUL Constant

NRC_NAMTFUL = $0e;

Unit

JclWin32


NRC_NOCALL Constant

NRC_NOCALL = $14;

Unit

JclWin32


NRC_NORES Constant

NRC_NORES = $09;

Unit

JclWin32


NRC_NORESOURCES Constant

NRC_NORESOURCES = $38;

Unit

JclWin32


NRC_NOSAPS Constant

NRC_NOSAPS = $37;

Unit

JclWin32


NRC_NOWILD Constant

NRC_NOWILD = $15;

Unit

JclWin32


NRC_OPENERR Constant

NRC_OPENERR = $3f;

Unit

JclWin32


NRC_OSRESNOTAV Constant

NRC_OSRESNOTAV = $35;

Unit

JclWin32


NRC_PENDING Constant

NRC_PENDING = $ff;

Unit

JclWin32


NRC_REMTFUL Constant

NRC_REMTFUL = $12;

Unit

JclWin32


NRC_SABORT Constant

NRC_SABORT = $18;

Unit

JclWin32


NRC_SCLOSED Constant

NRC_SCLOSED = $0a;

Unit

JclWin32


NRC_SNUMOUT Constant

NRC_SNUMOUT = $08;

Unit

JclWin32


NRC_SYSTEM Constant

NRC_SYSTEM = $40;

Unit

JclWin32


NRC_TOOMANY Constant

NRC_TOOMANY = $22;

Unit

JclWin32


NULL_USERSETINFO_PASSWD Constant

NULL_USERSETINFO_PASSWD = '              ';

Unit

JclWin32


OS2MSG_FILENAME Constant

OS2MSG_FILENAME = 'BASE';

Unit

JclWin32


PAE_FLAG Constant

PAE_FLAG = BIT_6;

Unit

JclSysInfo


PAMD_FREQUENCYID Constant

PAMD_FREQUENCYID = $00000002;

Unit

JclSysInfo


PAMD_SOFTTHERMCONTROL Constant

PAMD_SOFTTHERMCONTROL = $00000020;

Unit

JclSysInfo


PAMD_TEMPSENSOR Constant

PAMD_TEMPSENSOR = $00000001;

Unit

JclSysInfo


PAMD_THERMALMONITOR Constant

PAMD_THERMALMONITOR = $00000010;

Unit

JclSysInfo


PAMD_THERMALTRIP Constant

PAMD_THERMALTRIP = $00000008;

Unit

JclSysInfo


PAMD_VOLTAGEID Constant

PAMD_VOLTAGEID = $00000004;

Unit

JclSysInfo


PARM_ERROR_NONE Constant

PARM_ERROR_NONE = 0;

Unit

JclWin32


PARM_ERROR_UNKNOWN Constant

PARM_ERROR_UNKNOWN = DWORD(-1);

Unit

JclWin32


PARMNUM_ALL Constant

PARMNUM_ALL = 0;

Unit

JclWin32


PARMNUM_BASE_INFOLEVEL Constant

PARMNUM_BASE_INFOLEVEL = 1000;

Unit

JclWin32


PAT_FLAG Constant

PAT_FLAG = BIT_16;

Unit

JclSysInfo


PATHLEN Constant

PATHLEN = 256;

Unit

JclWin32


PBE_FLAG Constant

PBE_FLAG = BIT_31;

Unit

JclSysInfo


PCLEANUI Constant

PCLEANUI = (SHTDN_REASON_FLAG_PLANNED or SHTDN_REASON_FLAG_CLEAN_UI);

Unit

JclWin32


PDIRTYUI Constant

PDIRTYUI = (SHTDN_REASON_FLAG_PLANNED or SHTDN_REASON_FLAG_DIRTY_UI);

Unit

JclWin32


PersonalityBCB Constant

PersonalityBCB = 'C++Builder';

Unit

JclBorlandTools


PersonalityBDS Constant

PersonalityBDS = 'Borland Developer Studio';

Unit

JclBorlandTools


PersonalityCSB Constant

PersonalityCSB = 'C#Builder';

Unit

JclBorlandTools


PersonalityDelphi Constant

PersonalityDelphi = 'Delphi';

Unit

JclBorlandTools


PGE_FLAG Constant

PGE_FLAG = BIT_13;

Unit

JclSysInfo


PiExt Constant

PiExt = 3.1415926535897932384626433832795;

Unit

JclMath


PLATFORM_ID_DOS Constant

PLATFORM_ID_DOS = 300;

Unit

JclWin32


PLATFORM_ID_NT Constant

PLATFORM_ID_NT = 500;

Unit

JclWin32


PLATFORM_ID_OS2 Constant

PLATFORM_ID_OS2 = 400;

Unit

JclWin32


PLATFORM_ID_OSF Constant

PLATFORM_ID_OSF = 600;

Unit

JclWin32


PLATFORM_ID_VMS Constant

PLATFORM_ID_VMS = 700;

Unit

JclWin32


PREFIX_CUT_EQUAL Constant

See Also

Skip all initial characters common to all values.

Pascal

PREFIX_CUT_EQUAL = 254;

Description

Skip all initial characters common to all values.

Donator

Marcel Bestebroer

Unit

JclRTTI


See Also

JclGenerateEnumTypeBasedOn,MaxPrefixCut,PREFIX_CUT_LOWERCASE


PREFIX_CUT_LOWERCASE Constant

See Also

Skip all initial lowercase characters.

Pascal

PREFIX_CUT_LOWERCASE = 255;

Description

Skip all initial lowercase characters.

Donator

Marcel Bestebroer

Unit

JclRTTI


See Also

JclGenerateEnumTypeBasedOn,MaxPrefixCut,PREFIX_CUT_EQUAL


PROCESSOR_ARCHITECTURE_AMD64 Constant

PROCESSOR_ARCHITECTURE_AMD64 = 9;

Unit

JclSysInfo


PROCESSOR_ARCHITECTURE_IA32_ON_WIN64 Constant

PROCESSOR_ARCHITECTURE_IA32_ON_WIN64 = 10;

Unit

JclSysInfo


PROCESSOR_ARCHITECTURE_IA64 Constant

PROCESSOR_ARCHITECTURE_IA64 = 6;

Unit

JclSysInfo


PROCESSOR_ARCHITECTURE_INTEL Constant

PROCESSOR_ARCHITECTURE_INTEL = 0;

Unit

JclSysInfo


ProjectTypeLibrary Constant

ProjectTypeLibrary = 'library';

Unit

JclBorlandTools


ProjectTypePackage Constant

ProjectTypePackage = 'package';

Unit

JclBorlandTools


ProjectTypeProgram Constant

ProjectTypeProgram = 'program';

Unit

JclBorlandTools


PSE_FLAG Constant

PSE_FLAG = BIT_3;

Unit

JclSysInfo


PSE36_FLAG Constant

PSE36_FLAG = BIT_17;

Unit

JclSysInfo


PSN_FLAG Constant

PSN_FLAG = BIT_18;

Unit

JclSysInfo


PsPePkgLibrary Constant

PsPePkgLibrary = 'Library';

Unit

JclResources


PWLEN Constant

PWLEN = 256;

Unit

JclWin32


QNLEN Constant

QNLEN = NNLEN;

Unit

JclWin32


RadPerCycle Constant

RadPerCycle: Float = 6.283185307179586476925286766559;

Unit

JclUnitConv


RadPerDeg Constant

RadPerDeg: Float = 0.017453292519943295769236907684886;

Unit

JclUnitConv


RadPerGrad Constant

RadPerGrad: Float = 0.015707963267948966192313216916398;

Unit

JclUnitConv


RankineAbsoluteZero Constant

RankineAbsoluteZero = 0.0;

Unit

JclUnitConv


RankineAtFahrenheitZero Constant

RankineAtFahrenheitZero = 459.67;

Unit

JclUnitConv


RankineBoilingPoint Constant

RankineBoilingPoint = 180 + RankineFreezingPoint;

Unit

JclUnitConv


RankineFreezingPoint Constant

RankineFreezingPoint = 491.67;

Unit

JclUnitConv


RatioDegToGrad Constant

RatioDegToGrad: Extended = 200.0 / 180.0;

Unit

JclMath


RatioDegToRad Constant

RatioDegToRad: Extended = PiExt / 180.0;

Unit

JclMath


RatioGradToDeg Constant

RatioGradToDeg: Extended = 180.0 / 200.0;

Unit

JclMath


RatioGradToRad Constant

RatioGradToRad: Extended = PiExt / 200.0;

Unit

JclMath


RatioRadToDeg Constant

RatioRadToDeg: Extended = 180.0 / PiExt;

Unit

JclMath


RatioRadToGrad Constant

RatioRadToGrad: Extended = 200.0 / PiExt;

Unit

JclMath


RDFN_AgencyCodeId Constant

RDFN_AgencyCodeId = 'AgencyCodeId';

Unit

JclEDI_ANSIX12


RDFN_Description Constant

RDFN_Description = 'Description';

Unit

JclEDI_ANSIX12


RDFN_FGDescription Constant

RDFN_FGDescription = 'FGDescription';

Unit

JclEDI_ANSIX12


RDFN_FunctionalGroupId Constant

RDFN_FunctionalGroupId = 'FunctionalGroupId';

Unit

JclEDI_ANSIX12


RDFN_ICDescription Constant

RDFN_ICDescription = 'ICDescription';

Unit

JclEDI_ANSIX12


RDFN_Id Constant

RDFN_Id = 'Id';

Unit

JclEDI_ANSIX12


RDFN_MaximumLength Constant

RDFN_MaximumLength = 'MaximumLength';

Unit

JclEDI_ANSIX12


RDFN_MaximumLoopRepeat Constant

RDFN_MaximumLoopRepeat = 'MaximumLoopRepeat';

Unit

JclEDI_ANSIX12


RDFN_MaximumUsage Constant

RDFN_MaximumUsage = 'MaximumUsage';

Unit

JclEDI_ANSIX12


RDFN_MinimumLength Constant

RDFN_MinimumLength = 'MinimumLength';

Unit

JclEDI_ANSIX12


RDFN_Notes Constant

RDFN_Notes = 'Notes';

Unit

JclEDI_ANSIX12


RDFN_OwnerLoopId Constant

RDFN_OwnerLoopId = 'OwnerLoopId';

Unit

JclEDI_ANSIX12


RDFN_ParentLoopId Constant

RDFN_ParentLoopId = 'ParentLoopId';

Unit

JclEDI_ANSIX12


RDFN_Position Constant

RDFN_Position = 'Position';

Unit

JclEDI_ANSIX12


RDFN_RequirementDesignator Constant

RDFN_RequirementDesignator = 'RequirementDesignator';

Unit

JclEDI_ANSIX12


RDFN_Section Constant

RDFN_Section = 'Section';

Unit

JclEDI_ANSIX12


RDFN_StandardId Constant

RDFN_StandardId = 'StandardId';

Unit

JclEDI_ANSIX12


RDFN_TransSetDesc Constant

RDFN_TransSetDesc = 'TransSetDesc';

Unit

JclEDI_ANSIX12


RDFN_TransSetId Constant

RDFN_TransSetId = 'TransSetId';

Unit

JclEDI_ANSIX12


RDFN_Type Constant

RDFN_Type = 'Type';

Unit

JclEDI_ANSIX12


RDFN_VersionId Constant

RDFN_VersionId = 'VersionId';

Unit

JclEDI_ANSIX12


RDFN_VersionReleaseId Constant

RDFN_VersionReleaseId = 'VersionReleaseId';

Unit

JclEDI_ANSIX12


ReaumurAbsoluteZero Constant

ReaumurAbsoluteZero = -218.52;

Unit

JclUnitConv


ReaumurBoilingPoint Constant

ReaumurBoilingPoint = 80.0;

Unit

JclUnitConv


ReaumurFreezingPoint Constant

ReaumurFreezingPoint = 0.0;

Unit

JclUnitConv


REG_BINARY Constant

REG_BINARY = ( 3 );

Unit

JclWin32


REG_DWORD Constant

REG_DWORD = ( 4 );

Unit

JclWin32


REG_DWORD_BIG_ENDIAN Constant

REG_DWORD_BIG_ENDIAN = ( 5 );

Unit

JclWin32


REG_DWORD_LITTLE_ENDIAN Constant

REG_DWORD_LITTLE_ENDIAN = ( 4 );

Unit

JclWin32


REG_EXPAND_SZ Constant

REG_EXPAND_SZ = ( 2 );

Unit

JclWin32


REG_FULL_RESOURCE_DESCRIPTOR Constant

REG_FULL_RESOURCE_DESCRIPTOR = ( 9 );

Unit

JclWin32


REG_LINK Constant

REG_LINK = ( 6 );

Unit

JclWin32


REG_MULTI_SZ Constant

REG_MULTI_SZ = ( 7 );

Unit

JclWin32


REG_NONE Constant

REG_NONE = ( 0 );

Unit

JclWin32


REG_QWORD Constant

REG_QWORD = ( 11 );

Unit

JclWin32


REG_QWORD_LITTLE_ENDIAN Constant

REG_QWORD_LITTLE_ENDIAN = ( 11 );

Unit

JclWin32


REG_RESOURCE_LIST Constant

REG_RESOURCE_LIST = ( 8 );

Unit

JclWin32


REG_RESOURCE_REQUIREMENTS_LIST Constant

REG_RESOURCE_REQUIREMENTS_LIST = ( 10 );

Unit

JclWin32


REG_SZ Constant

REG_SZ = ( 1 );

Unit

JclWin32


REGISTERED Constant

REGISTERED = $04;

Unit

JclWin32


REGISTERING Constant

REGISTERING = $00;

Unit

JclWin32


ReplacementCharacter Constant

ReplacementCharacter: UCS4 = $0000FFFD;

Unit

JclUnicode


RMLEN Constant

RMLEN = (UNCLEN+1+NNLEN);

Unit

JclWin32


RsArchitect Constant

RsArchitect = 'Architect';

Unit

JclResources


RsAssertUnpairedEndUpdate Constant

RsAssertUnpairedEndUpdate = 'Unpaired BeginUpdate EndUpdate';

Unit

JclResources


RsAttrAnyFile Constant

RsAttrAnyFile = 'AnyFile';

Unit

JclResources


RsAttrArchive Constant

RsAttrArchive = 'Archive';

Unit

JclResources


RsAttrCompressed Constant

RsAttrCompressed = 'Compressed';

Unit

JclResources


RsAttrDirectory Constant

RsAttrDirectory = 'Directory';

Unit

JclResources


RsAttrEncrypted Constant

RsAttrEncrypted = 'Encrypted';

Unit

JclResources


RsAttrHidden Constant

RsAttrHidden = 'Hidden';

Unit

JclResources


RsAttrNormal Constant

RsAttrNormal = 'Normal';

Unit

JclResources


RsAttrOffline Constant

RsAttrOffline = 'Offline';

Unit

JclResources


RsAttrReadOnly Constant

RsAttrReadOnly = 'ReadOnly';

Unit

JclResources


RsAttrReparsePoint Constant

RsAttrReparsePoint = 'Reparse Point';

Unit

JclResources


RsAttrSparseFile Constant

RsAttrSparseFile = 'Sparse';

Unit

JclResources


RsAttrSystemFile Constant

RsAttrSystemFile = 'SystemFile';

Unit

JclResources


RsAttrTemporary Constant

RsAttrTemporary = 'Temporary';

Unit

JclResources


RsAttrVolumeID Constant

RsAttrVolumeID = 'Volume ID';

Unit

JclResources


RsBCBName Constant

RsBCBName = 'C++Builder';

Unit

JclResources


RsBDSName Constant

RsBDSName = 'Borland Developer Studio';

Unit

JclResources


RsBitmapExtension Constant

RsBitmapExtension = '.bmp';

Unit

JclResources


RsBitsPerSampleNotSupported Constant

RsBitsPerSampleNotSupported = '%d bits per sample not supported in color space conversion';

Unit

JclResources


RsBlankSearchString Constant

RsBlankSearchString = 'Search string cannot be blank';

Unit

JclResources


RsBorlandStudioProjects Constant

RsBorlandStudioProjects = 'Borland Studio Projects';

Unit

JclResources


RsCannotCreateDir Constant

RsCannotCreateDir = 'Unable to create directory';

Unit

JclResources


RsCannotInstallRunOnly Constant

RsCannotInstallRunOnly = 'A run-only package cannot be installed';

Unit

JclResources


RsCannotRaiseSignal Constant

RsCannotRaiseSignal = 'Cannot raise %s signal.';

Unit

JclResources


RsCannotWriteRefStream Constant

RsCannotWriteRefStream = 'Can not write to a read-only memory stream';

Unit

JclResources


RsCasedUnicodeChar Constant

RsCasedUnicodeChar = 'cased Unicode character > $FFFF found';

Unit

JclResources


RsCDRomDrive Constant

RsCDRomDrive = 'CD-ROM';

Unit

JclResources


RsCILCmdadd Constant

RsCILCmdadd = 'add numeric values';

Unit

JclResources


RsCILCmdaddovf Constant

RsCILCmdaddovf = 'add integer values with overflow check';

Unit

JclResources


RsCILCmdaddovfun Constant

RsCILCmdaddovfun = 'add integer values with overflow check';

Unit

JclResources


RsCILCmdand Constant

RsCILCmdand = 'bitwise AND';

Unit

JclResources


RsCILCmdarglist Constant

RsCILCmdarglist = 'get argument list';

Unit

JclResources


RsCILCmdbeq Constant

RsCILCmdbeq = 'branch on equal';

Unit

JclResources


RsCILCmdbeqs Constant

RsCILCmdbeqs = 'branch on equal';

Unit

JclResources


RsCILCmdbge Constant

RsCILCmdbge = 'branch on greater than or equal to';

Unit

JclResources


RsCILCmdbges Constant

RsCILCmdbges = 'branch on greater than or equal to';

Unit

JclResources


RsCILCmdbgeun Constant

RsCILCmdbgeun = 'branch on greater than or equal to, unsigned or unordered';

Unit

JclResources


RsCILCmdbgeuns Constant

RsCILCmdbgeuns = 'branch on greater than or equal to, unsigned or unordered';

Unit

JclResources


RsCILCmdbgt Constant

RsCILCmdbgt = 'branch on greater than';

Unit

JclResources


RsCILCmdbgts Constant

RsCILCmdbgts = 'branch on greater than';

Unit

JclResources


RsCILCmdbgtun Constant

RsCILCmdbgtun = 'branch on greater than, unsigned or unordered';

Unit

JclResources


RsCILCmdbgtuns Constant

RsCILCmdbgtuns = 'branch on greater than, unsigned or unordered';

Unit

JclResources


RsCILCmdble Constant

RsCILCmdble = 'branch on less than or equal to';

Unit

JclResources


RsCILCmdbles Constant

RsCILCmdbles = 'branch on less than or equal to';

Unit

JclResources


RsCILCmdbleun Constant

RsCILCmdbleun = 'branch on less than or equal to, unsigned or unordered';

Unit

JclResources


RsCILCmdbleuns Constant

RsCILCmdbleuns = 'branch on less than or equal to, unsigned or unordered';

Unit

JclResources


RsCILCmdblt Constant

RsCILCmdblt = 'branch on less than';

Unit

JclResources


RsCILCmdblts Constant

RsCILCmdblts = 'branch on less than';

Unit

JclResources


RsCILCmdbltun Constant

RsCILCmdbltun = 'branch on less than, unsigned or unordered';

Unit

JclResources


RsCILCmdbltuns Constant

RsCILCmdbltuns = 'branch on less than, unsigned or unordered';

Unit

JclResources


RsCILCmdbneun Constant

RsCILCmdbneun = 'branch on not equal or unordered';

Unit

JclResources


RsCILCmdbneuns Constant

RsCILCmdbneuns = 'branch on not equal or unordered';

Unit

JclResources


RsCILCmdbox Constant

RsCILCmdbox = 'convert value type to object reference';

Unit

JclResources


RsCILCmdbr Constant

RsCILCmdbr = 'unconditional branch';

Unit

JclResources


RsCILCmdbreak Constant

RsCILCmdbreak = 'breakpoint instruction';

Unit

JclResources


RsCILCmdbrfalse Constant

RsCILCmdbrfalse = 'branch on false, null, or zero';

Unit

JclResources


RsCILCmdbrfalses Constant

RsCILCmdbrfalses = 'branch on false, null, or zero';

Unit

JclResources


RsCILCmdbrs Constant

RsCILCmdbrs = 'unconditional branch';

Unit

JclResources


RsCILCmdbrtrue Constant

RsCILCmdbrtrue = 'branch on non-false or non-null';

Unit

JclResources


RsCILCmdbrtrues Constant

RsCILCmdbrtrues = 'branch on non-false or non-null';

Unit

JclResources


RsCILCmdcall Constant

RsCILCmdcall = 'call a method';

Unit

JclResources


RsCILCmdcalli Constant

RsCILCmdcalli = 'indirect method call';

Unit

JclResources


RsCILCmdcallvirt Constant

RsCILCmdcallvirt = 'call a method associated, at runtime, with an object';

Unit

JclResources


RsCILCmdcastclass Constant

RsCILCmdcastclass = 'cast an object to a class';

Unit

JclResources


RsCILCmdceq Constant

RsCILCmdceq = 'compare equal';

Unit

JclResources


RsCILCmdcgt Constant

RsCILCmdcgt = 'compare greater than';

Unit

JclResources


RsCILCmdcgtun Constant

RsCILCmdcgtun = 'compare greater than, unsigned or unordered';

Unit

JclResources


RsCILCmdckfinite Constant

RsCILCmdckfinite = 'check for a finite real number';

Unit

JclResources


RsCILCmdclt Constant

RsCILCmdclt = 'compare less than';

Unit

JclResources


RsCILCmdcltun Constant

RsCILCmdcltun = 'compare less than, unsigned or unordered';

Unit

JclResources


RsCILCmdconvi Constant

RsCILCmdconvi = 'data conversion';

Unit

JclResources


RsCILCmdconvi1 Constant

RsCILCmdconvi1 = 'data conversion';

Unit

JclResources


RsCILCmdconvi2 Constant

RsCILCmdconvi2 = 'data conversion';

Unit

JclResources


RsCILCmdconvi4 Constant

RsCILCmdconvi4 = 'data conversion';

Unit

JclResources


RsCILCmdconvi8 Constant

RsCILCmdconvi8 = 'data conversion';

Unit

JclResources


RsCILCmdconvovfi Constant

RsCILCmdconvovfi = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi1 Constant

RsCILCmdconvovfi1 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi1un Constant

RsCILCmdconvovfi1un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi2 Constant

RsCILCmdconvovfi2 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi2un Constant

RsCILCmdconvovfi2un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi4 Constant

RsCILCmdconvovfi4 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi4un Constant

RsCILCmdconvovfi4un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi8 Constant

RsCILCmdconvovfi8 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfi8un Constant

RsCILCmdconvovfi8un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfiun Constant

RsCILCmdconvovfiun = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu Constant

RsCILCmdconvovfu = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu1 Constant

RsCILCmdconvovfu1 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu1un Constant

RsCILCmdconvovfu1un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu2 Constant

RsCILCmdconvovfu2 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu2un Constant

RsCILCmdconvovfu2un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu4 Constant

RsCILCmdconvovfu4 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu4un Constant

RsCILCmdconvovfu4un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu8 Constant

RsCILCmdconvovfu8 = 'data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfu8un Constant

RsCILCmdconvovfu8un = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvovfuun Constant

RsCILCmdconvovfuun = 'unsigned data conversion with overflow detection';

Unit

JclResources


RsCILCmdconvr4 Constant

RsCILCmdconvr4 = 'data conversion';

Unit

JclResources


RsCILCmdconvr8 Constant

RsCILCmdconvr8 = 'data conversion';

Unit

JclResources


RsCILCmdconvrun Constant

RsCILCmdconvrun = 'data conversion';

Unit

JclResources


RsCILCmdconvu Constant

RsCILCmdconvu = 'data conversion';

Unit

JclResources


RsCILCmdconvu1 Constant

RsCILCmdconvu1 = 'data conversion';

Unit

JclResources


RsCILCmdconvu2 Constant

RsCILCmdconvu2 = 'data conversion';

Unit

JclResources


RsCILCmdconvu4 Constant

RsCILCmdconvu4 = 'data conversion';

Unit

JclResources


RsCILCmdconvu8 Constant

RsCILCmdconvu8 = 'data conversion';

Unit

JclResources


RsCILCmdcpblk Constant

RsCILCmdcpblk = 'copy data from memory to memory';

Unit

JclResources


RsCILCmdcpobj Constant

RsCILCmdcpobj = 'copy a value type';

Unit

JclResources


RsCILCmddiv Constant

RsCILCmddiv = 'divide values';

Unit

JclResources


RsCILCmddivun Constant

RsCILCmddivun = 'divide integer values, unsigned';

Unit

JclResources


RsCILCmddup Constant

RsCILCmddup = 'duplicate the top value of the stack';

Unit

JclResources


RsCILCmdendfilter Constant

RsCILCmdendfilter = 'end filter clause of SEH';

Unit

JclResources


RsCILCmdendfinally Constant

RsCILCmdendfinally = 'end the finally or fault clause of an exception block';

Unit

JclResources


RsCILCmdinitblk Constant

RsCILCmdinitblk = 'initialize a block of memory to a value';

Unit

JclResources


RsCILCmdinitobj Constant

RsCILCmdinitobj = 'initialize a value type';

Unit

JclResources


RsCILCmdisinst Constant

RsCILCmdisinst = 'test if an object is an instance of a class or interface';

Unit

JclResources


RsCILCmdjmp Constant

RsCILCmdjmp = 'jump to method';

Unit

JclResources


RsCILCmdldarg Constant

RsCILCmdldarg = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldarg0 Constant

RsCILCmdldarg0 = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldarg1 Constant

RsCILCmdldarg1 = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldarg2 Constant

RsCILCmdldarg2 = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldarg3 Constant

RsCILCmdldarg3 = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldarga Constant

RsCILCmdldarga = 'load an argument address';

Unit

JclResources


RsCILCmdldargas Constant

RsCILCmdldargas = 'load an argument address';

Unit

JclResources


RsCILCmdldargs Constant

RsCILCmdldargs = 'load argument onto the stack';

Unit

JclResources


RsCILCmdldci4 Constant

RsCILCmdldci4 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci40 Constant

RsCILCmdldci40 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci41 Constant

RsCILCmdldci41 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci42 Constant

RsCILCmdldci42 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci43 Constant

RsCILCmdldci43 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci44 Constant

RsCILCmdldci44 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci45 Constant

RsCILCmdldci45 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci46 Constant

RsCILCmdldci46 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci47 Constant

RsCILCmdldci47 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci48 Constant

RsCILCmdldci48 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci4m1 Constant

RsCILCmdldci4m1 = 'load numeric constant';

Unit

JclResources


RsCILCmdldci4s Constant

RsCILCmdldci4s = 'load numeric constant';

Unit

JclResources


RsCILCmdldci8 Constant

RsCILCmdldci8 = 'load numeric constant';

Unit

JclResources


RsCILCmdldcr4 Constant

RsCILCmdldcr4 = 'load numeric constant';

Unit

JclResources


RsCILCmdldcr8 Constant

RsCILCmdldcr8 = 'load numeric constant';

Unit

JclResources


RsCILCmdldelema Constant

RsCILCmdldelema = 'load address of an element of an array';

Unit

JclResources


RsCILCmdldelemi Constant

RsCILCmdldelemi = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemi1 Constant

RsCILCmdldelemi1 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemi2 Constant

RsCILCmdldelemi2 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemi4 Constant

RsCILCmdldelemi4 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemi8 Constant

RsCILCmdldelemi8 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemr4 Constant

RsCILCmdldelemr4 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemr8 Constant

RsCILCmdldelemr8 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemref Constant

RsCILCmdldelemref = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemu1 Constant

RsCILCmdldelemu1 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemu2 Constant

RsCILCmdldelemu2 = 'load an element of an array';

Unit

JclResources


RsCILCmdldelemu4 Constant

RsCILCmdldelemu4 = 'load an element of an array';

Unit

JclResources


RsCILCmdldfld Constant

RsCILCmdldfld = 'load field of an object';

Unit

JclResources


RsCILCmdldflda Constant

RsCILCmdldflda = 'load field address';

Unit

JclResources


RsCILCmdldftn Constant

RsCILCmdldftn = 'load method pointer';

Unit

JclResources


RsCILCmdldindi Constant

RsCILCmdldindi = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindi1 Constant

RsCILCmdldindi1 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindi2 Constant

RsCILCmdldindi2 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindi4 Constant

RsCILCmdldindi4 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindi8 Constant

RsCILCmdldindi8 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindr4 Constant

RsCILCmdldindr4 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindr8 Constant

RsCILCmdldindr8 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindref Constant

RsCILCmdldindref = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindu1 Constant

RsCILCmdldindu1 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindu2 Constant

RsCILCmdldindu2 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldindu4 Constant

RsCILCmdldindu4 = 'load value indirect onto the stack';

Unit

JclResources


RsCILCmdldlen Constant

RsCILCmdldlen = 'load the length of an array';

Unit

JclResources


RsCILCmdldloc Constant

RsCILCmdldloc = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldloc0 Constant

RsCILCmdldloc0 = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldloc1 Constant

RsCILCmdldloc1 = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldloc2 Constant

RsCILCmdldloc2 = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldloc3 Constant

RsCILCmdldloc3 = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldloca Constant

RsCILCmdldloca = 'load local variable address';

Unit

JclResources


RsCILCmdldlocas Constant

RsCILCmdldlocas = 'load local variable address';

Unit

JclResources


RsCILCmdldlocs Constant

RsCILCmdldlocs = 'load local variable onto the stack';

Unit

JclResources


RsCILCmdldnull Constant

RsCILCmdldnull = 'load a null pointer';

Unit

JclResources


RsCILCmdldobj Constant

RsCILCmdldobj = 'copy value type to the stack';

Unit

JclResources


RsCILCmdldsfld Constant

RsCILCmdldsfld = 'load static field of a class';

Unit

JclResources


RsCILCmdldsflda Constant

RsCILCmdldsflda = 'load static field address';

Unit

JclResources


RsCILCmdldstr Constant

RsCILCmdldstr = 'load a literal string';

Unit

JclResources


RsCILCmdldtoken Constant

RsCILCmdldtoken = 'load the runtime representation of a metadata token';

Unit

JclResources


RsCILCmdldvirtftn Constant

RsCILCmdldvirtftn = 'load a virtual method pointer';

Unit

JclResources


RsCILCmdleave Constant

RsCILCmdleave = 'exit a protected region of code';

Unit

JclResources


RsCILCmdleaves Constant

RsCILCmdleaves = 'exit a protected region of code';

Unit

JclResources


RsCILCmdlocalloc Constant

RsCILCmdlocalloc = 'allocate space in the local dynamic memory pool';

Unit

JclResources


RsCILCmdmkrefany Constant

RsCILCmdmkrefany = 'push a typed reference on the stack';

Unit

JclResources


RsCILCmdmul Constant

RsCILCmdmul = 'multiply values';

Unit

JclResources


RsCILCmdmulovf Constant

RsCILCmdmulovf = 'multiply integer values with overflow check';

Unit

JclResources


RsCILCmdmulovfun Constant

RsCILCmdmulovfun = 'multiply integer values with overflow check';

Unit

JclResources


RsCILCmdneg Constant

RsCILCmdneg = 'negate';

Unit

JclResources


RsCILCmdnewarr Constant

RsCILCmdnewarr = 'create a zero-based, one-dimensional array';

Unit

JclResources


RsCILCmdnewobj Constant

RsCILCmdnewobj = 'create a new object';

Unit

JclResources


RsCILCmdnop Constant

RsCILCmdnop = 'no operation';

Unit

JclResources


RsCILCmdnot Constant

RsCILCmdnot = 'bitwise complement';

Unit

JclResources


RsCILCmdor Constant

RsCILCmdor = 'bitwise OR';

Unit

JclResources


RsCILCmdpop Constant

RsCILCmdpop = 'remove the top element of the stack';

Unit

JclResources


RsCILCmdprefix1 Constant

RsCILCmdprefix1 = '';

Unit

JclResources


RsCILCmdprefix2 Constant

RsCILCmdprefix2 = '';

Unit

JclResources


RsCILCmdprefix3 Constant

RsCILCmdprefix3 = '';

Unit

JclResources


RsCILCmdprefix4 Constant

RsCILCmdprefix4 = '';

Unit

JclResources


RsCILCmdprefix5 Constant

RsCILCmdprefix5 = '';

Unit

JclResources


RsCILCmdprefix6 Constant

RsCILCmdprefix6 = '';

Unit

JclResources


RsCILCmdprefix7 Constant

RsCILCmdprefix7 = '';

Unit

JclResources


RsCILCmdprefixref Constant

RsCILCmdprefixref = '';

Unit

JclResources


RsCILCmdrefanytype Constant

RsCILCmdrefanytype = 'load the type out of a typed reference';

Unit

JclResources


RsCILCmdrefanyval Constant

RsCILCmdrefanyval = 'load the address out of a typed reference';

Unit

JclResources


RsCILCmdrem Constant

RsCILCmdrem = 'compute remainder';

Unit

JclResources


RsCILCmdremun Constant

RsCILCmdremun = 'compute integer remainder, unsigned';

Unit

JclResources


RsCILCmdret Constant

RsCILCmdret = 'return from method';

Unit

JclResources


RsCILCmdrethrow Constant

RsCILCmdrethrow = 'rethrow the current exception';

Unit

JclResources


RsCILCmdshl Constant

RsCILCmdshl = 'shift integer left';

Unit

JclResources


RsCILCmdshr Constant

RsCILCmdshr = 'shift integer right';

Unit

JclResources


RsCILCmdshrun Constant

RsCILCmdshrun = 'shift integer right, unsigned';

Unit

JclResources


RsCILCmdsizeof Constant

RsCILCmdsizeof = 'load the size in bytes of a value type';

Unit

JclResources


RsCILCmdstarg Constant

RsCILCmdstarg = 'store a value in an argument slot';

Unit

JclResources


RsCILCmdstargs Constant

RsCILCmdstargs = 'store a value in an argument slot';

Unit

JclResources


RsCILCmdstelemi Constant

RsCILCmdstelemi = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemi1 Constant

RsCILCmdstelemi1 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemi2 Constant

RsCILCmdstelemi2 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemi4 Constant

RsCILCmdstelemi4 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemi8 Constant

RsCILCmdstelemi8 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemr4 Constant

RsCILCmdstelemr4 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemr8 Constant

RsCILCmdstelemr8 = 'store an element of an array';

Unit

JclResources


RsCILCmdstelemref Constant

RsCILCmdstelemref = 'store an element of an array';

Unit

JclResources


RsCILCmdstfld Constant

RsCILCmdstfld = 'store into a field of an object';

Unit

JclResources


RsCILCmdstindi Constant

RsCILCmdstindi = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindi1 Constant

RsCILCmdstindi1 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindi2 Constant

RsCILCmdstindi2 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindi4 Constant

RsCILCmdstindi4 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindi8 Constant

RsCILCmdstindi8 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindr4 Constant

RsCILCmdstindr4 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindr8 Constant

RsCILCmdstindr8 = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstindref Constant

RsCILCmdstindref = 'store value indirect from stack';

Unit

JclResources


RsCILCmdstloc Constant

RsCILCmdstloc = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstloc0 Constant

RsCILCmdstloc0 = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstloc1 Constant

RsCILCmdstloc1 = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstloc2 Constant

RsCILCmdstloc2 = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstloc3 Constant

RsCILCmdstloc3 = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstlocs Constant

RsCILCmdstlocs = 'pop value from stack to local variable';

Unit

JclResources


RsCILCmdstobj Constant

RsCILCmdstobj = 'store a value type from the stack into memory';

Unit

JclResources


RsCILCmdstsfld Constant

RsCILCmdstsfld = 'store a static field of a class';

Unit

JclResources


RsCILCmdsub Constant

RsCILCmdsub = 'subtract numeric values';

Unit

JclResources


RsCILCmdsubovf Constant

RsCILCmdsubovf = 'subtract integer values, checking for overflow';

Unit

JclResources


RsCILCmdsubovfun Constant

RsCILCmdsubovfun = 'subtract integer values, checking for overflow';

Unit

JclResources


RsCILCmdswitch Constant

RsCILCmdswitch = 'table switch on value';

Unit

JclResources


RsCILCmdtail Constant

RsCILCmdtail = 'call terminates current method';

Unit

JclResources


RsCILCmdthrow Constant

RsCILCmdthrow = 'throw an exception';

Unit

JclResources


RsCILCmdunaligned Constant

RsCILCmdunaligned = 'pointer instruction may be unaligned';

Unit

JclResources


RsCILCmdunbox Constant

RsCILCmdunbox = 'Convert boxed value type to its raw form';

Unit

JclResources


RsCILCmdunused1 Constant

RsCILCmdunused1 = '';

Unit

JclResources


RsCILCmdunused10 Constant

RsCILCmdunused10 = '';

Unit

JclResources


RsCILCmdunused11 Constant

RsCILCmdunused11 = '';

Unit

JclResources


RsCILCmdunused12 Constant

RsCILCmdunused12 = '';

Unit

JclResources


RsCILCmdunused13 Constant

RsCILCmdunused13 = '';

Unit

JclResources


RsCILCmdunused14 Constant

RsCILCmdunused14 = '';

Unit

JclResources


RsCILCmdunused15 Constant

RsCILCmdunused15 = '';

Unit

JclResources


RsCILCmdunused16 Constant

RsCILCmdunused16 = '';

Unit

JclResources


RsCILCmdunused17 Constant

RsCILCmdunused17 = '';

Unit

JclResources


RsCILCmdunused18 Constant

RsCILCmdunused18 = '';

Unit

JclResources


RsCILCmdunused19 Constant

RsCILCmdunused19 = '';

Unit

JclResources


RsCILCmdunused2 Constant

RsCILCmdunused2 = '';

Unit

JclResources


RsCILCmdunused20 Constant

RsCILCmdunused20 = '';

Unit

JclResources


RsCILCmdunused21 Constant

RsCILCmdunused21 = '';

Unit

JclResources


RsCILCmdunused22 Constant

RsCILCmdunused22 = '';

Unit

JclResources


RsCILCmdunused23 Constant

RsCILCmdunused23 = '';

Unit

JclResources


RsCILCmdunused24 Constant

RsCILCmdunused24 = '';

Unit

JclResources


RsCILCmdunused25 Constant

RsCILCmdunused25 = '';

Unit

JclResources


RsCILCmdunused26 Constant

RsCILCmdunused26 = '';

Unit

JclResources


RsCILCmdunused27 Constant

RsCILCmdunused27 = '';

Unit

JclResources


RsCILCmdunused28 Constant

RsCILCmdunused28 = '';

Unit

JclResources


RsCILCmdunused29 Constant

RsCILCmdunused29 = '';

Unit

JclResources


RsCILCmdunused3 Constant

RsCILCmdunused3 = '';

Unit

JclResources


RsCILCmdunused30 Constant

RsCILCmdunused30 = '';

Unit

JclResources


RsCILCmdunused31 Constant

RsCILCmdunused31 = '';

Unit

JclResources


RsCILCmdunused32 Constant

RsCILCmdunused32 = '';

Unit

JclResources


RsCILCmdunused33 Constant

RsCILCmdunused33 = '';

Unit

JclResources


RsCILCmdunused34 Constant

RsCILCmdunused34 = '';

Unit

JclResources


RsCILCmdunused35 Constant

RsCILCmdunused35 = '';

Unit

JclResources


RsCILCmdunused36 Constant

RsCILCmdunused36 = '';

Unit

JclResources


RsCILCmdunused37 Constant

RsCILCmdunused37 = '';

Unit

JclResources


RsCILCmdunused38 Constant

RsCILCmdunused38 = '';

Unit

JclResources


RsCILCmdunused39 Constant

RsCILCmdunused39 = '';

Unit

JclResources


RsCILCmdunused4 Constant

RsCILCmdunused4 = '';

Unit

JclResources


RsCILCmdunused40 Constant

RsCILCmdunused40 = '';

Unit

JclResources


RsCILCmdunused41 Constant

RsCILCmdunused41 = '';

Unit

JclResources


RsCILCmdunused42 Constant

RsCILCmdunused42 = '';

Unit

JclResources


RsCILCmdunused43 Constant

RsCILCmdunused43 = '';

Unit

JclResources


RsCILCmdunused44 Constant

RsCILCmdunused44 = '';

Unit

JclResources


RsCILCmdunused45 Constant

RsCILCmdunused45 = '';

Unit

JclResources


RsCILCmdunused46 Constant

RsCILCmdunused46 = '';

Unit

JclResources


RsCILCmdunused47 Constant

RsCILCmdunused47 = '';

Unit

JclResources


RsCILCmdunused48 Constant

RsCILCmdunused48 = '';

Unit

JclResources


RsCILCmdunused49 Constant

RsCILCmdunused49 = '';

Unit

JclResources


RsCILCmdunused5 Constant

RsCILCmdunused5 = '';

Unit

JclResources


RsCILCmdunused50 Constant

RsCILCmdunused50 = '';

Unit

JclResources


RsCILCmdunused51 Constant

RsCILCmdunused51 = '';

Unit

JclResources


RsCILCmdunused52 Constant

RsCILCmdunused52 = '';

Unit

JclResources


RsCILCmdunused53 Constant

RsCILCmdunused53 = '';

Unit

JclResources


RsCILCmdunused54 Constant

RsCILCmdunused54 = '';

Unit

JclResources


RsCILCmdunused55 Constant

RsCILCmdunused55 = '';

Unit

JclResources


RsCILCmdunused56 Constant

RsCILCmdunused56 = '';

Unit

JclResources


RsCILCmdunused57 Constant

RsCILCmdunused57 = '';

Unit

JclResources


RsCILCmdunused58 Constant

RsCILCmdunused58 = '';

Unit

JclResources


RsCILCmdunused59 Constant

RsCILCmdunused59 = '';

Unit

JclResources


RsCILCmdunused6 Constant

RsCILCmdunused6 = '';

Unit

JclResources


RsCILCmdunused60 Constant

RsCILCmdunused60 = '';

Unit

JclResources


RsCILCmdunused61 Constant

RsCILCmdunused61 = '';

Unit

JclResources


RsCILCmdunused62 Constant

RsCILCmdunused62 = '';

Unit

JclResources


RsCILCmdunused63 Constant

RsCILCmdunused63 = '';

Unit

JclResources


RsCILCmdunused64 Constant

RsCILCmdunused64 = '';

Unit

JclResources


RsCILCmdunused65 Constant

RsCILCmdunused65 = '';

Unit

JclResources


RsCILCmdunused66 Constant

RsCILCmdunused66 = '';

Unit

JclResources


RsCILCmdunused67 Constant

RsCILCmdunused67 = '';

Unit

JclResources


RsCILCmdunused68 Constant

RsCILCmdunused68 = '';

Unit

JclResources


RsCILCmdunused69 Constant

RsCILCmdunused69 = '';

Unit

JclResources


RsCILCmdunused7 Constant

RsCILCmdunused7 = '';

Unit

JclResources


RsCILCmdunused70 Constant

RsCILCmdunused70 = '';

Unit

JclResources


RsCILCmdunused8 Constant

RsCILCmdunused8 = '';

Unit

JclResources


RsCILCmdunused9 Constant

RsCILCmdunused9 = '';

Unit

JclResources


RsCILCmdvolatile Constant

RsCILCmdvolatile = 'pointer reference is volatile';

Unit

JclResources


RsCILCmdxor Constant

RsCILCmdxor = 'bitwise XOR';

Unit

JclResources


RsCILDescradd Constant

RsCILDescradd = 'Add two values, returning a new value';

Unit

JclResources


RsCILDescraddovf Constant

RsCILDescraddovf = 'Add signed integer values with overflow check. ';

Unit

JclResources


RsCILDescraddovfun Constant

RsCILDescraddovfun = 'Add unsigned integer values with overflow check.';

Unit

JclResources


RsCILDescrand Constant

RsCILDescrand = 'Bitwise AND of two integral values, returns an integral value';

Unit

JclResources


RsCILDescrarglist Constant

RsCILDescrarglist = 'return argument list handle for the current method ';

Unit

JclResources


RsCILDescrbeq Constant

RsCILDescrbeq = 'branch to target if equal';

Unit

JclResources


RsCILDescrbeqs Constant

RsCILDescrbeqs = 'branch to target if equal, short form';

Unit

JclResources


RsCILDescrbge Constant

RsCILDescrbge = 'branch to target if greater than or equal to';

Unit

JclResources


RsCILDescrbges Constant

RsCILDescrbges = 'branch to target if greater than or equal to, short form';

Unit

JclResources


RsCILDescrbgeun Constant

RsCILDescrbgeun = 'branch to target if greater than or equal to (unsigned or unordered)';

Unit

JclResources


RsCILDescrbgeuns Constant

RsCILDescrbgeuns = 'branch to target if greater than or equal to (unsigned or unordered), short form';

Unit

JclResources


RsCILDescrbgt Constant

RsCILDescrbgt = 'branch to target if greater than';

Unit

JclResources


RsCILDescrbgts Constant

RsCILDescrbgts = 'branch to target if greater than, short form';

Unit

JclResources


RsCILDescrbgtun Constant

RsCILDescrbgtun = 'branch to target if greater than (unsigned or unordered)';

Unit

JclResources


RsCILDescrbgtuns Constant

RsCILDescrbgtuns = 'branch to target if greater than (unsigned or unordered), short form';

Unit

JclResources


RsCILDescrble Constant

RsCILDescrble = 'branch to target if less than or equal to';

Unit

JclResources


RsCILDescrbles Constant

RsCILDescrbles = 'branch to target if less than or equal to, short form';

Unit

JclResources


RsCILDescrbleun Constant

RsCILDescrbleun = 'branch to target if less than or equal to (unsigned or unordered)';

Unit

JclResources


RsCILDescrbleuns Constant

RsCILDescrbleuns = 'branch to target if less than or equal to (unsigned or unordered), short form';

Unit

JclResources


RsCILDescrblt Constant

RsCILDescrblt = 'branch to target if less than';

Unit

JclResources


RsCILDescrblts Constant

RsCILDescrblts = 'branch to target if less than';

Unit

JclResources


RsCILDescrbltun Constant

RsCILDescrbltun = 'Branch to target if less than (unsigned or unordered) ';

Unit

JclResources


RsCILDescrbltuns Constant

RsCILDescrbltuns = 'Branch to target if less than (unsigned or unordered), short form';

Unit

JclResources


RsCILDescrbneun Constant

RsCILDescrbneun = 'branch to target if unequal or unordered';

Unit

JclResources


RsCILDescrbneuns Constant

RsCILDescrbneuns = 'branch to target if unequal or unordered, short form';

Unit

JclResources


RsCILDescrbox Constant

RsCILDescrbox = 'Convert valueType to a true object reference';

Unit

JclResources


RsCILDescrbr Constant

RsCILDescrbr = 'branch to target ';

Unit

JclResources


RsCILDescrbreak Constant

RsCILDescrbreak = 'inform a debugger that a breakpoint has been reached.';

Unit

JclResources


RsCILDescrbrfalse Constant

RsCILDescrbrfalse = 'branch to target if value is zero (false)';

Unit

JclResources


RsCILDescrbrfalses Constant

RsCILDescrbrfalses = 'branch to target if value is zero (false), short form';

Unit

JclResources


RsCILDescrbrs Constant

RsCILDescrbrs = 'branch to target, short form';

Unit

JclResources


RsCILDescrbrtrue Constant

RsCILDescrbrtrue = 'branch to target if value is non-zero (true)';

Unit

JclResources


RsCILDescrbrtrues Constant

RsCILDescrbrtrues = 'branch to target if value is non-zero (true), short form';

Unit

JclResources


RsCILDescrcall Constant

RsCILDescrcall = 'Call method described by method';

Unit

JclResources


RsCILDescrcalli Constant

RsCILDescrcalli = 'Call method indicated on the stack with arguments described by callsitedescr.';

Unit

JclResources


RsCILDescrcallvirt Constant

RsCILDescrcallvirt = 'Call a method associated with obj';

Unit

JclResources


RsCILDescrcastclass Constant

RsCILDescrcastclass = 'Cast obj to class';

Unit

JclResources


RsCILDescrceq Constant

RsCILDescrceq = 'push 1 (of type int32) if value1 equals value2, else 0';

Unit

JclResources


RsCILDescrcgt Constant

RsCILDescrcgt = 'push 1 (of type int32) if value1 > value2, else 0';

Unit

JclResources


RsCILDescrcgtun Constant

RsCILDescrcgtun = 'push 1 (of type int32) if value1 > value2, unsigned or unordered, else 0';

Unit

JclResources


RsCILDescrckfinite Constant

RsCILDescrckfinite = 'throw ArithmeticException if value is not a finite number';

Unit

JclResources


RsCILDescrclt Constant

RsCILDescrclt = 'push 1 (of type int32) if value1 < value2, else 0';

Unit

JclResources


RsCILDescrcltun Constant

RsCILDescrcltun = 'push 1 (of type int32) if value1 < value2, unsigned or unordered, else 0';

Unit

JclResources


RsCILDescrconvi Constant

RsCILDescrconvi = 'Convert to native int, pushing native int on stack';

Unit

JclResources


RsCILDescrconvi1 Constant

RsCILDescrconvi1 = 'Convert to int8, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvi2 Constant

RsCILDescrconvi2 = 'Convert to int16, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvi4 Constant

RsCILDescrconvi4 = 'Convert to int32, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvi8 Constant

RsCILDescrconvi8 = 'Convert to int64, pushing int64 on stack';

Unit

JclResources


RsCILDescrconvovfi Constant

RsCILDescrconvovfi = 'Convert to an native int (on the stack as native int) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfi1 Constant

RsCILDescrconvovfi1 = 'Convert to an int8 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfi1un Constant

RsCILDescrconvovfi1un = 'Convert unsigned to an int8 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfi2 Constant

RsCILDescrconvovfi2 = 'Convert to an int16 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfi2un Constant

RsCILDescrconvovfi2un = 'Convert unsigned to an int16 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfi4 Constant

RsCILDescrconvovfi4 = 'Convert to an int32 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfi4un Constant

RsCILDescrconvovfi4un = 'Convert unsigned to an int32 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfi8 Constant

RsCILDescrconvovfi8 = 'Convert to an int64 (on the stack as int64) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfi8un Constant

RsCILDescrconvovfi8un = 'Convert unsigned to an int64 (on the stack as int64) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfiun Constant

RsCILDescrconvovfiun = 'Convert unsigned to a native int (on the stack as native int) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfu Constant

RsCILDescrconvovfu = 'Convert to a native unsigned  int (on the stack as native int) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfu1 Constant

RsCILDescrconvovfu1 = 'Convert to a unsigned int8 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfu1un Constant

RsCILDescrconvovfu1un = 'Convert unsigned to an unsigned int8 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfu2 Constant

RsCILDescrconvovfu2 = 'Convert to a unsigned int16 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfu2un Constant

RsCILDescrconvovfu2un = 'Convert unsigned to an unsigned int16 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfu4 Constant

RsCILDescrconvovfu4 = 'Convert to a unsigned int32 (on the stack as int32) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfu4un Constant

RsCILDescrconvovfu4un = 'Convert unsigned to an unsigned int32 (on the stack as int32) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfu8 Constant

RsCILDescrconvovfu8 = 'Convert to a unsigned int64 (on the stack as int64) and throw an exception on overflow ';

Unit

JclResources


RsCILDescrconvovfu8un Constant

RsCILDescrconvovfu8un = 'Convert unsigned to an unsigned int64 (on the stack as int64) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvovfuun Constant

RsCILDescrconvovfuun = 'Convert unsigned to a native unsigned  int (on the stack as native int) and throw an exception on overflow';

Unit

JclResources


RsCILDescrconvr4 Constant

RsCILDescrconvr4 = 'Convert to float32, pushing F on stack';

Unit

JclResources


RsCILDescrconvr8 Constant

RsCILDescrconvr8 = 'Convert to float64, pushing F on stack';

Unit

JclResources


RsCILDescrconvrun Constant

RsCILDescrconvrun = 'Convert unsigned integer to floating-point, pushing F on stack';

Unit

JclResources


RsCILDescrconvu Constant

RsCILDescrconvu = 'Convert to native unsigned int, pushing native int on stack';

Unit

JclResources


RsCILDescrconvu1 Constant

RsCILDescrconvu1 = 'Convert to unsigned int8, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvu2 Constant

RsCILDescrconvu2 = 'Convert to unsigned int16, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvu4 Constant

RsCILDescrconvu4 = 'Convert to unsigned int32, pushing int32 on stack';

Unit

JclResources


RsCILDescrconvu8 Constant

RsCILDescrconvu8 = 'Convert to unsigned int64, pushing int64 on stack';

Unit

JclResources


RsCILDescrcpblk Constant

RsCILDescrcpblk = 'Copy data from memory to memory';

Unit

JclResources


RsCILDescrcpobj Constant

RsCILDescrcpobj = 'Copy a value type from srcValObj to destValObj';

Unit

JclResources


RsCILDescrdiv Constant

RsCILDescrdiv = 'Divide two values to return a quotient or floating-point result';

Unit

JclResources


RsCILDescrdivun Constant

RsCILDescrdivun = 'Divide two values, unsigned, returning a quotient';

Unit

JclResources


RsCILDescrdup Constant

RsCILDescrdup = 'duplicate value on the top of the stack';

Unit

JclResources


RsCILDescrendfilter Constant

RsCILDescrendfilter = 'End filter clause of SEH exception handling';

Unit

JclResources


RsCILDescrendfinally Constant

RsCILDescrendfinally = 'End finally clause of an exception block';

Unit

JclResources


RsCILDescrinitblk Constant

RsCILDescrinitblk = 'Set a block of memory to a given byte';

Unit

JclResources


RsCILDescrinitobj Constant

RsCILDescrinitobj = 'Initialize a value type';

Unit

JclResources


RsCILDescrisinst Constant

RsCILDescrisinst = 'test if object is an instance of class, returning NULL or an instance of that class or interface';

Unit

JclResources


RsCILDescrjmp Constant

RsCILDescrjmp = 'Exit current method and jump to specified method';

Unit

JclResources


RsCILDescrldarg Constant

RsCILDescrldarg = 'Load argument numbered num onto stack.';

Unit

JclResources


RsCILDescrldarg0 Constant

RsCILDescrldarg0 = 'Load argument 0 onto stack';

Unit

JclResources


RsCILDescrldarg1 Constant

RsCILDescrldarg1 = 'Load argument 1 onto stack';

Unit

JclResources


RsCILDescrldarg2 Constant

RsCILDescrldarg2 = 'Load argument 2 onto stack';

Unit

JclResources


RsCILDescrldarg3 Constant

RsCILDescrldarg3 = 'Load argument 3 onto stack';

Unit

JclResources


RsCILDescrldarga Constant

RsCILDescrldarga = 'fetch the address of argument argNum.';

Unit

JclResources


RsCILDescrldargas Constant

RsCILDescrldargas = 'fetch the address of argument argNum, short form';

Unit

JclResources


RsCILDescrldargs Constant

RsCILDescrldargs = 'Load argument numbered num onto stack, short form.';

Unit

JclResources


RsCILDescrldci4 Constant

RsCILDescrldci4 = 'Push num of type int32 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci40 Constant

RsCILDescrldci40 = 'Push 0 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci41 Constant

RsCILDescrldci41 = 'Push 1 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci42 Constant

RsCILDescrldci42 = 'Push 2 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci43 Constant

RsCILDescrldci43 = 'Push 3 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci44 Constant

RsCILDescrldci44 = 'Push 4 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci45 Constant

RsCILDescrldci45 = 'Push 5 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci46 Constant

RsCILDescrldci46 = 'Push 6 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci47 Constant

RsCILDescrldci47 = 'Push 7 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci48 Constant

RsCILDescrldci48 = 'Push 8 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci4m1 Constant

RsCILDescrldci4m1 = 'Push -1 onto the stack as int32.';

Unit

JclResources


RsCILDescrldci4s Constant

RsCILDescrldci4s = 'Push num onto the stack as int32, short form.';

Unit

JclResources


RsCILDescrldci8 Constant

RsCILDescrldci8 = 'Push num of type int64 onto the stack as int64.';

Unit

JclResources


RsCILDescrldcr4 Constant

RsCILDescrldcr4 = 'Push num of type float32 onto the stack as F.';

Unit

JclResources


RsCILDescrldcr8 Constant

RsCILDescrldcr8 = 'Push num of type float64 onto the stack as F.';

Unit

JclResources


RsCILDescrldelema Constant

RsCILDescrldelema = 'Load the address of element at index onto the top of the stack';

Unit

JclResources


RsCILDescrldelemi Constant

RsCILDescrldelemi = 'Load the element with type native int at index onto the top of the stack as an native int';

Unit

JclResources


RsCILDescrldelemi1 Constant

RsCILDescrldelemi1 = 'Load the element with type int8 at index onto the top of the stack as an int32';

Unit

JclResources


RsCILDescrldelemi2 Constant

RsCILDescrldelemi2 = 'Load the element with type int16 at index onto the top of the stack as an int32';

Unit

JclResources


RsCILDescrldelemi4 Constant

RsCILDescrldelemi4 = 'Load the element with type int32 at index onto the top of the stack as an int32';

Unit

JclResources


RsCILDescrldelemi8 Constant

RsCILDescrldelemi8 = 'Load the element with type int64 at index onto the top of the stack as an int64';

Unit

JclResources


RsCILDescrldelemr4 Constant

RsCILDescrldelemr4 = 'Load the element with type float32 at index onto the top of the stack as an F';

Unit

JclResources


RsCILDescrldelemr8 Constant

RsCILDescrldelemr8 = 'Load the element with type float64 at index onto the top of the stack as an F';

Unit

JclResources


RsCILDescrldelemref Constant

RsCILDescrldelemref = 'Load the element of type object, at index onto the top of the stack as an O';

Unit

JclResources


RsCILDescrldelemu1 Constant

RsCILDescrldelemu1 = 'Load the element with type unsigned int8 at index onto the top of the stack as an int32';

Unit

JclResources


RsCILDescrldelemu2 Constant

RsCILDescrldelemu2 = 'Load the element with type unsigned int16 at index onto the top of the stack as an int32';

Unit

JclResources


RsCILDescrldelemu4 Constant

RsCILDescrldelemu4 = 'Load the element with type unsigned int32 at index onto the top of the stack as an int32 (alias for ldelem.i4)';

Unit

JclResources


RsCILDescrldfld Constant

RsCILDescrldfld = 'Push the value of field of object, or value type, obj, onto the stack';

Unit

JclResources


RsCILDescrldflda Constant

RsCILDescrldflda = 'Push the address of field of object obj on the stack';

Unit

JclResources


RsCILDescrldftn Constant

RsCILDescrldftn = 'Push a pointer to a method referenced by method on the stack';

Unit

JclResources


RsCILDescrldindi Constant

RsCILDescrldindi = 'Indirect load value of type native int as native int on the stack';

Unit

JclResources


RsCILDescrldindi1 Constant

RsCILDescrldindi1 = 'Indirect load value of type int8 as int32 on the stack.';

Unit

JclResources


RsCILDescrldindi2 Constant

RsCILDescrldindi2 = 'Indirect load value of type int16 as int32 on the stack.';

Unit

JclResources


RsCILDescrldindi4 Constant

RsCILDescrldindi4 = 'Indirect load value of type int32 as int32 on the stack.';

Unit

JclResources


RsCILDescrldindi8 Constant

RsCILDescrldindi8 = 'Indirect load value of type int64 as int64 on the stack.';

Unit

JclResources


RsCILDescrldindr4 Constant

RsCILDescrldindr4 = 'Indirect load value of type float32 as F on the stack.';

Unit

JclResources


RsCILDescrldindr8 Constant

RsCILDescrldindr8 = 'Indirect load value of type float64 as F on the stack.';

Unit

JclResources


RsCILDescrldindref Constant

RsCILDescrldindref = 'Indirect load value of type object ref as O on the stack.';

Unit

JclResources


RsCILDescrldindu1 Constant

RsCILDescrldindu1 = 'Indirect load value of type unsigned int8 as int32 on the stack.';

Unit

JclResources


RsCILDescrldindu2 Constant

RsCILDescrldindu2 = 'Indirect load value of type unsigned int16 as int32 on the stack.';

Unit

JclResources


RsCILDescrldindu4 Constant

RsCILDescrldindu4 = 'Indirect load value of type unsigned int32 as int32 on the stack.';

Unit

JclResources


RsCILDescrldlen Constant

RsCILDescrldlen = 'push the length (of type native unsigned int) of array on the stack';

Unit

JclResources


RsCILDescrldloc Constant

RsCILDescrldloc = 'Load local variable of index indx onto stack.';

Unit

JclResources


RsCILDescrldloc0 Constant

RsCILDescrldloc0 = 'Load local variable 0 onto stack.';

Unit

JclResources


RsCILDescrldloc1 Constant

RsCILDescrldloc1 = 'Load local variable 1 onto stack.';

Unit

JclResources


RsCILDescrldloc2 Constant

RsCILDescrldloc2 = 'Load local variable 2 onto stack.';

Unit

JclResources


RsCILDescrldloc3 Constant

RsCILDescrldloc3 = 'Load local variable 3 onto stack.';

Unit

JclResources


RsCILDescrldloca Constant

RsCILDescrldloca = 'Load address of local variable with index indx';

Unit

JclResources


RsCILDescrldlocas Constant

RsCILDescrldlocas = 'Load address of local variable with index indx, short form';

Unit

JclResources


RsCILDescrldlocs Constant

RsCILDescrldlocs = 'Load local variable of index indx onto stack, short form.';

Unit

JclResources


RsCILDescrldnull Constant

RsCILDescrldnull = 'Push null reference on the stack';

Unit

JclResources


RsCILDescrldobj Constant

RsCILDescrldobj = 'Copy instance of value type classTok to the stack.';

Unit

JclResources


RsCILDescrldsfld Constant

RsCILDescrldsfld = 'Push the value of field on the stack';

Unit

JclResources


RsCILDescrldsflda Constant

RsCILDescrldsflda = 'Push the address of the static field, field, on the stack';

Unit

JclResources


RsCILDescrldstr Constant

RsCILDescrldstr = 'push a string object for the literal string ';

Unit

JclResources


RsCILDescrldtoken Constant

RsCILDescrldtoken = 'Convert metadata token to its runtime representation';

Unit

JclResources


RsCILDescrldvirtftn Constant

RsCILDescrldvirtftn = 'Push address of virtual method mthd on the stack';

Unit

JclResources


RsCILDescrleave Constant

RsCILDescrleave = 'Exit a protected region of code.';

Unit

JclResources


RsCILDescrleaves Constant

RsCILDescrleaves = 'Exit a protected region of code, short form';

Unit

JclResources


RsCILDescrlocalloc Constant

RsCILDescrlocalloc = 'Allocate space from the local memory pool.';

Unit

JclResources


RsCILDescrmkrefany Constant

RsCILDescrmkrefany = 'push a typed reference to ptr of type class onto the stack';

Unit

JclResources


RsCILDescrmul Constant

RsCILDescrmul = 'Multiply values';

Unit

JclResources


RsCILDescrmulovf Constant

RsCILDescrmulovf = 'Multiply signed integer values. Signed result must fit in same size';

Unit

JclResources


RsCILDescrmulovfun Constant

RsCILDescrmulovfun = 'Multiply unsigned integer values. Unsigned result must fit in same size';

Unit

JclResources


RsCILDescrneg Constant

RsCILDescrneg = 'Negate value';

Unit

JclResources


RsCILDescrnewarr Constant

RsCILDescrnewarr = 'create a new array with elements of type etype';

Unit

JclResources


RsCILDescrnewobj Constant

RsCILDescrnewobj = 'allocate an uninitialized object or value type and call ctor ';

Unit

JclResources


RsCILDescrnop Constant

RsCILDescrnop = 'Do nothing';

Unit

JclResources


RsCILDescrnot Constant

RsCILDescrnot = 'Bitwise complement';

Unit

JclResources


RsCILDescror Constant

RsCILDescror = 'Bitwise OR of two integer values, returns an integer.';

Unit

JclResources


RsCILDescrpop Constant

RsCILDescrpop = 'pop a value from the stack';

Unit

JclResources


RsCILDescrprefix1 Constant

RsCILDescrprefix1 = '';

Unit

JclResources


RsCILDescrprefix2 Constant

RsCILDescrprefix2 = '';

Unit

JclResources


RsCILDescrprefix3 Constant

RsCILDescrprefix3 = '';

Unit

JclResources


RsCILDescrprefix4 Constant

RsCILDescrprefix4 = '';

Unit

JclResources


RsCILDescrprefix5 Constant

RsCILDescrprefix5 = '';

Unit

JclResources


RsCILDescrprefix6 Constant

RsCILDescrprefix6 = '';

Unit

JclResources


RsCILDescrprefix7 Constant

RsCILDescrprefix7 = '';

Unit

JclResources


RsCILDescrprefixref Constant

RsCILDescrprefixref = '';

Unit

JclResources


RsCILDescrrefanytype Constant

RsCILDescrrefanytype = 'Push the type token stored in a typed reference';

Unit

JclResources


RsCILDescrrefanyval Constant

RsCILDescrrefanyval = 'Push the address stored in a typed reference';

Unit

JclResources


RsCILDescrrem Constant

RsCILDescrrem = 'Remainder of dividing value1 by value2';

Unit

JclResources


RsCILDescrremun Constant

RsCILDescrremun = 'Remainder of unsigned dividing value1 by value2';

Unit

JclResources


RsCILDescrret Constant

RsCILDescrret = 'Return from method, possibly returning a value';

Unit

JclResources


RsCILDescrrethrow Constant

RsCILDescrrethrow = 'Rethrow the current exception';

Unit

JclResources


RsCILDescrshl Constant

RsCILDescrshl = 'Shift an integer to the left (shifting in zeros)';

Unit

JclResources


RsCILDescrshr Constant

RsCILDescrshr = 'Shift an integer right, (shift in sign), return an integer';

Unit

JclResources


RsCILDescrshrun Constant

RsCILDescrshrun = 'Shift an integer right, (shift in zero), return an integer';

Unit

JclResources


RsCILDescrsizeof Constant

RsCILDescrsizeof = 'Push the size, in bytes, of a value type as a unsigned int32';

Unit

JclResources


RsCILDescrstarg Constant

RsCILDescrstarg = 'Store a value to the argument numbered num';

Unit

JclResources


RsCILDescrstargs Constant

RsCILDescrstargs = 'Store a value to the argument numbered num, short form';

Unit

JclResources


RsCILDescrstelemi Constant

RsCILDescrstelemi = 'Replace array element at index with the i value on the stack';

Unit

JclResources


RsCILDescrstelemi1 Constant

RsCILDescrstelemi1 = 'Replace array element at index with the int8 value on the stack';

Unit

JclResources


RsCILDescrstelemi2 Constant

RsCILDescrstelemi2 = 'Replace array element at index with the int16 value on the stack';

Unit

JclResources


RsCILDescrstelemi4 Constant

RsCILDescrstelemi4 = 'Replace array element at index with the int32 value on the stack';

Unit

JclResources


RsCILDescrstelemi8 Constant

RsCILDescrstelemi8 = 'Replace array element at index with the int64 value on the stack';

Unit

JclResources


RsCILDescrstelemr4 Constant

RsCILDescrstelemr4 = 'Replace array element at index with the float32 value on the stack';

Unit

JclResources


RsCILDescrstelemr8 Constant

RsCILDescrstelemr8 = 'Replace array element at index with the float64 value on the stack';

Unit

JclResources


RsCILDescrstelemref Constant

RsCILDescrstelemref = 'Replace array element at index with the ref value on the stack';

Unit

JclResources


RsCILDescrstfld Constant

RsCILDescrstfld = 'Replace the value of field of the object obj with val';

Unit

JclResources


RsCILDescrstindi Constant

RsCILDescrstindi = 'Store value of type native int into memory at address';

Unit

JclResources


RsCILDescrstindi1 Constant

RsCILDescrstindi1 = 'Store value of type int8 into memory at address';

Unit

JclResources


RsCILDescrstindi2 Constant

RsCILDescrstindi2 = 'Store value of type int16 into memory at address';

Unit

JclResources


RsCILDescrstindi4 Constant

RsCILDescrstindi4 = 'Store value of type int32 into memory at address';

Unit

JclResources


RsCILDescrstindi8 Constant

RsCILDescrstindi8 = 'Store value of type int64 into memory at address';

Unit

JclResources


RsCILDescrstindr4 Constant

RsCILDescrstindr4 = 'Store value of type float32 into memory at address';

Unit

JclResources


RsCILDescrstindr8 Constant

RsCILDescrstindr8 = 'Store value of type float64 into memory at address';

Unit

JclResources


RsCILDescrstindref Constant

RsCILDescrstindref = 'Store value of type object ref (type O) into memory at address';

Unit

JclResources


RsCILDescrstloc Constant

RsCILDescrstloc = 'Pop value from stack into local variable indx.';

Unit

JclResources


RsCILDescrstloc0 Constant

RsCILDescrstloc0 = 'Pop value from stack into local variable 0.';

Unit

JclResources


RsCILDescrstloc1 Constant

RsCILDescrstloc1 = 'Pop value from stack into local variable 1.';

Unit

JclResources


RsCILDescrstloc2 Constant

RsCILDescrstloc2 = 'Pop value from stack into local variable 2.';

Unit

JclResources


RsCILDescrstloc3 Constant

RsCILDescrstloc3 = 'Pop value from stack into local variable 3.';

Unit

JclResources


RsCILDescrstlocs Constant

RsCILDescrstlocs = 'Pop value from stack into local variable indx, short form.';

Unit

JclResources


RsCILDescrstobj Constant

RsCILDescrstobj = 'Store a value of type classTok from the stack into memory';

Unit

JclResources


RsCILDescrstsfld Constant

RsCILDescrstsfld = 'Replace the value of field with val';

Unit

JclResources


RsCILDescrsub Constant

RsCILDescrsub = 'Subtract value2 from value1, returning a new value';

Unit

JclResources


RsCILDescrsubovf Constant

RsCILDescrsubovf = 'Subtract native int from an native int. Signed result must fit in same size';

Unit

JclResources


RsCILDescrsubovfun Constant

RsCILDescrsubovfun = 'Subtract native unsigned int from a native unsigned int. Unsigned result must fit in same size';

Unit

JclResources


RsCILDescrswitch Constant

RsCILDescrswitch = 'jump to one of n values';

Unit

JclResources


RsCILDescrtail Constant

RsCILDescrtail = 'Subsequent call terminates current method';

Unit

JclResources


RsCILDescrthrow Constant

RsCILDescrthrow = 'Throw an exception';

Unit

JclResources


RsCILDescrunaligned Constant

RsCILDescrunaligned = 'Subsequent pointer instruction may be unaligned';

Unit

JclResources


RsCILDescrunbox Constant

RsCILDescrunbox = 'Extract the value type data from obj, its boxed representation';

Unit

JclResources


RsCILDescrunused1 Constant

RsCILDescrunused1 = '';

Unit

JclResources


RsCILDescrunused10 Constant

RsCILDescrunused10 = '';

Unit

JclResources


RsCILDescrunused11 Constant

RsCILDescrunused11 = '';

Unit

JclResources


RsCILDescrunused12 Constant

RsCILDescrunused12 = '';

Unit

JclResources


RsCILDescrunused13 Constant

RsCILDescrunused13 = '';

Unit

JclResources


RsCILDescrunused14 Constant

RsCILDescrunused14 = '';

Unit

JclResources


RsCILDescrunused15 Constant

RsCILDescrunused15 = '';

Unit

JclResources


RsCILDescrunused16 Constant

RsCILDescrunused16 = '';

Unit

JclResources


RsCILDescrunused17 Constant

RsCILDescrunused17 = '';

Unit

JclResources


RsCILDescrunused18 Constant

RsCILDescrunused18 = '';

Unit

JclResources


RsCILDescrunused19 Constant

RsCILDescrunused19 = '';

Unit

JclResources


RsCILDescrunused2 Constant

RsCILDescrunused2 = '';

Unit

JclResources


RsCILDescrunused20 Constant

RsCILDescrunused20 = '';

Unit

JclResources


RsCILDescrunused21 Constant

RsCILDescrunused21 = '';

Unit

JclResources


RsCILDescrunused22 Constant

RsCILDescrunused22 = '';

Unit

JclResources


RsCILDescrunused23 Constant

RsCILDescrunused23 = '';

Unit

JclResources


RsCILDescrunused24 Constant

RsCILDescrunused24 = '';

Unit

JclResources


RsCILDescrunused25 Constant

RsCILDescrunused25 = '';

Unit

JclResources


RsCILDescrunused26 Constant

RsCILDescrunused26 = '';

Unit

JclResources


RsCILDescrunused27 Constant

RsCILDescrunused27 = '';

Unit

JclResources


RsCILDescrunused28 Constant

RsCILDescrunused28 = '';

Unit

JclResources


RsCILDescrunused29 Constant

RsCILDescrunused29 = '';

Unit

JclResources


RsCILDescrunused3 Constant

RsCILDescrunused3 = '';

Unit

JclResources


RsCILDescrunused30 Constant

RsCILDescrunused30 = '';

Unit

JclResources


RsCILDescrunused31 Constant

RsCILDescrunused31 = '';

Unit

JclResources


RsCILDescrunused32 Constant

RsCILDescrunused32 = '';

Unit

JclResources


RsCILDescrunused33 Constant

RsCILDescrunused33 = '';

Unit

JclResources


RsCILDescrunused34 Constant

RsCILDescrunused34 = '';

Unit

JclResources


RsCILDescrunused35 Constant

RsCILDescrunused35 = '';

Unit

JclResources


RsCILDescrunused36 Constant

RsCILDescrunused36 = '';

Unit

JclResources


RsCILDescrunused37 Constant

RsCILDescrunused37 = '';

Unit

JclResources


RsCILDescrunused38 Constant

RsCILDescrunused38 = '';

Unit

JclResources


RsCILDescrunused39 Constant

RsCILDescrunused39 = '';

Unit

JclResources


RsCILDescrunused4 Constant

RsCILDescrunused4 = '';

Unit

JclResources


RsCILDescrunused40 Constant

RsCILDescrunused40 = '';

Unit

JclResources


RsCILDescrunused41 Constant

RsCILDescrunused41 = '';

Unit

JclResources


RsCILDescrunused42 Constant

RsCILDescrunused42 = '';

Unit

JclResources


RsCILDescrunused43 Constant

RsCILDescrunused43 = '';

Unit

JclResources


RsCILDescrunused44 Constant

RsCILDescrunused44 = '';

Unit

JclResources


RsCILDescrunused45 Constant

RsCILDescrunused45 = '';

Unit

JclResources


RsCILDescrunused46 Constant

RsCILDescrunused46 = '';

Unit

JclResources


RsCILDescrunused47 Constant

RsCILDescrunused47 = '';

Unit

JclResources


RsCILDescrunused48 Constant

RsCILDescrunused48 = '';

Unit

JclResources


RsCILDescrunused49 Constant

RsCILDescrunused49 = '';

Unit

JclResources


RsCILDescrunused5 Constant

RsCILDescrunused5 = '';

Unit

JclResources


RsCILDescrunused50 Constant

RsCILDescrunused50 = '';

Unit

JclResources


RsCILDescrunused51 Constant

RsCILDescrunused51 = '';

Unit

JclResources


RsCILDescrunused52 Constant

RsCILDescrunused52 = '';

Unit

JclResources


RsCILDescrunused53 Constant

RsCILDescrunused53 = '';

Unit

JclResources


RsCILDescrunused54 Constant

RsCILDescrunused54 = '';

Unit

JclResources


RsCILDescrunused55 Constant

RsCILDescrunused55 = '';

Unit

JclResources


RsCILDescrunused56 Constant

RsCILDescrunused56 = '';

Unit

JclResources


RsCILDescrunused57 Constant

RsCILDescrunused57 = '';

Unit

JclResources


RsCILDescrunused58 Constant

RsCILDescrunused58 = '';

Unit

JclResources


RsCILDescrunused59 Constant

RsCILDescrunused59 = '';

Unit

JclResources


RsCILDescrunused6 Constant

RsCILDescrunused6 = '';

Unit

JclResources


RsCILDescrunused60 Constant

RsCILDescrunused60 = '';

Unit

JclResources


RsCILDescrunused61 Constant

RsCILDescrunused61 = '';

Unit

JclResources


RsCILDescrunused62 Constant

RsCILDescrunused62 = '';

Unit

JclResources


RsCILDescrunused63 Constant

RsCILDescrunused63 = '';

Unit

JclResources


RsCILDescrunused64 Constant

RsCILDescrunused64 = '';

Unit

JclResources


RsCILDescrunused65 Constant

RsCILDescrunused65 = '';

Unit

JclResources


RsCILDescrunused66 Constant

RsCILDescrunused66 = '';

Unit

JclResources


RsCILDescrunused67 Constant

RsCILDescrunused67 = '';

Unit

JclResources


RsCILDescrunused68 Constant

RsCILDescrunused68 = '';

Unit

JclResources


RsCILDescrunused69 Constant

RsCILDescrunused69 = '';

Unit

JclResources


RsCILDescrunused7 Constant

RsCILDescrunused7 = '';

Unit

JclResources


RsCILDescrunused70 Constant

RsCILDescrunused70 = '';

Unit

JclResources


RsCILDescrunused8 Constant

RsCILDescrunused8 = '';

Unit

JclResources


RsCILDescrunused9 Constant

RsCILDescrunused9 = '';

Unit

JclResources


RsCILDescrvolatile Constant

RsCILDescrvolatile = 'Subsequent pointer reference is volatile';

Unit

JclResources


RsCILDescrxor Constant

RsCILDescrxor = 'Bitwise XOR of integer values, returns an integer';

Unit

JclResources


RsCleaningFailed Constant

RsCleaningFailed = 'Cleaning failed';

Unit

JclResources


RsCleaningOk Constant

RsCleaningOk = 'Cleaning ok';

Unit

JclResources


RsCleaningPackageCache Constant

RsCleaningPackageCache = 'Cleaning package cache for %s';

Unit

JclResources


RsClientServer Constant

RsClientServer = 'Client/Server';

Unit

JclResources


RsClrCopyright Constant

RsClrCopyright = '// Delphi-JEDI .NET Framework IL Disassembler.  Version 0.1' + sLineBreak + '// Project JEDI Code Library (JCL) Team. All rights reserved.' + sLineBreak;

Unit

JclResources


RsCmdLineToolOutputInvalid Constant

RsCmdLineToolOutputInvalid = '%s: Output invalid, when OutputCallback assigned.';

Unit

JclResources


RsCombiningClassUnicodeChar Constant

RsCombiningClassUnicodeChar = 'combining class for Unicode character > $FFFF found';

Unit

JclResources


RsComFailedStreamRead Constant

RsComFailedStreamRead = 'Failed to read all of the data from the specified stream';

Unit

JclResources


RsComFailedStreamWrite Constant

RsComFailedStreamWrite = 'Failed to write all of the data into the specified stream';

Unit

JclResources


RsComInvalidParam Constant

RsComInvalidParam = 'An invalid parameter was passed to the routine. If a parameter was ' + 'expected, it might be an unassigned item or nil pointer';

Unit

JclResources


RsCommandLineToolMissing Constant

RsCommandLineToolMissing = 'No compiler available for %s';

Unit

JclResources


RsCompilationFailed Constant

RsCompilationFailed = 'Compilation failure';

Unit

JclResources


RsCompilationOk Constant

RsCompilationOk = 'Compilation success';

Unit

JclResources


RsCompilingPackage Constant

RsCompilingPackage = 'Compiling package %s';

Unit

JclResources


RsCompilingProject Constant

RsCompilingProject = 'Compiling project %s';

Unit

JclResources


RsComplexInvalidString Constant

RsComplexInvalidString = 'Failed to create a complex number from the string provided';

Unit

JclResources


RsCompressionOperationNotSupported Constant

RsCompressionOperationNotSupported = 'Operation is not supported.';

Unit

JclResources


RsCompressionReadNotSupported Constant

RsCompressionReadNotSupported = 'read is not an supported operation.';

Unit

JclResources


RsCompressionResetNotSupported Constant

RsCompressionResetNotSupported = 'reset is not an supported operation.';

Unit

JclResources


RsCompressionSeekNotSupported Constant

RsCompressionSeekNotSupported = 'seek is not an supported operation.';

Unit

JclResources


RsCompressionWriteNotSupported Constant

RsCompressionWriteNotSupported = 'write is not an supported operation.';

Unit

JclResources


RsCompressionZLibError Constant

RsCompressionZLibError = 'ZLib error';

Unit

JclResources


RsCompressionZLibZBufError Constant

RsCompressionZLibZBufError = 'zlib returned: buffer error';

Unit

JclResources


RsCompressionZLibZDataError Constant

RsCompressionZLibZDataError = 'zlib returned: data error';

Unit

JclResources


RsCompressionZLibZErrNo Constant

RsCompressionZLibZErrNo = 'zlib returned: ERRNO';

Unit

JclResources


RsCompressionZLibZMemError Constant

RsCompressionZLibZMemError = 'zlib returned: memory error';

Unit

JclResources


RsCompressionZLibZStreamError Constant

RsCompressionZLibZStreamError = 'zlib returned: Stream error';

Unit

JclResources


RsCompressionZLibZVersionError Constant

RsCompressionZLibZVersionError = 'zlib returned: Version error';

Unit

JclResources


RsConvTempBelowAbsoluteZero Constant

RsConvTempBelowAbsoluteZero = 'Temperature can not be below Absolute Zero!';

Unit

JclResources


RsCreateCompatibleDc Constant

RsCreateCompatibleDc = 'Could not create compatible DC';

Unit

JclResources


RsCreateFileMapping Constant

RsCreateFileMapping = 'Failed to create FileMapping';

Unit

JclResources


RsCreateFileMappingView Constant

RsCreateFileMappingView = 'Failed to create FileMappingView';

Unit

JclResources


RsCreateProcAccessDenied Constant

RsCreateProcAccessDenied = 'Access denied';

Unit

JclResources


RsCreateProcBuild1057Error Constant

RsCreateProcBuild1057Error = 'NT version 3.51 build 1057 or later required';

Unit

JclResources


RsCreateProcCommandNotFound Constant

RsCreateProcCommandNotFound = 'Command or filename not found: "%s"';

Unit

JclResources


RsCreateProcFailed Constant

RsCreateProcFailed = 'CreateProcessAsUser failed';

Unit

JclResources


RsCreateProcLogonFailed Constant

RsCreateProcLogonFailed = 'Unable to logon';

Unit

JclResources


RsCreateProcLogonUserError Constant

RsCreateProcLogonUserError = 'LogonUser failed';

Unit

JclResources


RsCreateProcNTRequiredError Constant

RsCreateProcNTRequiredError = 'Windows NT required';

Unit

JclResources


RsCreateProcOSVersionError Constant

RsCreateProcOSVersionError = 'Unable to determine OS version';

Unit

JclResources


RsCreateProcPrivilegeMissing Constant

RsCreateProcPrivilegeMissing = 'This account does not have the privilege "%s" (%s)';

Unit

JclResources


RsCreateProcPrivilegesMissing Constant

RsCreateProcPrivilegesMissing = 'This account does not have one (or more) of ' + 'the following privileges: ' + '"%s"(%s)' + sLineBreak + '"%s"(%s)' + sLineBreak;

Unit

JclResources


RsCreateProcSetDesktopSecurityError Constant

RsCreateProcSetDesktopSecurityError = 'Cannot set Desktop "%s" security.';

Unit

JclResources


RsCreateProcSetStationSecurityError Constant

RsCreateProcSetStationSecurityError = 'Cannot set WindowStation "%s" security.';

Unit

JclResources


RsCSharpName Constant

RsCSharpName = 'C#Builder';

Unit

JclResources


RsDateConversion Constant

RsDateConversion = 'Error illegal date or time format';

Unit

JclResources


RsDebugAssertValidPointer Constant

RsDebugAssertValidPointer = 'Invalid Pointer passed to AssertValid';

Unit

JclResources


RsDebugAssertValidString Constant

RsDebugAssertValidString = 'Invalid string passed to AssertValid';

Unit

JclResources


RsDebugMapFileExtension Constant

RsDebugMapFileExtension = '.map';

Unit

JclResources


RsDebugNoProcessInfo Constant

RsDebugNoProcessInfo = 'Unable to obtain process information';

Unit

JclResources


RsDebugSnapshot Constant

RsDebugSnapshot = 'Failure creating toolhelp32 snapshot';

Unit

JclResources


RsDeclarationFormat Constant

RsDeclarationFormat = '// Declaration for ''%s'' not supported.';

Unit

JclResources


RsDecomposedUnicodeChar Constant

RsDecomposedUnicodeChar = 'decomposed Unicode character > $FFFF found';

Unit

JclResources


RsDefaultFileTypeName Constant

RsDefaultFileTypeName = ' File';

Unit

JclResources


RsDeletingFile Constant

RsDeletingFile = 'Deleting file %s';

Unit

JclResources


RsDelphiName Constant

RsDelphiName = 'Delphi';

Unit

JclResources


RsDelphiNetName Constant

RsDelphiNetName = 'Delphi.net';

Unit

JclResources


RsDelTreePathIsEmpty Constant

RsDelTreePathIsEmpty = 'DelTree: Path is empty';

Unit

JclResources


RsDestinationBitmapEmpty Constant

RsDestinationBitmapEmpty = 'Destination bitmap is empty';

Unit

JclResources


RsDeviceMode Constant

RsDeviceMode = 'Error retrieving DeviceMode';

Unit

JclResources


RsDibHandleAllocation Constant

RsDibHandleAllocation = 'Could not allocate handle for DIB';

Unit

JclResources


RsDivByZero Constant

RsDivByZero = 'Division by zero';

Unit

JclResources


RsDualPackageNotSupported Constant

RsDualPackageNotSupported = 'This installation of %s doesn''t support dual packages';

Unit

JclResources


RsDynArrayError Constant

RsDynArrayError = 'DynArrayInitialize: ElementSize out of bounds';

Unit

JclResources


RsEDIError001 Constant

RsEDIError001 = 'Could not open edi file.  File not specified.';

Unit

JclResources


RsEDIError002 Constant

RsEDIError002 = 'Could not save edi file.  File name and path not specified.';

Unit

JclResources


RsEDIError003 Constant

RsEDIError003 = 'Could not get data object from %s at index [%s],';

Unit

JclResources


RsEDIError004 Constant

RsEDIError004 = 'Could not get data object from %s at index [%s], Index too low.';

Unit

JclResources


RsEDIError005 Constant

RsEDIError005 = 'Could not get data object from %s at index [%s], Index too high.';

Unit

JclResources


RsEDIError006 Constant

RsEDIError006 = 'Could not get data object from %s at index [%s], ' + 'There was no data object assigned.';

Unit

JclResources


RsEDIError007 Constant

RsEDIError007 = 'Could not set data object from %s at index [%s].';

Unit

JclResources


RsEDIError008 Constant

RsEDIError008 = 'Could not set data object from %s at index [%s], Index too low.';

Unit

JclResources


RsEDIError009 Constant

RsEDIError009 = 'Could not set data object from %s at index [%s], Index too high.';

Unit

JclResources


RsEDIError010 Constant

RsEDIError010 = 'Could not delete data object from %s at index [%s]';

Unit

JclResources


RsEDIError011 Constant

RsEDIError011 = 'Could not delete data objects from %s at index [%s]';

Unit

JclResources


RsEDIError012 Constant

RsEDIError012 = 'Delimiters have not been assigned to interchange.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError013 Constant

RsEDIError013 = 'Delimiters have not been assigned to interchange.  Assemble cancelled.';

Unit

JclResources


RsEDIError014 Constant

RsEDIError014 = 'Could not find interchange control header segment terminator.';

Unit

JclResources


RsEDIError015 Constant

RsEDIError015 = 'Could not find interchange control header.';

Unit

JclResources


RsEDIError016 Constant

RsEDIError016 = 'Could not find interchange control trailer segment terminator.';

Unit

JclResources


RsEDIError017 Constant

RsEDIError017 = 'Could not find interchange control trailer.';

Unit

JclResources


RsEDIError018 Constant

RsEDIError018 = 'Could not find interchange control trailer or garbage at end of file.';

Unit

JclResources


RsEDIError019 Constant

RsEDIError019 = 'Could not assign delimiters to functional group.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError020 Constant

RsEDIError020 = 'Could not assign delimiters to functional group.  Assemble cancelled.';

Unit

JclResources


RsEDIError021 Constant

RsEDIError021 = 'Could not find functional group header segment terminator.';

Unit

JclResources


RsEDIError022 Constant

RsEDIError022 = 'Could not find functional group header.';

Unit

JclResources


RsEDIError023 Constant

RsEDIError023 = 'Could not find functional group trailer segment terminator.';

Unit

JclResources


RsEDIError024 Constant

RsEDIError024 = 'Could not find functional group trailer.';

Unit

JclResources


RsEDIError025 Constant

RsEDIError025 = 'Could not assign delimiters to transaction set.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError026 Constant

RsEDIError026 = 'Could not assign delimiters to transaction set.  Assemble cancelled.';

Unit

JclResources


RsEDIError027 Constant

RsEDIError027 = 'Could not find transaction set header.';

Unit

JclResources


RsEDIError028 Constant

RsEDIError028 = 'Could not find transaction set trailer segment terminator.';

Unit

JclResources


RsEDIError029 Constant

RsEDIError029 = 'Could not find transaction set trailer.';

Unit

JclResources


RsEDIError030 Constant

RsEDIError030 = 'Could not assign delimiters to message.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError031 Constant

RsEDIError031 = 'Could not assign delimiters to message.  Assemble cancelled.';

Unit

JclResources


RsEDIError032 Constant

RsEDIError032 = 'Could not find message header.';

Unit

JclResources


RsEDIError033 Constant

RsEDIError033 = 'Could not find message trailer segment terminator.';

Unit

JclResources


RsEDIError034 Constant

RsEDIError034 = 'Could not find message trailer.';

Unit

JclResources


RsEDIError035 Constant

RsEDIError035 = 'Could not assign delimiters to segment.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError036 Constant

RsEDIError036 = 'Could not assign delimiters to segment.  Assemble cancelled.';

Unit

JclResources


RsEDIError037 Constant

RsEDIError037 = 'Could not assign delimiters to composite element.  Dissassemble cancelled.';

Unit

JclResources


RsEDIError038 Constant

RsEDIError038 = 'Could not assign delimiters to composite element.  Assemble cancelled.';

Unit

JclResources


RsEDIError039 Constant

RsEDIError039 = 'Could not get data object in transaction set loop at index [%s], ' + 'Data object does not exist.';

Unit

JclResources


RsEDIError040 Constant

RsEDIError040 = 'Could not get data object in transaction set loop at index [%s], ' + 'Index too high.';

Unit

JclResources


RsEDIError041 Constant

RsEDIError041 = 'Could not get data object in transaction set loop at index [%s], Index too low.';

Unit

JclResources


RsEDIError042 Constant

RsEDIError042 = 'Could not get data object in transaction set loop at index [%s].';

Unit

JclResources


RsEDIError043 Constant

RsEDIError043 = 'Could not set data object in transaction set loop at index [%s], ' + 'Index too high.';

Unit

JclResources


RsEDIError044 Constant

RsEDIError044 = 'Could not set data object in transaction set loop at index [%s], Index too low.';

Unit

JclResources


RsEDIError045 Constant

RsEDIError045 = 'Could not set data object in transaction set loop at index [%s].';

Unit

JclResources


RsEDIError046 Constant

RsEDIError046 = 'Could not get data object in message loop at index [%s], ' + 'Data object does not exist.';

Unit

JclResources


RsEDIError047 Constant

RsEDIError047 = 'Could not get data object in message loop at index [%s], Index too high.';

Unit

JclResources


RsEDIError048 Constant

RsEDIError048 = 'Could not get data object in message loop at index [%s], Index too low.';

Unit

JclResources


RsEDIError049 Constant

RsEDIError049 = 'Could not get data object in message loop at index [%s].';

Unit

JclResources


RsEDIError050 Constant

RsEDIError050 = 'Could not set data object in message loop at index [%s], Index too high.';

Unit

JclResources


RsEDIError051 Constant

RsEDIError051 = 'Could not set data object in message loop at index [%s], Index too low.';

Unit

JclResources


RsEDIError052 Constant

RsEDIError052 = 'Could not set data object in message loop at index [%s].';

Unit

JclResources


RsEDIError053 Constant

RsEDIError053 = 'Loop in loop stack record at index [%s] does not exist.';

Unit

JclResources


RsEDIError054 Constant

RsEDIError054 = 'Could not get loop stack record at index [%s], Index too high.';

Unit

JclResources


RsEDIError055 Constant

RsEDIError055 = 'Could not get loop stack record at index [%s], Index too low.';

Unit

JclResources


RsEDIError056 Constant

RsEDIError056 = 'Could not get loop stack record at index [%s].';

Unit

JclResources


RsEDIError057 Constant

RsEDIError057 = 'Could not get safe loop stack index [%s].';

Unit

JclResources


RsEDIError058 Constant

RsEDIError058 = 'Could not assign element specification to element at index [%s] ' + 'in segment [%s] at index [%s] in transaction set.';

Unit

JclResources


RsEFunctionNotFound Constant

RsEFunctionNotFound = 'Function not found: %s.%s';

Unit

JclResources


RsEIllegalQueueCapacity Constant

RsEIllegalQueueCapacity = 'Illegal queue capacity';

Unit

JclResources


RsELibraryNotFound Constant

RsELibraryNotFound = 'Library not found: %s';

Unit

JclResources


RsEmptyArray Constant

RsEmptyArray = 'Empty array is not allowed as input parameter';

Unit

JclResources


RsENoCollection Constant

RsENoCollection = 'Collection = nil';

Unit

JclResources


RsEnterprise Constant

RsEnterprise = 'Enterprise';

Unit

JclResources


RsEOpenGLInfo Constant

RsEOpenGLInfo = 'GetOpenGLVersion: %s failed';

Unit

JclResources


RsEOperationNotSupported Constant

RsEOperationNotSupported = 'Operation not supported';

Unit

JclResources


RsEOutOfBounds Constant

RsEOutOfBounds = 'Out of bounds';

Unit

JclResources


RsErrBadMagic Constant

RsErrBadMagic = 'Bad magic';

Unit

JclResources


RsErrBadOption Constant

RsErrBadOption = 'Bad option';

Unit

JclResources


RsErrLibNotLoaded Constant

RsErrLibNotLoaded = 'PCRE library not loaded';

Unit

JclResources


RsErrNoMatch Constant

RsErrNoMatch = 'No match';

Unit

JclResources


RsErrNoMemory Constant

RsErrNoMemory = 'Out of memory';

Unit

JclResources


RsErrNoSubString Constant

RsErrNoSubString = 'No substring';

Unit

JclResources


RsErrNull Constant

RsErrNull = 'Required value is null';

Unit

JclResources


RsErrUnknownNode Constant

RsErrUnknownNode = 'Unknown node';

Unit

JclResources


RsEValueNotFound Constant

RsEValueNotFound = 'Value %s not found';

Unit

JclResources


RsExpertInstallationFinished Constant

RsExpertInstallationFinished = 'Installation of expert finished';

Unit

JclResources


RsExpertInstallationStarted Constant

RsExpertInstallationStarted = 'Installing expert %s';

Unit

JclResources


RsExpertUninstallationFinished Constant

RsExpertUninstallationFinished = 'Uninstallation of expert finished';

Unit

JclResources


RsExpertUninstallationStarted Constant

RsExpertUninstallationStarted = 'Uninstalling expert %s';

Unit

JclResources


RsExprEvalEndArgs Constant

RsExprEvalEndArgs = 'Parse error: '')'' to close function''s parameters expected';

Unit

JclResources


RsExprEvalExprNotFound Constant

RsExprEvalExprNotFound = 'Expression compiler error: Expression ''%s'' not found';

Unit

JclResources


RsExprEvalExprPtrNotFound Constant

RsExprEvalExprPtrNotFound = 'Expression compiler error: Expression pointer not found';

Unit

JclResources


RsExprEvalExprRefCountAssertion Constant

RsExprEvalExprRefCountAssertion = 'Expression compiler error: expression refcount < 0';

Unit

JclResources


RsExprEvalFactorExpected Constant

RsExprEvalFactorExpected = 'Parse error: Factor expected';

Unit

JclResources


RsExprEvalFirstArg Constant

RsExprEvalFirstArg = 'Parse error: ''('' and function''s first parameter expected';

Unit

JclResources


RsExprEvalNextArg Constant

RsExprEvalNextArg = 'Parse error: '','' and another parameter expected';

Unit

JclResources


RsExprEvalRParenExpected Constant

RsExprEvalRParenExpected = 'Parse error: '')'' expected';

Unit

JclResources


RsExprEvalUnknownSymbol Constant

RsExprEvalUnknownSymbol = 'Parse error: Unknown symbol: ''%s''';

Unit

JclResources


RsFailedToObtainSize Constant

RsFailedToObtainSize = 'Failed to obtain size of file';

Unit

JclResources


RsFileDeletionFailed Constant

RsFileDeletionFailed = 'File deletion failure';

Unit

JclResources


RsFileDeletionOk Constant

RsFileDeletionOk = 'File deletion success';

Unit

JclResources


RsFileIndexOutOfRange Constant

RsFileIndexOutOfRange = 'Index of out range';

Unit

JclResources


RsFileMappingInvalidHandle Constant

RsFileMappingInvalidHandle = 'Invalid file handle';

Unit

JclResources


RsFileMappingOpenFile Constant

RsFileMappingOpenFile = 'Unable to open the file';

Unit

JclResources


RsFileSearchAttrInconsistency Constant

RsFileSearchAttrInconsistency = 'Some file search attributes are required AND rejected!';

Unit

JclResources


RsFileStreamCreate Constant

RsFileStreamCreate = 'Unable to create temporary file stream';

Unit

JclResources


RsFileUtilsAttrUnavailable Constant

RsFileUtilsAttrUnavailable = 'Unable to retrieve attributes of %s';

Unit

JclResources


RsFileUtilsLanguageIndex Constant

RsFileUtilsLanguageIndex = 'Illegal language index';

Unit

JclResources


RsFileUtilsNoVersionInfo Constant

RsFileUtilsNoVersionInfo = 'File contains no version information';

Unit

JclResources


RsFormatBadArgumentType Constant

RsFormatBadArgumentType = 'Invalid argument type (%s) at index %u. Expected [%s]';

Unit

JclResources


RsFormatBadArgumentTypeEx Constant

RsFormatBadArgumentTypeEx = 'Invalid argument type (%s) at index %u for format ''%s''. Expected [%s]';

Unit

JclResources


RsFormatNoArgument Constant

RsFormatNoArgument = 'No argument at index %u';

Unit

JclResources


RsFormatNoArgumentEx Constant

RsFormatNoArgumentEx = 'No argument at index %u for format ''%s''';

Unit

JclResources


RsFormatSyntaxError Constant

RsFormatSyntaxError = 'Syntax error at index %u';

Unit

JclResources


RsHardDisk Constant

RsHardDisk = 'Hard Disk';

Unit

JclResources


RsHasNotTD32Info Constant

RsHasNotTD32Info = 'File [%s] has not TD32 debug information!';

Unit

JclResources


RsIdePackageInstallationFinished Constant

RsIdePackageInstallationFinished = 'Installation of ide package finished';

Unit

JclResources


RsIdePackageInstallationStarted Constant

RsIdePackageInstallationStarted = 'Installing ide package %s';

Unit

JclResources


RsIdePackageUninstallationFinished Constant

RsIdePackageUninstallationFinished = 'Uninstallation of ide package finished';

Unit

JclResources


RsIdePackageUninstallationStarted Constant

RsIdePackageUninstallationStarted = 'Uninstalling ide package %s';

Unit

JclResources


RsInconsistentPath Constant

RsInconsistentPath = '"%s" does not match RootKey';

Unit

JclResources


RsIndexOufOfRange Constant

RsIndexOufOfRange = 'Index out of range';

Unit

JclResources


RsIndexOutOfRange Constant

RsIndexOutOfRange = 'Index out of range setting bin';

Unit

JclResources


RsIndexOutOfRangePaper Constant

RsIndexOutOfRangePaper = 'Index out of range setting paper';

Unit

JclResources


RsInstructionStreamInvalid Constant

RsInstructionStreamInvalid = 'Invalid IL instruction stream';

Unit

JclResources


RsIntelCacheDescr00 Constant

RsIntelCacheDescr00 = 'Null descriptor';

Unit

JclResources


RsIntelCacheDescr01 Constant

RsIntelCacheDescr01 = 'Instruction TLB, 4Kb pages, 4-way set associative, 32 entries';

Unit

JclResources


RsIntelCacheDescr02 Constant

RsIntelCacheDescr02 = 'Instruction TLB, 4Mb pages, fully associative, 2 entries';

Unit

JclResources


RsIntelCacheDescr03 Constant

RsIntelCacheDescr03 = 'Data TLB, 4Kb pages, 4-way set associative, 64 entries';

Unit

JclResources


RsIntelCacheDescr04 Constant

RsIntelCacheDescr04 = 'Data TLB, 4Mb pages, 4-way set associative, 8 entries';

Unit

JclResources


RsIntelCacheDescr06 Constant

RsIntelCacheDescr06 = '8KB instruction cache, 4-way set associative, 32 byte line size';

Unit

JclResources


RsIntelCacheDescr08 Constant

RsIntelCacheDescr08 = '16KB instruction cache, 4-way set associative, 32 byte line size';

Unit

JclResources


RsIntelCacheDescr0A Constant

RsIntelCacheDescr0A = '8KB data cache 2-way set associative, 32 byte line size';

Unit

JclResources


RsIntelCacheDescr0C Constant

RsIntelCacheDescr0C = '16KB data cache, 4-way set associative, 32 byte line size';

Unit

JclResources


RsIntelCacheDescr22 Constant

RsIntelCacheDescr22 = '3° Level cache, 512 KBytes, 4-way set associative, 2 lines per sector, 128 byte sector size';

Unit

JclResources


RsIntelCacheDescr23 Constant

RsIntelCacheDescr23 = '3° Level cache, 1 MBytes, 8-way set associative, 2 lines per sector, 128 byte sector size';

Unit

JclResources


RsIntelCacheDescr25 Constant

RsIntelCacheDescr25 = '3° Level cache, 2 MBytes, 8-way set associative, 2 lines per sector, 128 byte line size';

Unit

JclResources


RsIntelCacheDescr29 Constant

RsIntelCacheDescr29 = '3° Level cache, 4M Bytes, 8-way set associative, 2 lines per sector, 128 byte line size';

Unit

JclResources


RsIntelCacheDescr2C Constant

RsIntelCacheDescr2C = '1° Level data cache: 32K Bytes, 8-way set associative, 64 byte line size';

Unit

JclResources


RsIntelCacheDescr30 Constant

RsIntelCacheDescr30 = '1° Level instruction cache: 32K Bytes, 8-way set associative, 64 byte line size';

Unit

JclResources


RsIntelCacheDescr40 Constant

RsIntelCacheDescr40 = 'No L2 cache';

Unit

JclResources


RsIntelCacheDescr41 Constant

RsIntelCacheDescr41 = 'Unified cache, 32 byte cache line, 4-way set associative, 128Kb';

Unit

JclResources


RsIntelCacheDescr42 Constant

RsIntelCacheDescr42 = 'Unified cache, 32 byte cache line, 4-way set associative, 256Kb';

Unit

JclResources


RsIntelCacheDescr43 Constant

RsIntelCacheDescr43 = 'Unified cache, 32 byte cache line, 4-way set associative, 512Kb';

Unit

JclResources


RsIntelCacheDescr44 Constant

RsIntelCacheDescr44 = 'Unified cache, 32 byte cache line, 4-way set associative, 1Mb';

Unit

JclResources


RsIntelCacheDescr45 Constant

RsIntelCacheDescr45 = 'Unified cache, 32 byte cache line, 4-way set associative, 2Mb';

Unit

JclResources


RsIntelCacheDescr50 Constant

RsIntelCacheDescr50 = 'Instruction TLB, 4 KBytes and 2 MBytes or 4 MBytes pages, 64 Entries';

Unit

JclResources


RsIntelCacheDescr51 Constant

RsIntelCacheDescr51 = 'Instruction TLB, 4 KBytes and 2 MBytes or 4 MBytes pages, 128 Entries';

Unit

JclResources


RsIntelCacheDescr52 Constant

RsIntelCacheDescr52 = 'Instruction TLB, 4 KBytes and 2 MBytes or 4 MBytes pages, 256 Entries';

Unit

JclResources


RsIntelCacheDescr5B Constant

RsIntelCacheDescr5B = 'Data TLB, 4 KBytes and 4 MBytes pages, 64 Entries';

Unit

JclResources


RsIntelCacheDescr5C Constant

RsIntelCacheDescr5C = 'Data TLB, 4 KBytes and 4 MBytes pages, 128 Entries';

Unit

JclResources


RsIntelCacheDescr5D Constant

RsIntelCacheDescr5D = 'Data TLB, 4 KBytes and 4 MBytes pages, 256 Entries';

Unit

JclResources


RsIntelCacheDescr60 Constant

RsIntelCacheDescr60 = '1° Level data cache: 16 KByte, 8-way set associative, 64 byte line size';

Unit

JclResources


RsIntelCacheDescr66 Constant

RsIntelCacheDescr66 = '1° Level Data cache, 8 KBytes, 4-way set associative, 64 Bytes line size';

Unit

JclResources


RsIntelCacheDescr67 Constant

RsIntelCacheDescr67 = '1° Level Data cache, 16 KBytes, 4-way set associative, 64 Bytes line size';

Unit

JclResources


RsIntelCacheDescr68 Constant

RsIntelCacheDescr68 = '1° Level Data cache, 32 KBytes, 4-way set associative, 64 Bytes line size';

Unit

JclResources


RsIntelCacheDescr70 Constant

RsIntelCacheDescr70 = 'Trace cache, 12 KµOps, 8-way set associative';

Unit

JclResources


RsIntelCacheDescr71 Constant

RsIntelCacheDescr71 = 'Trace cache, 16 KµOps, 8-way set associative';

Unit

JclResources


RsIntelCacheDescr72 Constant

RsIntelCacheDescr72 = 'Trace cache, 32 KµOps, 8-way set associative';

Unit

JclResources


RsIntelCacheDescr78 Constant

RsIntelCacheDescr78 = '2° Level cache, 1 MBytes, 4-way set associative, 64 Bytes line size';

Unit

JclResources


RsIntelCacheDescr79 Constant

RsIntelCacheDescr79 = '2° Level cache, 128 KBytes, 8-way set associative, dual-sectored line, 64 Bytes sector size';

Unit

JclResources


RsIntelCacheDescr7A Constant

RsIntelCacheDescr7A = '2° Level cache, 256 KBytes, 8-way set associative, dual-sectored line, 64 Bytes sector size';

Unit

JclResources


RsIntelCacheDescr7B Constant

RsIntelCacheDescr7B = '2° Level cache, 512 KBytes, 8-way set associative, dual-sectored line, 64 Bytes sector size';

Unit

JclResources


RsIntelCacheDescr7C Constant

RsIntelCacheDescr7C = '2° Level cache, 1 MBytes, 8-way set associative, dual-sectored line, 64 Bytes sector size';

Unit

JclResources


RsIntelCacheDescr7D Constant

RsIntelCacheDescr7D = '2° Level cache, 2 MByte, 8-way set associative, 64byte line size';

Unit

JclResources


RsIntelCacheDescr7F Constant

RsIntelCacheDescr7F = '2° Level cache, 512 KByte, 2-way set associative, 64-byte line size';

Unit

JclResources


RsIntelCacheDescr82 Constant

RsIntelCacheDescr82 = '2° Level cache, 256 KBytes, 8-way associative, 32 Bytes line size';

Unit

JclResources


RsIntelCacheDescr83 Constant

RsIntelCacheDescr83 = '2° Level cache, 512 KBytes, 8-way associative, 32 Bytes line size';

Unit

JclResources


RsIntelCacheDescr84 Constant

RsIntelCacheDescr84 = '2° Level cache, 1 MBytes, 8-way associative, 32 Bytes line size';

Unit

JclResources


RsIntelCacheDescr85 Constant

RsIntelCacheDescr85 = '2° Level cache, 2 MBytes, 8-way associative, 32 Bytes line size';

Unit

JclResources


RsIntelCacheDescr86 Constant

RsIntelCacheDescr86 = '2° Level cache, 512 KByte, 4-way set associative, 64 byte line size';

Unit

JclResources


RsIntelCacheDescr87 Constant

RsIntelCacheDescr87 = '2° Level cache, 1 MByte, 8-way set associative, 64 byte line size';

Unit

JclResources


RsIntelCacheDescrB0 Constant

RsIntelCacheDescrB0 = 'Instruction TLB, 4 KByte Pages, 4-way set associative, 128 entries';

Unit

JclResources


RsIntelCacheDescrB3 Constant

RsIntelCacheDescrB3 = 'Data TLB, 4 KByte Pages, 4-way set associative, 128 entries';

Unit

JclResources


RsIntelCacheDescrF0 Constant

RsIntelCacheDescrF0 = '64-Byte Prefetching';

Unit

JclResources


RsIntelCacheDescrF1 Constant

RsIntelCacheDescrF1 = '128-Byte Prefetching';

Unit

JclResources


RsIntelUnknownCache Constant

RsIntelUnknownCache = 'Unknown cache ID (%.2x)';

Unit

JclResources


RsInvalidArgument Constant

RsInvalidArgument = '%s: Invalid argument <%s>';

Unit

JclResources


RsInvalidDigit Constant

RsInvalidDigit = 'Invalid base %d digit ''%s'' encountered.';

Unit

JclResources


RsInvalidDigitValue Constant

RsInvalidDigitValue = 'There is no valid base %d digit for decimal value %d';

Unit

JclResources


RsInvalidEmptyStringItem Constant

RsInvalidEmptyStringItem = 'String list passed to StringsToMultiSz cannot contain empty strings.';

Unit

JclResources


RsInvalidGUIDString Constant

RsInvalidGUIDString = 'Invalid conversion from string to GUID (%s).';

Unit

JclResources


RsInvalidHandleForRegion Constant

RsInvalidHandleForRegion = 'Invalid handle for region';

Unit

JclResources


RsInvalidPrinter Constant

RsInvalidPrinter = 'Invalid printer';

Unit

JclResources


RsInvalidProcessID Constant

RsInvalidProcessID = 'Invalid process ID %d';

Unit

JclResources


RsInvalidRational Constant

RsInvalidRational = 'Invalid rational number';

Unit

JclResources


RsInvalidRegion Constant

RsInvalidRegion = 'Invalid Region defined for RegionInfo';

Unit

JclResources


RsInvalidRegionInfo Constant

RsInvalidRegionInfo = 'Invalid RegionInfo';

Unit

JclResources


RsInvalidSampleSize Constant

RsInvalidSampleSize = 'Invalid sample size (%d)';

Unit

JclResources


RsInvalidSignatureData Constant

RsInvalidSignatureData = 'Invalid compressed signature data - %.2x %.2x %.2x %.2x';

Unit

JclResources


RsIStreamNil Constant

RsIStreamNil = 'IStream is nil';

Unit

JclResources


RsJpegExtension Constant

RsJpegExtension = '.jpg';

Unit

JclResources


RsKylixName Constant

RsKylixName = 'Kylix for %s';

Unit

JclResources


RsKylixVersionName Constant

RsKylixVersionName = 'Kylix %d for %s';

Unit

JclResources


RsLinkingMap Constant

RsLinkingMap = 'Linking MAP file in %s';

Unit

JclResources


RsLinkMapFailed Constant

RsLinkMapFailed = 'Map link failure';

Unit

JclResources


RsLinkMapInfo Constant

RsLinkMapInfo = 'Bug unit: %s; MAP size: %d; Debug size: %d';

Unit

JclResources


RsLinkMapOk Constant

RsLinkMapOk = 'Map link success';

Unit

JclResources


RsLoadFromStreamSize Constant

RsLoadFromStreamSize = 'Not enough space in View in procedure LoadFromStream';

Unit

JclResources


RsLocalVarSigOutOfRange Constant

RsLocalVarSigOutOfRange = 'LocalVarSig count %d is out of range [1..$$FFFE]';

Unit

JclResources


RsMakeUTCTime Constant

RsMakeUTCTime = 'Error converting to UTC time. Time zone could not be determined';

Unit

JclResources


RsMapiErrACCESS_DENIED Constant

RsMapiErrACCESS_DENIED = 'Access denied';

Unit

JclResources


RsMapiErrAMBIGUOUS_RECIPIENT Constant

RsMapiErrAMBIGUOUS_RECIPIENT = 'A recipient was specified ambiguously';

Unit

JclResources


RsMapiErrATTACHMENT_NOT_FOUND Constant

RsMapiErrATTACHMENT_NOT_FOUND = 'A specified attachment was not found';

Unit

JclResources


RsMapiErrATTACHMENT_OPEN_FAILURE Constant

RsMapiErrATTACHMENT_OPEN_FAILURE = 'Attachment open failure';

Unit

JclResources


RsMapiErrATTACHMENT_WRITE_FAILURE Constant

RsMapiErrATTACHMENT_WRITE_FAILURE = 'Attachment write failure';

Unit

JclResources


RsMapiErrBAD_RECIPTYPE Constant

RsMapiErrBAD_RECIPTYPE = 'Bad recipient type';

Unit

JclResources


RsMapiErrDISK_FULL Constant

RsMapiErrDISK_FULL = 'Disk full';

Unit

JclResources


RsMapiErrFAILURE Constant

RsMapiErrFAILURE = 'General MAPI failure';

Unit

JclResources


RsMapiErrINSUFFICIENT_MEMORY Constant

RsMapiErrINSUFFICIENT_MEMORY = 'Insufficient memory';

Unit

JclResources


RsMapiErrINVALID_EDITFIELDS Constant

RsMapiErrINVALID_EDITFIELDS = 'Invalid edit fields';

Unit

JclResources


RsMapiErrINVALID_MESSAGE Constant

RsMapiErrINVALID_MESSAGE = 'Invalid message';

Unit

JclResources


RsMapiErrINVALID_RECIPS Constant

RsMapiErrINVALID_RECIPS = 'Invalid recipients';

Unit

JclResources


RsMapiErrINVALID_SESSION Constant

RsMapiErrINVALID_SESSION = 'Invalid session';

Unit

JclResources


RsMapiErrLOGIN_FAILURE Constant

RsMapiErrLOGIN_FAILURE = 'MAPI login failure';

Unit

JclResources


RsMapiErrMESSAGE_IN_USE Constant

RsMapiErrMESSAGE_IN_USE = 'Message in use';

Unit

JclResources


RsMapiErrNETWORK_FAILURE Constant

RsMapiErrNETWORK_FAILURE = 'Network failure';

Unit

JclResources


RsMapiErrNO_MESSAGES Constant

RsMapiErrNO_MESSAGES = 'No messages';

Unit

JclResources


RsMapiErrNOT_SUPPORTED Constant

RsMapiErrNOT_SUPPORTED = 'Not supported';

Unit

JclResources


RsMapiError Constant

RsMapiError = 'MAPI Error: (%d) "%s"';

Unit

JclResources


RsMapiErrTEXT_TOO_LARGE Constant

RsMapiErrTEXT_TOO_LARGE = 'Text too large';

Unit

JclResources


RsMapiErrTOO_MANY_FILES Constant

RsMapiErrTOO_MANY_FILES = 'Too many files were specified';

Unit

JclResources


RsMapiErrTOO_MANY_RECIPIENTS Constant

RsMapiErrTOO_MANY_RECIPIENTS = 'Too many recipients were specified';

Unit

JclResources


RsMapiErrTOO_MANY_SESSIONS Constant

RsMapiErrTOO_MANY_SESSIONS = 'Too many sessions';

Unit

JclResources


RsMapiErrTYPE_NOT_SUPPORTED Constant

RsMapiErrTYPE_NOT_SUPPORTED = 'Type not supported';

Unit

JclResources


RsMapiErrUNKNOWN_RECIPIENT Constant

RsMapiErrUNKNOWN_RECIPIENT = 'Unknown recipient';

Unit

JclResources


RsMapiErrUSER_ABORT Constant

RsMapiErrUSER_ABORT = 'User abort';

Unit

JclResources


RsMapiInvalidIndex Constant

RsMapiInvalidIndex = 'Index is out ot range';

Unit

JclResources


RsMapiMailBCC Constant

RsMapiMailBCC = 'Bcc';

Unit

JclResources


RsMapiMailBody Constant

RsMapiMailBody = 'Body';

Unit

JclResources


RsMapiMailCC Constant

RsMapiMailCC = 'Cc';

Unit

JclResources


RsMapiMailNoClient Constant

RsMapiMailNoClient = 'No Simple MAPI client installed, cannot send the message';

Unit

JclResources


RsMapiMailORIG Constant

RsMapiMailORIG = 'From';

Unit

JclResources


RsMapiMailSubject Constant

RsMapiMailSubject = 'Subject';

Unit

JclResources


RsMapiMailTO Constant

RsMapiMailTO = 'To';

Unit

JclResources


RsMapiMissingExport Constant

RsMapiMissingExport = 'Function "%s" is not exported by client';

Unit

JclResources


RsMapSizeFmt Constant

RsMapSizeFmt = 'Could not set size on class "%s"';

Unit

JclResources


RsMathDomainError Constant

RsMathDomainError = 'Domain check failure in JclMath';

Unit

JclResources


RsMetSectInitialize Constant

RsMetSectInitialize = 'Failed to initialize the metered section.';

Unit

JclResources


RsMetSectInvalidParameter Constant

RsMetSectInvalidParameter = 'An invalid parameter was passed to the constructor.';

Unit

JclResources


RsMetSectNameEmpty Constant

RsMetSectNameEmpty = 'Name cannot be empty when using the Open constructor.';

Unit

JclResources


RsMidiInUnknownError Constant

RsMidiInUnknownError = 'Unknown MIDI-In error No. %d';

Unit

JclResources


RsMidiInvalidChannelNum Constant

RsMidiInvalidChannelNum = 'Invalid MIDI channel number (%d)';

Unit

JclResources


RsMidiNotImplemented Constant

RsMidiNotImplemented = 'JclMidi: MIDI I/O for Unix not (yet) implemented';

Unit

JclResources


RsMidiOutUnknownError Constant

RsMidiOutUnknownError = 'Unknown MIDI-Out error No. %d';

Unit

JclResources


RsMMCdTimeFormat Constant

RsMMCdTimeFormat = '%2u:%.2u';

Unit

JclResources


RsMmCdTrackNo Constant

RsMmCdTrackNo = 'Track: %.2u';

Unit

JclResources


RsMmInconsistentId Constant

RsMmInconsistentId = 'Multimedia timer callback was called with inconsistent Id';

Unit

JclResources


RsMmMciErrorPrefix Constant

RsMmMciErrorPrefix = 'MCI-Error: ';

Unit

JclResources


RsMmMixerAnalog Constant

RsMmMixerAnalog = 'Analog';

Unit

JclResources


RsMmMixerAuxiliary Constant

RsMmMixerAuxiliary = 'Auxiliary audio line';

Unit

JclResources


RsMmMixerCompactDisc Constant

RsMmMixerCompactDisc = 'Compact disc';

Unit

JclResources


RsMmMixerCtlNotFound Constant

RsMmMixerCtlNotFound = 'Line control (%s, %.8x) not found';

Unit

JclResources


RsMmMixerDestination Constant

RsMmMixerDestination = 'Destination';

Unit

JclResources


RsMmMixerDigital Constant

RsMmMixerDigital = 'Digital';

Unit

JclResources


RsMmMixerHeadphones Constant

RsMmMixerHeadphones = 'Headphones';

Unit

JclResources


RsMmMixerLine Constant

RsMmMixerLine = 'Line';

Unit

JclResources


RsMmMixerMicrophone Constant

RsMmMixerMicrophone = 'Microphone';

Unit

JclResources


RsMmMixerMonitor Constant

RsMmMixerMonitor = 'Monitor';

Unit

JclResources


RsMmMixerNoDevices Constant

RsMmMixerNoDevices = 'No mixer device found';

Unit

JclResources


RsMmMixerPcSpeaker Constant

RsMmMixerPcSpeaker = 'PC speaker';

Unit

JclResources


RsMmMixerSource Constant

RsMmMixerSource = 'Source';

Unit

JclResources


RsMmMixerSpeakers Constant

RsMmMixerSpeakers = 'Speakers';

Unit

JclResources


RsMmMixerSynthesizer Constant

RsMmMixerSynthesizer = 'Synthesizer';

Unit

JclResources


RsMmMixerTelephone Constant

RsMmMixerTelephone = 'Telephone';

Unit

JclResources


RsMmMixerUndefined Constant

RsMmMixerUndefined = 'Undefined';

Unit

JclResources


RsMmMixerVoiceIn Constant

RsMmMixerVoiceIn = 'Voice input';

Unit

JclResources


RsMmMixerWaveIn Constant

RsMmMixerWaveIn = 'Waveform-audio input';

Unit

JclResources


RsMmMixerWaveOut Constant

RsMmMixerWaveOut = 'Waveform-audio output';

Unit

JclResources


RsMmNoCdAudio Constant

RsMmNoCdAudio = 'Cannot open CDAUDIO-Device';

Unit

JclResources


RsMmSetEvent Constant

RsMmSetEvent = 'Error setting multimedia event timer';

Unit

JclResources


RsMmTimerActive Constant

RsMmTimerActive = 'This operation cannot be performed while the timer is active';

Unit

JclResources


RsMmTimerBeginPeriod Constant

RsMmTimerBeginPeriod = 'The supplied timer period value is out of range';

Unit

JclResources


RsMmTimerGetCaps Constant

RsMmTimerGetCaps = 'Error retrieving multimedia timer device capabilities';

Unit

JclResources


RsMMTrackAudio Constant

RsMMTrackAudio = 'Audio';

Unit

JclResources


RsMMTrackOther Constant

RsMMTrackOther = 'Other';

Unit

JclResources


RsMmUnknownError Constant

RsMmUnknownError = 'Unknown MCI error No. %d';

Unit

JclResources


RsNAEndDocument Constant

RsNAEndDocument = 'Unable to "End document"';

Unit

JclResources


RsNAEndPage Constant

RsNAEndPage = 'Unable to "End page"';

Unit

JclResources


RsNaNSignal Constant

RsNaNSignal = 'NaN signaling %d';

Unit

JclResources


RsNaNTagError Constant

RsNaNTagError = 'NaN Tag value %d out of range';

Unit

JclResources


RsNASendData Constant

RsNASendData = 'Unable to send data to printer';

Unit

JclResources


RsNAStartDocument Constant

RsNAStartDocument = 'Unable to "Start document"';

Unit

JclResources


RsNAStartPage Constant

RsNAStartPage = 'Unable to "Start page"';

Unit

JclResources


RsNATransmission Constant

RsNATransmission = 'Not all chars have been sent correctly to printer';

Unit

JclResources


RsNeedUpdate Constant

RsNeedUpdate = 'You should install latest Update Pack #%d for %s';

Unit

JclResources


RsNoBitmapForRegion Constant

RsNoBitmapForRegion = 'No bitmap for region';

Unit

JclResources


RsNoCounter Constant

RsNoCounter = 'No high performance counters supported';

Unit

JclResources


RsNoDeviceContextForWindow Constant

RsNoDeviceContextForWindow = 'Cannot get device context of the window';

Unit

JclResources


RsNoLocalVarSig Constant

RsNoLocalVarSig = 'Signature %s is not LocalVarSig';

Unit

JclResources


RsNoNaN Constant

RsNoNaN = 'NaN expected';

Unit

JclResources


RsNonPositiveArray Constant

RsNonPositiveArray = 'Input array contains non-positive or zero values';

Unit

JclResources


RsNoSupportedPersonality Constant

RsNoSupportedPersonality = 'No personalities supported';

Unit

JclResources


RsNotABcbPackage Constant

RsNotABcbPackage = '%s not a C++Builder package source file';

Unit

JclResources


RsNotABcbProject Constant

RsNotABcbProject = '%s not a C++Builder project source file';

Unit

JclResources


RsNotADelphiPackage Constant

RsNotADelphiPackage = '%s not a Delphi package source file';

Unit

JclResources


RsNotADelphiProject Constant

RsNotADelphiProject = '%s not a Delphi project source file';

Unit

JclResources


RsNotFound Constant

RsNotFound = '%s not found';

Unit

JclResources


RsNtfsUnableToDeleteSymbolicLink Constant

RsNtfsUnableToDeleteSymbolicLink = 'Unable to delete temporary symbolic link';

Unit

JclResources


RsNumericConstantTooLarge Constant

RsNumericConstantTooLarge = 'Numeric constant too large.';

Unit

JclResources


RsOctaveA Constant

RsOctaveA = 'A';

Unit

JclResources


RsOctaveASharp Constant

RsOctaveASharp = 'A#';

Unit

JclResources


RsOctaveB Constant

RsOctaveB = 'B';

Unit

JclResources


RsOctaveC Constant

RsOctaveC = 'C';

Unit

JclResources


RsOctaveCSharp Constant

RsOctaveCSharp = 'C#';

Unit

JclResources


RsOctaveD Constant

RsOctaveD = 'D';

Unit

JclResources


RsOctaveDSharp Constant

RsOctaveDSharp = 'D#';

Unit

JclResources


RsOctaveE Constant

RsOctaveE = 'E';

Unit

JclResources


RsOctaveF Constant

RsOctaveF = 'F';

Unit

JclResources


RsOctaveFSharp Constant

RsOctaveFSharp = 'F#';

Unit

JclResources


RsOctaveG Constant

RsOctaveG = 'G';

Unit

JclResources


RsOctaveGSharp Constant

RsOctaveGSharp = 'G#';

Unit

JclResources


RsOpenEdition Constant

RsOpenEdition = 'Open Edition';

Unit

JclResources


RsOpenGLInfoError Constant

RsOpenGLInfoError = 'Err';

Unit

JclResources


RsOSVersionWin2000 Constant

RsOSVersionWin2000 = 'Windows 2000';

Unit

JclResources


RsOSVersionWin2003 Constant

RsOSVersionWin2003 = 'Windows Server 2003';

Unit

JclResources


RsOSVersionWin2003R2 Constant

RsOSVersionWin2003R2 = 'Windows Server 2003 "R2"';

Unit

JclResources


RsOSVersionWin95 Constant

RsOSVersionWin95 = 'Windows 95';

Unit

JclResources


RsOSVersionWin95OSR2 Constant

RsOSVersionWin95OSR2 = 'Windows 95 OSR2';

Unit

JclResources


RsOSVersionWin98 Constant

RsOSVersionWin98 = 'Windows 98';

Unit

JclResources


RsOSVersionWin98SE Constant

RsOSVersionWin98SE = 'Windows 98 SE';

Unit

JclResources


RsOSVersionWinLonghorn Constant

RsOSVersionWinLonghorn = 'Windows Server "Longhorn"';

Unit

JclResources


RsOSVersionWinME Constant

RsOSVersionWinME = 'Windows ME';

Unit

JclResources


RsOSVersionWinNT3 Constant

RsOSVersionWinNT3 = 'Windows NT 3.%u';

Unit

JclResources


RsOSVersionWinNT4 Constant

RsOSVersionWinNT4 = 'Windows NT 4.%u';

Unit

JclResources


RsOSVersionWinVista Constant

RsOSVersionWinVista = 'Windows Vista';

Unit

JclResources


RsOSVersionWinXP Constant

RsOSVersionWinXP = 'Windows XP';

Unit

JclResources


RsOSVersionWinXP64 Constant

RsOSVersionWinXP64 = 'Windows XP x64';

Unit

JclResources


RsPackageInstallationFinished Constant

RsPackageInstallationFinished = 'Installation of package finished';

Unit

JclResources


RsPackageInstallationStarted Constant

RsPackageInstallationStarted = 'Installing package %s';

Unit

JclResources


RsPackageUninstallationFinished Constant

RsPackageUninstallationFinished = 'Uninstallation of package finished';

Unit

JclResources


RsPackageUninstallationStarted Constant

RsPackageUninstallationStarted = 'Uninstalling package %s';

Unit

JclResources


RsPathInvalidDrive Constant

RsPathInvalidDrive = '%s is not a valid drive';

Unit

JclResources


RsPeAddressOfEntryPoint Constant

RsPeAddressOfEntryPoint = 'Address of Entry Point';

Unit

JclResources


RsPeBaseOfCode Constant

RsPeBaseOfCode = 'Base of Code';

Unit

JclResources


RsPeBaseOfData Constant

RsPeBaseOfData = 'Base of Data';

Unit

JclResources


RsPeCantOpen Constant

RsPeCantOpen = 'Cannot open file "%s"';

Unit

JclResources


RsPeCharacteristics Constant

RsPeCharacteristics = 'Characteristics';

Unit

JclResources


RsPeCheckSum Constant

RsPeCheckSum = 'CheckSum';

Unit

JclResources


RsPeCriticalSectionDefaultTimeout Constant

RsPeCriticalSectionDefaultTimeout = 'CriticalSectionDefaultTimeout';

Unit

JclResources


RsPeCSDVersion Constant

RsPeCSDVersion = 'CSDVersion';

Unit

JclResources


RsPeDEBUG_BORLAND Constant

RsPeDEBUG_BORLAND = 'BORLAND';

Unit

JclResources


RsPeDEBUG_CODEVIEW Constant

RsPeDEBUG_CODEVIEW = 'CODEVIEW';

Unit

JclResources


RsPeDEBUG_COFF Constant

RsPeDEBUG_COFF = 'COFF';

Unit

JclResources


RsPeDEBUG_EXCEPTION Constant

RsPeDEBUG_EXCEPTION = 'EXCEPTION';

Unit

JclResources


RsPeDEBUG_FIXUP Constant

RsPeDEBUG_FIXUP = 'FIXUP';

Unit

JclResources


RsPeDEBUG_FPO Constant

RsPeDEBUG_FPO = 'FPO';

Unit

JclResources


RsPeDEBUG_MISC Constant

RsPeDEBUG_MISC = 'MISC';

Unit

JclResources


RsPeDEBUG_OMAP_FROM_SRC Constant

RsPeDEBUG_OMAP_FROM_SRC = 'OMAP_FROM_SRC';

Unit

JclResources


RsPeDEBUG_OMAP_TO_SRC Constant

RsPeDEBUG_OMAP_TO_SRC = 'OMAP_TO_SRC';

Unit

JclResources


RsPeDEBUG_UNKNOWN Constant

RsPeDEBUG_UNKNOWN = 'UNKNOWN';

Unit

JclResources


RsPeDeCommitFreeBlockThreshold Constant

RsPeDeCommitFreeBlockThreshold = 'DeCommitFreeBlockThreshold';

Unit

JclResources


RsPeDeCommitTotalFreeThreshold Constant

RsPeDeCommitTotalFreeThreshold = 'DeCommitTotalFreeThreshold';

Unit

JclResources


RsPeDllCharacteristics Constant

RsPeDllCharacteristics = 'Dll Characteristics';

Unit

JclResources


RsPeEditList Constant

RsPeEditList = 'EditList';

Unit

JclResources


RsPeFileAlignment Constant

RsPeFileAlignment = 'File Alignment';

Unit

JclResources


RsPeGlobalFlagsClear Constant

RsPeGlobalFlagsClear = 'GlobalFlagsClear';

Unit

JclResources


RsPeGlobalFlagsSet Constant

RsPeGlobalFlagsSet = 'GlobalFlagsSet';

Unit

JclResources


RsPeImageBase Constant

RsPeImageBase = 'Image Base';

Unit

JclResources


RsPeImageVersion Constant

RsPeImageVersion = 'Image Version';

Unit

JclResources


RsPeImg_00 Constant

RsPeImg_00 = 'Exports';

Unit

JclResources


RsPeImg_01 Constant

RsPeImg_01 = 'Imports';

Unit

JclResources


RsPeImg_02 Constant

RsPeImg_02 = 'Resources';

Unit

JclResources


RsPeImg_03 Constant

RsPeImg_03 = 'Exceptions';

Unit

JclResources


RsPeImg_04 Constant

RsPeImg_04 = 'Security';

Unit

JclResources


RsPeImg_05 Constant

RsPeImg_05 = 'Base Relocations';

Unit

JclResources


RsPeImg_06 Constant

RsPeImg_06 = 'Debug';

Unit

JclResources


RsPeImg_07 Constant

RsPeImg_07 = 'Description';

Unit

JclResources


RsPeImg_08 Constant

RsPeImg_08 = 'Machine Value';

Unit

JclResources


RsPeImg_09 Constant

RsPeImg_09 = 'TLS';

Unit

JclResources


RsPeImg_10 Constant

RsPeImg_10 = 'Load configuration';

Unit

JclResources


RsPeImg_11 Constant

RsPeImg_11 = 'Bound Import';

Unit

JclResources


RsPeImg_12 Constant

RsPeImg_12 = 'IAT';

Unit

JclResources


RsPeImg_13 Constant

RsPeImg_13 = 'Delay load import';

Unit

JclResources


RsPeImg_14 Constant

RsPeImg_14 = 'COM run-time';

Unit

JclResources


RsPeLinkerVersion Constant

RsPeLinkerVersion = 'Linker Version';

Unit

JclResources


RsPeLoaderFlags Constant

RsPeLoaderFlags = 'Loader Flags';

Unit

JclResources


RsPeLockPrefixTable Constant

RsPeLockPrefixTable = 'LockPrefixTable';

Unit

JclResources


RsPeMachine Constant

RsPeMachine = 'Machine';

Unit

JclResources


RsPeMACHINE_ALPHA Constant

RsPeMACHINE_ALPHA = 'Alpha_AXP';

Unit

JclResources


RsPeMACHINE_I386 Constant

RsPeMACHINE_I386 = 'Intel 386';

Unit

JclResources


RsPeMACHINE_POWERPC Constant

RsPeMACHINE_POWERPC = 'IBM PowerPC Little-Endian';

Unit

JclResources


RsPeMACHINE_R10000 Constant

RsPeMACHINE_R10000 = 'MIPS little-endian R10000';

Unit

JclResources


RsPeMACHINE_R3000 Constant

RsPeMACHINE_R3000 = 'MIPS little-endian R3000';

Unit

JclResources


RsPeMACHINE_R4000 Constant

RsPeMACHINE_R4000 = 'MIPS little-endian R4000';

Unit

JclResources


RsPeMACHINE_UNKNOWN Constant

RsPeMACHINE_UNKNOWN = 'Unknown';

Unit

JclResources


RsPeMagic Constant

RsPeMagic = 'Magic';

Unit

JclResources


RsPeMaximumAllocationSize Constant

RsPeMaximumAllocationSize = 'MaximumAllocationSize';

Unit

JclResources


RsPeNotAvailableForAttached Constant

RsPeNotAvailableForAttached = 'Feature is not available for attached images';

Unit

JclResources


RsPeNotPE Constant

RsPeNotPE = 'This is not a PE format';

Unit

JclResources


RsPeNotResDir Constant

RsPeNotResDir = 'Not a resource directory';

Unit

JclResources


RsPeNumberOfRvaAndSizes Constant

RsPeNumberOfRvaAndSizes = 'Number of RVA';

Unit

JclResources


RsPeNumberOfSections Constant

RsPeNumberOfSections = 'Number of Sections';

Unit

JclResources


RsPeNumberOfSymbols Constant

RsPeNumberOfSymbols = 'Number of Symbols';

Unit

JclResources


RsPeOperatingSystemVersion Constant

RsPeOperatingSystemVersion = 'Operating System Version';

Unit

JclResources


RsPePkgBCB4Produced Constant

RsPePkgBCB4Produced = 'C++ Builder 4 or later';

Unit

JclResources


RsPePkgDelphi4Produced Constant

RsPePkgDelphi4Produced = 'Delphi 4 or later';

Unit

JclResources


RsPePkgDesignOnly Constant

RsPePkgDesignOnly = 'DesignOnly';

Unit

JclResources


RsPePkgExecutable Constant

RsPePkgExecutable = 'Executable';

Unit

JclResources


RsPePkgIgnoreDupUnits Constant

RsPePkgIgnoreDupUnits = 'IgnoreDupUnits';

Unit

JclResources


RsPePkgImplicit Constant

RsPePkgImplicit = 'Implicit';

Unit

JclResources


RsPePkgMain Constant

RsPePkgMain = 'Main';

Unit

JclResources


RsPePkgNeverBuild Constant

RsPePkgNeverBuild = 'NeverBuild';

Unit

JclResources


RsPePkgOrgWeak Constant

RsPePkgOrgWeak = 'OrgWeak';

Unit

JclResources


RsPePkgPackage Constant

RsPePkgPackage = 'Package';

Unit

JclResources


RsPePkgProducerUndefined Constant

RsPePkgProducerUndefined = 'Undefined';

Unit

JclResources


RsPePkgRunOnly Constant

RsPePkgRunOnly = 'RunOnly';

Unit

JclResources


RsPePkgV3Produced Constant

RsPePkgV3Produced = 'Delphi 3 or C++ Builder 3';

Unit

JclResources


RsPePkgWeak Constant

RsPePkgWeak = 'Weak';

Unit

JclResources


RsPePointerToSymbolTable Constant

RsPePointerToSymbolTable = 'Symbols Pointer';

Unit

JclResources


RsPeProcessAffinityMask Constant

RsPeProcessAffinityMask = 'ProcessAffinityMask';

Unit

JclResources


RsPeProcessHeapFlags Constant

RsPeProcessHeapFlags = 'ProcessHeapFlags';

Unit

JclResources


RsPeReadOnlyStream Constant

RsPeReadOnlyStream = 'Stream is read-only';

Unit

JclResources


RsPeReserved Constant

RsPeReserved = 'Reserved';

Unit

JclResources


RsPersonal Constant

RsPersonal = 'Personal';

Unit

JclResources


RsPeSectionAlignment Constant

RsPeSectionAlignment = 'Section Alignment';

Unit

JclResources


RsPeSectionNotFound Constant

RsPeSectionNotFound = 'Section "%s" not found';

Unit

JclResources


RsPeSignature Constant

RsPeSignature = 'Signature';

Unit

JclResources


RsPeSizeOfCode Constant

RsPeSizeOfCode = 'Size of Code';

Unit

JclResources


RsPeSizeOfHeaders Constant

RsPeSizeOfHeaders = 'Size of Headers';

Unit

JclResources


RsPeSizeOfHeapCommit Constant

RsPeSizeOfHeapCommit = 'Size of Heap Commit';

Unit

JclResources


RsPeSizeOfHeapReserve Constant

RsPeSizeOfHeapReserve = 'Size of Heap Reserve';

Unit

JclResources


RsPeSizeOfImage Constant

RsPeSizeOfImage = 'Size of Image';

Unit

JclResources


RsPeSizeOfInitializedData Constant

RsPeSizeOfInitializedData = 'Size of Initialized Data';

Unit

JclResources


RsPeSizeOfOptionalHeader Constant

RsPeSizeOfOptionalHeader = 'Size of Optional Header';

Unit

JclResources


RsPeSizeOfStackCommit Constant

RsPeSizeOfStackCommit = 'Size of Stack Commit';

Unit

JclResources


RsPeSizeOfStackReserve Constant

RsPeSizeOfStackReserve = 'Size of Stack Reserve';

Unit

JclResources


RsPeSizeOfUninitializedData Constant

RsPeSizeOfUninitializedData = 'Size of Uninitialized Data';

Unit

JclResources


RsPeSubsystem Constant

RsPeSubsystem = 'Subsystem';

Unit

JclResources


RsPeSUBSYSTEM_NATIVE Constant

RsPeSUBSYSTEM_NATIVE = 'Native';

Unit

JclResources


RsPeSUBSYSTEM_OS2_CUI Constant

RsPeSUBSYSTEM_OS2_CUI = 'OS/2';

Unit

JclResources


RsPeSUBSYSTEM_POSIX_CUI Constant

RsPeSUBSYSTEM_POSIX_CUI = 'Posix';

Unit

JclResources


RsPeSUBSYSTEM_RESERVED8 Constant

RsPeSUBSYSTEM_RESERVED8 = 'Reserved 8';

Unit

JclResources


RsPeSUBSYSTEM_UNKNOWN Constant

RsPeSUBSYSTEM_UNKNOWN = 'Unknown';

Unit

JclResources


RsPeSUBSYSTEM_WINDOWS_CUI Constant

RsPeSUBSYSTEM_WINDOWS_CUI = 'Console';

Unit

JclResources


RsPeSUBSYSTEM_WINDOWS_GUI Constant

RsPeSUBSYSTEM_WINDOWS_GUI = 'GUI';

Unit

JclResources


RsPeSubsystemVersion Constant

RsPeSubsystemVersion = 'Subsystem Version';

Unit

JclResources


RsPeTimeDateStamp Constant

RsPeTimeDateStamp = 'Time Date Stamp';

Unit

JclResources


RsPeVersion Constant

RsPeVersion = 'Version';

Unit

JclResources


RsPeVirtualMemoryThreshold Constant

RsPeVirtualMemoryThreshold = 'VirtualMemoryThreshold';

Unit

JclResources


RsPeWin32VersionValue Constant

RsPeWin32VersionValue = 'Win32 Version';

Unit

JclResources


RsPowerComplex Constant

RsPowerComplex = 'Power function: Result is complex';

Unit

JclResources


RsPowerInfinite Constant

RsPowerInfinite = 'Power function: Result is infinite';

Unit

JclResources


RsProductTypeAdvancedServer Constant

RsProductTypeAdvancedServer = 'Advanced Server';

Unit

JclResources


RsProductTypeDatacenterServer Constant

RsProductTypeDatacenterServer = 'Datacenter Server';

Unit

JclResources


RsProductTypeEnterprise Constant

RsProductTypeEnterprise = 'Enterprise';

Unit

JclResources


RsProductTypePersonal Constant

RsProductTypePersonal = 'Home Edition';

Unit

JclResources


RsProductTypeProfessional Constant

RsProductTypeProfessional = 'Professional';

Unit

JclResources


RsProductTypeServer Constant

RsProductTypeServer = 'Server';

Unit

JclResources


RsProductTypeWebEdition Constant

RsProductTypeWebEdition = 'Web Edition';

Unit

JclResources


RsProductTypeWorkStation Constant

RsProductTypeWorkStation = 'Workstation';

Unit

JclResources


RsProfessional Constant

RsProfessional = 'Professional';

Unit

JclResources


RsPS10X14 Constant

RsPS10X14 = '10 x 14 in';

Unit

JclResources


RsPS11X17 Constant

RsPS11X17 = '11 x 17 in';

Unit

JclResources


RsPSA3 Constant

RsPSA3 = 'A3 297 x 420 mm';

Unit

JclResources


RsPSA4 Constant

RsPSA4 = 'A4 210 x 297 mm';

Unit

JclResources


RsPSA4Small Constant

RsPSA4Small = 'A4 Small 210 x 297 mm';

Unit

JclResources


RsPSA5 Constant

RsPSA5 = 'A5 148 x 210 mm';

Unit

JclResources


RsPSB4 Constant

RsPSB4 = 'B4 250 x 354';

Unit

JclResources


RsPSB5 Constant

RsPSB5 = 'B5 182 x 257 mm';

Unit

JclResources


RsPSCSheet Constant

RsPSCSheet = 'C size sheet';

Unit

JclResources


RsPSDSheet Constant

RsPSDSheet = 'D size sheet';

Unit

JclResources


RsPSEnv10 Constant

RsPSEnv10 = 'Envelope #10 4 1/8 x 9 1/2 in';

Unit

JclResources


RsPSEnv11 Constant

RsPSEnv11 = 'Envelope #11 4 1/2 x 10 3/8 in';

Unit

JclResources


RsPSEnv12 Constant

RsPSEnv12 = 'Envelope #12 4 \276 x 11 in';

Unit

JclResources


RsPSEnv14 Constant

RsPSEnv14 = 'Envelope #14 5 x 11 1/2 in';

Unit

JclResources


RsPSEnv9 Constant

RsPSEnv9 = 'Envelope #9 3 7/8 x 8 7/8 in';

Unit

JclResources


RsPSESheet Constant

RsPSESheet = 'E size sheet';

Unit

JclResources


RsPSExecutive Constant

RsPSExecutive = 'Executive 7 1/2 x 10 in';

Unit

JclResources


RsPSFolio Constant

RsPSFolio = 'Folio 8 1/2 x 13 in';

Unit

JclResources


RsPSLedger Constant

RsPSLedger = 'Ledger 17 x 11 in';

Unit

JclResources


RsPSLegal Constant

RsPSLegal = 'Legal 8 1/2 x 14 in';

Unit

JclResources


RsPSLetter Constant

RsPSLetter = 'Letter 8 1/2 x 11 in';

Unit

JclResources


RsPSLetterSmall Constant

RsPSLetterSmall = 'Letter Small 8 1/2 x 11 in';

Unit

JclResources


RsPSNote Constant

RsPSNote = 'Note 8 1/2 x 11 in';

Unit

JclResources


RsPSQuarto Constant

RsPSQuarto = 'Quarto 215 x 275 mm';

Unit

JclResources


RsPSStatement Constant

RsPSStatement = 'Statement 5 1/2 x 8 1/2 in';

Unit

JclResources


RsPSTabloid Constant

RsPSTabloid = 'Tabloid 11 x 17 in';

Unit

JclResources


RsPSUnknown Constant

RsPSUnknown = 'Unknown Paper Size';

Unit

JclResources


RsPSUser Constant

RsPSUser = 'User Defined Size';

Unit

JclResources


RsRamDisk Constant

RsRamDisk = 'RAM-Disk';

Unit

JclResources


RsRangeError Constant

RsRangeError = 'Cannot merge range';

Unit

JclResources


RsRationalDivByZero Constant

RsRationalDivByZero = 'Rational division by zero';

Unit

JclResources


RsReadKeyError Constant

RsReadKeyError = 'ReadKey: Problem waiting on stdin';

Unit

JclResources


RsRegionCouldNotCreated Constant

RsRegionCouldNotCreated = 'Region could not be created';

Unit

JclResources


RsRegionDataOutOfBound Constant

RsRegionDataOutOfBound = 'Out of bound index on RegionData';

Unit

JclResources


RsRegisteringExpert Constant

RsRegisteringExpert = 'Registering expert %s';

Unit

JclResources


RsRegisteringIdePackage Constant

RsRegisteringIdePackage = 'Registering ide package %s';

Unit

JclResources


RsRegisteringPackage Constant

RsRegisteringPackage = 'Registering package %s';

Unit

JclResources


RsRegistrationFailed Constant

RsRegistrationFailed = 'Registration failed';

Unit

JclResources


RsRegistrationOk Constant

RsRegistrationOk = 'Registration ok';

Unit

JclResources


RsRemoteDrive Constant

RsRemoteDrive = 'Remote Drive';

Unit

JclResources


RsRemovableDrive Constant

RsRemovableDrive = 'Removable Drive';

Unit

JclResources


RsRetrievingPaperSource Constant

RsRetrievingPaperSource = 'Error retrieving Paper Source Info';

Unit

JclResources


RsRetrievingSource Constant

RsRetrievingSource = 'Error retrieving Bin Source Info';

Unit

JclResources


RsRTTIArrayOf Constant

RsRTTIArrayOf = 'array of ';

Unit

JclResources


RsRTTIBasedOn Constant

RsRTTIBasedOn = 'Based on: ';

Unit

JclResources


RsRTTIBits Constant

RsRTTIBits = 'bits';

Unit

JclResources


RsRTTIClassName Constant

RsRTTIClassName = 'Class name: ';

Unit

JclResources


RsRTTIConst Constant

RsRTTIConst = 'const ';

Unit

JclResources


RsRTTIDefault Constant

RsRTTIDefault = 'default';

Unit

JclResources


RsRTTIElNeedCleanup Constant

RsRTTIElNeedCleanup = 'Elements need clean up: ';

Unit

JclResources


RsRTTIElSize Constant

RsRTTIElSize = 'Element size: ';

Unit

JclResources


RsRTTIElType Constant

RsRTTIElType = 'Element type: ';

Unit

JclResources


RsRTTIFalse Constant

RsRTTIFalse = 'False';

Unit

JclResources


RsRTTIField Constant

RsRTTIField = 'field';

Unit

JclResources


RsRTTIFlags Constant

RsRTTIFlags = 'Flags: ';

Unit

JclResources


RsRTTIFloatType Constant

RsRTTIFloatType = 'Float type: ';

Unit

JclResources


RsRTTIGUID Constant

RsRTTIGUID = 'GUID: ';

Unit

JclResources


RsRTTIIndex Constant

RsRTTIIndex = 'index';

Unit

JclResources


RsRTTIInvalidBaseType Constant

RsRTTIInvalidBaseType = 'Invalid base type (%s is of type %s).';

Unit

JclResources


RsRTTIMaxLen Constant

RsRTTIMaxLen = 'Max length: ';

Unit

JclResources


RsRTTIMaxValue Constant

RsRTTIMaxValue = 'Max value: ';

Unit

JclResources


RsRTTIMethodKind Constant

RsRTTIMethodKind = 'Method kind: ';

Unit

JclResources


RsRTTIMinValue Constant

RsRTTIMinValue = 'Min value: ';

Unit

JclResources


RsRTTIName Constant

RsRTTIName = 'Name: ';

Unit

JclResources


RsRTTINameList Constant

RsRTTINameList = 'Names: ';

Unit

JclResources


RsRTTIOrdinal Constant

RsRTTIOrdinal = 'ordinal=';

Unit

JclResources


RsRTTIOrdinalType Constant

RsRTTIOrdinalType = 'Ordinal type: ';

Unit

JclResources


RsRTTIOut Constant

RsRTTIOut = 'out ';

Unit

JclResources


RsRTTIParamCount Constant

RsRTTIParamCount = 'Parameter count: ';

Unit

JclResources


RsRTTIParent Constant

RsRTTIParent = 'Parent: ';

Unit

JclResources


RsRTTIPropCount Constant

RsRTTIPropCount = 'Property count: ';

Unit

JclResources


RsRTTIPropRead Constant

RsRTTIPropRead = 'read';

Unit

JclResources


RsRTTIPropStored Constant

RsRTTIPropStored = 'stored';

Unit

JclResources


RsRTTIPropWrite Constant

RsRTTIPropWrite = 'write';

Unit

JclResources


RsRTTIReturnType Constant

RsRTTIReturnType = 'Return type: ';

Unit

JclResources


RsRTTIStaticMethod Constant

RsRTTIStaticMethod = 'static method';

Unit

JclResources


RsRTTITrue Constant

RsRTTITrue = 'True';

Unit

JclResources


RsRTTIType Constant

RsRTTIType = 'Type: ';

Unit

JclResources


RsRTTITypeError Constant

RsRTTITypeError = '???';

Unit

JclResources


RsRTTITypeInfoAt Constant

RsRTTITypeInfoAt = 'Type info: %p';

Unit

JclResources


RsRTTITypeKind Constant

RsRTTITypeKind = 'Type kind: ';

Unit

JclResources


RsRTTIUnitName Constant

RsRTTIUnitName = 'Unit name: ';

Unit

JclResources


RsRTTIUnknownIdentifier Constant

RsRTTIUnknownIdentifier = 'Unknown identifier ''%s''.';

Unit

JclResources


RsRTTIValueOutOfRange Constant

RsRTTIValueOutOfRange = 'Value out of range (%s).';

Unit

JclResources


RsRTTIVar Constant

RsRTTIVar = 'var ';

Unit

JclResources


RsRTTIVarType Constant

RsRTTIVarType = 'Variant type: ';

Unit

JclResources


RsRTTIVirtualMethod Constant

RsRTTIVirtualMethod = 'virtual method';

Unit

JclResources


RsScheduleDayInRange Constant

RsScheduleDayInRange = 'Day values should fall in the range 1 .. 31';

Unit

JclResources


RsScheduleDayNotSupported Constant

RsScheduleDayNotSupported = 'Property Day not supported for current IndexKind';

Unit

JclResources


RsScheduleEndBeforeStart Constant

RsScheduleEndBeforeStart = 'End time can not be before start time';

Unit

JclResources


RsScheduleIndexValueSup Constant

RsScheduleIndexValueSup = 'Property IndexValue not supported for current IndexKind';

Unit

JclResources


RsScheduleIndexValueZero Constant

RsScheduleIndexValueZero = 'IndexValue can not be 0';

Unit

JclResources


RsScheduleIntervalZero Constant

RsScheduleIntervalZero = 'Interval should be larger than 0';

Unit

JclResources


RsScheduleInvalidTime Constant

RsScheduleInvalidTime = 'Invalid time specification';

Unit

JclResources


RsScheduleMonthInRange Constant

RsScheduleMonthInRange = 'Month values should fall in the range 1 .. 12';

Unit

JclResources


RsScheduleNoDaySpecified Constant

RsScheduleNoDaySpecified = 'At least one day of the week should be specified';

Unit

JclResources


RsSelectObjectInDc Constant

RsSelectObjectInDc = 'Could not select object in DC';

Unit

JclResources


RsServerDeveloper Constant

RsServerDeveloper = 'Server Developer';

Unit

JclResources


RsSourceBitmapEmpty Constant

RsSourceBitmapEmpty = 'Source bitmap is empty';

Unit

JclResources


RsSourceBitmapInvalid Constant

RsSourceBitmapInvalid = 'Source bitmap is invalid';

Unit

JclResources


RsSPInfo Constant

RsSPInfo = 'SP%u';

Unit

JclResources


RsSpoolerDocName Constant

RsSpoolerDocName = 'My Document';

Unit

JclResources


RsStandard Constant

RsStandard = 'Standard';

Unit

JclResources


RsStringHashMapDuplicate Constant

RsStringHashMapDuplicate = 'Duplicate hash list entry: %s';

Unit

JclResources


RsStringHashMapInvalidNode Constant

RsStringHashMapInvalidNode = 'Tried to remove invalid node: %s';

Unit

JclResources


RsStringHashMapMustBeEmpty Constant

RsStringHashMapMustBeEmpty = 'HashList: must be empty to set size to zero';

Unit

JclResources


RsStringHashMapNoTraits Constant

RsStringHashMapNoTraits = 'HashList must have traits';

Unit

JclResources


RsStringToBoolean Constant

RsStringToBoolean = 'Unable to convert the string "%s" to a boolean';

Unit

JclResources


RsSynchAttachDispatcher Constant

RsSynchAttachDispatcher = 'Invalid handle to TJclDispatcherObject.Attach';

Unit

JclResources


RsSynchAttachWin32Handle Constant

RsSynchAttachWin32Handle = 'Invalid handle to TJclWin32HandleObject.Attach';

Unit

JclResources


RsSynchCreateEvent Constant

RsSynchCreateEvent = 'Failed to create event';

Unit

JclResources


RsSynchCreateMutex Constant

RsSynchCreateMutex = 'Failed to create mutex';

Unit

JclResources


RsSynchCreateSemaphore Constant

RsSynchCreateSemaphore = 'Failed to create semaphore';

Unit

JclResources


RsSynchCreateWaitableTimer Constant

RsSynchCreateWaitableTimer = 'Failed to create waitable timer';

Unit

JclResources


RsSynchDuplicateWin32Handle Constant

RsSynchDuplicateWin32Handle = 'Invalid handle to TJclWin32HandleObject.Duplicate';

Unit

JclResources


RsSynchInitCriticalSection Constant

RsSynchInitCriticalSection = 'Failed to initalize critical section';

Unit

JclResources


RsSynchOpenEvent Constant

RsSynchOpenEvent = 'Failed to open event';

Unit

JclResources


RsSynchOpenMutex Constant

RsSynchOpenMutex = 'Failed to open mutex';

Unit

JclResources


RsSynchOpenSemaphore Constant

RsSynchOpenSemaphore = 'Failed to open semaphore';

Unit

JclResources


RsSynchOpenWaitableTimer Constant

RsSynchOpenWaitableTimer = 'Failed to open waitable timer';

Unit

JclResources


RsSysErrorMessageFmt Constant

RsSysErrorMessageFmt = 'Win32 Error %d (%x)';

Unit

JclResources


RsSystemIdleProcess Constant

RsSystemIdleProcess = 'System Idle Process';

Unit

JclResources


RsSystemProcess Constant

RsSystemProcess = 'System Process';

Unit

JclResources


RsTempConvTypeError Constant

RsTempConvTypeError = 'An invalid type has been provided for the %s parameter';

Unit

JclResources


RsUnableToAccessValue Constant

RsUnableToAccessValue = 'Unable to open key "%s" and access value "%s"';

Unit

JclResources


RsUnableToOpenKeyRead Constant

RsUnableToOpenKeyRead = 'Unable to open key "%s" for read';

Unit

JclResources


RsUnableToOpenKeyWrite Constant

RsUnableToOpenKeyWrite = 'Unable to open key "%s" for write';

Unit

JclResources


RsUnexpectedDataType Constant

RsUnexpectedDataType = 'Unexpected data type';

Unit

JclResources


RsUnexpectedValue Constant

RsUnexpectedValue = 'Unexpected data value';

Unit

JclResources


RsUnknownAttribute Constant

RsUnknownAttribute = 'Unknown Attribute';

Unit

JclResources


RsUnknownClassLayout Constant

RsUnknownClassLayout = 'Unknown class layout - $%.8x';

Unit

JclResources


RsUnknownDrive Constant

RsUnknownDrive = 'Unknown drive type';

Unit

JclResources


RsUnknownIdePackageExtension Constant

RsUnknownIdePackageExtension = '%s not a known ide package extension';

Unit

JclResources


RsUnknownManifestResource Constant

RsUnknownManifestResource = 'Unknown manifest resource visibility - %d';

Unit

JclResources


RsUnknownPackageExtension Constant

RsUnknownPackageExtension = '%s not a known package extension';

Unit

JclResources


RsUnknownProjectExtension Constant

RsUnknownProjectExtension = '%s not a known project extension';

Unit

JclResources


RsUnknownProjectType Constant

RsUnknownProjectType = '%s not a known project type';

Unit

JclResources


RsUnknownStringFormatting Constant

RsUnknownStringFormatting = 'Unknown string formatting - $%.8x';

Unit

JclResources


RsUnknownTable Constant

RsUnknownTable = 'Unknown table - ';

Unit

JclResources


RsUnknownTableFmt Constant

RsUnknownTableFmt = '%s%s';

Unit

JclResources


RsUnregisteringExpert Constant

RsUnregisteringExpert = 'Removing from registry expert %s';

Unit

JclResources


RsUnregisteringIdePackage Constant

RsUnregisteringIdePackage = 'Removing from registry ide package %s';

Unit

JclResources


RsUnregisteringPackage Constant

RsUnregisteringPackage = 'Removing from registry package %s';

Unit

JclResources


RsUnregistrationFailed Constant

RsUnregistrationFailed = 'Unregistration failed';

Unit

JclResources


RsUnregistrationOk Constant

RsUnregistrationOk = 'Unregistration ok';

Unit

JclResources


RsUpdatePackName Constant

RsUpdatePackName = 'Update Pack #%d';

Unit

JclResources


RsUpdatingPrinter Constant

RsUpdatingPrinter = 'Error updating printer driver';

Unit

JclResources


RsUREBaseString Constant

RsUREBaseString = 'Error in regular expression: %s' + sLineBreak;

Unit

JclResources


RsURECharacterClassOpen Constant

RsURECharacterClassOpen = 'Character class not closed, '']'' is missing.';

Unit

JclResources


RsUREErrorFmt Constant

RsUREErrorFmt = '%s%s%s';

Unit

JclResources


RsUREExpressionEmpty Constant

RsUREExpressionEmpty = 'Expression is empty.';

Unit

JclResources


RsUREInvalidCharProperty Constant

RsUREInvalidCharProperty = 'A character property is invalid';

Unit

JclResources


RsUREInvalidRepeatRange Constant

RsUREInvalidRepeatRange = 'Invalid repetition range.';

Unit

JclResources


RsURERepeatRangeOpen Constant

RsURERepeatRangeOpen = 'Repetition range not closed, ''}'' is missing.';

Unit

JclResources


RsUREUnbalancedGroup Constant

RsUREUnbalancedGroup = 'Unbalanced group expression, '')'' is missing.';

Unit

JclResources


RsUREUnexpectedEOS Constant

RsUREUnexpectedEOS = 'Unexpected end of pattern.';

Unit

JclResources


RsVclIncludeDir Constant

RsVclIncludeDir = '\Include\Vcl\';

Unit

JclResources


RsVft2DrvCOMM Constant

RsVft2DrvCOMM = 'Communications';

Unit

JclResources


RsVft2DrvDISPLAY Constant

RsVft2DrvDISPLAY = 'Display';

Unit

JclResources


RsVft2DrvINSTALLABLE Constant

RsVft2DrvINSTALLABLE = 'Installable';

Unit

JclResources


RsVft2DrvKEYBOARD Constant

RsVft2DrvKEYBOARD = 'Keyboard';

Unit

JclResources


RsVft2DrvLANGUAGE Constant

RsVft2DrvLANGUAGE = 'Language';

Unit

JclResources


RsVft2DrvMOUSE Constant

RsVft2DrvMOUSE = 'Mouse';

Unit

JclResources


RsVft2DrvNETWORK Constant

RsVft2DrvNETWORK = 'Network';

Unit

JclResources


RsVft2DrvPRINTER Constant

RsVft2DrvPRINTER = 'Printer';

Unit

JclResources


RsVft2DrvSOUND Constant

RsVft2DrvSOUND = 'Sound';

Unit

JclResources


RsVft2DrvSYSTEM Constant

RsVft2DrvSYSTEM = 'System';

Unit

JclResources


RsVft2FontRASTER Constant

RsVft2FontRASTER = 'Raster';

Unit

JclResources


RsVft2FontTRUETYPE Constant

RsVft2FontTRUETYPE = 'TrueType';

Unit

JclResources


RsVft2FontVECTOR Constant

RsVft2FontVECTOR = 'Vector';

Unit

JclResources


RsVftApp Constant

RsVftApp = 'Application';

Unit

JclResources


RsVftDll Constant

RsVftDll = 'Library';

Unit

JclResources


RsVftDrv Constant

RsVftDrv = 'Driver';

Unit

JclResources


RsVftFont Constant

RsVftFont = 'Font';

Unit

JclResources


RsVftStaticLib Constant

RsVftStaticLib = 'Static-link library';

Unit

JclResources


RsVftUnknown Constant

RsVftUnknown = 'Unknown';

Unit

JclResources


RsVftVxd Constant

RsVftVxd = 'Virtual device';

Unit

JclResources


RsViewNeedsMapping Constant

RsViewNeedsMapping = 'FileMap argument of TJclFileMappingView constructor cannot be nil';

Unit

JclResources


RsVMTMemoryWriteError Constant

RsVMTMemoryWriteError = 'Error writing VMT memory (%s)';

Unit

JclResources


RsVosDesignedFor Constant

RsVosDesignedFor = 'Designed for ';

Unit

JclResources


RsVosDos Constant

RsVosDos = 'MS-DOS';

Unit

JclResources


RsVosDosWindows16 Constant

RsVosDosWindows16 = '16-bit Windows, running on MS-DOS';

Unit

JclResources


RsVosDosWindows32 Constant

RsVosDosWindows32 = 'Win32 API, running on MS-DOS';

Unit

JclResources


RsVosNT Constant

RsVosNT = 'Windows NT';

Unit

JclResources


RsVosNTWindows32 Constant

RsVosNTWindows32 = 'Win32 API, running on Windows/NT';

Unit

JclResources


RsVosOS216 Constant

RsVosOS216 = '16-bit OS/2';

Unit

JclResources


RsVosOS216PM16 Constant

RsVosOS216PM16 = '16-bit PM, running on 16-bit OS/2';

Unit

JclResources


RsVosOS232 Constant

RsVosOS232 = '32-bit OS/2';

Unit

JclResources


RsVosOS232PM32 Constant

RsVosOS232PM32 = '32-bit PM, running on 32-bit OS/2';

Unit

JclResources


RsVosPM16 Constant

RsVosPM16 = '16-bit PM';

Unit

JclResources


RsVosPM32 Constant

RsVosPM32 = '32-bit PM';

Unit

JclResources


RsVosUnknown Constant

RsVosUnknown = 'Unknown';

Unit

JclResources


RsVosWindows16 Constant

RsVosWindows16 = '16-bit Windows';

Unit

JclResources


RsVosWindows32 Constant

RsVosWindows32 = '32-bit Windows';

Unit

JclResources


RsWin32Prefix Constant

RsWin32Prefix = 'Win32: %s (%u)';

Unit

JclResources


RsWrongDataType Constant

RsWrongDataType = '"%s\%s" is of wrong kind or size';

Unit

JclResources


RT_ACCELERATOR Constant

RT_ACCELERATOR = MAKEINTRESOURCE(9);

Unit

JclWin32


RT_ANICURSOR Constant

RT_ANICURSOR = MAKEINTRESOURCE(21);

Unit

JclWin32


RT_ANIICON Constant

RT_ANIICON = MAKEINTRESOURCE(22);

Unit

JclWin32


RT_BITMAP Constant

RT_BITMAP = MAKEINTRESOURCE(2);

Unit

JclWin32


RT_CURSOR Constant

RT_CURSOR = MAKEINTRESOURCE(1);

Unit

JclWin32


RT_DIALOG Constant

RT_DIALOG = MAKEINTRESOURCE(5);

Unit

JclWin32


RT_DLGINCLUDE Constant

RT_DLGINCLUDE = MAKEINTRESOURCE(17);

Unit

JclWin32


RT_FONT Constant

RT_FONT = MAKEINTRESOURCE(8);

Unit

JclWin32


RT_FONTDIR Constant

RT_FONTDIR = MAKEINTRESOURCE(7);

Unit

JclWin32


RT_GROUP_CURSOR Constant

RT_GROUP_CURSOR = MAKEINTRESOURCE(ULONG_PTR(RT_CURSOR) + DIFFERENCE);

Unit

JclWin32


RT_GROUP_ICON Constant

RT_GROUP_ICON = MAKEINTRESOURCE(ULONG_PTR(RT_ICON) + DIFFERENCE);

Unit

JclWin32


RT_ICON Constant

RT_ICON = MAKEINTRESOURCE(3);

Unit

JclWin32


RT_MENU Constant

RT_MENU = MAKEINTRESOURCE(4);

Unit

JclWin32


RT_MESSAGETABLE Constant

RT_MESSAGETABLE = MAKEINTRESOURCE(11);

Unit

JclWin32


RT_PLUGPLAY Constant

RT_PLUGPLAY = MAKEINTRESOURCE(19);

Unit

JclWin32


RT_RCDATA Constant

RT_RCDATA = MAKEINTRESOURCE(10);

Unit

JclWin32


RT_STRING Constant

RT_STRING = MAKEINTRESOURCE(6);

Unit

JclWin32


RT_VERSION Constant

RT_VERSION = MAKEINTRESOURCE(16);

Unit

JclWin32


RT_VXD Constant

RT_VXD = MAKEINTRESOURCE(20);

Unit

JclWin32


RtdlDeleteVolumeMountPoint Constant

RtdlDeleteVolumeMountPoint: function(lpszVolumeMountPoint: LPCSTR): BOOL = ;

Unit

JclWin32


RtdlEnumCalendarInfoExA Constant

RtdlEnumCalendarInfoExA: function(lpCalInfoEnumProc: TCalInfoEnumProcExA; Locale: LCID; Calendar: CALID; CalType: CALTYPE): BOOL = ;

Unit

JclWin32


RtdlGetCalendarInfoA Constant

RtdlGetCalendarInfoA: function(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: PAnsiChar; cchData: Integer; lpValue: PDWORD): Integer = ;

Unit

JclWin32


RtdlGetCalendarInfoW Constant

RtdlGetCalendarInfoW: function(Locale: LCID; Calendar: CALID; CalType: CALTYPE; lpCalData: PWideChar; cchData: Integer; lpValue: PDWORD): Integer = ;

Unit

JclWin32


RtdlGetVolumeNameForVolumeMountPoint Constant

RtdlGetVolumeNameForVolumeMountPoint: function(lpszVolumeMountPoint: LPCSTR; lpszVolumeName: LPSTR; cchBufferLength: DWORD): BOOL = ;

Unit

JclWin32


RtdlNetApiBufferFree Constant

RtdlNetApiBufferFree: function(Buffer: Pointer): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetBios Constant

RtdlNetBios: function(P: PNCB): UCHAR = ;

Unit

JclWin32


RtdlNetGroupAdd Constant

RtdlNetGroupAdd: function(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: PDWord): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetGroupDel Constant

RtdlNetGroupDel: function(servername: LPCWSTR; groupname: LPCWSTR): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetGroupEnum Constant

RtdlNetGroupEnum: function(servername: LPCWSTR; level: DWORD; out bufptr: PByte; prefmaxlen: DWORD; out entriesread, totalentries: DWORD; resume_handle: PDWORD_PTR): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetLocalGroupAdd Constant

RtdlNetLocalGroupAdd: function(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: PDWord): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetLocalGroupAddMembers Constant

RtdlNetLocalGroupAddMembers: function(servername: LPCWSTR; groupname: LPCWSTR; level: DWORD; buf: PByte; totalentries: DWORD): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetLocalGroupDel Constant

RtdlNetLocalGroupDel: function(servername: LPCWSTR; groupname: LPCWSTR): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetLocalGroupEnum Constant

RtdlNetLocalGroupEnum: function(servername: LPCWSTR; level: DWORD; out bufptr: PByte; prefmaxlen: DWORD; out entriesread, totalentries: DWORD; resumehandle: PDWORD_PTR): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetUserAdd Constant

RtdlNetUserAdd: function(servername: LPCWSTR; level: DWORD; buf: PByte; parm_err: PDWord): NET_API_STATUS = ;

Unit

JclWin32


RtdlNetUserDel Constant

RtdlNetUserDel: function(servername: LPCWSTR; username: LPCWSTR): NET_API_STATUS = ;

Unit

JclWin32


RtdlSetNamedSecurityInfoW Constant

RtdlSetNamedSecurityInfoW: function(pObjectName: LPWSTR; ObjectType: SE_OBJECT_TYPE; SecurityInfo: SECURITY_INFORMATION; psidOwner, psidGroup: PSID; pDacl, pSacl: PACL): DWORD = ;

Unit

JclWin32


RtdlSetVolumeMountPoint Constant

RtdlSetVolumeMountPoint: function(lpszVolumeMountPoint: LPCSTR; lpszVolumeName: LPCSTR): BOOL = ;

Unit

JclWin32


RtdlSetWaitableTimer Constant

RtdlSetWaitableTimer: function(hTimer: THandle; var lpDueTime: TLargeInteger; lPeriod: Longint; pfnCompletionRoutine: TFNTimerAPCRoutine; lpArgToCompletionRoutine: Pointer; fResume: BOOL): BOOL = ;

Unit

JclWin32


SCHED_E_ACCOUNT_DBASE_CORRUPT Constant

SCHED_E_ACCOUNT_DBASE_CORRUPT = HRESULT($80041311);

Unit

JclWin32


SCHED_E_ACCOUNT_INFORMATION_NOT_SET Constant

SCHED_E_ACCOUNT_INFORMATION_NOT_SET = HRESULT($8004130F);

Unit

JclWin32


SCHED_E_ACCOUNT_NAME_NOT_FOUND Constant

SCHED_E_ACCOUNT_NAME_NOT_FOUND = HRESULT($80041310);

Unit

JclWin32


SCHED_E_CANNOT_OPEN_TASK Constant

SCHED_E_CANNOT_OPEN_TASK = HRESULT($8004130D);

Unit

JclWin32


SCHED_E_INVALID_TASK Constant

SCHED_E_INVALID_TASK = HRESULT($8004130E);

Unit

JclWin32


SCHED_E_NO_SECURITY_SERVICES Constant

SCHED_E_NO_SECURITY_SERVICES = HRESULT($80041312);

Unit

JclWin32


SCHED_E_SERVICE_NOT_INSTALLED Constant

SCHED_E_SERVICE_NOT_INSTALLED = HRESULT($8004130C);

Unit

JclWin32


SCHED_E_SERVICE_NOT_RUNNING Constant

SCHED_E_SERVICE_NOT_RUNNING = HRESULT($80041315);

Unit

JclWin32


SCHED_E_TASK_NOT_READY Constant

SCHED_E_TASK_NOT_READY = HRESULT($8004130A);

Unit

JclWin32


SCHED_E_TASK_NOT_RUNNING Constant

SCHED_E_TASK_NOT_RUNNING = HRESULT($8004130B);

Unit

JclWin32


SCHED_E_TRIGGER_NOT_FOUND Constant

SCHED_E_TRIGGER_NOT_FOUND = HRESULT($80041309);

Unit

JclWin32


SCHED_E_UNKNOWN_OBJECT_VERSION Constant

SCHED_E_UNKNOWN_OBJECT_VERSION = HRESULT($80041313);

Unit

JclWin32


SCHED_E_UNSUPPORTED_ACCOUNT_OPTION Constant

SCHED_E_UNSUPPORTED_ACCOUNT_OPTION = HRESULT($80041314);

Unit

JclWin32


SCHED_S_EVENT_TRIGGER Constant

SCHED_S_EVENT_TRIGGER = HRESULT($00041308);

Unit

JclWin32


SCHED_S_TASK_DISABLED Constant

SCHED_S_TASK_DISABLED = HRESULT($00041302);

Unit

JclWin32


SCHED_S_TASK_HAS_NOT_RUN Constant

SCHED_S_TASK_HAS_NOT_RUN = HRESULT($00041303);

Unit

JclWin32


SCHED_S_TASK_NO_MORE_RUNS Constant

SCHED_S_TASK_NO_MORE_RUNS = HRESULT($00041304);

Unit

JclWin32


SCHED_S_TASK_NO_VALID_TRIGGERS Constant

SCHED_S_TASK_NO_VALID_TRIGGERS = HRESULT($00041307);

Unit

JclWin32


SCHED_S_TASK_NOT_SCHEDULED Constant

SCHED_S_TASK_NOT_SCHEDULED = HRESULT($00041305);

Unit

JclWin32


SCHED_S_TASK_READY Constant

SCHED_S_TASK_READY = HRESULT($00041300);

Unit

JclWin32


SCHED_S_TASK_RUNNING Constant

SCHED_S_TASK_RUNNING = HRESULT($00041301);

Unit

JclWin32


SCHED_S_TASK_TERMINATED Constant

SCHED_S_TASK_TERMINATED = HRESULT($00041306);

Unit

JclWin32


SE_CREATE_GLOBAL_NAME Constant

SE_CREATE_GLOBAL_NAME = 'SeCreateGlobalPrivilege';

Unit

JclWin32


SE_IMPERSONATE_NAME Constant

SE_IMPERSONATE_NAME = 'SeImpersonatePrivilege';

Unit

JclWin32


SE_MANAGE_VOLUME_NAME Constant

SE_MANAGE_VOLUME_NAME = 'SeManageVolumePrivilege';

Unit

JclWin32


SectionTag_ Constant

SectionTag_ = '';

Unit

JclEDISEF


SectionTag_CODES Constant

SectionTag_CODES = '.CODES';

Unit

JclEDISEF


SectionTag_COMS Constant

SectionTag_COMS = '.COMS';

Unit

JclEDISEF


SectionTag_ELMS Constant

SectionTag_ELMS = '.ELMS';

Unit

JclEDISEF


SectionTag_INI Constant

SectionTag_INI = '.INI';

Unit

JclEDISEF


SectionTag_JCL_COMSEXT Constant

SectionTag_JCL_COMSEXT = '.COMSEXT';

Unit

JclEDISEF


SectionTag_JCL_ELMSEXT Constant

SectionTag_JCL_ELMSEXT = '.ELMSEXT';

Unit

JclEDISEF


SectionTag_JCL_SEGSEXT Constant

SectionTag_JCL_SEGSEXT = '.SEGSEXT';

Unit

JclEDISEF


SectionTag_JCL_SETSEXT Constant

SectionTag_JCL_SETSEXT = '.SETSEXT';

Unit

JclEDISEF


SectionTag_OBJVARS Constant

SectionTag_OBJVARS = '';

Unit

JclEDISEF


SectionTag_PRIVATE Constant

SectionTag_PRIVATE = '';

Unit

JclEDISEF


SectionTag_PUBLIC Constant

SectionTag_PUBLIC = '';

Unit

JclEDISEF


SectionTag_SEGS Constant

SectionTag_SEGS = '.SEGS';

Unit

JclEDISEF


SectionTag_SEMREFS Constant

SectionTag_SEMREFS = '';

Unit

JclEDISEF


SectionTag_SETS Constant

SectionTag_SETS = '.SETS';

Unit

JclEDISEF


SectionTag_STD Constant

SectionTag_STD = '.STD';

Unit

JclEDISEF


SectionTag_TEXT Constant

SectionTag_TEXT = '';

Unit

JclEDISEF


SectionTag_TEXTSETS Constant

SectionTag_TEXTSETS = '.TEXT,SETS';

Unit

JclEDISEF


SectionTag_VALLISTS Constant

SectionTag_VALLISTS = '';

Unit

JclEDISEF


SectionTag_VER Constant

SectionTag_VER = '.VER';

Unit

JclEDISEF


SECURITY_LOCAL_SERVICE_RID Constant

SECURITY_LOCAL_SERVICE_RID = ($00000013);

Unit

JclWin32


SECURITY_MAX_ALWAYS_FILTERED Constant

SECURITY_MAX_ALWAYS_FILTERED = ($000003E7);

Unit

JclWin32


SECURITY_MAX_SID_SIZE Constant

SECURITY_MAX_SID_SIZE = SizeOf(SID) - SizeOf(DWORD) + (SID_MAX_SUB_AUTHORITIES * SizeOf(DWORD));

Unit

JclWin32


SECURITY_MIN_NEVER_FILTERED Constant

SECURITY_MIN_NEVER_FILTERED = ($000003E8);

Unit

JclWin32


SECURITY_NETWORK_SERVICE_RID Constant

SECURITY_NETWORK_SERVICE_RID = ($00000014);

Unit

JclWin32


SECURITY_NT_NON_UNIQUE_SUB_AUTH_COUNT Constant

SECURITY_NT_NON_UNIQUE_SUB_AUTH_COUNT = (3);

Unit

JclWin32


SECURITY_OTHER_ORGANIZATION_RID Constant

SECURITY_OTHER_ORGANIZATION_RID = ($000003E8);

Unit

JclWin32


SECURITY_PACKAGE_BASE_RID Constant

SECURITY_PACKAGE_BASE_RID = ($00000040);

Unit

JclWin32


SECURITY_PACKAGE_DIGEST_RID Constant

SECURITY_PACKAGE_DIGEST_RID = ($00000015);

Unit

JclWin32


SECURITY_PACKAGE_NTLM_RID Constant

SECURITY_PACKAGE_NTLM_RID = ($0000000A);

Unit

JclWin32


SECURITY_PACKAGE_RID_COUNT Constant

SECURITY_PACKAGE_RID_COUNT = (2);

Unit

JclWin32


SECURITY_PACKAGE_SCHANNEL_RID Constant

SECURITY_PACKAGE_SCHANNEL_RID = ($0000000E);

Unit

JclWin32


SECURITY_REMOTE_LOGON_RID Constant

SECURITY_REMOTE_LOGON_RID = ($0000000E);

Unit

JclWin32


SECURITY_RESOURCE_MANAGER_AUTHORITY Constant

SECURITY_RESOURCE_MANAGER_AUTHORITY: TSidIdentifierAuthority = (Value: (0, 0, 0, 0, 0, 9));

Unit

JclWin32


SECURITY_THIS_ORGANIZATION_RID Constant

SECURITY_THIS_ORGANIZATION_RID = ($0000000F);

Unit

JclWin32


SEFTextCR Constant

SEFTextCR = '\r';

Unit

JclEDISEF


SEFTextCRLF Constant

SEFTextCRLF = SEFTextCR + SEFTextLF;

Unit

JclEDISEF


SEFTextLF Constant

SEFTextLF = '\n';

Unit

JclEDISEF


SEFTextSetsCode_Elm0 Constant

SEFTextSetsCode_Elm0 = '0';

Unit

JclEDISEF


SEFTextSetsCode_Elm0_Desc Constant

SEFTextSetsCode_Elm0_Desc = 'Level 1 note on element or composite.';

Unit

JclResources


SEFTextSetsCode_Elm1 Constant

SEFTextSetsCode_Elm1 = '1';

Unit

JclEDISEF


SEFTextSetsCode_Elm1_Desc Constant

SEFTextSetsCode_Elm1_Desc = 'Level 2 note on element or composite.';

Unit

JclResources


SEFTextSetsCode_Elm2 Constant

SEFTextSetsCode_Elm2 = '2';

Unit

JclEDISEF


SEFTextSetsCode_Elm2_Desc Constant

SEFTextSetsCode_Elm2_Desc = 'Name of element or composite.';

Unit

JclResources


SEFTextSetsCode_Elm4 Constant

SEFTextSetsCode_Elm4 = '4';

Unit

JclEDISEF


SEFTextSetsCode_Elm4_Desc Constant

SEFTextSetsCode_Elm4_Desc = 'Level 3 note on element or composite.';

Unit

JclResources


SEFTextSetsCode_Seg0 Constant

SEFTextSetsCode_Seg0 = '0';

Unit

JclEDISEF


SEFTextSetsCode_Seg0_Desc Constant

SEFTextSetsCode_Seg0_Desc = 'Segment reference notes that are part of the transaction set in X12.';

Unit

JclResources


SEFTextSetsCode_Seg1 Constant

SEFTextSetsCode_Seg1 = '1';

Unit

JclEDISEF


SEFTextSetsCode_Seg1_Desc Constant

SEFTextSetsCode_Seg1_Desc = 'Segment reference notes documented with the segment (like in VICS/UCS).';

Unit

JclResources


SEFTextSetsCode_Seg2 Constant

SEFTextSetsCode_Seg2 = '2';

Unit

JclEDISEF


SEFTextSetsCode_Seg2_Desc Constant

SEFTextSetsCode_Seg2_Desc = 'Segment reference comment documented with the transaction set.';

Unit

JclResources


SEFTextSetsCode_Seg3 Constant

SEFTextSetsCode_Seg3 = '3';

Unit

JclEDISEF


SEFTextSetsCode_Seg3_Desc Constant

SEFTextSetsCode_Seg3_Desc = 'Segment name.';

Unit

JclResources


SEFTextSetsCode_Seg4 Constant

SEFTextSetsCode_Seg4 = '4';

Unit

JclEDISEF


SEFTextSetsCode_Seg4_Desc Constant

SEFTextSetsCode_Seg4_Desc = 'Level 1 note on segment.';

Unit

JclResources


SEFTextSetsCode_Seg5 Constant

SEFTextSetsCode_Seg5 = '5';

Unit

JclEDISEF


SEFTextSetsCode_Seg5_Desc Constant

SEFTextSetsCode_Seg5_Desc = 'Level 2 note on segment.';

Unit

JclResources


SEFTextSetsCode_Seg6 Constant

SEFTextSetsCode_Seg6 = '6';

Unit

JclEDISEF


SEFTextSetsCode_Seg6_Desc Constant

SEFTextSetsCode_Seg6_Desc = 'Segment purpose.';

Unit

JclResources


SEFTextSetsCode_Seg7 Constant

SEFTextSetsCode_Seg7 = '7';

Unit

JclEDISEF


SEFTextSetsCode_Seg7_Desc Constant

SEFTextSetsCode_Seg7_Desc = 'Level 3 note on segment. See * below for other levels of notes.';

Unit

JclResources


SEFTextSetsCode_Set0 Constant

SEFTextSetsCode_Set0 = '0';

Unit

JclEDISEF


SEFTextSetsCode_Set0_Desc Constant

SEFTextSetsCode_Set0_Desc = 'Transaction Set or message title.';

Unit

JclResources


SEFTextSetsCode_Set1 Constant

SEFTextSetsCode_Set1 = '1';

Unit

JclEDISEF


SEFTextSetsCode_Set1_Desc Constant

SEFTextSetsCode_Set1_Desc = 'Transaction Set functional group (X12).';

Unit

JclResources


SEFTextSetsCode_Set2 Constant

SEFTextSetsCode_Set2 = '2';

Unit

JclEDISEF


SEFTextSetsCode_Set2_Desc Constant

SEFTextSetsCode_Set2_Desc = 'Transaction Set or message purpose.';

Unit

JclResources


SEFTextSetsCode_Set3 Constant

SEFTextSetsCode_Set3 = '3';

Unit

JclEDISEF


SEFTextSetsCode_Set3_Desc Constant

SEFTextSetsCode_Set3_Desc = 'Level 1 note on transaction set or message.';

Unit

JclResources


SEFTextSetsCode_Set4 Constant

SEFTextSetsCode_Set4 = '4';

Unit

JclEDISEF


SEFTextSetsCode_Set4_Desc Constant

SEFTextSetsCode_Set4_Desc = 'Level 2 note on transaction set or message.';

Unit

JclResources


SEFTextSetsCode_Set5 Constant

SEFTextSetsCode_Set5 = '5';

Unit

JclEDISEF


SEFTextSetsCode_Set5_Desc Constant

SEFTextSetsCode_Set5_Desc = 'Level 3 note on transaction set or message.';

Unit

JclResources


SEP_FLAG Constant

SEP_FLAG = BIT_11;

Unit

JclSysInfo


SERVICE_CONFIG_DESCRIPTION Constant

SERVICE_CONFIG_DESCRIPTION = 1;

Unit

JclSvcCtrl


SERVICE_CONFIG_FAILURE_ACTIONS Constant

SERVICE_CONFIG_FAILURE_ACTIONS = 2;

Unit

JclSvcCtrl


SESSION_ABORTED Constant

SESSION_ABORTED = $06;

Unit

JclWin32


SESSION_CRYPT_KLEN Constant

SESSION_CRYPT_KLEN = 21;

Unit

JclWin32


SESSION_ESTABLISHED Constant

SESSION_ESTABLISHED = $03;

Unit

JclWin32


SESSION_PWLEN Constant

SESSION_PWLEN = 24;

Unit

JclWin32


sfUnicodeLSB Constant

sfUnicodeLSB = sfUTF16LSB;

Unit

JclUnicode


sfUnicodeMSB Constant

sfUnicodeMSB = sfUTF16MSB;

Unit

JclUnicode


ShortintMask Constant

ShortintMask = Shortint($FF);

Unit

JclLogic


SHPWLEN Constant

SHPWLEN = 8;

Unit

JclWin32


SHTDN_REASON_FLAG_CLEAN_UI Constant

SHTDN_REASON_FLAG_CLEAN_UI = $04000000;

Unit

JclWin32


SHTDN_REASON_FLAG_COMMENT_REQUIRED Constant

SHTDN_REASON_FLAG_COMMENT_REQUIRED = $01000000;

Unit

JclWin32


SHTDN_REASON_FLAG_DIRTY_PROBLEM_ID_REQUIRED Constant

SHTDN_REASON_FLAG_DIRTY_PROBLEM_ID_REQUIRED = $02000000;

Unit

JclWin32


SHTDN_REASON_FLAG_DIRTY_UI Constant

SHTDN_REASON_FLAG_DIRTY_UI = $08000000;

Unit

JclWin32


SHTDN_REASON_FLAG_PLANNED Constant

SHTDN_REASON_FLAG_PLANNED = DWORD($80000000);

Unit

JclWin32


SHTDN_REASON_FLAG_USER_DEFINED Constant

SHTDN_REASON_FLAG_USER_DEFINED = $40000000;

Unit

JclWin32


SHTDN_REASON_LEGACY_API Constant

SHTDN_REASON_LEGACY_API = (SHTDN_REASON_MAJOR_LEGACY_API or SHTDN_REASON_FLAG_PLANNED);

Unit

JclWin32


SHTDN_REASON_MAJOR_APPLICATION Constant

SHTDN_REASON_MAJOR_APPLICATION = $00040000;

Unit

JclWin32


SHTDN_REASON_MAJOR_HARDWARE Constant

SHTDN_REASON_MAJOR_HARDWARE = $00010000;

Unit

JclWin32


SHTDN_REASON_MAJOR_LEGACY_API Constant

SHTDN_REASON_MAJOR_LEGACY_API = $00070000;

Unit

JclWin32


SHTDN_REASON_MAJOR_NONE Constant

SHTDN_REASON_MAJOR_NONE = $00000000;

Unit

JclWin32


SHTDN_REASON_MAJOR_OPERATINGSYSTEM Constant

SHTDN_REASON_MAJOR_OPERATINGSYSTEM = $00020000;

Unit

JclWin32


SHTDN_REASON_MAJOR_OTHER Constant

SHTDN_REASON_MAJOR_OTHER = $00000000;

Unit

JclWin32


SHTDN_REASON_MAJOR_POWER Constant

SHTDN_REASON_MAJOR_POWER = $00060000;

Unit

JclWin32


SHTDN_REASON_MAJOR_SOFTWARE Constant

SHTDN_REASON_MAJOR_SOFTWARE = $00030000;

Unit

JclWin32


SHTDN_REASON_MAJOR_SYSTEM Constant

SHTDN_REASON_MAJOR_SYSTEM = $00050000;

Unit

JclWin32


SHTDN_REASON_MINOR_BLUESCREEN Constant

SHTDN_REASON_MINOR_BLUESCREEN = $0000000F;

Unit

JclWin32


SHTDN_REASON_MINOR_CORDUNPLUGGED Constant

SHTDN_REASON_MINOR_CORDUNPLUGGED = $0000000b;

Unit

JclWin32


SHTDN_REASON_MINOR_DC_DEMOTION Constant

SHTDN_REASON_MINOR_DC_DEMOTION = $00000022;

Unit

JclWin32


SHTDN_REASON_MINOR_DC_PROMOTION Constant

SHTDN_REASON_MINOR_DC_PROMOTION = $00000021;

Unit

JclWin32


SHTDN_REASON_MINOR_DISK Constant

SHTDN_REASON_MINOR_DISK = $00000007;

Unit

JclWin32


SHTDN_REASON_MINOR_ENVIRONMENT Constant

SHTDN_REASON_MINOR_ENVIRONMENT = $0000000c;

Unit

JclWin32


SHTDN_REASON_MINOR_HARDWARE_DRIVER Constant

SHTDN_REASON_MINOR_HARDWARE_DRIVER = $0000000d;

Unit

JclWin32


SHTDN_REASON_MINOR_HOTFIX Constant

SHTDN_REASON_MINOR_HOTFIX = $00000011;

Unit

JclWin32


SHTDN_REASON_MINOR_HOTFIX_UNINSTALL Constant

SHTDN_REASON_MINOR_HOTFIX_UNINSTALL = $00000017;

Unit

JclWin32


SHTDN_REASON_MINOR_HUNG Constant

SHTDN_REASON_MINOR_HUNG = $00000005;

Unit

JclWin32


SHTDN_REASON_MINOR_INSTALLATION Constant

SHTDN_REASON_MINOR_INSTALLATION = $00000002;

Unit

JclWin32


SHTDN_REASON_MINOR_MAINTENANCE Constant

SHTDN_REASON_MINOR_MAINTENANCE = $00000001;

Unit

JclWin32


SHTDN_REASON_MINOR_MMC Constant

SHTDN_REASON_MINOR_MMC = $00000019;

Unit

JclWin32


SHTDN_REASON_MINOR_NETWORK_CONNECTIVITY Constant

SHTDN_REASON_MINOR_NETWORK_CONNECTIVITY = $00000014;

Unit

JclWin32


SHTDN_REASON_MINOR_NETWORKCARD Constant

SHTDN_REASON_MINOR_NETWORKCARD = $00000009;

Unit

JclWin32


SHTDN_REASON_MINOR_NONE Constant

SHTDN_REASON_MINOR_NONE = $000000ff;

Unit

JclWin32


SHTDN_REASON_MINOR_OTHER Constant

SHTDN_REASON_MINOR_OTHER = $00000000;

Unit

JclWin32


SHTDN_REASON_MINOR_OTHERDRIVER Constant

SHTDN_REASON_MINOR_OTHERDRIVER = $0000000e;

Unit

JclWin32


SHTDN_REASON_MINOR_POWER_SUPPLY Constant

SHTDN_REASON_MINOR_POWER_SUPPLY = $0000000a;

Unit

JclWin32


SHTDN_REASON_MINOR_PROCESSOR Constant

SHTDN_REASON_MINOR_PROCESSOR = $00000008;

Unit

JclWin32


SHTDN_REASON_MINOR_RECONFIG Constant

SHTDN_REASON_MINOR_RECONFIG = $00000004;

Unit

JclWin32


SHTDN_REASON_MINOR_SECURITY Constant

SHTDN_REASON_MINOR_SECURITY = $00000013;

Unit

JclWin32


SHTDN_REASON_MINOR_SECURITYFIX Constant

SHTDN_REASON_MINOR_SECURITYFIX = $00000012;

Unit

JclWin32


SHTDN_REASON_MINOR_SECURITYFIX_UNINSTALL Constant

SHTDN_REASON_MINOR_SECURITYFIX_UNINSTALL = $00000018;

Unit

JclWin32


SHTDN_REASON_MINOR_SERVICEPACK Constant

SHTDN_REASON_MINOR_SERVICEPACK = $00000010;

Unit

JclWin32


SHTDN_REASON_MINOR_SERVICEPACK_UNINSTALL Constant

SHTDN_REASON_MINOR_SERVICEPACK_UNINSTALL = $00000016;

Unit

JclWin32


SHTDN_REASON_MINOR_TERMSRV Constant

SHTDN_REASON_MINOR_TERMSRV = $00000020;

Unit

JclWin32


SHTDN_REASON_MINOR_UNSTABLE Constant

SHTDN_REASON_MINOR_UNSTABLE = $00000006;

Unit

JclWin32


SHTDN_REASON_MINOR_UPGRADE Constant

SHTDN_REASON_MINOR_UPGRADE = $00000003;

Unit

JclWin32


SHTDN_REASON_MINOR_WMI Constant

SHTDN_REASON_MINOR_WMI = $00000015;

Unit

JclWin32


SHTDN_REASON_UNKNOWN Constant

SHTDN_REASON_UNKNOWN = SHTDN_REASON_MINOR_NONE;

Unit

JclWin32


SHTDN_REASON_VALID_BIT_MASK Constant

SHTDN_REASON_VALID_BIT_MASK = DWORD($c0ffffff);

Unit

JclWin32


SID_MAX_SUB_AUTHORITIES Constant

SID_MAX_SUB_AUTHORITIES = (15);

Unit

JclWin32


SID_RECOMMENDED_SUB_AUTHORITIES Constant

SID_RECOMMENDED_SUB_AUTHORITIES = (1);

Unit

JclWin32


SID_REVISION Constant

SID_REVISION = (1);

Unit

JclWin32


SidTypeAlias Constant

SidTypeAlias = 4;

Unit

JclWin32


SidTypeComputer Constant

SidTypeComputer = 9;

Unit

JclWin32


SidTypeDeletedAccount Constant

SidTypeDeletedAccount = 6;

Unit

JclWin32


SidTypeDomain Constant

SidTypeDomain = 3;

Unit

JclWin32


SidTypeGroup Constant

SidTypeGroup = 2;

Unit

JclWin32


SidTypeInvalid Constant

SidTypeInvalid = 7;

Unit

JclWin32


SidTypeUnknown Constant

SidTypeUnknown = 8;

Unit

JclWin32


SidTypeUser Constant

SidTypeUser = 1;

Unit

JclWin32


SidTypeWellKnownGroup Constant

SidTypeWellKnownGroup = 5;

Unit

JclWin32


sivFirst Constant

sivFirst = 1;

Unit

JclSchedule


sivFourth Constant

sivFourth = 4;

Unit

JclSchedule


sivLast Constant

sivLast = -1;

Unit

JclSchedule


sivSecond Constant

sivSecond = 2;

Unit

JclSchedule


sivThird Constant

sivThird = 3;

Unit

JclSchedule


SIZEOF_RFPO_DATA Constant

SIZEOF_RFPO_DATA = 16;

Unit

JclWin32


sLineBreak Constant

sLineBreak = #13#10;

Unit

JclResources


SmallintMask Constant

SmallintMask = Smallint($FFFF);

Unit

JclLogic


SNLEN Constant

SNLEN = 80;

Unit

JclWin32


SourceExtensionBCBPackage Constant

SourceExtensionBCBPackage = '.bpk';

Unit

JclBorlandTools


SourceExtensionBCBProject Constant

SourceExtensionBCBProject = '.bpr';

Unit

JclBorlandTools


SourceExtensionDelphiPackage Constant

SourceExtensionDelphiPackage = '.dpk';

Unit

JclBorlandTools


SourceExtensionDelphiProject Constant

SourceExtensionDelphiProject = '.dpr';

Unit

JclBorlandTools


SS_FLAG Constant

SS_FLAG = BIT_27;

Unit

JclSysInfo


SSE_FLAG Constant

SSE_FLAG = BIT_25;

Unit

JclSysInfo


SSE2_FLAG Constant

SSE2_FLAG = BIT_26;

Unit

JclSysInfo


ssPendingStates Constant

ssPendingStates = [ssStartPending, ssStopPending, ssContinuePending, ssPausePending];

Unit

JclSvcCtrl


stAllTypeService Constant

stAllTypeService = stDriverService + stWin32Service + [stAdapter, stInteractiveProcess];

Unit

JclSvcCtrl


stDriverService Constant

stDriverService = [stKernelDriver, stFileSystemDriver, stRecognizerDriver];

Unit

JclSvcCtrl


STRANSMETA_BIT_10 Constant

STRANSMETA_BIT_10 = BIT_10;

Unit

JclSysInfo


STRANSMETA_BIT_11 Constant

STRANSMETA_BIT_11 = BIT_11;

Unit

JclSysInfo


STRANSMETA_BIT_12 Constant

STRANSMETA_BIT_12 = BIT_12;

Unit

JclSysInfo


STRANSMETA_BIT_13 Constant

STRANSMETA_BIT_13 = BIT_13;

Unit

JclSysInfo


STRANSMETA_BIT_14 Constant

STRANSMETA_BIT_14 = BIT_14;

Unit

JclSysInfo


STRANSMETA_BIT_15 Constant

STRANSMETA_BIT_15 = BIT_15;

Unit

JclSysInfo


STRANSMETA_BIT_16 Constant

STRANSMETA_BIT_16 = BIT_16;

Unit

JclSysInfo


STRANSMETA_BIT_17 Constant

STRANSMETA_BIT_17 = BIT_17;

Unit

JclSysInfo


STRANSMETA_BIT_18 Constant

STRANSMETA_BIT_18 = BIT_18;

Unit

JclSysInfo


STRANSMETA_BIT_19 Constant

STRANSMETA_BIT_19 = BIT_19;

Unit

JclSysInfo


STRANSMETA_BIT_2 Constant

STRANSMETA_BIT_2 = BIT_2;

Unit

JclSysInfo


STRANSMETA_BIT_20 Constant

STRANSMETA_BIT_20 = BIT_20;

Unit

JclSysInfo


STRANSMETA_BIT_21 Constant

STRANSMETA_BIT_21 = BIT_21;

Unit

JclSysInfo


STRANSMETA_BIT_22 Constant

STRANSMETA_BIT_22 = BIT_22;

Unit

JclSysInfo


STRANSMETA_BIT_23 Constant

STRANSMETA_BIT_23 = BIT_23;

Unit

JclSysInfo


STRANSMETA_BIT_24 Constant

STRANSMETA_BIT_24 = BIT_24;

Unit

JclSysInfo


STRANSMETA_BIT_25 Constant

STRANSMETA_BIT_25 = BIT_25;

Unit

JclSysInfo


STRANSMETA_BIT_26 Constant

STRANSMETA_BIT_26 = BIT_26;

Unit

JclSysInfo


STRANSMETA_BIT_27 Constant

STRANSMETA_BIT_27 = BIT_27;

Unit

JclSysInfo


STRANSMETA_BIT_28 Constant

STRANSMETA_BIT_28 = BIT_28;

Unit

JclSysInfo


STRANSMETA_BIT_29 Constant

STRANSMETA_BIT_29 = BIT_29;

Unit

JclSysInfo


STRANSMETA_BIT_30 Constant

STRANSMETA_BIT_30 = BIT_30;

Unit

JclSysInfo


STRANSMETA_BIT_31 Constant

STRANSMETA_BIT_31 = BIT_31;

Unit

JclSysInfo


STRANSMETA_BIT_4 Constant

STRANSMETA_BIT_4 = BIT_4;

Unit

JclSysInfo


STRANSMETA_BIT_5 Constant

STRANSMETA_BIT_5 = BIT_5;

Unit

JclSysInfo


STRANSMETA_BIT_6 Constant

STRANSMETA_BIT_6 = BIT_6;

Unit

JclSysInfo


STRANSMETA_BIT_9 Constant

STRANSMETA_BIT_9 = BIT_9;

Unit

JclSysInfo


STRANSMETA_LONGRUN Constant

STRANSMETA_LONGRUN = BIT_1;

Unit

JclSysInfo


STRANSMETA_LRTI Constant

STRANSMETA_LRTI = BIT_3;

Unit

JclSysInfo


STRANSMETA_PTTI1 Constant

STRANSMETA_PTTI1 = BIT_7;

Unit

JclSysInfo


STRANSMETA_PTTI2 Constant

STRANSMETA_PTTI2 = BIT_8;

Unit

JclSysInfo


STRANSMETA_RECOVERY Constant

STRANSMETA_RECOVERY = BIT_0;

Unit

JclSysInfo


stWin32Service Constant

stWin32Service = [stWin32OwnProcess, stWin32ShareProcess];

Unit

JclSvcCtrl


STXTLEN Constant

STXTLEN = 256;

Unit

JclWin32


SUBSECTION_TYPE_ALIGN_SYMBOLS Constant

SUBSECTION_TYPE_ALIGN_SYMBOLS = $125;

Unit

JclTD32


SUBSECTION_TYPE_GLOBAL_SYMBOLS Constant

SUBSECTION_TYPE_GLOBAL_SYMBOLS = $129;

Unit

JclTD32


SUBSECTION_TYPE_GLOBAL_TYPES Constant

SUBSECTION_TYPE_GLOBAL_TYPES = $12B;

Unit

JclTD32


SUBSECTION_TYPE_MODULE Constant

SUBSECTION_TYPE_MODULE = $120;

Unit

JclTD32


SUBSECTION_TYPE_NAMES Constant

SUBSECTION_TYPE_NAMES = $130;

Unit

JclTD32


SUBSECTION_TYPE_SOURCE_MODULE Constant

SUBSECTION_TYPE_SOURCE_MODULE = $127;

Unit

JclTD32


SUBSECTION_TYPE_SYMBOLS Constant

SUBSECTION_TYPE_SYMBOLS = $124;

Unit

JclTD32


SUBSECTION_TYPE_TYPES Constant

SUBSECTION_TYPE_TYPES = $121;

Unit

JclTD32


SupportedBCBVersions Constant

SupportedBCBVersions = [5, 6, 10];

Unit

JclBorlandTools


SupportedBDSVersions Constant

SupportedBDSVersions = [1, 2, 3, 4];

Unit

JclBorlandTools


SupportedDelphiVersions Constant

SupportedDelphiVersions = [5, 6, 7, 8, 9, 10];

Unit

JclBorlandTools


SurrogateHighEnd Constant

SurrogateHighEnd: UCS4 = $DBFF;

Unit

JclUnicode


SurrogateHighStart Constant

SurrogateHighStart: UCS4 = $D800;

Unit

JclUnicode


SurrogateLowEnd Constant

SurrogateLowEnd: UCS4 = $DFFF;

Unit

JclUnicode


SurrogateLowStart Constant

SurrogateLowStart: UCS4 = $DC00;

Unit

JclUnicode


SYMBOL_TYPE_BLOCK16 Constant

SYMBOL_TYPE_BLOCK16 = $0107;

Unit

JclTD32


SYMBOL_TYPE_BLOCK32 Constant

SYMBOL_TYPE_BLOCK32 = $0207;

Unit

JclTD32


SYMBOL_TYPE_BPREL16 Constant

SYMBOL_TYPE_BPREL16 = $0100;

Unit

JclTD32


SYMBOL_TYPE_BPREL32 Constant

SYMBOL_TYPE_BPREL32 = $0200;

Unit

JclTD32


SYMBOL_TYPE_CEXMODEL16 Constant

SYMBOL_TYPE_CEXMODEL16 = $010A;

Unit

JclTD32


SYMBOL_TYPE_CEXMODEL32 Constant

SYMBOL_TYPE_CEXMODEL32 = $020A;

Unit

JclTD32


SYMBOL_TYPE_COMPILE Constant

SYMBOL_TYPE_COMPILE = $0001;

Unit

JclTD32


SYMBOL_TYPE_CONST Constant

SYMBOL_TYPE_CONST = $0003;

Unit

JclTD32


SYMBOL_TYPE_CVRESERVE Constant

SYMBOL_TYPE_CVRESERVE = $0008;

Unit

JclTD32


SYMBOL_TYPE_END Constant

SYMBOL_TYPE_END = $0006;

Unit

JclTD32


SYMBOL_TYPE_GDATA16 Constant

SYMBOL_TYPE_GDATA16 = $0102;

Unit

JclTD32


SYMBOL_TYPE_GDATA32 Constant

SYMBOL_TYPE_GDATA32 = $0202;

Unit

JclTD32


SYMBOL_TYPE_GPROC16 Constant

SYMBOL_TYPE_GPROC16 = $0105;

Unit

JclTD32


SYMBOL_TYPE_GPROC32 Constant

SYMBOL_TYPE_GPROC32 = $0205;

Unit

JclTD32


SYMBOL_TYPE_LABEL16 Constant

SYMBOL_TYPE_LABEL16 = $0109;

Unit

JclTD32


SYMBOL_TYPE_LABEL32 Constant

SYMBOL_TYPE_LABEL32 = $0209;

Unit

JclTD32


SYMBOL_TYPE_LDATA16 Constant

SYMBOL_TYPE_LDATA16 = $0101;

Unit

JclTD32


SYMBOL_TYPE_LDATA32 Constant

SYMBOL_TYPE_LDATA32 = $0201;

Unit

JclTD32


SYMBOL_TYPE_LPROC16 Constant

SYMBOL_TYPE_LPROC16 = $0104;

Unit

JclTD32


SYMBOL_TYPE_LPROC32 Constant

SYMBOL_TYPE_LPROC32 = $0204;

Unit

JclTD32


SYMBOL_TYPE_OBJNAME Constant

SYMBOL_TYPE_OBJNAME = $0009;

Unit

JclTD32


SYMBOL_TYPE_PUB16 Constant

SYMBOL_TYPE_PUB16 = $0103;

Unit

JclTD32


SYMBOL_TYPE_PUB32 Constant

SYMBOL_TYPE_PUB32 = $0203;

Unit

JclTD32


SYMBOL_TYPE_REGISTER Constant

SYMBOL_TYPE_REGISTER = $0002;

Unit

JclTD32


SYMBOL_TYPE_SKIP Constant

SYMBOL_TYPE_SKIP = $0007;

Unit

JclTD32


SYMBOL_TYPE_SSEARCH Constant

SYMBOL_TYPE_SSEARCH = $0005;

Unit

JclTD32


SYMBOL_TYPE_THUNK16 Constant

SYMBOL_TYPE_THUNK16 = $0106;

Unit

JclTD32


SYMBOL_TYPE_THUNK32 Constant

SYMBOL_TYPE_THUNK32 = $0206;

Unit

JclTD32


SYMBOL_TYPE_UDT Constant

SYMBOL_TYPE_UDT = $0004;

Unit

JclTD32


SYMBOL_TYPE_VFTPATH16 Constant

SYMBOL_TYPE_VFTPATH16 = $010B;

Unit

JclTD32


SYMBOL_TYPE_VFTPATH32 Constant

SYMBOL_TYPE_VFTPATH32 = $020B;

Unit

JclTD32


SYMBOL_TYPE_WITH16 Constant

SYMBOL_TYPE_WITH16 = $0108;

Unit

JclTD32


SYMBOL_TYPE_WITH32 Constant

SYMBOL_TYPE_WITH32 = $0208;

Unit

JclTD32


TA1SegmentId Constant

TA1SegmentId = 'TA1';

Unit

JclEDI_ANSIX12


TComplex_VERSION Constant

TComplex_VERSION = 5.01;

Unit

JclComplex


TIMEQ_FOREVER Constant

TIMEQ_FOREVER = ULONG(-1);

Unit

JclWin32


TM_FLAG Constant

TM_FLAG = BIT_29;

Unit

JclSysInfo


TRANSMETA_BIT_10 Constant

TRANSMETA_BIT_10 = BIT_10;

Unit

JclSysInfo


TRANSMETA_BIT_12 Constant

TRANSMETA_BIT_12 = BIT_12;

Unit

JclSysInfo


TRANSMETA_BIT_13 Constant

TRANSMETA_BIT_13 = BIT_13;

Unit

JclSysInfo


TRANSMETA_BIT_14 Constant

TRANSMETA_BIT_14 = BIT_14;

Unit

JclSysInfo


TRANSMETA_BIT_16 Constant

TRANSMETA_BIT_16 = BIT_16;

Unit

JclSysInfo


TRANSMETA_BIT_17 Constant

TRANSMETA_BIT_17 = BIT_17;

Unit

JclSysInfo


TRANSMETA_BIT_19 Constant

TRANSMETA_BIT_19 = BIT_19;

Unit

JclSysInfo


TRANSMETA_BIT_20 Constant

TRANSMETA_BIT_20 = BIT_20;

Unit

JclSysInfo


TRANSMETA_BIT_21 Constant

TRANSMETA_BIT_21 = BIT_21;

Unit

JclSysInfo


TRANSMETA_BIT_22 Constant

TRANSMETA_BIT_22 = BIT_22;

Unit

JclSysInfo


TRANSMETA_BIT_24 Constant

TRANSMETA_BIT_24 = BIT_24;

Unit

JclSysInfo


TRANSMETA_BIT_25 Constant

TRANSMETA_BIT_25 = BIT_25;

Unit

JclSysInfo


TRANSMETA_BIT_26 Constant

TRANSMETA_BIT_26 = BIT_26;

Unit

JclSysInfo


TRANSMETA_BIT_27 Constant

TRANSMETA_BIT_27 = BIT_27;

Unit

JclSysInfo


TRANSMETA_BIT_28 Constant

TRANSMETA_BIT_28 = BIT_28;

Unit

JclSysInfo


TRANSMETA_BIT_29 Constant

TRANSMETA_BIT_29 = BIT_29;

Unit

JclSysInfo


TRANSMETA_BIT_30 Constant

TRANSMETA_BIT_30 = BIT_30;

Unit

JclSysInfo


TRANSMETA_BIT_31 Constant

TRANSMETA_BIT_31 = BIT_31;

Unit

JclSysInfo


TRANSMETA_BIT_6 Constant

TRANSMETA_BIT_6 = BIT_6;

Unit

JclSysInfo


TRANSMETA_BIT_7 Constant

TRANSMETA_BIT_7 = BIT_7;

Unit

JclSysInfo


TRANSMETA_BIT_9 Constant

TRANSMETA_BIT_9 = BIT_9;

Unit

JclSysInfo


TRANSMETA_CMOV Constant

TRANSMETA_CMOV = BIT_15;

Unit

JclSysInfo


TRANSMETA_CX8 Constant

TRANSMETA_CX8 = BIT_8;

Unit

JclSysInfo


TRANSMETA_DE Constant

TRANSMETA_DE = BIT_2;

Unit

JclSysInfo


TRANSMETA_FPU Constant

TRANSMETA_FPU = BIT_0;

Unit

JclSysInfo


TRANSMETA_MMX Constant

TRANSMETA_MMX = BIT_23;

Unit

JclSysInfo


TRANSMETA_MSR Constant

TRANSMETA_MSR = BIT_5;

Unit

JclSysInfo


TRANSMETA_PSE Constant

TRANSMETA_PSE = BIT_3;

Unit

JclSysInfo


TRANSMETA_PSN Constant

TRANSMETA_PSN = BIT_18;

Unit

JclSysInfo


TRANSMETA_SEP Constant

TRANSMETA_SEP = BIT_11;

Unit

JclSysInfo


TRANSMETA_TSC Constant

TRANSMETA_TSC = BIT_4;

Unit

JclSysInfo


TRANSMETA_VME Constant

TRANSMETA_VME = BIT_1;

Unit

JclSysInfo


TSC_FLAG Constant

TSC_FLAG = BIT_4;

Unit

JclSysInfo


TSHSegmentId Constant

TSHSegmentId = 'ST';

Unit

JclEDI_ANSIX12


TSTSegmentId Constant

TSTSegmentId = 'SE';

Unit

JclEDI_ANSIX12


UCLEANUI Constant

UCLEANUI = (SHTDN_REASON_FLAG_CLEAN_UI);

Unit

JclWin32


UDIRTYUI Constant

UDIRTYUI = (SHTDN_REASON_FLAG_DIRTY_UI);

Unit

JclWin32


UF_ACCOUNT_TYPE_MASK Constant

UF_ACCOUNT_TYPE_MASK = UF_TEMP_DUPLICATE_ACCOUNT or UF_NORMAL_ACCOUNT or UF_INTERDOMAIN_TRUST_ACCOUNT or UF_WORKSTATION_TRUST_ACCOUNT or UF_SERVER_TRUST_ACCOUNT;

Unit

JclWin32


UF_ACCOUNTDISABLE Constant

UF_ACCOUNTDISABLE = $0002;

Unit

JclWin32


UF_DONT_EXPIRE_PASSWD Constant

UF_DONT_EXPIRE_PASSWD = $10000;

Unit

JclWin32


UF_DONT_REQUIRE_PREAUTH Constant

UF_DONT_REQUIRE_PREAUTH = $400000;

Unit

JclWin32


UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED Constant

UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED = $0080;

Unit

JclWin32


UF_HOMEDIR_REQUIRED Constant

UF_HOMEDIR_REQUIRED = $0008;

Unit

JclWin32


UF_INTERDOMAIN_TRUST_ACCOUNT Constant

UF_INTERDOMAIN_TRUST_ACCOUNT = $0800;

Unit

JclWin32


UF_LOCKOUT Constant

UF_LOCKOUT = $0010;

Unit

JclWin32


UF_MACHINE_ACCOUNT_MASK Constant

UF_MACHINE_ACCOUNT_MASK = UF_INTERDOMAIN_TRUST_ACCOUNT or UF_WORKSTATION_TRUST_ACCOUNT or UF_SERVER_TRUST_ACCOUNT;

Unit

JclWin32


UF_MNS_LOGON_ACCOUNT Constant

UF_MNS_LOGON_ACCOUNT = $20000;

Unit

JclWin32


UF_NORMAL_ACCOUNT Constant

UF_NORMAL_ACCOUNT = $0200;

Unit

JclWin32


UF_NOT_DELEGATED Constant

UF_NOT_DELEGATED = $100000;

Unit

JclWin32


UF_PASSWD_CANT_CHANGE Constant

UF_PASSWD_CANT_CHANGE = $0040;

Unit

JclWin32


UF_PASSWD_NOTREQD Constant

UF_PASSWD_NOTREQD = $0020;

Unit

JclWin32


UF_PASSWORD_EXPIRED Constant

UF_PASSWORD_EXPIRED = DWORD($800000);

Unit

JclWin32


UF_SCRIPT Constant

UF_SCRIPT = $0001;

Unit

JclWin32


UF_SERVER_TRUST_ACCOUNT Constant

UF_SERVER_TRUST_ACCOUNT = $2000;

Unit

JclWin32


UF_SETTABLE_BITS Constant

UF_SETTABLE_BITS = UF_SCRIPT or UF_ACCOUNTDISABLE or UF_LOCKOUT or UF_HOMEDIR_REQUIRED or UF_PASSWD_NOTREQD or UF_PASSWD_CANT_CHANGE or UF_ACCOUNT_TYPE_MASK or UF_DONT_EXPIRE_PASSWD or UF_MNS_LOGON_ACCOUNT or UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED or UF_SMARTCARD_REQUIRED or UF_TRUSTED_FOR_DELEGATION or UF_NOT_DELEGATED or UF_USE_DES_KEY_ONLY or UF_DONT_REQUIRE_PREAUTH or UF_PASSWORD_EXPIRED or UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION;

Unit

JclWin32


UF_SMARTCARD_REQUIRED Constant

UF_SMARTCARD_REQUIRED = $40000;

Unit

JclWin32


UF_TEMP_DUPLICATE_ACCOUNT Constant

UF_TEMP_DUPLICATE_ACCOUNT = $0100;

Unit

JclWin32


UF_TRUSTED_FOR_DELEGATION Constant

UF_TRUSTED_FOR_DELEGATION = $80000;

Unit

JclWin32


UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION Constant

UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION = $1000000;

Unit

JclWin32


UF_USE_DES_KEY_ONLY Constant

UF_USE_DES_KEY_ONLY = $200000;

Unit

JclWin32


UF_WORKSTATION_TRUST_ACCOUNT Constant

UF_WORKSTATION_TRUST_ACCOUNT = $1000;

Unit

JclWin32


UNASegmentId Constant

UNASegmentId = 'UNA';

Unit

JclEDI_UNEDIFACT


UNBSegmentId Constant

UNBSegmentId = 'UNB';

Unit

JclEDI_UNEDIFACT


UNCLEN Constant

UNCLEN = (CNLEN+2);

Unit

JclWin32


UNDNAME_32_BIT_DECODE Constant

UNDNAME_32_BIT_DECODE = ($0800);

Unit

JclWin32


UNDNAME_COMPLETE Constant

UNDNAME_COMPLETE = ($0000);

Unit

JclWin32


UNDNAME_NAME_ONLY Constant

UNDNAME_NAME_ONLY = ($1000);

Unit

JclWin32


UNDNAME_NO_ACCESS_SPECIFIERS Constant

UNDNAME_NO_ACCESS_SPECIFIERS = ($0080);

Unit

JclWin32


UNDNAME_NO_ALLOCATION_LANGUAGE Constant

UNDNAME_NO_ALLOCATION_LANGUAGE = ($0010);

Unit

JclWin32


UNDNAME_NO_ALLOCATION_MODEL Constant

UNDNAME_NO_ALLOCATION_MODEL = ($0008);

Unit

JclWin32


UNDNAME_NO_ARGUMENTS Constant

UNDNAME_NO_ARGUMENTS = ($2000);

Unit

JclWin32


UNDNAME_NO_CV_THISTYPE Constant

UNDNAME_NO_CV_THISTYPE = ($0040);

Unit

JclWin32


UNDNAME_NO_FUNCTION_RETURNS Constant

UNDNAME_NO_FUNCTION_RETURNS = ($0004);

Unit

JclWin32


UNDNAME_NO_LEADING_UNDERSCORES Constant

UNDNAME_NO_LEADING_UNDERSCORES = ($0001);

Unit

JclWin32


UNDNAME_NO_MEMBER_TYPE Constant

UNDNAME_NO_MEMBER_TYPE = ($0200);

Unit

JclWin32


UNDNAME_NO_MS_KEYWORDS Constant

UNDNAME_NO_MS_KEYWORDS = ($0002);

Unit

JclWin32


UNDNAME_NO_MS_THISTYPE Constant

UNDNAME_NO_MS_THISTYPE = ($0020);

Unit

JclWin32


UNDNAME_NO_RETURN_UDT_MODEL Constant

UNDNAME_NO_RETURN_UDT_MODEL = ($0400);

Unit

JclWin32


UNDNAME_NO_SPECIAL_SYMS Constant

UNDNAME_NO_SPECIAL_SYMS = ($4000);

Unit

JclWin32


UNDNAME_NO_THISTYPE Constant

UNDNAME_NO_THISTYPE = ($0060);

Unit

JclWin32


UNDNAME_NO_THROW_SIGNATURES Constant

UNDNAME_NO_THROW_SIGNATURES = ($0100);

Unit

JclWin32


UNESegmentId Constant

UNESegmentId = 'UNE';

Unit

JclEDI_UNEDIFACT


UNGSegmentId Constant

UNGSegmentId = 'UNG';

Unit

JclEDI_UNEDIFACT


UNHSegmentId Constant

UNHSegmentId = 'UNH';

Unit

JclEDI_UNEDIFACT


UNIQUE_NAME Constant

UNIQUE_NAME = $00;

Unit

JclWin32


UNITS_PER_DAY Constant

UNITS_PER_DAY = 24;

Unit

JclWin32


UNITS_PER_WEEK Constant

UNITS_PER_WEEK = UNITS_PER_DAY * 7;

Unit

JclWin32


UnixTimeStart Constant

UnixTimeStart = 25569;

Unit

JclDateTime


UNLEN Constant

UNLEN = 256;

Unit

JclWin32


UNTSegmentId Constant

UNTSegmentId = 'UNT';

Unit

JclEDI_UNEDIFACT


UNZSegmentId Constant

UNZSegmentId = 'UNZ';

Unit

JclEDI_UNEDIFACT


USER_MAXSTORAGE_UNLIMITED Constant

USER_MAXSTORAGE_UNLIMITED = ULONG(-1);

Unit

JclWin32


USER_NO_LOGOFF Constant

USER_NO_LOGOFF = ULONG(-1);

Unit

JclWin32


USER_PRIV_ADMIN Constant

USER_PRIV_ADMIN = 2;

Unit

JclWin32


USER_PRIV_GUEST Constant

USER_PRIV_GUEST = 0;

Unit

JclWin32


USER_PRIV_MASK Constant

USER_PRIV_MASK = $3;

Unit

JclWin32


USER_PRIV_USER Constant

USER_PRIV_USER = 1;

Unit

JclWin32


Value_UndefinedMaximum Constant

Value_UndefinedMaximum = MaxInt;

Unit

JclEDISEF


VendorIDAMD Constant

VendorIDAMD: array [0..11] of Char = 'AuthenticAMD';

Unit

JclSysInfo


VendorIDCyrix Constant

VendorIDCyrix: array [0..11] of Char = 'CyrixInstead';

Unit

JclSysInfo


VendorIDIntel Constant

VendorIDIntel: array [0..11] of Char = 'GenuineIntel';

Unit

JclSysInfo


VendorIDTransmeta Constant

VendorIDTransmeta: array [0..11] of Char = 'GenuineTMx86';

Unit

JclSysInfo


VendorIDVIA Constant

VendorIDVIA: array [0..11] of Char = 'CentaurHauls';

Unit

JclSysInfo


VER_AND Constant

VER_AND = 6;

Unit

JclWin32


VER_BUILDNUMBER Constant

VER_BUILDNUMBER = $0000004;

Unit

JclWin32


VER_CONDITION_MASK Constant

VER_CONDITION_MASK = 7;

Unit

JclWin32


VER_EQUAL Constant

VER_EQUAL = 1;

Unit

JclWin32


VER_GREATER Constant

VER_GREATER = 2;

Unit

JclWin32


VER_GREATER_EQUAL Constant

VER_GREATER_EQUAL = 3;

Unit

JclWin32


VER_LESS Constant

VER_LESS = 4;

Unit

JclWin32


VER_LESS_EQUAL Constant

VER_LESS_EQUAL = 5;

Unit

JclWin32


VER_MAJORVERSION Constant

VER_MAJORVERSION = $0000002;

Unit

JclWin32


VER_MINORVERSION Constant

VER_MINORVERSION = $0000001;

Unit

JclWin32


VER_NUM_BITS_PER_CONDITION_MASK Constant

VER_NUM_BITS_PER_CONDITION_MASK = 3;

Unit

JclWin32


VER_OR Constant

VER_OR = 7;

Unit

JclWin32


VER_PLATFORM_WIN32_NT Constant

VER_PLATFORM_WIN32_NT = 2;

Unit

JclWin32


VER_PLATFORM_WIN32_WINDOWS Constant

VER_PLATFORM_WIN32_WINDOWS = 1;

Unit

JclWin32


VER_PLATFORM_WIN32s Constant

VER_PLATFORM_WIN32s = 0;

Unit

JclWin32


VER_PLATFORMID Constant

VER_PLATFORMID = $0000008;

Unit

JclWin32


VER_PRODUCT_TYPE Constant

VER_PRODUCT_TYPE = $0000080;

Unit

JclWin32


VER_SERVER_NT Constant

VER_SERVER_NT = DWORD($80000000);

Unit

JclWin32


VER_SERVICEPACKMAJOR Constant

VER_SERVICEPACKMAJOR = $0000020;

Unit

JclWin32


VER_SERVICEPACKMINOR Constant

VER_SERVICEPACKMINOR = $0000010;

Unit

JclWin32


VER_SUITE_BLADE Constant

VER_SUITE_BLADE = $00000400;

Unit

JclWin32


VER_SUITE_EMBEDDED_RESTRICTED Constant

VER_SUITE_EMBEDDED_RESTRICTED = $00000800;

Unit

JclWin32


VER_SUITE_SECURITY_APPLIANCE Constant

VER_SUITE_SECURITY_APPLIANCE = $00001000;

Unit

JclWin32


VER_SUITENAME Constant

VER_SUITENAME = $0000040;

Unit

JclWin32


VER_WORKSTATION_NT Constant

VER_WORKSTATION_NT = $40000000;

Unit

JclWin32


VFT2_DRV_COMM Constant

VFT2_DRV_COMM = 10;

Unit

JclWin32


VFT2_DRV_DISPLAY Constant

VFT2_DRV_DISPLAY = 4;

Unit

JclWin32


VFT2_DRV_INSTALLABLE Constant

VFT2_DRV_INSTALLABLE = 8;

Unit

JclWin32


VFT2_DRV_KEYBOARD Constant

VFT2_DRV_KEYBOARD = 2;

Unit

JclWin32


VFT2_DRV_LANGUAGE Constant

VFT2_DRV_LANGUAGE = 3;

Unit

JclWin32


VFT2_DRV_MOUSE Constant

VFT2_DRV_MOUSE = 5;

Unit

JclWin32


VFT2_DRV_NETWORK Constant

VFT2_DRV_NETWORK = 6;

Unit

JclWin32


VFT2_DRV_PRINTER Constant

VFT2_DRV_PRINTER = 1;

Unit

JclWin32


VFT2_DRV_SOUND Constant

VFT2_DRV_SOUND = 9;

Unit

JclWin32


VFT2_DRV_SYSTEM Constant

VFT2_DRV_SYSTEM = 7;

Unit

JclWin32


VFT2_UNKNOWN Constant

VFT2_UNKNOWN = 0;

Unit

JclWin32


VIA_3DNOW Constant

VIA_3DNOW = BIT_31;

Unit

JclSysInfo


VIA_APIC Constant

VIA_APIC = BIT_9;

Unit

JclSysInfo


VIA_BIT_10 Constant

VIA_BIT_10 = BIT_10;

Unit

JclSysInfo


VIA_BIT_19 Constant

VIA_BIT_19 = BIT_19;

Unit

JclSysInfo


VIA_BIT_20 Constant

VIA_BIT_20 = BIT_20;

Unit

JclSysInfo


VIA_BIT_21 Constant

VIA_BIT_21 = BIT_21;

Unit

JclSysInfo


VIA_BIT_22 Constant

VIA_BIT_22 = BIT_22;

Unit

JclSysInfo


VIA_BIT_26 Constant

VIA_BIT_26 = BIT_26;

Unit

JclSysInfo


VIA_BIT_27 Constant

VIA_BIT_27 = BIT_27;

Unit

JclSysInfo


VIA_BIT_28 Constant

VIA_BIT_28 = BIT_28;

Unit

JclSysInfo


VIA_BIT_29 Constant

VIA_BIT_29 = BIT_29;

Unit

JclSysInfo


VIA_BIT_30 Constant

VIA_BIT_30 = BIT_30;

Unit

JclSysInfo


VIA_CMOVE Constant

VIA_CMOVE = BIT_15;

Unit

JclSysInfo


VIA_CX8 Constant

VIA_CX8 = BIT_8;

Unit

JclSysInfo


VIA_DE Constant

VIA_DE = BIT_2;

Unit

JclSysInfo


VIA_FPU Constant

VIA_FPU = BIT_0;

Unit

JclSysInfo


VIA_FX Constant

VIA_FX = BIT_24;

Unit

JclSysInfo


VIA_MCA Constant

VIA_MCA = BIT_14;

Unit

JclSysInfo


VIA_MCE Constant

VIA_MCE = BIT_7;

Unit

JclSysInfo


VIA_MMX Constant

VIA_MMX = BIT_23;

Unit

JclSysInfo


VIA_MSR Constant

VIA_MSR = BIT_5;

Unit

JclSysInfo


VIA_MTRR Constant

VIA_MTRR = BIT_12;

Unit

JclSysInfo


VIA_PAE Constant

VIA_PAE = BIT_6;

Unit

JclSysInfo


VIA_PAT Constant

VIA_PAT = BIT_16;

Unit

JclSysInfo


VIA_PSE Constant

VIA_PSE = BIT_3;

Unit

JclSysInfo


VIA_PSE2 Constant

VIA_PSE2 = BIT_17;

Unit

JclSysInfo


VIA_PTE Constant

VIA_PTE = BIT_13;

Unit

JclSysInfo


VIA_SEP Constant

VIA_SEP = BIT_11;

Unit

JclSysInfo


VIA_SNUM Constant

VIA_SNUM = BIT_18;

Unit

JclSysInfo


VIA_SSE Constant

VIA_SSE = BIT_25;

Unit

JclSysInfo


VIA_TSC Constant

VIA_TSC = BIT_4;

Unit

JclSysInfo


VIA_VME Constant

VIA_VME = BIT_1;

Unit

JclSysInfo


VME_FLAG Constant

VME_FLAG = BIT_1;

Unit

JclSysInfo


VOS__BASE Constant

VOS__BASE = 0;

Unit

JclWin32


VOS__PM16 Constant

VOS__PM16 = 2;

Unit

JclWin32


VOS__PM32 Constant

VOS__PM32 = 3;

Unit

JclWin32


VOS__WINDOWS16 Constant

VOS__WINDOWS16 = 1;

Unit

JclWin32


VOS__WINDOWS32 Constant

VOS__WINDOWS32 = 4;

Unit

JclWin32


WideCarriageReturn Constant

WideCarriageReturn = WideChar(#13);

Unit

JclUnicode


WideCR Constant

WideCR = WideChar(#13);

Unit

JclUnicode


WideCRLF Constant

WideCRLF: WideString = #13#10;

Unit

JclUnicode


WideFormFeed Constant

WideFormFeed = WideChar(#12);

Unit

JclUnicode


WideLF Constant

WideLF = WideChar(#10);

Unit

JclUnicode


WideLineFeed Constant

WideLineFeed = WideChar(#10);

Unit

JclUnicode


WideLineSeparator Constant

WideLineSeparator = WideChar($2028);

Unit

JclUnicode


WideNull Constant

WideNull = WideChar(#0);

Unit

JclUnicode


WideParagraphSeparator Constant

WideParagraphSeparator = WideChar($2029);

Unit

JclUnicode


WideSpace Constant

WideSpace = WideChar(#32);

Unit

JclUnicode


WideTabulator Constant

WideTabulator = WideChar(#9);

Unit

JclUnicode


WideVerticalTab Constant

WideVerticalTab = WideChar(#11);

Unit

JclUnicode


WordMask Constant

WordMask = Word($FFFF);

Unit

JclLogic


XMLAttribute_Description Constant

XMLAttribute_Description = 'Description';

Unit

JclEDIXML


XMLAttribute_Id Constant

XMLAttribute_Id = 'Id';

Unit

JclEDIXML


XMLAttribute_MaximumLength Constant

XMLAttribute_MaximumLength = 'MaximumLength';

Unit

JclEDIXML


XMLAttribute_MaximumUsage Constant

XMLAttribute_MaximumUsage = 'MaximumUsage';

Unit

JclEDIXML


XMLAttribute_MinimumLength Constant

XMLAttribute_MinimumLength = 'MinimumLength';

Unit

JclEDIXML


XMLAttribute_OwnerLoopId Constant

XMLAttribute_OwnerLoopId = 'OwnerLoopId';

Unit

JclEDIXML


XMLAttribute_ParentLoopId Constant

XMLAttribute_ParentLoopId = 'ParentLoopId';

Unit

JclEDIXML


XMLAttribute_Position Constant

XMLAttribute_Position = 'Position';

Unit

JclEDIXML


XMLAttribute_RequirementDesignator Constant

XMLAttribute_RequirementDesignator = 'RequirementDesignator';

Unit

JclEDIXML


XMLAttribute_Section Constant

XMLAttribute_Section = 'Section';

Unit

JclEDIXML


XMLAttribute_Type Constant

XMLAttribute_Type = 'Type';

Unit

JclEDIXML


XMLTag_EDIFile Constant

XMLTag_EDIFile = 'EDIFile';

Unit

JclEDIXML


XMLTag_Element Constant

XMLTag_Element = 'Element';

Unit

JclEDIXML


XMLTag_FGHSegmentId Constant

XMLTag_FGHSegmentId = FGHSegmentId;

Unit

JclEDIXML


XMLTag_FGTSegmentId Constant

XMLTag_FGTSegmentId = FGTSegmentId;

Unit

JclEDIXML


XMLTag_FunctionalGroup Constant

XMLTag_FunctionalGroup = 'FunctionalGroup';

Unit

JclEDIXML


XMLTag_ICHSegmentId Constant

XMLTag_ICHSegmentId = ICHSegmentId;

Unit

JclEDIXML


XMLTag_ICTSegmentId Constant

XMLTag_ICTSegmentId = ICTSegmentId;

Unit

JclEDIXML


XMLTag_InterchangeControl Constant

XMLTag_InterchangeControl = 'InterchangeControl';

Unit

JclEDIXML


XMLTag_Segment Constant

XMLTag_Segment = 'Segment';

Unit

JclEDIXML


XMLTag_TransactionSet Constant

XMLTag_TransactionSet = 'TransactionSet';

Unit

JclEDIXML


XMLTag_TransactionSetLoop Constant

XMLTag_TransactionSetLoop = 'Loop';

Unit

JclEDIXML


XMLTag_TSHSegmentId Constant

XMLTag_TSHSegmentId = TSHSegmentId;

Unit

JclEDIXML


XMLTag_TSTSegmentId Constant

XMLTag_TSTSegmentId = TSTSegmentId;

Unit

JclEDIXML


Jcl8087.pas

Legend

Unit Jcl8087 contains various routine for manipulating the math coprocessor. This includes such things as querying and setting the rounding precision of floating point operations and retrieving the coprocessor's status word. }

Constants

All8087Exceptions

A set containing all FPU exception flags.

Enumerations

 T8087Exception

An enumeration describing the set of available FPU exception masks.

 T8087Infinity

Enumeration used for retrieving and setting the FPU infinity control.

 T8087Precision

Used for retrieving and setting the FPU precision control.

 T8087Rounding

Enumeration used for retrieving and setting the FPU rounding control.

Functions

ClearPending8087Exceptions

Clears all pending FPU exceptions.

Get8087ControlWord

Returns the 80x87 control word.

Get8087Infinity

Returns the infinity setting of the FPU.

Get8087Precision

Returns the precision setting of the FPU.

Get8087Rounding

Returns the rounding setting of the FPU.

Get8087StatusWord

Returns the 80x87 status word.

GetMasked8087Exceptions

Returns the set of masked FPU exceptions.

GetPending8087Exceptions

Returns a set of pending FPU exception flags.

Mask8087Exceptions

Masks additional exceptions.

Set8087ControlWord

Sets the 80x87 control word

Set8087Infinity

Sets the infinity control of the FPU.

Set8087Precision

Sets the precision control of the FPU.

Set8087Rounding

Sets the rounding control of the FPU.

SetMasked8087Exceptions

Sets the FPU exception mask.

Unmask8087Exceptions

Unmasks the specified exceptions.

Types

T8087Exceptions

An enumeration describing the set of available FPU exception masks.

Legend

Enumeration


Jcl8087.pas Enumerations

Jcl8087.pas	Legend

Enumerations

 T8087Exception

An enumeration describing the set of available FPU exception masks.

 T8087Infinity

Enumeration used for retrieving and setting the FPU infinity control.

 T8087Precision

Used for retrieving and setting the FPU precision control.

 T8087Rounding

Enumeration used for retrieving and setting the FPU rounding control.


Legend

Enumeration


Jcl8087.pas Functions

Jcl8087.pas

Functions

ClearPending8087Exceptions

Clears all pending FPU exceptions.

Get8087ControlWord

Returns the 80x87 control word.

Get8087Infinity

Returns the infinity setting of the FPU.

Get8087Precision

Returns the precision setting of the FPU.

Get8087Rounding

Returns the rounding setting of the FPU.

Get8087StatusWord

Returns the 80x87 status word.

GetMasked8087Exceptions

Returns the set of masked FPU exceptions.

GetPending8087Exceptions

Returns a set of pending FPU exception flags.

Mask8087Exceptions

Masks additional exceptions.

Set8087ControlWord

Sets the 80x87 control word

Set8087Infinity

Sets the infinity control of the FPU.

Set8087Precision

Sets the precision control of the FPU.

Set8087Rounding

Sets the rounding control of the FPU.

SetMasked8087Exceptions

Sets the FPU exception mask.

Unmask8087Exceptions

Unmasks the specified exceptions.


Jcl8087.pas Types

Jcl8087.pas

Types

T8087Exceptions

An enumeration describing the set of available FPU exception masks.


Jcl8087.pas Constants

Jcl8087.pas

Constants

All8087Exceptions

A set containing all FPU exception flags.


Legend

Jcl8087.pas

Legend

Enumeration


JclAppInst.pas

This unit contains a class and support routines for controlling the number of concurrent instances of your application that can exist at any time. In addition there is support for simple interprocess communication between these instance including a notification mechanism.

Classes

TJclAppInstances

TJclAppInstances allows you to control the number of application instances the user can run.

Constants

AI_INSTANCECREATED

WParam field for instance creation notifications

AI_INSTANCEDESTROYED

WParam field for instance destruction notifications

AI_USERMSG

WParam field for user-defined notification messages.

AppInstCmdLineDataKind

AppInstDataKindNoData

Functions

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

ReadMessageCheck

Determines the type of message.

ReadMessageData

Returns the data from a JclAppInstance IPC message.

ReadMessageString

Returns the data string from a JclAppInstance IPC message.

ReadMessageStrings

Returns the data string list from a JclAppInstance IPC message.

Types

TJclAppInstDataKind


JclAppInst.pas Classes

JclAppInst.pas

Classes

TJclAppInstances

TJclAppInstances allows you to control the number of application instances the user can run.


JclAppInst.pas Functions

JclAppInst.pas

Functions

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

ReadMessageCheck

Determines the type of message.

ReadMessageData

Returns the data from a JclAppInstance IPC message.

ReadMessageString

Returns the data string from a JclAppInstance IPC message.

ReadMessageStrings

Returns the data string list from a JclAppInstance IPC message.


JclAppInst.pas Types

JclAppInst.pas

Types

TJclAppInstDataKind


JclAppInst.pas Constants

JclAppInst.pas

Constants

AI_INSTANCECREATED

WParam field for instance creation notifications

AI_INSTANCEDESTROYED

WParam field for instance destruction notifications

AI_USERMSG

WParam field for user-defined notification messages.

AppInstCmdLineDataKind

AppInstDataKindNoData


JclFileUtils.pas

Legend

This unit contains routines and classes for working with files, directories and path strings. Additionally it contains wrapper classes for file mapping objects and version resources.

Generically speaking, everything that has to do with files and directories. Note that filesystem specific functionality has been extracted into external units, for example JclNTFS which contains NTFS specific utility routines, and that the JclShell unit contains some file related routines as well but they are specific to the Windows shell.

Classes

EJclFileMappingError

EJclFileMappingViewError

EJclFileUtilsError

EJclFileVersionInfoError

EJclPathError

EJclTempFileStreamError

TJclCustomFileAttrMask

TJclCustomFileMapping

Wrapper for Win32 filemapping object.

TJclFileAttributeMask

TJclFileEnumerator

TJclFileMapping

Implements a filemapping object backed by an actual disk file.

TJclFileMappingStream

TJclFileMappingView

Implements a file mapping view object.

TJclFileMaskComparator

TJclFileVersionInfo

Enables reading of version information from executables.

TJclMappedTextReader

TJclSwapFileMapping

Implements a filemapping object backed by the swap file.

TJclTempFileStream

Implements a temporary file-stream.

Constants

DriveLetters

Set of valid characters to use as drive letters.

ERROR_NO_MORE_FILES

faCompressed

faEncrypted

faNormalFile

faNotContentIndexed

faOffline

faRejectedByDefault

faReparsePoint

faSparseFile

faSymLink

faTemporary

faUnixSpecific

faWindowsSpecific

PathDevicePrefix

Prefix used to specify a physical device under Windows.

PathSeparator

Character used as path element separator.

PathUncPrefix

Prefix for UNC path names.

Enumerations

 TAttributeInterest

Defines the interest a file search operation may have in specific file attributes.

 TCompactPath

 TFileEnumeratorSyncMode

 TFileFlag

 TFileListOption

 TFileSearchOption

 TFileVersionFormat

 TJclAttributeMatch

 TJclFileMappingRoundOffset

 TJclMappedTextReaderIndex

Functions

AdvBuildFileList

AdvBuildFileList works like BuildFileList if called with only three parameters, but it accepts two optional parameters for extended functionality.

BuildFileList

Builds a list of files and folders in a directory.

CloseVolume

Closes a handle for a previously opened volume.

CreateEmptyFile

Creates a new file with a zero length.

CreateSymbolicLink

DeleteDirectory

Deletes specified file or moves it to recycle bin.

DelTree

Recursively deletes a folder.

DelTreeEx

Recursively deletes a folder.

DirectoryExists

Determines whether a directory exists.

DiskInDrive

Tests whether there is a disk in the specified drive.

EnumDirectories

EnumFiles

FileAttributesStr

FileBackup

FileCopy

Copies a file.

FileCreateTemp

Creates a temporary file.

FileDelete

FileExists

Tests whether a file exists.

FileGetDisplayName

Returns the display name of a path.

FileGetGroupName

Returns the name of the owner of a file.

FileGetOwnerName

Returns the name of the owner of a file.

FileGetSize

Returns the size of the specified file.

FileGetTempName

Returns the name for a temporary file.

FileGetTypeName

Returns a string that describes the file's type.

FileMove

FileRestore

FileSearch

FindUnusedFileName

Returns a unique filename composed of the specified parts and a unique number.

ForceDirectories

Creates all the directories along a directory path if they do not already exist.

FormatVersionString

FormatVersionString

FormatVersionString

fstat64

GetBackupFileName

Returns a file name that can be used for backup purposes.

GetDirectorySize

Returns the size of a directory.

GetDriveTypeStr

Returns the type of drive.

GetFileAgeCoherence

Tests the file age coherence of a file.

GetFileAttributeList

Converts attributes flag to a stringlist.

GetFileAttributeListEx

Converts attributes flag to a stringlist.

GetFileCreation

Returns the date/time that the file was created.

GetFileCreation

Returns the date/time that the file was created.

GetFileInformation

Returns information about a file.

GetFileInformation

Returns information about a file.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAttrChange

GetFileLastAttrChange

GetFileLastAttrChange

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileStatus

GetModulePath

Returns the filename of a module.

GetSizeOfFile

Returns the size of a file.

GetSizeOfFile

Returns the size of a file.

GetSizeOfFile

Returns the size of a file.

GetStandardFileInfo

Returns information about a file.

IsDirectory

Tests if the file is a directory.

IsFileAttributeMatch

IsFileNameMatch

IsRootDirectory

LockVolume

Locks the specified volume.

lstat64

OpenVolume

Opens a handle to the specified volume.

OSFileTypeToString

Maps a file type identifier to a string.

OSIdentToString

Maps an OS identifier as to a string.

PathAddExtension

Adds the extension to a path.

PathAddSeparator

Forces the string to end with a directory separator.

PathAppend

Concatenates two paths.

PathBuildRoot

Creates a root path for the given drive number.

PathCanonicalize

If possible, shortens a path by resolving relative path elements ('.', '..')

PathCommonPrefix

Compares two paths for a common prefix.

PathCompactPath

Compacts a path to fit within the given pixel width.

PathExtractElements

Extracts all elements from a path.

PathExtractFileDirFixed

Extracts drive and directory parts from a filename.

PathExtractFileNameNoExt

Extracts the filename without the extension.

PathExtractPathDepth

Returns Depth parts of the path excluding drive.

PathGetDepth

Returns the depth of the path specified by Path parameter.

PathGetLongName

Returns the long name of a path.

PathGetLongName2

Returns the long name of a path.

PathGetRelativePath

TODO

PathGetShortName

Returns the short name of a path.

PathGetTempPath

Retrieves the path of the directory designated for temporary files.

PathIsAbsolute

Tests if a path is an absolute path.

PathIsChild

Checks whether Path is a child of Base.

PathIsDiskDevice

Tests whether a path denotes a disk device.

PathIsUNC

Tests whether a path is a UNC path.

PathRemoveExtension

Removes the extension from a path.

PathRemoveSeparator

Removes a trailing directory separator from a path.

SetDirCreation

Sets the directory's last-write time stamp.

SetDirLastAccess

Sets the directory's last-write time stamp.

SetDirLastWrite

Sets the directory's last-write time stamp.

SetFileCreation

Sets the file's creation time stamp.

SetFileLastAccess

Sets the file's last-access time stamp.

SetFileLastWrite

Sets the file's last-write time stamp.

ShredFile

Shreds the contents of the file and then deletes it.

stat64

SymbolicLinkTarget

UnlockVolume

Tries to unlock the volume represented by the handle passed.

VerifyFileAttributeMask

VersionExtractFileInfo

VersionExtractProductInfo

VersionFixedFileInfo

Retrieves the root block of version information resource from the specified file.

VersionFixedFileInfoString

VersionResourceAvailable

Tests if a file has a version resource.

Interfaces

 IJclFileEnumerator

Interface for thread-based file search

Records

 TLangIdRec

Types

PLangIdRec

PPCharArray

TDelTreeProgress

Progress callback routine for the DelTreeEx function.

TFileFlags

TFileHandler

TFileHandlerEx

TFileListOptions

TFileMatchFunc

TFileSearchOptions

TFileSearchTaskID

TFileSearchTerminationEvent

TFileTime

TPCharArray

Legend

Interface

Enumeration

Record


JclFileUtils.pas Classes

JclFileUtils.pas

Classes

EJclFileMappingError

EJclFileMappingViewError

EJclFileUtilsError

EJclFileVersionInfoError

EJclPathError

EJclTempFileStreamError

TJclCustomFileAttrMask

TJclCustomFileMapping

Wrapper for Win32 filemapping object.

TJclFileAttributeMask

TJclFileEnumerator

TJclFileMapping

Implements a filemapping object backed by an actual disk file.

TJclFileMappingStream

TJclFileMappingView

Implements a file mapping view object.

TJclFileMaskComparator

TJclFileVersionInfo

Enables reading of version information from executables.

TJclMappedTextReader

TJclSwapFileMapping

Implements a filemapping object backed by the swap file.

TJclTempFileStream

Implements a temporary file-stream.


JclFileUtils.pas Interfaces

JclFileUtils.pas	Legend

Interfaces

 IJclFileEnumerator

Interface for thread-based file search


Legend

Interface


JclFileUtils.pas Enumerations

JclFileUtils.pas	Legend

Enumerations

 TAttributeInterest

Defines the interest a file search operation may have in specific file attributes.

 TCompactPath

 TFileEnumeratorSyncMode

 TFileFlag

 TFileListOption

 TFileSearchOption

 TFileVersionFormat

 TJclAttributeMatch

 TJclFileMappingRoundOffset

 TJclMappedTextReaderIndex


Legend

Enumeration


JclFileUtils.pas Records

JclFileUtils.pas	Legend

Records

 TLangIdRec


Legend

Record


JclFileUtils.pas Functions

JclFileUtils.pas

Functions

AdvBuildFileList

AdvBuildFileList works like BuildFileList if called with only three parameters, but it accepts two optional parameters for extended functionality.

BuildFileList

Builds a list of files and folders in a directory.

CloseVolume

Closes a handle for a previously opened volume.

CreateEmptyFile

Creates a new file with a zero length.

CreateSymbolicLink

DeleteDirectory

Deletes specified file or moves it to recycle bin.

DelTree

Recursively deletes a folder.

DelTreeEx

Recursively deletes a folder.

DirectoryExists

Determines whether a directory exists.

DiskInDrive

Tests whether there is a disk in the specified drive.

EnumDirectories

EnumFiles

FileAttributesStr

FileBackup

FileCopy

Copies a file.

FileCreateTemp

Creates a temporary file.

FileDelete

FileExists

Tests whether a file exists.

FileGetDisplayName

Returns the display name of a path.

FileGetGroupName

Returns the name of the owner of a file.

FileGetOwnerName

Returns the name of the owner of a file.

FileGetSize

Returns the size of the specified file.

FileGetTempName

Returns the name for a temporary file.

FileGetTypeName

Returns a string that describes the file's type.

FileMove

FileRestore

FileSearch

FindUnusedFileName

Returns a unique filename composed of the specified parts and a unique number.

ForceDirectories

Creates all the directories along a directory path if they do not already exist.

FormatVersionString

FormatVersionString

FormatVersionString

fstat64

GetBackupFileName

Returns a file name that can be used for backup purposes.

GetDirectorySize

Returns the size of a directory.

GetDriveTypeStr

Returns the type of drive.

GetFileAgeCoherence

Tests the file age coherence of a file.

GetFileAttributeList

Converts attributes flag to a stringlist.

GetFileAttributeListEx

Converts attributes flag to a stringlist.

GetFileCreation

Returns the date/time that the file was created.

GetFileCreation

Returns the date/time that the file was created.

GetFileInformation

Returns information about a file.

GetFileInformation

Returns information about a file.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastAttrChange

GetFileLastAttrChange

GetFileLastAttrChange

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetFileStatus

GetModulePath

Returns the filename of a module.

GetSizeOfFile

Returns the size of a file.

GetSizeOfFile

Returns the size of a file.

GetSizeOfFile

Returns the size of a file.

GetStandardFileInfo

Returns information about a file.

IsDirectory

Tests if the file is a directory.

IsFileAttributeMatch

IsFileNameMatch

IsRootDirectory

LockVolume

Locks the specified volume.

lstat64

OpenVolume

Opens a handle to the specified volume.

OSFileTypeToString

Maps a file type identifier to a string.

OSIdentToString

Maps an OS identifier as to a string.

PathAddExtension

Adds the extension to a path.

PathAddSeparator

Forces the string to end with a directory separator.

PathAppend

Concatenates two paths.

PathBuildRoot

Creates a root path for the given drive number.

PathCanonicalize

If possible, shortens a path by resolving relative path elements ('.', '..')

PathCommonPrefix

Compares two paths for a common prefix.

PathCompactPath

Compacts a path to fit within the given pixel width.

PathExtractElements

Extracts all elements from a path.

PathExtractFileDirFixed

Extracts drive and directory parts from a filename.

PathExtractFileNameNoExt

Extracts the filename without the extension.

PathExtractPathDepth

Returns Depth parts of the path excluding drive.

PathGetDepth

Returns the depth of the path specified by Path parameter.

PathGetLongName

Returns the long name of a path.

PathGetLongName2

Returns the long name of a path.

PathGetRelativePath

TODO

PathGetShortName

Returns the short name of a path.

PathGetTempPath

Retrieves the path of the directory designated for temporary files.

PathIsAbsolute

Tests if a path is an absolute path.

PathIsChild

Checks whether Path is a child of Base.

PathIsDiskDevice

Tests whether a path denotes a disk device.

PathIsUNC

Tests whether a path is a UNC path.

PathRemoveExtension

Removes the extension from a path.

PathRemoveSeparator

Removes a trailing directory separator from a path.

SetDirCreation

Sets the directory's last-write time stamp.

SetDirLastAccess

Sets the directory's last-write time stamp.

SetDirLastWrite

Sets the directory's last-write time stamp.

SetFileCreation

Sets the file's creation time stamp.

SetFileLastAccess

Sets the file's last-access time stamp.

SetFileLastWrite

Sets the file's last-write time stamp.

ShredFile

Shreds the contents of the file and then deletes it.

stat64

SymbolicLinkTarget

UnlockVolume

Tries to unlock the volume represented by the handle passed.

VerifyFileAttributeMask

VersionExtractFileInfo

VersionExtractProductInfo

VersionFixedFileInfo

Retrieves the root block of version information resource from the specified file.

VersionFixedFileInfoString

VersionResourceAvailable

Tests if a file has a version resource.


JclFileUtils.pas Types

JclFileUtils.pas

Types

PLangIdRec

PPCharArray

TDelTreeProgress

Progress callback routine for the DelTreeEx function.

TFileFlags

TFileHandler

TFileHandlerEx

TFileListOptions

TFileMatchFunc

TFileSearchOptions

TFileSearchTaskID

TFileSearchTerminationEvent

TFileTime

TPCharArray


JclFileUtils.pas Constants

JclFileUtils.pas

Constants

DriveLetters

Set of valid characters to use as drive letters.

ERROR_NO_MORE_FILES

faCompressed

faEncrypted

faNormalFile

faNotContentIndexed

faOffline

faRejectedByDefault

faReparsePoint

faSparseFile

faSymLink

faTemporary

faUnixSpecific

faWindowsSpecific

PathDevicePrefix

Prefix used to specify a physical device under Windows.

PathSeparator

Character used as path element separator.

PathUncPrefix

Prefix for UNC path names.


Legend

JclFileUtils.pas

Legend

Interface

Enumeration

Record


JclQGraphics.pas

Legend

EJclGraphicsError

TJclLinearTransformation

TJclTransformation

TJclTransformation is an abstract ancestor for bitmap transformation classes.

Enumerations

 TColorChannel

 TConversionKind

 TDrawMode

TDrawMode defines how the bitmap is combined with the backgrownd.

 TGradientDirection

Specifies the direction of the gradient.

 TJclRegionBitmapMode

Specifies the operation on the color.

 TJclRegionCombineOperator

Specifies the combination operator.

 TJclRegionKind

 TPolyFillMode

Specifies the fillmode of a poly region.

 TResamplingFilter

Filters for stretch function.

 TStretchFilter

Functions

BitmapToIcon

Converts a bitmap to an icon.

DrawBitmap

Draws a bitmap to a device context.

ExtractIconCount

Returns the number of icons in a file.

FillGradient

Fills a rectangle with a gradient pattern.

IconToBitmap

Converts an icon to a bitmap.

Stretch

Scales a graphic to a bitmap.

Stretch

Scales a graphic to a bitmap.

Records

 TMatrix3d

 TPointF

Types

TDynDynIntegerArrayArray

TDynDynPointArrayArray

TDynDynPointArrayArrayF

TDynPointArray

TDynPointArrayF

TGamma

TLUT8

TScanLine

TScanLines

Variables

IdentityMatrix

A 3x3 identity matrix.

Legend

Enumeration

Record


JclQGraphics.pas Classes

JclQGraphics.pas

Classes

EJclGraphicsError

TJclLinearTransformation

TJclTransformation

TJclTransformation is an abstract ancestor for bitmap transformation classes.


JclQGraphics.pas Enumerations

JclQGraphics.pas	Legend

Enumerations

 TColorChannel

 TConversionKind

 TDrawMode

TDrawMode defines how the bitmap is combined with the backgrownd.

 TGradientDirection

Specifies the direction of the gradient.

 TJclRegionBitmapMode

Specifies the operation on the color.

 TJclRegionCombineOperator

Specifies the combination operator.

 TJclRegionKind

 TPolyFillMode

Specifies the fillmode of a poly region.

 TResamplingFilter

Filters for stretch function.

 TStretchFilter


Legend

Enumeration


JclQGraphics.pas Records

JclQGraphics.pas	Legend

Records

 TMatrix3d

 TPointF


Legend

Record


JclQGraphics.pas Functions

JclQGraphics.pas

Functions

BitmapToIcon

Converts a bitmap to an icon.

DrawBitmap

Draws a bitmap to a device context.

ExtractIconCount

Returns the number of icons in a file.

FillGradient

Fills a rectangle with a gradient pattern.

IconToBitmap

Converts an icon to a bitmap.

Stretch

Scales a graphic to a bitmap.

Stretch

Scales a graphic to a bitmap.


JclQGraphics.pas Types

JclQGraphics.pas

Types

TDynDynIntegerArrayArray

TDynDynPointArrayArray

TDynDynPointArrayArrayF

TDynPointArray

TDynPointArrayF

TGamma

TLUT8

TScanLine

TScanLines


JclQGraphics.pas Variables

JclQGraphics.pas

Variables

IdentityMatrix

A 3x3 identity matrix.


Legend

JclQGraphics.pas

Legend

Enumeration

Record


JclStrHashMap.pas

Legend

This unit contains a string-pointer associative map. It works by hashing the added strings using a passed-in traits object.

Donator

Barry Kelly

Contributors

Barry Kelly, Robert Rossmair, Matthias Thoma, Petr Vones

Classes

EJclStringHashMapError

The error exception class used by TStringhashMap.

TCaseInsensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case insensitive traits, with order based on ordinal value.

TCaseSensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case sensitive traits, with order based on ordinal value.

TStringHashMap

TStringHashMap is a string-pointer associative array.

TStringHashMapTraits

An abstract class describing the interface for traits classes.

Functions

CaseInsensitiveTraits

A utility function returning an instance of TCaseInsensitiveTraits.

CaseSensitiveTraits

A utility function returning an instance of TCaseSensitiveTraits.

DataHash

A utility function which computes a hash a buffer.

Iterate_Dispose

A utility iterating function that calls Dispose for all data items in a map.

Iterate_FreeMem

A utility iterating function that calls FreeMem for all data items in a map.

Iterate_FreeObjects

A utility iterating function that calls TObject.Free for all data items in a map.

StrHash

Case sensitive hash of string s.

TextHash

Case insensitive hash of string s.

Records

 THashNode

The internal storage record used by TStringHashMap.

Types

PData

PHashArray

THashArray is the type of the array used for internal storage in TStringHashMap.

PHashNode

The internal storage record used by TStringHashMap.

PPHashNode

The internal storage record used by TStringHashMap.

PUserData

THashArray

THashArray is the type of the array used for internal storage in TStringHashMap.

THashValue

The type of the return value for hashing functions.

TIterateFunc

The type of the parameter to TStringHashMap.Iterate.

TIterateMethod

The type of the parameter to TStringHashMap.IterateMethod.

TNodeIterateFunc

Legend

Record


JclStrHashMap.pas Classes

JclStrHashMap.pas

Classes

EJclStringHashMapError

The error exception class used by TStringhashMap.

TCaseInsensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case insensitive traits, with order based on ordinal value.

TCaseSensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case sensitive traits, with order based on ordinal value.

TStringHashMap

TStringHashMap is a string-pointer associative array.

TStringHashMapTraits

An abstract class describing the interface for traits classes.


JclStrHashMap.pas Records

JclStrHashMap.pas	Legend

Records

 THashNode

The internal storage record used by TStringHashMap.


Legend

Record


JclStrHashMap.pas Functions

JclStrHashMap.pas

Functions

CaseInsensitiveTraits

A utility function returning an instance of TCaseInsensitiveTraits.

CaseSensitiveTraits

A utility function returning an instance of TCaseSensitiveTraits.

DataHash

A utility function which computes a hash a buffer.

Iterate_Dispose

A utility iterating function that calls Dispose for all data items in a map.

Iterate_FreeMem

A utility iterating function that calls FreeMem for all data items in a map.

Iterate_FreeObjects

A utility iterating function that calls TObject.Free for all data items in a map.

StrHash

Case sensitive hash of string s.

TextHash

Case insensitive hash of string s.


JclStrHashMap.pas Types

JclStrHashMap.pas

Types

PData

PHashArray

THashArray is the type of the array used for internal storage in TStringHashMap.

PHashNode

The internal storage record used by TStringHashMap.

PPHashNode

The internal storage record used by TStringHashMap.

PUserData

THashArray

THashArray is the type of the array used for internal storage in TStringHashMap.

THashValue

The type of the return value for hashing functions.

TIterateFunc

The type of the parameter to TStringHashMap.Iterate.

TIterateMethod

The type of the parameter to TStringHashMap.IterateMethod.

TNodeIterateFunc


Legend

JclStrHashMap.pas

Legend

Record


JclStrings.pas

The module JclStrings contains routines for strings manipulation, conversion and transformation.

Constants

AnsiAck

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBackslash

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBackspace

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBell

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCan

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCarriageReturn

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiComma

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCrLf

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc1

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc2

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc3

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc4

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDecDigits

Specifies the enumeration type containing digits from 0 to 9.

AnsiDle

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDoubleQuote

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEm

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEndOfFile

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEnq

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEot

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEscape

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEtb

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEtx

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiFormFeed

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiForwardSlash

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiFs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiGs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiHexDigits

Specifies enumeration typcontaining all valid characters for hexadecimal numbers representation.

AnsiLetters

AnsiLineBreak

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiLineFeed

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiLowercaseLetters

AnsiNak

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiNull

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiOctDigits

AnsiRs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSi

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSigns

AnsiSingleQuote

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSo

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSoh

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSpace

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiStx

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSyn

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiTab

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiUppercaseLetters

AnsiUs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiValidIdentifierLetters

AnsiVerticalTab

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiWhiteSpace

C1_ALPHA

C1_BLANK

C1_CNTRL

C1_DIGIT

C1_LOWER

C1_PUNCT

C1_SPACE

C1_UPPER

C1_XDIGIT

Functions

AddStringToStrings

Add a string to TStrings instance if conditions met.

AllocateMultiSz

AllocateWideMultiSz

ArrayOf

BooleanToStr

Returns a string representation of the boolean values True and False.

CharEqualNoCase

Test whether two characters are equal except possibly for case.

CharHex

Converts a hex digit character to its binary value.

CharIPos

Finds the position of a character in a string.

CharIsAlpha

Tests whether C is an alpha character.

CharIsAlphaNum

Test whether C is an alphanumeric character.

CharIsBlank

Test whether C is a blank character.

CharIsControl

Tests whether C is a control character.

CharIsDelete

Tests whether C is a delete character.

CharIsDigit

Test whether C is a digit.

CharIsLower

Tests whether a character is lowercase.

CharIsNumberChar

Tests whether C is a number.

CharIsPrintable

Tests whether a character is printable.

CharIsPunctuation

Tests whether a character is a punctuation character.

CharIsReturn

Tests whether C is a return character.

CharIsSpace

Tests whether C represents space.

CharIsUpper

Tests whether a character is uppercase.

CharIsWhiteSpace

Tests whether C represents space.

CharLastPos

CharLower

Lowercases a character.

CharPos

Finds the position of a character in a string.

CharReplace

Replaces all occurrences of a character in a string.

CharToggleCase

Reverses the case of a character.

CharType

Returns character type information.

CharUpper

Uppercases a character.

FileToString

Reads the contents of a file into a string.

FreeMultiSz

Frees the memory pointed to by Dest.

FreePCharVector

Frees a PCharVector

FreeWideMultiSz

MultiSzDup

MultiSzLength

MultiSzToStrings

Converts a list of null terminated strings to a string list.

PCharVectorCount

Returns the number of elements in a PCharVector.

PCharVectorToStrings

Converts a PCharVector to a stringlist.

StrAddRef

Increments the reference count of a long string.

StrAfter

Returns the portion of the string after a specific sub-string.

StrAllocSize

Returns the memory allocated to store the string.

StrAnsiToOem

Translates an ANSI string into a string using the OEM character set.

StrBefore

Returns the portion of the string before a specific sub-string.

StrBetween

Returns the sub-string between the first occurences of Start and Stop.

StrCenter

Centers a string.

StrCharCount

Counts the occurrences of a character in a string.

StrCharPosLower

StrCharPosUpper

StrCharsCount

Counts the occurrences of characters in a string.

StrChopRight

Removes the last N characters from the string.

StrCompare

Compares two strings.

StrCompareRange

Compares two (sub) strings.

StrConsistsOfNumberChars

Tests whether S contains only numerical characters.

StrContainsChars

Determines whether a string contains a specified set of characters.

StrDecRef

Decrements the reference count of a long string.

StrDoubleQuote

Returns a double-quoted version of the string.

StrEnsureNoPrefix

Eventually removes Prefix from Text.

StrEnsureNoSuffix

Eventually removes Suffix from Text.

StrEnsurePrefix

Forces Text to start with Prefix.

StrEnsureSuffix

Forces Text to end with Suffix.

StrEscapedToString

Converts an escaped string to a string.

StrFillChar

Creates a string consisting of the specified character repeated Count times.

StrFind

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrHasPrefix

Returns whether a string is prefixed by one of the supplied strings.

StrILastPos

Returns the index of the last occurrence of SubStr in S.

StrIndex

Returns the index of a string in an array of strings.

StringsToMultiSz

Converts a stringlist to a list of null terminated strings.

StringsToPCharVector

Converts a stringlist into a PCharVector.

StringsToStr

Converts a stringlist to a single string.

StringToFile

Writes a string to a file.

StrIPos

Returns the index of the first occurrence of SubStr in S.

StrIsAlpha

Tests whether S contains only alpha characters.

StrIsAlphaNum

Tests whether S contains only alpha-numerical characters.

StrIsAlphaNumUnderscore

Tests whether S contains only alpha-numerical and underscore characters.

StrIsDigit

Tests whether S contains only numerical characters.

StrIsOneOf

Tests whether the supplied string exists in the list of strings.

StrIsSubset

Tests whether S contains only characters from the supplied set.

StrIToStrings

Converts a string into a list of strings using the specified separator character.

StrKeepChars

Keeps all occurences of specified characters within a string and removes the others.

StrLastPos

Returns the index of the last occurrence of SubStr in S.

StrLeft

Returns the Count leftmost characters from the string.

StrLen

Returns the length of the supplied string.

StrLength

Returns the length of the supplied string.

StrLower

Lowercases all characters in a string

StrLowerBuff

Lowercases all characters in a string

StrLowerInPlace

Lowercases all characters in a string

StrMatch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrMatches

Compares two strings.

StrMid

Copies part of a string.

StrMove

Copies a sub-string from one string to another.

StrNIPos

Returns the position of the N-th occurence of a sub-string within a string.

StrNormIndex

Normalizes Index and count parameter.

StrNPos

Returns the position of the N-th occurence of a sub-string within a string.

StrOemToAnsi

Translates an OEM string into an ansi string.

StrPadLeft

Left pads a string with characters.

StrPadRight

Right pads a string with characters.

StrPrefixIndex

Returns the index at which a string appears which is used as a prefix.

StrProper

Lowercases the supplied string and uppercases the first character.

StrProperBuff

Lowercases the supplied string and uppercases the first character.

StrQuote

Quotes a string with a specific character.

StrRefCount

Returns the reference count of the supplied string.

StrRemoveChars

Removes a set of characters from a string.

StrRepeat

Repeats a string Count number of times.

StrRepeatLength

StrReplace

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string.

StrReplaceButChars

Replaces all occurrences of one or more characters with another character.

StrReplaceChar

Replaces all occurrences of a character with another character

StrReplaceChars

Replaces all occurrences of one or more characters with another character.

StrResetLength

Resets the length of the supplied string.

StrResetLength

Resets the length of the supplied string.

StrRestOf

Returns the remainder of a string starting at the specified index.

StrReverse

Reverses a string.

StrReverseInPlace

Reverses a string.

StrRight

Returns the Count rightmost characters from the string.

StrSame

Tests two strings for equality.

StrSearch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrSingleQuote

Returns a single-quoted version of the string.

StrSmartCase

Converts a string to 'smartcase' or 'camelcase'.

StrStrCount

Counts the occurrences of a substring in a string.

StrStringToEscaped

Converts a string to an escaped string.

StrStripNonNumberChars

Removes all non-number characters from a string.

StrToFloatSafe

The function StrToFloatSafe attempts to convert the string passed as a parameter to its float value.

StrToHex

Converts a string of hex digit pairs to the corresponding bytes.

StrToIntSafe

The function StrToIntSafe attempts to convert the string passed as a parameter to its integer value.

StrToken

Returns a sub-string from S which is followed by Separator and deletes the sub-string from S including the separator.

StrTokens

StrTokenToStrings

Breaks apart S using a specified delimiter into a StringList.

StrToStrings

Converts a string into a list of strings using the specified separator character.

StrTrimCharLeft

Removes leading characters from a string.

StrTrimCharRight

Removes trailing characters from a string.

StrTrimCharsLeft

Removes characters from the left side of supplied string.

StrTrimCharsRight

Removes characters from the right side of supplied string.

StrTrimQuotes

Removes surrounding quotes from the supplied string.

StrUpper

Uppercases all characters in a string

StrUpperBuff

Uppercases all characters in a string

StrUpperInPlace

Uppercases all characters in a string

StrWord

StrWord

TrimStrings

Trims all strings in a string list.

TrimStringsLeft

Left trims all strings in a stringlist.

TrimStringsRight

Right trims all strings in a stringlist.

TryStrToCurr

TryStrToFloat

TryStrToFloat

TryStrToFloat

TryStrToInt

TryStrToInt64

WideMultiSzDup

WideMultiSzLength

WideMultiSzToWideStrings

WideStringsToWideMultiSz

Types

EJclStringError

Class of exceptions that are risen by JclStrings unit's routines.

PCharVector

PCharVector type represents an array of pointers to PChars.

PMultiSz

PWideMultiSz


JclStrings.pas Functions

JclStrings.pas

Functions

AddStringToStrings

Add a string to TStrings instance if conditions met.

AllocateMultiSz

AllocateWideMultiSz

ArrayOf

BooleanToStr

Returns a string representation of the boolean values True and False.

CharEqualNoCase

Test whether two characters are equal except possibly for case.

CharHex

Converts a hex digit character to its binary value.

CharIPos

Finds the position of a character in a string.

CharIsAlpha

Tests whether C is an alpha character.

CharIsAlphaNum

Test whether C is an alphanumeric character.

CharIsBlank

Test whether C is a blank character.

CharIsControl

Tests whether C is a control character.

CharIsDelete

Tests whether C is a delete character.

CharIsDigit

Test whether C is a digit.

CharIsLower

Tests whether a character is lowercase.

CharIsNumberChar

Tests whether C is a number.

CharIsPrintable

Tests whether a character is printable.

CharIsPunctuation

Tests whether a character is a punctuation character.

CharIsReturn

Tests whether C is a return character.

CharIsSpace

Tests whether C represents space.

CharIsUpper

Tests whether a character is uppercase.

CharIsWhiteSpace

Tests whether C represents space.

CharLastPos

CharLower

Lowercases a character.

CharPos

Finds the position of a character in a string.

CharReplace

Replaces all occurrences of a character in a string.

CharToggleCase

Reverses the case of a character.

CharType

Returns character type information.

CharUpper

Uppercases a character.

FileToString

Reads the contents of a file into a string.

FreeMultiSz

Frees the memory pointed to by Dest.

FreePCharVector

Frees a PCharVector

FreeWideMultiSz

MultiSzDup

MultiSzLength

MultiSzToStrings

Converts a list of null terminated strings to a string list.

PCharVectorCount

Returns the number of elements in a PCharVector.

PCharVectorToStrings

Converts a PCharVector to a stringlist.

StrAddRef

Increments the reference count of a long string.

StrAfter

Returns the portion of the string after a specific sub-string.

StrAllocSize

Returns the memory allocated to store the string.

StrAnsiToOem

Translates an ANSI string into a string using the OEM character set.

StrBefore

Returns the portion of the string before a specific sub-string.

StrBetween

Returns the sub-string between the first occurences of Start and Stop.

StrCenter

Centers a string.

StrCharCount

Counts the occurrences of a character in a string.

StrCharPosLower

StrCharPosUpper

StrCharsCount

Counts the occurrences of characters in a string.

StrChopRight

Removes the last N characters from the string.

StrCompare

Compares two strings.

StrCompareRange

Compares two (sub) strings.

StrConsistsOfNumberChars

Tests whether S contains only numerical characters.

StrContainsChars

Determines whether a string contains a specified set of characters.

StrDecRef

Decrements the reference count of a long string.

StrDoubleQuote

Returns a double-quoted version of the string.

StrEnsureNoPrefix

Eventually removes Prefix from Text.

StrEnsureNoSuffix

Eventually removes Suffix from Text.

StrEnsurePrefix

Forces Text to start with Prefix.

StrEnsureSuffix

Forces Text to end with Suffix.

StrEscapedToString

Converts an escaped string to a string.

StrFillChar

Creates a string consisting of the specified character repeated Count times.

StrFind

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrHasPrefix

Returns whether a string is prefixed by one of the supplied strings.

StrILastPos

Returns the index of the last occurrence of SubStr in S.

StrIndex

Returns the index of a string in an array of strings.

StringsToMultiSz

Converts a stringlist to a list of null terminated strings.

StringsToPCharVector

Converts a stringlist into a PCharVector.

StringsToStr

Converts a stringlist to a single string.

StringToFile

Writes a string to a file.

StrIPos

Returns the index of the first occurrence of SubStr in S.

StrIsAlpha

Tests whether S contains only alpha characters.

StrIsAlphaNum

Tests whether S contains only alpha-numerical characters.

StrIsAlphaNumUnderscore

Tests whether S contains only alpha-numerical and underscore characters.

StrIsDigit

Tests whether S contains only numerical characters.

StrIsOneOf

Tests whether the supplied string exists in the list of strings.

StrIsSubset

Tests whether S contains only characters from the supplied set.

StrIToStrings

Converts a string into a list of strings using the specified separator character.

StrKeepChars

Keeps all occurences of specified characters within a string and removes the others.

StrLastPos

Returns the index of the last occurrence of SubStr in S.

StrLeft

Returns the Count leftmost characters from the string.

StrLen

Returns the length of the supplied string.

StrLength

Returns the length of the supplied string.

StrLower

Lowercases all characters in a string

StrLowerBuff

Lowercases all characters in a string

StrLowerInPlace

Lowercases all characters in a string

StrMatch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrMatches

Compares two strings.

StrMid

Copies part of a string.

StrMove

Copies a sub-string from one string to another.

StrNIPos

Returns the position of the N-th occurence of a sub-string within a string.

StrNormIndex

Normalizes Index and count parameter.

StrNPos

Returns the position of the N-th occurence of a sub-string within a string.

StrOemToAnsi

Translates an OEM string into an ansi string.

StrPadLeft

Left pads a string with characters.

StrPadRight

Right pads a string with characters.

StrPrefixIndex

Returns the index at which a string appears which is used as a prefix.

StrProper

Lowercases the supplied string and uppercases the first character.

StrProperBuff

Lowercases the supplied string and uppercases the first character.

StrQuote

Quotes a string with a specific character.

StrRefCount

Returns the reference count of the supplied string.

StrRemoveChars

Removes a set of characters from a string.

StrRepeat

Repeats a string Count number of times.

StrRepeatLength

StrReplace

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string.

StrReplaceButChars

Replaces all occurrences of one or more characters with another character.

StrReplaceChar

Replaces all occurrences of a character with another character

StrReplaceChars

Replaces all occurrences of one or more characters with another character.

StrResetLength

Resets the length of the supplied string.

StrResetLength

Resets the length of the supplied string.

StrRestOf

Returns the remainder of a string starting at the specified index.

StrReverse

Reverses a string.

StrReverseInPlace

Reverses a string.

StrRight

Returns the Count rightmost characters from the string.

StrSame

Tests two strings for equality.

StrSearch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrSingleQuote

Returns a single-quoted version of the string.

StrSmartCase

Converts a string to 'smartcase' or 'camelcase'.

StrStrCount

Counts the occurrences of a substring in a string.

StrStringToEscaped

Converts a string to an escaped string.

StrStripNonNumberChars

Removes all non-number characters from a string.

StrToFloatSafe

The function StrToFloatSafe attempts to convert the string passed as a parameter to its float value.

StrToHex

Converts a string of hex digit pairs to the corresponding bytes.

StrToIntSafe

The function StrToIntSafe attempts to convert the string passed as a parameter to its integer value.

StrToken

Returns a sub-string from S which is followed by Separator and deletes the sub-string from S including the separator.

StrTokens

StrTokenToStrings

Breaks apart S using a specified delimiter into a StringList.

StrToStrings

Converts a string into a list of strings using the specified separator character.

StrTrimCharLeft

Removes leading characters from a string.

StrTrimCharRight

Removes trailing characters from a string.

StrTrimCharsLeft

Removes characters from the left side of supplied string.

StrTrimCharsRight

Removes characters from the right side of supplied string.

StrTrimQuotes

Removes surrounding quotes from the supplied string.

StrUpper

Uppercases all characters in a string

StrUpperBuff

Uppercases all characters in a string

StrUpperInPlace

Uppercases all characters in a string

StrWord

StrWord

TrimStrings

Trims all strings in a string list.

TrimStringsLeft

Left trims all strings in a stringlist.

TrimStringsRight

Right trims all strings in a stringlist.

TryStrToCurr

TryStrToFloat

TryStrToFloat

TryStrToFloat

TryStrToInt

TryStrToInt64

WideMultiSzDup

WideMultiSzLength

WideMultiSzToWideStrings

WideStringsToWideMultiSz


JclStrings.pas Types

JclStrings.pas

Types

EJclStringError

Class of exceptions that are risen by JclStrings unit's routines.

PCharVector

PCharVector type represents an array of pointers to PChars.

PMultiSz

PWideMultiSz


JclStrings.pas Constants

JclStrings.pas

Constants

AnsiAck

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBackslash

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBackspace

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiBell

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCan

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCarriageReturn

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiComma

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiCrLf

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc1

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc2

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc3

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDc4

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDecDigits

Specifies the enumeration type containing digits from 0 to 9.

AnsiDle

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiDoubleQuote

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEm

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEndOfFile

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEnq

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEot

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEscape

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEtb

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiEtx

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiFormFeed

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiForwardSlash

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiFs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiGs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiHexDigits

Specifies enumeration typcontaining all valid characters for hexadecimal numbers representation.

AnsiLetters

AnsiLineBreak

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiLineFeed

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiLowercaseLetters

AnsiNak

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiNull

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiOctDigits

AnsiRs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSi

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSigns

AnsiSingleQuote

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSo

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSoh

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSpace

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiStx

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiSyn

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiTab

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiUppercaseLetters

AnsiUs

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiValidIdentifierLetters

AnsiVerticalTab

JclStrings defines several often used character definitions. They are symbolic representations of their corresponding ANSI character. They can, for instance, be used to achieve self explaining code.

AnsiWhiteSpace

C1_ALPHA

C1_BLANK

C1_CNTRL

C1_DIGIT

C1_LOWER

C1_PUNCT

C1_SPACE

C1_UPPER

C1_XDIGIT


JEDI Code Library

The JEDI Code Library (JCL) consists of a set of utility functions and non-visual classes which can be instantly reused in your Delphi and C++ Builder projects.

The library is built upon code donated from the JEDI community. It is reformatted to achieve a common look-and-feel, tested, documented and merged into the library. The library is grouped into several categories (see below). The library is released to the public under the terms of the Mozilla Public License (MPL) and as such can be freely used in both freeware/shareware, opensource and commercial projects.

The entire JEDI Code Library is distributed under the terms of the Mozilla Public License (MPL). This includes, but is not limited to, this document and all source code and ancillary files. Source code files included in the JCL have a header which explicitly states this (as is required) however, unless noted otherwise, all files including those without an MPL header, are subject to the MPL license.

For more information visit our homepage.

Notes

This documentation has been created using Doc-O-Matic Professional 5.0.2. Many thanks to toolsfactory for generously granting free licenses to the JEDI team!

Topics

Algorithms

Base Services

Containers

Date and Time

Debugging

Electronic Data Interchange (EDI)

Expression Evaluation

Files and IO

Graphics

Internationalisation

Internet and E-mail

Libraries, Processes and Threads

Math Routines

Memory, Classes and Objects

MIME

Miscellaneous

MultiMedia

Ordinal Math and Logic

Registry and Ini files

Runtime Type Information

String manipulation

System Information Routines

Unicode

Unit Conversions

Windows


Topics

JEDI Code Library

Topics

Algorithms

Base Services

Containers

Date and Time

Debugging

Electronic Data Interchange (EDI)

Expression Evaluation

Files and IO

Graphics

Internationalisation

Internet and E-mail

Libraries, Processes and Threads

Math Routines

Memory, Classes and Objects

MIME

Miscellaneous

MultiMedia

Ordinal Math and Logic

Registry and Ini files

Runtime Type Information

String manipulation

System Information Routines

Unicode

Unit Conversions

Windows


Algorithms

JEDI Code Library

Topics

Searching

Sorting


Topics

Algorithms

Topics

Searching

Sorting


Searching

Algorithms

Topics

Hash Maps


Topics

Searching

Topics

Hash Maps


Hash Maps

Legend

Searching

Topics

Customizing TStringHashMap's node allocation strategy.

You can customize the way TStringHashMap allocates nodes, to avoid the overhead of millions of calls to New, by overriding the AllocNode and FreeNode methods.

Classes

EJclStringHashMapError

The error exception class used by TStringhashMap.

TStringHashMapTraits

An abstract class describing the interface for traits classes.

TStringHashMap

TStringHashMap is a string-pointer associative array.

TCaseSensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case sensitive traits, with order based on ordinal value.

TCaseInsensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case insensitive traits, with order based on ordinal value.

Functions

CaseSensitiveTraits

A utility function returning an instance of TCaseSensitiveTraits.

CaseInsensitiveTraits

A utility function returning an instance of TCaseInsensitiveTraits.

StrHash

Case sensitive hash of string s.

TextHash

Case insensitive hash of string s.

DataHash

A utility function which computes a hash a buffer.

Iterate_FreeObjects

A utility iterating function that calls TObject.Free for all data items in a map.

Iterate_Dispose

A utility iterating function that calls Dispose for all data items in a map.

Iterate_FreeMem

A utility iterating function that calls FreeMem for all data items in a map.

Records

 THashNode

The internal storage record used by TStringHashMap.

Types

THashValue

The type of the return value for hashing functions.

TIterateFunc

The type of the parameter to TStringHashMap.Iterate.

TIterateMethod

The type of the parameter to TStringHashMap.IterateMethod.

THashArray

THashArray is the type of the array used for internal storage in TStringHashMap.

Legend

Record


Topics

Hash Maps

Topics

Customizing TStringHashMap's node allocation strategy.

You can customize the way TStringHashMap allocates nodes, to avoid the overhead of millions of calls to New, by overriding the AllocNode and FreeNode methods.


Hash Maps Classes

Hash Maps

Classes

EJclStringHashMapError

The error exception class used by TStringhashMap.

TStringHashMapTraits

An abstract class describing the interface for traits classes.

TStringHashMap

TStringHashMap is a string-pointer associative array.

TCaseSensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case sensitive traits, with order based on ordinal value.

TCaseInsensitiveTraits

A useful concrete descendant of TStringHashMapTraits which implements case insensitive traits, with order based on ordinal value.


Hash Maps Types

Hash Maps

Types

THashValue

The type of the return value for hashing functions.

TIterateFunc

The type of the parameter to TStringHashMap.Iterate.

TIterateMethod

The type of the parameter to TStringHashMap.IterateMethod.

THashArray

THashArray is the type of the array used for internal storage in TStringHashMap.


Hash Maps Functions

Hash Maps

Functions

CaseSensitiveTraits

A utility function returning an instance of TCaseSensitiveTraits.

CaseInsensitiveTraits

A utility function returning an instance of TCaseInsensitiveTraits.

StrHash

Case sensitive hash of string s.

TextHash

Case insensitive hash of string s.

DataHash

A utility function which computes a hash a buffer.

Iterate_FreeObjects

A utility iterating function that calls TObject.Free for all data items in a map.

Iterate_Dispose

A utility iterating function that calls Dispose for all data items in a map.

Iterate_FreeMem

A utility iterating function that calls FreeMem for all data items in a map.


Hash Maps Records

Hash Maps	Legend

Records

 THashNode

The internal storage record used by TStringHashMap.


Legend

Record


Legend

Hash Maps

Legend

Record


Customizing TStringHashMap's node allocation strategy.

Methods	Legend

You can customize the way TStringHashMap allocates nodes, to avoid the overhead of millions of calls to New, by overriding the AllocNode and FreeNode methods.

Group

Hash Maps

Legend

protected


Customizing TStringHashMap's node allocation strategy. Methods

Customizing TStringHashMap's node allocation strategy.	Legend

Methods

 AllocNode

Allocates a node.

 FreeNode

Frees a node.


Legend

protected


Legend

Customizing TStringHashMap's node allocation strategy.

Legend

protected


Allocating a node

TStringHashMap Class

Allocates a node.

Pascal

function AllocNode: PHashNode; virtual;

Return Value

A pointer to a newly allocated node, with the Left and Right members set to nil.

Donator

Barry Kelly

Group

Customizing TStringHashMap's node allocation strategy.


Freeing a node

TStringHashMap Class

Frees a node.

Pascal

procedure FreeNode(ANode: PHashNode); virtual;

Parameters

ANode: PHashNode

The node to free.

Donator

Barry Kelly

Group

Customizing TStringHashMap's node allocation strategy.


EJclStringHashMapError Class

The error exception class used by TStringhashMap.

Pascal

EJclStringHashMapError = class(EJclError);

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


THashValue Type

The type of the return value for hashing functions.

Pascal

THashValue = Cardinal;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TStringHashMapTraits Class

Methods	See Also

An abstract class describing the interface for traits classes.

Pascal

TStringHashMapTraits = class(TObject);

Description

The desired behaviour of TStringHashMap for case sensitive and case insensitive maps is different. This class describes the interface through which user code can communicate to TStringHashMap how string keys added should be treated. Concrete instances are returned by the CaseSensitiveTraits and CaseInsensitiveTraits functions.

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TStringHashMapTraits Class Methods

TStringHashMapTraits Class

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


TStringHashMapTraits Class Members

TStringHashMapTraits Class

Members

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


See Also

TCaseSensitiveTraits, TCaseInsensitiveTraits


TStringHashMapTraits.Compare Method

TStringHashMapTraits Class

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Pascal

function Compare(const L: string; const R: string): Integer; virtual; abstract;

Donator

Barry Kelly

Class

TStringHashMapTraits Class


TStringHashMapTraits.Hash Method

TStringHashMapTraits Class

Returns the hash value of the string s.

Pascal

function Hash(const S: string): Cardinal; virtual; abstract;

Donator

Barry Kelly

Class

TStringHashMapTraits Class


CaseSensitiveTraits Function

A utility function returning an instance of TCaseSensitiveTraits.

Pascal

function CaseSensitiveTraits: TStringHashMapTraits;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


CaseInsensitiveTraits Function

A utility function returning an instance of TCaseInsensitiveTraits.

Pascal

function CaseInsensitiveTraits: TStringHashMapTraits;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TIterateFunc Type

The type of the parameter to TStringHashMap.Iterate.

Pascal

TIterateFunc = function (AUserData: PUserData; const AStr: string; var APtr: PData): Boolean;

Description

AUserData: The same parameter as was passed to the Iterate method.

AStr: The value of the string part of the current key.

APtr: The value of the pointer part of the current key.

Should return True to continue iterating, or False to stop iterating and return to whatever called the Iterate method.

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TIterateMethod Type

The type of the parameter to TStringHashMap.IterateMethod.

Pascal

TIterateMethod = function (AUserData: PUserData; const AStr: string; var APtr: PData): Boolean of object;

Description

These are the meanings of the arguments:

AUserData: The same parameter as was passed to the IterateMethod method. AStr: The value of the string part of the current key. APtr: The value of the pointer part of the current key.

Return value: Should return True to continue iterating, or False to stop iterating and return to whatever called the IterateMethod method.

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


THashNode Record

The internal storage record used by TStringHashMap.

Pascal

PPHashNode = ^PHashNode;
PHashNode = ^THashNode;
THashNode = record
  Str: string;
  Ptr: Pointer;
  Left: PHashNode;
  Right: PHashNode;
end;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


THashArray Type

THashArray is the type of the array used for internal storage in TStringHashMap.

Pascal

PHashArray = ^THashArray;
THashArray = array [0..MaxInt div SizeOf(PHashNode) - 1] of PHashNode;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TStringHashMap Class

Properties	Methods	Legend

TStringHashMap is a string-pointer associative array.

Pascal

TStringHashMap = class(TObject);

Description

TStringHashMap is a string-pointer associative array. It uses a hash table for its implementation, which has several ramifications for its behaviour:

Lookup by string takes a constant time, i.e. if the map is big enough it takes just as long to find an item from 10 as from 10 million (ignoring cache and paging effects).

Items are unordered. An iteration of all the items using the Iterate or IterateMethod methods won't go through all the items in any order that has meaning, i.e. the ordering is essentially random.

Donator

Barry Kelly

Group

Hash Maps

Legend

read only

Constructor

protected

Unit

JclStrHashMap


TStringHashMap Class Properties

TStringHashMap Class	Legend

Properties

 Count

The number of assocations stored in the map.

Data

Allows access to the map like an array looked up by string.

HashSize

The internal hash table size.

 Traits

Returns the traits object being used by the map.


Legend

read only


TStringHashMap Class Methods

TStringHashMap Class	Legend

Methods

Add

Adds an association to the map.

Clear

Clears the map of all associations.

 Create

Constructs a new TStringHashMap instance.

 Destroy

Destroys the instance. Call Free instead of Destroy.

Find

Finds the data part of an association corresponding to a string key.

FindData

Finds the string key for a data value.

 FindNode

A helper method used by the public methods.

 GetData

Data property getter.

Has

Checks if the map has an association with a string key.

Iterate

Iterates through associations in the map.

IterateMethod

Iterates through associations in the map.

Remove

Removes an association from the map.

RemoveData

Removes every instance of p as a data field from the map.

 SetData

Data property setter.


Legend

Constructor

protected


Legend

TStringHashMap Class

Legend

read only

Constructor

protected


TStringHashMap Class Members

TStringHashMap Class	Legend

Members

Properties

 Count

The number of assocations stored in the map.

Data

Allows access to the map like an array looked up by string.

HashSize

The internal hash table size.

 Traits

Returns the traits object being used by the map.

Methods

Add

Adds an association to the map.

Clear

Clears the map of all associations.

 Create

Constructs a new TStringHashMap instance.

 Destroy

Destroys the instance. Call Free instead of Destroy.

Find

Finds the data part of an association corresponding to a string key.

FindData

Finds the string key for a data value.

 FindNode

A helper method used by the public methods.

 GetData

Data property getter.

Has

Checks if the map has an association with a string key.

Iterate

Iterates through associations in the map.

IterateMethod

Iterates through associations in the map.

Remove

Removes an association from the map.

RemoveData

Removes every instance of p as a data field from the map.

 SetData

Data property setter.


Legend

read only

Constructor

protected


TStringHashMap.Count Property

TStringHashMap Class

The number of assocations stored in the map.

Pascal

property Count: Cardinal;

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Data Property

Examples	TStringHashMap Class

Allows access to the map like an array looked up by string.

Pascal

property Data [const S: string]: PData;

Description

This is the default property, so it needn't be specified directly. If the key corresponding to the string isn't found, an assocation is added if setting, but isn't added if getting. Reading from the map with a key not in the map will return nil.

Donator

Barry Kelly

Class

TStringHashMap Class


Examples

TStringHashMap.Data Property

Demonstrates use of the TStringHashMap.Data property.

var

  myMap: TStringHashMap;

  // ...

  myMap['this'] := Self;

  if myMap['something'] = nil then

    // 'something' not found


TStringHashMap.HashSize Property

TStringHashMap Class

The internal hash table size.

Pascal

property HashSize: Cardinal;

Description

The hash table size affects all operations on the hash map. For maps designed to work with large numbers of assocations, the table should be correspondingly larger.

Notes

Don't change the value of this property too often, as it will force all items in the table to be rehashed, and this can take some time.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Traits Property

TStringHashMap Class

Returns the traits object being used by the map.

Pascal

property Traits: TStringHashMapTraits;

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Add Method

TStringHashMap Class

Adds an association to the map.

Pascal

procedure Add(const S: string; const P);

Parameters

const S: string

The key to add.

const P

The data to add. It is an untyped constant to avoid typecasting issues, and to make code using the map more readable. It should be a 4-byte data type, like Integer or Pointer, or some object reference.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Clear Method

TStringHashMap Class

Clears the map of all associations.

Pascal

procedure Clear;

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Create Constructor

TStringHashMap Class

Constructs a new TStringHashMap instance.

Pascal

constructor Create(ATraits: TStringHashMapTraits; AHashSize: Cardinal);

Parameters

ATraits: TStringHashMapTraits

An instance of a descendant of TStringHashMapTraits. This object describes how the hash map will hash and compare string values.

AHashSize: Cardinal

An initial size for the internal hash lookup table. This doesn't limit the amount of items the hash can hold; it just affects the speed of operations on the hash map. See the HashSize property for more info.

Notes

AHashSize should not be a power of 2. Use a power of 2 minus 1, or a prime number.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Destroy Destructor

TStringHashMap Class

Destroys the instance. Call Free instead of Destroy.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Find Method

TStringHashMap Class

Finds the data part of an association corresponding to a string key.

Pascal

function Find(const S: string; var P): Boolean;

Parameters

const S: string

The string key to find.

var P

A reference to a pointer which will be updated if the assocation is found. If the assocation isn't found, the pointer isn't touched. That is, it won't automatically be set to nil.

Return Value

True if the key was found, False otherwise.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.FindData Method

TStringHashMap Class

Finds the string key for a data value.

Pascal

function FindData(const P; var S: string): Boolean;

Description

FindData will find the first association in the map with a data field equal to p. However, the order of the search has no meaning; if there are multiple instances of p in the node, the key returned is not in any particular order.

Parameters

const P

The data value to find.

var S: string

A reference to the string key to set if found.

Return Value

True if found, false otherwise.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.FindNode Method

TStringHashMap Class

A helper method used by the public methods.

Pascal

function FindNode(const S: string): PPHashNode;

Description

Returns, using double indirection, the node corresponding to the parameter. The double indirection allows internal implementation methods to both search and add using only one search through the table.

Parameters

const S: string

The string key of the node to find.

Return Value

The location of the pointer to the node corresponding to s, if s is in the hash table. If s isn't in the table, then it will return the location of the pointer (= nil) which must be set in order to add s correctly to the table.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.GetData Method

TStringHashMap Class

Data property getter.

Pascal

function GetData(const S: string): PData;

Parameters

const S: string

The key of the node to find.

Return Value

The value of the pointer if the node exists, or nil otherwise.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Has Method

TStringHashMap Class

Checks if the map has an association with a string key.

Pascal

function Has(const S: string): Boolean;

Parameters

const S: string

The key to search for.

Return Value

True if found, False if there is no assocation with key s in the map.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.Iterate Method

See Also	TStringHashMap Class

Iterates through associations in the map.

Pascal

procedure Iterate(AUserData: PUserData; AIterateFunc: TIterateFunc);

Parameters

AUserData: PUserData

A pointer parameter passed through untouched to the iterator function.

AIterateFunc: TIterateFunc

A function pointer called for every assocation in the map; it should return False if it wants to prematurely stop the iteration.

Donator

Barry Kelly

Class

TStringHashMap Class


See Also

IterateMethod


TStringHashMap.IterateMethod Method

See Also	TStringHashMap Class

Iterates through associations in the map.

Pascal

procedure IterateMethod(AUserData: PUserData; AIterateMethod: TIterateMethod);

Parameters

AUserData: PUserData

A pointer parameter passed through untouched to the iterator method.

AIterateMethod: TIterateMethod

A method pointer called for every assocation in the map; it should return False if it wants to prematurely stop the iteration.

Donator

Barry Kelly

Class

TStringHashMap Class


See Also

Iterate


TStringHashMap.Remove Method

Examples	TStringHashMap Class

Removes an association from the map.

Pascal

function Remove(const S: string): PData;

Description

The Remove method isn't as fast at removing items as Clear is; that is, calling Remove for every key in the hash will be quite a bit slower than calling Clear. The method returns the data field so that compact code can be written. See the example for sample usage.

EJclStringHashMapError will be raised if the item isn't found.

Parameters

const S: string

The string value of the association to remove.

Return Value

The data field of the assocation.

Donator

Barry Kelly

Class

TStringHashMap Class


Examples

TStringHashMap.Remove Method

This example demonstrates how the Remove method's return value can be used.

var

  myMap: TStringHashMap;

  // ...

  TObject(myMap.Remove('SomeItem')).Free;

}


TStringHashMap.RemoveData Method

TStringHashMap Class

Removes every instance of p as a data field from the map.

Pascal

procedure RemoveData(const P);

Parameters

const P

The data to item.

Donator

Barry Kelly

Class

TStringHashMap Class


TStringHashMap.SetData Method

TStringHashMap Class

Data property setter.

Pascal

procedure SetData(const S: string; P: PData);

Description

SetData will create a new node if none exists with key s.

Parameters

const S: string

The key of the node to set.

P: PData

The data to set the node's data to.

Donator

Barry Kelly

Class

TStringHashMap Class


StrHash Function

Case sensitive hash of string s.

Pascal

function StrHash(const S: string): THashValue;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TextHash Function

Case insensitive hash of string s.

Pascal

function TextHash(const S: string): THashValue;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


DataHash Function

A utility function which computes a hash a buffer.

Pascal

function DataHash(var AValue; ASize: Cardinal): THashValue;

Parameters

var AValue

A reference to the buffer to compute a hash value for.

ASize: Cardinal

The size of the buffer. Use SizeOf where possible.

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


Iterate_FreeObjects Function

Examples

A utility iterating function that calls TObject.Free for all data items in a map.

Pascal

function Iterate_FreeObjects(AUserData: PUserData; const AStr: string; var AData: PData): Boolean;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


Examples

Iterate_FreeObjects Function

This frees all objects in the map and clears the map.

var

  myMap: TStringHashMap;

  // ...

  myMap.Iterate(nil, Iterate_FreeObjects);

  myMap.Clear;


Iterate_Dispose Function

See Also

A utility iterating function that calls Dispose for all data items in a map.

Pascal

function Iterate_Dispose(AUserData: PUserData; const AStr: string; var AData: PData): Boolean;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


See Also

Iterate_FreeObjects


Iterate_FreeMem Function

See Also

A utility iterating function that calls FreeMem for all data items in a map.

Pascal

function Iterate_FreeMem(AUserData: PUserData; const AStr: string; var AData: PData): Boolean;

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


See Also

Iterate_FreeMem


TCaseSensitiveTraits Class

Methods	See Also

A useful concrete descendant of TStringHashMapTraits which implements case sensitive traits, with order based on ordinal value.

Pascal

TCaseSensitiveTraits = class(TStringHashMapTraits);

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TCaseSensitiveTraits Class Methods

TCaseSensitiveTraits Class

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.

TCaseSensitiveTraits Class

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


TCaseSensitiveTraits Class Members

TCaseSensitiveTraits Class

Members

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.

TCaseSensitiveTraits Class

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


See Also

TCaseInsensitiveTraits


TCaseSensitiveTraits.Compare Method

TCaseSensitiveTraits Class

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Pascal

function Compare(const L: string; const R: string): Integer; override;

Donator

Barry Kelly

Class

TCaseSensitiveTraits Class


TCaseSensitiveTraits.Hash Method

TCaseSensitiveTraits Class

Returns the hash value of the string s.

Pascal

function Hash(const S: string): Cardinal; override;

Donator

Barry Kelly

Class

TCaseSensitiveTraits Class


TCaseInsensitiveTraits Class

Methods	See Also

A useful concrete descendant of TStringHashMapTraits which implements case insensitive traits, with order based on ordinal value.

Pascal

TCaseInsensitiveTraits = class(TStringHashMapTraits);

Donator

Barry Kelly

Group

Hash Maps

Unit

JclStrHashMap


TCaseInsensitiveTraits Class Methods

TCaseInsensitiveTraits Class

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.

TCaseInsensitiveTraits Class

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


TCaseInsensitiveTraits Class Members

TCaseInsensitiveTraits Class

Members

Methods

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.

TCaseInsensitiveTraits Class

Compare

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Hash

Returns the hash value of the string s.


See Also

TCaseSensitiveTraits


TCaseInsensitiveTraits.Compare Method

TCaseInsensitiveTraits Class

Returns a negative integer if l is before r, a positive integer if r is before l, and zero if they are equal; all comparisons being lexicographical, i.e. not necessarily based on the ordinal values of the characters, but may be case insensitive, for example.

Pascal

function Compare(const L: string; const R: string): Integer; override;

Donator

Barry Kelly

Class

TCaseInsensitiveTraits Class


TCaseInsensitiveTraits.Hash Method

TCaseInsensitiveTraits Class

Returns the hash value of the string s.

Pascal

function Hash(const S: string): Cardinal; override;

Donator

Barry Kelly

Class

TCaseInsensitiveTraits Class


Sorting

Algorithms


Base Services

JEDI Code Library

Topics

Compatibility

Dynamic arrays

Dynamic loading

Error Handling

Int64 support

Numeric formatting routines

Pointer manipulation

Constants

JclVersion

Constants describing the JCL version.

Functions

Iff

Replacement for the C++ ternary conditional operator.

Types

Float

Generic floating point type.


Base Services Functions

Base Services

Functions

Iff

Replacement for the C++ ternary conditional operator.


Base Services Constants

Base Services

Constants

JclVersion

Constants describing the JCL version.


Base Services Types

Base Services

Types

Float

Generic floating point type.


Topics

Base Services

Topics

Compatibility

Dynamic arrays

Dynamic loading

Error Handling

Int64 support

Numeric formatting routines

Pointer manipulation


Iff Function

Replacement for the C++ ternary conditional operator.

Pascal

function Iff(const Condition: Boolean; const TruePart: string; const FalsePart: string): string; overload;
function Iff(const Condition: Boolean; const TruePart: Char; const FalsePart: Char): Char; overload;
function Iff(const Condition: Boolean; const TruePart: Byte; const FalsePart: Byte): Byte; overload;
function Iff(const Condition: Boolean; const TruePart: Integer; const FalsePart: Integer): Integer; overload;
function Iff(const Condition: Boolean; const TruePart: Cardinal; const FalsePart: Cardinal): Cardinal; overload;
function Iff(const Condition: Boolean; const TruePart: Float; const FalsePart: Float): Float; overload;
function Iff(const Condition: Boolean; const TruePart: Boolean; const FalsePart: Boolean): Boolean; overload;
function Iff(const Condition: Boolean; const TruePart: Pointer; const FalsePart: Pointer): Pointer; overload;
function Iff(const Condition: Boolean; const TruePart: Int64; const FalsePart: Int64): Int64; overload;
function Iff(const Condition: Boolean; const TruePart: Variant; const FalsePart: Variant): Variant; overload;

Description

Iff is a replacement for the C/C++ ternary conditional operator ?:. It evaluates the specified boolean expression and depending on the outcome returns either the specified TruePart or FalsePart parameter. The difference to the C/C++ operator is that both expressions are evaluated.

Parameters

const Condition: Boolean

The expression which determines which of the other parameters is returned as the function result.

const TruePart: string

The function result if Condition evaluates to True.

const FalsePart: string

The function result if Condition evaluates to False.

Return Value

If Condition evaluates to True TruePart is returned, otherwise FalsePart is returned.

Donator

Bernhard Berger

Group

Base Services

Unit

JclSysUtils


JclVersion Constant

Constants describing the JCL version.

Pascal

JclVersion = (JclVersionMajor shl 24) or (JclVersionMinor shl 16) or (JclVersionRelease shl 15) or (JclVersionBuild shl 0);

Description

The JclVersion constants define the version of JCL. Major, Minor, Release and Build are merely placeholders, you can lookup the actual value in JclBase.pas.
Constant	Description
JclVersion	All of the other version values packed into a single integer. The separate values are moved into the individual bytes. From the most significant byte towards the least significant: Major, Minor, Release, Build
JclVersionMajor	Major version of JCL
JclVersionMinor	Minor version of JCL. Incremented for each minor release such as when minor additions and/or bug fixes have been made
JclVersionBuild	Build number of JCL. This is roughly equivalent to the number of days that JCL has been worked on (starting February 2000)
JclVersionRelease	If set to 1 this is an official release. If 0 this is a preview or beta version.
Donator

Marcel van Brakel

Group

Base Services

Unit

JclBase


Float Type

Generic floating point type.

Pascal

Float = Single;

Description

Float represents a generic floating point type and is used mostly in JclMath. Float is conditionally defined as either Extended, Double or Single with Extended being the default. You can change the type that Float is defined as globally by using the MATH_PRECISION_X compiler directives. See Compiler Directives for more information.

Donator

Marcel van Brakel

Group

Base Services

Unit

JclBase


Compatibility

Base Services

Topics

LongWord

Alias for Cardinal.

TSysCharSet

A set of characters.

TObjectList

TList descendent to maintain a list of TObject descendants.

Functions

RaiseLastOSError

Raises an exception for the last occurring OS or system library error.

Types

IInterface

IInterface is the base class for all Object Pascal interfaces.


Topics

Compatibility

Topics

LongWord

Alias for Cardinal.

TSysCharSet

A set of characters.

TObjectList

TList descendent to maintain a list of TObject descendants.


Compatibility Functions

Compatibility

Functions

RaiseLastOSError

Raises an exception for the last occurring OS or system library error.


Compatibility Types

Compatibility

Types

IInterface

IInterface is the base class for all Object Pascal interfaces.


LongWord

Alias for Cardinal.

Description

LongWord is an alias for Cardinal and as such represents an unsigned 32-bit integer. For Delphi 4 and C++ Builder 4 up this type is 'defined' in System.pas, in earlier versions this type didn't exist so it is defined in JclBase.

Donator

Marcel van Brakel

Group

Compatibility


TSysCharSet

A set of characters.

Description

TSysCharSet represents a set of characters. For Delphi 4 and C++ Builder 4 up this type is defined in SysUtils, in earlier versions this type didn't exist so it is defined in JclBase.

Donator

Marcel van Brakel

Group

Compatibility


TObjectList

TList descendent to maintain a list of TObject descendants.

Description

TObjectList is a TList descendant adapted to maintain a list of TObject descendants which can optionally be owned by the class. If the class owns the items, it will automatically free the objects when the list is cleared. This class is only provided for backward compatibility and is not a full-fledged implementation of TObjectList as found in Delphi 5 and up.

Donator

Petr Vones

Group

Compatibility


RaiseLastOSError Function

Raises an exception for the last occurring OS or system library error.

Pascal

procedure RaiseLastOSError;

Description

Call RaiseLastOSError to raise an EWin32Error exception for the last OS API call that failed. RaiseLastOSError retrieves the code for the last occurring API call error, if any. If this belongs to a previously occurring error, RaiseLastOSError raises an EWin32Error exception with the error code and message associated with that error. This routine is provided for backwards compatibility.

Donator

JCL Team

Group

Compatibility

Unit

JclBase


IInterface Type

IInterface is the base class for all Object Pascal interfaces.

Pascal

IInterface = IUnknown;

Description

IInterface is the base class for all Object Pascal interfaces. This interface declaration is provided for backwards compatibility. When compiling with a pre Delphi 6 compiler it is declared as an alias for IUnknown. In Delphi 6 and above, this interface is declared in the System.pas unit and IUnknown is declared as an alias for IInterface. For more information see the Delphi for IUnknown or IInterface depending on your Delphi version.

Donator

JCL Team

Group

Compatibility

Unit

JclBase


Dynamic arrays

Base Services

Topics

TDynArray

A dynamic array of some type.

DynArrayHigh

Upper bound for dynamic array of some type.

DynArrayAllocSize

Returns the allocation size for a dynamic array.

DynArrayLength

Returns the length of a dynamic array.

DynArrayElemSize

Returns the size of an element in the array.

DynArrayInitialize

Initializes a dynamic array for use.

DynArrayFinalize

Releases the memory reserved for the dynamic array.

DynArraySetLength

Sets the length of the dynamic array.


Topics

Dynamic arrays

Topics

TDynArray

A dynamic array of some type.

DynArrayHigh

Upper bound for dynamic array of some type.

DynArrayAllocSize

Returns the allocation size for a dynamic array.

DynArrayLength

Returns the length of a dynamic array.

DynArrayElemSize

Returns the size of an element in the array.

DynArrayInitialize

Initializes a dynamic array for use.

DynArrayFinalize

Releases the memory reserved for the dynamic array.

DynArraySetLength

Sets the length of the dynamic array.


TDynArray

A dynamic array of some type.

Description

TDynArray represents a dynamic array. Depending on the compiler version this is an actual dynamic array or a simulated dynamic array. The tables below show the declaration of the dynamic array types. When the compiler natively supports dynamic arrays you can work with types just as if they were declared using the array of Type syntax.

If the compiler doesn't support dynamic arrays you must use the various DynArrayXxx routines. Before you can use a TDynArray you must initialize it using DynArrayInitialize. To query or change the length of the array you use DynArrayLength and DynArraySetLength respectively. To reference an element of the array you use MyArray^[Index] where Index is the index of the element between 0 and the length of the array minus 1. When you are done with the array you must release it's memory by calling DynArrayFinalize.

Compiler supports dynamic arrays (Note that routines that take a TDynArray as a parameter need an actual TDynArray so you can't declare the parameter using the "array of Type" syntax):
Type	Declaration
TDynByteArray	array of Byte
TDynShortArray	array of Shortint
TDynSmallintArray	array of Smallint
TDynWordArray	array of Word
TDynIntegerArray	array of Integer
TDynLongintArray	array of Longint
TDynCardinalArray	array of Cardinal
TDynInt64Array	array of Int64
TDynExtendedArray	array of Extended
TDynDoubleArray	array of Double
TDynSingleArray	array of Single

Compiler does not support dynamic arrays (See the various DynArrayXxx routines). The TDynXxxArray types are declared as a pointer to PDynXxxArray types. The use of the 'P' and 'T' prefix are reversed here to maintain consistency with the situation where dynamic arrays are supported. As an example the full declaration of TDynByteArray is: PDynByteArray = array [0..DynByteArrayHigh] of Byte; TDynByteArray = ^PDynByteArray; Keep in mind that it is the TDynArray variant that actually use in your code but that in reality this is a pointer and as such must be dereferenced before you can access an element of the array.
Type	Declaration
TDynByteArray	^array [0..DynByteArrayHigh] of Byte
TDynShortArray	^array [0..DynShortintArrayHigh] of Shortint
TDynSmallintArray	^array [0..DynSmallintArrayHigh] of Smallint
TDynWordArray	^array [0..DynWordArrayHigh] of Word
TDynIntegerArray	^array [0..DynIntegerArrayHigh] of Integer
TDynLongintArray	^array [0..DynLongintArrayHigh] of Longint
TDynCardinalArray	^array [0..DynCardinalArrayHigh] of Cardinal
TDynInt64Array	^array [0..DynInt64ArrayHigh] of Int64
TDynExtendedArray	^array [0..DynExtendedArrayHigh] of Extended
TDynDoubleArray	^array [0..DynDoubleArrayHigh] of Double
TDynSingleArray	^array [0..DynSingleArrayHigh] of Single
Donator

Marcel van Brakel

Group

Dynamic arrays


DynArrayHigh

Upper bound for dynamic array of some type.

Description

DynArrayHigh contains the upper bound for a dynamic array of some type. The table below shows these values for each supported type. These value are obtained by dividing 2GB (the maximum array size) by the size of the type (in bytes). Note that DynFloatArrayHigh depends on the MATH_PRECISION_X compiler directive and as such equals DynExtendedArrayHigh, DynDoubleArrayHigh or DynSingleArrayHigh.
Constant	Value
DynByteArrayHigh	2147483646
DynShortArrayHigh	2147483646
DynSmallintArrayHigh	1073741822
DynWordArrayHigh	1073741822
DynIntegerArrayHigh	536870908
DynLongintArrayHigh	536870908
DynCardinalArrayHigh	536870908
DynInt64ArrayHigh	268435448
DynExtendedArrayHigh	214748363
DynDoubleArrayHigh	536870908
DynSingleArrayHigh	268435448
Donator

Marcel van Brakel

Group

Dynamic arrays


DynArrayAllocSize

See Also

Returns the allocation size for a dynamic array.

Description

DynArrayAllocSize returns the amount of memory, in bytes, that are allocated for the supplied dynamic array. Since dynamic arrays are allocated with some additional maintenance data the return value will always be at least 12 bytes more than the memory needed to hold the actual elements.

Parameters

A

The dynamic array for which you want to know the allocation size. This array must have been previously initialized with DynArrayInitialize or the result will be unpredictable.

Return Value

The amount of dynamic memory, in bytes, reserved for the dynamic array.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayLength DynArrayElemSize DynArrayInitialize DynArrayFinalize DynArraySetLength


DynArrayLength

See Also

Returns the length of a dynamic array.

Description

DynArrayLength returns the length of the supplied dynamic array in terms of the number of elements contained in the array. This is always the value supplied to the last call to DynArraySetLength or DynArrayInitialize. Note that a dynamic array is allowed to have a length of 0.

Parameters

A

The dynamic array whose length you want.

Return Value

The length of the supplied dynamic array in terms of number of elements.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayAllocSize DynArrayElemSize DynArrayInitialize DynArrayFinalize DynArraySetLength


DynArrayElemSize

See Also

Returns the size of an element in the array.

Description

DynArrayElemSize returns the size, in bytes, of the elements contained in the dynamic array. This function is not very useful for application programmers but is used internally.

Parameters

A

The dynamic array you want to query for its element size.

Return Value

The size of an individual element, in bytes.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayAllocSize DynArrayLength DynArrayInitialize DynArrayFinalize DynArraySetLength


DynArrayInitialize

See Also

Initializes a dynamic array for use.

Description

DynArrayInitialize initializes a dynamic array variable for use. You must call this function before using the dynamic array. The function allocates memory for the maintenance data and initial elements, if directed to do so. Initial elements are initialized to 0 and can be used immediately without having to call DynArraySetLength. When you are done using the array you must release its memory by calling DynArrayFinalize.

Parameters

A

The dynamic array variable to initialize;

ElementSize

Size, in bytes, of the elements contained in the dynamic array. Always use the SizeOf operator for this parameter. For example, if A is declared as a TDynIntegerArray then use SizeOf(Integer) for this parameter.

InitialLength

Initial size of the array. That is, the number of elements in the array. The function allocates enough memory to hold at least InitialLength number of elements and initializes them to 0. You can immediately start to use them without the need to call DynArraySetLength. You can pass 0 if you don't want to initialize the length of the array.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayAllocSize DynArrayLength DynArrayElemSize DynArrayFinalize DynArraySetLength


DynArrayFinalize

See Also

Releases the memory reserved for the dynamic array.

Description

DynArrayFinalize releases the memory reserved for the dynamic array. You must always call this function when done using the dynamic array. Note that setting the array's length to 0 with DynArraySetLength does not release all memory associated with the dynamic array.

Parameters

A

The dynamic array variable to finalize.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayAllocSize DynArrayLength DynArrayElemSize DynArrayInitialize DynArraySetLength


DynArraySetLength

See Also

Sets the length of the dynamic array.

Description

DynArraySetLength sets the length of the specified dynamic array. The array must have previously been initialized with DynArrayInitialize. This function maintains the contents of the elements in the array before resizing it and in the situation where the array grows, the new elements are initialized to 0.

Parameters

A

The dynamic array to resize.

NewLength

The new length, in terms of number of elements, of the array. This value must be greater than or equal to 0. Note that setting the array's length to 0 does not release all of it's associated memory. You must call DynArrayFinalize when done using the dynamic array.

Donator

Marcel van Brakel

Group

Dynamic arrays


See Also

DynArrayAllocSize DynArrayLength DynArrayElemSize DynArrayInitialize DynArrayFinalize


Dynamic loading

Base Services

Constants

INVALID_MODULEHANDLE_VALUE

OS independent value for variables of type TModuleHandle.

Functions

LoadModule

Loads the dynamic module (DLL) from file FileName.

LoadModuleEx

Loads the dynamic module (DLL) from file FileName.

UnloadModule

Unloads a dynamic module (DLL) from memory.

GetModuleSymbol

Gives access to the exported symbol SymbolName from the loaded module Module.

GetModuleSymbolEx

Gives access to the exported symbol SymbolName from the loaded module Module.

ReadModuleData

Reads the data of an exported variable.

WriteModuleData

Writes the data of an exported variable.

Types

TModuleHandle

OS independent type for loaded modules.


Dynamic loading Types

Dynamic loading

Types

TModuleHandle

OS independent type for loaded modules.


Dynamic loading Constants

Dynamic loading

Constants

INVALID_MODULEHANDLE_VALUE

OS independent value for variables of type TModuleHandle.


Dynamic loading Functions

Dynamic loading

Functions

LoadModule

Loads the dynamic module (DLL) from file FileName.

LoadModuleEx

Loads the dynamic module (DLL) from file FileName.

UnloadModule

Unloads a dynamic module (DLL) from memory.

GetModuleSymbol

Gives access to the exported symbol SymbolName from the loaded module Module.

GetModuleSymbolEx

Gives access to the exported symbol SymbolName from the loaded module Module.

ReadModuleData

Reads the data of an exported variable.

WriteModuleData

Writes the data of an exported variable.


TModuleHandle Type

OS independent type for loaded modules.

Pascal

TModuleHandle = Pointer;

Description

OS independent type for loaded modules.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


INVALID_MODULEHANDLE_VALUE Constant

OS independent value for variables of type TModuleHandle.

Pascal

INVALID_MODULEHANDLE_VALUE = TModuleHandle(0);

Description

OS independent value for variables of type TModuleHandle. Denotes that the variable does not contain a valid handle to a module.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


LoadModule Function

See Also

Loads the dynamic module (DLL) from file FileName.

Pascal

function LoadModule(var Module: TModuleHandle; FileName: string): Boolean;

Description

The dynamic module (DLL) is loaded into memory and its initialization code is executed. This is an OS independent replacement for LoadLibrary. The function does nothing but reports success if Module is not initialized to INVALID_MODULEHANDLE_VALUE to prevent multiple loads.

Parameters

var Module: TModuleHandle

Receives the handle of the loaded module.

FileName: string

File name of the module to load.

Return Value

The function returns True if the module could be loaded False otherwise.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

LoadModuleEx UnloadModule


LoadModuleEx Function

See Also

Loads the dynamic module (DLL) from file FileName.

Pascal

function LoadModuleEx(var Module: TModuleHandle; FileName: string; Flags: Cardinal): Boolean;

Description

The dynamic module (DLL) is loaded into memory and its initialization code is executed if the flags allow that. This is an OS independent replacement for LoadLibraryEx. Flags are OS dependent. For Windows its the flags of LoadLibraryEx. The function does nothing but reports success if Module is not initialized to INVALID_MODULEHANDLE_VALUE to prevent multiple loads.

Parameters

var Module: TModuleHandle

Receives the handle of the loaded module.

FileName: string

File name of the module to load.

Flags: Cardinal

Additional loading flags.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

LoadModule UnloadModule


UnloadModule Function

See Also

Unloads a dynamic module (DLL) from memory.

Pascal

procedure UnloadModule(var Module: TModuleHandle);

Description

Unloads a dynamic module (DLL) loaded with LoadModule or

Parameters

var Module: TModuleHandle

Contains the handle of the module to unload.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

LoadModule LoadModuleEx


GetModuleSymbol Function

See Also

Gives access to the exported symbol SymbolName from the loaded module Module.

Pascal

function GetModuleSymbol(Module: TModuleHandle; SymbolName: string): Pointer;

Description

Gives access to the exported symbol SymbolName from the loaded module Module. Normally this is the name of an exported function.

Parameters

Module: TModuleHandle

Handle to the loaded module.

SymbolName: string

Name of the exported symbol to access.

Return Value

The pointer to the exported symbol. Normally this is a "pointer to function" as C calls it. In Pascal its a function type. nil is returned for symbols not contained in the module.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

GetModuleSymbolEx


GetModuleSymbolEx Function

See Also

Gives access to the exported symbol SymbolName from the loaded module Module.

Pascal

function GetModuleSymbolEx(Module: TModuleHandle; SymbolName: string; var Accu: Boolean): Pointer;

Description

Gives access to the exported symbol SymbolName from the loaded module Module. Normally this is the name of an exported function. Accu is updated by "Accu := Accu and (Result <> nil);". This allows to call GetModuleSymbolEx for many symbols and render a global result for successfully accessing all symbols.

Parameters

Module: TModuleHandle

Handle to the loaded module.

SymbolName: string

Name of the exported symbol to access.

var Accu: Boolean

Success accumulator to be updated.

Return Value

The pointer to the exported symbol. Normally this is a "pointer to function" as C calls it. In Pascal its a function type. nil is returned for symbols not contained in the module and Accu will contain False.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

GetModuleSymbol


ReadModuleData Function

See Also

Reads the data of an exported variable.

Pascal

function ReadModuleData(Module: TModuleHandle; SymbolName: string; var Buffer; Size: Cardinal): Boolean;

Description

ReadModuleData copies the contents of the exported variable SymbolName to Buffer. Size tells the amount of bytes to be copied. This function allows to access variables in dynamic modules which are not directly accessible in Pascal. Beware! You are accessing the DLL memory image directly. Be sure to access a variable not a function and be sure to read the correct amount of data.

Parameters

Module: TModuleHandle

Handle to the loaded module.

SymbolName: string

Name of the exported variable to access.

The untyped destination of the copy.

Size: Cardinal

Amount of bytes to copy.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

WriteModuleData


WriteModuleData Function

See Also

Writes the data of an exported variable.

Pascal

function WriteModuleData(Module: TModuleHandle; SymbolName: string; var Buffer; Size: Cardinal): Boolean;

Description

WriteModuleData copies the contents of Buffer to the exported variable SymbolName. Size tells the amount of bytes to be copied. This function allows to set variables in dynamic modules which are not directly accessible in Pascal. BEWARE! You are accessing the DLL memory image directly. Be sure to access a variable not a function and be sure to write the correct amount of data. The changes are not persistent. They get lost when the DLL is unloaded.

Parameters

Module: TModuleHandle

Handle to the loaded module.

SymbolName: string

Name of the exported variable to access.

The untyped source of the copy.

Size: Cardinal

Amount of bytes to copy.

Donator

Robert Marquardt

Group

Dynamic loading

Unit

JclSysUtils


See Also

ReadModuleData


Error Handling

Base Services

Classes

EJclError

Base exception class for all JCL exceptions.

EJclInternalError

Exception class for JCL internal errors.

EJclWin32Error

Base class for exceptions raised in response to Win32 errors.


Error Handling Classes

Error Handling

Classes

EJclError

Base exception class for all JCL exceptions.

EJclInternalError

Exception class for JCL internal errors.

EJclWin32Error

Base class for exceptions raised in response to Win32 errors.


EJclError Class

Base exception class for all JCL exceptions.

Pascal

EJclError = class(Exception);

Description

EJclError is the base class used for all exception classes in the JCL. It inherits directly from Exception without adding any new functionality. It only exists to provide a distinction between exceptions raised by the JCL and those raised by the RTL/VCL and 3rd parties. It does introduce two constructors, CreateResRec and CreateResRecFmt, which are replacements for the Exception class methods CreateRes and CreateResFmt respectively (to remove the need for overloads and backwards compatibility).

Donator

Marcel van Brakel

Group

Error Handling

Unit

JclBase


EJclInternalError Class

Exception class for JCL internal errors.

Pascal

EJclInternalError = class(EJclError);

Description

Exceptions of the EJclInternalError exception class are raised if some internal consistency check fails.

Donator

Unknown

Group

Error Handling

Unit

JclBase


EJclWin32Error Class

Properties	Methods	Legend

Base class for exceptions raised in response to Win32 errors.

Pascal

EJclWin32Error = class(EJclError);

Description

The EJclWin32Error exception class is used as the base class for exceptions that are raised in response to the failure of a Win32 API function that sets LastError. The EJclWin32Error constructors automatically call GetLastError, the result of which is made available to the programmer through the LastError property. Additionally it appends a human-readable string to the passed in exception Msg corresponding to the last error. This message is separated from the passed in Msg by a carriage return and is made available through the LastErrorMsg property.

Donator

Marcel van Brakel

Group

Error Handling

Legend

read only

Constructor

Unit

JclBase


EJclWin32Error Class Properties

EJclWin32Error Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclWin32Error Class Methods

EJclWin32Error Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclWin32Error Class

Legend

read only

Constructor


EJclWin32Error Class Members

EJclWin32Error Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


EJclWin32Error.LastError Property

See Also	EJclWin32Error Class

Contains the LastError.

Pascal

property LastError: DWORD;

Description

The LastError property returns the error code retrieved by a call to GetLastError at the time the exception was raised.

Donator

Marcel van Brakel

Class

EJclWin32Error Class


See Also

LastErrorMsg


EJclWin32Error.LastErrorMsg Property

See Also	EJclWin32Error Class

Error string corresponding to LastError.

Pascal

property LastErrorMsg: string;

Description

The LastErrorMsg property contains the error message string associated with the last error code.

Donator

Marcel van Brakel

Class

EJclWin32Error Class


See Also

LastError


EJclWin32Error.Create Constructor

EJclWin32Error Class

Instantiates an EJclWin32Error with a simple string.

Pascal

constructor Create(const Msg: string);

Description

Create instantiates an EJclWin32Error exception class. The Msg parameter is the string which is displayed in the exception dialog box and is also available through the Message property.

Parameters

const Msg: string

The string to be associated with the exception. The programmer can query the class for this string using the Message property. If the exception is unhandled the RTL displays this message in the exception dialog box.

Donator

Marcel van Brakel

Class

EJclWin32Error Class


EJclWin32Error.CreateFmt Constructor

See Also	EJclWin32Error Class

Instantiates an EJclWin32Error with a formatted string.

Pascal

constructor CreateFmt(const Msg: string; const Args: array of const);

Description

CreateFmt instantiates EJclWin32Error exception class. The Msg parameter is the string which is displayed in the exception dialog box and is also available through the Message property. See the Format function for more information about formatting a string.

Parameters

const Msg: string

String containing format specifiers to be replaced with values from the Args array.

const Args: array of const

Array of constants which are formatted according to the format specifiers in the Msg parameter.

Donator

Marcel van Brakel

Class

EJclWin32Error Class


See Also

Create CreateRes CreateResRec


EJclWin32Error.CreateRes Constructor (Integer)

See Also	EJclWin32Error Class

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.

Pascal

constructor CreateRes(Ident: Integer); overload;
constructor CreateRes(ResStringRec: PResStringRec); overload;

Description

CreateRes instantiates an EJclWin32Error exception class. Ident must be the unique ID of a string resource which is displayed in the exception dialog box and is also available through the Message property.

Parameters

Ident: Integer

Unique ID of a string resource.

Donator

Marcel van Brakel

Class

EJclWin32Error Class


See Also

Create CreateFmt CreateResRec


Int64 support

Base Services

Topics

I64Assign

Initializes an Int64 to the supplied values.

I64Copy

Copies an Int64

I64Compare

Compares two 64 bit integers.

Functions

CardinalsToI64

Packs the supplied 32 bit values in an Int64

I64ToCardinals

Extracts the high and low 32 bit values from an Int64.


Topics

Int64 support

Topics

I64Assign

Initializes an Int64 to the supplied values.

I64Copy

Copies an Int64

I64Compare

Compares two 64 bit integers.


Int64 support Functions

Int64 support

Functions

CardinalsToI64

Packs the supplied 32 bit values in an Int64

I64ToCardinals

Extracts the high and low 32 bit values from an Int64.


I64Assign

See Also

Initializes an Int64 to the supplied values.

Description

I64Assign implements initialization for an Int64 from the supplied long integers.

Parameters

I

The Int64 to initialize

Low

Low 32 bits for the Int64

High

High 32 bits for the Int64

Donator

Marcel van Brakel

Group

Int64 support


See Also

I64Copy I64Compare


I64Copy

See Also

Copies an Int64

Description

I64Copy copies the value of Source into Dest. Source is unaffected by this.

Parameters

Dest

Destination Int64

Source

Source Int64

Donator

Marcel van Brakel

Group

Int64 support


See Also

I64Assign I64Compare


I64Compare

See Also

Compares two 64 bit integers.

Description

I64Compares the two supplied 64-bit integers for equality.

Parameters

I1

First Int64

I2

Second Int64

Return Value

If I1 equals I2 the result is 0, if I1 is larger than I2 the result is greater than 0 (specifically 1) and if I1 is smaller than I2 the result is smaller than 0 (specifically -1).

Donator

Marcel van Brakel

Group

Int64 support


See Also

I64Assign I64Copy


CardinalsToI64 Function

See Also

Packs the supplied 32 bit values in an Int64

Pascal

procedure CardinalsToI64(var I: Int64; const LowPart: Cardinal; const HighPart: Cardinal);

Description

CardinalsToInt64 packs the two supplied 32 bit values into a single Int64. Note that this routine is only available for compilers that natively support Int64.

Parameters

var I: Int64

The 64 bit value into which to pack the high and low parts.

const LowPart: Cardinal

Low 32 bits for the supplied Int64

const HighPart: Cardinal

High 32 bits for the supplied Int64

Donator

Marcel van Brakel

Group

Int64 support

Unit

JclBase


See Also

I64ToCardinals


I64ToCardinals Function

See Also

Extracts the high and low 32 bit values from an Int64.

Pascal

procedure I64ToCardinals(I: Int64; var LowPart: Cardinal; var HighPart: Cardinal);

Description

I64ToCardinals extracts the high and low 32 bit values from the supplied Int64. Note that this routine is only available for compilers that natively support Int64.

Parameters

I: Int64

The 64 bit value from which to extract the high and low parts.

var LowPart: Cardinal

Low 32 bits of the supplied Int64

var HighPart: Cardinal

High 32 bits of the supplied Int64

Donator

Marcel van Brakel

Group

Int64 support

Unit

JclBase


See Also

CardinalsToI64


Numeric formatting routines

Base Services

Classes

TJclNumericFormat

TODO

Functions

IntToStrZeroPad

Converts an integer to a string an left pads it with zero's.


Numeric formatting routines Functions

Numeric formatting routines

Functions

IntToStrZeroPad

Converts an integer to a string an left pads it with zero's.


Numeric formatting routines Classes

Numeric formatting routines

Classes

TJclNumericFormat

TODO


IntToStrZeroPad Function

Converts an integer to a string an left pads it with zero's.

Pascal

function IntToStrZeroPad(Value: Integer; Count: Integer): AnsiString;

Description

IntToStrZeroPad converts the specified integer value to a string containing the decimal representation of that number and left pads it with zero's if the resulting string is less than the specified number of characters.

Parameters

Value: Integer

The integer value to convert to a string.

Count: Integer

The number of characters in the resulting string. If the string is less than the specified number, the string is left padded with zero's until the string is the specified number of characters long.

Return Value

The string representation of the specified integer value, left padded with zero's. I don't know of any input that can cause this function to fail, but in the unlikely event that it does, it does so by raising an exception.

Donator

Anthony Steele

Group

Numeric formatting routines

Unit

JclSysUtils


TJclNumericFormat Class

Properties	Methods	Legend

TODO

Pascal

TJclNumericFormat = class(TObject);

Description

TODO

Donator

Robert Rossmair

Group

Numeric formatting routines

Legend

protected

read only

Constructor

Unit

JclSysUtils


TJclNumericFormat Class Properties

TJclNumericFormat Class	Legend

Properties

Base

DigitBlockSeparator

DigitBlockSize

ExponentDivision

FractionalPartSeparator

Multiplier

NegativeSign

NumberOfFractionalDigits

PaddingChar

PositiveSign

Precision

ShowPositiveSign

 WantedPrecision

Width


Legend

protected

read only


TJclNumericFormat Class Methods

TJclNumericFormat Class	Legend

Methods

 Create

Digit

DigitValue

FloatToHTML

FloatToStr

GetMantissaExp

IntToStr

IsDigit

 ShowSign

Sign

 SignChar

StrToInt


Legend

Constructor

protected


Legend

TJclNumericFormat Class

Legend

protected

read only

Constructor


TJclNumericFormat Class Members

TJclNumericFormat Class	Legend

Members

Properties

Base

DigitBlockSeparator

DigitBlockSize

ExponentDivision

FractionalPartSeparator

Multiplier

NegativeSign

NumberOfFractionalDigits

PaddingChar

PositiveSign

Precision

ShowPositiveSign

 WantedPrecision

Width

Methods

 Create

Digit

DigitValue

FloatToHTML

FloatToStr

GetMantissaExp

IntToStr

IsDigit

 ShowSign

Sign

 SignChar

StrToInt


Legend

protected

read only

Constructor


TJclNumericFormat.Base Property

TJclNumericFormat Class

property Base: TNumericSystemBase;

Class

TJclNumericFormat Class


TJclNumericFormat.DigitBlockSeparator Property

TJclNumericFormat Class

property DigitBlockSeparator: Char;

Class

TJclNumericFormat Class


TJclNumericFormat.DigitBlockSize Property

TJclNumericFormat Class

property DigitBlockSize: TDigitCount;

Class

TJclNumericFormat Class


TJclNumericFormat.ExponentDivision Property

TJclNumericFormat Class

property ExponentDivision: Integer;

Class

TJclNumericFormat Class


TJclNumericFormat.FractionalPartSeparator Property

TJclNumericFormat Class

property FractionalPartSeparator: Char;

Class

TJclNumericFormat Class


TJclNumericFormat.Multiplier Property

TJclNumericFormat Class

property Multiplier: string;

Class

TJclNumericFormat Class


TJclNumericFormat.NegativeSign Property

TJclNumericFormat Class

property NegativeSign: Char;

Class

TJclNumericFormat Class


TJclNumericFormat.NumberOfFractionalDigits Property

TJclNumericFormat Class

property NumberOfFractionalDigits: TDigitCount;

Class

TJclNumericFormat Class


TJclNumericFormat.PaddingChar Property

TJclNumericFormat Class

property PaddingChar: Char;

Class

TJclNumericFormat Class


TJclNumericFormat.PositiveSign Property

TJclNumericFormat Class

property PositiveSign: Char;

Class

TJclNumericFormat Class


TJclNumericFormat.Precision Property

TJclNumericFormat Class

property Precision: TDigitCount;

Class

TJclNumericFormat Class


TJclNumericFormat.ShowPositiveSign Property

TJclNumericFormat Class

property ShowPositiveSign: Boolean;

Class

TJclNumericFormat Class


TJclNumericFormat.WantedPrecision Property

TJclNumericFormat Class

property WantedPrecision: TDigitCount;

Class

TJclNumericFormat Class


TJclNumericFormat.Width Property

TJclNumericFormat Class

property Width: TDigitCount;

Class

TJclNumericFormat Class


TJclNumericFormat.Create Constructor

TJclNumericFormat Class

constructor Create;

Class

TJclNumericFormat Class


TJclNumericFormat.Digit Method

TJclNumericFormat Class

function Digit(DigitValue: TDigitValue): Char;

Class

TJclNumericFormat Class


TJclNumericFormat.DigitValue Method

TJclNumericFormat Class

function DigitValue(Digit: Char): TDigitValue;

Class

TJclNumericFormat Class


TJclNumericFormat.FloatToHTML Method

TJclNumericFormat Class

function FloatToHTML(const Value: Float): string;

Class

TJclNumericFormat Class


TJclNumericFormat.FloatToStr Method

TJclNumericFormat Class

function FloatToStr(const Value: Float): string; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.GetMantissaExp Method

TJclNumericFormat Class

procedure GetMantissaExp(const Value: Float; out Mantissa: string; out Exponent: Integer);

Class

TJclNumericFormat Class


TJclNumericFormat.IntToStr Method (Int64)

TJclNumericFormat Class

function IntToStr(const Value: Int64): string; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.IntToStr Method (Int64, Integer)

TJclNumericFormat Class

function IntToStr(const Value: Int64; out FirstDigitPos: Integer): string; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.IsDigit Method

TJclNumericFormat Class

function IsDigit(Value: Char): Boolean;

Class

TJclNumericFormat Class


TJclNumericFormat.ShowSign Method (Float)

TJclNumericFormat Class

function ShowSign(const Value: Float): Boolean; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.ShowSign Method (Int64)

TJclNumericFormat Class

function ShowSign(const Value: Int64): Boolean; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.Sign Method

TJclNumericFormat Class

function Sign(Value: Char): Integer;

Class

TJclNumericFormat Class


TJclNumericFormat.SignChar Method (Float)

TJclNumericFormat Class

function SignChar(const Value: Float): Char; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.SignChar Method (Int64)

TJclNumericFormat Class

function SignChar(const Value: Int64): Char; overload;

Class

TJclNumericFormat Class


TJclNumericFormat.StrToInt Method

TJclNumericFormat Class

function StrToInt(const Value: string): Int64;

Class

TJclNumericFormat Class


Pointer manipulation

Base Services

Functions

PWideCharOrNil

Explicit replacement for PWideChar typecast.

PCharOrNil

Explicit replacement for PChar typecast.


Pointer manipulation Functions

Pointer manipulation

Functions

PWideCharOrNil

Explicit replacement for PWideChar typecast.

PCharOrNil

Explicit replacement for PChar typecast.


PWideCharOrNil Function

See Also

Explicit replacement for PWideChar typecast.

Pascal

function PWideCharOrNil(const W: WideString): PWideChar;

Description

PWideCharOrNil returns a pointer to the first character of the specified string or nil of the string is empty. This is identical to simply typecasting to PWideChar except that this function makes the behaviour of the typecast explicit (and independent of the compiler).

Parameters

S

The string for which to return a PWideChar.

Return Value

If the specified string is empty the funtion returns nil, otherwise it returns a pointer to the first character of the string.

Donator

Petr Vones

Group

Pointer manipulation

Unit

JclSysUtils


See Also

PCharOrNil


PCharOrNil Function

See Also

Explicit replacement for PChar typecast.

Pascal

function PCharOrNil(const S: string): PChar;

Description

PCharOrNil returns a pointer to the first character of the specified string or nil if the string is empty. This is identical to simply typecasting to PChar except that this function makes the behaviour of the typecast explicit (and independent of the compiler).

Parameters

const S: string

The string for which to return a PChar.

Return Value

If the specified string is empty the funtion returns nil, otherwise it returns a pointer to the first character of the string.

Donator

Petr Vones

Group

Pointer manipulation

Unit

JclSysUtils


See Also

PWideCharOrNil


Containers

JEDI Code Library

Topics

Container interfaces

Sequence containers

These containers hold sequences of data elements.

Associative containers

Associative containers contain key/value pairs, providing access to each value using a key. The elements are sorted by the key. Usually implemented as a balanced binary tree.

Ordered sets

The set containers keep the elements in them in order, and are usually implemented as balanced binary trees. They implement standard set operations (union, intersection, ...) as you might expect from the name.

Container adapters

These are based on other containers, and are used only to enforce access rules. Because there are special access restrictions, they have no iterators.

Specialized containers

The following containers are specialized in some ways: specific data type, special utility routines, limited, but fast, implementations.

Classes

TJclAbstractContainer

If the compilation symbol THREADSAFE is defined, this class provides EnterCriticalSection function to protect code in a Critical Section. The function retuen an interface and when this interface is released (RefCount = 0) the critical section is relased too.


Containers Classes

Containers

Classes

TJclAbstractContainer

If the compilation symbol THREADSAFE is defined, this class provides EnterCriticalSection function to protect code in a Critical Section. The function retuen an interface and when this interface is released (RefCount = 0) the critical section is relased too.


Topics

Containers

Topics

Container interfaces

Sequence containers

These containers hold sequences of data elements.

Associative containers

Associative containers contain key/value pairs, providing access to each value using a key. The elements are sorted by the key. Usually implemented as a balanced binary tree.

Ordered sets

The set containers keep the elements in them in order, and are usually implemented as balanced binary trees. They implement standard set operations (union, intersection, ...) as you might expect from the name.

Container adapters

These are based on other containers, and are used only to enforce access rules. Because there are special access restrictions, they have no iterators.

Specialized containers

The following containers are specialized in some ways: specific data type, special utility routines, limited, but fast, implementations.


TJclAbstractContainer Class

Methods	Legend

If the compilation symbol THREADSAFE is defined, this class provides EnterCriticalSection function to protect code in a Critical Section. The function retuen an interface and when this interface is released (RefCount = 0) the critical section is relased too.

Pascal

TJclAbstractContainer = class(TInterfacedObject);

Donator

Jean-Philippe Bempel

Group

Containers

Legend

Constructor

protected

Unit

JclAbstractContainers


TJclAbstractContainer Class Methods

TJclAbstractContainer Class	Legend

Methods

 Create

 Destroy

 EnterCriticalSection


Legend

Constructor

protected


Legend

TJclAbstractContainer Class

Legend

Constructor

protected


TJclAbstractContainer Class Members

TJclAbstractContainer Class	Legend

Members

Methods

 Create

 Destroy

 EnterCriticalSection


Legend

Constructor

protected


TJclAbstractContainer.Create Constructor

TJclAbstractContainer Class

constructor Create;

Class

TJclAbstractContainer Class


TJclAbstractContainer.Destroy Destructor

TJclAbstractContainer Class

destructor Destroy; override;

Class

TJclAbstractContainer Class


TJclAbstractContainer.EnterCriticalSection Method

TJclAbstractContainer Class

function EnterCriticalSection: IInterface;

Class

TJclAbstractContainer Class


Container interfaces

Legend

Containers

Enumerations

 TJclTraverseOrder

Interfaces

 IJclCloneable

 IJclIntfCloneable

 IJclIntfIterator

 IJclStrIterator

 IJclIterator

 IJclIntfCollection

 IJclStrCollection

 IJclCollection

The IJclCollection interface is the root of the collection hierarchy.

 IJclIntfList

 IJclStrList

 IJclList

 IJclIntfArray

 IJclStrArray

 IJclArray

 IJclIntfSet

 IJclStrSet

 IJclSet

 IJclIntfTree

 IJclStrTree

 IJclTree

 IJclIntfIntfMap

 IJclMultiIntfIntfMap

 IJclStrIntfMap

 IJclStrStrMap

 IJclStrMap

 IJclMap

 IJclIntfQueue

 IJclStrQueue

 IJclQueue

 IJclStrStrSortedMap

 IJclSortedMap

 IJclIntfSortedSet

 IJclSortedSet

 IJclIntfStack

 IJclStrStack

 IJclStack

Legend

Interface

Enumeration


Container interfaces Interfaces

Container interfaces	Legend

Interfaces

 IJclCloneable

 IJclIntfCloneable

 IJclIntfIterator

 IJclStrIterator

 IJclIterator

 IJclIntfCollection

 IJclStrCollection

 IJclCollection

The IJclCollection interface is the root of the collection hierarchy.

 IJclIntfList

 IJclStrList

 IJclList

 IJclIntfArray

 IJclStrArray

 IJclArray

 IJclIntfSet

 IJclStrSet

 IJclSet

 IJclIntfTree

 IJclStrTree

 IJclTree

 IJclIntfIntfMap

 IJclMultiIntfIntfMap

 IJclStrIntfMap

 IJclStrStrMap

 IJclStrMap

 IJclMap

 IJclIntfQueue

 IJclStrQueue

 IJclQueue

 IJclStrStrSortedMap

 IJclSortedMap

 IJclIntfSortedSet

 IJclSortedSet

 IJclIntfStack

 IJclStrStack

 IJclStack


Legend

Interface


Container interfaces Enumerations

Container interfaces	Legend

Enumerations

 TJclTraverseOrder


Legend

Enumeration


Legend

Container interfaces

Legend

Interface

Enumeration


IJclCloneable Interface

Methods

IJclCloneable = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclCloneable Interface Methods

IJclCloneable Interface

Methods

Clone

Makes a deep copy of the current object.


IJclCloneable Interface Members

IJclCloneable Interface

Members

Methods

Clone

Makes a deep copy of the current object.


IJclCloneable.Clone Method

IJclCloneable Interface

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Interface

IJclCloneable Interface


IJclIntfCloneable Interface

Methods

IJclIntfCloneable = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfCloneable Interface Methods

IJclIntfCloneable Interface

Methods

Clone

Makes a deep copy of the current object.


IJclIntfCloneable Interface Members

IJclIntfCloneable Interface

Members

Methods

Clone

Makes a deep copy of the current object.


IJclIntfCloneable.Clone Method

IJclIntfCloneable Interface

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Interface

IJclIntfCloneable Interface


IJclIntfIterator Interface

Methods

IJclIntfIterator = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfIterator Interface Methods

IJclIntfIterator Interface

Methods

Add

GetObject

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetObject


IJclIntfIterator Interface Members

IJclIntfIterator Interface

Members

Methods

Add

GetObject

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetObject


IJclIntfIterator.Add Method

IJclIntfIterator Interface

procedure Add(AInterface: IInterface);

Interface

IJclIntfIterator Interface


IJclIntfIterator.GetObject Method

IJclIntfIterator Interface

function GetObject: IInterface;

Interface

IJclIntfIterator Interface


IJclIntfIterator.HasNext Method

IJclIntfIterator Interface

function HasNext: Boolean;

Interface

IJclIntfIterator Interface


IJclIntfIterator.HasPrevious Method

IJclIntfIterator Interface

function HasPrevious: Boolean;

Interface

IJclIntfIterator Interface


IJclIntfIterator.Next Method

IJclIntfIterator Interface

function Next: IInterface;

Interface

IJclIntfIterator Interface


IJclIntfIterator.NextIndex Method

IJclIntfIterator Interface

function NextIndex: Integer;

Interface

IJclIntfIterator Interface


IJclIntfIterator.Previous Method

IJclIntfIterator Interface

function Previous: IInterface;

Interface

IJclIntfIterator Interface


IJclIntfIterator.PreviousIndex Method

IJclIntfIterator Interface

function PreviousIndex: Integer;

Interface

IJclIntfIterator Interface


IJclIntfIterator.Remove Method

IJclIntfIterator Interface

procedure Remove;

Interface

IJclIntfIterator Interface


IJclIntfIterator.SetObject Method

IJclIntfIterator Interface

procedure SetObject(AInterface: IInterface);

Interface

IJclIntfIterator Interface


IJclStrIterator Interface

Methods

IJclStrIterator = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrIterator Interface Methods

IJclStrIterator Interface

Methods

Add

GetString

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetString


IJclStrIterator Interface Members

IJclStrIterator Interface

Members

Methods

Add

GetString

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetString


IJclStrIterator.Add Method

IJclStrIterator Interface

procedure Add(const AString: string);

Interface

IJclStrIterator Interface


IJclStrIterator.GetString Method

IJclStrIterator Interface

function GetString: string;

Interface

IJclStrIterator Interface


IJclStrIterator.HasNext Method

IJclStrIterator Interface

function HasNext: Boolean;

Interface

IJclStrIterator Interface


IJclStrIterator.HasPrevious Method

IJclStrIterator Interface

function HasPrevious: Boolean;

Interface

IJclStrIterator Interface


IJclStrIterator.Next Method

IJclStrIterator Interface

function Next: string;

Interface

IJclStrIterator Interface


IJclStrIterator.NextIndex Method

IJclStrIterator Interface

function NextIndex: Integer;

Interface

IJclStrIterator Interface


IJclStrIterator.Previous Method

IJclStrIterator Interface

function Previous: string;

Interface

IJclStrIterator Interface


IJclStrIterator.PreviousIndex Method

IJclStrIterator Interface

function PreviousIndex: Integer;

Interface

IJclStrIterator Interface


IJclStrIterator.Remove Method

IJclStrIterator Interface

procedure Remove;

Interface

IJclStrIterator Interface


IJclStrIterator.SetString Method

IJclStrIterator Interface

procedure SetString(const AString: string);

Interface

IJclStrIterator Interface


IJclIterator Interface

Methods

IJclIterator = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIterator Interface Methods

IJclIterator Interface

Methods

Add

GetObject

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetObject


IJclIterator Interface Members

IJclIterator Interface

Members

Methods

Add

GetObject

HasNext

HasPrevious

Next

NextIndex

Previous

PreviousIndex

Remove

SetObject


IJclIterator.Add Method

IJclIterator Interface

procedure Add(AObject: TObject);

Interface

IJclIterator Interface


IJclIterator.GetObject Method

IJclIterator Interface

function GetObject: TObject;

Interface

IJclIterator Interface


IJclIterator.HasNext Method

IJclIterator Interface

function HasNext: Boolean;

Interface

IJclIterator Interface


IJclIterator.HasPrevious Method

IJclIterator Interface

function HasPrevious: Boolean;

Interface

IJclIterator Interface


IJclIterator.Next Method

IJclIterator Interface

function Next: TObject;

Interface

IJclIterator Interface


IJclIterator.NextIndex Method

IJclIterator Interface

function NextIndex: Integer;

Interface

IJclIterator Interface


IJclIterator.Previous Method

IJclIterator Interface

function Previous: TObject;

Interface

IJclIterator Interface


IJclIterator.PreviousIndex Method

IJclIterator Interface

function PreviousIndex: Integer;

Interface

IJclIterator Interface


IJclIterator.Remove Method

IJclIterator Interface

procedure Remove;

Interface

IJclIterator Interface


IJclIterator.SetObject Method

IJclIterator Interface

procedure SetObject(AObject: TObject);

Interface

IJclIterator Interface


IJclIntfCollection Interface

Methods

IJclIntfCollection = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfCollection Interface Methods

IJclIntfCollection Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size


IJclIntfCollection Interface Members

IJclIntfCollection Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size


IJclIntfCollection.Add Method

IJclIntfCollection Interface

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.AddAll Method

IJclIntfCollection Interface

function AddAll(ACollection: IJclIntfCollection): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Clear Method

IJclIntfCollection Interface

procedure Clear;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Contains Method

IJclIntfCollection Interface

function Contains(AInterface: IInterface): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.ContainsAll Method

IJclIntfCollection Interface

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Equals Method

IJclIntfCollection Interface

function Equals(ACollection: IJclIntfCollection): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.First Method

IJclIntfCollection Interface

function First: IJclIntfIterator;

Interface

IJclIntfCollection Interface


IJclIntfCollection.IsEmpty Method

IJclIntfCollection Interface

function IsEmpty: Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Last Method

IJclIntfCollection Interface

function Last: IJclIntfIterator;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Remove Method

IJclIntfCollection Interface

function Remove(AInterface: IInterface): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.RemoveAll Method

IJclIntfCollection Interface

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.RetainAll Method

IJclIntfCollection Interface

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Interface

IJclIntfCollection Interface


IJclIntfCollection.Size Method

IJclIntfCollection Interface

function Size: Integer;

Interface

IJclIntfCollection Interface


IJclStrCollection Interface

Methods

IJclStrCollection = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrCollection Interface Methods

IJclStrCollection Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size


IJclStrCollection Interface Members

IJclStrCollection Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size


IJclStrCollection.Add Method

IJclStrCollection Interface

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.AddAll Method

IJclStrCollection Interface

function AddAll(ACollection: IJclStrCollection): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.AppendDelimited Method

IJclStrCollection Interface

procedure AppendDelimited(const AString: string; const Separator: string = AnsiLineBreak);

Interface

IJclStrCollection Interface


IJclStrCollection.AppendFromStrings Method

IJclStrCollection Interface

procedure AppendFromStrings(Strings: TStrings);

Interface

IJclStrCollection Interface


IJclStrCollection.AppendToStrings Method

IJclStrCollection Interface

procedure AppendToStrings(Strings: TStrings);

Interface

IJclStrCollection Interface


IJclStrCollection.Clear Method

IJclStrCollection Interface

procedure Clear;

Interface

IJclStrCollection Interface


IJclStrCollection.Contains Method

IJclStrCollection Interface

function Contains(const AString: string): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.ContainsAll Method

IJclStrCollection Interface

function ContainsAll(ACollection: IJclStrCollection): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.Equals Method

IJclStrCollection Interface

function Equals(ACollection: IJclStrCollection): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.First Method

IJclStrCollection Interface

function First: IJclStrIterator;

Interface

IJclStrCollection Interface


IJclStrCollection.GetAsDelimited Method

IJclStrCollection Interface

function GetAsDelimited(const Separator: string = AnsiLineBreak): string;

Interface

IJclStrCollection Interface


IJclStrCollection.GetAsStrings Method

IJclStrCollection Interface

function GetAsStrings: TStrings;

Interface

IJclStrCollection Interface


IJclStrCollection.IsEmpty Method

IJclStrCollection Interface

function IsEmpty: Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.Last Method

IJclStrCollection Interface

function Last: IJclStrIterator;

Interface

IJclStrCollection Interface


IJclStrCollection.LoadDelimited Method

IJclStrCollection Interface

procedure LoadDelimited(const AString: string; const Separator: string = AnsiLineBreak);

Interface

IJclStrCollection Interface


IJclStrCollection.LoadFromStrings Method

IJclStrCollection Interface

procedure LoadFromStrings(Strings: TStrings);

Interface

IJclStrCollection Interface


IJclStrCollection.Remove Method

IJclStrCollection Interface

function Remove(const AString: string): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.RemoveAll Method

IJclStrCollection Interface

function RemoveAll(ACollection: IJclStrCollection): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.RetainAll Method

IJclStrCollection Interface

function RetainAll(ACollection: IJclStrCollection): Boolean;

Interface

IJclStrCollection Interface


IJclStrCollection.SaveToStrings Method

IJclStrCollection Interface

procedure SaveToStrings(Strings: TStrings);

Interface

IJclStrCollection Interface


IJclStrCollection.Size Method

IJclStrCollection Interface

function Size: Integer;

Interface

IJclStrCollection Interface


IJclCollection Interface

Methods

The IJclCollection interface is the root of the collection hierarchy.

Pascal

IJclCollection = interface;

Description

A IJclCollection represents a group of objects, known as its elements. Some IJclCollection implementations allow duplicate elements and others do not. Some are ordered and others unordered. The JCL doesn't provide any direct implementations of this interface: It provides implementations of more specific subinterfaces like Set and List. This interface is the least common denominator that all collections implement. IJclCollection is used to pass collections around and manipulate them when maximum generality is desired.

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclCollection Interface Methods

IJclCollection Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.


IJclCollection Interface Members

IJclCollection Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.


IJclCollection.Add Method

IJclCollection Interface

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean;

Interface

IJclCollection Interface


IJclCollection.AddAll Method

IJclCollection Interface

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean;

Donator

Jean-Philippe Bempel

Interface

IJclCollection Interface


IJclCollection.Clear Method

IJclCollection Interface

Clear all objects contained in the collection.

Pascal

procedure Clear;

Interface

IJclCollection Interface


IJclCollection.Contains Method

IJclCollection Interface

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Interface

IJclCollection Interface


IJclCollection.ContainsAll Method

IJclCollection Interface

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Interface

IJclCollection Interface


IJclCollection.Equals Method

IJclCollection Interface

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Interface

IJclCollection Interface


IJclCollection.First Method

IJclCollection Interface

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Interface

IJclCollection Interface


IJclCollection.IsEmpty Method

IJclCollection Interface

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Interface

IJclCollection Interface


IJclCollection.Last Method

IJclCollection Interface

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Interface

IJclCollection Interface


IJclCollection.Remove Method

IJclCollection Interface

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean;

Interface

IJclCollection Interface


IJclCollection.RemoveAll Method

IJclCollection Interface

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Interface

IJclCollection Interface


IJclCollection.RetainAll Method

IJclCollection Interface

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Interface

IJclCollection Interface


IJclCollection.Size Method

IJclCollection Interface

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Interface

IJclCollection Interface


IJclIntfList Interface

Methods

IJclIntfList = interface(IJclIntfCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfList Interface Methods

IJclIntfList Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList


IJclIntfList Interface Members

IJclIntfList Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList


IJclIntfList.GetObject Method

IJclIntfList Interface

function GetObject(Index: Integer): IInterface;

Interface

IJclIntfList Interface


IJclIntfList.IndexOf Method

IJclIntfList Interface

function IndexOf(AInterface: IInterface): Integer;

Interface

IJclIntfList Interface


IJclIntfList.Insert Method

IJclIntfList Interface

procedure Insert(Index: Integer; AInterface: IInterface); overload;

Interface

IJclIntfList Interface


IJclIntfList.InsertAll Method

IJclIntfList Interface

function InsertAll(Index: Integer; ACollection: IJclIntfCollection): Boolean; overload;

Interface

IJclIntfList Interface


IJclIntfList.LastIndexOf Method

IJclIntfList Interface

function LastIndexOf(AInterface: IInterface): Integer;

Interface

IJclIntfList Interface


IJclIntfList.Remove Method

IJclIntfList Interface

function Remove(Index: Integer): IInterface; overload;

Interface

IJclIntfList Interface


IJclIntfList.SetObject Method

IJclIntfList Interface

procedure SetObject(Index: Integer; AInterface: IInterface);

Interface

IJclIntfList Interface


IJclIntfList.SubList Method

IJclIntfList Interface

function SubList(First: Integer; Count: Integer): IJclIntfList;

Interface

IJclIntfList Interface


IJclStrList Interface

Properties	Methods

IJclStrList = interface(IJclStrCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrList Interface Methods

IJclStrList Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList


IJclStrList Interface Properties

IJclStrList Interface

Properties

IJclStrList Interface

Items


IJclStrList Interface Members

IJclStrList Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

Properties

IJclStrList Interface

Items


IJclStrList.Items Property

IJclStrList Interface

property Items [Key: Integer]: string;

Interface

IJclStrList Interface


IJclStrList.GetString Method

IJclStrList Interface

function GetString(Index: Integer): string;

Interface

IJclStrList Interface


IJclStrList.IndexOf Method

IJclStrList Interface

function IndexOf(const AString: string): Integer;

Interface

IJclStrList Interface


IJclStrList.Insert Method

IJclStrList Interface

procedure Insert(Index: Integer; const AString: string); overload;

Interface

IJclStrList Interface


IJclStrList.InsertAll Method

IJclStrList Interface

function InsertAll(Index: Integer; ACollection: IJclStrCollection): Boolean; overload;

Interface

IJclStrList Interface


IJclStrList.LastIndexOf Method

IJclStrList Interface

function LastIndexOf(const AString: string): Integer;

Interface

IJclStrList Interface


IJclStrList.Remove Method

IJclStrList Interface

function Remove(Index: Integer): string; overload;

Interface

IJclStrList Interface


IJclStrList.SetString Method

IJclStrList Interface

procedure SetString(Index: Integer; const AString: string);

Interface

IJclStrList Interface


IJclStrList.SubList Method

IJclStrList Interface

function SubList(First: Integer; Count: Integer): IJclStrList;

Interface

IJclStrList Interface


IJclList Interface

Properties	Methods

IJclList = interface(IJclCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclList Interface Methods

IJclList Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList


IJclList Interface Properties

IJclList Interface

Properties

IJclList Interface

Items


IJclList Interface Members

IJclList Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

Properties

IJclList Interface

Items


IJclList.Items Property

IJclList Interface

property Items [Key: Integer]: TObject;

Interface

IJclList Interface


IJclList.GetObject Method

IJclList Interface

function GetObject(Index: Integer): TObject;

Interface

IJclList Interface


IJclList.IndexOf Method

IJclList Interface

function IndexOf(AObject: TObject): Integer;

Interface

IJclList Interface


IJclList.Insert Method

IJclList Interface

procedure Insert(Index: Integer; AObject: TObject); overload;

Interface

IJclList Interface


IJclList.InsertAll Method

IJclList Interface

function InsertAll(Index: Integer; ACollection: IJclCollection): Boolean; overload;

Interface

IJclList Interface


IJclList.LastIndexOf Method

IJclList Interface

function LastIndexOf(AObject: TObject): Integer;

Interface

IJclList Interface


IJclList.Remove Method

IJclList Interface

function Remove(Index: Integer): TObject; overload;

Interface

IJclList Interface


IJclList.SetObject Method

IJclList Interface

procedure SetObject(Index: Integer; AObject: TObject);

Interface

IJclList Interface


IJclList.SubList Method

IJclList Interface

function SubList(First: Integer; Count: Integer): IJclList;

Interface

IJclList Interface


IJclIntfArray Interface

Properties	Methods

IJclIntfArray = interface(IJclIntfList);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfArray Interface Methods

IJclIntfArray Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject


IJclIntfArray Interface Properties

IJclIntfArray Interface

Properties

IJclIntfArray Interface

Items


IJclIntfArray Interface Members

IJclIntfArray Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

Properties

IJclIntfArray Interface

Items


IJclIntfArray.Items Property

IJclIntfArray Interface

property Items [Index: Integer]: IInterface;

Interface

IJclIntfArray Interface


IJclIntfArray.GetObject Method

IJclIntfArray Interface

function GetObject(Index: Integer): IInterface;

Interface

IJclIntfArray Interface


IJclIntfArray.SetObject Method

IJclIntfArray Interface

procedure SetObject(Index: Integer; AInterface: IInterface);

Interface

IJclIntfArray Interface


IJclStrArray Interface

Properties	Methods

IJclStrArray = interface(IJclStrList);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrArray Interface Methods

IJclStrArray Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString


IJclStrArray Interface Properties

IJclStrArray Interface

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items


IJclStrArray Interface Members

IJclStrArray Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items


IJclStrArray.Items Property

IJclStrArray Interface

property Items [Index: Integer]: string;

Interface

IJclStrArray Interface


IJclStrArray.GetString Method

IJclStrArray Interface

function GetString(Index: Integer): string;

Interface

IJclStrArray Interface


IJclStrArray.SetString Method

IJclStrArray Interface

procedure SetString(Index: Integer; const AString: string);

Interface

IJclStrArray Interface


IJclArray Interface

Properties	Methods

IJclArray = interface(IJclList);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclArray Interface Methods

IJclArray Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject


IJclArray Interface Properties

IJclArray Interface

Properties

IJclList Interface

Items

IJclArray Interface

Items


IJclArray Interface Members

IJclArray Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

Properties

IJclList Interface

Items

IJclArray Interface

Items


IJclArray.Items Property

IJclArray Interface

property Items [Index: Integer]: TObject;

Interface

IJclArray Interface


IJclArray.GetObject Method

IJclArray Interface

function GetObject(Index: Integer): TObject;

Interface

IJclArray Interface


IJclArray.SetObject Method

IJclArray Interface

procedure SetObject(Index: Integer; AObject: TObject);

Interface

IJclArray Interface


IJclIntfSet Interface

Methods

IJclIntfSet = interface(IJclIntfCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfSet Interface Methods

IJclIntfSet Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union


IJclIntfSet Interface Members

IJclIntfSet Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union


IJclIntfSet.Intersect Method

IJclIntfSet Interface

procedure Intersect(ACollection: IJclIntfCollection);

Interface

IJclIntfSet Interface


IJclIntfSet.Subtract Method

IJclIntfSet Interface

procedure Subtract(ACollection: IJclIntfCollection);

Interface

IJclIntfSet Interface


IJclIntfSet.Union Method

IJclIntfSet Interface

procedure Union(ACollection: IJclIntfCollection);

Interface

IJclIntfSet Interface


IJclStrSet Interface

Methods

IJclStrSet = interface(IJclStrCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrSet Interface Methods

IJclStrSet Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union


IJclStrSet Interface Members

IJclStrSet Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union


IJclStrSet.Intersect Method

IJclStrSet Interface

procedure Intersect(ACollection: IJclStrCollection);

Interface

IJclStrSet Interface


IJclStrSet.Subtract Method

IJclStrSet Interface

procedure Subtract(ACollection: IJclStrCollection);

Interface

IJclStrSet Interface


IJclStrSet.Union Method

IJclStrSet Interface

procedure Union(ACollection: IJclStrCollection);

Interface

IJclStrSet Interface


IJclSet Interface

Methods

IJclSet = interface(IJclCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclSet Interface Methods

IJclSet Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union


IJclSet Interface Members

IJclSet Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union


IJclSet.Intersect Method

IJclSet Interface

procedure Intersect(ACollection: IJclCollection);

Interface

IJclSet Interface


IJclSet.Subtract Method

IJclSet Interface

procedure Subtract(ACollection: IJclCollection);

Interface

IJclSet Interface


IJclSet.Union Method

IJclSet Interface

procedure Union(ACollection: IJclCollection);

Interface

IJclSet Interface


IJclIntfTree Interface

Properties	Methods

IJclIntfTree = interface(IJclIntfCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfTree Interface Methods

IJclIntfTree Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfTree Interface

GetTraverseOrder

SetTraverseOrder


IJclIntfTree Interface Properties

IJclIntfTree Interface

Properties

IJclIntfTree Interface

TraverseOrder


IJclIntfTree Interface Members

IJclIntfTree Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfTree Interface

GetTraverseOrder

SetTraverseOrder

Properties

IJclIntfTree Interface

TraverseOrder


IJclIntfTree.TraverseOrder Property

IJclIntfTree Interface

property TraverseOrder: TJclTraverseOrder;

Interface

IJclIntfTree Interface


IJclIntfTree.GetTraverseOrder Method

IJclIntfTree Interface

function GetTraverseOrder: TJclTraverseOrder;

Interface

IJclIntfTree Interface


IJclIntfTree.SetTraverseOrder Method

IJclIntfTree Interface

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Interface

IJclIntfTree Interface


IJclStrTree Interface

Properties	Methods

IJclStrTree = interface(IJclStrCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrTree Interface Methods

IJclStrTree Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrTree Interface

GetTraverseOrder

SetTraverseOrder


IJclStrTree Interface Properties

IJclStrTree Interface

Properties

IJclStrTree Interface

TraverseOrder


IJclStrTree Interface Members

IJclStrTree Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrTree Interface

GetTraverseOrder

SetTraverseOrder

Properties

IJclStrTree Interface

TraverseOrder


IJclStrTree.TraverseOrder Property

IJclStrTree Interface

property TraverseOrder: TJclTraverseOrder;

Interface

IJclStrTree Interface


IJclStrTree.GetTraverseOrder Method

IJclStrTree Interface

function GetTraverseOrder: TJclTraverseOrder;

Interface

IJclStrTree Interface


IJclStrTree.SetTraverseOrder Method

IJclStrTree Interface

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Interface

IJclStrTree Interface


IJclTree Interface

Properties	Methods

IJclTree = interface(IJclCollection);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclTree Interface Methods

IJclTree Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclTree Interface

GetTraverseOrder

SetTraverseOrder


IJclTree Interface Properties

IJclTree Interface

Properties

IJclTree Interface

TraverseOrder


IJclTree Interface Members

IJclTree Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclTree Interface

GetTraverseOrder

SetTraverseOrder

Properties

IJclTree Interface

TraverseOrder


IJclTree.TraverseOrder Property

IJclTree Interface

property TraverseOrder: TJclTraverseOrder;

Interface

IJclTree Interface


IJclTree.GetTraverseOrder Method

IJclTree Interface

function GetTraverseOrder: TJclTraverseOrder;

Interface

IJclTree Interface


IJclTree.SetTraverseOrder Method

IJclTree Interface

procedure SetTraverseOrder(Value: TJclTraverseOrder);

Interface

IJclTree Interface


IJclIntfIntfMap Interface

Methods

IJclIntfIntfMap = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfIntfMap Interface Methods

IJclIntfIntfMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclIntfIntfMap Interface Members

IJclIntfIntfMap Interface

Members

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclIntfIntfMap.Clear Method

IJclIntfIntfMap Interface

procedure Clear;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.ContainsKey Method

IJclIntfIntfMap Interface

function ContainsKey(Key: IInterface): Boolean;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.ContainsValue Method

IJclIntfIntfMap Interface

function ContainsValue(Value: IInterface): Boolean;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.Equals Method

IJclIntfIntfMap Interface

function Equals(AMap: IJclIntfIntfMap): Boolean;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.GetValue Method

IJclIntfIntfMap Interface

function GetValue(Key: IInterface): IInterface;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.IsEmpty Method

IJclIntfIntfMap Interface

function IsEmpty: Boolean;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.KeySet Method

IJclIntfIntfMap Interface

function KeySet: IJclIntfSet;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.PutAll Method

IJclIntfIntfMap Interface

procedure PutAll(AMap: IJclIntfIntfMap);

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.PutValue Method

IJclIntfIntfMap Interface

procedure PutValue(Key: IInterface; Value: IInterface);

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.Remove Method

IJclIntfIntfMap Interface

function Remove(Key: IInterface): IInterface;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.Size Method

IJclIntfIntfMap Interface

function Size: Integer;

Interface

IJclIntfIntfMap Interface


IJclIntfIntfMap.Values Method

IJclIntfIntfMap Interface

function Values: IJclIntfCollection;

Interface

IJclIntfIntfMap Interface


IJclMultiIntfIntfMap Interface

Methods

IJclMultiIntfIntfMap = interface(IJclIntfIntfMap);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclMultiIntfIntfMap Interface Methods

IJclMultiIntfIntfMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

IJclMultiIntfIntfMap Interface

Count

GetValues


IJclMultiIntfIntfMap Interface Members

IJclMultiIntfIntfMap Interface

Members

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

IJclMultiIntfIntfMap Interface

Count

GetValues


IJclMultiIntfIntfMap.Count Method

IJclMultiIntfIntfMap Interface

function Count(Key: IInterface): Integer;

Interface

IJclMultiIntfIntfMap Interface


IJclMultiIntfIntfMap.GetValues Method

IJclMultiIntfIntfMap Interface

function GetValues(Key: IInterface): IJclIntfIterator;

Interface

IJclMultiIntfIntfMap Interface


IJclStrIntfMap Interface

Methods

IJclStrIntfMap = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrIntfMap Interface Methods

IJclStrIntfMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrIntfMap Interface Members

IJclStrIntfMap Interface

Members

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrIntfMap.Clear Method

IJclStrIntfMap Interface

procedure Clear;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.ContainsKey Method

IJclStrIntfMap Interface

function ContainsKey(const Key: string): Boolean;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.ContainsValue Method

IJclStrIntfMap Interface

function ContainsValue(Value: IInterface): Boolean;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.Equals Method

IJclStrIntfMap Interface

function Equals(AMap: IJclStrIntfMap): Boolean;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.GetValue Method

IJclStrIntfMap Interface

function GetValue(const Key: string): IInterface;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.IsEmpty Method

IJclStrIntfMap Interface

function IsEmpty: Boolean;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.KeySet Method

IJclStrIntfMap Interface

function KeySet: IJclStrSet;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.PutAll Method

IJclStrIntfMap Interface

procedure PutAll(AMap: IJclStrIntfMap);

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.PutValue Method

IJclStrIntfMap Interface

procedure PutValue(const Key: string; Value: IInterface);

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.Remove Method

IJclStrIntfMap Interface

function Remove(const Key: string): IInterface;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.Size Method

IJclStrIntfMap Interface

function Size: Integer;

Interface

IJclStrIntfMap Interface


IJclStrIntfMap.Values Method

IJclStrIntfMap Interface

function Values: IJclIntfCollection;

Interface

IJclStrIntfMap Interface


IJclStrStrMap Interface

Properties	Methods

IJclStrStrMap = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrStrMap Interface Properties

IJclStrStrMap Interface

Properties

Items


IJclStrStrMap Interface Methods

IJclStrStrMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrStrMap Interface Members

IJclStrStrMap Interface

Members

Properties

Items

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrStrMap.Items Property

IJclStrStrMap Interface

property Items [const Key: string]: string;

Interface

IJclStrStrMap Interface


IJclStrStrMap.Clear Method

IJclStrStrMap Interface

procedure Clear;

Interface

IJclStrStrMap Interface


IJclStrStrMap.ContainsKey Method

IJclStrStrMap Interface

function ContainsKey(const Key: string): Boolean;

Interface

IJclStrStrMap Interface


IJclStrStrMap.ContainsValue Method

IJclStrStrMap Interface

function ContainsValue(const Value: string): Boolean;

Interface

IJclStrStrMap Interface


IJclStrStrMap.Equals Method

IJclStrStrMap Interface

function Equals(AMap: IJclStrStrMap): Boolean;

Interface

IJclStrStrMap Interface


IJclStrStrMap.GetValue Method

IJclStrStrMap Interface

function GetValue(const Key: string): string;

Interface

IJclStrStrMap Interface


IJclStrStrMap.IsEmpty Method

IJclStrStrMap Interface

function IsEmpty: Boolean;

Interface

IJclStrStrMap Interface


IJclStrStrMap.KeyOfValue Method

IJclStrStrMap Interface

function KeyOfValue(const Value: string): string;

Interface

IJclStrStrMap Interface


IJclStrStrMap.KeySet Method

IJclStrStrMap Interface

function KeySet: IJclStrSet;

Interface

IJclStrStrMap Interface


IJclStrStrMap.PutAll Method

IJclStrStrMap Interface

procedure PutAll(AMap: IJclStrStrMap);

Interface

IJclStrStrMap Interface


IJclStrStrMap.PutValue Method

IJclStrStrMap Interface

procedure PutValue(const Key: string; const Value: string);

Interface

IJclStrStrMap Interface


IJclStrStrMap.Remove Method

IJclStrStrMap Interface

function Remove(const Key: string): string;

Interface

IJclStrStrMap Interface


IJclStrStrMap.Size Method

IJclStrStrMap Interface

function Size: Integer;

Interface

IJclStrStrMap Interface


IJclStrStrMap.Values Method

IJclStrStrMap Interface

function Values: IJclStrCollection;

Interface

IJclStrStrMap Interface


IJclStrMap Interface

Properties	Methods

IJclStrMap = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrMap Interface Properties

IJclStrMap Interface

Properties

Items


IJclStrMap Interface Methods

IJclStrMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrMap Interface Members

IJclStrMap Interface

Members

Properties

Items

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclStrMap.Items Property

IJclStrMap Interface

property Items [const Key: string]: TObject;

Interface

IJclStrMap Interface


IJclStrMap.Clear Method

IJclStrMap Interface

procedure Clear;

Interface

IJclStrMap Interface


IJclStrMap.ContainsKey Method

IJclStrMap Interface

function ContainsKey(const Key: string): Boolean;

Interface

IJclStrMap Interface


IJclStrMap.ContainsValue Method

IJclStrMap Interface

function ContainsValue(Value: TObject): Boolean;

Interface

IJclStrMap Interface


IJclStrMap.Equals Method

IJclStrMap Interface

function Equals(AMap: IJclStrMap): Boolean;

Interface

IJclStrMap Interface


IJclStrMap.GetValue Method

IJclStrMap Interface

function GetValue(const Key: string): TObject;

Interface

IJclStrMap Interface


IJclStrMap.IsEmpty Method

IJclStrMap Interface

function IsEmpty: Boolean;

Interface

IJclStrMap Interface


IJclStrMap.KeySet Method

IJclStrMap Interface

function KeySet: IJclStrSet;

Interface

IJclStrMap Interface


IJclStrMap.PutAll Method

IJclStrMap Interface

procedure PutAll(AMap: IJclStrMap);

Interface

IJclStrMap Interface


IJclStrMap.PutValue Method

IJclStrMap Interface

procedure PutValue(const Key: string; Value: TObject);

Interface

IJclStrMap Interface


IJclStrMap.Remove Method

IJclStrMap Interface

function Remove(const Key: string): TObject;

Interface

IJclStrMap Interface


IJclStrMap.Size Method

IJclStrMap Interface

function Size: Integer;

Interface

IJclStrMap Interface


IJclStrMap.Values Method

IJclStrMap Interface

function Values: IJclCollection;

Interface

IJclStrMap Interface


IJclMap Interface

Properties	Methods

IJclMap = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclMap Interface Properties

IJclMap Interface

Properties

Items


IJclMap Interface Methods

IJclMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclMap Interface Members

IJclMap Interface

Members

Properties

Items

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


IJclMap.Items Property

IJclMap Interface

property Items [Key: TObject]: TObject;

Interface

IJclMap Interface


IJclMap.Clear Method

IJclMap Interface

procedure Clear;

Interface

IJclMap Interface


IJclMap.ContainsKey Method

IJclMap Interface

function ContainsKey(Key: TObject): Boolean;

Interface

IJclMap Interface


IJclMap.ContainsValue Method

IJclMap Interface

function ContainsValue(Value: TObject): Boolean;

Interface

IJclMap Interface


IJclMap.Equals Method

IJclMap Interface

function Equals(AMap: IJclMap): Boolean;

Interface

IJclMap Interface


IJclMap.GetValue Method

IJclMap Interface

function GetValue(Key: TObject): TObject;

Interface

IJclMap Interface


IJclMap.IsEmpty Method

IJclMap Interface

function IsEmpty: Boolean;

Interface

IJclMap Interface


IJclMap.KeySet Method

IJclMap Interface

function KeySet: IJclSet;

Interface

IJclMap Interface


IJclMap.PutAll Method

IJclMap Interface

procedure PutAll(AMap: IJclMap);

Interface

IJclMap Interface


IJclMap.PutValue Method

IJclMap Interface

procedure PutValue(Key: TObject; Value: TObject);

Interface

IJclMap Interface


IJclMap.Remove Method

IJclMap Interface

function Remove(Key: TObject): TObject;

Interface

IJclMap Interface


IJclMap.Size Method

IJclMap Interface

function Size: Integer;

Interface

IJclMap Interface


IJclMap.Values Method

IJclMap Interface

function Values: IJclCollection;

Interface

IJclMap Interface


IJclIntfQueue Interface

Methods

IJclIntfQueue = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfQueue Interface Methods

IJclIntfQueue Interface

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclIntfQueue Interface Members

IJclIntfQueue Interface

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclIntfQueue.Contains Method

IJclIntfQueue Interface

function Contains(AInterface: IInterface): Boolean;

Interface

IJclIntfQueue Interface


IJclIntfQueue.Dequeue Method

IJclIntfQueue Interface

function Dequeue: IInterface;

Interface

IJclIntfQueue Interface


IJclIntfQueue.Empty Method

IJclIntfQueue Interface

function Empty: Boolean;

Interface

IJclIntfQueue Interface


IJclIntfQueue.Enqueue Method

IJclIntfQueue Interface

procedure Enqueue(AInterface: IInterface);

Interface

IJclIntfQueue Interface


IJclIntfQueue.Size Method

IJclIntfQueue Interface

function Size: Integer;

Interface

IJclIntfQueue Interface


IJclStrQueue Interface

Methods

IJclStrQueue = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrQueue Interface Methods

IJclStrQueue Interface

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclStrQueue Interface Members

IJclStrQueue Interface

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclStrQueue.Contains Method

IJclStrQueue Interface

function Contains(const AString: string): Boolean;

Interface

IJclStrQueue Interface


IJclStrQueue.Dequeue Method

IJclStrQueue Interface

function Dequeue: string;

Interface

IJclStrQueue Interface


IJclStrQueue.Empty Method

IJclStrQueue Interface

function Empty: Boolean;

Interface

IJclStrQueue Interface


IJclStrQueue.Enqueue Method

IJclStrQueue Interface

procedure Enqueue(const AString: string);

Interface

IJclStrQueue Interface


IJclStrQueue.Size Method

IJclStrQueue Interface

function Size: Integer;

Interface

IJclStrQueue Interface


IJclQueue Interface

Methods

IJclQueue = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclQueue Interface Methods

IJclQueue Interface

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclQueue Interface Members

IJclQueue Interface

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size


IJclQueue.Contains Method

IJclQueue Interface

function Contains(AObject: TObject): Boolean;

Interface

IJclQueue Interface


IJclQueue.Dequeue Method

IJclQueue Interface

function Dequeue: TObject;

Interface

IJclQueue Interface


IJclQueue.Empty Method

IJclQueue Interface

function Empty: Boolean;

Interface

IJclQueue Interface


IJclQueue.Enqueue Method

IJclQueue Interface

procedure Enqueue(AObject: TObject);

Interface

IJclQueue Interface


IJclQueue.Size Method

IJclQueue Interface

function Size: Integer;

Interface

IJclQueue Interface


IJclStrStrSortedMap Interface

Properties	Methods

IJclStrStrSortedMap = interface(IJclStrStrMap);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrStrSortedMap Interface Properties

IJclStrStrSortedMap Interface

Properties

Items


IJclStrStrSortedMap Interface Methods

IJclStrStrSortedMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values

IJclStrStrSortedMap Interface

FirstKey

HeadMap

LastKey

SubMap

TailMap


IJclStrStrSortedMap Interface Members

IJclStrStrSortedMap Interface

Members

Properties

Items

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values

IJclStrStrSortedMap Interface

FirstKey

HeadMap

LastKey

SubMap

TailMap


IJclStrStrSortedMap.FirstKey Method

IJclStrStrSortedMap Interface

function FirstKey: string;

Interface

IJclStrStrSortedMap Interface


IJclStrStrSortedMap.HeadMap Method

IJclStrStrSortedMap Interface

function HeadMap(ToKey: string): IJclStrStrSortedMap;

Interface

IJclStrStrSortedMap Interface


IJclStrStrSortedMap.LastKey Method

IJclStrStrSortedMap Interface

function LastKey: string;

Interface

IJclStrStrSortedMap Interface


IJclStrStrSortedMap.SubMap Method

IJclStrStrSortedMap Interface

function SubMap(FromKey: string; ToKey: string): IJclStrStrSortedMap;

Interface

IJclStrStrSortedMap Interface


IJclStrStrSortedMap.TailMap Method

IJclStrStrSortedMap Interface

function TailMap(FromKey: string): IJclStrStrSortedMap;

Interface

IJclStrStrSortedMap Interface


IJclSortedMap Interface

Properties	Methods

IJclSortedMap = interface(IJclMap);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclSortedMap Interface Properties

IJclSortedMap Interface

Properties

Items


IJclSortedMap Interface Methods

IJclSortedMap Interface

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

IJclSortedMap Interface

FirstKey

HeadMap

LastKey

SubMap

TailMap


IJclSortedMap Interface Members

IJclSortedMap Interface

Members

Properties

Items

Methods

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

IJclSortedMap Interface

FirstKey

HeadMap

LastKey

SubMap

TailMap


IJclSortedMap.FirstKey Method

IJclSortedMap Interface

function FirstKey: TObject;

Interface

IJclSortedMap Interface


IJclSortedMap.HeadMap Method

IJclSortedMap Interface

function HeadMap(ToKey: TObject): IJclSortedMap;

Interface

IJclSortedMap Interface


IJclSortedMap.LastKey Method

IJclSortedMap Interface

function LastKey: TObject;

Interface

IJclSortedMap Interface


IJclSortedMap.SubMap Method

IJclSortedMap Interface

function SubMap(FromKey: TObject; ToKey: TObject): IJclSortedMap;

Interface

IJclSortedMap Interface


IJclSortedMap.TailMap Method

IJclSortedMap Interface

function TailMap(FromKey: TObject): IJclSortedMap;

Interface

IJclSortedMap Interface


IJclIntfSortedSet Interface

Methods

IJclIntfSortedSet = interface(IJclIntfSet);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfSortedSet Interface Methods

IJclIntfSortedSet Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

IJclIntfSortedSet Interface

HeadSet

SubSet

TailSet


IJclIntfSortedSet Interface Members

IJclIntfSortedSet Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

IJclIntfSortedSet Interface

HeadSet

SubSet

TailSet


IJclIntfSortedSet.HeadSet Method

IJclIntfSortedSet Interface

function HeadSet(AEndObject: IInterface): IJclIntfSortedSet;

Interface

IJclIntfSortedSet Interface


IJclIntfSortedSet.SubSet Method

IJclIntfSortedSet Interface

function SubSet(Start: IInterface; Finish: IInterface): IJclIntfSortedSet;

Interface

IJclIntfSortedSet Interface


IJclIntfSortedSet.TailSet Method

IJclIntfSortedSet Interface

function TailSet(AStartObject: IInterface): IJclIntfSortedSet;

Interface

IJclIntfSortedSet Interface


IJclSortedSet Interface

Methods

IJclSortedSet = interface(IJclSet);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclSortedSet Interface Methods

IJclSortedSet Interface

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

IJclSortedSet Interface

HeadSet

SubSet

TailSet


IJclSortedSet Interface Members

IJclSortedSet Interface

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

IJclSortedSet Interface

HeadSet

SubSet

TailSet


IJclSortedSet.HeadSet Method

IJclSortedSet Interface

function HeadSet(AEndObject: TObject): IJclSortedSet;

Interface

IJclSortedSet Interface


IJclSortedSet.SubSet Method

IJclSortedSet Interface

function SubSet(Start: TObject; Finish: TObject): IJclSortedSet;

Interface

IJclSortedSet Interface


IJclSortedSet.TailSet Method

IJclSortedSet Interface

function TailSet(AStartObject: TObject): IJclSortedSet;

Interface

IJclSortedSet Interface


IJclIntfStack Interface

Methods

IJclIntfStack = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclIntfStack Interface Methods

IJclIntfStack Interface

Methods

Contains

Empty

Pop

Push

Size


IJclIntfStack Interface Members

IJclIntfStack Interface

Members

Methods

Contains

Empty

Pop

Push

Size


IJclIntfStack.Contains Method

IJclIntfStack Interface

function Contains(AInterface: IInterface): Boolean;

Interface

IJclIntfStack Interface


IJclIntfStack.Empty Method

IJclIntfStack Interface

function Empty: Boolean;

Interface

IJclIntfStack Interface


IJclIntfStack.Pop Method

IJclIntfStack Interface

function Pop: IInterface;

Interface

IJclIntfStack Interface


IJclIntfStack.Push Method

IJclIntfStack Interface

procedure Push(AInterface: IInterface);

Interface

IJclIntfStack Interface


IJclIntfStack.Size Method

IJclIntfStack Interface

function Size: Integer;

Interface

IJclIntfStack Interface


IJclStrStack Interface

Methods

IJclStrStack = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStrStack Interface Methods

IJclStrStack Interface

Methods

Contains

Empty

Pop

Push

Size


IJclStrStack Interface Members

IJclStrStack Interface

Members

Methods

Contains

Empty

Pop

Push

Size


IJclStrStack.Contains Method

IJclStrStack Interface

function Contains(const AString: string): Boolean;

Interface

IJclStrStack Interface


IJclStrStack.Empty Method

IJclStrStack Interface

function Empty: Boolean;

Interface

IJclStrStack Interface


IJclStrStack.Pop Method

IJclStrStack Interface

function Pop: string;

Interface

IJclStrStack Interface


IJclStrStack.Push Method

IJclStrStack Interface

procedure Push(const AString: string);

Interface

IJclStrStack Interface


IJclStrStack.Size Method

IJclStrStack Interface

function Size: Integer;

Interface

IJclStrStack Interface


IJclStack Interface

Methods

IJclStack = interface;

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


IJclStack Interface Methods

IJclStack Interface

Methods

Contains

Empty

Pop

Push

Size


IJclStack Interface Members

IJclStack Interface

Members

Methods

Contains

Empty

Pop

Push

Size


IJclStack.Contains Method

IJclStack Interface

function Contains(AObject: TObject): Boolean;

Interface

IJclStack Interface


IJclStack.Empty Method

IJclStack Interface

function Empty: Boolean;

Interface

IJclStack Interface


IJclStack.Pop Method

IJclStack Interface

function Pop: TObject;

Interface

IJclStack Interface


IJclStack.Push Method

IJclStack Interface

procedure Push(AObject: TObject);

Interface

IJclStack Interface


IJclStack.Size Method

IJclStack Interface

function Size: Integer;

Interface

IJclStack Interface


TJclTraverseOrder Enumeration

TJclTraverseOrder = (
  toPreOrder,
  toOrder,
  toPostOrder
);

Donator

Jean-Philippe Bempel

Group

Container interfaces

Unit

JclContainerIntf


Sequence containers

These containers hold sequences of data elements.

Group

Containers

Topics

Vectors

Vectors provide a dynamic array structure with fast random access to any element. Inserting and deleting elements at the end is fast. Can do subscript bounds checking.

Linked Lists

Doubly linked list. There is no random access to the elements. Insertion and deletion anywhere is fast.


Topics

Sequence containers

Topics

Vectors

Vectors provide a dynamic array structure with fast random access to any element. Inserting and deleting elements at the end is fast. Can do subscript bounds checking.

Linked Lists

Doubly linked list. There is no random access to the elements. Insertion and deletion anywhere is fast.


Vectors

Vectors provide a dynamic array structure with fast random access to any element. Inserting and deleting elements at the end is fast. Can do subscript bounds checking.

Group

Sequence containers

Classes

TJclVector

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

TJclStrVector

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

TJclIntfVector

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.


Vectors Classes

Vectors

Classes

TJclVector

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

TJclStrVector

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

TJclIntfVector

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.


TJclVector Class

Properties	Methods	Legend

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

Pascal

TJclVector = class(TJclAbstractContainer, IJclCollection, IJclList, IJclArray, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Vectors

Legend

Constructor

protected

read only

Unit

JclVectors


TJclVector Class Methods

TJclVector Class	Legend

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

IJclCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

AfterConstruction

BeforeDestruction

Clear

Clear all objects contained in the collection.

Clone

Makes a deep copy of the current object.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

 FreeObject

GetObject

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

LastIndexOf

Remove

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

SetObject

Size

Return the number of objects contained in the collection.

SubList


Legend

Constructor

protected


TJclVector Class Properties

TJclVector Class	Legend

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclVector Class

 Items

 OwnsObjects


Legend

read only


Legend

TJclVector Class

Legend

Constructor

protected

read only


TJclVector Class Members

TJclVector Class	Legend

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

IJclCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

AfterConstruction

BeforeDestruction

Clear

Clear all objects contained in the collection.

Clone

Makes a deep copy of the current object.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

 FreeObject

GetObject

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

LastIndexOf

Remove

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

SetObject

Size

Return the number of objects contained in the collection.

SubList

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclVector Class

 Items

 OwnsObjects


Legend

Constructor

protected

read only


TJclVector.Items Property

TJclVector Class

property Items: TDynObjectArray;

Class

TJclVector Class


TJclVector.OwnsObjects Property

TJclVector Class

property OwnsObjects: Boolean;

Class

TJclVector Class


TJclVector.Add Method

TJclVector Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean; overload;

Class

TJclVector Class


TJclVector.AddAll Method

TJclVector Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean; overload;

Donator

Jean-Philippe Bempel

Class

TJclVector Class


TJclVector.AfterConstruction Method

TJclVector Class

procedure AfterConstruction; override;

Class

TJclVector Class


TJclVector.BeforeDestruction Method

TJclVector Class

procedure BeforeDestruction; override;

Class

TJclVector Class


TJclVector.Clear Method

TJclVector Class

Clear all objects contained in the collection.

Pascal

procedure Clear;

Class

TJclVector Class


TJclVector.Clone Method

TJclVector Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclVector Class


TJclVector.Contains Method

TJclVector Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclVector Class


TJclVector.ContainsAll Method

TJclVector Class

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Class

TJclVector Class


TJclVector.Create Constructor

TJclVector Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity; AOwnsObjects: Boolean = True);

Class

TJclVector Class


TJclVector.Destroy Destructor

TJclVector Class

destructor Destroy; override;

Class

TJclVector Class


TJclVector.Equals Method

TJclVector Class

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Class

TJclVector Class


TJclVector.First Method

TJclVector Class

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Class

TJclVector Class


TJclVector.FreeObject Method

TJclVector Class

procedure FreeObject(var AObject: TObject);

Class

TJclVector Class


TJclVector.GetObject Method

TJclVector Class

function GetObject(Index: Integer): TObject;

Class

TJclVector Class


TJclVector.Grow Method

TJclVector Class

procedure Grow; virtual;

Class

TJclVector Class


TJclVector.IndexOf Method

TJclVector Class

function IndexOf(AObject: TObject): Integer;

Class

TJclVector Class


TJclVector.Insert Method

TJclVector Class

procedure Insert(Index: Integer; AObject: TObject); overload;

Class

TJclVector Class


TJclVector.InsertAll Method

TJclVector Class

function InsertAll(Index: Integer; ACollection: IJclCollection): Boolean; overload;

Class

TJclVector Class


TJclVector.IsEmpty Method

TJclVector Class

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Class

TJclVector Class


TJclVector.Last Method

TJclVector Class

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Class

TJclVector Class


TJclVector.LastIndexOf Method

TJclVector Class

function LastIndexOf(AObject: TObject): Integer;

Class

TJclVector Class


TJclVector.Remove Method (Integer)

TJclVector Class

function Remove(Index: Integer): TObject; overload;

Class

TJclVector Class


TJclVector.Remove Method (TObject)

TJclVector Class

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean; overload;

Class

TJclVector Class


TJclVector.RemoveAll Method

TJclVector Class

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Class

TJclVector Class


TJclVector.RetainAll Method

TJclVector Class

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Class

TJclVector Class


TJclVector.SetObject Method

TJclVector Class

procedure SetObject(Index: Integer; AObject: TObject);

Class

TJclVector Class


TJclVector.Size Method

TJclVector Class

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Class

TJclVector Class


TJclVector.SubList Method

TJclVector Class

function SubList(First: Integer; Count: Integer): IJclList;

Class

TJclVector Class


TJclStrVector Class

Properties	Methods	Legend

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

Pascal

TJclStrVector = class(TJclStrCollection, IJclStrList, IJclStrArray, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Vectors

Legend

Constructor

protected

read only

Unit

JclVectors


TJclStrVector Class Methods

TJclStrVector Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AfterConstruction

BeforeDestruction

Clear

 Clone

Makes a deep copy of the current object.

Contains

ContainsAll

 Create

 Destroy

Equals

First

GetString

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Last

LastIndexOf

Remove

RemoveAll

RetainAll

SetString

Size

SubList


Legend

Constructor

protected


TJclStrVector Class Properties

TJclStrVector Class	Legend

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrVector Class

 Items


Legend

read only


Legend

TJclStrVector Class

Legend

Constructor

protected

read only


TJclStrVector Class Members

TJclStrVector Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AfterConstruction

BeforeDestruction

Clear

 Clone

Makes a deep copy of the current object.

Contains

ContainsAll

 Create

 Destroy

Equals

First

GetString

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Last

LastIndexOf

Remove

RemoveAll

RetainAll

SetString

Size

SubList

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrVector Class

 Items


Legend

Constructor

protected

read only


TJclStrVector.Items Property

TJclStrVector Class

property Items: TDynStringArray;

Class

TJclStrVector Class


TJclStrVector.Add Method

TJclStrVector Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override; overload;

Class

TJclStrVector Class


TJclStrVector.AddAll Method

TJclStrVector Class

function AddAll(ACollection: IJclStrCollection): Boolean; override; overload;

Class

TJclStrVector Class


TJclStrVector.AfterConstruction Method

TJclStrVector Class

procedure AfterConstruction; override;

Class

TJclStrVector Class


TJclStrVector.BeforeDestruction Method

TJclStrVector Class

procedure BeforeDestruction; override;

Class

TJclStrVector Class


TJclStrVector.Clear Method

TJclStrVector Class

procedure Clear; override;

Class

TJclStrVector Class


TJclStrVector.Clone Method

TJclStrVector Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrVector Class


TJclStrVector.Contains Method

TJclStrVector Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrVector Class


TJclStrVector.ContainsAll Method

TJclStrVector Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrVector Class


TJclStrVector.Create Constructor

TJclStrVector Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrVector Class


TJclStrVector.Destroy Destructor

TJclStrVector Class

destructor Destroy; override;

Class

TJclStrVector Class


TJclStrVector.Equals Method

TJclStrVector Class

function Equals(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrVector Class


TJclStrVector.First Method

TJclStrVector Class

function First: IJclStrIterator; override;

Class

TJclStrVector Class


TJclStrVector.GetString Method

TJclStrVector Class

function GetString(Index: Integer): string;

Class

TJclStrVector Class


TJclStrVector.Grow Method

TJclStrVector Class

procedure Grow; virtual;

Class

TJclStrVector Class


TJclStrVector.IndexOf Method

TJclStrVector Class

function IndexOf(const AString: string): Integer;

Class

TJclStrVector Class


TJclStrVector.Insert Method

TJclStrVector Class

procedure Insert(Index: Integer; const AString: string); overload;

Class

TJclStrVector Class


TJclStrVector.InsertAll Method

TJclStrVector Class

function InsertAll(Index: Integer; ACollection: IJclStrCollection): Boolean; overload;

Class

TJclStrVector Class


TJclStrVector.IsEmpty Method

TJclStrVector Class

function IsEmpty: Boolean; override;

Class

TJclStrVector Class


TJclStrVector.Last Method

TJclStrVector Class

function Last: IJclStrIterator; override;

Class

TJclStrVector Class


TJclStrVector.LastIndexOf Method

TJclStrVector Class

function LastIndexOf(const AString: string): Integer;

Class

TJclStrVector Class


TJclStrVector.Remove Method (Integer)

TJclStrVector Class

function Remove(Index: Integer): string; overload;

Class

TJclStrVector Class


TJclStrVector.Remove Method (string)

TJclStrVector Class

function Remove(const AString: string): Boolean; override; overload;

Class

TJclStrVector Class


TJclStrVector.RemoveAll Method

TJclStrVector Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrVector Class


TJclStrVector.RetainAll Method

TJclStrVector Class

function RetainAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrVector Class


TJclStrVector.SetString Method

TJclStrVector Class

procedure SetString(Index: Integer; const AString: string);

Class

TJclStrVector Class


TJclStrVector.Size Method

TJclStrVector Class

function Size: Integer; override;

Class

TJclStrVector Class


TJclStrVector.SubList Method

TJclStrVector Class

function SubList(First: Integer; Count: Integer): IJclStrList;

Class

TJclStrVector Class


TJclIntfVector Class

Properties	Methods	Legend

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

The dynamic array is in public for fast access in read. To have directly access to the dynamic array, you have to use the class and not the interface.

This container is NOT threadsafe.

Pascal

TJclIntfVector = class(TJclAbstractContainer, IJclIntfCollection, IJclIntfList, IJclIntfArray, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Vectors

Legend

Constructor

protected

read only

Unit

JclVectors


TJclIntfVector Class Methods

TJclIntfVector Class	Legend

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

IJclIntfCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AfterConstruction

BeforeDestruction

Clear

 Clone

Makes a deep copy of the current object.

Contains

ContainsAll

 Create

 Destroy

Equals

First

GetObject

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Last

LastIndexOf

Remove

RemoveAll

RetainAll

SetObject

Size

SubList


Legend

Constructor

protected


TJclIntfVector Class Properties

TJclIntfVector Class	Legend

Properties

IJclIntfArray Interface

Items

TJclIntfVector Class

 Items


Legend

read only


Legend

TJclIntfVector Class

Legend

Constructor

protected

read only


TJclIntfVector Class Members

TJclIntfVector Class	Legend

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

IJclIntfCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfVector Class

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AfterConstruction

BeforeDestruction

Clear

 Clone

Makes a deep copy of the current object.

Contains

ContainsAll

 Create

 Destroy

Equals

First

GetObject

 Grow

IndexOf

Insert

InsertAll

IsEmpty

Last

LastIndexOf

Remove

RemoveAll

RetainAll

SetObject

Size

SubList

Properties

IJclIntfArray Interface

Items

TJclIntfVector Class

 Items


Legend

Constructor

protected

read only


TJclIntfVector.Items Property

TJclIntfVector Class

property Items: TDynIInterfaceArray;

Class

TJclIntfVector Class


TJclIntfVector.Add Method

TJclIntfVector Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean; overload;

Class

TJclIntfVector Class


TJclIntfVector.AddAll Method

TJclIntfVector Class

function AddAll(ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfVector Class


TJclIntfVector.AfterConstruction Method

TJclIntfVector Class

procedure AfterConstruction; override;

Class

TJclIntfVector Class


TJclIntfVector.BeforeDestruction Method

TJclIntfVector Class

procedure BeforeDestruction; override;

Class

TJclIntfVector Class


TJclIntfVector.Clear Method

TJclIntfVector Class

procedure Clear;

Class

TJclIntfVector Class


TJclIntfVector.Clone Method

TJclIntfVector Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfVector Class


TJclIntfVector.Contains Method

TJclIntfVector Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfVector Class


TJclIntfVector.ContainsAll Method

TJclIntfVector Class

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfVector Class


TJclIntfVector.Create Constructor

TJclIntfVector Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclIntfVector Class


TJclIntfVector.Destroy Destructor

TJclIntfVector Class

destructor Destroy; override;

Class

TJclIntfVector Class


TJclIntfVector.Equals Method

TJclIntfVector Class

function Equals(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfVector Class


TJclIntfVector.First Method

TJclIntfVector Class

function First: IJclIntfIterator;

Class

TJclIntfVector Class


TJclIntfVector.GetObject Method

TJclIntfVector Class

function GetObject(Index: Integer): IInterface;

Class

TJclIntfVector Class


TJclIntfVector.Grow Method

TJclIntfVector Class

procedure Grow; virtual;

Class

TJclIntfVector Class


TJclIntfVector.IndexOf Method

TJclIntfVector Class

function IndexOf(AInterface: IInterface): Integer;

Class

TJclIntfVector Class


TJclIntfVector.Insert Method

TJclIntfVector Class

procedure Insert(Index: Integer; AInterface: IInterface); overload;

Class

TJclIntfVector Class


TJclIntfVector.InsertAll Method

TJclIntfVector Class

function InsertAll(Index: Integer; ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfVector Class


TJclIntfVector.IsEmpty Method

TJclIntfVector Class

function IsEmpty: Boolean;

Class

TJclIntfVector Class


TJclIntfVector.Last Method

TJclIntfVector Class

function Last: IJclIntfIterator;

Class

TJclIntfVector Class


TJclIntfVector.LastIndexOf Method

TJclIntfVector Class

function LastIndexOf(AInterface: IInterface): Integer;

Class

TJclIntfVector Class


TJclIntfVector.Remove Method (IInterface)

TJclIntfVector Class

function Remove(AInterface: IInterface): Boolean; overload;

Class

TJclIntfVector Class


TJclIntfVector.Remove Method (Integer)

TJclIntfVector Class

function Remove(Index: Integer): IInterface; overload;

Class

TJclIntfVector Class


TJclIntfVector.RemoveAll Method

TJclIntfVector Class

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfVector Class


TJclIntfVector.RetainAll Method

TJclIntfVector Class

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfVector Class


TJclIntfVector.SetObject Method

TJclIntfVector Class

procedure SetObject(Index: Integer; AInterface: IInterface);

Class

TJclIntfVector Class


TJclIntfVector.Size Method

TJclIntfVector Class

function Size: Integer;

Class

TJclIntfVector Class


TJclIntfVector.SubList Method

TJclIntfVector Class

function SubList(First: Integer; Count: Integer): IJclIntfList;

Class

TJclIntfVector Class


Linked Lists

Doubly linked list. There is no random access to the elements. Insertion and deletion anywhere is fast.

Group

Sequence containers

Classes

TJclLinkedList

This class store objects in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfLinkedList

This class store interfaces in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrLinkedList

This class stores strings in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Linked Lists Classes

Linked Lists

Classes

TJclLinkedList

This class store objects in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfLinkedList

This class store interfaces in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrLinkedList

This class stores strings in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclLinkedList Class

Properties	Methods	Legend

This class store objects in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclLinkedList = class(TJclAbstractContainer, IJclCollection, IJclList, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Linked Lists

Legend

Constructor

protected

read only

Unit

JclLinkedLists


TJclLinkedList Class Methods

TJclLinkedList Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 AddFirst

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList


Legend

Constructor

protected


TJclLinkedList Class Properties

TJclLinkedList Class	Legend

Properties

IJclList Interface

Items

TJclLinkedList Class

 OwnsObjects


Legend

read only


Legend

TJclLinkedList Class

Legend

Constructor

protected

read only


TJclLinkedList Class Members

TJclLinkedList Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 AddFirst

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList

Properties

IJclList Interface

Items

TJclLinkedList Class

 OwnsObjects


Legend

Constructor

protected

read only


TJclLinkedList.OwnsObjects Property

TJclLinkedList Class

property OwnsObjects: Boolean;

Class

TJclLinkedList Class


TJclLinkedList.Add Method

TJclLinkedList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean; overload;

Class

TJclLinkedList Class


TJclLinkedList.AddAll Method

TJclLinkedList Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean; overload;

Donator

Jean-Philippe Bempel

Class

TJclLinkedList Class


TJclLinkedList.AddFirst Method

TJclLinkedList Class

procedure AddFirst(AObject: TObject);

Class

TJclLinkedList Class


TJclLinkedList.Clear Method

TJclLinkedList Class

Clear all objects contained in the collection.

Pascal

procedure Clear;

Class

TJclLinkedList Class


TJclLinkedList.Clone Method

TJclLinkedList Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclLinkedList Class


TJclLinkedList.Contains Method

TJclLinkedList Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclLinkedList Class


TJclLinkedList.ContainsAll Method

TJclLinkedList Class

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Class

TJclLinkedList Class


TJclLinkedList.Create Constructor

TJclLinkedList Class

constructor Create(ACollection: IJclCollection = nil; AOwnsObjects: Boolean = True);

Class

TJclLinkedList Class


TJclLinkedList.Destroy Destructor

TJclLinkedList Class

destructor Destroy; override;

Class

TJclLinkedList Class


TJclLinkedList.Equals Method

TJclLinkedList Class

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Class

TJclLinkedList Class


TJclLinkedList.First Method

TJclLinkedList Class

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Class

TJclLinkedList Class


TJclLinkedList.FreeObject Method

TJclLinkedList Class

procedure FreeObject(var AObject: TObject);

Class

TJclLinkedList Class


TJclLinkedList.GetObject Method

TJclLinkedList Class

function GetObject(Index: Integer): TObject;

Class

TJclLinkedList Class


TJclLinkedList.IndexOf Method

TJclLinkedList Class

function IndexOf(AObject: TObject): Integer;

Class

TJclLinkedList Class


TJclLinkedList.Insert Method

TJclLinkedList Class

procedure Insert(Index: Integer; AObject: TObject); overload;

Class

TJclLinkedList Class


TJclLinkedList.InsertAll Method

TJclLinkedList Class

function InsertAll(Index: Integer; ACollection: IJclCollection): Boolean; overload;

Class

TJclLinkedList Class


TJclLinkedList.IsEmpty Method

TJclLinkedList Class

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Class

TJclLinkedList Class


TJclLinkedList.Last Method

TJclLinkedList Class

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Class

TJclLinkedList Class


TJclLinkedList.LastIndexOf Method

TJclLinkedList Class

function LastIndexOf(AObject: TObject): Integer;

Class

TJclLinkedList Class


TJclLinkedList.Remove Method (Integer)

TJclLinkedList Class

function Remove(Index: Integer): TObject; overload;

Class

TJclLinkedList Class


TJclLinkedList.Remove Method (TObject)

TJclLinkedList Class

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean; overload;

Class

TJclLinkedList Class


TJclLinkedList.RemoveAll Method

TJclLinkedList Class

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Class

TJclLinkedList Class


TJclLinkedList.RetainAll Method

TJclLinkedList Class

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Class

TJclLinkedList Class


TJclLinkedList.SetObject Method

TJclLinkedList Class

procedure SetObject(Index: Integer; AObject: TObject);

Class

TJclLinkedList Class


TJclLinkedList.Size Method

TJclLinkedList Class

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Class

TJclLinkedList Class


TJclLinkedList.SubList Method

TJclLinkedList Class

function SubList(First: Integer; Count: Integer): IJclList;

Class

TJclLinkedList Class


TJclIntfLinkedList Class

Methods	Legend

This class store interfaces in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfLinkedList = class(TJclAbstractContainer, IJclIntfCollection, IJclIntfList, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Linked Lists

Legend

Constructor

protected

Unit

JclLinkedLists


TJclIntfLinkedList Class Methods

TJclIntfLinkedList Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AddFirst

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList


Legend

Constructor

protected


Legend

TJclIntfLinkedList Class

Legend

Constructor

protected


TJclIntfLinkedList Class Members

TJclIntfLinkedList Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AddFirst

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList


Legend

Constructor

protected


TJclIntfLinkedList.Add Method

TJclIntfLinkedList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean; overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.AddAll Method

TJclIntfLinkedList Class

function AddAll(ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.AddFirst Method

TJclIntfLinkedList Class

procedure AddFirst(AInterface: IInterface);

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Clear Method

TJclIntfLinkedList Class

procedure Clear;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Clone Method

TJclIntfLinkedList Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Contains Method

TJclIntfLinkedList Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.ContainsAll Method

TJclIntfLinkedList Class

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Create Constructor

TJclIntfLinkedList Class

constructor Create(ACollection: IJclIntfCollection = nil);

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Destroy Destructor

TJclIntfLinkedList Class

destructor Destroy; override;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Equals Method

TJclIntfLinkedList Class

function Equals(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.First Method

TJclIntfLinkedList Class

function First: IJclIntfIterator;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.GetObject Method

TJclIntfLinkedList Class

function GetObject(Index: Integer): IInterface;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.IndexOf Method

TJclIntfLinkedList Class

function IndexOf(AInterface: IInterface): Integer;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Insert Method

TJclIntfLinkedList Class

procedure Insert(Index: Integer; AInterface: IInterface); overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.InsertAll Method

TJclIntfLinkedList Class

function InsertAll(Index: Integer; ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.IsEmpty Method

TJclIntfLinkedList Class

function IsEmpty: Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Last Method

TJclIntfLinkedList Class

function Last: IJclIntfIterator;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.LastIndexOf Method

TJclIntfLinkedList Class

function LastIndexOf(AInterface: IInterface): Integer;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Remove Method (IInterface)

TJclIntfLinkedList Class

function Remove(AInterface: IInterface): Boolean; overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Remove Method (Integer)

TJclIntfLinkedList Class

function Remove(Index: Integer): IInterface; overload;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.RemoveAll Method

TJclIntfLinkedList Class

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.RetainAll Method

TJclIntfLinkedList Class

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.SetObject Method

TJclIntfLinkedList Class

procedure SetObject(Index: Integer; AInterface: IInterface);

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.Size Method

TJclIntfLinkedList Class

function Size: Integer;

Class

TJclIntfLinkedList Class


TJclIntfLinkedList.SubList Method

TJclIntfLinkedList Class

function SubList(First: Integer; Count: Integer): IJclIntfList;

Class

TJclIntfLinkedList Class


TJclStrLinkedList Class

Properties	Methods	Legend

This class stores strings in a simple linked list.

When an element is insert, a new node is created.

When an element is removed, the node is destroyed.

When you access to a element by an index, you go trough all intermediate nodes from the head.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrLinkedList = class(TJclStrCollection, IJclStrList, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Linked Lists

Legend

Constructor

protected

Unit

JclLinkedLists


TJclStrLinkedList Class Methods

TJclStrLinkedList Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AddFirst

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList


Legend

Constructor

protected


TJclStrLinkedList Class Properties

TJclStrLinkedList Class

Properties

IJclStrList Interface

Items


Legend

TJclStrLinkedList Class

Legend

Constructor

protected


TJclStrLinkedList Class Members

TJclStrLinkedList Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrLinkedList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AddFirst

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList

Properties

IJclStrList Interface

Items


Legend

Constructor

protected


TJclStrLinkedList.Add Method

TJclStrLinkedList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override; overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.AddAll Method

TJclStrLinkedList Class

function AddAll(ACollection: IJclStrCollection): Boolean; override; overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.AddFirst Method

TJclStrLinkedList Class

procedure AddFirst(const AString: string);

Class

TJclStrLinkedList Class


TJclStrLinkedList.Clear Method

TJclStrLinkedList Class

procedure Clear; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Clone Method

TJclStrLinkedList Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrLinkedList Class


TJclStrLinkedList.Contains Method

TJclStrLinkedList Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.ContainsAll Method

TJclStrLinkedList Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Create Constructor

TJclStrLinkedList Class

constructor Create(ACollection: IJclStrCollection = nil);

Class

TJclStrLinkedList Class


TJclStrLinkedList.Destroy Destructor

TJclStrLinkedList Class

destructor Destroy; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Equals Method

TJclStrLinkedList Class

function Equals(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.First Method

TJclStrLinkedList Class

function First: IJclStrIterator; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.GetString Method

TJclStrLinkedList Class

function GetString(Index: Integer): string;

Class

TJclStrLinkedList Class


TJclStrLinkedList.IndexOf Method

TJclStrLinkedList Class

function IndexOf(const AString: string): Integer;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Insert Method

TJclStrLinkedList Class

procedure Insert(Index: Integer; const AString: string); overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.InsertAll Method

TJclStrLinkedList Class

function InsertAll(Index: Integer; ACollection: IJclStrCollection): Boolean; overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.IsEmpty Method

TJclStrLinkedList Class

function IsEmpty: Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Last Method

TJclStrLinkedList Class

function Last: IJclStrIterator; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.LastIndexOf Method

TJclStrLinkedList Class

function LastIndexOf(const AString: string): Integer;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Remove Method (Integer)

TJclStrLinkedList Class

function Remove(Index: Integer): string; overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.Remove Method (string)

TJclStrLinkedList Class

function Remove(const AString: string): Boolean; override; overload;

Class

TJclStrLinkedList Class


TJclStrLinkedList.RemoveAll Method

TJclStrLinkedList Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.RetainAll Method

TJclStrLinkedList Class

function RetainAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.SetString Method

TJclStrLinkedList Class

procedure SetString(Index: Integer; const AString: string);

Class

TJclStrLinkedList Class


TJclStrLinkedList.Size Method

TJclStrLinkedList Class

function Size: Integer; override;

Class

TJclStrLinkedList Class


TJclStrLinkedList.SubList Method

TJclStrLinkedList Class

function SubList(First: Integer; Count: Integer): IJclStrList;

Class

TJclStrLinkedList Class


Associative containers

Associative containers contain key/value pairs, providing access to each value using a key. The elements are sorted by the key. Usually implemented as a balanced binary tree.

Group

Containers

Topics

Maps

Maps provide access to elements using any type of key. This is a generalization of the idea of accessing a vector with an integer subscript.


Topics

Associative containers

Topics

Maps

Maps provide access to elements using any type of key. This is a generalization of the idea of accessing a vector with an integer subscript.


Maps

Maps provide access to elements using any type of key. This is a generalization of the idea of accessing a vector with an integer subscript.

Group

Associative containers

Classes

TJclHashMap

This class store a map with object as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfIntfHashMap

This class store a map with interface as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrIntfHashMap

This class store a map with string as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrHashMap

This class store a map with string as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrStrHashMap

This class store a map with string as hashed key and string as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Maps Classes

Maps

Classes

TJclHashMap

This class store a map with object as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfIntfHashMap

This class store a map with interface as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrIntfHashMap

This class store a map with string as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrHashMap

This class store a map with string as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrStrHashMap

This class store a map with string as hashed key and string as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclHashMap Class

Properties	Methods	Events	Legend

This class store a map with object as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclHashMap = class(TJclAbstractContainer, IJclMap, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Maps

Events

TJclHashMap Class

HashFunction

Legend

Constructor

protected

read only

Unit

JclHashMaps


TJclHashMap Class Methods

TJclHashMap Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclHashMap Class

Clear

 Clone

Makes a deep copy of the current object.

ContainsKey

ContainsValue

 Create

 Destroy

Equals

 FreeObject

GetValue

 GrowEntries

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values


Legend

Constructor

protected


TJclHashMap Class Properties

TJclHashMap Class	Legend

Properties

IJclMap Interface

Items

TJclHashMap Class

 OwnsObjects


Legend

read only


TJclHashMap Class Events

TJclHashMap Class

Events

TJclHashMap Class

HashFunction


Legend

TJclHashMap Class

Legend

Constructor

protected

read only


TJclHashMap Class Members

TJclHashMap Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclHashMap Class

Clear

 Clone

Makes a deep copy of the current object.

ContainsKey

ContainsValue

 Create

 Destroy

Equals

 FreeObject

GetValue

 GrowEntries

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

Properties

IJclMap Interface

Items

TJclHashMap Class

 OwnsObjects

Events

TJclHashMap Class

HashFunction


Legend

Constructor

protected

read only


TJclHashMap.HashFunction Event

TJclHashMap Class

property HashFunction: TJclHashFunction;

Class

TJclHashMap Class


TJclHashMap.OwnsObjects Property

TJclHashMap Class

property OwnsObjects: Boolean;

Class

TJclHashMap Class


TJclHashMap.Clear Method

TJclHashMap Class

procedure Clear;

Class

TJclHashMap Class


TJclHashMap.Clone Method

TJclHashMap Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclHashMap Class


TJclHashMap.ContainsKey Method

TJclHashMap Class

function ContainsKey(Key: TObject): Boolean;

Class

TJclHashMap Class


TJclHashMap.ContainsValue Method

TJclHashMap Class

function ContainsValue(Value: TObject): Boolean;

Class

TJclHashMap Class


TJclHashMap.Create Constructor

TJclHashMap Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity; AOwnsObjects: Boolean = True);

Class

TJclHashMap Class


TJclHashMap.Destroy Destructor

TJclHashMap Class

destructor Destroy; override;

Class

TJclHashMap Class


TJclHashMap.Equals Method

TJclHashMap Class

function Equals(AMap: IJclMap): Boolean;

Class

TJclHashMap Class


TJclHashMap.FreeObject Method

TJclHashMap Class

procedure FreeObject(var AObject: TObject);

Class

TJclHashMap Class


TJclHashMap.GetValue Method

TJclHashMap Class

function GetValue(Key: TObject): TObject;

Class

TJclHashMap Class


TJclHashMap.GrowEntries Method

TJclHashMap Class

procedure GrowEntries(BucketIndex: Integer); virtual;

Class

TJclHashMap Class


TJclHashMap.IsEmpty Method

TJclHashMap Class

function IsEmpty: Boolean;

Class

TJclHashMap Class


TJclHashMap.KeySet Method

TJclHashMap Class

function KeySet: IJclSet;

Class

TJclHashMap Class


TJclHashMap.PutAll Method

TJclHashMap Class

procedure PutAll(AMap: IJclMap);

Class

TJclHashMap Class


TJclHashMap.PutValue Method

TJclHashMap Class

procedure PutValue(Key: TObject; Value: TObject);

Class

TJclHashMap Class


TJclHashMap.Remove Method

TJclHashMap Class

function Remove(Key: TObject): TObject;

Class

TJclHashMap Class


TJclHashMap.Size Method

TJclHashMap Class

function Size: Integer;

Class

TJclHashMap Class


TJclHashMap.Values Method

TJclHashMap Class

function Values: IJclCollection;

Class

TJclHashMap Class


TJclIntfIntfHashMap Class

Methods	Events	Legend

This class store a map with interface as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfIntfHashMap = class(TJclAbstractContainer, IJclIntfIntfMap, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Maps

Events

TJclIntfIntfHashMap Class

HashFunction

Legend

Constructor

protected

Unit

JclHashMaps


TJclIntfIntfHashMap Class Methods

TJclIntfIntfHashMap Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclIntfIntfMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfIntfHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values


Legend

Constructor

protected


TJclIntfIntfHashMap Class Events

TJclIntfIntfHashMap Class

Events

TJclIntfIntfHashMap Class

HashFunction


Legend

TJclIntfIntfHashMap Class

Legend

Constructor

protected


TJclIntfIntfHashMap Class Members

TJclIntfIntfHashMap Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclIntfIntfMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfIntfHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values

Events

TJclIntfIntfHashMap Class

HashFunction


Legend

Constructor

protected


TJclIntfIntfHashMap.HashFunction Event

TJclIntfIntfHashMap Class

property HashFunction: TJclHashFunction;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Clear Method

TJclIntfIntfHashMap Class

procedure Clear;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Clone Method

TJclIntfIntfHashMap Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.ContainsKey Method

TJclIntfIntfHashMap Class

function ContainsKey(Key: IInterface): Boolean;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.ContainsValue Method

TJclIntfIntfHashMap Class

function ContainsValue(Value: IInterface): Boolean;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Create Constructor

TJclIntfIntfHashMap Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Destroy Destructor

TJclIntfIntfHashMap Class

destructor Destroy; override;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Equals Method

TJclIntfIntfHashMap Class

function Equals(AMap: IJclIntfIntfMap): Boolean;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.GetValue Method

TJclIntfIntfHashMap Class

function GetValue(Key: IInterface): IInterface;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.GrowEntries Method

TJclIntfIntfHashMap Class

procedure GrowEntries(BucketIndex: Integer); virtual;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.IsEmpty Method

TJclIntfIntfHashMap Class

function IsEmpty: Boolean;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.KeySet Method

TJclIntfIntfHashMap Class

function KeySet: IJclIntfSet;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.PutAll Method

TJclIntfIntfHashMap Class

procedure PutAll(AMap: IJclIntfIntfMap);

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.PutValue Method

TJclIntfIntfHashMap Class

procedure PutValue(Key: IInterface; Value: IInterface);

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Remove Method

TJclIntfIntfHashMap Class

function Remove(Key: IInterface): IInterface;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Size Method

TJclIntfIntfHashMap Class

function Size: Integer;

Class

TJclIntfIntfHashMap Class


TJclIntfIntfHashMap.Values Method

TJclIntfIntfHashMap Class

function Values: IJclIntfCollection;

Class

TJclIntfIntfHashMap Class


TJclStrIntfHashMap Class

Methods	Events	Legend

This class store a map with string as hashed key and interface as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrIntfHashMap = class(TJclAbstractContainer, IJclStrIntfMap, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Maps

Events

TJclStrIntfHashMap Class

HashFunction

Legend

Constructor

protected

Unit

JclHashMaps


TJclStrIntfHashMap Class Methods

TJclStrIntfHashMap Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrIntfMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrIntfHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values


Legend

Constructor

protected


TJclStrIntfHashMap Class Events

TJclStrIntfHashMap Class

Events

TJclStrIntfHashMap Class

HashFunction


Legend

TJclStrIntfHashMap Class

Legend

Constructor

protected


TJclStrIntfHashMap Class Members

TJclStrIntfHashMap Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrIntfMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrIntfHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values

Events

TJclStrIntfHashMap Class

HashFunction


Legend

Constructor

protected


TJclStrIntfHashMap.HashFunction Event

TJclStrIntfHashMap Class

property HashFunction: TJclHashFunction;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Clear Method

TJclStrIntfHashMap Class

procedure Clear;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Clone Method

TJclStrIntfHashMap Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.ContainsKey Method

TJclStrIntfHashMap Class

function ContainsKey(const Key: string): Boolean;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.ContainsValue Method

TJclStrIntfHashMap Class

function ContainsValue(Value: IInterface): Boolean;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Create Constructor

TJclStrIntfHashMap Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Destroy Destructor

TJclStrIntfHashMap Class

destructor Destroy; override;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Equals Method

TJclStrIntfHashMap Class

function Equals(AMap: IJclStrIntfMap): Boolean;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.GetValue Method

TJclStrIntfHashMap Class

function GetValue(const Key: string): IInterface;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.GrowEntries Method

TJclStrIntfHashMap Class

procedure GrowEntries(BucketIndex: Integer); virtual;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.IsEmpty Method

TJclStrIntfHashMap Class

function IsEmpty: Boolean;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.KeySet Method

TJclStrIntfHashMap Class

function KeySet: IJclStrSet;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.PutAll Method

TJclStrIntfHashMap Class

procedure PutAll(AMap: IJclStrIntfMap);

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.PutValue Method

TJclStrIntfHashMap Class

procedure PutValue(const Key: string; Value: IInterface);

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Remove Method

TJclStrIntfHashMap Class

function Remove(const Key: string): IInterface;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Size Method

TJclStrIntfHashMap Class

function Size: Integer;

Class

TJclStrIntfHashMap Class


TJclStrIntfHashMap.Values Method

TJclStrIntfHashMap Class

function Values: IJclIntfCollection;

Class

TJclStrIntfHashMap Class


TJclStrHashMap Class

Properties	Methods	Events	Legend

This class store a map with string as hashed key and object as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrHashMap = class(TJclAbstractContainer, IJclStrMap, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Maps

Events

TJclStrHashMap Class

HashFunction

Legend

Constructor

protected

read only

Unit

JclHashMaps


TJclStrHashMap Class Methods

TJclStrHashMap Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 FreeObject

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values


Legend

Constructor

protected


TJclStrHashMap Class Properties

TJclStrHashMap Class	Legend

Properties

IJclStrMap Interface

Items

TJclStrHashMap Class

 OwnsObjects


Legend

read only


TJclStrHashMap Class Events

TJclStrHashMap Class

Events

TJclStrHashMap Class

HashFunction


Legend

TJclStrHashMap Class

Legend

Constructor

protected

read only


TJclStrHashMap Class Members

TJclStrHashMap Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 FreeObject

 GetValue

 GrowEntries

 IsEmpty

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values

Properties

IJclStrMap Interface

Items

TJclStrHashMap Class

 OwnsObjects

Events

TJclStrHashMap Class

HashFunction


Legend

Constructor

protected

read only


TJclStrHashMap.HashFunction Event

TJclStrHashMap Class

property HashFunction: TJclHashFunction;

Class

TJclStrHashMap Class


TJclStrHashMap.OwnsObjects Property

TJclStrHashMap Class

property OwnsObjects: Boolean;

Class

TJclStrHashMap Class


TJclStrHashMap.Clear Method

TJclStrHashMap Class

procedure Clear;

Class

TJclStrHashMap Class


TJclStrHashMap.Clone Method

TJclStrHashMap Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrHashMap Class


TJclStrHashMap.ContainsKey Method

TJclStrHashMap Class

function ContainsKey(const Key: string): Boolean;

Class

TJclStrHashMap Class


TJclStrHashMap.ContainsValue Method

TJclStrHashMap Class

function ContainsValue(Value: TObject): Boolean;

Class

TJclStrHashMap Class


TJclStrHashMap.Create Constructor

TJclStrHashMap Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity; AOwnsObjects: Boolean = True);

Class

TJclStrHashMap Class


TJclStrHashMap.Destroy Destructor

TJclStrHashMap Class

destructor Destroy; override;

Class

TJclStrHashMap Class


TJclStrHashMap.Equals Method

TJclStrHashMap Class

function Equals(AMap: IJclStrMap): Boolean;

Class

TJclStrHashMap Class


TJclStrHashMap.FreeObject Method

TJclStrHashMap Class

procedure FreeObject(var AObject: TObject);

Class

TJclStrHashMap Class


TJclStrHashMap.GetValue Method

TJclStrHashMap Class

function GetValue(const Key: string): TObject;

Class

TJclStrHashMap Class


TJclStrHashMap.GrowEntries Method

TJclStrHashMap Class

procedure GrowEntries(BucketIndex: Integer); virtual;

Class

TJclStrHashMap Class


TJclStrHashMap.IsEmpty Method

TJclStrHashMap Class

function IsEmpty: Boolean;

Class

TJclStrHashMap Class


TJclStrHashMap.KeySet Method

TJclStrHashMap Class

function KeySet: IJclStrSet;

Class

TJclStrHashMap Class


TJclStrHashMap.PutAll Method

TJclStrHashMap Class

procedure PutAll(AMap: IJclStrMap);

Class

TJclStrHashMap Class


TJclStrHashMap.PutValue Method

TJclStrHashMap Class

procedure PutValue(const Key: string; Value: TObject);

Class

TJclStrHashMap Class


TJclStrHashMap.Remove Method

TJclStrHashMap Class

function Remove(const Key: string): TObject;

Class

TJclStrHashMap Class


TJclStrHashMap.Size Method

TJclStrHashMap Class

function Size: Integer;

Class

TJclStrHashMap Class


TJclStrHashMap.Values Method

TJclStrHashMap Class

function Values: IJclCollection;

Class

TJclStrHashMap Class


TJclStrStrHashMap Class

Properties	Methods	Events	Legend

This class store a map with string as hashed key and string as value.

Hashed value give an index to a dynamic array (Buckets) that store another (Entries) in each cells for collisions.

The default buckets capacity is 16 elements. The buckets capacity is fixed. The default entries capcity is 1. When the limit is reached, the capacity grows of 25% if > 64 else it is muliply by 4.

You can change the hash function by the property HashFunction

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrStrHashMap = class(TJclAbstractContainer, IJclStrStrMap, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Maps

Events

TJclStrStrHashMap Class

HashFunction

Legend

Constructor

protected

Unit

JclHashMaps


TJclStrStrHashMap Class Methods

TJclStrStrHashMap Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrStrMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrStrHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeyOfValue

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values


Legend

Constructor

protected


TJclStrStrHashMap Class Properties

TJclStrStrHashMap Class

Properties

IJclStrStrMap Interface

Items


TJclStrStrHashMap Class Events

TJclStrStrHashMap Class

Events

TJclStrStrHashMap Class

HashFunction


Legend

TJclStrStrHashMap Class

Legend

Constructor

protected


TJclStrStrHashMap Class Members

TJclStrStrHashMap Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrStrMap Interface

Clear

ContainsKey

ContainsValue

Equals

GetValue

IsEmpty

KeyOfValue

KeySet

PutAll

PutValue

Remove

Size

Values

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrStrHashMap Class

 Clear

 Clone

Makes a deep copy of the current object.

 ContainsKey

 ContainsValue

 Create

 Destroy

 Equals

 GetValue

 GrowEntries

 IsEmpty

 KeyOfValue

 KeySet

 PutAll

 PutValue

 Remove

 Size

 Values

Properties

IJclStrStrMap Interface

Items

Events

TJclStrStrHashMap Class

HashFunction


Legend

Constructor

protected


TJclStrStrHashMap.HashFunction Event

TJclStrStrHashMap Class

property HashFunction: TJclHashFunction;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Clear Method

TJclStrStrHashMap Class

procedure Clear;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Clone Method

TJclStrStrHashMap Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.ContainsKey Method

TJclStrStrHashMap Class

function ContainsKey(const Key: string): Boolean;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.ContainsValue Method

TJclStrStrHashMap Class

function ContainsValue(const Value: string): Boolean;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Create Constructor

TJclStrStrHashMap Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Destroy Destructor

TJclStrStrHashMap Class

destructor Destroy; override;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Equals Method

TJclStrStrHashMap Class

function Equals(AMap: IJclStrStrMap): Boolean;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.GetValue Method

TJclStrStrHashMap Class

function GetValue(const Key: string): string;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.GrowEntries Method

TJclStrStrHashMap Class

procedure GrowEntries(BucketIndex: Integer); virtual;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.IsEmpty Method

TJclStrStrHashMap Class

function IsEmpty: Boolean;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.KeyOfValue Method

TJclStrStrHashMap Class

function KeyOfValue(const Value: string): string;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.KeySet Method

TJclStrStrHashMap Class

function KeySet: IJclStrSet;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.PutAll Method

TJclStrStrHashMap Class

procedure PutAll(AMap: IJclStrStrMap);

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.PutValue Method

TJclStrStrHashMap Class

procedure PutValue(const Key: string; const Value: string);

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Remove Method

TJclStrStrHashMap Class

function Remove(const Key: string): string;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Size Method

TJclStrStrHashMap Class

function Size: Integer;

Class

TJclStrStrHashMap Class


TJclStrStrHashMap.Values Method

TJclStrStrHashMap Class

function Values: IJclStrCollection;

Class

TJclStrStrHashMap Class


Ordered sets

The set containers keep the elements in them in order, and are usually implemented as balanced binary trees. They implement standard set operations (union, intersection, ...) as you might expect from the name.

Group

Containers

Classes

TJclIntfHashSet

This class store hashed interfaces only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclHashSet

This class store hashed objects only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrHashSet

This class store hashed strings only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Ordered sets Classes

Ordered sets

Classes

TJclIntfHashSet

This class store hashed interfaces only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclHashSet

This class store hashed objects only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrHashSet

This class store hashed strings only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclIntfHashSet Class

Methods	Legend

This class store hashed interfaces only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfHashSet = class(TJclAbstractContainer, IJclIntfCollection, IJclIntfSet, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Ordered sets

Legend

Constructor

protected

Unit

JclHashSets


TJclIntfHashSet Class Methods

TJclIntfHashSet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 Intersect

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 Size

 Subtract

 Union


Legend

Constructor

protected


Legend

TJclIntfHashSet Class

Legend

Constructor

protected


TJclIntfHashSet Class Members

TJclIntfHashSet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclIntfCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 Intersect

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 Size

 Subtract

 Union


Legend

Constructor

protected


TJclIntfHashSet.Add Method

TJclIntfHashSet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.AddAll Method

TJclIntfHashSet Class

function AddAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Clear Method

TJclIntfHashSet Class

procedure Clear;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Clone Method

TJclIntfHashSet Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Contains Method

TJclIntfHashSet Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.ContainsAll Method

TJclIntfHashSet Class

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Create Constructor

TJclIntfHashSet Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclIntfHashSet Class


TJclIntfHashSet.Destroy Destructor

TJclIntfHashSet Class

destructor Destroy; override;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Equals Method

TJclIntfHashSet Class

function Equals(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.First Method

TJclIntfHashSet Class

function First: IJclIntfIterator;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Intersect Method

TJclIntfHashSet Class

procedure Intersect(ACollection: IJclIntfCollection);

Class

TJclIntfHashSet Class


TJclIntfHashSet.IsEmpty Method

TJclIntfHashSet Class

function IsEmpty: Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Last Method

TJclIntfHashSet Class

function Last: IJclIntfIterator;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Remove Method

TJclIntfHashSet Class

function Remove(AInterface: IInterface): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.RemoveAll Method

TJclIntfHashSet Class

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.RetainAll Method

TJclIntfHashSet Class

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Size Method

TJclIntfHashSet Class

function Size: Integer;

Class

TJclIntfHashSet Class


TJclIntfHashSet.Subtract Method

TJclIntfHashSet Class

procedure Subtract(ACollection: IJclIntfCollection);

Class

TJclIntfHashSet Class


TJclIntfHashSet.Union Method

TJclIntfHashSet Class

procedure Union(ACollection: IJclIntfCollection);

Class

TJclIntfHashSet Class


TJclHashSet Class

Methods	Legend

This class store hashed objects only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclHashSet = class(TJclAbstractContainer, IJclCollection, IJclSet, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Ordered sets

Legend

Constructor

protected

Unit

JclHashSets


TJclHashSet Class Methods

TJclHashSet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 Intersect

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 Remove

Remove AObject from the collection. Return True if the method succeeds.

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 Size

Return the number of objects contained in the collection.

 Subtract

 Union


Legend

Constructor

protected


Legend

TJclHashSet Class

Legend

Constructor

protected


TJclHashSet Class Members

TJclHashSet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 Intersect

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 Remove

Remove AObject from the collection. Return True if the method succeeds.

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 Size

Return the number of objects contained in the collection.

 Subtract

 Union


Legend

Constructor

protected


TJclHashSet.Add Method

TJclHashSet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean;

Class

TJclHashSet Class


TJclHashSet.AddAll Method

TJclHashSet Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean;

Donator

Jean-Philippe Bempel

Class

TJclHashSet Class


TJclHashSet.Clear Method

TJclHashSet Class

Clear all objects contained in the collection.

Pascal

procedure Clear;

Class

TJclHashSet Class


TJclHashSet.Clone Method

TJclHashSet Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclHashSet Class


TJclHashSet.Contains Method

TJclHashSet Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclHashSet Class


TJclHashSet.ContainsAll Method

TJclHashSet Class

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Class

TJclHashSet Class


TJclHashSet.Create Constructor

TJclHashSet Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity; AOwnsObject: Boolean = False);

Class

TJclHashSet Class


TJclHashSet.Destroy Destructor

TJclHashSet Class

destructor Destroy; override;

Class

TJclHashSet Class


TJclHashSet.Equals Method

TJclHashSet Class

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Class

TJclHashSet Class


TJclHashSet.First Method

TJclHashSet Class

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Class

TJclHashSet Class


TJclHashSet.Intersect Method

TJclHashSet Class

procedure Intersect(ACollection: IJclCollection);

Class

TJclHashSet Class


TJclHashSet.IsEmpty Method

TJclHashSet Class

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Class

TJclHashSet Class


TJclHashSet.Last Method

TJclHashSet Class

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Class

TJclHashSet Class


TJclHashSet.Remove Method

TJclHashSet Class

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean;

Class

TJclHashSet Class


TJclHashSet.RemoveAll Method

TJclHashSet Class

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Class

TJclHashSet Class


TJclHashSet.RetainAll Method

TJclHashSet Class

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Class

TJclHashSet Class


TJclHashSet.Size Method

TJclHashSet Class

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Class

TJclHashSet Class


TJclHashSet.Subtract Method

TJclHashSet Class

procedure Subtract(ACollection: IJclCollection);

Class

TJclHashSet Class


TJclHashSet.Union Method

TJclHashSet Class

procedure Union(ACollection: IJclCollection);

Class

TJclHashSet Class


TJclStrHashSet Class

Methods	Legend

This class store hashed strings only one time in a HashMap.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrHashSet = class(TJclStrCollection, IJclStrSet, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Ordered sets

Legend

Constructor

protected

Unit

JclHashSets


TJclStrHashSet Class Methods

TJclStrHashSet Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 Intersect

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 Size

 Subtract

 Union


Legend

Constructor

protected


Legend

TJclStrHashSet Class

Legend

Constructor

protected


TJclStrHashSet Class Members

TJclStrHashSet Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrSet Interface

Intersect

Subtract

Union

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrHashSet Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 Intersect

 IsEmpty

 Last

 Remove

 RemoveAll

 RetainAll

 Size

 Subtract

 Union


Legend

Constructor

protected


TJclStrHashSet.Add Method

TJclStrHashSet Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.AddAll Method

TJclStrHashSet Class

function AddAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Clear Method

TJclStrHashSet Class

procedure Clear; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Clone Method

TJclStrHashSet Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrHashSet Class


TJclStrHashSet.Contains Method

TJclStrHashSet Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.ContainsAll Method

TJclStrHashSet Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Create Constructor

TJclStrHashSet Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrHashSet Class


TJclStrHashSet.Destroy Destructor

TJclStrHashSet Class

destructor Destroy; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Equals Method

TJclStrHashSet Class

function Equals(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.First Method

TJclStrHashSet Class

function First: IJclStrIterator; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Intersect Method

TJclStrHashSet Class

procedure Intersect(ACollection: IJclStrCollection);

Class

TJclStrHashSet Class


TJclStrHashSet.IsEmpty Method

TJclStrHashSet Class

function IsEmpty: Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Last Method

TJclStrHashSet Class

function Last: IJclStrIterator; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Remove Method

TJclStrHashSet Class

function Remove(const AString: string): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.RemoveAll Method

TJclStrHashSet Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.RetainAll Method

TJclStrHashSet Class

function RetainAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Size Method

TJclStrHashSet Class

function Size: Integer; override;

Class

TJclStrHashSet Class


TJclStrHashSet.Subtract Method

TJclStrHashSet Class

procedure Subtract(ACollection: IJclStrCollection);

Class

TJclStrHashSet Class


TJclStrHashSet.Union Method

TJclStrHashSet Class

procedure Union(ACollection: IJclStrCollection);

Class

TJclStrHashSet Class


Container adapters

These are based on other containers, and are used only to enforce access rules. Because there are special access restrictions, they have no iterators.

Group

Containers

Topics

Stacks

Stacks allow only LIFO (Last In, First Out) access.

Queues

Queues allow only FIFO (First In, First Out) access.


Topics

Container adapters

Topics

Stacks

Stacks allow only LIFO (Last In, First Out) access.

Queues

Queues allow only FIFO (First In, First Out) access.


Stacks

Stacks allow only LIFO (Last In, First Out) access.

Group

Container adapters

Classes

TJclStack

This class store objects in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfStack

This class store interfaces in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrStack

This class store strings in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Stacks Classes

Stacks

Classes

TJclStack

This class store objects in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfStack

This class store interfaces in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrStack

This class store strings in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclStack Class

Methods	Legend

This class store objects in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStack = class(TJclAbstractContainer, IJclStack);

Donator

Jean-Philippe Bempel

Group

Stacks

Legend

Constructor

protected

Unit

JclStacks


TJclStack Class Methods

TJclStack Class	Legend

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


Legend

TJclStack Class

Legend

Constructor

protected


TJclStack Class Members

TJclStack Class	Legend

Members

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


TJclStack.Contains Method

TJclStack Class

function Contains(AObject: TObject): Boolean;

Class

TJclStack Class


TJclStack.Create Constructor

TJclStack Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStack Class


TJclStack.Empty Method

TJclStack Class

function Empty: Boolean;

Class

TJclStack Class


TJclStack.Grow Method

TJclStack Class

procedure Grow; virtual;

Class

TJclStack Class


TJclStack.Pop Method

TJclStack Class

function Pop: TObject;

Class

TJclStack Class


TJclStack.Push Method

TJclStack Class

procedure Push(AObject: TObject);

Class

TJclStack Class


TJclStack.Size Method

TJclStack Class

function Size: Integer;

Class

TJclStack Class


TJclIntfStack Class

Methods	Legend

This class store interfaces in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfStack = class(TJclAbstractContainer, IJclIntfStack);

Donator

Jean-Philippe Bempel

Group

Stacks

Legend

Constructor

protected

Unit

JclStacks


TJclIntfStack Class Methods

TJclIntfStack Class	Legend

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


Legend

TJclIntfStack Class

Legend

Constructor

protected


TJclIntfStack Class Members

TJclIntfStack Class	Legend

Members

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


TJclIntfStack.Contains Method

TJclIntfStack Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfStack Class


TJclIntfStack.Create Constructor

TJclIntfStack Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclIntfStack Class


TJclIntfStack.Empty Method

TJclIntfStack Class

function Empty: Boolean;

Class

TJclIntfStack Class


TJclIntfStack.Grow Method

TJclIntfStack Class

procedure Grow; virtual;

Class

TJclIntfStack Class


TJclIntfStack.Pop Method

TJclIntfStack Class

function Pop: IInterface;

Class

TJclIntfStack Class


TJclIntfStack.Push Method

TJclIntfStack Class

procedure Push(AInterface: IInterface);

Class

TJclIntfStack Class


TJclIntfStack.Size Method

TJclIntfStack Class

function Size: Integer;

Class

TJclIntfStack Class


TJclStrStack Class

Methods	Legend

This class store strings in a LIFO dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrStack = class(TJclAbstractContainer, IJclStrStack);

Donator

Jean-Philippe Bempel

Group

Stacks

Legend

Constructor

protected

Unit

JclStacks


TJclStrStack Class Methods

TJclStrStack Class	Legend

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


Legend

TJclStrStack Class

Legend

Constructor

protected


TJclStrStack Class Members

TJclStrStack Class	Legend

Members

Methods

Contains

Empty

Pop

Push

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrStack Class

 Contains

 Create

 Empty

 Grow

 Pop

 Push

 Size


Legend

Constructor

protected


TJclStrStack.Contains Method

TJclStrStack Class

function Contains(const AString: string): Boolean;

Class

TJclStrStack Class


TJclStrStack.Create Constructor

TJclStrStack Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrStack Class


TJclStrStack.Empty Method

TJclStrStack Class

function Empty: Boolean;

Class

TJclStrStack Class


TJclStrStack.Grow Method

TJclStrStack Class

procedure Grow; virtual;

Class

TJclStrStack Class


TJclStrStack.Pop Method

TJclStrStack Class

function Pop: string;

Class

TJclStrStack Class


TJclStrStack.Push Method

TJclStrStack Class

procedure Push(const AString: string);

Class

TJclStrStack Class


TJclStrStack.Size Method

TJclStrStack Class

function Size: Integer;

Class

TJclStrStack Class


Queues

Queues allow only FIFO (First In, First Out) access.

Group

Container adapters

Classes

TJclQueue

This class store objects in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfQueue

This class store interfaces in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrQueue

This class store strings in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Queues Classes

Queues

Classes

TJclQueue

This class store objects in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclIntfQueue

This class store interfaces in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrQueue

This class store strings in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclQueue Class

Methods	Legend

This class store objects in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclQueue = class(TJclAbstractContainer, IJclQueue);

Donator

Jean-Philippe Bempel

Group

Queues

Legend

Constructor

protected

Unit

JclQueues


TJclQueue Class Methods

TJclQueue Class	Legend

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


Legend

TJclQueue Class

Legend

Constructor

protected


TJclQueue Class Members

TJclQueue Class	Legend

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


TJclQueue.Contains Method

TJclQueue Class

function Contains(AObject: TObject): Boolean;

Class

TJclQueue Class


TJclQueue.Create Constructor

TJclQueue Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclQueue Class


TJclQueue.Dequeue Method

TJclQueue Class

function Dequeue: TObject;

Class

TJclQueue Class


TJclQueue.Empty Method

TJclQueue Class

function Empty: Boolean;

Class

TJclQueue Class


TJclQueue.Enqueue Method

TJclQueue Class

procedure Enqueue(AObject: TObject);

Class

TJclQueue Class


TJclQueue.Size Method

TJclQueue Class

function Size: Integer;

Class

TJclQueue Class


TJclIntfQueue Class

Methods	Legend

This class store interfaces in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfQueue = class(TJclAbstractContainer, IJclIntfQueue);

Donator

Jean-Philippe Bempel

Group

Queues

Legend

Constructor

protected

Unit

JclQueues


TJclIntfQueue Class Methods

TJclIntfQueue Class	Legend

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


Legend

TJclIntfQueue Class

Legend

Constructor

protected


TJclIntfQueue Class Members

TJclIntfQueue Class	Legend

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


TJclIntfQueue.Contains Method

TJclIntfQueue Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfQueue Class


TJclIntfQueue.Create Constructor

TJclIntfQueue Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclIntfQueue Class


TJclIntfQueue.Dequeue Method

TJclIntfQueue Class

function Dequeue: IInterface;

Class

TJclIntfQueue Class


TJclIntfQueue.Empty Method

TJclIntfQueue Class

function Empty: Boolean;

Class

TJclIntfQueue Class


TJclIntfQueue.Enqueue Method

TJclIntfQueue Class

procedure Enqueue(AInterface: IInterface);

Class

TJclIntfQueue Class


TJclIntfQueue.Size Method

TJclIntfQueue Class

function Size: Integer;

Class

TJclIntfQueue Class


TJclStrQueue Class

Methods	Legend

This class store strings in a FIFO dynamic array.

The default capacity is 16 elements. This limit is fixed.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrQueue = class(TJclAbstractContainer, IJclStrQueue);

Donator

Jean-Philippe Bempel

Group

Queues

Legend

Constructor

protected

Unit

JclQueues


TJclStrQueue Class Methods

TJclStrQueue Class	Legend

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


Legend

TJclStrQueue Class

Legend

Constructor

protected


TJclStrQueue Class Members

TJclStrQueue Class	Legend

Members

Methods

Contains

Dequeue

Empty

Enqueue

Size

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrQueue Class

 Contains

 Create

 Dequeue

 Empty

 Enqueue

 Size


Legend

Constructor

protected


TJclStrQueue.Contains Method

TJclStrQueue Class

function Contains(const AString: string): Boolean;

Class

TJclStrQueue Class


TJclStrQueue.Create Constructor

TJclStrQueue Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity);

Class

TJclStrQueue Class


TJclStrQueue.Dequeue Method

TJclStrQueue Class

function Dequeue: string;

Class

TJclStrQueue Class


TJclStrQueue.Empty Method

TJclStrQueue Class

function Empty: Boolean;

Class

TJclStrQueue Class


TJclStrQueue.Enqueue Method

TJclStrQueue Class

procedure Enqueue(const AString: string);

Class

TJclStrQueue Class


TJclStrQueue.Size Method

TJclStrQueue Class

function Size: Integer;

Class

TJclStrQueue Class


Specialized containers

The following containers are specialized in some ways: specific data type, special utility routines, limited, but fast, implementations.

Group

Containers

Topics

Arrays

valarray is an especially efficient implementation of arrays, but it doesn't have all the standard container behavior.


Topics

Specialized containers

Topics

Arrays

valarray is an especially efficient implementation of arrays, but it doesn't have all the standard container behavior.


Arrays

valarray is an especially efficient implementation of arrays, but it doesn't have all the standard container behavior.

Group

Specialized containers

Classes

TJclIntfArrayList

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrArrayList

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclArrayList

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


Arrays Classes

Arrays

Classes

TJclIntfArrayList

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclStrArrayList

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

TJclArrayList

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.


TJclIntfArrayList Class

Properties	Methods	Legend

This class store interfaces in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclIntfArrayList = class(TJclAbstractContainer, IJclIntfCollection, IJclIntfList, IJclIntfArray, IJclIntfCloneable);

Donator

Jean-Philippe Bempel

Group

Arrays

Legend

Constructor

protected

Unit

JclArrayLists


TJclIntfArrayList Class Methods

TJclIntfArrayList Class	Legend

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

IJclIntfCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList


Legend

Constructor

protected


TJclIntfArrayList Class Properties

TJclIntfArrayList Class

Properties

IJclIntfArray Interface

Items

TJclIntfArrayList Class

Capacity


Legend

TJclIntfArrayList Class

Legend

Constructor

protected


TJclIntfArrayList Class Members

TJclIntfArrayList Class	Legend

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Clear

Contains

ContainsAll

Equals

First

IsEmpty

Last

Remove

RemoveAll

RetainAll

Size

IJclIntfList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclIntfArray Interface

GetObject

SetObject

IJclIntfCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclIntfArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

 Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetObject

 Size

 SubList

Properties

IJclIntfArray Interface

Items

TJclIntfArrayList Class

Capacity


Legend

Constructor

protected


TJclIntfArrayList.Capacity Property

TJclIntfArrayList Class

property Capacity: Integer;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Add Method

TJclIntfArrayList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AInterface: IInterface): Boolean; overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.AddAll Method

TJclIntfArrayList Class

function AddAll(ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Clear Method

TJclIntfArrayList Class

procedure Clear;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Clone Method

TJclIntfArrayList Class

Makes a deep copy of the current object.

Pascal

function Clone: IInterface;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Contains Method

TJclIntfArrayList Class

function Contains(AInterface: IInterface): Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.ContainsAll Method

TJclIntfArrayList Class

function ContainsAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Create Constructor (IJclIntfCollection)

TJclIntfArrayList Class

constructor Create(ACollection: IJclIntfCollection); overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Create Constructor (Integer)

TJclIntfArrayList Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity); overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Destroy Destructor

TJclIntfArrayList Class

destructor Destroy; override;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Equals Method

TJclIntfArrayList Class

function Equals(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.First Method

TJclIntfArrayList Class

function First: IJclIntfIterator;

Class

TJclIntfArrayList Class


TJclIntfArrayList.GetObject Method

TJclIntfArrayList Class

function GetObject(Index: Integer): IInterface;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Grow Method

TJclIntfArrayList Class

procedure Grow; virtual;

Class

TJclIntfArrayList Class


TJclIntfArrayList.IndexOf Method

TJclIntfArrayList Class

function IndexOf(AInterface: IInterface): Integer;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Insert Method

TJclIntfArrayList Class

procedure Insert(Index: Integer; AInterface: IInterface); overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.InsertAll Method

TJclIntfArrayList Class

function InsertAll(Index: Integer; ACollection: IJclIntfCollection): Boolean; overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.IsEmpty Method

TJclIntfArrayList Class

function IsEmpty: Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Last Method

TJclIntfArrayList Class

function Last: IJclIntfIterator;

Class

TJclIntfArrayList Class


TJclIntfArrayList.LastIndexOf Method

TJclIntfArrayList Class

function LastIndexOf(AInterface: IInterface): Integer;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Remove Method (IInterface)

TJclIntfArrayList Class

function Remove(AInterface: IInterface): Boolean; overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.Remove Method (Integer)

TJclIntfArrayList Class

function Remove(Index: Integer): IInterface; overload;

Class

TJclIntfArrayList Class


TJclIntfArrayList.RemoveAll Method

TJclIntfArrayList Class

function RemoveAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.RetainAll Method

TJclIntfArrayList Class

function RetainAll(ACollection: IJclIntfCollection): Boolean;

Class

TJclIntfArrayList Class


TJclIntfArrayList.SetObject Method

TJclIntfArrayList Class

procedure SetObject(Index: Integer; AInterface: IInterface);

Class

TJclIntfArrayList Class


TJclIntfArrayList.Size Method

TJclIntfArrayList Class

function Size: Integer;

Class

TJclIntfArrayList Class


TJclIntfArrayList.SubList Method

TJclIntfArrayList Class

function SubList(First: Integer; Count: Integer): IJclIntfList;

Class

TJclIntfArrayList Class


TJclStrArrayList Class

Properties	Methods	Legend

This class store strings in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclStrArrayList = class(TJclStrCollection, IJclStrList, IJclStrArray, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Arrays

Legend

Constructor

protected

Unit

JclArrayLists


TJclStrArrayList Class Methods

TJclStrArrayList Class	Legend

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList


Legend

Constructor

protected


TJclStrArrayList Class Properties

TJclStrArrayList Class

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrArrayList Class

Capacity


Legend

TJclStrArrayList Class

Legend

Constructor

protected


TJclStrArrayList Class Members

TJclStrArrayList Class	Legend

Members

Methods

Clone

Makes a deep copy of the current object.

IJclStrCollection Interface

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

AppendDelimited

AppendFromStrings

AppendToStrings

Clear

Contains

ContainsAll

Equals

First

GetAsDelimited

GetAsStrings

IsEmpty

Last

LoadDelimited

LoadFromStrings

Remove

RemoveAll

RetainAll

SaveToStrings

Size

IJclStrList Interface

GetString

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetString

SubList

IJclStrArray Interface

GetString

SetString

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclStrCollection Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 AppendDelimited

 AppendFromStrings

 AppendToStrings

 Clear

 Contains

 ContainsAll

 Equals

 First

 GetAsDelimited

 GetAsStrings

 IsEmpty

 Last

 LoadDelimited

 LoadFromStrings

 Remove

 RemoveAll

 RetainAll

 SaveToStrings

 Size

TJclStrArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

 Clear

Clone

Makes a deep copy of the current object.

 Contains

 ContainsAll

 Create

 Destroy

 Equals

 First

 GetString

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

 Last

 LastIndexOf

 Remove

 RemoveAll

 RetainAll

 SetString

 Size

 SubList

Properties

IJclStrList Interface

Items

IJclStrArray Interface

Items

TJclStrArrayList Class

Capacity


Legend

Constructor

protected


TJclStrArrayList.Capacity Property

TJclStrArrayList Class

property Capacity: Integer;

Class

TJclStrArrayList Class


TJclStrArrayList.Add Method

TJclStrArrayList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(const AString: string): Boolean; override; overload;

Class

TJclStrArrayList Class


TJclStrArrayList.AddAll Method

TJclStrArrayList Class

function AddAll(ACollection: IJclStrCollection): Boolean; override; overload;

Class

TJclStrArrayList Class


TJclStrArrayList.Clear Method

TJclStrArrayList Class

procedure Clear; override;

Class

TJclStrArrayList Class


TJclStrArrayList.Clone Method

TJclStrArrayList Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclStrArrayList Class


TJclStrArrayList.Contains Method

TJclStrArrayList Class

function Contains(const AString: string): Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.ContainsAll Method

TJclStrArrayList Class

function ContainsAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.Create Constructor (IJclStrCollection)

TJclStrArrayList Class

constructor Create(ACollection: IJclStrCollection); overload;

Class

TJclStrArrayList Class


TJclStrArrayList.Create Constructor (Integer)

TJclStrArrayList Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity); overload;

Class

TJclStrArrayList Class


TJclStrArrayList.Destroy Destructor

TJclStrArrayList Class

destructor Destroy; override;

Class

TJclStrArrayList Class


TJclStrArrayList.Equals Method

TJclStrArrayList Class

function Equals(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.First Method

TJclStrArrayList Class

function First: IJclStrIterator; override;

Class

TJclStrArrayList Class


TJclStrArrayList.GetString Method

TJclStrArrayList Class

function GetString(Index: Integer): string;

Class

TJclStrArrayList Class


TJclStrArrayList.Grow Method

TJclStrArrayList Class

procedure Grow; virtual;

Class

TJclStrArrayList Class


TJclStrArrayList.IndexOf Method

TJclStrArrayList Class

function IndexOf(const AString: string): Integer;

Class

TJclStrArrayList Class


TJclStrArrayList.Insert Method

TJclStrArrayList Class

procedure Insert(Index: Integer; const AString: string); overload;

Class

TJclStrArrayList Class


TJclStrArrayList.InsertAll Method

TJclStrArrayList Class

function InsertAll(Index: Integer; ACollection: IJclStrCollection): Boolean; overload;

Class

TJclStrArrayList Class


TJclStrArrayList.IsEmpty Method

TJclStrArrayList Class

function IsEmpty: Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.Last Method

TJclStrArrayList Class

function Last: IJclStrIterator; override;

Class

TJclStrArrayList Class


TJclStrArrayList.LastIndexOf Method

TJclStrArrayList Class

function LastIndexOf(const AString: string): Integer;

Class

TJclStrArrayList Class


TJclStrArrayList.Remove Method (Integer)

TJclStrArrayList Class

function Remove(Index: Integer): string; overload;

Class

TJclStrArrayList Class


TJclStrArrayList.Remove Method (string)

TJclStrArrayList Class

function Remove(const AString: string): Boolean; override; overload;

Class

TJclStrArrayList Class


TJclStrArrayList.RemoveAll Method

TJclStrArrayList Class

function RemoveAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.RetainAll Method

TJclStrArrayList Class

function RetainAll(ACollection: IJclStrCollection): Boolean; override;

Class

TJclStrArrayList Class


TJclStrArrayList.SetString Method

TJclStrArrayList Class

procedure SetString(Index: Integer; const AString: string);

Class

TJclStrArrayList Class


TJclStrArrayList.Size Method

TJclStrArrayList Class

function Size: Integer; override;

Class

TJclStrArrayList Class


TJclStrArrayList.SubList Method

TJclStrArrayList Class

function SubList(First: Integer; Count: Integer): IJclStrList;

Class

TJclStrArrayList Class


TJclArrayList Class

Properties	Methods	Legend

This class store objects in a dynamic array.

The default capacity is 16 elements. When the limit is reached, the capacity grows of 25%.

When an element is removed or insert, all elements after it are shifted.

If the compilation symbol THREADSAFE is defined, this container is threadsafe.

Pascal

TJclArrayList = class(TJclAbstractContainer, IJclCollection, IJclList, IJclArray, IJclCloneable);

Donator

Jean-Philippe Bempel

Group

Arrays

Legend

Constructor

protected

read only

Unit

JclArrayLists


TJclArrayList Class Methods

TJclArrayList Class	Legend

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

IJclCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList


Legend

Constructor

protected


TJclArrayList Class Properties

TJclArrayList Class	Legend

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclArrayList Class

Capacity

 OwnsObjects


Legend

read only


Legend

TJclArrayList Class

Legend

Constructor

protected

read only


TJclArrayList Class Members

TJclArrayList Class	Legend

Members

Methods

Add

Add AObject at the end of the collection. Return True if the method succeeds.

AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Clear

Clear all objects contained in the collection.

Contains

Return True if the collection contains AObject.

ContainsAll

Return True if the collection contains all objects of ACollection.

Equals

Return True if all objects of the collection are equal to all objects of ACollection.

First

Return a new Iterator from the begin of the collection.

IsEmpty

Return True if the collection does not contain any objects.

Last

Return a new Iterator from the end of the collection.

Remove

Remove AObject from the collection. Return True if the method succeeds.

RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Size

Return the number of objects contained in the collection.

IJclList Interface

GetObject

IndexOf

Insert

InsertAll

LastIndexOf

Remove

SetObject

SubList

IJclArray Interface

GetObject

SetObject

IJclCloneable Interface

Clone

Makes a deep copy of the current object.

TJclAbstractContainer Class

 Create

 Destroy

 EnterCriticalSection

TJclArrayList Class

 Add

Add AObject at the end of the collection. Return True if the method succeeds.

 AddAll

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

 Clear

Clear all objects contained in the collection.

 Clone

Makes a deep copy of the current object.

 Contains

Return True if the collection contains AObject.

 ContainsAll

Return True if the collection contains all objects of ACollection.

 Create

 Destroy

 Equals

Return True if all objects of the collection are equal to all objects of ACollection.

 First

Return a new Iterator from the begin of the collection.

 FreeObject

 GetObject

 Grow

 IndexOf

 Insert

 InsertAll

 IsEmpty

Return True if the collection does not contain any objects.

 Last

Return a new Iterator from the end of the collection.

 LastIndexOf

 Remove

 RemoveAll

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

 RetainAll

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

 SetObject

 Size

Return the number of objects contained in the collection.

 SubList

Properties

IJclList Interface

Items

IJclArray Interface

Items

TJclArrayList Class

Capacity

 OwnsObjects


Legend

Constructor

protected

read only


TJclArrayList.Capacity Property

TJclArrayList Class

property Capacity: Integer;

Class

TJclArrayList Class


TJclArrayList.OwnsObjects Property

TJclArrayList Class

property OwnsObjects: Boolean;

Class

TJclArrayList Class


TJclArrayList.Add Method

TJclArrayList Class

Add AObject at the end of the collection. Return True if the method succeeds.

Pascal

function Add(AObject: TObject): Boolean; overload;

Class

TJclArrayList Class


TJclArrayList.AddAll Method

TJclArrayList Class

Add all objetcs from ACollection at the end of the collection. Return True if the method succeeds.

Pascal

function AddAll(ACollection: IJclCollection): Boolean; overload;

Donator

Jean-Philippe Bempel

Class

TJclArrayList Class


TJclArrayList.Clear Method

TJclArrayList Class

Clear all objects contained in the collection.

Pascal

procedure Clear;

Class

TJclArrayList Class


TJclArrayList.Clone Method

TJclArrayList Class

Makes a deep copy of the current object.

Pascal

function Clone: TObject;

Donator

Jean-Philippe Bempel

Class

TJclArrayList Class


TJclArrayList.Contains Method

TJclArrayList Class

Return True if the collection contains AObject.

Pascal

function Contains(AObject: TObject): Boolean;

Class

TJclArrayList Class


TJclArrayList.ContainsAll Method

TJclArrayList Class

Return True if the collection contains all objects of ACollection.

Pascal

function ContainsAll(ACollection: IJclCollection): Boolean;

Class

TJclArrayList Class


TJclArrayList.Create Constructor (IJclCollection, Boolean)

TJclArrayList Class

constructor Create(ACollection: IJclCollection; AOwnsObjects: Boolean = True); overload;

Class

TJclArrayList Class


TJclArrayList.Create Constructor (Integer, Boolean)

TJclArrayList Class

constructor Create(ACapacity: Integer = DefaultContainerCapacity; AOwnsObjects: Boolean = True); overload;

Class

TJclArrayList Class


TJclArrayList.Destroy Destructor

TJclArrayList Class

destructor Destroy; override;

Class

TJclArrayList Class


TJclArrayList.Equals Method

TJclArrayList Class

Return True if all objects of the collection are equal to all objects of ACollection.

Pascal

function Equals(ACollection: IJclCollection): Boolean;

Class

TJclArrayList Class


TJclArrayList.First Method

TJclArrayList Class

Return a new Iterator from the begin of the collection.

Pascal

function First: IJclIterator;

Class

TJclArrayList Class


TJclArrayList.FreeObject Method

TJclArrayList Class

procedure FreeObject(var AObject: TObject);

Class

TJclArrayList Class


TJclArrayList.GetObject Method

TJclArrayList Class

function GetObject(Index: Integer): TObject;

Class

TJclArrayList Class


TJclArrayList.Grow Method

TJclArrayList Class

procedure Grow; virtual;

Class

TJclArrayList Class


TJclArrayList.IndexOf Method

TJclArrayList Class

function IndexOf(AObject: TObject): Integer;

Class

TJclArrayList Class


TJclArrayList.Insert Method

TJclArrayList Class

procedure Insert(Index: Integer; AObject: TObject); overload;

Class

TJclArrayList Class


TJclArrayList.InsertAll Method

TJclArrayList Class

function InsertAll(Index: Integer; ACollection: IJclCollection): Boolean; overload;

Class

TJclArrayList Class


TJclArrayList.IsEmpty Method

TJclArrayList Class

Return True if the collection does not contain any objects.

Pascal

function IsEmpty: Boolean;

Class

TJclArrayList Class


TJclArrayList.Last Method

TJclArrayList Class

Return a new Iterator from the end of the collection.

Pascal

function Last: IJclIterator;

Class

TJclArrayList Class


TJclArrayList.LastIndexOf Method

TJclArrayList Class

function LastIndexOf(AObject: TObject): Integer;

Class

TJclArrayList Class


TJclArrayList.Remove Method (Integer)

TJclArrayList Class

function Remove(Index: Integer): TObject; overload;

Class

TJclArrayList Class


TJclArrayList.Remove Method (TObject)

TJclArrayList Class

Remove AObject from the collection. Return True if the method succeeds.

Pascal

function Remove(AObject: TObject): Boolean; overload;

Class

TJclArrayList Class


TJclArrayList.RemoveAll Method

TJclArrayList Class

Remove all objects from the collection contained in ACollection. Return True if the method succeeds.

Pascal

function RemoveAll(ACollection: IJclCollection): Boolean;

Class

TJclArrayList Class


TJclArrayList.RetainAll Method

TJclArrayList Class

Remove all objects from the collection except all objects contained in ACollection. Return True if the method succeeds.

Pascal

function RetainAll(ACollection: IJclCollection): Boolean;

Class

TJclArrayList Class


TJclArrayList.SetObject Method

TJclArrayList Class

procedure SetObject(Index: Integer; AObject: TObject);

Class

TJclArrayList Class


TJclArrayList.Size Method

TJclArrayList Class

Return the number of objects contained in the collection.

Pascal

function Size: Integer;

Class

TJclArrayList Class


TJclArrayList.SubList Method

TJclArrayList Class

function SubList(First: Integer; Count: Integer): IJclList;

Class

TJclArrayList Class


Date and Time

JEDI Code Library

Topics

Conversion

Scheduling

Timers and Counters

Functions

DayOfTheYear

Returns the day of the year (1... 366) and optionally the year.

DecodeDate

Works like DecodeDate in SysUtils, but can do negative years and years > 9999.

FATDatesEqual

Test if the dates are equal within the granularity of the FAT file system (2 seconds)

IsLeapYear

Tests whether DateTime represents a leap year.

ISOWeekNumber

Returns the week number of a given date. Optionally the reference-year for this week and the weekday can be requested

ISOWeekToDateTime

Returns the date denoted by year, week and weekday.

DayOfTheYearToDateTime

Encodes the DateTime denoted by a year and the number of a day in that year.

EasterSunday

Returns the date of Easter Sunday for a given year.

CenturyOfDate

Extracts the century from a DateTime.

CenturyBaseYear

Gives the year "00" of the century specified by DateTime.

YearOfDate

Extracts the year from a DateTime.

MonthOfDate

Extracts the month from a DateTime.

DayOfDate

Extracts the day from a DateTime.

HourOfTime

Extracts the hour from a DateTime.

MinuteOfTime

Extracts the minutes from a DateTime.

SecondOfTime

Extracts the seconds from a DateTime.

DaysInMonth

Returns the number of days in the month represent by a DateTime.

Make4DigitYear

Converts a 2 digit year into a 4 digit year.

MakeYear4Digit

Converts a 2 digit year into a 4 digit year.

EncodeDate

Works like EncodeDate in SysUtils, but can do negative years and years > 9999.

CreationDateTimeOfFile

Extracts the creation date of the file specified by SR.

LastAccessDateTimeOfFile

Extracts the last access date of the file specified by SR.

LastWriteDateTimeOfFile

Extracts the last write date of the file specified by SR.

FormatDateTime

Enhences FormatDateTime by the additional Format tokens w, i, e and f.


Date and Time Functions

Date and Time

Functions

DayOfTheYear

Returns the day of the year (1... 366) and optionally the year.

DecodeDate

Works like DecodeDate in SysUtils, but can do negative years and years > 9999.

FATDatesEqual

Test if the dates are equal within the granularity of the FAT file system (2 seconds)

IsLeapYear

Tests whether DateTime represents a leap year.

ISOWeekNumber

Returns the week number of a given date. Optionally the reference-year for this week and the weekday can be requested

ISOWeekToDateTime

Returns the date denoted by year, week and weekday.

DayOfTheYearToDateTime

Encodes the DateTime denoted by a year and the number of a day in that year.

EasterSunday

Returns the date of Easter Sunday for a given year.

CenturyOfDate

Extracts the century from a DateTime.

CenturyBaseYear

Gives the year "00" of the century specified by DateTime.

YearOfDate

Extracts the year from a DateTime.

MonthOfDate

Extracts the month from a DateTime.

DayOfDate

Extracts the day from a DateTime.

HourOfTime

Extracts the hour from a DateTime.

MinuteOfTime

Extracts the minutes from a DateTime.

SecondOfTime

Extracts the seconds from a DateTime.

DaysInMonth

Returns the number of days in the month represent by a DateTime.

Make4DigitYear

Converts a 2 digit year into a 4 digit year.

MakeYear4Digit

Converts a 2 digit year into a 4 digit year.

EncodeDate

Works like EncodeDate in SysUtils, but can do negative years and years > 9999.

CreationDateTimeOfFile

Extracts the creation date of the file specified by SR.

LastAccessDateTimeOfFile

Extracts the last access date of the file specified by SR.

LastWriteDateTimeOfFile

Extracts the last write date of the file specified by SR.

FormatDateTime

Enhences FormatDateTime by the additional Format tokens w, i, e and f.


Topics

Date and Time

Topics

Conversion

Scheduling

Timers and Counters


DayOfTheYear Function

See Also

Returns the day of the year (1... 366) and optionally the year.

Pascal

function DayOfTheYear(const DateTime: TDateTime; var Year: Integer): Integer; overload;
function DayOfTheYear(const DateTime: TDateTime): Integer; overload;

Description

Returns the day of the year (1... 366) and optionally the year.

Parameters

const DateTime: TDateTime

The DateTime for which to retrieve the year and the number of the day in that year.

var Year: Integer

(Optional) The year of the date.

Return Value

The function returns the number of the day in that year.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

DayOfTheYearToDateTime


DecodeDate Function

See Also

Works like DecodeDate in SysUtils, but can do negative years and years > 9999.

Pascal

procedure DecodeDate(Date: TDateTime; var Year: Word; var Month: Word; var Day: Word); overload;
procedure DecodeDate(Date: TDateTime; var Year: Integer; var Month: Word; var Day: Word); overload;
procedure DecodeDate(Date: TDateTime; var Year: Integer; var Month: Integer; var Day: Integer); overload;

Description

Works like DecodeDate in SysUtils, but can do negative years and years > 9999.

Parameters

Date: TDateTime

date to be converted.

var Year: Word

Year of the converted date.

var Month: Word

Month of the converted date.

var Day: Word

Day of the converted date.

Notes

With JCLDate negative years and dates > year 9999 are valid in nearly all functions handling TDateTime. As people did not use 12 Months before year 0001, and supposedly will not after 9999, we just use the solar year and a month = 1/12 of a solar year in such years. Year 0 does not exist. To activate this function JCLDateTime must appear after SysUtils in the uses clause or it must be explicitly denoted as JCLDateTime.DecodeDate.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

EncodeDate


FATDatesEqual Function

Test if the dates are equal within the granularity of the FAT file system (2 seconds)

Pascal

function FATDatesEqual(const FileTime1: Int64; const FileTime2: Int64): Boolean; overload;
function FATDatesEqual(const FileTime1: TFileTime; const FileTime2: TFileTime): Boolean; overload;

Description

Test if the dates are equal within the granularity of the FAT file system (2 seconds)

Parameters

const FileTime1: Int64

Time to compare

const FileTime2: Int64

Time to compare

Return Value

True if dates differ less than the granularity of the FAT file system (2 seconds)

Notes

A TFiletime can be seen as an Int64 or as a record of two Integers. Use DateTimeToFileTime if one argument is a TDatetime.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


IsLeapYear Function

Tests whether DateTime represents a leap year.

Pascal

function IsLeapYear(const Year: Integer): Boolean; overload;
function IsLeapYear(const DateTime: TDateTime): Boolean; overload;

Description

Tests whether the specified Year or DateTime represents a leap year.

Parameters

const DateTime: TDateTime

The year or DateTime to test.

Return Value

True if DateTime is a leap year or False if it's not.

Notes

The specified DateTime is assumed to be after 1/1/0001 and before 1/1/10000). The overloaded function avoids an erroneous result if the user thinks he calls SysUtils.IsLeapYear

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


ISOWeekNumber Function

See Also

Returns the week number of a given date. Optionally the reference-year for this week and the weekday can be requested

Pascal

function ISOWeekNumber(DateTime: TDateTime; var YearOfWeekNumber: Integer; var WeekDay: Integer): Integer; overload;
function ISOWeekNumber(DateTime: TDateTime; var YearOfWeekNumber: Integer): Integer; overload;
function ISOWeekNumber(DateTime: TDateTime): Integer; overload;

Description

ISOWeekNumber returns week number of the specified date according to the ISO 8601 specification. Optionally the reference-year for this week and the weekday can be requested. In ISO 8601 weeks start with Monday and the first week of a year is the one which includes the first Thursday. The function returns the week number as the function result and the year through the var parameter.

Parameters

DateTime: TDateTime

The DateTime for which to retrieve the year and week number.

var YearOfWeekNumber: Integer

(Optional) The year the returned week belongs to.

var WeekDay: Integer

(Optional) The day in this week.

Return Value

The function returns the week number of the specified DateTime. The year this week belongs to and the day in this week are returned through the var parameters.

Notes

The specified DateTime is assumed to be after 1/1/0001 and before 1/1/10000). According to ISO 8601 the reference year for the week can be the same as in DateTime, the previous or the next year. The constants ISOFirstWeekDay=2 and ISOFirstWeekMinDays=4 are defined for ISO compatibility. Other values might be useful in some instances and can be set in the source code.

Donator

Anonymous

Group

Date and Time

Unit

JclDateTime


See Also

ISOWeekToDateTime


ISOWeekToDateTime Function

See Also

Returns the date denoted by year, week and weekday.

Pascal

function ISOWeekToDateTime(const Year: Integer; const Week: Integer; const Day: Integer): TDateTime;

Description

ISOWeekToDateTime returns the date denoted by year, week and weekday. according to the ISO 8601 specification.

Parameters

const Year: Integer

base-year of the ISO-week.

const Week: Integer

ISO week of the year.

const Day: Integer

Day in the week (1=Monday, ... 7=Sunday).

Return Value

The function returns the TDateTime value of the specified day

Notes

The specified date is assumed to be after 1/1/0001 and before 1/1/10000). According to ISO 8601 the reference year for the week can be the same as in DateTime, the previous or the next year. The constants ISOFirstWeekDay=2 and ISOFirstWeekMinDays=4 are defined for ISO compatibility, Other values might be useful in some instances and can be set in the source code.

Donator

Anonymous

Group

Date and Time

Unit

JclDateTime


See Also

ISOWeekNumber


DayOfTheYearToDateTime Function

See Also

Encodes the DateTime denoted by a year and the number of a day in that year.

Pascal

function DayOfTheYearToDateTime(const Year: Integer; const Day: Integer): TDateTime;

Description

DayOfTheYearToDateTime encodes the DateTime denoted by a year and the number of a day in that year.

Parameters

const Year: Integer

The year of the date.

const Day: Integer

The number of a day in that year.

Return Value

The function returns the DateTime denoted by a year and the number of a day in that year.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

DayOfTheYear


EasterSunday Function

Returns the date of Easter Sunday for a given year.

Pascal

function EasterSunday(const Year: Integer): TDateTime;

Description

EasterSunday returns the date of Easter Sunday for the specified year. The year must be specified with 4 digits - for example 1999.

Parameters

const Year: Integer

The year for which you want to know the date of Easter Sunday.

Return Value

The date of Easter Sunday in the specified year.

Donator

Marc Convents

Group

Date and Time

Unit

JclDateTime


CenturyOfDate Function

See Also

Extracts the century from a DateTime.

Pascal

function CenturyOfDate(const DateTime: TDateTime): Integer;

Description

CenturyOfDate returns the century of the specified DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then CenturyOfDate(D) returns 21

Parameters

const DateTime: TDateTime

The DateTime from which to extract the century.

Return Value

The century of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Anthony Steele

Group

Date and Time

Unit

JclDateTime


See Also

CenturyBaseYear DayOfDate MonthOfDate YearOfDate


CenturyBaseYear Function

See Also

Gives the year "00" of the century specified by DateTime.

Pascal

function CenturyBaseYear(const DateTime: TDateTime): Integer;

Description

CenturyBaseYear returns the year "00" of the century specified by DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then CenturyBaseYear(D) returns 2000.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the year "00" of the century.

Return Value

The year "00" of the century of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Marcel van Brakel

Group

Date and Time

Unit

JclDateTime


See Also

CenturyOfDate DayOfDate MonthOfDate YearOfDate


YearOfDate Function

See Also

Extracts the year from a DateTime.

Pascal

function YearOfDate(const DateTime: TDateTime): Integer;

Description

YearOfDate returns the year of the specified DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then YearOfDate(D) returns 2000.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the year.

Return Value

The year of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


See Also

CenturyOfDate CenturyBaseYear DayOfDate MonthOfDate


MonthOfDate Function

See Also

Extracts the month from a DateTime.

Pascal

function MonthOfDate(const DateTime: TDateTime): Integer;

Description

Extracts the month from a DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then MonthOfDate(D) returns 2.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the month.

Return Value

The month of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


See Also

CenturyOfDate CenturyBaseYear DayOfDate YearOfDate


DayOfDate Function

See Also

Extracts the day from a DateTime.

Pascal

function DayOfDate(const DateTime: TDateTime): Integer;

Description

Extracts the day from a DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then DayOfDate(D) returns 17.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the day.

Return Value

The day of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


See Also

CenturyOfDate CenturyBaseYear MonthOfDate YearOfDate


HourOfTime Function

Extracts the hour from a DateTime.

Pascal

function HourOfTime(const DateTime: TDateTime): Integer;

Description

Extracts the hour from a DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then HourOfTime(D) returns 12.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the hour.

Return Value

The hour of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid). 12:00:00 AM evaluates to 0.

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


MinuteOfTime Function

Extracts the minutes from a DateTime.

Pascal

function MinuteOfTime(const DateTime: TDateTime): Integer;

Description

Extracts the minutes from a DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then MinuteOfTime(D) returns 37.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the minutes.

Return Value

The minutes of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


SecondOfTime Function

Extracts the seconds from a DateTime.

Pascal

function SecondOfTime(const DateTime: TDateTime): Integer;

Description

Extracts the seconds from a DateTime. For example: if D is assumed to be StrToDateTime('2/17/2000 12:37:21 PM'); then SecondOfTime(D) returns 21.

Parameters

const DateTime: TDateTime

The DateTime from which to extract the seconds.

Return Value

The seconds of the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


DaysInMonth Function

Returns the number of days in the month represent by a DateTime.

Pascal

function DaysInMonth(const DateTime: TDateTime): Integer;

Parameters

const DateTime: TDateTime

DateTime that determines the month for which you want to know the number of days.

Return Value

The number of days in the month in which DateTime lies.

Notes

The specified DateTime is assumed to be after 1/1/0001 and before 1/1/10000).

Donator

Nick Hodges

Group

Date and Time

Unit

JclDateTime


Make4DigitYear Function

See Also

Converts a 2 digit year into a 4 digit year.

Pascal

function Make4DigitYear(Year: Integer; Pivot: Integer): Integer;

Description

Make4DigitYear converts a two digit year into a 4 digit year using Pivot as the base of a 100 year window. If Year is smaller the Pivot then the result will be 2000 + year, if the Year is greater or equal to Pivot the result is 1900 + Year.

Parameters

Year: Integer

The 2 digit year to convert. Is asserted to be in the range 0..100

Pivot: Integer

The base of the 100 year window. Is asserted to be in the range 0..100

Return Value

The 4 digit year.

Notes

If Year or Pivot is 100 they are converted to 0 first.

Donator

Marcel van Brakel

Group

Date and Time

Unit

JclDateTime


See Also

MakeYear4Digit


MakeYear4Digit Function

See Also

Converts a 2 digit year into a 4 digit year.

Pascal

function MakeYear4Digit(Year: Integer; WindowsillYear: Integer): Integer;

Description

"Window" technique for years to translate 2 digits to 4 digits. The window is 100 years wide. The windowsill year is the lower edge of the window. A windowsill year of 1900 is equivalent to putting 1900 before every 2-digit year. If WindowsillYear is 1940, then 40 is interpreted as 1940, 00 as 2000 and 39 as 2039. A common default is 1950.

Parameters

Year: Integer

The 2 digit year to convert. Is asserted to be in the range 0..100

WindowsillYear: Integer

windowsill year

Return Value

The 4 digit year.

Notes

If Year is 100 it is converted to 0 first.

Donator

Anthony Steele

Group

Date and Time

Unit

JclDateTime


See Also

Make4DigitYear


EncodeDate Function

See Also

Works like EncodeDate in SysUtils, but can do negative years and years > 9999.

Pascal

function EncodeDate(const Year: Integer; Month: Word; Day: Word): TDateTime;

Description

Works like EncodeDate in SysUtils, but can do negative years and years > 9999.

Parameters

const Year: Integer

Year of date to convert.

Month: Word

Month of date to convert.

Day: Word

Day of date to convert

Return Value

The date converted to TDateTime.

Notes

With JCLDate negative years and dates > year 9999 are valid in nearly all functions handling TDateTime. As people did not use 12 Months before year 0001, and supposedly will not after 9999, we just use the solar year and a month = 1/12 of a solar year in such years. Year 0 does not exist. To activate this function JCLDateTime must appear after SysUtils in the uses clause or it must be explicitly denoted as JCLDateTime.EncodeDate.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

DecodeDate


CreationDateTimeOfFile Function

See Also

Extracts the creation date of the file specified by SR.

Pascal

function CreationDateTimeOfFile(const Sr: TSearchRec): TDateTime;

Description

Extracts the creation date of the file specified by SR. SR must be defined by a previoous call of FindFirst or FindNext.

Parameters

const Sr: TSearchRec

SR: TSearchRec: SearchRecord holding the file information.

Return Value

The creation date date of the file specified by SR, converted to TDateTime.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

LastAccessDateTimeOfFile LastWriteDateTimeOfFile


LastAccessDateTimeOfFile Function

See Also

Extracts the last access date of the file specified by SR.

Pascal

function LastAccessDateTimeOfFile(const Sr: TSearchRec): TDateTime;

Description

Extracts the last access date of the file specified by SR. SR must be defined by a previoous call of FindFirst or FindNext.

Parameters

const Sr: TSearchRec

SR: TSearchRec: SearchRecord holding the file information.

Return Value

The last access date date of the file specified by SR, converted to TDateTime.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

CreationDateTimeOfFile LastWriteDateTimeOfFile


LastWriteDateTimeOfFile Function

See Also

Extracts the last write date of the file specified by SR.

Pascal

function LastWriteDateTimeOfFile(const Sr: TSearchRec): TDateTime;

Description

Extracts the last write date of the file specified by SR. SR must be defined by a previoous call of FindFirst or FindNext.

Parameters

const Sr: TSearchRec

SR: TSearchRec: SearchRecord holding the file information.

Return Value

The last write date date of the file specified by SR, converted to TDateTime.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


See Also

CreationDateTimeOfFile LastAccessDateTimeOfFile


FormatDateTime Function

Enhences FormatDateTime by the additional Format tokens w, i, e and f.

Pascal

function FormatDateTime(Form: string; DateTime: TDateTime): string;

Description

Enhences FormatDateTime by additional Format tokens:
Token	Meaning
w or W	Week no according to ISO
ww or WW	Week no according to ISO forced two digits
ii or II	Year of the ISO-week denoted by w forced two digits
iiii or IIII	Year of the ISO-week denoted by w (4 digits for 0001..9999)
e or E	Number of the Day in the ISO-week denoted by w (ISO-Notation 1=Monday...)
f or F	Number of the Day in the year denoted by y
fff or FFF	Number of the Day in the year denoted by y forced three digits
Parameters

Form: string

Form: String: Format String.

DateTime: TDateTime

DateTime: TDateTime: Date to be formatted

Return Value

String holding the formatted date.

Notes

To activate this function JCLDateTime must appear after SysUtils in the uses clause or it must be explicitly denoted as JCLDateTime.FormatDateTime. The help for SysUtils.FormatDateTime does not state that unrecognized characters in the format string are passed unchanged. If this feature was erroneously used, JCLDateTime.FormatDateTime is not 100% compatible, as it defines additional tokens.

Donator

Michael Schnell

Group

Date and Time

Unit

JclDateTime


Conversion

Date and Time

Functions

DateTimeToSystemTime

Converts a TDateTime to a TSystemTime.

DosDateTimeToFileTime

Converts a TDosDateTime to a TFileTime.

FileTimeToDosDateTime

Converts a UTC based TFileTime to a TDateTime.

FileTimeToSystemTime

Converts a UTC based TFileTime to a TSystemTime.

SystemTimeToFileTime

Converts a TSystemTime to a TFileTime.

FileTimeToDateTime

Converts a TFileTime to a TDateTime.

DosDateTimeToSystemTime

Converts a TDoaDateTime to a TSystemTime.

SystemTimeToDosDateTime

Converts a TSystemTime to a TDosDateTime.

SystemTimeToStr

Converts a TSystemTime to a string.

DosDateTimeToDateTime

Converts a TDosDateTime to a TDateTime.

DateTimeToDosDateTime

Converts a TDateTime to a TDosDateTime.

DateTimeToFileTime

Converts a TDateTime to a TFileTime.

LocalDateTimeToDateTime

Converts a local TDateTime to a UNC based TDateTime

LocalDateTimeToFileTime

Converts a local TDateTime to a UNC based TFileTime

DateTimeToLocalDateTime

Converts a UNC based TDateTime to a local TDateTime

FileTimeToStr

Converts a TFileTime to a string.

DosDateTimeToStr

Converts a DOS DateTime to a string.

TimeOfDateTimeToSeconds

Returns the number of seconds in a DateTime.

TimeOfDateTimeToMSecs

Returns the number of milliseconds in a DateTime.

HoursToMSecs

Converts hours to milliseconds.

MinutesToMSecs

Converts minutes to milliseconds.

SecondsToMSecs

Converts seconds to milliseconds.

DateTimeToUnixTime

Converts a TDateTime value to a Unix based date/time value (TJclUnixTime32).

UnixTimeToDateTime

Converts a Unix based date/time value (TJclUnixTime32) to a TDateTime value.

UnixTimeToFileTime

Converts a Unix based date/time (TJclUnixTime32) to a UTC based TFileTime.

FileTimeToUnixTime

Converts a UTC based TFileTime to a Unix based date/time (TJclUnixTime32).

Types

TJclUnixTime32

Unix style date/time values are encoded as the number of seconds since midnight at the start of January 1st, 1970.


Conversion Functions

Conversion

Functions

DateTimeToSystemTime

Converts a TDateTime to a TSystemTime.

DosDateTimeToFileTime

Converts a TDosDateTime to a TFileTime.

FileTimeToDosDateTime

Converts a UTC based TFileTime to a TDateTime.

FileTimeToSystemTime

Converts a UTC based TFileTime to a TSystemTime.

SystemTimeToFileTime

Converts a TSystemTime to a TFileTime.

FileTimeToDateTime

Converts a TFileTime to a TDateTime.

DosDateTimeToSystemTime

Converts a TDoaDateTime to a TSystemTime.

SystemTimeToDosDateTime

Converts a TSystemTime to a TDosDateTime.

SystemTimeToStr

Converts a TSystemTime to a string.

DosDateTimeToDateTime

Converts a TDosDateTime to a TDateTime.

DateTimeToDosDateTime

Converts a TDateTime to a TDosDateTime.

DateTimeToFileTime

Converts a TDateTime to a TFileTime.

LocalDateTimeToDateTime

Converts a local TDateTime to a UNC based TDateTime

LocalDateTimeToFileTime

Converts a local TDateTime to a UNC based TFileTime

DateTimeToLocalDateTime

Converts a UNC based TDateTime to a local TDateTime

FileTimeToStr

Converts a TFileTime to a string.

DosDateTimeToStr

Converts a DOS DateTime to a string.

TimeOfDateTimeToSeconds

Returns the number of seconds in a DateTime.

TimeOfDateTimeToMSecs

Returns the number of milliseconds in a DateTime.

HoursToMSecs

Converts hours to milliseconds.

MinutesToMSecs

Converts minutes to milliseconds.

SecondsToMSecs

Converts seconds to milliseconds.

DateTimeToUnixTime

Converts a TDateTime value to a Unix based date/time value (TJclUnixTime32).

UnixTimeToDateTime

Converts a Unix based date/time value (TJclUnixTime32) to a TDateTime value.

UnixTimeToFileTime

Converts a Unix based date/time (TJclUnixTime32) to a UTC based TFileTime.

FileTimeToUnixTime

Converts a UTC based TFileTime to a Unix based date/time (TJclUnixTime32).


Conversion Types

Conversion

Types

TJclUnixTime32

Unix style date/time values are encoded as the number of seconds since midnight at the start of January 1st, 1970.


DateTimeToSystemTime Function

See Also

Converts a TDateTime to a TSystemTime.

Pascal

function DateTimeToSystemTime(DateTime: TDateTime): TSystemTime; overload;
procedure DateTimeToSystemTime(DateTime: TDateTime; var SysTime: TSystemTime); overload;

Description

DateTimeToSystemTime converts the supplied TDateTime to a TSystemTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

DateTime: TDateTime

The TDateTime to convert.

Return Value

The TDateTime converted to TSystemTime.

Notes

DateTimeToSystemTime just calls the VCL procedure DateTimeToSystemTime The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries. The overloaded procedure is identical to the procedure from SysUtils and provided for compatibility. Please keep in mind that this routine is also defined in SysUtils.pas and to succesfully use it you must ensure that either JclDateTime is listed after SysUtils in the uses clause or you prefix the call with the unit name (JclDateTime.DateTimeToSystemTime). Failure to do so may lead to a compiler error.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime


DosDateTimeToFileTime Function

See Also

Converts a TDosDateTime to a TFileTime.

Pascal

function DosDateTimeToFileTime(DosTime: TDosDateTime): TFileTime; overload;
procedure DosDateTimeToFileTime(DTH: Word; DTL: Word; FT: TFileTime); overload;

Description

DosDateTimeToFileTime converts the supplied TDosDateTime to a TFileTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

DosTime: TDosDateTime

The TDosDateTime to convert.

Return Value

The TDosDateTime converted to TFileTime. On failure the function raises an exception.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries. The overloaded procedure is identical to the procedure from Windows and provided for compatibility. Please keep in mind that this routine is also defined in Windows.pas and to succesfully use it you must ensure that either JclDateTime is listed after Windows in the uses clause or you prefix the call with the unit name (JclDateTime.DosDateTimeToFileTime). Failure to do so may lead to a compiler error.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime SystemTimeToDosDateTime DateTimeToDosDateTime


FileTimeToDosDateTime Function

See Also

Converts a UTC based TFileTime to a TDateTime.

Pascal

function FileTimeToDosDateTime(const FileTime: TFileTime): TDosDateTime; overload;
procedure FileTimeToDosDateTime(const FileTime: TFileTime; var Date: Word; var Time: Word); overload;

Description

FileTimeToDosDateTime converts the supplied, UTC based TFileTime to a TDateTime.

Parameters

const FileTime: TFileTime

The UTC based TFileTime to convert.

Return Value

The TFileTime converted to TDateTime. On failure the function raises an exception.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries. The overloaded procedure is identical to the procedure from Windows and provided for compatibility. Please keep in mind that this routine is also defined in Windows.pas and to succesfully use it you must ensure that either JclDateTime is listed after Windows in the uses clause or you prefix the call with the unit name (JclDateTime.FileTimeToDosDateTime). Failure to do so may lead to a compiler error.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime


FileTimeToSystemTime Function

See Also

Converts a UTC based TFileTime to a TSystemTime.

Pascal

function FileTimeToSystemTime(const FileTime: TFileTime): TSystemTime; overload;
procedure FileTimeToSystemTime(const FileTime: TFileTime; var ST: TSystemTime); overload;

Description

FileTimeToSystemTime converts the supplied, UTC based TFileTime to a TSystemTime.

Parameters

const FileTime: TFileTime

The UTC based TFileTime to convert.

Return Value

The TFileTime converted to TSystemTime

Notes

This function performs the same operation as the procedure FileTimeToSystemTime from Windows.pas. The overloaded procedure is identical to the procedure from Windows and provided for compatibility. Please keep in mind that this routine is also defined in Windows.pas and to succesfully use it you must ensure that either JclDateTime is listed after Windows in the uses clause or you prefix the call with the unit name (JclDateTime.FileTimeToSystemTime). Failure to do so may lead to a compiler error.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime


SystemTimeToFileTime Function

See Also

Converts a TSystemTime to a TFileTime.

Pascal

function SystemTimeToFileTime(const SystemTime: TSystemTime): TFileTime; overload;
procedure SystemTimeToFileTime(const SystemTime: TSystemTime; FTime: TFileTime); overload;

Description

SystemTimeToFileTime converts the supplied TSystemTime to a TFileTime.

Parameters

const SystemTime: TSystemTime

The TSystemTime to convert.

Return Value

The TSystemTime converted to TFileTime. On failure the function raises an exception.

Notes

This function performs the same operation as the procedure SystemTimeToFileTime from Windows.pas. The overloaded procedure is identical to the procedure in Windows and provided for compatibility. Please keep in mind that this routine is also defined in Windows.pas and to succesfully use it you must ensure that either JclDateTime is listed after Windows in the uses clause or you prefix the call with the unit name (JclDateTime.SystemTimeToFileTime). Failure to do so may lead to a compiler error.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime DosDateTimeToDateTime DateTimeToDosDateTime


FileTimeToDateTime Function

See Also

Converts a TFileTime to a TDateTime.

Pascal

function FileTimeToDateTime(const FileTime: TFileTime): TDateTime;

Description

FileTimeToDateTime converts the supplied TFileTime to a TDateTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

const FileTime: TFileTime

The TFileTime to convert.

Return Value

The TFileTime converted to TDateTime.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToLocalDateTime


DosDateTimeToSystemTime Function

See Also

Converts a TDoaDateTime to a TSystemTime.

Pascal

function DosDateTimeToSystemTime(const DosTime: TDosDateTime): TSystemTime;

Description

DosDateTimeToSystemTime converts the supplied TDosDateTime to a TSystemTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

const DosTime: TDosDateTime

The TDosDateTime to convert.

Return Value

The TDosDateTime converted to TSystemTime.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries.

Donator

Petr Vones

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime


SystemTimeToDosDateTime Function

See Also

Converts a TSystemTime to a TDosDateTime.

Pascal

function SystemTimeToDosDateTime(const SystemTime: TSystemTime): TDosDateTime;

Description

SystemTimeToDosDateTime converts the supplied TSystemTime to a TDosDateTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

const SystemTime: TSystemTime

The TSystemTime to convert.

Return Value

The TSystemTime converted to TDosDateTime. On failure the function raises an exception.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries.

Donator

Petr Vones

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime DosDateTimeToDateTime DateTimeToDosDateTime


SystemTimeToStr Function

See Also

Converts a TSystemTime to a string.

Pascal

function SystemTimeToStr(const SystemTime: TSystemTime): string;

Description

SystemTimeToFileTime converts the supplied TSystemTime to a string.

Parameters

const SystemTime: TSystemTime

The TSystemTime to convert.

Return Value

String representation of the supplied SystemTime.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime DosDateTimeToDateTime DateTimeToDosDateTime


DosDateTimeToDateTime Function

See Also

Converts a TDosDateTime to a TDateTime.

Pascal

function DosDateTimeToDateTime(const DosTime: TDosDateTime): TDateTime;

Description

DosDateTimeToDateTime converts the supplied TDosDateTime to a TDateTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

const DosTime: TDosDateTime

The TDosDateTime to convert.

Return Value

The TDosDateTime converted to TDateTime.

Notes

This function performs the same operation as the procedure DateTimeToFileDate from SysUtils.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime SystemTimeToDosDateTime DateTimeToDosDateTime


DateTimeToDosDateTime Function

See Also

Converts a TDateTime to a TDosDateTime.

Pascal

function DateTimeToDosDateTime(const DateTime: TDateTime): TDosDateTime;

Description

DateTimeToDosDateTime converts the supplied TDateTime to a TDosDateTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

const DateTime: TDateTime

The TDateTime to convert.

Return Value

The TDateTime converted to TDosDateTime.

Notes

This function performs the same operation as DateTimeToFileDate from SysUtils.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime


DateTimeToFileTime Function

See Also

Converts a TDateTime to a TFileTime.

Pascal

function DateTimeToFileTime(DateTime: TDateTime): TFileTime;

Description

DateTimeToFileTime converts the supplied TDateTime to a TFileTime, ignoring whether the supplied DateTime is UNC based or local.

Parameters

DateTime: TDateTime

The TDateTime to convert.

Return Value

The TDateTime converted to TFileTime.

Notes

The JCL DateTime conversion functions supplement routines found in the Delphi RTL and the Win32 API. If a conversion function is not included here it most likely can be found in either of those libraries.

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


See Also

FileTimeToDateTime DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime


LocalDateTimeToDateTime Function

Converts a local TDateTime to a UNC based TDateTime

Pascal

function LocalDateTimeToDateTime(DateTime: TDateTime): TDateTime;

Description

LocalDateTimeToDateTime converts a local TDateTime to a UNC (coordinated universal time) based TDateTime. The function uses the settings for the time zone and daylight saving time.

Parameters

DateTime: TDateTime

The local TDateTime to convert to UNC based time.

Return Value

The UNC based TDateTime. If the function fails it raises an EJclDateTimeError exception.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Conversion

Unit

JclDateTime


LocalDateTimeToFileTime Function

Converts a local TDateTime to a UNC based TFileTime

Pascal

function LocalDateTimeToFileTime(DateTime: TDateTime): FileTime;

Description

LocalDateTimeToFileTime converts a local TDateTime to a UNC (coordinated universal time) based TFileTime. The function uses the settings for the time zone and daylight saving time.

Parameters

DateTime: TDateTime

The local TDateTime to convert to UNC based file time.

Return Value

The UNC based TFileTime. If the function fails it raises an EJclDateTimeError exception.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


DateTimeToLocalDateTime Function

Converts a UNC based TDateTime to a local TDateTime

Pascal

function DateTimeToLocalDateTime(DateTime: TDateTime): TDateTime;

Description

DateTimeToLocalDateTime converts a UNC (coordinated universal time) based TDateTime to a local TDateTime. The function uses the settings for the time zone and daylight saving time.

Parameters

DateTime: TDateTime

The UNC based TDateTime to convert to local time.

Return Value

The local TDateTime. If the function fails it raises an EJclDateTimeError exception.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Nick Hodges

Group

Conversion

Unit

JclDateTime


FileTimeToStr Function

Converts a TFileTime to a string.

Pascal

function FileTimeToStr(const FileTime: TFileTime): string;

Description

FileTimeToStr converts the TFileTime to a string.

Parameters

const FileTime: TFileTime

The TFileTime to convert.

Return Value

The string representation of FileTime.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclDateTime


DosDateTimeToStr Function

Converts a DOS DateTime to a string.

Pascal

function DosDateTimeToStr(DateTime: Integer): string;

Description

Converts a DOS DateTime to a string.

Parameters

DateTime: Integer

The DOS DateTime to convert.

Return Value

String representation of the DOS DateTime or an empty string on failure.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclDateTime


TimeOfDateTimeToSeconds Function

Returns the number of seconds in a DateTime.

Pascal

function TimeOfDateTimeToSeconds(DateTime: TDateTime): Integer;

Description

Returns the number of seconds in a DateTime. Basically it extracts the hour, minutes and seconds from the date time and returns the result of the formula (3600 * Hours) + (60 * Minutes) + Seconds, but is much faster than doing it this way.

Parameters

DateTime: TDateTime

The DateTime for which you want to know the number of seconds.

Return Value

The number of seconds in the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Heri Bender

Group

Conversion

Unit

JclDateTime


TimeOfDateTimeToMSecs Function

Returns the number of milliseconds in a DateTime.

Pascal

function TimeOfDateTimeToMSecs(DateTime: TDateTime): Integer;

Description

Returns the number of milliseconds in a DateTime. Basically it extracts the hour, minutes and seconds from the date time and returns the result of the formula ((3600 * Hours) + (60 * Minutes) + Seconds) * 1000, but is much faster than doing it this way.

Parameters

DateTime: TDateTime

The DateTime for which you want to know the number of milliseconds.

Return Value

The number of milliseconds in the specified DateTime.

Notes

The specified DateTime is assumed to be valid (with JCLDate negative years and dates > year 9999 are valid).

Donator

Michael Schnell

Group

Conversion

Unit

JclDateTime


HoursToMSecs Function

Converts hours to milliseconds.

Pascal

function HoursToMSecs(Hours: Integer): Integer;

Description

HoursToMSecs converts hours to milliseconds. The maximum value for Hours is asserted to Hours smaller than MaxInt / 60 / 60 / 1000.

Parameters

Hours: Integer

The number of hours to convert to milliseconds.

Return Value

The number of milliseconds corresponding with Hours.

Donator

Charlie Calvert

Group

Conversion

Unit

JclDateTime


MinutesToMSecs Function

Converts minutes to milliseconds.

Pascal

function MinutesToMSecs(Minutes: Integer): Integer;

Description

MinutesToMSecs converts Minutes to milliseconds. The maximum value for Minutes is asserted to Minutes smaller than MaxInt / 60 / 1000

Parameters

Minutes: Integer

The number of minutes to convert to milliseconds.

Return Value

The number of milliseconds corresponding with Minutes.

Donator

Charlie Calvert

Group

Conversion

Unit

JclDateTime


SecondsToMSecs Function

Converts seconds to milliseconds.

Pascal

function SecondsToMSecs(Seconds: Integer): Integer;

Description

SecondsToMSecs converts Seconds to milliseconds. The maximum value for Seconds is asserted to Seconds smaller than MaxInt / 1000

Parameters

Seconds: Integer

The number of seconds to convert to milliseconds.

Return Value

The number of milliseconds corresponding with Seconds.

Donator

Charlie Calvert

Group

Conversion

Unit

JclDateTime


DateTimeToUnixTime Function

See Also

Converts a TDateTime value to a Unix based date/time value (TJclUnixTime32).

Pascal

function DateTimeToUnixTime(DateTime: TDateTime): TJclUnixTime32;

Description

UnixTimeToDateTime converts the supplied TDateTime value to Unix based TJclUnixTime32. Unix based TJclUnixTime32 values are encoded as the number of seconds since midnight at the start of January 1st, 1970.

Parameters

DateTime: TDateTime

The TDateTime value to convert.

Return Value

The TDateTime value converted to TJclUnixTime32. On failure the function raises an exception.

Donator

Rik Barker

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime


UnixTimeToDateTime Function

See Also

Converts a Unix based date/time value (TJclUnixTime32) to a TDateTime value.

Pascal

function UnixTimeToDateTime(const UnixTime: TJclUnixTime32): TDateTime;

Description

UnixTimeToDateTime converts the supplied, Unix based TJclUnixTime32 to a TDateTime value. Unix based TJclUnixTime32 values are encoded as the number of seconds since midnight at the start of January 1st, 1970.

Parameters

const UnixTime: TJclUnixTime32

The Unix based TJclUnixTime32 to convert.

Return Value

The TJclUnixTime32 converted to TDateTime. On failure the function raises an exception.

Donator

Rik Barker

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime


UnixTimeToFileTime Function

See Also

Converts a Unix based date/time (TJclUnixTime32) to a UTC based TFileTime.

Pascal

function UnixTimeToFileTime(const AValue: TJclUnixTime32): TFileTime;

Description

UnixTimeToFileTime converts the supplied, Unix based TJclUnixTime32 to a TFileTime value. Unix based TJclUnixTime32 values are encoded as the number of seconds since midnight at the start of January 1st, 1970.

Parameters

UnixTime

The Unix based TJclUnixTime32 to convert.

Return Value

The TJclUnixTime32 converted to TFileTime. On failure the function raises an exception.

Donator

Anonymous

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime UnixTimeToDateTime


FileTimeToUnixTime Function

See Also

Converts a UTC based TFileTime to a Unix based date/time (TJclUnixTime32).

Pascal

function FileTimeToUnixTime(const AValue: TFileTime): TJclUnixTime32;

Description

FileTimeToUnixTime converts the supplied TFileTime to a Unix based TJclUnixTime32. Unix based TJclUnixTime32 values are encoded as the number of seconds since midnight at the start of January 1st, 1970.

Parameters

FileTime

The TFileTime to convert

Return Value

The TFileTime converted to TJclUnixTime32. On failure the function raises an exception.

Donator

Anonymous

Group

Conversion

Unit

JclDateTime


See Also

DosDateTimeToSystemTime SystemTimeToDosDateTime DosDateTimeToDateTime DateTimeToDosDateTime FileTimeToDateTime UnixTimeToFileTime UnixTimeToDateTime


TJclUnixTime32 Type

Unix style date/time values are encoded as the number of seconds since midnight at the start of January 1st, 1970.

Pascal

TJclUnixTime32 = Longword;

Group

Conversion

Unit

JclDateTime


Scheduling

Date and Time

Topics

Types

IJclSchedule

IJclScheduleDayFrequency

IJclDailySchedule

IJclWeeklySchedule

IJclMonthlySchedule

IJclYearlySchedule

Auxilary routines

Functions

CreateSchedule

Creates and initializes a new schedule instance.


Scheduling Functions

Scheduling

Functions

CreateSchedule

Creates and initializes a new schedule instance.


Topics

Scheduling

Topics

Types

IJclSchedule

IJclScheduleDayFrequency

IJclDailySchedule

IJclWeeklySchedule

IJclMonthlySchedule

IJclYearlySchedule

Auxilary routines


CreateSchedule Function

See Also

Creates and initializes a new schedule instance.

Pascal

function CreateSchedule: IJclSchedule;

Description

CreateSchedule creates, initializes and returns a new schedule instance. As the schedule is returned as an interface, you don't have to worry about freeing the instance. As soon as the last reference to the schedule goes out of scope (or a new value is assigned to a variable holding the reference) the instance will be freed.

Donator

Marcel Bestebroer

Group

Scheduling

Unit

JclSchedule


See Also

IJclSchedule


Types

Legend

Scheduling

Classes

ESchedule

Exception raised for schedule related errors.

Enumerations

 TScheduleRecurringKind

Type to specify the schedule recurring type.

 TScheduleEndKind

Type used to specify the schedule end type.

 TScheduleWeekDay

 TScheduleIndexKind

Type used to specify the index kind of the month and year schedules.

Legend

Enumeration


Types Enumerations

Types	Legend

Enumerations

 TScheduleRecurringKind

Type to specify the schedule recurring type.

 TScheduleEndKind

Type used to specify the schedule end type.

 TScheduleWeekDay

 TScheduleIndexKind

Type used to specify the index kind of the month and year schedules.


Legend

Enumeration


Types Classes

Types

Classes

ESchedule

Exception raised for schedule related errors.


Legend

Types

Legend

Enumeration


TScheduleRecurringKind Enumeration

See Also

Type to specify the schedule recurring type.

Pascal

TScheduleRecurringKind = (
  srkOneShot,
  srkDaily,
  srkWeekly,
  srkMonthly,
  srkYearly
);

Description

TScheduleRecurringKind is the type used to specify what type of recurring schedule is used.

srkOneShot

The schedule is a one shot. Only one fire event will be generated on the specified start date/time. The schedule object doesn't support any additional interfaces.

srkDaily

The schedule is a recurring schedule with an interval specified in days. The schedule object supports both the IJclScheduleDayFrequency as well as the IJclDailySchedule interface.

srkWeekly

The schedule is a recurring schedule with an interval specified in weeks. The schedule object supports both the IJclScheduleDayFrequency as well as the IJclWeeklySchedule interface.

srkMonthly

The schedule is a recurring schedule with an interval specified in months. The schedule object supports both the IJclScheduleDayFrequency as well as the IJclMonthlySchedule interface.

srkYearly

The schedule is a recurring schedule with an interval specified in years. The schedule object supports both the IJclScheduleDayFrequency as well as the IJclYearlySchedule interface.

Donator

Marcel Bestebroer

Group

Types

Unit

JclSchedule


See Also

IJclSchedule.RecurringType


TScheduleEndKind Enumeration

See Also

Type used to specify the schedule end type.

Pascal

TScheduleEndKind = (
  sekNone,
  sekDate,
  sekTriggerCount,
  sekDayCount
);

Description

TScheduleEndKind is the type used to specify the end type of the schedule.

sekNone

The schedule never ends or is a one shot.

sekDate

The schedule ends at a specific date and time, specified by IJclSchedule.EndDate.

sekTriggerCount

The schedule ends after n events have passed. n is specified by IJclSchedule.EndCount.

sekDayCount

The schedule ends after n days on which events where processed. n is specified by IJclSchedule.EndCount.

Donator

Marcel Bestebroer

Group

Types

Unit

JclSchedule


See Also

IJclSchedule.EndType


TScheduleIndexKind Enumeration

See Also

Type used to specify the index kind of the month and year schedules.

Pascal

TScheduleIndexKind = (
  sikNone,
  sikDay,
  sikWeekDay,
  sikWeekendDay,
  sikMonday,
  sikTuesday,
  sikWednesday,
  sikThursday,
  sikFriday,
  sikSaturday,
  sikSunday
);

Description

TScheduleIndexKind is the type used to specify the index type of the month and year schedules.

sikNone

No indexing.

sikDay

The index specifies the nth day.

sikWeekDay

The index specifies the nth week day (monday - friday).

sikWeekendDay

The index specifies the nth weekend day (saturday and sunday).

sikMonday

The index specifies the nth monday.

sikTuesday

The index specifies the nth tuesday.

sikWednesday

The index specifies the nth wednesday.

sikThursday

The index specifies the nth thursday.

sikFriday

The index specifies the nth friday.

sikSaturday

The index specifies the nth saturday.

sikSunday

The index specifies the nth sunday.

Donator

Marcel Bestebroer

Group

Types

Unit

JclSchedule


See Also

IJclMonthlySchedule.IndexKind, IJclYearlySchedule.IndexKind


ESchedule Class

Exception raised for schedule related errors.

Pascal

ESchedule = class(EJclError);

Description

ESchedule is the exception class used for schedule related exceptions.

Donator

Marcel Bestebroer

Group

Types

Unit

JclSchedule


IJclSchedule

Properties	Methods	Legend

Scheduling

Interfaces

 IJclSchedule

Main schedule interface.

Legend

Interface


IJclSchedule Interfaces

IJclSchedule	Legend

Interfaces

 IJclSchedule

Main schedule interface.


Legend

Interface


IJclSchedule Methods

IJclSchedule

Methods

DayCount

Number of days on which events are generated.

GetEndCount

Property getter for EndCount.

GetEndDate

Property getter for EndDate.

GetEndType

Property getter for EndType.

GetRecurringType

Property getter for RecurringType.

GetStartDate

Property getter for StartDate.

InitToSavedState

Initializes the schedule to a specific (saved) state.

LastTriggered

Retrieves the time stamp of the last event.

NextEvent

Retrieves the timestamp for the next event.

NextEventFrom

Retrieves the timestamp for the next event given a starting timestamp.

NextEventFromNow

Retrieves the timestamp for the next event starting from the current date/time.

Reset

Resets the schedule.

SetEndCount

Property setter for EndCount.

SetEndDate

Property setter for EndDate.

SetEndType

Property setter for EndType.

SetRecurringType

Property setter for RecurringType.

SetStartDate

Property Setter for StartDate.

TriggerCount

Number of events generated.


IJclSchedule Properties

IJclSchedule

Properties

EndCount

Determines the number of days or events after which the schedule stops.

EndDate

Determines the date and time after which the schedule stops.

EndType

Determines how the end of the schedule is determined.

RecurringType

Indicates the schedules recurring type.

StartDate

Indicates the starting date of the schedule.


Legend

IJclSchedule

Legend

Interface


IJclSchedule Interface

See Also

Main schedule interface.

Pascal

IJclSchedule = interface(IUnknown);

Description

IJclSchedule is the main schedule interface that is returned by CreateSchedule. Through this interface you can control all generic settings of the schedule, as well as obtain references to the supporting interfaces, provided they are available with the current settings.

Donator

Marcel Bestebroer

Group

IJclSchedule

Unit

JclSchedule


See Also

CreateSchedule, IJclScheduleDayFrequency, IJclDailySchedule, IJclWeeklySchedule, IJclMonthlySchedule, IJclYearlySchedule


IJclSchedule.DayCount Method

See Also	IJclSchedule Interface

Number of days on which events are generated.

Pascal

function DayCount: Cardinal;

Description

DayCount retrieves the number of days on which events have been generated. Every succesfull call from NextEvent, NextEventFrom or NextEventFromNow that jumps to a new day will increase this counter.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

NextEvent, NextEventFrom, NextEventFromNow, TriggerCount


IJclSchedule.EndCount Property

See Also	IJclSchedule Interface

Determines the number of days or events after which the schedule stops.

Pascal

property EndCount: Cardinal;

Description

EndCount determines the number of days (EndType = sekDayCount) or events (EndType = sekTriggerCount) after which the schedule ends. EndCount is ignored if EndType is not set to either sekDayCount or sekTriggerCount.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndType


IJclSchedule.EndDate Property

See Also	IJclSchedule Interface

Determines the date and time after which the schedule stops.

Pascal

property EndDate: TTimeStamp;

Description

EndDate determines the date and time after which the schedule ends. EndDate is ignored if EndType is not set to sekDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndType


IJclSchedule.EndType Property

See Also	IJclSchedule Interface

Determines how the end of the schedule is determined.

Pascal

property EndType: TScheduleEndKind;

Description

EndType determines how the end of the schedule is determined. EndType is ignored for "one shot" schedules. See TScheduleEndKind for information on the possible values.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndCount, EndDate


IJclSchedule.GetEndCount Method

See Also	IJclSchedule Interface

Property getter for EndCount.

Pascal

function GetEndCount: Cardinal;

Description

GetEndCount is the property getter for EndCount.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndCount


IJclSchedule.GetEndDate Method

See Also	IJclSchedule Interface

Property getter for EndDate.

Pascal

function GetEndDate: TTimeStamp;

Description

GetEndDate is the property getter for EndDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndDate


IJclSchedule.GetEndType Method

See Also	IJclSchedule Interface

Property getter for EndType.

Pascal

function GetEndType: TScheduleEndKind;

Description

GetEndType is the property getter for EndType.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndType


IJclSchedule.GetRecurringType Method

See Also	IJclSchedule Interface

Property getter for RecurringType.

Pascal

function GetRecurringType: TScheduleRecurringKind;

Description

GetRecurringType is the property getter for RecurringType.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

RecurringType


IJclSchedule.GetStartDate Method

See Also	IJclSchedule Interface

Property getter for StartDate.

Pascal

function GetStartDate: TTimeStamp;

Description

GetStartDate is the property getter for StartDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

StartDate


IJclSchedule.InitToSavedState Method

See Also	IJclSchedule Interface

Initializes the schedule to a specific (saved) state.

Pascal

procedure InitToSavedState(const LastTriggerStamp: TTimeStamp; const LastTriggerCount: Cardinal; const LastDayCount: Cardinal);

Description

InitToSavedState initializes the schedule to a specific (saved) state. To save the state you should retrieve the value of LastTriggered, TriggerCount and DayCount and store them somewhere (ie. in the registry or a INI-file).

For restoring you can then retrieve the saved values and feed them to this method to have the schedule continue where it left of.

Parameters

const LastTriggerStamp: TTimeStamp

The value for LastTriggered.

const LastTriggerCount: Cardinal

The value for TriggerCount.

const LastDayCount: Cardinal

The value for DayCount.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

DayCount, LastTriggered, Reset, TriggerCount


IJclSchedule.LastTriggered Method

See Also	IJclSchedule Interface

Retrieves the time stamp of the last event.

Pascal

function LastTriggered: TTimeStamp;

Description

LastTriggered retrieves the time stamp of the last generated event. This can be the last time a call to NextEvent, NextEventFrom or NextEventFromNow was issued, or the timestamp specified by a call to InitToSavedState.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

InitToSavedState, NextEvent, NextEventFrom, NextEventFromNow


IJclSchedule.NextEvent Method

IJclSchedule Interface

Retrieves the timestamp for the next event.

Pascal

function NextEvent(CountMissedEvents: Boolean = False): TTimeStamp;

Description

NextEvent retrieves the timestamp for the next event. If the schedule has ended, NextEvent will return a null timestamp (NullStamp).

Calling NextEvent is the same as calling NextEventFrom(LastTriggered).

Parameters

CountMissedEvents: Boolean = False

Flag to indicate if missed events should be counted. When set to True, any events that should have occured between the last generated event and the returned event are counted. If this leads to the end of the schedule, a null timestamp will be returned.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.NextEventFrom Method

IJclSchedule Interface

Retrieves the timestamp for the next event given a starting timestamp.

Pascal

function NextEventFrom(const FromEvent: TTimeStamp; CountMissedEvent: Boolean = False): TTimeStamp;

Description

NextEventFrom retrieves the timestamp for the next event given a starting timestamp. If the schedule has ended, NextEventFrom will return a null timestamp (NullStamp).

Parameters

const FromEvent: TTimeStamp

Timestamp from which the next event is to be determined.

CountMissedEvents

Flag to indicate if missed events should be counted. When set to True, any events that should have occured between the last generated event and the returned event are counted. If this leads to the end of the schedule, a null timestamp will be returned.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.NextEventFromNow Method

IJclSchedule Interface

Retrieves the timestamp for the next event starting from the current date/time.

Pascal

function NextEventFromNow(CountMissedEvents: Boolean = False): TTimeStamp;

Description

NextEventFromNow retrieves the timestamp for the next event starting from the current date/time. If the schedule has ended, NextEventFromNow will return a null timestamp (NullStamp).

Parameters

CountMissedEvents: Boolean = False

Flag to indicate if missed events should be counted. When set to True, any events that should have occured between the last generated event and the returned event are counted. If this leads to the end of the schedule, a null timestamp will be returned.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.RecurringType Property

IJclSchedule Interface

Indicates the schedules recurring type.

Pascal

property RecurringType: TScheduleRecurringKind;

Description

RecurringType indicates the schedules recurring type. For more information on the possible values, see TScheduleRecurringKind.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.Reset Method

IJclSchedule Interface

Resets the schedule.

Pascal

procedure Reset;

Description

Reset will reset the schedule. As a result DayCount and TriggerCount are set to 0 and LastTriggered is set to a null time stamp (NullStamp).

After calling reset the next call to NextEvent, NextEventFrom or NextEventFromNow will restart the schedule.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.SetEndCount Method

See Also	IJclSchedule Interface

Property setter for EndCount.

Pascal

procedure SetEndCount(Value: Cardinal);

Description

SetEndCount is the property setter for EndCount.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndCount


IJclSchedule.SetEndDate Method

See Also	IJclSchedule Interface

Property setter for EndDate.

Pascal

procedure SetEndDate(const Value: TTimeStamp);

Description

SetEndDate is the property setter for EndDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndDate


IJclSchedule.SetEndType Method

See Also	IJclSchedule Interface

Property setter for EndType.

Pascal

procedure SetEndType(Value: TScheduleEndKind);

Description

SetEndType is the property setter for EndType.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

EndType


IJclSchedule.SetRecurringType Method

See Also	IJclSchedule Interface

Property setter for RecurringType.

Pascal

procedure SetRecurringType(Value: TScheduleRecurringKind);

Description

SetRecurringType is the property setter for RecurringType.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

RecurringType


IJclSchedule.SetStartDate Method

See Also	IJclSchedule Interface

Property Setter for StartDate.

Pascal

procedure SetStartDate(const Value: TTimeStamp);

Description

SetStartDate is the property setter for StartDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

StartDate


IJclSchedule.StartDate Property

IJclSchedule Interface

Indicates the starting date of the schedule.

Pascal

property StartDate: TTimeStamp;

Description

StartDate indicates the start date and time of the schedule.

If this is a "one shot" schedule, StartDate is the date and time of the generated event.

In all other cases StartDate determines the earliest possible event. Other properties of the schedule may infact determine the actual earliest event lies at a later date/time than the one specified by StartDate.

Donator

Marcel Bestebroer

Group

IJclSchedule


IJclSchedule.TriggerCount Method

See Also	IJclSchedule Interface

Number of events generated.

Pascal

function TriggerCount: Cardinal;

Description

TriggerCount retrieves the number of events that have been generated. Every succesfull call from NextEvent, NextEventFrom or NextEventFromNow will increase this counter.

Donator

Marcel Bestebroer

Group

IJclSchedule


See Also

DayCount, NextEvent, NextEventFrom, NextEventFromNow


IJclScheduleDayFrequency

Properties	Legend

Scheduling

Interfaces

 IJclScheduleDayFrequency

Interface to the daily frequency.

Legend

Interface


IJclScheduleDayFrequency Interfaces

IJclScheduleDayFrequency	Legend

Interfaces

 IJclScheduleDayFrequency

Interface to the daily frequency.


Legend

Interface


IJclScheduleDayFrequency Properties

IJclScheduleDayFrequency

Properties

StartTime

The start time in milliseconds.

EndTime

The end time in milliseconds.

Interval

The interval in milliseconds.


Legend

IJclScheduleDayFrequency

Legend

Interface


IJclScheduleDayFrequency Interface

Methods	See Also

Interface to the daily frequency.

Pascal

IJclScheduleDayFrequency = interface(IUnknown);

Description

IJclScheduleDayFrequency is the interface to the daily frequency. The daily frequency determines at which time(s) of every valid event date an event will be generated. The schedule allows you to set the start and end times, as well as specify an interval. To specify the schedule should use only one time for each valid date, make the end time equal to the start time or set Interval to 0.

This interface is supported for all schedules except one shots (RecurringType = srkOneShot).

Donator

Marcel Bestebroer

Group

IJclScheduleDayFrequency

Unit

JclSchedule


IJclScheduleDayFrequency Interface Methods

IJclScheduleDayFrequency Interface

Methods

GetEndTime

GetInterval

GetStartTime

SetEndTime

SetInterval

SetStartTime


IJclScheduleDayFrequency Interface Members

IJclScheduleDayFrequency Interface

Members

Methods

GetEndTime

GetInterval

GetStartTime

SetEndTime

SetInterval

SetStartTime


See Also

IJclSchedule, IJclSchedule.RecurringType


IJclScheduleDayFrequency.GetEndTime Method

IJclScheduleDayFrequency Interface

function GetEndTime: Cardinal;

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.GetInterval Method

IJclScheduleDayFrequency Interface

function GetInterval: Cardinal;

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.GetStartTime Method

IJclScheduleDayFrequency Interface

function GetStartTime: Cardinal;

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.SetEndTime Method

IJclScheduleDayFrequency Interface

procedure SetEndTime(Value: Cardinal);

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.SetInterval Method

IJclScheduleDayFrequency Interface

procedure SetInterval(Value: Cardinal);

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.SetStartTime Method

IJclScheduleDayFrequency Interface

procedure SetStartTime(Value: Cardinal);

Interface

IJclScheduleDayFrequency Interface


IJclScheduleDayFrequency.StartTime Property

See Also	IJclScheduleDayFrequency Interface

The start time in milliseconds.

Pascal

property StartTime: Cardinal;

Description

StartTime determines the first time of the day on which an event will be generated. The time is expressed in milliseconds since midnight.

Donator

Marcel Bestebroer

Group

IJclScheduleDayFrequency


See Also

EndTime, Interval


IJclScheduleDayFrequency.EndTime Property

See Also	IJclScheduleDayFrequency Interface

The end time in milliseconds.

Pascal

property EndTime: Cardinal;

Description

EndTime determines the last possible time of the day on which an event will be generated. The time is expressed in milliseconds since midnight. There's no guarantee that an event will be generated at that time. The actual last event might be sooner, depending on the value of StartTime and Interval.

Donator

Marcel Bestebroer

Group

IJclScheduleDayFrequency


See Also

Interval, StartTime


IJclScheduleDayFrequency.Interval Property

See Also	IJclScheduleDayFrequency Interface

The interval in milliseconds.

Pascal

property Interval: Cardinal;

Description

Interval determines the interval between two events on the same day. The interval is expressed in milliseconds.

Setting Interval to 0 results in EndTime being set to the StartTime, resulting in a daily one shot.

Donator

Marcel Bestebroer

Group

IJclScheduleDayFrequency


See Also

EndTime, StartTime


IJclDailySchedule

Properties	Legend

Scheduling

Interfaces

 IJclDailySchedule

Interface to the daily schedule.

Legend

Interface


IJclDailySchedule Interfaces

IJclDailySchedule	Legend

Interfaces

 IJclDailySchedule

Interface to the daily schedule.


Legend

Interface


IJclDailySchedule Properties

IJclDailySchedule

Properties

EveryWeekDay

Specifies if events should be generated on every weekday.

Interval

Specifies the number of days between events.


Legend

IJclDailySchedule

Legend

Interface


IJclDailySchedule Interface

Methods

Interface to the daily schedule.

Pascal

IJclDailySchedule = interface(IUnknown);

Description

IJclDailySchedule is the interface to the daily schedule. With the daily schedule you can specify the number of days to skip between events or that events only occur on weekdays.

This interface is supported for schedule with RecurringType set to srkDaily.

Donator

Marcel Bestebroer

Group

IJclDailySchedule

Unit

JclSchedule


IJclDailySchedule Interface Methods

IJclDailySchedule Interface

Methods

GetEveryWeekDay

GetInterval

SetEveryWeekDay

SetInterval


IJclDailySchedule Interface Members

IJclDailySchedule Interface

Members

Methods

GetEveryWeekDay

GetInterval

SetEveryWeekDay

SetInterval


IJclDailySchedule.GetEveryWeekDay Method

IJclDailySchedule Interface

function GetEveryWeekDay: Boolean;

Interface

IJclDailySchedule Interface


IJclDailySchedule.GetInterval Method

IJclDailySchedule Interface

function GetInterval: Cardinal;

Interface

IJclDailySchedule Interface


IJclDailySchedule.SetEveryWeekDay Method

IJclDailySchedule Interface

procedure SetEveryWeekDay(Value: Boolean);

Interface

IJclDailySchedule Interface


IJclDailySchedule.SetInterval Method

IJclDailySchedule Interface

procedure SetInterval(Value: Cardinal);

Interface

IJclDailySchedule Interface


IJclDailySchedule.EveryWeekDay Property

See Also	IJclDailySchedule Interface

Specifies if events should be generated on every weekday.

Pascal

property EveryWeekDay: Boolean;

Description

EveryWeekDay specifies if events should be generated on every weekday or not.

Setting EveryWeekDay to True will generate events on every weekday. Reading Interval will return 0 (zero), but the original value is preserved.

Setting EveryWeekDay to False will generate events every n days, where n is specified by Interval. Setting Interval will also result in EveryWeekDay being set to False.

Donator

Marcel Bestebroer

Group

IJclDailySchedule


See Also

Interval


IJclDailySchedule.Interval Property

See Also	IJclDailySchedule Interface

Specifies the number of days between events.

Pascal

property Interval: Cardinal;

Description

Interval specifies the number of days between events. Interval must be greater than 0.

Setting Interval will result in EveryWeekDay being set to False.

Donator

Marcel Bestebroer

Group

IJclDailySchedule


See Also

EveryWeekDay


IJclWeeklySchedule

Properties	Legend

Scheduling

Interfaces

 IJclWeeklySchedule

Interface to the weekly schedule.

Legend

Interface


IJclWeeklySchedule Interfaces

IJclWeeklySchedule	Legend

Interfaces

 IJclWeeklySchedule

Interface to the weekly schedule.


Legend

Interface


IJclWeeklySchedule Properties

IJclWeeklySchedule

Properties

DaysOfWeek

Specifies on which days of the week an event should be generated.

Interval

Specifies the number of weeks between events.


Legend

IJclWeeklySchedule

Legend

Interface


IJclWeeklySchedule Interface

Methods

Interface to the weekly schedule.

Pascal

IJclWeeklySchedule = interface(IUnknown);

Description

IJclWeeklySchedule is the interface to the weekly schedule. With the weekly schedule you can specify the days of a week and the number of weeks to skip between events.

This interface is supported for schedule with RecurringType set to srkWeekly.

Donator

Marcel Bestebroer

Group

IJclWeeklySchedule

Unit

JclSchedule


IJclWeeklySchedule Interface Methods

IJclWeeklySchedule Interface

Methods

GetDaysOfWeek

GetInterval

SetDaysOfWeek

SetInterval


IJclWeeklySchedule Interface Members

IJclWeeklySchedule Interface

Members

Methods

GetDaysOfWeek

GetInterval

SetDaysOfWeek

SetInterval


IJclWeeklySchedule.GetDaysOfWeek Method

IJclWeeklySchedule Interface

function GetDaysOfWeek: TScheduleWeekDays;

Interface

IJclWeeklySchedule Interface


IJclWeeklySchedule.GetInterval Method

IJclWeeklySchedule Interface

function GetInterval: Cardinal;

Interface

IJclWeeklySchedule Interface


IJclWeeklySchedule.SetDaysOfWeek Method

IJclWeeklySchedule Interface

procedure SetDaysOfWeek(Value: TScheduleWeekDays);

Interface

IJclWeeklySchedule Interface


IJclWeeklySchedule.SetInterval Method

IJclWeeklySchedule Interface

procedure SetInterval(Value: Cardinal);

Interface

IJclWeeklySchedule Interface


IJclWeeklySchedule.DaysOfWeek Property

See Also	IJclWeeklySchedule Interface

Specifies on which days of the week an event should be generated.

Pascal

property DaysOfWeek: TScheduleWeekDays;

Description

DaysOfWeek specifies on which days of the week an event should be generated. At least 1 day should be set.

Donator

Marcel Bestebroer

Group

IJclWeeklySchedule


See Also

Interval


IJclWeeklySchedule.Interval Property

See Also	IJclWeeklySchedule Interface

Specifies the number of weeks between events.

Pascal

property Interval: Cardinal;

Description

Interval specifies the number of weeks between events. Interval must be greater than 0.

Donator

Marcel Bestebroer

Group

IJclWeeklySchedule


See Also

DaysOfWeek


IJclMonthlySchedule

Properties	Legend

Scheduling

Interfaces

 IJclMonthlySchedule

Interface to the monthly schedule.

Legend

Interface


IJclMonthlySchedule Interfaces

IJclMonthlySchedule	Legend

Interfaces

 IJclMonthlySchedule

Interface to the monthly schedule.


Legend

Interface


IJclMonthlySchedule Properties

IJclMonthlySchedule

Properties

Day

Specifies the day of the month on which the event is to be generated.

IndexKind

Specifies the meaning of IndexValue.

IndexValue

Specifies the day, weekday, weekendday or day of the week.

Interval

Specifies the number of months between two events.


Legend

IJclMonthlySchedule

Legend

Interface


IJclMonthlySchedule Interface

Methods

Interface to the monthly schedule.

Pascal

IJclMonthlySchedule = interface(IUnknown);

Description

IJclMonthlySchedule is the interface to the monthly schedule. With the monthly schedule you can specify the day and number of months to skip between events.

The setting of the day allows you to select the nth/last weekday, weekendday, day of the week or day of the month.

This interface is supported for schedule with RecurringType set to srkMonthly.

Donator

Marcel Bestebroer

Group

IJclMonthlySchedule

Unit

JclSchedule


IJclMonthlySchedule Interface Methods

IJclMonthlySchedule Interface

Methods

GetDay

GetIndexKind

GetIndexValue

GetInterval

SetDay

SetIndexKind

SetIndexValue

SetInterval


IJclMonthlySchedule Interface Members

IJclMonthlySchedule Interface

Members

Methods

GetDay

GetIndexKind

GetIndexValue

GetInterval

SetDay

SetIndexKind

SetIndexValue

SetInterval


IJclMonthlySchedule.GetDay Method

IJclMonthlySchedule Interface

function GetDay: Cardinal;

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.GetIndexKind Method

IJclMonthlySchedule Interface

function GetIndexKind: TScheduleIndexKind;

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.GetIndexValue Method

IJclMonthlySchedule Interface

function GetIndexValue: Integer;

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.GetInterval Method

IJclMonthlySchedule Interface

function GetInterval: Cardinal;

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.SetDay Method

IJclMonthlySchedule Interface

procedure SetDay(Value: Cardinal);

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.SetIndexKind Method

IJclMonthlySchedule Interface

procedure SetIndexKind(Value: TScheduleIndexKind);

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.SetIndexValue Method

IJclMonthlySchedule Interface

procedure SetIndexValue(Value: Integer);

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.SetInterval Method

IJclMonthlySchedule Interface

procedure SetInterval(Value: Cardinal);

Interface

IJclMonthlySchedule Interface


IJclMonthlySchedule.Day Property

See Also	IJclMonthlySchedule Interface

Specifies the day of the month on which the event is to be generated.

Pascal

property Day: Cardinal;

Description

Day specifies on which day of the month an event is to be generated. If the specified day is higher than the number of days in the month the event is generated, it will default to the last day of that month (eg. if Day is set to 31 and an event is to be generated in February 2010, an event will be generated on February 28th).

Day is only supported when IndexKind is set to either sikNone.

Donator

Marcel Bestebroer

Group

IJclMonthlySchedule


See Also

IndexKind, Interval


IJclMonthlySchedule.IndexKind Property

See Also	IJclMonthlySchedule Interface

Specifies the meaning of IndexValue.

Pascal

property IndexKind: TScheduleIndexKind;

Description

IndexKind specifies the meaning of IndexValue.

The IndexValue/IndexKind combination allows you to select the nth weekday, weekendday or day of the week, where n can be either negative (ie. relative to the end of the month) or positive (ie. relative to the start of the month). See TScheduleInkexKind for more information on the possible values.

Donator

Marcel Bestebroer

Group

IJclMonthlySchedule


See Also

Day, IndexValue, Interval


IJclMonthlySchedule.IndexValue Property

See Also	IJclMonthlySchedule Interface

Specifies the day, weekday, weekendday or day of the week.

Pascal

property IndexValue: Integer;

Description

IndexValue specifies which day, weekday, weekendday or day of the week an event should occur.

Setting IndexValue to a positive value results in the IndexValueth occurance of the day specified by IndexKind (either a day of the month, weekday, weekendday or day of the week). If the requested occurance is not available (ie. the specified value is to large), the last occurance will be used instead.

Setting IndexValue to a negative value results in the Abs(IndexValue)th  occurance of the day specified by IndexKind (either a day of the month, weekday, weekendday or day of the week) from the end of the month. If the requested occurance is not available (ie. the specified value is to small), the first occurance will be used instead.

IndexValue can be set only when IndexKind is not set to sikNone.

Donator

Marcel Bestebroer

Group

IJclMonthlySchedule


See Also

Day, IndexKind, Interval


IJclMonthlySchedule.Interval Property

IJclMonthlySchedule Interface

Specifies the number of months between two events.

Pascal

property Interval: Cardinal;

Description

Interval specifies the number of months between two events. Interval must be greater than 0.

Donator

Marcel Bestebroer

Group

IJclMonthlySchedule


IJclYearlySchedule

Properties	Legend

Scheduling

Interfaces

 IJclYearlySchedule

Interface to the yearly schedule.

Legend

Interface


IJclYearlySchedule Interfaces

IJclYearlySchedule	Legend

Interfaces

 IJclYearlySchedule

Interface to the yearly schedule.


Legend

Interface


IJclYearlySchedule Properties

IJclYearlySchedule

Properties

Day

Specifies the day of the month on which the event is to be generated.

IndexKind

Specifies the meaning of IndexValue.

IndexValue

Specifies the day, weekday, weekendday or day of the week.

Interval

Specifies the number of months between two events.

Month

Specifies on which month an event is to be generated.


Legend

IJclYearlySchedule

Legend

Interface


IJclYearlySchedule Interface

Methods

Interface to the yearly schedule.

Pascal

IJclYearlySchedule = interface(IUnknown);

Description

IJclYearlySchedule is the interface to the yearly schedule. With the yearly schedule you can specify the day, month and number of years to skip between events.

The setting of the day allows you to select the nth weekday, weekendday, day of the week or day of the month from either the start or the end of the month.

This interface is supported for schedule with RecurringType set to srkYearly.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule

Unit

JclSchedule


IJclYearlySchedule Interface Methods

IJclYearlySchedule Interface

Methods

GetDay

GetIndexKind

GetIndexValue

GetInterval

GetMonth

SetDay

SetIndexKind

SetIndexValue

SetInterval

SetMonth


IJclYearlySchedule Interface Members

IJclYearlySchedule Interface

Members

Methods

GetDay

GetIndexKind

GetIndexValue

GetInterval

GetMonth

SetDay

SetIndexKind

SetIndexValue

SetInterval

SetMonth


IJclYearlySchedule.GetDay Method

IJclYearlySchedule Interface

function GetDay: Cardinal;

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.GetIndexKind Method

IJclYearlySchedule Interface

function GetIndexKind: TScheduleIndexKind;

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.GetIndexValue Method

IJclYearlySchedule Interface

function GetIndexValue: Integer;

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.GetInterval Method

IJclYearlySchedule Interface

function GetInterval: Cardinal;

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.GetMonth Method

IJclYearlySchedule Interface

function GetMonth: Cardinal;

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.SetDay Method

IJclYearlySchedule Interface

procedure SetDay(Value: Cardinal);

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.SetIndexKind Method

IJclYearlySchedule Interface

procedure SetIndexKind(Value: TScheduleIndexKind);

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.SetIndexValue Method

IJclYearlySchedule Interface

procedure SetIndexValue(Value: Integer);

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.SetInterval Method

IJclYearlySchedule Interface

procedure SetInterval(Value: Cardinal);

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.SetMonth Method

IJclYearlySchedule Interface

procedure SetMonth(Value: Cardinal);

Interface

IJclYearlySchedule Interface


IJclYearlySchedule.Day Property

See Also	IJclYearlySchedule Interface

Specifies the day of the month on which the event is to be generated.

Pascal

property Day: Cardinal;

Description

Day specifies on which day of the month an event is to be generated. If the specified day is higher than the number of days in the month the event is generated, it will default to the last day of that month (eg. if Day is set to 31 and an event is to be generated in February 2010, an event will be generated on February 28th).

Day is only supported when IndexKind is set to either sikNone.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule


See Also

IndexKind, Interval, Month


IJclYearlySchedule.IndexKind Property

See Also	IJclYearlySchedule Interface

Specifies the meaning of IndexValue.

Pascal

property IndexKind: TScheduleIndexKind;

Description

IndexKind specifies the meaning of IndexValue.

The IndexValue/IndexKind combination allows you to select the nth weekday, weekendday or day of the week, where n can be either negative (ie. relative to the end of the month) or positive (ie. relative to the start of the month). See TScheduleInkexKind for more information on the possible values.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule


See Also

Day, IndexValue, Interval, Month


IJclYearlySchedule.IndexValue Property

See Also	IJclYearlySchedule Interface

Specifies the day, weekday, weekendday or day of the week.

Pascal

property IndexValue: Integer;

Description

IndexValue specifies which day, weekday, weekendday or day of the week an event should occur.

Setting IndexValue to a positive value results in the IndexValueth occurance of the day specified by IndexKind (either a day of the month, weekday, weekendday or day of the week). If the requested occurance is not available (ie. the specified value is to large), the last occurance will be used instead.

Setting IndexValue to a negative value results in the Abs(IndexValue)th  occurance of the day specified by IndexKind (either a day of the month, weekday, weekendday or day of the week) from the end of the month. If the requested occurance is not available (ie. the specified value is to small), the first occurance will be used instead.

IndexValue can be set only when IndexKind is not set to sikNone.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule


See Also

Day, IndexKind, Interval, Month


IJclYearlySchedule.Interval Property

IJclYearlySchedule Interface

Specifies the number of months between two events.

Pascal

property Interval: Cardinal;

Description

Interval specifies the number of months between two events. Interval must be greater than 0.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule


IJclYearlySchedule.Month Property

IJclYearlySchedule Interface

Specifies on which month an event is to be generated.

Pascal

property Month: Cardinal;

Description

Month specifies on which month an event is to be generated.

Donator

Marcel Bestebroer

Group

IJclYearlySchedule


Auxilary routines

Scheduling

Functions

NullStamp

Creates a null time stamp

CompareTimeStamps

Compares two time stamps.

EqualTimeStamps

Determines if two timestamps are equal.

IsNullTimeStamp

Determines if a time stamp is a null stamp.


Auxilary routines Functions

Auxilary routines

Functions

NullStamp

Creates a null time stamp

CompareTimeStamps

Compares two time stamps.

EqualTimeStamps

Determines if two timestamps are equal.

IsNullTimeStamp

Determines if a time stamp is a null stamp.


NullStamp Function

Creates a null time stamp

Pascal

function NullStamp: TTimeStamp;

Description

NullStamp creates a "null" time stamp. It accomplish this by setting the time member to -1, which is not allowed under normal circumstances.

The null stamp is returned by NextEvent, NextEventFrom and NextEventFromNow if there are no more events to be generated. You can use IsNullTimeStamp to check for this result.

Donator

Marcel Bestebroer

Group

Auxilary routines

Unit

JclSchedule


CompareTimeStamps Function

See Also

Compares two time stamps.

Pascal

function CompareTimeStamps(const Stamp1: TTimeStamp; const Stamp2: TTimeStamp): Int64;

Description

CompareTimeStamps compares two timestamps and returns the result of the comparison:

Value	Meaning
< 0	Stamp1 is earlier than Stamp2.
0	Stamp1 and Stamp2 are equal.
> 0	Stamp1 is later than Stamp2.
Parameters

const Stamp1: TTimeStamp

First time stamp to compare.

const Stamp2: TTimeStamp

Second time stamp to compare.

Donator

Marcel Bestebroer

Group

Auxilary routines

Unit

JclSchedule


See Also

EqualTimeStamps, IsNullTimeStamp


EqualTimeStamps Function

See Also

Determines if two timestamps are equal.

Pascal

function EqualTimeStamps(const Stamp1: TTimeStamp; const Stamp2: TTimeStamp): Boolean;

Description

EqualTimeStamps determines if the two specified time stamps are equal.

Parameters

const Stamp1: TTimeStamp

First time stamp to compare.

const Stamp2: TTimeStamp

Second time stamp to compare.

Donator

Marcel Bestebroer

Group

Auxilary routines

Unit

JclSchedule


See Also

CompareTimeStamps, IsNullTimeStamp


IsNullTimeStamp Function

See Also

Determines if a time stamp is a null stamp.

Pascal

function IsNullTimeStamp(const Stamp: TTimeStamp): Boolean;

Description

IsNullTimeStamp determines if the given time stamp is the "null" time stamp.

IsNullTimeStamp is the same as calling EqualTimeStamps(Stamp, NullStamp).

Donator

Marcel Bestebroer

Group

Auxilary routines

Unit

JclSchedule


See Also

CompareTimeStamps, EqualTimeStamps, NullStamp


Timers and Counters

Date and Time

Topics

TJclCounter

TJclMultimediaTimer

Functions

StartCount

Starts a high performance resolution counter.

StopCount

Stops a high performance resolution counter.


Timers and Counters Functions

Timers and Counters

Functions

StartCount

Starts a high performance resolution counter.

StopCount

Stops a high performance resolution counter.


Topics

Timers and Counters

Topics

TJclCounter

TJclMultimediaTimer


StartCount Function

See Also

Starts a high performance resolution counter.

Pascal

procedure StartCount(var Counter: TJclCounter; const Compensate: Boolean = False);

Description

StartCount starts a high performance resolution counter. It returns a reference to a newly created TJclCounter object. You'll need to hang on to this object to later stop the counter and retrieve the elapsed time. StartCount is the equivalent of instantiating a TJclCouter and immediately calling it's Start method.

Parameters

var Counter: TJclCounter

Counter object instantiated by this function.

const Compensate: Boolean = False

If compensate is True the class internally determines the overhead associated with calling the user calling the Start and Stop methods and corrects the resulting time; thereby providing a more accurate timing. By default, for backwards compatibility, no compensation takes place.

Notes

If the hardware does not support high performance resolution counters an exception is raised.

Donator

Theo Bebekis

Group

Timers and Counters

Unit

JclCounter


See Also

StopCount


StopCount Function

See Also

Stops a high performance resolution counter.

Pascal

function StopCount(var Counter: TJclCounter): Float;

Description

StopCount stops a high performance resolution counter identified by the Counter parameter. Although you can use this function with a counter you manually instantiated, it's intended to be used in conjunction with StartCount.

Parameters

var Counter: TJclCounter

An instance of a TJclCounter object, usually the one returned by StartCount. This object is freed before the function returns.

Return Value

The elapsed time since the counter was started, in seconds.

Donator

Theo Bebekis

Group

Timers and Counters

Unit

JclCounter


See Also

StartCount


TJclCounter

Timers and Counters

Classes

TJclCounter

Implements a high performance counter.


TJclCounter Classes

TJclCounter

Classes

TJclCounter

Implements a high performance counter.


TJclCounter Class

Properties	Methods	See Also	Legend

Implements a high performance counter.

Pascal

TJclCounter = class(TObject);

Description

TJclCounter is a class wrapper around the high performance counter API functions, QueryPerformanceCounter and QueryPerformanceFrequency. Using this class you can easily time the execution of code or other events. The high performance counter has a very high frequency thereby allowing for the timing of very short intervals. The hardware must support a high performance counter or the construction of a TJclCounter object will raise an exception.

Donator

Theo Bebekis

Group

TJclCounter

Legend

read only

Constructor

protected

Unit

JclCounter


TJclCounter Class Properties

TJclCounter Class	Legend

Properties

 Counting

Returns the status of the counter.

 ElapsedTime

Returns the elapsed time.

 Overhead

Returns the overhead time.

 RunElapsedTime


Legend

read only


TJclCounter Class Methods

TJclCounter Class	Legend

Methods

Continue

 Create

Creates an instance of a TJclCounter class.

 GetRunElapsedTime

Start

Starts the timer.

Stop

Stops the timer.


Legend

Constructor

protected


Legend

TJclCounter Class

Legend

read only

Constructor

protected


TJclCounter Class Members

TJclCounter Class	Legend

Members

Properties

 Counting

Returns the status of the counter.

 ElapsedTime

Returns the elapsed time.

 Overhead

Returns the overhead time.

 RunElapsedTime

Methods

Continue

 Create

Creates an instance of a TJclCounter class.

 GetRunElapsedTime

Start

Starts the timer.

Stop

Stops the timer.


Legend

read only

Constructor

protected


See Also

StartCount StopCount


TJclCounter.Counting Property

TJclCounter Class

Returns the status of the counter.

Pascal

property Counting: Boolean;

Description

Counting returns whether or not the counter is currently active. That is, if Start has, but Stop hasn't, been called the return value is True. Immediately after construction or after a call to Stop, Counting is False. When Counting is True the ElapsedTime property is invalid.

Donator

Theo Bebekis

Class

TJclCounter Class


TJclCounter.ElapsedTime Property

TJclCounter Class

Returns the elapsed time.

Pascal

property ElapsedTime: Float;

Description

ElpasedTime returns the elapsed time between the last Start and Stop calls. The value is divided by the counter's frequency before returning so the unit is seconds. During a counting operation, Counting equals True, ElapsedTimer is always 0.

Donator

Theo Bebekis

Class

TJclCounter Class


TJclCounter.Overhead Property

TJclCounter Class

Returns the overhead time.

Pascal

property Overhead: Int64;

Description

Overhead returns the time it takes between issueing a Start/Stop and the actual execution. The value is the number of ticks, not the number of seconds.

Donator

Theo Bebekis

Class

TJclCounter Class


TJclCounter.RunElapsedTime Property

TJclCounter Class

property RunElapsedTime: Float;

Class

TJclCounter Class


TJclCounter.Continue Method

TJclCounter Class

procedure Continue;

Class

TJclCounter Class


TJclCounter.Create Constructor

See Also	TJclCounter Class

Creates an instance of a TJclCounter class.

Pascal

constructor Create(const Compensate: Boolean = False);

Description

Creates an instance of a TJclCounter class. If the hardware does not support high performance counters the constructor raises an exception.

Parameters

const Compensate: Boolean = False

If compensate is True the class internally determines the overhead associated with calling the user calling the Start and Stop methods and corrects the resulting time; thereby providing a more accurate timing. By default, for backwards compatibility, no compensation takes place.

Donator

Theo Bebekis

Class

TJclCounter Class


See Also

StartCount StopCount


TJclCounter.GetRunElapsedTime Method

TJclCounter Class

function GetRunElapsedTime: Float;

Class

TJclCounter Class


TJclCounter.Start Method

See Also	TJclCounter Class

Starts the timer.

Pascal

procedure Start;

Description

Start starts the timer, resets the elapsed time and sets the Counting property to True. To stop the timer and retrieve the elapsed time since Start was called, use the Stop method.

Donator

Theo Bebekis

Class

TJclCounter Class


See Also

StartCount


TJclCounter.Stop Method

See Also	TJclCounter Class

Stops the timer.

Pascal

function Stop: Float;

Description

The Stop method stops the timer, sets the Counting property to False and returns the elapsed time since the Start method was called.

Return Value

The elapsed time between Start and Stop calls. Unit is seconds.

Donator

Theo Bebekis

Class

TJclCounter Class


See Also

StartCount


TJclMultimediaTimer

Legend

Timers and Counters

Classes

TJclMultimediaTimer

Wrapper for a Win32 multi-media timer 'object'.

Enumerations

 TMmTimerKind

Determines the kind of timer, periodic or one-shot.

 TMmNotificationKind

Determines the method of notification when the timer's interval elapses. You can choose between using kernel events or callbacks.

Legend

Enumeration


TJclMultimediaTimer Classes

TJclMultimediaTimer

Classes

TJclMultimediaTimer

Wrapper for a Win32 multi-media timer 'object'.


TJclMultimediaTimer Enumerations

TJclMultimediaTimer	Legend

Enumerations

 TMmTimerKind

Determines the kind of timer, periodic or one-shot.

 TMmNotificationKind

Determines the method of notification when the timer's interval elapses. You can choose between using kernel events or callbacks.


Legend

Enumeration


Legend

TJclMultimediaTimer

Legend

Enumeration


TJclMultimediaTimer Class

Properties	Methods	See Also	Legend

Wrapper for a Win32 multi-media timer 'object'.

Pascal

TJclMultimediaTimer = class(TObject);

Description

TJclMultimediaTimer is a wrapper class for the Win32 multi-media timer services. In a nutshell, a multi-media timer provides services similar to a normal Win32 timer (the one that sends a WM_TIMER message) except that it allows for a higher, programmable timer resolution, and provides guarantees about delivery of timer notifications. In addition it's much more flexible.

Donator

Marcel van Brakel

Group

TJclMultimediaTimer

Legend

read only

Constructor

protected

Unit

JclMultimedia


TJclMultimediaTimer Class Properties

TJclMultimediaTimer Class	Legend

Properties

 Event

Event object used internally for receiving notifications.

 Kind

Straight copy of the Kind parameter as specified in the constructor.

 MaxPeriod

MaxPeriod returns the maximum period (resolution) supported by the timer hardware.

 MinPeriod

MinPeriod returns the minimum period (resolution) supported by the timer hardware.

 Notification

Straight copy of the Notification parameter as specified in the constructor.

OnTimer

Event that gets fired when the interval expires.

Period

Period used during timing.


Legend

read only


TJclMultimediaTimer Class Methods

TJclMultimediaTimer Class	Legend

Methods

BeginPeriod

BeginTimer

Starts the timer.

 Create

Creates an instance of TJclMultimediaTimer.

 Destroy

Elapsed

Returns the elapsed time in milliseconds.

EndPeriod

EndTimer

Stops the timer.

GetTime

Returns the current time.

 Timer

WaitFor

Waits for the event to become signaled.


Legend

Constructor

protected


Legend

TJclMultimediaTimer Class

Legend

read only

Constructor

protected


TJclMultimediaTimer Class Members

TJclMultimediaTimer Class	Legend

Members

Properties

 Event

Event object used internally for receiving notifications.

 Kind

Straight copy of the Kind parameter as specified in the constructor.

 MaxPeriod

MaxPeriod returns the maximum period (resolution) supported by the timer hardware.

 MinPeriod

MinPeriod returns the minimum period (resolution) supported by the timer hardware.

 Notification

Straight copy of the Notification parameter as specified in the constructor.

OnTimer

Event that gets fired when the interval expires.

Period

Period used during timing.

Methods

BeginPeriod

BeginTimer

Starts the timer.

 Create

Creates an instance of TJclMultimediaTimer.

 Destroy

Elapsed

Returns the elapsed time in milliseconds.

EndPeriod

EndTimer

Stops the timer.

GetTime

Returns the current time.

 Timer

WaitFor

Waits for the event to become signaled.


Legend

read only

Constructor

protected


See Also

TJclCount TJclWaitableTimer


TJclMultimediaTimer.Event Property

TJclMultimediaTimer Class

Event object used internally for receiving notifications.

Pascal

property Event: TJclEvent;

Description

When you specify nkSetEvent or nkPulseEvent in the constructor, the timer object notifies the class when it's interval expires by setting this event to the signaled state. As user of this class you should use the WaitFor method (the one in this class, not the events WaitFor!) to wait until the event becomes signaled. For all practical purposes you should leave this property alone, except in one situation. Namely, if you have specified nkSetEvent in the constructor the event must be reset manually. To do that call the event's ResetEvent method as in: MyMmTimer.Event.ResetEvent.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Kind Property

TJclMultimediaTimer Class

Straight copy of the Kind parameter as specified in the constructor.

Pascal

property Kind: TMmTimerKind;

Description

Straight copy of the Kind parameter as specified in the constructor.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.MaxPeriod Property

TJclMultimediaTimer Class

MaxPeriod returns the maximum period (resolution) supported by the timer hardware.

Pascal

property MaxPeriod: Cardinal;

Description

MaxPeriod returns the maximum period (resolution) supported by the timer hardware.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.MinPeriod Property

TJclMultimediaTimer Class

MinPeriod returns the minimum period (resolution) supported by the timer hardware.

Pascal

property MinPeriod: Cardinal;

Description

MinPeriod returns the minimum period (resolution) supported by the timer hardware.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Notification Property

TJclMultimediaTimer Class

Straight copy of the Notification parameter as specified in the constructor.

Pascal

property Notification: TMmNotificationKind;

Description

Straight copy of the Notification parameter as specified in the constructor.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.OnTimer Property

TJclMultimediaTimer Class

Event that gets fired when the interval expires.

Pascal

property OnTimer: TNotifyEvent;

Description

Only applies if you specified nkCallback for the Notification parameter in the constructor. After calling BeginTimer this is the event that gets fired each time the interval expires.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Period Property

TJclMultimediaTimer Class

Period used during timing.

Pascal

property Period: Cardinal;

Description

The Period property sets the period (resolution) used during timing operations. The constructor initializes this to the highest possible resolution but you can change it, if desired and allowed, later. You cannot change the resolution when the timer is active (after a call to BeginTimer but before EndTimer). The BeginTimer method automatically sets the resolution to the Period value and it is restored when you call EndTimer. You can use the BeginPeriod and EndPeriod class functions to set alternative resolutions used by the GetTime class function but you should not do this when the timer is active since it will mess up the values returned by the Elapsed function.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.BeginPeriod Method

TJclMultimediaTimer Class

class function BeginPeriod(const Period: Cardinal): Boolean;

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.BeginTimer Method

TJclMultimediaTimer Class

Starts the timer.

Pascal

procedure BeginTimer(const Delay: Cardinal; const Resolution: Cardinal);

Description

BeginTimer starts the timer with the specified delay (interval) and resolution. Regardless of the kind of timer (one-shot versus periodic) you must always call EndTimer to stop the timer.

Parameters

const Delay: Cardinal

Event delay in milliseconds. This is the interval after which the timer 'fires'.

const Resolution: Cardinal

Timer event resolution, in milliseconds. This influences the accuracy with which periodic events occur. A value of 0 specified the greatest possible accuracy while larger values decrease in accuracy. In effect this means that you are saying you want to be notified after an interval of Delay +/- Resolution. The specified value must be supported by the timer hardware or the function fails. You can use the MaxPeriod and MinPeriod properties to retrieve the range of supported resolutions.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Create Constructor

TJclMultimediaTimer Class

Creates an instance of TJclMultimediaTimer.

Pascal

constructor Create(Kind: TMmTimerKind; Notification: TMmNotificationKind);

Description

Creates an instance of TJclMultimediaTimer. The constructor also initializes the object for a specific usage. You can choose between a 'one-shot' timer or a periodic timer. Additionally you can choose how you want to be notified when the timer 'fires'. To keep the class simple, these attributes are fixed for the objects lifetime.

Parameters

Kind: TMmTimerKind

Determines the kind of timer, you have the option of a one-shot timer or a periodic timer. See TMmTimerKind for more information.

Notification: TMmNotificationKind

Determines the method of notification when the timer elapses (fires). See TMmNotificationKind for more information.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Destroy Destructor

TJclMultimediaTimer Class

destructor Destroy; override;

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Elapsed Method

TJclMultimediaTimer Class

Returns the elapsed time in milliseconds.

Pascal

function Elapsed(const Update: Boolean): Cardinal;

Description

Elapsed returns the elapsed time, in milliseconds, since the last call to either BeginTimer or Elapsed, depending on the Update parameter.

Parameters

const Update: Boolean

When you call BeginTimer the class remembers the current time. Elapsed returns the time elapsed since that call. When you specify False for the Update parameter, Elapsed always returns the elapsed time relative to the time of calling BeginTimer. However, if you pass True for Update then Elapsed overwrites that time with the current time. Subsequent calls to Elapsed will then be relative to the last Elapsed call.

Return Value

The elapsed time, in milliseconds, since the last call to BeginTimer or Elapsed. If the timer is inactive (you haven't called BeginTimer or called EndTimer more recently) the return value is always 0.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.EndPeriod Method

TJclMultimediaTimer Class

class function EndPeriod(const Period: Cardinal): Boolean;

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.EndTimer Method

TJclMultimediaTimer Class

Stops the timer.

Pascal

procedure EndTimer;

Description

The EndTimer method stops the timer. Always call this method, even for a one-shot timer.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.GetTime Method

TJclMultimediaTimer Class

Returns the current time.

Pascal

class function GetTime: Cardinal;

Description

The GetTime class function returns the current system time, in milliseconds. In this context the system time is the time since Windows was started. Note that since this is only a 32 bit integer, the time will wrap around after approx. 50 days. Note that the return value has a default precision of 5 ms on Windows NT and a precision of 1 ms on Windows 95. The precision can be altered (on Windows NT only) using the BeginPeriod class function. In addition, the class maintains a period property which is automatically applied when BeginTimer is called. For more details see the BeginPeriod, EndPeriod methods and the Period property.

Return Value

The time since Windows was started, in milliseconds.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.Timer Method

TJclMultimediaTimer Class

procedure Timer(Id: Cardinal); virtual;

Class

TJclMultimediaTimer Class


TJclMultimediaTimer.WaitFor Method

TJclMultimediaTimer Class

Waits for the event to become signaled.

Pascal

function WaitFor(const TimeOut: Cardinal): TJclWaitResult;

Description

WaitFor is only used when the timer's notification method is set to either nkSetEvent or nkPulseEvent. After calling BeginTimer the timer will set an event when the interval expires. You wait for the interval to expire by waiting on that event using this method. Note that in case of an nkSetEvent timer you must use the Event property to call the ResetEvent when the event becomes signaled. For all other purposes you should leave the Event property alone.

Parameters

const TimeOut: Cardinal

Timeout in milliseconds. If the event doesn't become signaled before the timeout expires, the function aborts the wait and returns wrTimeOut.

Return Value

If the event became signaled before the timeout elapsed, the return value is wrSignaled. Other values indicate some kind of error. See TJclWaitResult for the details.

Donator

Marcel van Brakel

Class

TJclMultimediaTimer Class


TMmTimerKind Enumeration

Determines the kind of timer, periodic or one-shot.

Pascal

TMmTimerKind = (
  tkOneShot,
  tkPeriodic
);

Description

Determines the kind of timer, periodic or one-shot.

tkOneShot

The timer is a one-shot timer. After calling BeginTimer and the specified interval has elapsed, the timer will 'fire' once and once only. Note that even for a one-shot timer you still need to call EndTimer.

tkPeriodic

The timer is a periodic timer. After calling BeginTimer the timer will 'fire' after the specified interval until you call EndTimer. Note that when you use the nkSetEvent notification type you must call Event.ResetEvent manually!

Donator

Marcel van Brakel

Group

TJclMultimediaTimer

Unit

JclMultimedia


TMmNotificationKind Enumeration

Determines the method of notification when the timer's interval elapses. You can choose between using kernel events or callbacks.

Pascal

TMmNotificationKind = (
  nkCallback,
  nkSetEvent,
  nkPulseEvent
);

Description

Determines the method of notification when the timer's interval ellapses. You can choose between using kernel events or callbacks.

nkCallback

The timer uses the callback method to notify you when the timer expires. This means that the handler assigned to the OnTimer event property will be called every time the timer's interval expires.

nkSetEvent

The timer uses a manual-reset event to notify you when the interval expires. After calling BeginTimer you use the WaitFor method to wait until the interval expires. When the interval expires WaitFor returns and you can do whatever it is you were waiting to do. Note however that you must manually reset the event using the Event.ResetEvent method otherwise the event remains signaled and subsequent calls to WaitFor will return immediately irrespective of whether the interval expired. This applies to both one-shot and periodic timers!

nkPulseEvent

Same as nkSetEvent with the difference that the event is automatically reset to the non-signaled state and therefore there is no need to manually call the ResetEvent method.

Donator

Marcel van Brakel

Group

TJclMultimediaTimer

Unit

JclMultimedia


Debugging

JEDI Code Library

Topics

Diagnostics

Except frame info routines

Exception hooking

Helpers

Miscellanuous

Source Locations

Stack info routines

Tracking routines


Topics

Debugging

Topics

Diagnostics

Except frame info routines

Exception hooking

Helpers

Miscellanuous

Source Locations

Stack info routines

Tracking routines


Diagnostics

Debugging

Functions

AssertKindOf

Asserts that an object is of a specified class.

Trace

Sends a message to the debugger.

TraceFmt

Sends a formatted message to the debugger.

TraceLoc

Sends a message to the debugger including location information.

TraceLocFmt

Sends a formatted message to the debugger prepending it with location information.


Diagnostics Functions

Diagnostics

Functions

AssertKindOf

Asserts that an object is of a specified class.

Trace

Sends a message to the debugger.

TraceFmt

Sends a formatted message to the debugger.

TraceLoc

Sends a message to the debugger including location information.

TraceLocFmt

Sends a formatted message to the debugger prepending it with location information.


AssertKindOf Function

Asserts that an object is of a specified class.

Pascal

procedure AssertKindOf(const ClassName: string; const Obj: TObject); overload;
procedure AssertKindOf(const ClassType: TClass; const Obj: TObject); overload;

Description

AssertKindOf asserts that the specified object is of the specified type or inherits from that type. If this is not the case the function triggers an assertion failure. The overloaded procedure allows you to directly specify a class type instead of a class name.

Parameters

const ClassName: string

Name of the class to test Obj for.

const Obj: TObject

The object to test.

Donator

Marcel van Brakel

Group

Diagnostics

Unit

JclDebug


Trace Function

See Also

Sends a message to the debugger.

Pascal

procedure Trace(const Msg: string);

Description

Trace sends the specified message to the debugger.

Parameters

const Msg: string

The message to send to the debugger.

Notes

If you are running your application under the control of the debugger you can view these messages using the event log dialog, 'View | Debug Windows | Event Log'. If the application is not running under the debugger the message is sent to the system debugger. If there is no system debugger active the function does nothing.

Donator

Marcel van Brakel

Group

Diagnostics

Unit

JclDebug


See Also

TraceFmt TraceLoc TraceLocFmt


TraceFmt Function

See Also

Sends a formatted message to the debugger.

Pascal

procedure TraceFmt(const Fmt: string; const Args: array of const);

Description

TraceFmt sends a message, formatted from the supplied format string and arguments array, to the debugger. The function uses the VCL Format() function to format the string and therefore you can use this function exactly like you would use Format(). See the Delphi help file for more information.

Parameters

const Fmt: string

Controls the formatting of the message.

const Args: array of const

Arguments formatted under control of the Fmt string.

Notes

If you are running your application under the control of the debugger you can view these messages using the event log dialog, 'View | Debug Windows | Event Log'. If the application is not running under the debugger the message is sent to the system debugger. If there is no system debugger active the function does nothing.

Donator

Marcel van Brakel

Group

Diagnostics

Unit

JclDebug


See Also

Trace TraceLoc TraceLocFmt


TraceLoc Function

See Also

Sends a message to the debugger including location information.

Pascal

procedure TraceLoc(const Msg: string);

Description

TraceLoc sends the specified message to the debugger but first prepends it with the source file location from which TraceLoc is called. For example, when calling TraceLoc from a method called TForm1.Button1Click located in unit1.pas like this: TraceLoc('Trace me.') the resulting string sent to the debugger will be: unit.pas:123 (TForm1.ButtonClick) "Trace me." assuming the TraceLoc statement is on line 123 in the source. Note that this function requires a detailed map file!

Parameters

const Msg: string

The message to send to the debugger.

Notes

If you are running your application under the control of the debugger you can view these messages using the event log dialog, 'View | Debug Windows | Event Log'. If the application is not running under the debugger the message is sent to the system debugger. If there is no system debugger active the function does nothing.

Donator

Marcel van Brakel

Group

Diagnostics

Unit

JclDebug


See Also

Trace TraceFmt TraceLocFmt


TraceLocFmt Function

See Also

Sends a formatted message to the debugger prepending it with location information.

Pascal

procedure TraceLocFmt(const Fmt: string; const Args: array of const);

Description

TraceFmt sends a message, formatted from the supplied format string and arguments array, to the debugger, but first prepends it with the source file location information. The function uses the VCL Format() function to format the string and therefore you can use this function exactly like you would use Format(). See the Delphi help file for more information. See TraceLoc for an example output.

Parameters

const Fmt: string

Controls the formatting of the message.

const Args: array of const

Arguments formatted under control of the Fmt string.

Notes

If you are running your application under the control of the debugger you can view these messages using the event log dialog, 'View | Debug Windows | Event Log'. If the application is not running under the debugger the message is sent to the system debugger. If there is no system debugger active the function does nothing.

Donator

Marcel van Brakel

Group

Diagnostics

Unit

JclDebug


See Also

Trace TraceFmt TraceLoc


Except frame info routines

Legend

Debugging

Topics

PExcDescEntry

Except on... handler item

Classes

TJclExceptFrame

Except frame item.

TJclExceptFrameList

List of except frame item.

Enumerations

 TExceptFrameKind

Exception frame kind.

Functions

JclCreateExceptFrameList

Creates an exception frame list.

JclLastExceptFrameList

Retreives the last generated except frame list.

Records

 TJmpInstruction

Disected jump instruction

 TExcDescEntry

Except on... handler item

 TExcDesc

Except frame descriptor

 TExcFrame

Except frame

Types

PJmpInstruction

Disected jump instruction

PExcDesc

Except frame descriptor

PExcFrame

Except frame

Legend

Record

Enumeration


Except frame info routines Records

Except frame info routines	Legend

Records

 TJmpInstruction

Disected jump instruction

 TExcDescEntry

Except on... handler item

 TExcDesc

Except frame descriptor

 TExcFrame

Except frame


Legend

Record


Except frame info routines Types

Except frame info routines

Types

PJmpInstruction

Disected jump instruction

PExcDesc

Except frame descriptor

PExcFrame

Except frame


Topics

Except frame info routines

Topics

PExcDescEntry

Except on... handler item


Except frame info routines Enumerations

Except frame info routines	Legend

Enumerations

 TExceptFrameKind

Exception frame kind.


Legend

Enumeration


Except frame info routines Classes

Except frame info routines

Classes

TJclExceptFrame

Except frame item.

TJclExceptFrameList

List of except frame item.


Except frame info routines Functions

Except frame info routines

Functions

JclCreateExceptFrameList

Creates an exception frame list.

JclLastExceptFrameList

Retreives the last generated except frame list.


Legend

Except frame info routines

Legend

Record

Enumeration


TJmpInstruction Record

Disected jump instruction

Pascal

PJmpInstruction = ^TJmpInstruction;
TJmpInstruction = packed record
  OpCode: Byte;
  Distance: Longint;
end;

Description

JmpInstruction represents a assembler JMP instruction.

OpCode: Byte;

OpCode for the JMP instruction.

Distance: Longint;

Offset in the JMP instruction.

Notes

This type is copied from System.pas

Donator

Borland

Group

Except frame info routines

Unit

JclDebug


TExcDescEntry Record

Except on... handler item

Pascal

TExcDescEntry = record
  VTable: Pointer;
  Handler: Pointer;
end;

Description

TExcDescEntry represents an item in an except on... handler.

VTable: Pointer;

Pointer to the Virtual Method table of an Exception class.

Handler: Pointer;

Pointer to the handler for the exception class.

Notes

This type is copied from System.pas

Donator

Borland

Group

Except frame info routines

Unit

JclDebug


TExcDesc Record

Except frame descriptor

Pascal

PExcDesc = ^TExcDesc;
TExcDesc = packed record
  JMP: TJmpInstruction;
  case Integer of
    0: (Instructions: array [0..0] of Byte);
        Cnt: Integer;
        ExcTab: array [0..0] of TExcDescEntry););
end;

Description

TExcDesc is an except frame descriptor.For Borland modules this usually means a JMP instruction to either HandleFinally, HandleAnyException, HandleOnException or HandleAutoException. Incase of an HandleOnException, the JMP is followed by a table containing the Exception classes to handle and their handlers. In other cases the JMP is followed by the code to execute.

For non-Borland modules, the frame descriptor is undefined (but it always starts with executable code).

JMP: TJmpInstruction;

Holds the JMP-instruction incase of Borland code

Instructions: array [0..0] of Byte);

Handler instructions for non "except on..."-blocks

Cnt: Integer;

Number of exception classes defined in an "except on..."-block

ExcTab: array [0..0] of TExcDescEntry);

Table of on-definitions and there handlers in an "except on..."-block

Notes

This type is copied from System.pas

Donator

Borland

Group

Except frame info routines

Unit

JclDebug


TExcFrame Record

Except frame

Pascal

PExcFrame = ^TExcFrame;
TExcFrame = record
  Next: PExcFrame;
  Desc: PExcDesc;
  HEBP: Pointer;
  case Integer of
    1: (ConstructedObject: Pointer;);
    2: (SelfOfMethod: Pointer;);
end;

Description

TExcFrame is an except frame. It holds a reference to the next frame (if any), the location of the frame (which should always start with executable code) and the handlers EBP frame. Incase of Borland modules, it could also contain a reference to the object being constructed (this is the case for the implicit except frame for constructors) or a reference to Self of the method containing the handler.

Next: PExcFrame;

Link to next except frame or -1(!) if there is no next frame.

Desc: PExcDesc;

Pointer to handler (non-Borland modules) or frame descriptor (Borland modules)

HEBP: Pointer;

Value of the handlers EBP-frame

ConstructedObject: Pointer;

Pointer to object being constructed. This is used by the compiler to allow for destruction of the object when an exception occured.

SelfOfMethod: Pointer;

Pointer to Self of the method containing the handler.

Notes

This type is copied from System.pas

Donator

Borland

Group

Except frame info routines

Unit

JclDebug


TExceptFrameKind Enumeration

Exception frame kind.

Pascal

TExceptFrameKind = (
  efkUnknown,
  efkFinally,
  efkAnyException,
  efkOnException,
  efkAutoException
);

Description

TExceptFrameKind determines the exception frame type. Note that the compiler often inserts implicit frames around a method, function or procedure. For these frames source code location routines can be of by 1 line.

efkUnknown

Unknown exception frame (most likely an exception frame inside a non-Borland library.

efkFinally

A try...finally frame. Note that the compiler inserts implicit try...finally blocks for any method, function or procedure with parameters and/or variables that need clean up (eg. long strings, dynamic arrays, interface references).

efkAnyException

A try...except frame.

efkOnException

A try...except on.... frame.

efkAutoException

A try..except frame for an automated method declared with the safecall directive (these are implicit frames inserted by the compiler).

Donator

Marcel Bestebroer

Group

Except frame info routines

Unit

JclDebug


TJclExceptFrame Class

Properties	Methods	Legend

Except frame item.

Pascal

TJclExceptFrame = class(TObject);

Description

TJclExceptFrame holds information on an except frame.

Donator

Marcel Bestebroer

Group

Except frame info routines

Legend

read only

Constructor

protected

Unit

JclDebug


TJclExceptFrame Class Properties

TJclExceptFrame Class	Legend

Properties

 ExcFrame

Reference to the ExceptFrame on the stack.

 FrameKind

Holds the frame kind.


Legend

read only


TJclExceptFrame Class Methods

TJclExceptFrame Class	Legend

Methods

CodeLocation

Returns the location of the code for non efkOnException frames.

 Create

Instantiates an except frame object.

 DoDetermineFrameKind

HandlerInfo

Checks if an exception will be handled by the frame and at which location.

Handles

Checks if an exception will be handled by the frame.


Legend

Constructor

protected


Legend

TJclExceptFrame Class

Legend

read only

Constructor

protected


TJclExceptFrame Class Members

TJclExceptFrame Class	Legend

Members

Properties

 ExcFrame

Reference to the ExceptFrame on the stack.

 FrameKind

Holds the frame kind.

Methods

CodeLocation

Returns the location of the code for non efkOnException frames.

 Create

Instantiates an except frame object.

 DoDetermineFrameKind

HandlerInfo

Checks if an exception will be handled by the frame and at which location.

Handles

Checks if an exception will be handled by the frame.


Legend

read only

Constructor

protected


TJclExceptFrame.ExcFrame Property

TJclExceptFrame Class

Reference to the ExceptFrame on the stack.

Pascal

property ExcFrame: PExcFrame;

Description

ExcFrame is a reference to except frame on the stack. It is not wise to modify the memory pointed to by ExcFrame

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrame.FrameKind Property

TJclExceptFrame Class

Holds the frame kind.

Pascal

property FrameKind: TExceptFrameKind;

Description

FrameKind holds the kind of except frame this object references. The type is determined when the object is created by checking the code and see if it jumps to any of the known Borland handlers.

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrame.CodeLocation Method

TJclExceptFrame Class

Returns the location of the code for non efkOnException frames.

Pascal

function CodeLocation: Pointer;

Description

CodeLocation determines the location of the code for non efkOnException frames. The Delphi linker sometimes adds a JMP-instruction that jumps to the handler. With this method you'll always get the location of the handler, inspite of a JMP instruction being inserted or not.

Return Value

If there's a JMP instruction at the "official" location, the function will return the destination of that address, otherwise the function just returns the "official" location.

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrame.Create Constructor

TJclExceptFrame Class

Instantiates an except frame object.

Pascal

constructor Create(AExcFrame: PExcFrame);

Description

Create instantiates an except frame object, links it to a PExcFrame and determines it's type.

Parameters

AExcFrame: PExcFrame

Reference to the except frame on the stack to create this item for.

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrame.DoDetermineFrameKind Method

TJclExceptFrame Class

procedure DoDetermineFrameKind;

Class

TJclExceptFrame Class


TJclExceptFrame.HandlerInfo Method

TJclExceptFrame Class

Checks if an exception will be handled by the frame and at which location.

Pascal

function HandlerInfo(ExceptObj: TObject; var HandlerAt: Pointer): Boolean;

Description

HandlerInfo checks if an exception would be handled by the frame and where the handler is located. An efkFinally frame will never handle an exception (although the code would be executed). efkUnknown frames are assumed to handle the exception (there's no way of knowing for sure) as are efkAnyException and efkAutoException frames. For efkOnException the handler table is scanned to check for an appropiate handler.

Parameters

ExceptObj: TObject

Exception object to check.

var HandlerAt: Pointer

Pointer to handler for the exception object (if one exists).

Return Value

If the frame will handle the exception the function returns True and the HandlerAt parameter will contain the address of the handler. If the frame won't handle the exception the function returns False and HandlerAt will be undefined.

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrame.Handles Method

TJclExceptFrame Class

Checks if an exception will be handled by the frame.

Pascal

function Handles(ExceptObj: TObject): Boolean;

Description

Handles checks if an exception would be handled by the frame. An efkFinally frame will never handle an exception (although the code would be executed). efkUnknown frames are assumed to handle the exception (there's no way of knowing for sure) as are efkAnyException and efkAutoException frames. For efkOnException the handler table is scanned to check for an appropiate handler.

Parameters

ExceptObj: TObject

Exception object to check.

Return Value

If the frame will handle the exception the function returns True, otherwise it returns False.

Donator

Marcel Bestebroer

Class

TJclExceptFrame Class


TJclExceptFrameList Class

Properties	Methods	See Also	Legend

List of except frame item.

Pascal

TJclExceptFrameList = class(TJclStackBaseList);

Description

TJclExceptFrameList holds a list of except frame items.

Donator

Marcel Bestebroer

Group

Except frame info routines

Legend

read only

Constructor

protected

Unit

JclDebug


TJclExceptFrameList Class Properties

TJclExceptFrameList Class	Legend

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation

TJclExceptFrameList Class

IgnoreLevels

Number of levels to ignore on tracing.

 Items

Reference to the except frame objects.


Legend

read only


TJclExceptFrameList Class Methods

TJclExceptFrameList Class	Legend

Methods

 Create

TJclExceptFrameList Class

 AddFrame

 Create

Instantiates an except frame list object.

TraceExceptionFrames

Traces the except frames.


Legend

Constructor

protected


Legend

TJclExceptFrameList Class

Legend

read only

Constructor

protected


TJclExceptFrameList Class Members

TJclExceptFrameList Class	Legend

Members

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation

TJclExceptFrameList Class

IgnoreLevels

Number of levels to ignore on tracing.

 Items

Reference to the except frame objects.

Methods

 Create

TJclExceptFrameList Class

 AddFrame

 Create

Instantiates an except frame list object.

TraceExceptionFrames

Traces the except frames.


Legend

read only

Constructor

protected


See Also

TJclExceptFrame


TJclExceptFrameList.IgnoreLevels Property

TJclExceptFrameList Class

Number of levels to ignore on tracing.

Pascal

property IgnoreLevels: Integer;

Description

IgnoreLevels shows the number of levels ignored on the last trace or sets the number of levels to ignore on the next trace.

Donator

Marcel Bestebroer

Class

TJclExceptFrameList Class


TJclExceptFrameList.Items Property

TJclExceptFrameList Class

Reference to the except frame objects.

Pascal

property Items [Index: Integer]: TJclExceptFrame;

Description

Items is a reference to the list of except frame object found during the last trace.

Donator

Marcel Bestebroer

Class

TJclExceptFrameList Class


TJclExceptFrameList.AddFrame Method

TJclExceptFrameList Class

function AddFrame(AFrame: PExcFrame): TJclExceptFrame;

Class

TJclExceptFrameList Class


TJclExceptFrameList.Create Constructor

TJclExceptFrameList Class

Instantiates an except frame list object.

Pascal

constructor Create(AIgnoreLevels: Integer);

Description

Create instantiates an except frame list object, set's an initial value for the IgnoreLevels-property and starts the trace by calling TraceExceptionFrames.

Parameters

AIgnoreLevels: Integer

Number of levels to ignore on tracing.

Donator

Marcel Bestebroer

Class

TJclExceptFrameList Class


TJclExceptFrameList.TraceExceptionFrames Method

TJclExceptFrameList Class

Traces the except frames.

Pascal

procedure TraceExceptionFrames;

Description

TraceExceptionFrames clears the current list and traces the except frames stack.

Donator

Marcel Bestebroer

Class

TJclExceptFrameList Class


JclCreateExceptFrameList Function

Creates an exception frame list.

Pascal

function JclCreateExceptFrameList(AIgnoreLevels: Integer): TJclExceptFrameList;

Description

JclCreateExceptFrameList creates a list of all try...except and / or try...finally frames currently set. The resulting TJclExceptFrameList is also stored internally and can be obtained again by calling JclLastExceptFrameList.

Parameters

AIgnoreLevels: Integer

Number of levels to ignore. This is useful to strip-out any try...except/finally blocks in the currently executing routine.

Return Value

A reference to the exception frame list.

Notes

Do not free this object, it's freed internally when a new one needs to be created.

Donator

Marcel Bestebroer

Group

Except frame info routines

Unit

JclDebug


JclLastExceptFrameList Function

Retreives the last generated except frame list.

Pascal

function JclLastExceptFrameList: TJclExceptFrameList;

Description

JclLastExceptFrameList retreives the last generated except frame list by a call through JclCreateExceptFrameList. Note that JclCreateExceptFrameList also get's called when an exception occurs and the global variable ExceptionFrameTrackingEnable is set to True.

Return Value

A reference to the last generated exception frame list.

Notes

Do not free this object, it's freed internally when a new one needs to be created.

Donator

Marcel Bestebroer

Group

Except frame info routines

Unit

JclDebug


Exception hooking

Debugging

Topics

ExceptNotifyProc

Exception notify routine place holder.

ExceptNotifyMethod

Exception notify method place holder.

StackTrackingEnable

Stack tracking enabled for hooked exceptions.

RawStackTracking

Raw tack tracking enabled for hooked exceptions.

ExceptionFrameTrackingEnable

Except frame tracking enabled for hooked exceptions.

TrackAllModules

Track all modules or Borland modules only.

Functions

JclHookExceptions

Enables exception hooking.

JclUnhookExceptions

Disables exception hooking.

JclExceptionsHooked

Determines if exceptions are hooked.

Types

TJclExceptNotifyProc

Exception notify procedure type.

TJclExceptNotifyMethod

Exception notify method type.


Exception hooking Types

Exception hooking

Types

TJclExceptNotifyProc

Exception notify procedure type.

TJclExceptNotifyMethod

Exception notify method type.


Exception hooking Functions

Exception hooking

Functions

JclHookExceptions

Enables exception hooking.

JclUnhookExceptions

Disables exception hooking.

JclExceptionsHooked

Determines if exceptions are hooked.


Topics

Exception hooking

Topics

ExceptNotifyProc

Exception notify routine place holder.

ExceptNotifyMethod

Exception notify method place holder.

StackTrackingEnable

Stack tracking enabled for hooked exceptions.

RawStackTracking

Raw tack tracking enabled for hooked exceptions.

ExceptionFrameTrackingEnable

Except frame tracking enabled for hooked exceptions.

TrackAllModules

Track all modules or Borland modules only.


TJclExceptNotifyProc Type

See Also

Exception notify procedure type.

Pascal

TJclExceptNotifyProc = procedure (ExceptObj: TObject; ExceptAddr: Pointer; OSException: Boolean);

Description

TJclExceptNotifyProc is the exception notify procedure type.

Parameters

ExceptObj

Exception object

ExceptAddr

Address where exception occured

OSException

If the exception occured outside of any Borland module, this parameter is True, otherwise it is False.

Donator

Hallvard Vassbotn

Group

Exception hooking

Unit

JclHookExcept


See Also

TJclExceptNotifyMethod ExceptNotifyProc ExceptNotifyMethod


TJclExceptNotifyMethod Type

See Also

Exception notify method type.

Pascal

TJclExceptNotifyMethod = procedure (ExceptObj: TObject; ExceptAddr: Pointer; OSException: Boolean) of object;

Description

TJclExceptNotifyMethod is the exception notify method type.

Parameters

ExceptObj

Exception object

ExceptAddr

Address where exception occured

OSException

If the exception occured outside of any Borland module, this parameter is True, otherwise it is False.

Donator

Marcel Bestebroer

Group

Exception hooking

Unit

JclHookExcept


See Also

TJclExceptNotifyProc ExceptNotifyProc ExceptNotifyMethod


JclHookExceptions Function

See Also

Enables exception hooking.

Pascal

function JclHookExceptions: Boolean;

Description

JclHookExceptions enables exception hooking. After a succesful call, all exceptions will be routed through an internal handler first. Note that to actually get notified of exceptions you should set at least one of the notify event variables to your own handler. Additionally you can also enable stack tracking and / or except frame tracking to occur automatically on any exception.

Return Value

If the hook was succesful, the function returns True, otherwise it returns False.

Donator

Hallvard Vassbotn

Group

Exception hooking

Unit

JclHookExcept


See Also

JclUnhookExceptions JclExceptionsHooked ExceptNotifyProc ExceptNotifyMethod ExceptionFrameTrackingEnable


JclUnhookExceptions Function

See Also

Disables exception hooking.

Pascal

function JclUnhookExceptions: Boolean;

Description

JclUnhookExceptions disables the exception hooking.

Return Value

If exceptions where hooked and the function succeeded in unhooking them, the function returns True, otherwise it returns False.

Donator

Hallvard Vassbotn

Group

Exception hooking

Unit

JclHookExcept


See Also

JclHookExceptions JclExceptionsHooked ExceptNotifyProc ExceptNotifyMethod ExceptionFrameTrackingEnable


JclExceptionsHooked Function

See Also

Determines if exceptions are hooked.

Pascal

function JclExceptionsHooked: Boolean;

Description

JclExceptionsHooked determines if exceptions are currently hooked.

Return Value

If exceptions are hooked, the function returns True, otherwise it returns False.

Donator

Hallvard Vassbotn

Group

Exception hooking

Unit

JclHookExcept


See Also

JclHookExceptions JclUnhookExceptions ExceptNotifyProc ExceptNotifyMethod ExceptionFrameTrackingEnable


ExceptNotifyProc

See Also

Exception notify routine place holder.

Description

ExceptNotifyProc is a procedural type variable pointing to a notifier routine which gets called when an exception occurs and exceptions are hooked through a previous call to JclHookExceptions.

Donator

Hallvard Vassbotn

Group

Exception hooking


See Also

JclHookExceptions JclUnhookExceptions JclExceptionsHooked ExceptNotifyMethod ExceptionFrameTrackingEnable


ExceptNotifyMethod

See Also

Exception notify method place holder.

Description

ExceptNotifyMethod is a procedural type variable pointing to a notifier method which gets called when an exception occurs and exceptions are hooked through a previous call to JclHookExceptions.

Donator

Marcel Bestebroer

Group

Exception hooking


See Also

JclHookExceptions JclUnhookExceptions JclExceptionsHooked ExceptNotifyProc ExceptionFrameTrackingEnable


StackTrackingEnable

See Also

Stack tracking enabled for hooked exceptions.

Description

StackTrackingEnable is a flag that enables or disables automatic stack tracking when exception hooking is on.

Donator

Hallvard Vassbotn

Group

Exception hooking


See Also

ExceptionFrameTrackingEnable RawStackTracking JclHookExceptions JclUnhookExceptions JclExceptionsHooked


RawStackTracking

See Also

Raw tack tracking enabled for hooked exceptions.

Description

RawStackTracking is a flag that enables or disables raw stack tracking when exception hooking is on and stack tracking is enabled.

Donator

Hallvard Vassbotn

Group

Exception hooking


See Also

StackTrackingEnable JclHookExceptions JclUnhookExceptions JclExceptionsHooked


ExceptionFrameTrackingEnable

See Also

Except frame tracking enabled for hooked exceptions.

Description

ExceptionFrameTrackingEnable is a flag that enables or disables exception frame tracking when exception hooking is on.

Donator

Marcel Bestebroer

Group

Exception hooking


See Also

JclHookExceptions JclUnhookExceptions JclExceptionsHooked ExceptNotifyProc ExceptNotifyMethod StackTrackingEnable


TrackAllModules

Track all modules or Borland modules only.

Description

TrackAllModules is a flag that enables or disables tracking of all modules when exception hooking is on and stack tracking is enabled. When set to True all modules are reported in the stack list, otherwise only addresses that are within a Borland module are reported.

Donator

Petr Vones

Group

Exception hooking


Helpers

Debugging

Functions

InsertDebugDataIntoExecutableFile

Insert binary debug data into an executable.


Helpers Functions

Helpers

Functions

InsertDebugDataIntoExecutableFile

Insert binary debug data into an executable.


InsertDebugDataIntoExecutableFile Function

Insert binary debug data into an executable.

Pascal

function InsertDebugDataIntoExecutableFile(ExecutableFileName: PChar; MapFileName: PChar; var MapFileSize: Integer; var JclDebugDataSize: Integer): Boolean; overload;
function InsertDebugDataIntoExecutableFile(const ExecutableFileName: TFileName; const MapFileName: TFileName; var LinkerBugUnit: string; var MapFileSize: Integer; var JclDebugDataSize: Integer): Boolean; overload;
function InsertDebugDataIntoExecutableFile(const ExecutableFileName: TFileName; const MapFileName: TFileName; var LinkerBugUnit: string; var MapFileSize: Integer; var JclDebugDataSize: Integer; var LineNumberErrors: Integer): Boolean; overload;
function InsertDebugDataIntoExecutableFile(const ExecutableFileName: TFileName; BinDebug: TJclBinDebugGenerator; var LinkerBugUnit: string; var MapFileSize: Integer; var JclDebugDataSize: Integer): Boolean; overload;
function InsertDebugDataIntoExecutableFile(const ExecutableFileName: TFileName; BinDebug: TJclBinDebugGenerator; var LinkerBugUnit: string; var MapFileSize: Integer; var JclDebugDataSize: Integer; var LineNumberErrors: Integer): Boolean; overload;

Description

InsertDebugDataIntoExecutableFile inserts binary debug data as a resource into the executable. With the first overloaded method you can specify a linker map file while the second overloaded method allow you to specify a binary debug generator. When the insertion succeeded True will be returned, otherwise False is returned.

Parameters

ExecutableFileName: PChar

File name of executable you want the debug data to be inserted in.

MapFileName: PChar

Name of the map file to convert to binary debug data.

var MapFileSize: Integer

Variable where the size of the linker map file will be stored.

var JclDebugDataSize: Integer

Variable where the size of the binary debug data will be stored.

var LinkerBugUnit: string

Variable where the name of the unit where the linker bug was first encountered should be stored. If there was no linker bug present, this variable will be set to empty.

BinDebug: TJclBinDebugGenerator

The binary debug data generator.

Return Value

If the binary debug data was succesfully inserted into the executable the function returns True, otherwise it returns False. In addition to the function result, it will also return the unit for the linker bug (if any found), the map file size and the binary debug data size.

Donator

Petr Vones

Group

Helpers

Unit

JclDebug


Miscellanuous

Debugging

Functions

IsHandleValid

Tests whether a handle is valid.

IsDebuggerAttached

Determines whether the calling process is running under the context of a debugger.

EnableCrashOnCtrlScroll

Enables manually crashing Windows.


Miscellanuous Functions

Miscellanuous

Functions

IsHandleValid

Tests whether a handle is valid.

IsDebuggerAttached

Determines whether the calling process is running under the context of a debugger.

EnableCrashOnCtrlScroll

Enables manually crashing Windows.


IsHandleValid Function

Tests whether a handle is valid.

Pascal

function IsHandleValid(Handle: THandle): Boolean;

Description

The IsHandleValid determines whether a handle is valid. The handle can point to any kind of Win32 object such as a file, mutex or console screen buffer. Note that the result of this function is only an indication of whether the handle points to a valid object. Since handles are reused by Win32 it is possible that the handle actually points to a different object than you thought. More reason to always set handles to 0 or INVALID_HANDLE_VALUE immediately after you close it.

Parameters

Handle: THandle

The handle to test for validity.

Return Value

If the specified handle is valid the function returns True. If the specified handle is invalid the function returns False.

Donator

Marcel van Brakel

Group

Miscellanuous

Unit

JclDebug


IsDebuggerAttached Function

Determines whether the calling process is running under the context of a debugger.

Pascal

function IsDebuggerAttached: Boolean;

Description

The IsDebuggerAttached function determines whether the calling process is running under the context of a debugger. Unlike the IsDebuggerPresent API function, this one also functions correctly under Windows 95.

Return Value

If the current process is running in the context of a debugger, the return value is True. If the current process is not running in the context of a debugger, the return value is False.

Donator

Petr Vones

Group

Miscellanuous

Unit

JclDebug


EnableCrashOnCtrlScroll Function

Enables manually crashing Windows.

Pascal

function EnableCrashOnCtrlScroll(const Enable: Boolean): Boolean;

Description

EnableCrashOnCtrlScroll enables crashing Windows 2000 using the keyboard. After this has been enabled you can bugcheck Windows 2000 by holding down the right control key and pressing the scroll key twice. On the second press Windows will bugcheck with code 0x000000E2. Note that this function simply modifies a registry entry, to actually enable this 'feature' you must reboot first.

Parameters

const Enable: Boolean

If set to True the crash on ctrl scroll 'feature' is enabled, if set to False it is disabled.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

Miscellanuous

Unit

JclDebug


Source Locations

Legend

Debugging

Topics

Binary Debug Data

Map Parsers

Classes

TJclDebugInfoSource

Debug info location item.

TJclDebugInfoList

Holds a list of debug info items

TJclDebugInfoMap

Debug info location item for text-base map files.

TJclDebugInfoBinary

Debug info location item for Jcl binary debug data.

TJclDebugInfoExports

Debug info location item for Borland export header.

Functions

GetLocationInfo

Returns location info given an address.

DebugInfoAvailable

Determines if debug info for a module is available.

ModuleFromAddr

Returns the module handle for an address.

IsSystemModule

Determines if a module belongs to the current application

Caller

Returns the address of a calling routine.

GetLocationInfoStr

Returns location info in a formatted string, given an address.

ClearLocationData

Clears the list of debug information items.

__FILE__

Returns the name of the file.

__MODULE__

Returns the name of the unit in which a routine resides.

__PROC__

Returns the name of the routine at a specified level.

__LINE__

Returns the line number in the source code file at which a routine is executing.

__MAP__

Returns the file name, unit name, procedure name and line number at which a routine is executing.

__FILE_OF_ADDR__

Returns the filename for an address.

__MODULE_OF_ADDR__

Returns the module name for an address.

__PROC_OF_ADDR__

Returns the procedure name for an address.

__LINE_OF_ADDR__

Returns the line number given an address.

__MAP_OF_ADDR__

Returns the file name, unit name, procedure name and line number given an address.

FileByLevel

Returns the name of the file.

ModuleByLevel

Returns the name of the unit in which a routine resides.

ProcByLevel

Returns the name of the routine at a specified level.

LineByLevel

Returns the line number in the source code file at which a routine is executing.

MapByLevel

Returns the file name, unit name, procedure name and line number at which a routine is executing.

FileOfAddr

Returns the filename for an address.

ModuleOfAddr

Returns the module name for an address.

ProcOfAddr

Returns the procedure name for an address.

LineOfAddr

Returns the line number given an address.

MapOfAddr

Returns the file name, unit name, procedure name and line number given an address.

ExtractClassName

Extracts the class name from a procedure name.

ExtractMethodName

Extracts the method name from a procedure name.

Records

 TJclLocationInfo

Location info structure

Legend

Record


Source Locations Functions

Source Locations

Functions

GetLocationInfo

Returns location info given an address.

DebugInfoAvailable

Determines if debug info for a module is available.

ModuleFromAddr

Returns the module handle for an address.

IsSystemModule

Determines if a module belongs to the current application

Caller

Returns the address of a calling routine.

GetLocationInfoStr

Returns location info in a formatted string, given an address.

ClearLocationData

Clears the list of debug information items.

__FILE__

Returns the name of the file.

__MODULE__

Returns the name of the unit in which a routine resides.

__PROC__

Returns the name of the routine at a specified level.

__LINE__

Returns the line number in the source code file at which a routine is executing.

__MAP__

Returns the file name, unit name, procedure name and line number at which a routine is executing.

__FILE_OF_ADDR__

Returns the filename for an address.

__MODULE_OF_ADDR__

Returns the module name for an address.

__PROC_OF_ADDR__

Returns the procedure name for an address.

__LINE_OF_ADDR__

Returns the line number given an address.

__MAP_OF_ADDR__

Returns the file name, unit name, procedure name and line number given an address.

FileByLevel

Returns the name of the file.

ModuleByLevel

Returns the name of the unit in which a routine resides.

ProcByLevel

Returns the name of the routine at a specified level.

LineByLevel

Returns the line number in the source code file at which a routine is executing.

MapByLevel

Returns the file name, unit name, procedure name and line number at which a routine is executing.

FileOfAddr

Returns the filename for an address.

ModuleOfAddr

Returns the module name for an address.

ProcOfAddr

Returns the procedure name for an address.

LineOfAddr

Returns the line number given an address.

MapOfAddr

Returns the file name, unit name, procedure name and line number given an address.

ExtractClassName

Extracts the class name from a procedure name.

ExtractMethodName

Extracts the method name from a procedure name.


Source Locations Records

Source Locations	Legend

Records

 TJclLocationInfo

Location info structure


Legend

Record


Source Locations Classes

Source Locations

Classes

TJclDebugInfoSource

Debug info location item.

TJclDebugInfoList

Holds a list of debug info items

TJclDebugInfoMap

Debug info location item for text-base map files.

TJclDebugInfoBinary

Debug info location item for Jcl binary debug data.

TJclDebugInfoExports

Debug info location item for Borland export header.


Topics

Source Locations

Topics

Binary Debug Data

Map Parsers


Legend

Source Locations

Legend

Record


GetLocationInfo Function

Returns location info given an address.

Pascal

function GetLocationInfo(const Addr: Pointer): TJclLocationInfo; overload;
function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; overload;

Description

GetLocationInfo returns a TJclLocationInfo structure for the specified address.

Parameters

const Addr: Pointer

Addres to obtain information on.

Return Value

This function returns a TJclLocationInfo record filled with any information it could find.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


TJclLocationInfo Record

Location info structure

Pascal

TJclLocationInfo = record
  Address: Pointer;
  UnitName: string;
  ProcedureName: string;
  OffsetFromProcName: Integer;
  LineNumber: Integer;
  OffsetFromLineNumber: Integer;
  SourceName: string;
  DebugInfo: TJclDebugInfoSource;
end;

Description

TJclLocationInfo is the structure returned in various routines and methods that request location info for a specific address.

Address: Pointer;

Nearest address of the request.

UnitName: string;

Name of the Delphi unit the address is located in.

ProcedureName: string;

Name of the procedure for the address.

LineNumber: Integer;

Line-number for the address.

SourceName: string;

Name of the source file for the address.

DebugInfo: TJclDebugInfoSource;

Other usefull information for the address. See TJclDebugInfoSource for more information.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


TJclDebugInfoSource Class

Properties	Methods	Legend

Debug info location item.

Pascal

TJclDebugInfoSource = class(TObject);

Description

TJclDebugInfoSource is an abstract base class to hold location information. Instances of descendants are created by the TJclDebugInfoList-object.

Descendants should override the InitializeSource and GetLocationInfo methods.

Donator

Petr Vones

Group

Source Locations

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugInfoSource Class Properties

TJclDebugInfoSource Class	Legend

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.


Legend

read only


TJclDebugInfoSource Class Methods

TJclDebugInfoSource Class	Legend

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr


Legend

Constructor

protected


Legend

TJclDebugInfoSource Class

Legend

read only

Constructor

protected


TJclDebugInfoSource Class Members

TJclDebugInfoSource Class	Legend

Members

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr


Legend

read only

Constructor

protected


TJclDebugInfoSource.FileName Property

TJclDebugInfoSource Class

File name for the module referenced by this object.

Pascal

property FileName: TFileName;

Description

FileName holds the file name of the module this instance has been created for.

Donator

Petr Vones

Class

TJclDebugInfoSource Class


TJclDebugInfoSource.Module Property

TJclDebugInfoSource Class

Module referenced by this object.

Pascal

property Module: HMODULE;

Description

Module holds the module handle this instance has been created for.

Donator

Petr Vones

Class

TJclDebugInfoSource Class


TJclDebugInfoSource.Create Constructor

TJclDebugInfoSource Class

Instantiates a DebugInfoSource object.

Pascal

constructor Create(AModule: HMODULE); virtual;

Description

Create instantiates a TJclDebugInfoSource object and links it to a specific module. TJclDebugInfoSource is an abstract base class and you should never instantiate a TJclDebugSource directly, but rather a descendant.

Parameters

AModule: HMODULE

Module handle to create debug info for.

Donator

Petr Vones

Class

TJclDebugInfoSource Class


TJclDebugInfoSource.GetLocationInfo Method

TJclDebugInfoSource Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; virtual; abstract;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

const Addr: Pointer

Address to get information on

var Info: TJclLocationInfo

Structure that holds information on the address, if address belongs to this object

Return Value

If the specified address exists within the module represented by this object the function returns True and Info will hold the information for the specified address. If the address does not exist within the module, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoSource Class


TJclDebugInfoSource.InitializeSource Method

TJclDebugInfoSource Class

Initializes the object.

Pascal

function InitializeSource: Boolean; virtual; abstract;

Description

InitializeSource initializes the object.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclDebugInfoSource Class


TJclDebugInfoSource.VAFromAddr Method

TJclDebugInfoSource Class

function VAFromAddr(const Addr: Pointer): DWORD; virtual;

Class

TJclDebugInfoSource Class


TJclDebugInfoList Class

Properties	Methods	Legend

Holds a list of debug info items

Pascal

TJclDebugInfoList = class(TObjectList);

Description

TJclDebugInfoList holds a list of TJclDebugInfoSource items requested. Items are created when needed, not when the list is created.

Donator

Petr Vones

Group

Source Locations

Legend

read only

protected

Unit

JclDebug


TJclDebugInfoList Class Properties

TJclDebugInfoList Class	Legend

Properties

 ItemFromModule

Gets a DebugInfo item for the specified module.

 Items

Returns the debug info item at the specified index


Legend

read only


TJclDebugInfoList Class Methods

TJclDebugInfoList Class	Legend

Methods

 CreateDebugInfo

Creates a TJclDebugInfoSource descendant for a module

GetLocationInfo

Retreives information on a specified address.


Legend

protected


Legend

TJclDebugInfoList Class

Legend

read only

protected


TJclDebugInfoList Class Members

TJclDebugInfoList Class	Legend

Members

Properties

 ItemFromModule

Gets a DebugInfo item for the specified module.

 Items

Returns the debug info item at the specified index

Methods

 CreateDebugInfo

Creates a TJclDebugInfoSource descendant for a module

GetLocationInfo

Retreives information on a specified address.


Legend

read only

protected


TJclDebugInfoList.ItemFromModule Property

TJclDebugInfoList Class

Gets a DebugInfo item for the specified module.

Pascal

property ItemFromModule [const Module: HMODULE]: TJclDebugInfoSource;

Description

ItemFromModule returns a TJclDebugInfoSource-item for the specified module. If the item hasn't been created, it will try to do so.

Donator

Petr Vones

Class

TJclDebugInfoList Class


TJclDebugInfoList.Items Property

TJclDebugInfoList Class

Returns the debug info item at the specified index

Pascal

property Items [Index: Integer]: TJclDebugInfoSource;

Description

Items returns the TJclDebugInfoSource-item at the specified index.

Donator

Petr Vones

Class

TJclDebugInfoList Class


TJclDebugInfoList.CreateDebugInfo Method

TJclDebugInfoList Class

Creates a TJclDebugInfoSource descendant for a module

Pascal

function CreateDebugInfo(const Module: HMODULE): TJclDebugInfoSource;

Description

CreateDebugInfo will atempt to create a TJclDebugInfoSource for the given module and initializes it. The method tries to obtain the following types in order:

Text-based map file

Jcl Binary debug data resource

Borland exports header

If initialization failed for all supported types nil will be returned, otherwise it will return the first that initialized correctly.

Parameters

const Module: HMODULE

Module handle to create debug info for.

Return Value

If debug info could be obtained for the specified module, a TJclDebugInfoSource descendant will be returned, otherwise it returns nil.

Donator

Petr Vones

Class

TJclDebugInfoList Class


TJclDebugInfoList.GetLocationInfo Method

TJclDebugInfoList Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

const Addr: Pointer

Address to get information on

var Info: TJclLocationInfo

Structure that holds information on the address, if address belongs to any module in the current process.

Return Value

If the specified address exists within the curent process the function returns True and Info will hold the information for the specified address. If the address does not exist within the current process, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoList Class


DebugInfoAvailable Function

Determines if debug info for a module is available.

Pascal

function DebugInfoAvailable(const Module: HMODULE): Boolean;

Description

DebugInfoAvailable checks if the specified module has debug information.

Parameters

const Module: HMODULE

Handle of module to check for debug information.

Return Value

If the specified module has debug information the function returns True, otherwise False will be returned.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


TJclDebugInfoMap Class

Properties	Methods	Legend

Debug info location item for text-base map files.

Pascal

TJclDebugInfoMap = class(TJclDebugInfoSource);

Description

TJclDebugInfoMap is the class to hold location information by scanning a text-based map file. It uses a TJclMapScanner object to do so.

Donator

Petr Vones

Group

Source Locations

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugInfoMap Class Properties

TJclDebugInfoMap Class	Legend

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.


Legend

read only


TJclDebugInfoMap Class Methods

TJclDebugInfoMap Class	Legend

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoMap Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

Constructor

protected


Legend

TJclDebugInfoMap Class

Legend

read only

Constructor

protected


TJclDebugInfoMap Class Members

TJclDebugInfoMap Class	Legend

Members

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoMap Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

read only

Constructor

protected


TJclDebugInfoMap.Destroy Destructor

TJclDebugInfoMap Class

destructor Destroy; override;

Class

TJclDebugInfoMap Class


TJclDebugInfoMap.GetLocationInfo Method

TJclDebugInfoMap Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; override;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

Addr

Address to get information on

Info

Structure that holds information on the address, if address belongs to this object

Return Value

If the specified address exists within the module represented by this object the function returns True and Info will hold the information for the specified address. If the address does not exist within the module, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoMap Class


TJclDebugInfoMap.InitializeSource Method

TJclDebugInfoMap Class

Initializes the object.

Pascal

function InitializeSource: Boolean; override;

Description

InitializeSource initializes the object.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclDebugInfoMap Class


TJclDebugInfoBinary Class

Properties	Methods	Legend

Debug info location item for Jcl binary debug data.

Pascal

TJclDebugInfoBinary = class(TJclDebugInfoSource);

Description

TJclDebugInfoBinary is the class to hold location information by scanning a Jcl binary debug data resource. It uses a TJclBinDebugScanner object to do so.

Donator

Petr Vones

Group

Source Locations

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugInfoBinary Class Properties

TJclDebugInfoBinary Class	Legend

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.


Legend

read only


TJclDebugInfoBinary Class Methods

TJclDebugInfoBinary Class	Legend

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoBinary Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

Constructor

protected


Legend

TJclDebugInfoBinary Class

Legend

read only

Constructor

protected


TJclDebugInfoBinary Class Members

TJclDebugInfoBinary Class	Legend

Members

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoBinary Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

read only

Constructor

protected


TJclDebugInfoBinary.Destroy Destructor

TJclDebugInfoBinary Class

destructor Destroy; override;

Class

TJclDebugInfoBinary Class


TJclDebugInfoBinary.GetLocationInfo Method

TJclDebugInfoBinary Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; override;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

Addr

Address to get information on

Info

Structure that holds information on the address, if address belongs to this object

Return Value

If the specified address exists within the module represented by this object the function returns True and Info will hold the information for the specified address. If the address does not exist within the module, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoBinary Class


TJclDebugInfoBinary.InitializeSource Method

TJclDebugInfoBinary Class

Initializes the object.

Pascal

function InitializeSource: Boolean; override;

Description

InitializeSource initializes the object.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclDebugInfoBinary Class


TJclDebugInfoExports Class

Properties	Methods	Legend

Debug info location item for Borland export header.

Pascal

TJclDebugInfoExports = class(TJclDebugInfoSource);

Description

TJclDebugInfoExports is the class to hold location information by scanning a Borland export header for the PE-image. It uses a TJclPeBorImage object to do so.

Donator

Petr Vones

Group

Source Locations

Legend

read only

Constructor

protected

Unit

JclDebug


TJclDebugInfoExports Class Properties

TJclDebugInfoExports Class	Legend

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.


Legend

read only


TJclDebugInfoExports Class Methods

TJclDebugInfoExports Class	Legend

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoExports Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

Constructor

protected


Legend

TJclDebugInfoExports Class

Legend

read only

Constructor

protected


TJclDebugInfoExports Class Members

TJclDebugInfoExports Class	Legend

Members

Properties

 FileName

File name for the module referenced by this object.

 Module

Module referenced by this object.

Methods

 Create

Instantiates a DebugInfoSource object.

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.

 VAFromAddr

TJclDebugInfoExports Class

 Destroy

GetLocationInfo

Retreives information on a specified address.

 InitializeSource

Initializes the object.


Legend

read only

Constructor

protected


TJclDebugInfoExports.Destroy Destructor

TJclDebugInfoExports Class

destructor Destroy; override;

Class

TJclDebugInfoExports Class


TJclDebugInfoExports.GetLocationInfo Method

TJclDebugInfoExports Class

Retreives information on a specified address.

Pascal

function GetLocationInfo(const Addr: Pointer; var Info: TJclLocationInfo): Boolean; override;

Description

GetLocationInfo retreives information for the address specified by the Addr parameter and returns it through the Info parameter.

Parameters

Addr

Address to get information on

Info

Structure that holds information on the address, if address belongs to this object

Return Value

If the specified address exists within the module represented by this object the function returns True and Info will hold the information for the specified address. If the address does not exist within the module, the function returns False.

Donator

Petr Vones

Class

TJclDebugInfoExports Class


TJclDebugInfoExports.InitializeSource Method

TJclDebugInfoExports Class

Initializes the object.

Pascal

function InitializeSource: Boolean; override;

Description

InitializeSource initializes the object.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclDebugInfoExports Class


ModuleFromAddr Function

Returns the module handle for an address.

Pascal

function ModuleFromAddr(const Addr: Pointer): HMODULE;

Parameters

const Addr: Pointer

Address to get the module handle of.

Return Value

If the Addr parameter points to an address in code-segment, it returns the handle of the module at at that address, otherwise it returns 0.

Donator

Petr Vones

Group

Source Locations

Unit

JclSysInfo


IsSystemModule Function

Determines if a module belongs to the current application

Pascal

function IsSystemModule(const Module: HMODULE): Boolean;

Description

IsSystemModule checks if the specified module is part of the current application. It does so by searching the list at LibModuleList (see Delphi Help).

Parameters

const Module: HMODULE

Module handle to check.

Return Value

If the module belongs to the application, the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Source Locations

Unit

JclSysInfo


Caller Function

Returns the address of a calling routine.

Pascal

function Caller(Level: Integer = 0; FastStackWalk: Boolean = False): Pointer;

Description

Caller returns the address of the calling routine at the specified level. Specifying level 0 results in the currently executing routine, level 1 results in the caller of the currently executing routine, level 2 results in the caller of the caller of the, well, you get the picture. The returned address is the address of the instruction at which execution continues when the function(s) return.

Parameters

Level: Integer = 0

The level of the caller for which you want the address. Level 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller and so forth.

Return Value

The address of the instruction of the routine specified by Level at which execution resumes when the function(s) return.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


GetLocationInfoStr Function

Returns location info in a formatted string, given an address.

Pascal

function GetLocationInfoStr(const Addr: Pointer; IncludeModuleName: Boolean = False; IncludeAddressOffset: Boolean = False; IncludeStartProcLineOffset: Boolean = False; IncludeVAdress: Boolean = False): string;

Description

GetLocationInfoStr returns location info in a formatted string. The string is formatted as: [Address] UnitName.ProcedureName (Line linenumber, "source file name" or [Address] {ModuleName} UnitName.ProcedureName (Line linenumber, "source file name", depending on the value of IncludeModuleName parameter.

Parameters

const Addr: Pointer

Address to obtain information on.

IncludeModuleName: Boolean = False

Should the module name be included in the string. If this parameter is set to True, the module name is inserted right after the address.

Return Value

If location info was found, the function returns the formatted info string, otherwise it returns a string formatted as [Address].

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


ClearLocationData Function

Clears the list of debug information items.

Pascal

procedure ClearLocationData;

Description

ClearLocationData clears the list of debug information items created so far. All routines that request location information use this list. If many request for many different modules have been made, this could consume a lot of memory. By clearing the list, the memory is release, but items will be added for any location request made later on.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


__FILE__ Function

See Also

Returns the name of the file.

Pascal

function __FILE__(const Level: Integer = 0): string; deprecated;

Description

__FILE__ returns the name of the source file in which the routine specified by Level exists. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the source file in which it resides. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Filename of the source file in which the routine specified by Level exists.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use FileByLevel instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__MODULE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__MODULE__ Function

See Also

Returns the name of the unit in which a routine resides.

Pascal

function __MODULE__(const Level: Integer = 0): string; deprecated;

Description

__MODULE__ returns the name of the unit in which the routine specified by Level exists. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the module name in which it resides. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Unit name in which the routine specified by Level exists.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use ModuleByLevel instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__PROC__ Function

See Also

Returns the name of the routine at a specified level.

Pascal

function __PROC__(const Level: Integer = 0): string; deprecated;

Description

__PROC__ returns the name of the procedure at the specified Level. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the name. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Name of the routine at the specified level.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use ProcByLevel instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__LINE__ Function

See Also

Returns the line number in the source code file at which a routine is executing.

Pascal

function __LINE__(const Level: Integer = 0): Integer; deprecated;

Description

__LINE__ returns the line number within the source code file at which the routine specified by Level is currently executing. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the line number. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Line number of the routine specified by Level.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use LineByLevel instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__MAP__ Function

See Also

Returns the file name, unit name, procedure name and line number at which a routine is executing.

Pascal

function __MAP__(const Level: Integer; var _File: string; var _Module: string; var _Proc: string; var _Line: Integer): Boolean; deprecated;

Description

__MAP__ combines the __FILE__, __MODULE, __PROC__ and __LINE__ routines into a single call.

Parameters

const Level: Integer

Caller level for which you want to get location information. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

var _File: string

File name of the routine specified by Level

var _Module: string

Unit name of the routine specified by Level

var _Proc: string

Procedure name of the routine specified by Level

var _Line: Integer

Line number of the routine specified by Level

Return Value

Returns True if the information was found, otherwise False.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use MapByLevel instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__FILE_OF_ADDR__ Function

See Also

Returns the filename for an address.

Pascal

function __FILE_OF_ADDR__(const Addr: Pointer): string; deprecated;

Description

__FILE_OF_ADDR__ returns the name of the source code file given an address.

Parameters

const Addr: Pointer

The address for which you want to know the source code file.

Return Value

Name of the source code file in which the specified address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use FileOfAddr instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __MAP__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__MODULE_OF_ADDR__ Function

See Also

Returns the module name for an address.

Pascal

function __MODULE_OF_ADDR__(const Addr: Pointer): string; deprecated;

Description

__MODULE_OF_ADDR__ returns the name of the module given an address.

Parameters

const Addr: Pointer

The address for which you want to know the module name.

Return Value

Name of module in which the specified address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use ModuleOfAddr instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__PROC_OF_ADDR__ Function

See Also

Returns the procedure name for an address.

Pascal

function __PROC_OF_ADDR__(const Addr: Pointer): string; deprecated;

Description

__PROC_OF_ADDR__ returns the name of the procedure given an address.

Parameters

const Addr: Pointer

Address for which you want to know the procedure.

Return Value

Name of the procedure in which Addr is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use ProcOfAddr instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __LINE_OF_ADDR__ __MAP_OF_ADDR__


__LINE_OF_ADDR__ Function

See Also

Returns the line number given an address.

Pascal

function __LINE_OF_ADDR__(const Addr: Pointer): Integer; deprecated;

Description

__LINE_OF_ADDR__ returns the line number in a source code file given an address.

Parameters

const Addr: Pointer

The address for which you want to know the line number.

Return Value

Line number at which the address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use LineOfAddr instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __MAP_OF_ADDR__


__MAP_OF_ADDR__ Function

See Also

Returns the file name, unit name, procedure name and line number given an address.

Pascal

function __MAP_OF_ADDR__(const Addr: Pointer; var _File: string; var _Module: string; var _Proc: string; var _Line: Integer): Boolean; deprecated;

Description

__MAP_OF_ADDR__ combines the __FILE_OF_ADDR__, __MODULE_OF_ADDR__, __PROC_OF_ADDR__ and __LINE_OF_ADDR__ routines into a single call.

Parameters

const Addr: Pointer

The address for which you want to know the location information.

var _File: string

File name of the routine specified by Level

var _Module: string

Unit name of the routine specified by Level

var _Proc: string

Procedure name of the routine specified by Level

var _Line: Integer

Line number of the routine specified by Level

Return Value

Returns True if the information was found, otherwise False.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file. This function is obsolete. Use MapOfAddr instead.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

__FILE__ __MODULE__ __PROC__ __LINE__ __MAP__ __FILE_OF_ADDR__ __MODULE_OF_ADDR__ __PROC_OF_ADDR__ __LINE_OF_ADDR__


FileByLevel Function

See Also

Returns the name of the file.

Pascal

function FileByLevel(const Level: Integer = 0): string;

Description

FileByLevel returns the name of the source file in which the routine specified by Level exists. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the source file in which it resides. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Filename of the source file in which the routine specified by Level exists.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

ModuleByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


ModuleByLevel Function

See Also

Returns the name of the unit in which a routine resides.

Pascal

function ModuleByLevel(const Level: Integer = 0): string;

Description

__MODULE__ returns the name of the unit in which the routine specified by Level exists. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the module name in which it resides. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Unit name in which the routine specified by Level exists.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


ProcByLevel Function

See Also

Returns the name of the routine at a specified level.

Pascal

function ProcByLevel(const Level: Integer = 0): string;

Description

__PROC__ returns the name of the procedure at the specified Level. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the name. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Name of the routine at the specified level.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


LineByLevel Function

See Also

Returns the line number in the source code file at which a routine is executing.

Pascal

function LineByLevel(const Level: Integer = 0): Integer;

Description

__LINE__ returns the line number within the source code file at which the routine specified by Level is currently executing. Level 0 denotes the currently executing routine, 1 denotes the caller of the routine, 2 the caller of the caller, etc.

Parameters

const Level: Integer = 0

Caller level for which you want to know the line number. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

Return Value

Line number of the routine specified by Level.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel MapByLevel FileOFAddr ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


MapByLevel Function

See Also

Returns the file name, unit name, procedure name and line number at which a routine is executing.

Pascal

function MapByLevel(const Level: Integer; var File_: string; var Module_: string; var Proc_: string; var Line_: Integer): Boolean;

Description

MapByLevel combines the FileByLevel, ModuleByLevel, ProcByLevel and LineByLevel routines into a single call.

Parameters

const Level: Integer

Caller level for which you want to get location information. 0 is the currently executing routine, 1 is the caller, 2 is the caller of the caller, etc.

_File

File name of the routine specified by Level

_Module

Unit name of the routine specified by Level

_Proc

Procedure name of the routine specified by Level

_Line

Line number of the routine specified by Level

Return Value

Returns True if the information was found, otherwise False.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel FileOFAddr ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


FileOfAddr Function

See Also

Returns the filename for an address.

Pascal

function FileOfAddr(const Addr: Pointer): string;

Description

FileOfAddr returns the name of the source code file given an address.

Parameters

const Addr: Pointer

The address for which you want to know the source code file.

Return Value

Name of the source code file in which the specified address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel MapByLevel ModuleOfAddr ProcOfAddr LineOfAddr MapOfAddr


ModuleOfAddr Function

See Also

Returns the module name for an address.

Pascal

function ModuleOfAddr(const Addr: Pointer): string;

Description

__MODULE_OF_ADDR__ returns the name of the module given an address.

Parameters

const Addr: Pointer

The address for which you want to know the module name.

Return Value

Name of module in which the specified address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ProcOfAddr LineOfAddr MapOfAddr


ProcOfAddr Function

See Also

Returns the procedure name for an address.

Pascal

function ProcOfAddr(const Addr: Pointer): string;

Description

__PROC_OF_ADDR__ returns the name of the procedure given an address.

Parameters

const Addr: Pointer

Address for which you want to know the procedure.

Return Value

Name of the procedure in which Addr is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr LineOfAddr MapOfAddr


LineOfAddr Function

See Also

Returns the line number given an address.

Pascal

function LineOfAddr(const Addr: Pointer): Integer;

Description

__LINE_OF_ADDR__ returns the line number in a source code file given an address.

Parameters

const Addr: Pointer

The address for which you want to know the line number.

Return Value

Line number at which the address is defined.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr ProcOfAddr MapOfAddr


MapOfAddr Function

See Also

Returns the file name, unit name, procedure name and line number given an address.

Pascal

function MapOfAddr(const Addr: Pointer; var File_: string; var Module_: string; var Proc_: string; var Line_: Integer): Boolean;

Description

__MAP_OF_ADDR__ combines the __FILE_OF_ADDR__, __MODULE_OF_ADDR__, __PROC_OF_ADDR__ and __LINE_OF_ADDR__ routines into a single call.

Parameters

const Addr: Pointer

The address for which you want to know the location information.

_File

File name of the routine specified by Level

_Module

Unit name of the routine specified by Level

_Proc

Procedure name of the routine specified by Level

_Line

Line number of the routine specified by Level

Return Value

Returns True if the information was found, otherwise False.

Notes

Usage of this function requires building the module with a detailed map file. Use the Linker tab in the Project Options dialog to enable creation of a map file.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


See Also

FileByLevel ModuleByLevel ProcByLevel LineByLevel MapByLevel FileOfAddr ModuleOfAddr ProcOfAddr LineOfAddr


ExtractClassName Function

Extracts the class name from a procedure name.

Pascal

function ExtractClassName(const ProcedureName: string): string;

Description

ExtractClassName extracts the class name from the given procedure name (ie. anything before the period). If the procedure name does not contain a class name an empty string will be returned.

Parameters

const ProcedureName: string

Name of a procedure as returned by ProcOfAddr/ProcByLevel or the _Proc parameter of MapByLevel/MapOfAddr

Return Value

If the given procedure name contains a '.', the string before the '.' will be returned, otherwise an empty string is returned.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


ExtractMethodName Function

Extracts the method name from a procedure name.

Pascal

function ExtractMethodName(const ProcedureName: string): string;

Description

ExtractMethodName extracts the method name from the given procedure name (ie. anything after the period). If the procedure name does not contain a class name the entire string is returned.

Parameters

const ProcedureName: string

Name of a procedure as returned by ProcOfAddr/ProcByLevel or the _Proc parameter of MapByLevel/MapOfAddr

Return Value

If the given procedure name contains a '.', the string after the '.' is returned, otherwise the entire string is returned.

Donator

Petr Vones

Group

Source Locations

Unit

JclDebug


Binary Debug Data

Source Locations

Classes

TJclBinDebugGenerator

Generates a binary version of a map file.

TJclBinDebugScanner

Scans a binary version of a map file.

Constants

JclDbgDataSignature

Signature of Jcl Binary Debug Data

JclDbgDataResName

Resource name for binary debug data

JclDbgFileExtension

File extension for a Jcl Binary Debug File

Functions

ConvertMapFileToJdbgFile

Converts a text based MAP file to a Jcl binary debug file.


Binary Debug Data Functions

Binary Debug Data

Functions

ConvertMapFileToJdbgFile

Converts a text based MAP file to a Jcl binary debug file.


Binary Debug Data Constants

Binary Debug Data

Constants

JclDbgDataSignature

Signature of Jcl Binary Debug Data

JclDbgDataResName

Resource name for binary debug data

JclDbgFileExtension

File extension for a Jcl Binary Debug File


Binary Debug Data Classes

Binary Debug Data

Classes

TJclBinDebugGenerator

Generates a binary version of a map file.

TJclBinDebugScanner

Scans a binary version of a map file.


ConvertMapFileToJdbgFile Function

Converts a text based MAP file to a Jcl binary debug file.

Pascal

function ConvertMapFileToJdbgFile(const MapFileName: TFileName): Boolean; overload;
function ConvertMapFileToJdbgFile(const MapFileName: TFileName; var LinkerBugUnit: string; var LineNumberErrors: Integer): Boolean; overload;

Description

ConvertMapFileToJdbgFile convert the specified text based map file to a Jcl binary debug file.

Donator

Petr Vones

Group

Binary Debug Data

Unit

JclDebug


JclDbgDataSignature Constant

Signature of Jcl Binary Debug Data

Pascal

JclDbgDataSignature = $4742444A;

Description

JclDbgDataSignature is the signature of the Jcl Binary Debug Data

Donator

Petr Vones

Group

Binary Debug Data

Unit

JclDebug


JclDbgDataResName Constant

Resource name for binary debug data

Pascal

JclDbgDataResName = 'JCLDEBUG';

Description

JclDbgDataResName is the resource name for Jcl Binary Debug Data.

Donator

Petr Vones

Group

Binary Debug Data

Unit

JclDebug


JclDbgFileExtension Constant

File extension for a Jcl Binary Debug File

Pascal

JclDbgFileExtension = '.jdbg';

Description

JclDbgFileExtension is the extension for Jcl Binary Debug Data File.

Donator

Petr Vones

Group

Binary Debug Data

Unit

JclDebug


TJclBinDebugGenerator Class

Properties	Methods	Legend

Generates a binary version of a map file.

Pascal

TJclBinDebugGenerator = class(TJclMapScanner);

Description

TJclBinDebugGenerator translates the text based map file created by the linker into a smaller, binary version. The result is saved in a memory stream.

Donator

Petr Vones

Group

Binary Debug Data

Fields

 FLastUnitFileName

 FLastUnitName

Legend

protected

read only

Constructor

Unit

JclDebug


TJclBinDebugGenerator Class Fields

TJclBinDebugGenerator Class	Legend

Fields

 FLastUnitFileName

 FLastUnitName


Legend

protected


TJclBinDebugGenerator Class Properties

TJclBinDebugGenerator Class	Legend

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

TJclMapScanner Class

 LineNumberErrors

TJclBinDebugGenerator Class

 DataStream

A memory stream holding the translation result.


Legend

read only


TJclBinDebugGenerator Class Methods

TJclBinDebugGenerator Class	Legend

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapScanner Class

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclMapScanner

LineNumberFromAddr

Returns the line number for an address.

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 Scan

Scans the map file.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

SourceNameFromAddr

Returns the source file name for an address.

TJclBinDebugGenerator Class

CalculateCheckSum

Calculates the checksum of the binary data.

 Create

Creates an instance of TJclBinDebugGenerator

 CreateData

Translates the map file

 Destroy

Destroys an instance of TJclAbstractMapParser


Legend

protected

Constructor


Legend

TJclBinDebugGenerator Class

Legend

protected

read only

Constructor


TJclBinDebugGenerator Class Members

TJclBinDebugGenerator Class	Legend

Members

Fields

 FLastUnitFileName

 FLastUnitName

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

TJclMapScanner Class

 LineNumberErrors

TJclBinDebugGenerator Class

 DataStream

A memory stream holding the translation result.

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapScanner Class

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclMapScanner

LineNumberFromAddr

Returns the line number for an address.

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 Scan

Scans the map file.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

SourceNameFromAddr

Returns the source file name for an address.

TJclBinDebugGenerator Class

CalculateCheckSum

Calculates the checksum of the binary data.

 Create

Creates an instance of TJclBinDebugGenerator

 CreateData

Translates the map file

 Destroy

Destroys an instance of TJclAbstractMapParser


Legend

protected

read only

Constructor


TJclBinDebugGenerator.DataStream Property

TJclBinDebugGenerator Class

A memory stream holding the translation result.

Pascal

property DataStream: TMemoryStream;

Description

DataStream holds the result of the translation.

Donator

Petr Vones

Class

TJclBinDebugGenerator Class


TJclBinDebugGenerator.CalculateCheckSum Method

TJclBinDebugGenerator Class

Calculates the checksum of the binary data.

Pascal

function CalculateCheckSum: Boolean;

Description

CalculateChecksum calculates the checksum of the binary debug data.

Return Value

If the checksum could be calculated the function returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclBinDebugGenerator Class


TJclBinDebugGenerator.Create Constructor

TJclBinDebugGenerator Class

Creates an instance of TJclBinDebugGenerator

Pascal

constructor Create(const MapFileName: TFileName); override;

Description

The Create method instantiates a binary debug generator object. After calling the inherited Create from TJclMapScanner, the CreateData method will be called to convert the text-based map file to a binary version.

Parameters

const MapFileName: TFileName

Name of the map-file to associate with the parser.

Donator

Petr Vones

Class

TJclBinDebugGenerator Class


TJclBinDebugGenerator.CreateData Method

TJclBinDebugGenerator Class

Translates the map file

Pascal

procedure CreateData;

Description

CreateData translates the text based map file into a binary version and stores it in a memorystream, referenced by the DataStream property. CreateData gets called by the Create method automatically.

Literal strings are compressed into a 6-bit character, which results in a compression of 3:4. Furthermore, it doesn't store spaces and integers are stored as integer values (always 4 bytes instead of 8-byte hex-string). This results in a considerable savings on needed space.

Donator

Petr Vones

Class

TJclBinDebugGenerator Class


TJclBinDebugGenerator.Destroy Destructor

TJclBinDebugGenerator Class

Destroys an instance of TJclAbstractMapParser

Pascal

destructor Destroy; override;

Description

Destroy frees up all internal objects before freeing this instance.

Donator

Petr Vones

Class

TJclBinDebugGenerator Class


TJclBinDebugScanner Class

Properties	Methods	Legend

Scans a binary version of a map file.

Pascal

TJclBinDebugScanner = class(TObject);

Description

TJclBinDebugScanner is like the TJclMapScanner except that it scans a binary map file. The binary file can be generated from a text-based map file by instantiating a TJclBinDebugGenerator-object and saving the DataStream to a file.

Donator

Petr Vones

Group

Binary Debug Data

Legend

read only

protected

Constructor

Unit

JclDebug


TJclBinDebugScanner Class Properties

TJclBinDebugScanner Class	Legend

Properties

 ModuleName

 ValidFormat

Flag to check validity of data


Legend

read only


TJclBinDebugScanner Class Methods

TJclBinDebugScanner Class	Legend

Methods

 CacheLineNumbers

 CacheProcNames

 CheckFormat

 Create

Creates an instance of TJclBinDebugScanner

 DataToStr

IsModuleNameValid

Checks if the given filename is a valid name for the module.

LineNumberFromAddr

Returns the line number for an address.

 MakePtr

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 ReadValue

SourceNameFromAddr

Returns the source file name for an address.


Legend

protected

Constructor


Legend

TJclBinDebugScanner Class

Legend

read only

protected

Constructor


TJclBinDebugScanner Class Members

TJclBinDebugScanner Class	Legend

Members

Properties

 ModuleName

 ValidFormat

Flag to check validity of data

Methods

 CacheLineNumbers

 CacheProcNames

 CheckFormat

 Create

Creates an instance of TJclBinDebugScanner

 DataToStr

IsModuleNameValid

Checks if the given filename is a valid name for the module.

LineNumberFromAddr

Returns the line number for an address.

 MakePtr

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 ReadValue

SourceNameFromAddr

Returns the source file name for an address.


Legend

read only

protected

Constructor


TJclBinDebugScanner.ModuleName Property

TJclBinDebugScanner Class

property ModuleName: string;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.ValidFormat Property

TJclBinDebugScanner Class

Flag to check validity of data

Pascal

property ValidFormat: Boolean;

Description

ValidFormat is true if the data in the specified stream is valid binary debug data.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.CacheLineNumbers Method

TJclBinDebugScanner Class

procedure CacheLineNumbers;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.CacheProcNames Method

TJclBinDebugScanner Class

procedure CacheProcNames;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.CheckFormat Method

TJclBinDebugScanner Class

procedure CheckFormat;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.Create Constructor

TJclBinDebugScanner Class

Creates an instance of TJclBinDebugScanner

Pascal

constructor Create(AStream: TCustomMemoryStream; CacheData: Boolean);

Description

The Create method instantiates a binary debug scanner object. After instantiating and assigning the stream, the format is checked. You can use the ValidFormat-property to check if the stream actually contains binary debug data.

Parameters

AStream: TCustomMemoryStream

Stream with binary debug data.

CacheData: Boolean

If set to true, data read from the stream is internally cached.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.DataToStr Method

TJclBinDebugScanner Class

function DataToStr(A: Integer): string;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.IsModuleNameValid Method

TJclBinDebugScanner Class

Checks if the given filename is a valid name for the module.

Pascal

function IsModuleNameValid(const Name: TFileName): Boolean;

Description

IsModuleNameValid checks if the given filename is a valid name for the module.

Parameters

const Name: TFileName

Filename to check

Return Value

If the specified filename belongs to this module the function returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.LineNumberFromAddr Method (DWORD)

See Also	TJclBinDebugScanner Class

Returns the line number for an address.

Pascal

function LineNumberFromAddr(Addr: DWORD): Integer; overload;
function LineNumberFromAddr(Addr: DWORD; var Offset: Integer): Integer; overload;

Description

LineNumberFromAddr returns the line number for the specified address.

Parameters

Addr: DWORD

Address to get line number for.

Return Value

The line number for the specified address.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


See Also

ModuleNameFromAddr ModuleStartFromAddr ProcNameFromAddr SourceNameFromAddr


TJclBinDebugScanner.MakePtr Method

TJclBinDebugScanner Class

function MakePtr(A: Integer): Pointer;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.ModuleNameFromAddr Method

See Also	TJclBinDebugScanner Class

Returns the Delphi unit name for an address.

Pascal

function ModuleNameFromAddr(Addr: DWORD): string;

Description

ModuleNameFromAddr returns the Delphi unit name for the specified address.

Parameters

Addr: DWORD

Address to get unit name for.

Return Value

The Delphi unit name for the specified address.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


See Also

LineNumberFromAddr ModuleStartFromAddr ProcNameFromAddr SourceNameFromAddr


TJclBinDebugScanner.ModuleStartFromAddr Method

See Also	TJclBinDebugScanner Class

Returns the starting address of a module given an address.

Pascal

function ModuleStartFromAddr(Addr: DWORD): DWORD;

Description

ModuleStartFromAddr returns the starting address of the Delphi unit that contains the specified address.

Parameters

Addr: DWORD

Address to get unit start for.

Return Value

The starting address of the Delphi unit that contains the specified address.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ProcNameFromAddr SourceNameFromAddr


TJclBinDebugScanner.ProcNameFromAddr Method (DWORD)

See Also	TJclBinDebugScanner Class

Returns the procedure name for an address.

Pascal

function ProcNameFromAddr(Addr: DWORD): string; overload;
function ProcNameFromAddr(Addr: DWORD; var Offset: Integer): string; overload;

Description

ProcNameFromAddr returns the procedure name for the specified address.

Parameters

Addr: DWORD

Address to get procedure name for.

Return Value

The procedure name for the specified address.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ModuleStartFromAddr SourceNameFromAddr


TJclBinDebugScanner.ReadValue Method

TJclBinDebugScanner Class

function ReadValue(var P: Pointer; var Value: Integer): Boolean;

Class

TJclBinDebugScanner Class


TJclBinDebugScanner.SourceNameFromAddr Method

See Also	TJclBinDebugScanner Class

Returns the source file name for an address.

Pascal

function SourceNameFromAddr(Addr: DWORD): string;

Description

SourceNameFromAddr returns the source-file name for the specified address.

Return Value

The source file name for the specified address.

Donator

Petr Vones

Class

TJclBinDebugScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ModuleStartFromAddr ProcNameFromAddr


Map Parsers

Legend

Source Locations

Classes

TJclAbstractMapParser

Abstract Map parser

TJclMapParser

Generic map file parser

TJclMapScanner

Generic map file parser

Records

 TJclMapAddress

Holds location information.

Types

PJclMapString

A map-file string

Legend

Record


Map Parsers Records

Map Parsers	Legend

Records

 TJclMapAddress

Holds location information.


Legend

Record


Map Parsers Types

Map Parsers

Types

PJclMapString

A map-file string


Map Parsers Classes

Map Parsers

Classes

TJclAbstractMapParser

Abstract Map parser

TJclMapParser

Generic map file parser

TJclMapScanner

Generic map file parser


Legend

Map Parsers

Legend

Record


TJclMapAddress Record

Holds location information.

Pascal

TJclMapAddress = packed record
  Segment: Word;
  Offset: Integer;
end;

Description

TJclMapAddress holds location information in notifiers of the map parsers.

Segment: Word;

Segment number of item.

Offset: Integer;

Offset of item.

Donator

Petr Vones

Group

Map Parsers

Unit

JclDebug


PJclMapString Type

A map-file string

Pascal

PJclMapString = PAnsiChar;

Description

PJclMapString holds a map-file specific string. Use the MapStringToString class function to convert it to a normal string.

Donator

Petr Vones

Group

Map Parsers

Unit

JclDebug


TJclAbstractMapParser Class

Properties	Methods	Legend

Abstract Map parser

Pascal

TJclAbstractMapParser = class(TObject);

Description

TJclAbstractMapParser is an abstract base class for a MAP-file parser.

Donator

Petr Vones

Group

Map Parsers

Fields

 FLastUnitFileName

 FLastUnitName

Legend

protected

read only

Constructor

Unit

JclDebug


TJclAbstractMapParser Class Fields

TJclAbstractMapParser Class	Legend

Fields

 FLastUnitFileName

 FLastUnitName


Legend

protected


TJclAbstractMapParser Class Properties

TJclAbstractMapParser Class	Legend

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file


Legend

read only


TJclAbstractMapParser Class Methods

TJclAbstractMapParser Class	Legend

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)


Legend

protected

Constructor


Legend

TJclAbstractMapParser Class

Legend

protected

read only

Constructor


TJclAbstractMapParser Class Members

TJclAbstractMapParser Class	Legend

Members

Fields

 FLastUnitFileName

 FLastUnitName

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)


Legend

protected

read only

Constructor


TJclAbstractMapParser.FLastUnitFileName Field

TJclAbstractMapParser Class

FLastUnitFileName: PJclMapString;

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.FLastUnitName Field

TJclAbstractMapParser Class

FLastUnitName: PJclMapString;

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.LinkerBug Property

See Also	TJclAbstractMapParser Class

Is the linker bug found in the map

Pascal

property LinkerBug: Boolean;

Description

LinkerBug holds a flag to determine if the linker bug is found in the map file. The bug appears if a unit has >64K of data after the code and another unit follows. The solution is to move the data to a separate unit.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


See Also

LinkerBugUnit


TJclAbstractMapParser.LinkerBugUnitName Property

See Also	TJclAbstractMapParser Class

Unit name of where the linker bug occured.

Pascal

property LinkerBugUnitName: string;

Description

LinkerBugUnit holds the name of the unit containing the linker bug. If there's no linker bug present (ie. LinkerBug = False) LinkerBugUnit is empty.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


See Also

LinkerBug


TJclAbstractMapParser.Stream Property

TJclAbstractMapParser Class

A stream referencing the map file

Pascal

property Stream: TJclFileMappingStream;

Description

Stream holds the a reference to the map file assigned by the Create method.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.ClassTableItem Method

TJclAbstractMapParser Class

Handler for a class item

Pascal

procedure ClassTableItem(const Address: TJclMapAddress; Len: Integer; SectionName: PJclMapString; GroupName: PJclMapString); virtual; abstract;

Description

ClassTableItem is a handler for a class item (eg. CODE, DATA or BSS class) in the map file. It get's called by the Parse method when it finds a class table item.

Parameters

const Address: TJclMapAddress

Address of the class item.

Len: Integer

Length of the class item.

Section name of the class item (eg. ".text").

Class name of the class item (eg. "CODE").

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.Create Constructor

TJclAbstractMapParser Class

Creates an instance of TJclAbstractMapParser

Pascal

constructor Create(const MapFileName: TFileName); virtual;

Description

The Create method instantiates a map-parser object. Since TJclAbstractMapParser is an abstract base class, you should not Create an instance of TJclAbstractMapParser directly, but rather of a descendant.

If the specified file exists, a TJclFileMappingStream will be assigned to the Stream property, referencing the map file.

Parameters

const MapFileName: TFileName

Name of the map-file to associate with the parser.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.Destroy Destructor

TJclAbstractMapParser Class

Destroys an instance of TJclAbstractMapParser

Pascal

destructor Destroy; override;

Description

Destroy frees up all internal objects before freeing this instance.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.LineNumbersItem Method

TJclAbstractMapParser Class

Handler for a line declaration in the lines section.

Pascal

procedure LineNumbersItem(LineNumber: Integer; const Address: TJclMapAddress); virtual; abstract;

Description

LineNumbers is a handler for a line declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

LineNumber: Integer

Line number for the item.

const Address: TJclMapAddress

Starting address for the line number.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.LineNumberUnitItem Method

TJclAbstractMapParser Class

Handler for a unit declaration in the lines section.

Pascal

procedure LineNumberUnitItem(UnitName: PJclMapString; UnitFileName: PJclMapString); virtual; abstract;

Description

LineNumberUnitItem is a handler for a unit declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

UnitName: PJclMapString

Name of the unit.

UnitFileName: PJclMapString

Name of the source file.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.MapStringToFileName Method

TJclAbstractMapParser Class

class function MapStringToFileName(MapString: PJclMapString): string;

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.MapStringToStr Method

TJclAbstractMapParser Class

Translates map file specific strings to a normal string.

Pascal

class function MapStringToStr(MapString: PJclMapString): string;

Description

MapStringToStr translates map file specific strings to a normal string.

If MapString points to an opening bracket, it returns the text starting at the next character up to the closing bracket or a Carriage Return, whichever comes first. If MapString does not point to an opening bracket, it returns the text from the current location up to the next space, a carriage return or a closing bracket.

Parameters

MapString: PJclMapString

String to translate

Return Value

If MapString = nil the function returns an empty string, otherwise it returns translated version of the string.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.Parse Method

TJclAbstractMapParser Class

Parses the map file

Pascal

procedure Parse;

Description

Parse parses the map file specified referenced by the Stream property. It calls different methods for items found in the file. Descendants override these methods to store it in an internal structure.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.PublicsByNameItem Method

TJclAbstractMapParser Class

Handler for a public item in the publics by name section.

Pascal

procedure PublicsByNameItem(const Address: TJclMapAddress; Name: PJclMapString); virtual; abstract;

Description

PublicsByNameItem is a handler for a public item (eg. a procedure) in the "Publics By Name"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Name"-section.

Parameters

const Address: TJclMapAddress

Address of the public item.

Name: PJclMapString

Name of the public item.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.PublicsByValueItem Method

TJclAbstractMapParser Class

Handler for a public item in the publics by value section.

Pascal

procedure PublicsByValueItem(const Address: TJclMapAddress; Name: PJclMapString); virtual; abstract;

Description

PublicsByValueItem is a handler for a public item (eg. a procedure) in the "Publics By Value"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Value"-section.

Parameters

const Address: TJclMapAddress

Address of the public item.

Name: PJclMapString

Name of the public item.

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclAbstractMapParser.SegmentItem Method

TJclAbstractMapParser Class

Handler for a segment item (i.e.. a Delphi unit)

Pascal

procedure SegmentItem(const Address: TJclMapAddress; Len: Integer; GroupName: PJclMapString; UnitName: PJclMapString); virtual; abstract;

Description

SegmentItem is a handler for a segment item (i.e.. a Delphi unit) in the map file. It gets called by the Parse method when it finds a segment item.

Parameters

const Address: TJclMapAddress

Address of the segment item.

Len: Integer

Length of the segment item.

GroupName: PJclMapString

Class name of the segment item (eg. "CODE").

UnitName: PJclMapString

Delphi unit name of the segment item (eg. "System").

Donator

Petr Vones

Class

TJclAbstractMapParser Class


TJclMapParser Class

Properties	Methods	Events	Legend

Generic map file parser

Pascal

TJclMapParser = class(TJclAbstractMapParser);

Description

TJclMapParser is a class for a generic MAP-file parser. Items are reported to the user through event calls.

Donator

Petr Vones

Group

Map Parsers

Events

TJclMapParser Class

OnClassTable

Event handler for a class item.

OnLineNumbers

Event handler for a line declaration in the lines section.

OnLineNumberUnit

Event handler for a unit declaration in the lines section.

OnPublicsByName

Event handler for a public item in the publics by name section.

OnPublicsByValue

Event handler for a public item in the publics by value section.

OnSegment

Event handler for a segment item (i.e.. a Delphi unit)

Fields

 FLastUnitFileName

 FLastUnitName

Legend

protected

read only

Constructor

Unit

JclDebug


TJclMapParser Class Fields

TJclMapParser Class	Legend

Fields

 FLastUnitFileName

 FLastUnitName


Legend

protected


TJclMapParser Class Properties

TJclMapParser Class	Legend

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file


Legend

read only


TJclMapParser Class Methods

TJclMapParser Class	Legend

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapParser Class

 ClassTableItem

Handler for a class item

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)


Legend

protected

Constructor


TJclMapParser Class Events

TJclMapParser Class

Events

TJclMapParser Class

OnClassTable

Event handler for a class item.

OnLineNumbers

Event handler for a line declaration in the lines section.

OnLineNumberUnit

Event handler for a unit declaration in the lines section.

OnPublicsByName

Event handler for a public item in the publics by name section.

OnPublicsByValue

Event handler for a public item in the publics by value section.

OnSegment

Event handler for a segment item (i.e.. a Delphi unit)


Legend

TJclMapParser Class

Legend

protected

read only

Constructor


TJclMapParser Class Members

TJclMapParser Class	Legend

Members

Fields

 FLastUnitFileName

 FLastUnitName

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapParser Class

 ClassTableItem

Handler for a class item

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

Events

TJclMapParser Class

OnClassTable

Event handler for a class item.

OnLineNumbers

Event handler for a line declaration in the lines section.

OnLineNumberUnit

Event handler for a unit declaration in the lines section.

OnPublicsByName

Event handler for a public item in the publics by name section.

OnPublicsByValue

Event handler for a public item in the publics by value section.

OnSegment

Event handler for a segment item (i.e.. a Delphi unit)


Legend

protected

read only

Constructor


TJclMapParser.OnClassTable Event

TJclMapParser Class

Event handler for a class item.

Pascal

property OnClassTable: TJclMapClassTableEvent;

Description

OnClassTable is the event handler for a class item in the map file. It get's called by the ClassTableItem method when the parser finds a class table item.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.OnLineNumbers Event

TJclMapParser Class

Event handler for a line declaration in the lines section.

Pascal

property OnLineNumbers: TJclMapLineNumbersEvent;

Description

OnLineNumbers is the event handler for a line declaration in the lines section of the map file. It gets called by the LineNumbers method when the parser finds a unit declaration in the lines section.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.OnLineNumberUnit Event

TJclMapParser Class

Event handler for a unit declaration in the lines section.

Pascal

property OnLineNumberUnit: TJclMapLineNumberUnitEvent;

Description

OnLineNumberUnit is the event handler for a unit declaration in the lines section of the map file. It gets called by the LineNumberUnitItem method when the parser finds a unit declaration in the lines section.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.OnPublicsByName Event

TJclMapParser Class

Event handler for a public item in the publics by name section.

Pascal

property OnPublicsByName: TJclMapPublicsEvent;

Description

OnPublicsByName is the event handler for a public item (eg. a procedure) in the "Publics By Name"-section of the map file. It gets called by the PublicsByNameItem method when the parser finds a public item in the "Publics By Name"-section.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.OnPublicsByValue Event

TJclMapParser Class

Event handler for a public item in the publics by value section.

Pascal

property OnPublicsByValue: TJclMapPublicsEvent;

Description

OnPublicsByValue is the event handler for a public item (eg. a procedure) in the "Publics By Value"-section of the map file. It gets called by the PublicsByValueItem method when the parser finds a public item in the "Publics By Value"-section.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.OnSegment Event

TJclMapParser Class

Event handler for a segment item (i.e.. a Delphi unit)

Pascal

property OnSegment: TJclMapSegmentEvent;

Description

OnSegment is the event handler for a segment item (i.e.. a Delphi unit) in the map file. It gets called by the SegmentItem method when the parser finds a segment item.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.ClassTableItem Method

TJclMapParser Class

Handler for a class item

Pascal

procedure ClassTableItem(const Address: TJclMapAddress; Len: Integer; SectionName: PJclMapString; GroupName: PJclMapString); override;

Description

ClassTableItem is a handler for a class item (eg. CODE, DATA or BSS class) in the map file. It get's called by the Parse method when it finds a class table item.

Parameters

Address

Address of the class item.

Len

Length of the class item.

Section name of the class item (eg. ".text").

Class name of the class item (eg. "CODE").

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.LineNumbersItem Method

TJclMapParser Class

Handler for a line declaration in the lines section.

Pascal

procedure LineNumbersItem(LineNumber: Integer; const Address: TJclMapAddress); override;

Description

LineNumbers is a handler for a line declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

LineNumber

Line number for the item.

Address

Starting address for the line number.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.LineNumberUnitItem Method

TJclMapParser Class

Handler for a unit declaration in the lines section.

Pascal

procedure LineNumberUnitItem(UnitName: PJclMapString; UnitFileName: PJclMapString); override;

Description

LineNumberUnitItem is a handler for a unit declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

UnitName

Name of the unit.

UnitFileName

Name of the source file.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.PublicsByNameItem Method

TJclMapParser Class

Handler for a public item in the publics by name section.

Pascal

procedure PublicsByNameItem(const Address: TJclMapAddress; Name: PJclMapString); override;

Description

PublicsByNameItem is a handler for a public item (eg. a procedure) in the "Publics By Name"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Name"-section.

Parameters

Address

Address of the public item.

Name

Name of the public item.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.PublicsByValueItem Method

TJclMapParser Class

Handler for a public item in the publics by value section.

Pascal

procedure PublicsByValueItem(const Address: TJclMapAddress; Name: PJclMapString); override;

Description

PublicsByValueItem is a handler for a public item (eg. a procedure) in the "Publics By Value"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Value"-section.

Parameters

Address

Address of the public item.

Name

Name of the public item.

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapParser.SegmentItem Method

TJclMapParser Class

Handler for a segment item (i.e.. a Delphi unit)

Pascal

procedure SegmentItem(const Address: TJclMapAddress; Len: Integer; GroupName: PJclMapString; UnitName: PJclMapString); override;

Description

SegmentItem is a handler for a segment item (i.e.. a Delphi unit) in the map file. It gets called by the Parse method when it finds a segment item.

Parameters

Address

Address of the segment item.

Len

Length of the segment item.

GroupName

Class name of the segment item (eg. "CODE").

UnitName

Delphi unit name of the segment item (eg. "System").

Donator

Petr Vones

Class

TJclMapParser Class


TJclMapScanner Class

Properties	Methods	Legend

Generic map file parser

Pascal

TJclMapScanner = class(TJclAbstractMapParser);

Description

TJclMapScanner is a map file scanner. The class scans the map file and holds the result for later reference.

Donator

Petr Vones

Group

Map Parsers

Fields

 FLastUnitFileName

 FLastUnitName

Legend

protected

read only

Constructor

Unit

JclDebug


TJclMapScanner Class Fields

TJclMapScanner Class	Legend

Fields

 FLastUnitFileName

 FLastUnitName


Legend

protected


TJclMapScanner Class Properties

TJclMapScanner Class	Legend

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

TJclMapScanner Class

 LineNumberErrors


Legend

read only


TJclMapScanner Class Methods

TJclMapScanner Class	Legend

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapScanner Class

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclMapScanner

LineNumberFromAddr

Returns the line number for an address.

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 Scan

Scans the map file.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

SourceNameFromAddr

Returns the source file name for an address.


Legend

protected

Constructor


Legend

TJclMapScanner Class

Legend

protected

read only

Constructor


TJclMapScanner Class Members

TJclMapScanner Class	Legend

Members

Fields

 FLastUnitFileName

 FLastUnitName

Properties

 LinkerBug

Is the linker bug found in the map

 LinkerBugUnitName

Unit name of where the linker bug occured.

 Stream

A stream referencing the map file

TJclMapScanner Class

 LineNumberErrors

Methods

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclAbstractMapParser

 Destroy

Destroys an instance of TJclAbstractMapParser

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

MapStringToFileName

MapStringToStr

Translates map file specific strings to a normal string.

Parse

Parses the map file

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

TJclMapScanner Class

 ClassTableItem

Handler for a class item

 Create

Creates an instance of TJclMapScanner

LineNumberFromAddr

Returns the line number for an address.

 LineNumbersItem

Handler for a line declaration in the lines section.

 LineNumberUnitItem

Handler for a unit declaration in the lines section.

ModuleNameFromAddr

Returns the Delphi unit name for an address.

ModuleStartFromAddr

Returns the starting address of a module given an address.

ProcNameFromAddr

Returns the procedure name for an address.

 PublicsByNameItem

Handler for a public item in the publics by name section.

 PublicsByValueItem

Handler for a public item in the publics by value section.

 Scan

Scans the map file.

 SegmentItem

Handler for a segment item (i.e.. a Delphi unit)

SourceNameFromAddr

Returns the source file name for an address.


Legend

protected

read only

Constructor


TJclMapScanner.LineNumberErrors Property

TJclMapScanner Class

property LineNumberErrors: Integer;

Class

TJclMapScanner Class


TJclMapScanner.ClassTableItem Method

TJclMapScanner Class

Handler for a class item

Pascal

procedure ClassTableItem(const Address: TJclMapAddress; Len: Integer; SectionName: PJclMapString; GroupName: PJclMapString); override;

Description

ClassTableItem is a handler for a class item (eg. CODE, DATA or BSS class) in the map file. It get's called by the Parse method when it finds a class table item.

Parameters

Address

Address of the class item.

Len

Length of the class item.

Section name of the class item (eg. ".text").

Class name of the class item (eg. "CODE").

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.Create Constructor

TJclMapScanner Class

Creates an instance of TJclMapScanner

Pascal

constructor Create(const MapFileName: TFileName); override;

Description

The Create method instantiates a map-file scanner object. After calling the inherited Create from TJclAbstractMapParser, the scan method will be called to scan the file.

Parameters

const MapFileName: TFileName

Name of the map-file to associate with the parser.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.LineNumberFromAddr Method (DWORD)

See Also	TJclMapScanner Class

Returns the line number for an address.

Pascal

function LineNumberFromAddr(Addr: DWORD): Integer; overload;
function LineNumberFromAddr(Addr: DWORD; var Offset: Integer): Integer; overload;

Description

LineNumberFromAddr returns the line number for the specified address.

Parameters

Addr: DWORD

Address to get line number for.

Return Value

The line number for the specified address.

Donator

Petr Vones

Class

TJclMapScanner Class


See Also

ModuleNameFromAddr ModuleStartFromAddr ProcNameFromAddr SourceNameFromAddr


TJclMapScanner.LineNumbersItem Method

TJclMapScanner Class

Handler for a line declaration in the lines section.

Pascal

procedure LineNumbersItem(LineNumber: Integer; const Address: TJclMapAddress); override;

Description

LineNumbers is a handler for a line declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

LineNumber

Line number for the item.

Address

Starting address for the line number.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.LineNumberUnitItem Method

TJclMapScanner Class

Handler for a unit declaration in the lines section.

Pascal

procedure LineNumberUnitItem(UnitName: PJclMapString; UnitFileName: PJclMapString); override;

Description

LineNumberUnitItem is a handler for a unit declaration in the lines section of the map file. It gets called by the Parse method when it finds a unit declaration in the lines section.

Parameters

UnitName

Name of the unit.

UnitFileName

Name of the source file.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.ModuleNameFromAddr Method

See Also	TJclMapScanner Class

Returns the Delphi unit name for an address.

Pascal

function ModuleNameFromAddr(Addr: DWORD): string;

Description

ModuleNameFromAddr returns the Delphi unit name for the specified address.

Parameters

Addr: DWORD

Address to get unit name for.

Return Value

The Delphi unit name for the specified address.

Donator

Petr Vones

Class

TJclMapScanner Class


See Also

LineNumberFromAddr ModuleStartFromAddr ProcNameFromAddr SourceNameFromAddr


TJclMapScanner.ModuleStartFromAddr Method

See Also	TJclMapScanner Class

Returns the starting address of a module given an address.

Pascal

function ModuleStartFromAddr(Addr: DWORD): DWORD;

Description

ModuleStartFromAddr returns the starting address of the Delphi unit that contains the specified address.

Parameters

Addr: DWORD

Address to get unit start for.

Return Value

The starting address of the Delphi unit that contains the specified address.

Donator

Petr Vones

Class

TJclMapScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ProcNameFromAddr SourceNameFromAddr


TJclMapScanner.ProcNameFromAddr Method (DWORD)

See Also	TJclMapScanner Class

Returns the procedure name for an address.

Pascal

function ProcNameFromAddr(Addr: DWORD): string; overload;
function ProcNameFromAddr(Addr: DWORD; var Offset: Integer): string; overload;

Description

ProcNameFromAddr returns the procedure name for the specified address.

Parameters

Addr: DWORD

Address to get procedure name for.

Return Value

The procedure name for the specified address.

Donator

Petr Vones

Class

TJclMapScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ModuleStartFromAddr SourceNameFromAddr


TJclMapScanner.PublicsByNameItem Method

TJclMapScanner Class

Handler for a public item in the publics by name section.

Pascal

procedure PublicsByNameItem(const Address: TJclMapAddress; Name: PJclMapString); override;

Description

PublicsByNameItem is a handler for a public item (eg. a procedure) in the "Publics By Name"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Name"-section.

Parameters

Address

Address of the public item.

Name

Name of the public item.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.PublicsByValueItem Method

TJclMapScanner Class

Handler for a public item in the publics by value section.

Pascal

procedure PublicsByValueItem(const Address: TJclMapAddress; Name: PJclMapString); override;

Description

PublicsByValueItem is a handler for a public item (eg. a procedure) in the "Publics By Value"-section of the map file. It gets called by the Parse method when it finds a public item in the "Publics By Value"-section.

Parameters

Address

Address of the public item.

Name

Name of the public item.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.Scan Method

TJclMapScanner Class

Scans the map file.

Pascal

procedure Scan;

Description

Scan scans the map file specified by Create and stores the result for later reference.

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.SegmentItem Method

TJclMapScanner Class

Handler for a segment item (i.e.. a Delphi unit)

Pascal

procedure SegmentItem(const Address: TJclMapAddress; Len: Integer; GroupName: PJclMapString; UnitName: PJclMapString); override;

Description

SegmentItem is a handler for a segment item (i.e.. a Delphi unit) in the map file. It gets called by the Parse method when it finds a segment item.

Parameters

Address

Address of the segment item.

Len

Length of the segment item.

GroupName

Class name of the segment item (eg. "CODE").

UnitName

Delphi unit name of the segment item (eg. "System").

Donator

Petr Vones

Class

TJclMapScanner Class


TJclMapScanner.SourceNameFromAddr Method

See Also	TJclMapScanner Class

Returns the source file name for an address.

Pascal

function SourceNameFromAddr(Addr: DWORD): string;

Description

SourceNameFromAddr returns the source-file name for the specified address.

Parameters

Addr: DWORD

Address to get procedure name for.

Return Value

The source file name for the specified address.

Donator

Petr Vones

Class

TJclMapScanner Class


See Also

LineNumberFromAddr ModuleNameFromAddr ModuleStartFromAddr ProcNameFromAddr


Stack info routines

Legend

Debugging

Classes

TJclStackInfoItem

Stack information item

TJclStackInfoList

Stack information list

Functions

JclCreateStackList

Creates a stack list.

JclLastExceptStackList

Retreives the last generated stack info list.

Records

 TStackFrame

Stack frame information

 TStackInfo

Stack information

Types

PStackFrame

Stack frame information

Legend

Record


Stack info routines Records

Stack info routines	Legend

Records

 TStackFrame

Stack frame information

 TStackInfo

Stack information


Legend

Record


Stack info routines Types

Stack info routines

Types

PStackFrame

Stack frame information


Stack info routines Classes

Stack info routines

Classes

TJclStackInfoItem

Stack information item

TJclStackInfoList

Stack information list


Stack info routines Functions

Stack info routines

Functions

JclCreateStackList

Creates a stack list.

JclLastExceptStackList

Retreives the last generated stack info list.


Legend

Stack info routines

Legend

Record


TStackFrame Record

Stack frame information

Pascal

PStackFrame = ^TStackFrame;
TStackFrame = record
  CallersEBP: DWORD;
  CallerAdr: DWORD;
end;

Description

TStackFrame holds stack frame information.

CallersEBP: DWORD;

Callers EBP register

CallerAdr: DWORD;

Address of caller

Donator

Hallvard Vassbotn

Group

Stack info routines

Unit

JclDebug


TStackInfo Record

Stack information

Pascal

TStackInfo = record
  CallerAdr: DWORD;
  Level: DWORD;
  CallersEBP: DWORD;
  DumpSize: DWORD;
  ParamSize: DWORD;
  ParamPtr: PDWORDArray;
  case Integer of
    0: (StackFrame: PStackFrame;);
    1: (DumpPtr: PJclByteArray;);
end;

Description

TStackInfo holds stack information.

CallerAdr: DWORD;

Return address (the address of the caller)

Level: DWORD;

Caller level

CallersEBP: DWORD;

EBP register of caller (only filled if the trace was not a raw stack trace)

DumpSize: DWORD;

Length of memory block between callers frame and this frame (only filled if the trace was not a raw stack trace)

ParamSize: DWORD;

Number of DWORD parameters (only filled if the trace was not a raw stack trace)

ParamPtr: PDWORDArray;

Points to the parameters (only filled if the trace was not a raw stack trace)

StackFrame: PStackFrame;

Current stack frame (only filled if the trace was not a raw stack trace)

DumpPtr: PJclByteArray;

Points to the memory block of the stack frame (only filled if the trace was not a raw stack trace)

Donator

Hallvard Vassbotn

Group

Stack info routines

Unit

JclDebug


TJclStackInfoItem Class

Properties	Legend

Stack information item

Pascal

TJclStackInfoItem = class(TObject);

Description

TStackInfoItem holds stack information.

Donator

Hallvard Vassbotn

Group

Stack info routines

Legend

read only

Unit

JclDebug


TJclStackInfoItem Class Properties

TJclStackInfoItem Class	Legend

Properties

 CallerAdr

 LogicalAddress

Retreives the logical address for the caller

 StackInfo

Stack information.


Legend

read only


Legend

TJclStackInfoItem Class

Legend

read only


TJclStackInfoItem Class Members

TJclStackInfoItem Class	Legend

Members

Properties

 CallerAdr

 LogicalAddress

Retreives the logical address for the caller

 StackInfo

Stack information.


Legend

read only


TJclStackInfoItem.CallerAdr Property

TJclStackInfoItem Class

property CallerAdr: Pointer;

Class

TJclStackInfoItem Class


TJclStackInfoItem.LogicalAddress Property

TJclStackInfoItem Class

Retreives the logical address for the caller

Pascal

property LogicalAddress: DWORD;

Description

LogicalAddress retreives teh logical address for the caller. It does so by subtracting the caller's module base address from the caller's address.

Donator

Hallvard Vassbotn

Class

TJclStackInfoItem Class


TJclStackInfoItem.StackInfo Property

TJclStackInfoItem Class

Stack information.

Pascal

property StackInfo: TStackInfo;

Description

StackInfo holds the actual stack information.

Donator

Hallvard Vassbotn

Class

TJclStackInfoItem Class


TJclStackInfoList Class

Properties	Methods	Legend

Stack information list

Pascal

TJclStackInfoList = class(TJclStackBaseList);

Description

TStackInfoList holds a list of stack information items ().

Donator

Hallvard Vassbotn

Group

Stack info routines

Legend

read only

Constructor

Unit

JclDebug


TJclStackInfoList Class Properties

TJclStackInfoList Class	Legend

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation

TJclStackInfoList Class

 IgnoreLevels

Number of levels ignored in the trace

 Items

List of stack info items


Legend

read only


TJclStackInfoList Class Methods

TJclStackInfoList Class	Legend

Methods

 Create

TJclStackInfoList Class

AddToStrings

Adds all stack info items a list.

 Create

Instantiates a stack list.

 Destroy


Legend

Constructor


Legend

TJclStackInfoList Class

Legend

read only

Constructor


TJclStackInfoList Class Members

TJclStackInfoList Class	Legend

Members

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation

TJclStackInfoList Class

 IgnoreLevels

Number of levels ignored in the trace

 Items

List of stack info items

Methods

 Create

TJclStackInfoList Class

AddToStrings

Adds all stack info items a list.

 Create

Instantiates a stack list.

 Destroy


Legend

read only

Constructor


TJclStackInfoList.IgnoreLevels Property

TJclStackInfoList Class

Number of levels ignored in the trace

Pascal

property IgnoreLevels: DWORD;

Description

IgnoreLevels is the number of levels that were ignored when the trace started. This number was given upon creation of the list.

Donator

Hallvard Vassbotn

Class

TJclStackInfoList Class


TJclStackInfoList.Items Property

TJclStackInfoList Class

List of stack info items

Pascal

property Items [Index: Integer]: TJclStackInfoItem;

Description

Items is a reference to all stack info items obtained during the trace.

Donator

Hallvard Vassbotn

Class

TJclStackInfoList Class


TJclStackInfoList.AddToStrings Method

TJclStackInfoList Class

Adds all stack info items a list.

Pascal

procedure AddToStrings(Strings: TStrings; IncludeModuleName: Boolean = False; IncludeAddressOffset: Boolean = False; IncludeStartProcLineOffset: Boolean = False; IncludeVAdress: Boolean = False);

Description

AddToStrings adds all stack info items to a TStrings descendant. For each stack info item it stores the result of the call GetLocationInfoStr(CallerAddress, IncludeModuleName).

Parameters

IncludeModuleName: Boolean = False

Should the module name be included in each string. If this parameter is set to True, the module name is inserted right after the address.

String

TStrings descendant to retreive the stack trace in.

Donator

Hallvard Vassbotn

Class

TJclStackInfoList Class


TJclStackInfoList.Create Constructor

TJclStackInfoList Class

Instantiates a stack list.

Pascal

constructor Create(Raw: Boolean; AIgnoreLevels: DWORD; FirstCaller: Pointer);

Description

Create instantiates a stack list and immediately executes the trace.

Parameters

Raw: Boolean

When set to False, the stack is traced by means of the EBP frame, when set to True, all DWORDs are checked for valid caller addresses.

AIgnoreLevels: DWORD

Number of callers to ignore upon tracing.

FirstCaller: Pointer

If not nil, an explicit TJclStackInfoItem is added to the list, pointing to the FirstCaller.

Donator

Hallvard Vassbotn

Class

TJclStackInfoList Class


TJclStackInfoList.Destroy Destructor

TJclStackInfoList Class

destructor Destroy; override;

Class

TJclStackInfoList Class


JclCreateStackList Function

Creates a stack list.

Pascal

function JclCreateStackList(Raw: Boolean; AIgnoreLevels: DWORD; FirstCaller: Pointer): TJclStackInfoList;

Description

JclCreateStackList creates a list of all stack frames. The resulting TJclStackInfoList is also stored internally and can be obtained again by calling JclLastExceptStackList.

Parameters

Raw: Boolean

When set to False, the stack is traced by means of the EBP frame, when set to True, all DWORDs are checked for valid caller addresses.

AIgnoreLevels: DWORD

Number of callers to ignore upon tracing.

FirstCaller: Pointer

If not nil, an explicit TJclStackInfoItem is added to the list, pointing to the FirstCaller.

Return Value

A reference to the stack list.

Notes

Do not free this object, it's freed internally when a new one needs to be created.

Donator

Hallvard Vassbotn

Group

Stack info routines

Unit

JclDebug


JclLastExceptStackList Function

Retreives the last generated stack info list.

Pascal

function JclLastExceptStackList: TJclStackInfoList;

Description

JclLastExceptStackList retreives the last generated stack info list by a call through JclCreateStackList. Note that JclCreateStackList also get's called when an exception occurs and the global variable StackTrackingEnable is set to True.

Return Value

A reference to the last generated stack list.

Notes

Do not free this object, it's freed internally when a new one needs to be created.

Donator

Hallvard Vassbotn

Group

Stack info routines

Unit

JclDebug


Tracking routines

Debugging

Classes

TJclStackBaseList

Base stack information list


Tracking routines Classes

Tracking routines

Classes

TJclStackBaseList

Base stack information list


TJclStackBaseList Class

Properties	Methods	Legend

Base stack information list

Pascal

TJclStackBaseList = class(TObjectList);

Description

TJclStackBaseList is the base class for the track list's (TJclStackInfoList and TJclExceptFrameList). It provides properties that hold information on the thread and timestamp of the info list.

Donator

Petr Vones

Group

Tracking routines

Legend

read only

Constructor

Unit

JclDebug


TJclStackBaseList Class Properties

TJclStackBaseList Class	Legend

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation


Legend

read only


TJclStackBaseList Class Methods

TJclStackBaseList Class	Legend

Methods

 Create


Legend

Constructor


Legend

TJclStackBaseList Class

Legend

read only

Constructor


TJclStackBaseList Class Members

TJclStackBaseList Class	Legend

Members

Properties

 ThreadID

ID of thread that made the trace.

 TimeStamp

Time stamp of list creation

Methods

 Create


Legend

read only

Constructor


TJclStackBaseList.ThreadID Property

TJclStackBaseList Class

ID of thread that made the trace.

Pascal

property ThreadID: DWORD;

Description

ThreadID is ID of the thread that executed the trace.

Donator

Hallvard Vassbotn

Class

TJclStackBaseList Class


TJclStackBaseList.TimeStamp Property

TJclStackBaseList Class

Time stamp of list creation

Pascal

property TimeStamp: TDateTime;

Description

TimeStamp holds the date and time of creation of the list.

Donator

Hallvard Vassbotn

Class

TJclStackBaseList Class


TJclStackBaseList.Create Constructor

TJclStackBaseList Class

constructor Create;

Class

TJclStackBaseList Class


Electronic Data Interchange (EDI)

JEDI Code Library


Expression Evaluation

Legend

JEDI Code Library

Classes

EJclExprEvalError

Exception class used by the expression evaluator.

TExprContext

Finds a symbol corresponding to an identifier.

TExprHashContext

A context class that uses a hash map for its implementation.

TExprSetContext

A compound context object for combining multiple contexts.

TExprSym

Represents a symbol that may be found in an input stream.

TExprLexer

A lexical analyser.

TExprNode

A node in an expression DAG (directed acyclic graph).

TExprNodeFactory

A factory class for TExprNode objects.

TExprCompileParser

A compiling parser.

TExprEvalParser

An evaluating parser.

TExprSimpleLexer

A simple expression lexical analyser.

TExprVirtMachOp

An operation that can be executed by a TExprVirtMach instance.

TExprVirtMach

A virtual machine for evaluating expressions relatively quickly.

TExprVirtMachNodeFactory

A node factory for virtual machine instructions.

TExprConstSym

Symbol for a constant of type TFloat.

TExprConst32Sym

Symbol for a constant of type TFloat32.

TExprConst64Sym

Symbol for a constant of type TFloat64.

TExprConst80Sym

Symbol for a constant of type TFloat80.

TExprVar32Sym

This class evaluates and / or compiles code for a 32-bit FP variable.

TExprVar64Sym

This class evaluates and / or compiles code for a 64-bit FP variable.

TExprVar80Sym

This class evaluates and / or compiles code for an 80-bit FP variable.

TExprAbstractFuncSym

A helper ancestor for function symbols.

TExprFuncSym

Function symbol for TFloatFunc.

TExprFloat32FuncSym

Function symbol for TFloat32Func.

TExprFloat64FuncSym

Function symbol for TFloat64Func.

TExprFloat80FuncSym

Function symbol for TFloat80Func.

TExprUnaryFuncSym

Function symbol for TUnaryFunc.

TExprUnary32FuncSym

Function symbol for TUnary32Func.

TExprUnary64FuncSym

Function symbol for TUnary64Func.

TExprUnary80FuncSym

Function symbol for TUnary80Func.

TExprBinaryFuncSym

Function symbol for TBinaryFunc.

TExprBinary32FuncSym

Function symbol for TBinary32Func.

TExprBinary64FuncSym

Function symbol for TBinary64Func.

TExprBinary80FuncSym

Function symbol for TBinary80Func.

TExprTernaryFuncSym

Function symbol for TTernaryFunc.

TExprTernary32FuncSym

Function symbol for TTernary32Func.

TExprTernary64FuncSym

Function symbol for TTernary64Func.

TExprTernary80FuncSym

Function symbol for TTernary80Func.

TEasyEvaluator

This is an abstract class that provides friendly methods for adding constanst, variables, functions and external contexts.

TEvaluator

Quick evaluator shell object.

TCompiledEvaluator

An evaluator that first compiles an expression into an intermediate form, then evaluates it on demand.

TExpressionCompiler

An expression compiler, for multiple expressions.

Constants

cExprEvalHashSize

Initial size of internal hash lists created by TEasyEvaluator descendants, and also TExpressionCompiler.

ExprWhiteSpace

Set of characters that will be skipped before a token read commences.

Enumerations

 TExprToken

The type of token found by TExprLexer. }

Types

TFloat

Floating-point type used by TLexer and TParser.Evaluate.

TFloat32

32-bit IEEE standard floating-point value.

TFloat64

64-bit IEEE standard floating-point value.

TFloat80

80-bit Intel extended precision floating-point value.

TFloatFunc

A function type taking no parameters.

TUnaryFunc

A function type taking a single parameter.

TBinaryFunc

A function type taking two parameters.

TTernaryFunc

A function type taking three parameters.

TCompiledExpression

A compiled expression, which may be called directly to evaluate.

Legend

Enumeration


Expression Evaluation Constants

Expression Evaluation

Constants

cExprEvalHashSize

Initial size of internal hash lists created by TEasyEvaluator descendants, and also TExpressionCompiler.

ExprWhiteSpace

Set of characters that will be skipped before a token read commences.


Expression Evaluation Classes

Expression Evaluation

Classes

EJclExprEvalError

Exception class used by the expression evaluator.

TExprContext

Finds a symbol corresponding to an identifier.

TExprHashContext

A context class that uses a hash map for its implementation.

TExprSetContext

A compound context object for combining multiple contexts.

TExprSym

Represents a symbol that may be found in an input stream.

TExprLexer

A lexical analyser.

TExprNode

A node in an expression DAG (directed acyclic graph).

TExprNodeFactory

A factory class for TExprNode objects.

TExprCompileParser

A compiling parser.

TExprEvalParser

An evaluating parser.

TExprSimpleLexer

A simple expression lexical analyser.

TExprVirtMachOp

An operation that can be executed by a TExprVirtMach instance.

TExprVirtMach

A virtual machine for evaluating expressions relatively quickly.

TExprVirtMachNodeFactory

A node factory for virtual machine instructions.

TExprConstSym

Symbol for a constant of type TFloat.

TExprConst32Sym

Symbol for a constant of type TFloat32.

TExprConst64Sym

Symbol for a constant of type TFloat64.

TExprConst80Sym

Symbol for a constant of type TFloat80.

TExprVar32Sym

This class evaluates and / or compiles code for a 32-bit FP variable.

TExprVar64Sym

This class evaluates and / or compiles code for a 64-bit FP variable.

TExprVar80Sym

This class evaluates and / or compiles code for an 80-bit FP variable.

TExprAbstractFuncSym

A helper ancestor for function symbols.

TExprFuncSym

Function symbol for TFloatFunc.

TExprFloat32FuncSym

Function symbol for TFloat32Func.

TExprFloat64FuncSym

Function symbol for TFloat64Func.

TExprFloat80FuncSym

Function symbol for TFloat80Func.

TExprUnaryFuncSym

Function symbol for TUnaryFunc.

TExprUnary32FuncSym

Function symbol for TUnary32Func.

TExprUnary64FuncSym

Function symbol for TUnary64Func.

TExprUnary80FuncSym

Function symbol for TUnary80Func.

TExprBinaryFuncSym

Function symbol for TBinaryFunc.

TExprBinary32FuncSym

Function symbol for TBinary32Func.

TExprBinary64FuncSym

Function symbol for TBinary64Func.

TExprBinary80FuncSym

Function symbol for TBinary80Func.

TExprTernaryFuncSym

Function symbol for TTernaryFunc.

TExprTernary32FuncSym

Function symbol for TTernary32Func.

TExprTernary64FuncSym

Function symbol for TTernary64Func.

TExprTernary80FuncSym

Function symbol for TTernary80Func.

TEasyEvaluator

This is an abstract class that provides friendly methods for adding constanst, variables, functions and external contexts.

TEvaluator

Quick evaluator shell object.

TCompiledEvaluator

An evaluator that first compiles an expression into an intermediate form, then evaluates it on demand.

TExpressionCompiler

An expression compiler, for multiple expressions.


Expression Evaluation Types

Expression Evaluation

Types

TFloat

Floating-point type used by TLexer and TParser.Evaluate.

TFloat32

32-bit IEEE standard floating-point value.

TFloat64

64-bit IEEE standard floating-point value.

TFloat80

80-bit Intel extended precision floating-point value.

TFloatFunc

A function type taking no parameters.

TUnaryFunc

A function type taking a single parameter.

TBinaryFunc

A function type taking two parameters.

TTernaryFunc

A function type taking three parameters.

TCompiledExpression

A compiled expression, which may be called directly to evaluate.


Expression Evaluation Enumerations

Expression Evaluation	Legend

Enumerations

 TExprToken

The type of token found by TExprLexer. }


Legend

Enumeration


Legend

Expression Evaluation

Legend

Enumeration


cExprEvalHashSize Constant

Initial size of internal hash lists created by TEasyEvaluator descendants, and also TExpressionCompiler.

Pascal

cExprEvalHashSize = 127;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


EJclExprEvalError Class

Exception class used by the expression evaluator.

Pascal

EJclExprEvalError = class(EJclError);

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


ExprWhiteSpace Constant

See Also

Set of characters that will be skipped before a token read commences.

Pascal

ExprWhiteSpace = [#1..#32];

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


See Also

TExprLexer


TFloat Type

Floating-point type used by TLexer and TParser.Evaluate.

Pascal

TFloat = Double;
PFloat = ^TFloat;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TFloat32 Type

32-bit IEEE standard floating-point value.

Pascal

TFloat32 = Single;
PFloat32 = ^TFloat32;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TFloat64 Type

64-bit IEEE standard floating-point value.

Pascal

TFloat64 = Double;
PFloat64 = ^TFloat64;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TFloat80 Type

80-bit Intel extended precision floating-point value.

Pascal

TFloat80 = Extended;
PFloat80 = ^TFloat80;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TFloatFunc Type

A function type taking no parameters.

Pascal

TFloatFunc = function : TFloat;
TFloat32Func = function : TFloat32;
TFloat64Func = function : TFloat64;
TFloat80Func = function : TFloat80;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TUnaryFunc Type

A function type taking a single parameter.

Pascal

TUnaryFunc = function (X: TFloat): TFloat;
TUnary32Func = function (X: TFloat32): TFloat32;
TUnary64Func = function (X: TFloat64): TFloat64;
TUnary80Func = function (X: TFloat80): TFloat80;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TBinaryFunc Type

A function type taking two parameters.

Pascal

TBinaryFunc = function (X, Y: TFloat): TFloat;
TBinary32Func = function (X, Y: TFloat32): TFloat32;
TBinary64Func = function (X, Y: TFloat64): TFloat64;
TBinary80Func = function (X, Y: TFloat80): TFloat80;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TTernaryFunc Type

A function type taking three parameters.

Pascal

TTernaryFunc = function (X, Y, Z: TFloat): TFloat;
TTernary32Func = function (X, Y, Z: TFloat32): TFloat32;
TTernary64Func = function (X, Y, Z: TFloat64): TFloat64;
TTernary80Func = function (X, Y, Z: TFloat80): TFloat80;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TExprContext Class

Methods	See Also

Finds a symbol corresponding to an identifier.

Pascal

TExprContext = class(TObject);

Description

Expressions composed solely of numbers and operators may be evaluated quite easily, but to make an expression evaluator really useful requires that things like named constants, variables and functions be added as well.

To allow a defined set of constants, variables and functions to be used in multiple evaluators (and mixed and matched according to need), the task of handling symbol resolution is devolved to an object known as a context.

Contexts are not required to be flat; indeed, they are expected to be compound objects, which devolve to other, more specialized contexts to do actual resolution.

As an example, consider the way names are resolved in Object Pascal. The set of valid symbols is initially defined by the System unit, and then added to with each unit named in the uses clause. When a method is being compiled, private, protected and public names come into the namespace; they aren't in effect with methods of other classes. In a similar way, contexts can be built up according to requirements.

Notes

Don't construct instances of TExprContext directly, since it is abstract; instead, construct a concrete descendant.

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TExprContext Class Methods

TExprContext Class

Methods

Find

Finds a symbol corresponding to an identifier.


TExprContext Class Members

TExprContext Class

Members

Methods

Find

Finds a symbol corresponding to an identifier.


See Also

TExprHashContext, TExprSetContext


TExprContext.Find Method

TExprContext Class

Finds a symbol corresponding to an identifier.

Pascal

function Find(const AName: string): TExprSym; virtual; abstract;

Parameters

s

The identifier of the symbol to find.

Return Value

The symbol object, or nil if not found.

Donator

Barry Kelly

Class

TExprContext Class


TExprHashContext Class

Methods	Legend

A context class that uses a hash map for its implementation.

Pascal

TExprHashContext = class(TExprContext);

Description

This is a concrete context class that uses a hash map for symbol lookup. The fact that it uses a hash for its implementation means that symbol lookup takes a constant time, i.e. it is independant of the actual number of symbols stored in the context; however, this guarantee depends on the internal hash map's internal table being large enough to minimize collisions.

Notes

Case sensitivity is also a concern; see the Create method.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

Constructor

Unit

JclExprEval


TExprHashContext Class Methods

TExprHashContext Class	Legend

Methods

Find

Finds a symbol corresponding to an identifier.

TExprHashContext Class

Add

Adds a symbol to this context.

 Create

Creates an instance of THashContext.

 Destroy

Destroys this instance. Use Free instead.

Find

Finds a symbol corresponding to an identifier.

Remove

Removes a symbol from this context.


Legend

Constructor


Legend

TExprHashContext Class

Legend

Constructor


TExprHashContext Class Members

TExprHashContext Class	Legend

Members

Methods

Find

Finds a symbol corresponding to an identifier.

TExprHashContext Class

Add

Adds a symbol to this context.

 Create

Creates an instance of THashContext.

 Destroy

Destroys this instance. Use Free instead.

Find

Finds a symbol corresponding to an identifier.

Remove

Removes a symbol from this context.


Legend

Constructor


TExprHashContext.Add Method

TExprHashContext Class

Adds a symbol to this context.

Pascal

procedure Add(ASymbol: TExprSym);

Description

Once a symbol has been added, the context takes over ownership of it, and will free it when it is itself destroyed.

Parameters

ASymbol: TExprSym

The symbol object to add.

Donator

Barry Kelly

Class

TExprHashContext Class


TExprHashContext.Create Constructor

See Also	TExprHashContext Class

Creates an instance of THashContext.

Pascal

constructor Create(ACaseSensitive: Boolean = False; AHashSize: Integer = 127);

Description

This constructs an instance of THashContext. The first parameter indicates case sensitivity; the meaning of the second parameter is slightly more subtle. It tells the context what value to pass on to the internal hash map's constructor. A large value will mean that the context will take up quite a bit of memory even when it is empty (4 bytes are added for every increase of 1 in the hash size). For good performance, the hash should roughly be the expected average amount of items to be held in the hash. The performance degradation for too small hash tables is logarithmic, however, so only in pathalogical cases should this be a concern.

Parameters

ACaseSensitive: Boolean = False

Whether this context should be case sensitive or not.

AHashSize: Integer = 127

The hash size to pass on to the internal hash map structure.

Notes

It is fairly important that the hash size not be an even number; it's best if it is a prime number, although typically a power of 2 minus one does fairly well (e.g. 127, 2047, etc.).

Donator

Barry Kelly

Class

TExprHashContext Class


See Also

TStringHashMap


TExprHashContext.Destroy Destructor

TExprHashContext Class

Destroys this instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExprHashContext Class


TExprHashContext.Find Method

TExprHashContext Class

Finds a symbol corresponding to an identifier.

Pascal

function Find(const AName: string): TExprSym; override;

Parameters

s

The identifier of the symbol to find.

Return Value

The symbol object, or nil if not found.

Donator

Barry Kelly

Class

TExprHashContext Class


TExprHashContext.Remove Method

TExprHashContext Class

Removes a symbol from this context.

Pascal

procedure Remove(const AName: string);

Description

The symbol object refered to by AName will be destroyed.

Parameters

const AName: string

symbol to remove and free.

Donator

Barry Kelly

Class

TExprHashContext Class


TExprSetContext Class

Properties	Methods	Legend

A compound context object for combining multiple contexts.

Pascal

TExprSetContext = class(TExprContext);

Description

A context class that contains a set of other contexts, which it searches in order, starting with the most recently added.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

Constructor

read only

Unit

JclExprEval


TExprSetContext Class Methods

TExprSetContext Class	Legend

Methods

Find

Finds a symbol corresponding to an identifier.

TExprSetContext Class

Add

Adds a context to the set.

 Create

Constructs an instance.

Delete

Removes a context by index.

 Destroy

Destroys the TExprSetContext instance. Use Free instead.

Extract

Removes a context without freeing it (if AOwnsContexts was passed as True in the constructor Create).

Find

Finds a symbol corresponding to an identifier.

Remove

Removes a context.


Legend

Constructor


TExprSetContext Class Properties

TExprSetContext Class	Legend

Properties

TExprSetContext Class

 Contexts

Accesses an internal context by index.

 Count

Returns the number of contexts held by this set.

 InternalList

Access to the internal list of contexts for advanced operations.


Legend

read only


Legend

TExprSetContext Class

Legend

Constructor

read only


TExprSetContext Class Members

TExprSetContext Class	Legend

Members

Methods

Find

Finds a symbol corresponding to an identifier.

TExprSetContext Class

Add

Adds a context to the set.

 Create

Constructs an instance.

Delete

Removes a context by index.

 Destroy

Destroys the TExprSetContext instance. Use Free instead.

Extract

Removes a context without freeing it (if AOwnsContexts was passed as True in the constructor Create).

Find

Finds a symbol corresponding to an identifier.

Remove

Removes a context.

Properties

TExprSetContext Class

 Contexts

Accesses an internal context by index.

 Count

Returns the number of contexts held by this set.

 InternalList

Access to the internal list of contexts for advanced operations.


Legend

Constructor

read only


TExprSetContext.Contexts Property

TExprSetContext Class

Accesses an internal context by index.

Pascal

property Contexts [AIndex: Integer]: TExprContext;

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Count Property

TExprSetContext Class

Returns the number of contexts held by this set.

Pascal

property Count: Integer;

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.InternalList Property

TExprSetContext Class

Access to the internal list of contexts for advanced operations.

Pascal

property InternalList: TList;

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Add Method

TExprSetContext Class

Adds a context to the set.

Pascal

procedure Add(AContext: TExprContext);

Parameters

AContext: TExprContext

Context to add to the set of contexts.

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Create Constructor

TExprSetContext Class

Constructs an instance.

Pascal

constructor Create(AOwnsContexts: Boolean);

Parameters

AOwnsContexts: Boolean

Determines whether this context object should free contexts when they are deleted. You can use Extract to remove a context while keeping it intact.

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Delete Method

TExprSetContext Class

Removes a context by index.

Pascal

procedure Delete(AIndex: Integer);

Parameters

AIndex: Integer

Index of context to remove.

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Destroy Destructor

TExprSetContext Class

Destroys the TExprSetContext instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Extract Method

TExprSetContext Class

Removes a context without freeing it (if AOwnsContexts was passed as True in the constructor Create).

Pascal

function Extract(AContext: TExprContext): TExprContext;

Parameters

AContext: TExprContext

Context to remove.

Return Value

The context passed in (AContext).

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Find Method

TExprSetContext Class

Finds a symbol corresponding to an identifier.

Pascal

function Find(const AName: string): TExprSym; override;

Parameters

s

The identifier of the symbol to find.

Return Value

The symbol object, or nil if not found.

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSetContext.Remove Method

TExprSetContext Class

Removes a context.

Pascal

procedure Remove(AContext: TExprContext);

Parameters

AContext: TExprContext

Context to remove.

Donator

Barry Kelly

Class

TExprSetContext Class


TExprSym Class

Properties	Methods	Legend

Represents a symbol that may be found in an input stream.

Pascal

TExprSym = class(TObject);

Description

An instance of this class is responsible for turning input lexemes (from the lexer) into either a concrete result (Evaluate) or expression nodes (Compile).

Because this class has state (properties like Lexer, EvalParser, CompileParser, NodeFactory), a symbol should never be used by two threads simultaneously. This design decision was taken to maximize ease of creating new symbols.

It is, however, safe to implement recursive symbols (i.e. a symbol that calls itself, even though it might be through another evaluator with different Lexer etc.) because the state is saved before Evaluate or Compile is called, and restored afterwards.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprSym Class Properties

TExprSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprSym Class Methods

TExprSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprSym Class

Legend

read only

Constructor


TExprSym Class Members

TExprSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprSym.CompileParser Property

See Also	TExprSym Class

The compile parser that found this symbol in its stream.

Pascal

property CompileParser: TExprCompileParser;

Description

This property is set by a compiling parser when it finds this symbol in its input stream. This is done so that the Compile method can perform things like reading parameters etc., when it gathers sufficient information for compilation.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprSym.EvalParser, TExprSym.Lexer, TExprSym.NodeFactory, TExprCompileParser


TExprSym.EvalParser Property

See Also	TExprSym Class

The evaluation parser that found this symbol in its stream.

Pascal

property EvalParser: TExprEvalParser;

Description

This property is set by an evaluating parser when it finds this symbol in its input stream. This is done so that the Evaluate method can perform things like reading parameters etc., when it gathers sufficient information for evaluation.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprSym.CompileParser, TExprSym.Lexer, TExprSym.NodeFactory, TExprEvalParser


TExprSym.Ident Property

TExprSym Class

Identifier token that should trigger this symbol.

Pascal

property Ident: string;

Donator

Barry Kelly

Class

TExprSym Class


TExprSym.Lexer Property

See Also	TExprSym Class

The lexical analyser that found this symbol in its stream.

Pascal

property Lexer: TExprLexer;

Description

This property is set by the parser when it finds this symbol in the input stream. This is done so that the Evaluate and Compile methods can perform things like reading parameters etc., when they work out their context.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprSym.EvalParser, TExprSym.CompileParser, TExprSym.NodeFactory, TExprLexer


TExprSym.NodeFactory Property

See Also	TExprSym Class

The expression node factory object for creating expression node instances.

Pascal

property NodeFactory: TExprNodeFactory;

Description

This property is set by a compiling parser when it finds this symbol in its input stream. It is set to nil for an evaluating stream, so it is only valid to use this property in the Compile method. It is should be used to construct expression nodes with sufficient state to calculate the value of this symbol at expression evaluation time.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprSym.Lexer, TExprSym.CompileParser, TExprSym.Compile, TExprNodeFactory


TExprSym.Compile Method

See Also	TExprSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; virtual; abstract;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprSym.Create Constructor

TExprSym Class

Constructs a new instance.

Pascal

constructor Create(const AIdent: string);

Parameters

const AIdent: string

Identifier token that should trigger this symbol.

Donator

Barry Kelly

Class

TExprSym Class


TExprSym.Evaluate Method

See Also	TExprSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; virtual; abstract;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprToken Enumeration

The type of token found by TExprLexer. }

Pascal

TExprToken = (
  etEof,
  etNumber,
  etIdentifier,
  etUser0,
  etUser1,
  etUser2,
  etUser3,
  etUser4,
  etUser5,
  etUser6,
  etUser7,
  etUser8,
  etUser9,
  etUser10,
  etUser11,
  etUser12,
  etUser13,
  etUser14,
  etUser15,
  etUser16,
  etUser17,
  etUser18,
  etUser19,
  etUser20,
  etUser21,
  etUser22,
  etUser23,
  etUser24,
  etUser25,
  etUser26,
  etUser27,
  etUser28,
  etUser29,
  etUser30,
  etUser31,
  etNotEqual,
  etLessEqual,
  etGreaterEqual,
  etBang,
  etDoubleQuote,
  etHash,
  etDollar,
  etPercent,
  etAmpersand,
  etSingleQuote,
  etLParen,
  etRParen,
  etAsterisk,
  etPlus,
  etComma,
  etMinus,
  etDot,
  etForwardSlash,
  etColon,
  etSemiColon,
  etLessThan,
  etEqualTo,
  etGreaterThan,
  etQuestion,
  etAt,
  etLBracket,
  etBackSlash,
  etRBracket,
  etArrow,
  etBackTick,
  etLBrace,
  etPipe,
  etRBrace,
  etTilde,
  et127,
  etEuro,
  et129,
  et130,
  et131,
  et132,
  et133,
  et134,
  et135,
  et136,
  et137,
  et138,
  et139,
  et140,
  et141,
  et142,
  et143,
  et144,
  et145,
  et146,
  et147,
  et148,
  et149,
  et150,
  et151,
  et152,
  et153,
  et154,
  et155,
  et156,
  et157,
  et158,
  et159,
  et160,
  et161,
  et162,
  et163,
  et164,
  et165,
  et166,
  et167,
  et168,
  et169,
  et170,
  et171,
  et172,
  et173,
  et174,
  et175,
  et176,
  et177,
  et178,
  et179,
  et180,
  et181,
  et182,
  et183,
  et184,
  et185,
  et186,
  et187,
  et188,
  et189,
  et190,
  et191,
  et192,
  et193,
  et194,
  et195,
  et196,
  et197,
  et198,
  et199,
  et200,
  et201,
  et202,
  et203,
  et204,
  et205,
  et206,
  et207,
  et208,
  et209,
  et210,
  et211,
  et212,
  et213,
  et214,
  et215,
  et216,
  et217,
  et218,
  et219,
  et220,
  et221,
  et222,
  et223,
  et224,
  et225,
  et226,
  et227,
  et228,
  et229,
  et230,
  et231,
  et232,
  et233,
  et234,
  et235,
  et236,
  et237,
  et238,
  et239,
  et240,
  et241,
  et242,
  et243,
  et244,
  et245,
  et246,
  et247,
  et248,
  et249,
  et250,
  et251,
  et252,
  et253,
  et254,
  et255,
  etInvalid
);

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TExprLexer Class

Properties	Methods	Legend

A lexical analyser.

Pascal

TExprLexer = class(TObject);

Description

An object of this class breaks up an input stream into lexemes - that is, it breaks down the input stream into tokens with two properties: type and content. The type describes what sort of token the current token is. The content gives further information about some tokens.

For example, if the incoming stream is 'a + 03.60', then the lexical analyser will break it down into 3 tokens:

type (CurrTok): etIdentifier; content: TokenAsString = 'a'

type: etPlus; content: n/a

type: etNumber; content: TokenAsNumber = 3.6, also TokenAsString = '03.60'

The token type is given by the CurrTok property, and the token content is given by the TokenAsString and TokenAsNumber properties.

The current token is skipped and the next token loaded when the NextTok method is called. When the end of the input stream is found, CurrTok will be equal to etEof, and repeated calls of NextTok won't do anything (i.e. CurrTok will remain equal to etEof).

Donator

Barry Kelly

Group

Expression Evaluation

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.

Legend

protected

read only

Constructor

Unit

JclExprEval


TExprLexer Class Fields

TExprLexer Class	Legend

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.


Legend

protected


TExprLexer Class Properties

TExprLexer Class	Legend

Properties

 CurrTok

The current token type.

 TokenAsNumber

Number information about the current token if that is appropriate.

 TokenAsString

String information about the current token if that is appropriate.


Legend

read only


TExprLexer Class Methods

TExprLexer Class	Legend

Methods

 Create

Constructs an instance and calls Reset.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.


Legend

Constructor


Legend

TExprLexer Class

Legend

protected

read only

Constructor


TExprLexer Class Members

TExprLexer Class	Legend

Members

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.

Properties

 CurrTok

The current token type.

 TokenAsNumber

Number information about the current token if that is appropriate.

 TokenAsString

String information about the current token if that is appropriate.

Methods

 Create

Constructs an instance and calls Reset.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.


Legend

protected

read only

Constructor


TExprLexer.FCurrTok Field

TExprLexer Class

NextTok should set as appropriate.

Pascal

FCurrTok: TExprToken;

Donator

Barry Kelly

Class

TExprLexer Class


TExprLexer.FTokenAsNumber Field

TExprLexer Class

NextTok should set as appropriate.

Pascal

FTokenAsNumber: TFloat;

Donator

Barry Kelly

Class

TExprLexer Class


TExprLexer.FTokenAsString Field

TExprLexer Class

NextTok should set as appropriate.

Pascal

FTokenAsString: string;

Donator

Barry Kelly

Class

TExprLexer Class


TExprLexer.CurrTok Property

See Also	TExprLexer Class

The current token type.

Pascal

property CurrTok: TExprToken;

Description

This contains the type of the token just read by NextTok.

Donator

Barry Kelly

Class

TExprLexer Class


See Also

NextTok, TokenAsString, TokenAsNumber


TExprLexer.TokenAsNumber Property

See Also	TExprLexer Class

Number information about the current token if that is appropriate.

Pascal

property TokenAsNumber: TFloat;

Description

This property is usually only valid for well-formed integer or floating-point numbers found in the source text. It is set by NextTok.

Donator

Barry Kelly

Class

TExprLexer Class


See Also

NextTok, TokenAsString, CurrTok


TExprLexer.TokenAsString Property

See Also	TExprLexer Class

String information about the current token if that is appropriate.

Pascal

property TokenAsString: string;

Description

This property is usually valid for tokens that don't have a fixed length, like etIdentifier and etNumber. It contains the text as found in the source stream, possibly after a little preprocessing (for instance, if the lexer supported strings, then this could return the string with control characters expanded). It is set by NextTok.

Donator

Barry Kelly

Class

TExprLexer Class


See Also

NextTok, TokenAsNumber, CurrTok


TExprLexer.Create Constructor

TExprLexer Class

Constructs an instance and calls Reset.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TExprLexer Class


TExprLexer.NextTok Method

TExprLexer Class

Skips the current token and gets the next token.

Pascal

procedure NextTok; virtual; abstract;

Description

This method is called by Reset (and thus implicitly by Create), so it doesn't need to be called to get the first token in the stream.

This method does the following jobs:

Skips whitespace

Determines token type from the first character after whitespace has been skipped

Reads in the rest of that token, based on the first character, possibly refining the token type based on further characters. For example, if '<' is read on the input stream, the token could be etLessThan, etNotEqual ('<>') or etLessEqual ('<=').

After a call to this method, CurrTok will give the current token type, and TokenAsString and TokenAsNumber will give extra information as appropriate for the token type.

Donator

Barry Kelly

Class

TExprLexer Class


TExprLexer.Reset Method

TExprLexer Class

Resets the position of the lexer to the start of its input stream.

Pascal

procedure Reset; virtual;

Description

Overridden implementations should call this at the end of their implementations, because it calls NextTok by default.

Donator

Barry Kelly

Class

TExprLexer Class


TExprNode Class

Properties	Methods	Legend

A node in an expression DAG (directed acyclic graph).

Pascal

TExprNode = class(TObject);

Description

This is the abstract object from which all expression DAG nodes descend. TExprNodeFactory has responsibility for constructing the correct class and acts as a container for TExprNode descendant instances.

Notes

Don't construct TExprNode objects directly; call the methods of a TExprNodeFactory instance.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprNode Class Properties

TExprNode Class	Legend

Properties

 DepCount

Number of dependancies this node has.

 DepList

Access to the internal dependancy list for advanced optimization strategies.

 Deps

Accesses a dependancy based on index.


Legend

read only


TExprNode Class Methods

TExprNode Class	Legend

Methods

AddDep

Adds a dependancy.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.


Legend

Constructor


Legend

TExprNode Class

Legend

read only

Constructor


TExprNode Class Members

TExprNode Class	Legend

Members

Properties

 DepCount

Number of dependancies this node has.

 DepList

Access to the internal dependancy list for advanced optimization strategies.

 Deps

Accesses a dependancy based on index.

Methods

AddDep

Adds a dependancy.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.


Legend

read only

Constructor


TExprNode.DepCount Property

TExprNode Class

Number of dependancies this node has.

Pascal

property DepCount: Integer;

Donator

Barry Kelly

Class

TExprNode Class


TExprNode.DepList Property

TExprNode Class

Access to the internal dependancy list for advanced optimization strategies.

Pascal

property DepList: TList;

Donator

Barry Kelly

Class

TExprNode Class


TExprNode.Deps Property

TExprNode Class

Accesses a dependancy based on index.

Pascal

property Deps [AIndex: Integer]: TExprNode;

Donator

Barry Kelly

Class

TExprNode Class


TExprNode.AddDep Method

TExprNode Class

Adds a dependancy.

Pascal

procedure AddDep(ADep: TExprNode);

Description

This method adds a dependancy to this node.

Parameters

ADep: TExprNode

Dependancy to add.

Donator

Barry Kelly

Class

TExprNode Class


TExprNode.Create Constructor

TExprNode Class

Constructs an instance.

Pascal

constructor Create(const ADepList: array of TExprNode);

Description

The dependancy list passed into this constructor should be the direct dependancies of this node.

Parameters

const ADepList: array of TExprNode

A list of dependancies, nodes this expression node depends on.

Donator

Barry Kelly

Class

TExprNode Class


TExprNode.Destroy Destructor

TExprNode Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExprNode Class


TExprNodeFactory Class

Methods

A factory class for TExprNode objects.

Pascal

TExprNodeFactory = class(TObject);

Description

When compiling an expression, the expression must be broken down into 'atomic' components, like add, subtract, load constant, load variable, call function etc. Because different compilation strategies may involve different atomic node classes, the task of atomic node construction is given to a separate factory object. This object should keep a list of all the nodes it has constructed, and act as an interface for the construction of new nodes.

Concrete descendants of this factory should have a GenCode method that is specific to the implementation strategy. That GenCode method is a prime candidate for expression optimizations like common sub-expression elimination, constant sub-expression evaluation, etc.

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TExprNodeFactory Class Methods

TExprNodeFactory Class

Methods

Add

Performs an arithmetic operation.

CallBinary32Func

CallBinary64Func

CallBinary80Func

CallBinaryFunc

CallFloat32Func

CallFloat64Func

CallFloat80Func

CallFloatFunc

Calls a function.

CallTernary32Func

CallTernary64Func

CallTernary80Func

CallTernaryFunc

CallUnary32Func

CallUnary64Func

CallUnary80Func

CallUnaryFunc

Compare

Performs a comparison.

Divide

LoadConst

Overloaded declarations for auto-selection of correct function in code.

LoadConst32

Loads a constant value.

LoadConst64

LoadConst80

LoadVar

Overloaded declarations for auto-selection of correct function in code.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

LoadVar80

Multiply

Negate

Subtract


TExprNodeFactory Class Members

TExprNodeFactory Class

Members

Methods

Add

Performs an arithmetic operation.

CallBinary32Func

CallBinary64Func

CallBinary80Func

CallBinaryFunc

CallFloat32Func

CallFloat64Func

CallFloat80Func

CallFloatFunc

Calls a function.

CallTernary32Func

CallTernary64Func

CallTernary80Func

CallTernaryFunc

CallUnary32Func

CallUnary64Func

CallUnary80Func

CallUnaryFunc

Compare

Performs a comparison.

Divide

LoadConst

Overloaded declarations for auto-selection of correct function in code.

LoadConst32

Loads a constant value.

LoadConst64

LoadConst80

LoadVar

Overloaded declarations for auto-selection of correct function in code.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

LoadVar80

Multiply

Negate

Subtract


TExprNodeFactory.Add Method

TExprNodeFactory Class

Performs an arithmetic operation.

Pascal

function Add(ALeft: TExprNode; ARight: TExprNode): TExprNode; virtual; abstract;

Description

These functions generate nodes that perform an arithmetic operation on their operands.

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.CallBinary32Func Method

TExprNodeFactory Class

function CallBinary32Func(AFunc: TBinary32Func; X: TExprNode; Y: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallBinary64Func Method

TExprNodeFactory Class

function CallBinary64Func(AFunc: TBinary64Func; X: TExprNode; Y: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallBinary80Func Method

TExprNodeFactory Class

function CallBinary80Func(AFunc: TBinary80Func; X: TExprNode; Y: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallBinaryFunc Method

TExprNodeFactory Class

function CallBinaryFunc(AFunc: TBinaryFunc; X: TExprNode; Y: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallFloat32Func Method

TExprNodeFactory Class

function CallFloat32Func(AFunc: TFloat32Func): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallFloat64Func Method

TExprNodeFactory Class

function CallFloat64Func(AFunc: TFloat64Func): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallFloat80Func Method

TExprNodeFactory Class

function CallFloat80Func(AFunc: TFloat80Func): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallFloatFunc Method

TExprNodeFactory Class

Calls a function.

Pascal

function CallFloatFunc(AFunc: TFloatFunc): TExprNode; virtual; abstract;

Description

Generates a node that will call a function, possibly with parameters. There are 4 basic types of functions directly supported here: no parameters (Float*), 1 parameter (Unary*), 2 parameters (Binary*) and 3 parameters (Ternary*).

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.CallTernary32Func Method

TExprNodeFactory Class

function CallTernary32Func(AFunc: TTernary32Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallTernary64Func Method

TExprNodeFactory Class

function CallTernary64Func(AFunc: TTernary64Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallTernary80Func Method

TExprNodeFactory Class

function CallTernary80Func(AFunc: TTernary80Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallTernaryFunc Method

TExprNodeFactory Class

function CallTernaryFunc(AFunc: TTernaryFunc; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallUnary32Func Method

TExprNodeFactory Class

function CallUnary32Func(AFunc: TUnary32Func; X: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallUnary64Func Method

TExprNodeFactory Class

function CallUnary64Func(AFunc: TUnary64Func; X: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallUnary80Func Method

TExprNodeFactory Class

function CallUnary80Func(AFunc: TUnary80Func; X: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.CallUnaryFunc Method

TExprNodeFactory Class

function CallUnaryFunc(AFunc: TUnaryFunc; X: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.Compare Method

TExprNodeFactory Class

Performs a comparison.

Pascal

function Compare(ALeft: TExprNode; ARight: TExprNode): TExprNode; virtual; abstract;

Description

Compare returns a node that evaluates to -1, 0, or 1 depending on whether ALeft is less than, equal to, or greater than ARight, respectively.

Parameters

ALeft: TExprNode

Left side of comparison.

ARight: TExprNode

Right side of comparison.

Return Value

A node that represents this comparison.

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.Divide Method

TExprNodeFactory Class

function Divide(ALeft: TExprNode; ARight: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.LoadConst32 Method

TExprNodeFactory Class

Loads a constant value.

Pascal

function LoadConst32(AValue: TFloat32): TExprNode; virtual; abstract;

Description

Generates a node that will load a constant value. The type is important because less precision will mean faster evaluation.

Parameters

AValue: TFloat32

The value to load.

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.LoadConst64 Method

TExprNodeFactory Class

function LoadConst64(AValue: TFloat64): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.LoadConst80 Method

TExprNodeFactory Class

function LoadConst80(AValue: TFloat80): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.LoadVar Method (PFloat32)

TExprNodeFactory Class

Overloaded declarations for auto-selection of correct function in code.

Pascal

function LoadVar(ALoc: PFloat32): TExprNode; overload;
function LoadVar(ALoc: PFloat64): TExprNode; overload;
function LoadVar(ALoc: PFloat80): TExprNode; overload;
function LoadConst(AValue: TFloat32): TExprNode; overload;
function LoadConst(AValue: TFloat64): TExprNode; overload;
function LoadConst(AValue: TFloat80): TExprNode; overload;

Description

These functions should auto-select the correct function for the input variable in code, making it more maintainable.

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.LoadVar32 Method

TExprNodeFactory Class

Loads the variable pointed to by ALoc.

Pascal

function LoadVar32(ALoc: PFloat32): TExprNode; virtual; abstract;

Description

Generates a node that will load a variable from a pointer. The type is important, because variables of different types are of different sizes and have different formats.

Parameters

ALoc: PFloat32

Location of the variable to load.

Donator

Barry Kelly

Class

TExprNodeFactory Class


TExprNodeFactory.LoadVar64 Method

TExprNodeFactory Class

function LoadVar64(ALoc: PFloat64): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.LoadVar80 Method

TExprNodeFactory Class

function LoadVar80(ALoc: PFloat80): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.Multiply Method

TExprNodeFactory Class

function Multiply(ALeft: TExprNode; ARight: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.Negate Method

TExprNodeFactory Class

function Negate(AValue: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprNodeFactory.Subtract Method

TExprNodeFactory Class

function Subtract(ALeft: TExprNode; ARight: TExprNode): TExprNode; virtual; abstract;

Class

TExprNodeFactory Class


TExprCompileParser Class

Properties	Methods	See Also	Legend

A compiling parser.

Pascal

TExprCompileParser = class(TObject);

Description

This is a compiling parser. It analyses the input stream of tokens from its lexer using a grammar and builds a graph of nodes that contains enough information to be converted into a high-speed evaluation structure, or possibly even machine code.

The key methods are Create and Compile.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprCompileParser Class Properties

TExprCompileParser Class	Legend

Properties

Context

The context object used for symbol lookup.

 Lexer

The source of tokens for this parser.

 NodeFactory

The node factory object that constructs concrete node types.


Legend

read only


TExprCompileParser Class Methods

TExprCompileParser Class	Legend

Methods

Compile

Compiles an expression from the lexical source.

CompileExpr

Compiles relational operators and uses CompileSimpleExpr.

CompileFactor

Compiles subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to CompileIdentFactor.

CompileIdentFactor

Looks up the symbol corresponding to an identifier and returns its compilation.

CompileSignedFactor

Compiles unary negate etc, and uses CompileFactor.

CompileSimpleExpr

Compiles +, -, etc and uses CompileTerm.

CompileTerm

Compiles *, /, etc and uses CompileSignedFactor.

 Create

Constructs an instance.


Legend

Constructor


Legend

TExprCompileParser Class

Legend

read only

Constructor


TExprCompileParser Class Members

TExprCompileParser Class	Legend

Members

Properties

Context

The context object used for symbol lookup.

 Lexer

The source of tokens for this parser.

 NodeFactory

The node factory object that constructs concrete node types.

Methods

Compile

Compiles an expression from the lexical source.

CompileExpr

Compiles relational operators and uses CompileSimpleExpr.

CompileFactor

Compiles subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to CompileIdentFactor.

CompileIdentFactor

Looks up the symbol corresponding to an identifier and returns its compilation.

CompileSignedFactor

Compiles unary negate etc, and uses CompileFactor.

CompileSimpleExpr

Compiles +, -, etc and uses CompileTerm.

CompileTerm

Compiles *, /, etc and uses CompileSignedFactor.

 Create

Constructs an instance.


Legend

read only

Constructor


See Also

TExprEvalParser, TExprLexer, TExprSym


TExprCompileParser.Context Property

TExprCompileParser Class

The context object used for symbol lookup.

Pascal

property Context: TExprContext;

Description

This property gives the context object that will be used for symbol lookup. Whenever an identifier is found in the input stream, the context will be searched (with TContext.Find), and the symbol found will have its Compile method called. If no symbol is found or the Context property is nil, then an exception will be raised.

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.Lexer Property

TExprCompileParser Class

The source of tokens for this parser.

Pascal

property Lexer: TExprLexer;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.NodeFactory Property

TExprCompileParser Class

The node factory object that constructs concrete node types.

Pascal

property NodeFactory: TExprNodeFactory;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.Compile Method

TExprCompileParser Class

Compiles an expression from the lexical source.

Pascal

function Compile: TExprNode; virtual;

Description

This method compiles the expression by descending through its grammatical methods, starting with CompileExpr.

Return Value

The top-level expression node.

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileExpr Method

TExprCompileParser Class

Compiles relational operators and uses CompileSimpleExpr.

Pascal

function CompileExpr(ASkip: Boolean): TExprNode; virtual;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileFactor Method

TExprCompileParser Class

Compiles subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to CompileIdentFactor.

Pascal

function CompileFactor: TExprNode;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileIdentFactor Method

TExprCompileParser Class

Looks up the symbol corresponding to an identifier and returns its compilation.

Pascal

function CompileIdentFactor: TExprNode;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileSignedFactor Method

TExprCompileParser Class

Compiles unary negate etc, and uses CompileFactor.

Pascal

function CompileSignedFactor(ASkip: Boolean): TExprNode;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileSimpleExpr Method

TExprCompileParser Class

Compiles +, -, etc and uses CompileTerm.

Pascal

function CompileSimpleExpr(ASkip: Boolean): TExprNode;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.CompileTerm Method

TExprCompileParser Class

Compiles *, /, etc and uses CompileSignedFactor.

Pascal

function CompileTerm(ASkip: Boolean): TExprNode;

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprCompileParser.Create Constructor

TExprCompileParser Class

Constructs an instance.

Pascal

constructor Create(ALexer: TExprLexer; ANodeFactory: TExprNodeFactory);

Parameters

ALexer: TExprLexer

The source of tokens to use. It doesn't take ownership of the lexer.

ANodeFactory: TExprNodeFactory

The factory object to use for creating expression nodes. It doesn't take ownership of the factory.

Donator

Barry Kelly

Class

TExprCompileParser Class


TExprEvalParser Class

Properties	Methods	See Also	Legend

An evaluating parser.

Pascal

TExprEvalParser = class(TObject);

Description

This is an evaluating parser. It evaluates the result of an expression as it grammatically analyses the input stream of tokens from its lexer. It returns a floating-point value.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprEvalParser Class Properties

TExprEvalParser Class	Legend

Properties

Context

The context object used for symbol lookup.

 Lexer

The source of tokens for this parser.


Legend

read only


TExprEvalParser Class Methods

TExprEvalParser Class	Legend

Methods

 Create

Constructs an instance.

EvalExpr

Evaluates relational operators and uses EvalSimpleExpr.

EvalFactor

Evaluates subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to EvalIdentFactor.

EvalIdentFactor

Looks up the symbol corresponding to an identifier and returns its evaluation.

EvalSignedFactor

Evaluates unary negate etc, and uses EvalFactor.

EvalSimpleExpr

Evaluates +, -, etc and uses EvalTerm.

EvalTerm

Evaluates *, /, etc and uses EvalSignedFactor.

Evaluate

Evaluates an expression from the lexical source.


Legend

Constructor


Legend

TExprEvalParser Class

Legend

read only

Constructor


TExprEvalParser Class Members

TExprEvalParser Class	Legend

Members

Properties

Context

The context object used for symbol lookup.

 Lexer

The source of tokens for this parser.

Methods

 Create

Constructs an instance.

EvalExpr

Evaluates relational operators and uses EvalSimpleExpr.

EvalFactor

Evaluates subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to EvalIdentFactor.

EvalIdentFactor

Looks up the symbol corresponding to an identifier and returns its evaluation.

EvalSignedFactor

Evaluates unary negate etc, and uses EvalFactor.

EvalSimpleExpr

Evaluates +, -, etc and uses EvalTerm.

EvalTerm

Evaluates *, /, etc and uses EvalSignedFactor.

Evaluate

Evaluates an expression from the lexical source.


Legend

read only

Constructor


See Also

TExprCompileParser, TExprLexer, TExprSym


TExprEvalParser.Context Property

TExprEvalParser Class

The context object used for symbol lookup.

Pascal

property Context: TExprContext;

Description

This property gives the context object that will be used for symbol lookup. Whenever an identifier is found in the input stream, the context will be searched (with TContext.Find), and the symbol found will have its Evaluate method called. If no symbol is found or the Context property is nil, then an exception will be raised.

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.Lexer Property

TExprEvalParser Class

The source of tokens for this parser.

Pascal

property Lexer: TExprLexer;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.Create Constructor

TExprEvalParser Class

Constructs an instance.

Pascal

constructor Create(ALexer: TExprLexer);

Parameters

ALexer: TExprLexer

The source of tokens to use. It doesn't take ownership of the lexer.

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalExpr Method

TExprEvalParser Class

Evaluates relational operators and uses EvalSimpleExpr.

Pascal

function EvalExpr(ASkip: Boolean): TFloat; virtual;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalFactor Method

TExprEvalParser Class

Evaluates subexpressions (i.e. '(' & ')'), numbers, but defers identifiers to EvalIdentFactor.

Pascal

function EvalFactor: TFloat;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalIdentFactor Method

TExprEvalParser Class

Looks up the symbol corresponding to an identifier and returns its evaluation.

Pascal

function EvalIdentFactor: TFloat;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalSignedFactor Method

TExprEvalParser Class

Evaluates unary negate etc, and uses EvalFactor.

Pascal

function EvalSignedFactor(ASkip: Boolean): TFloat;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalSimpleExpr Method

TExprEvalParser Class

Evaluates +, -, etc and uses EvalTerm.

Pascal

function EvalSimpleExpr(ASkip: Boolean): TFloat;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.EvalTerm Method

TExprEvalParser Class

Evaluates *, /, etc and uses EvalSignedFactor.

Pascal

function EvalTerm(ASkip: Boolean): TFloat;

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprEvalParser.Evaluate Method

TExprEvalParser Class

Evaluates an expression from the lexical source.

Pascal

function Evaluate: TFloat; virtual;

Description

This method evaluates the expression by descending through its grammatical methods, starting with EvalExpr.

Return Value

The result of the evaluation.

Donator

Barry Kelly

Class

TExprEvalParser Class


TExprSimpleLexer Class

Properties	Methods	Legend

A simple expression lexical analyser.

Pascal

TExprSimpleLexer = class(TExprLexer);

Donator

Barry Kelly

Group

Expression Evaluation

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.

TExprSimpleLexer Class

 FBuf

Buffer containing expression.

 FCurrPos

Current position in buffer.

Legend

protected

read only

Constructor

Unit

JclExprEval


TExprSimpleLexer Class Fields

TExprSimpleLexer Class	Legend

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.

TExprSimpleLexer Class

 FBuf

Buffer containing expression.

 FCurrPos

Current position in buffer.


Legend

protected


TExprSimpleLexer Class Properties

TExprSimpleLexer Class	Legend

Properties

 CurrTok

The current token type.

 TokenAsNumber

Number information about the current token if that is appropriate.

 TokenAsString

String information about the current token if that is appropriate.

TExprSimpleLexer Class

Buf

Buffer to read expression from.


Legend

read only


TExprSimpleLexer Class Methods

TExprSimpleLexer Class	Legend

Methods

 Create

Constructs an instance and calls Reset.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.

TExprSimpleLexer Class

 Create

Constructs an instance with a buffer ABuf.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.

 SetBuf

Sets a new buffer and calls Reset.


Legend

Constructor

protected


Legend

TExprSimpleLexer Class

Legend

protected

read only

Constructor


TExprSimpleLexer Class Members

TExprSimpleLexer Class	Legend

Members

Fields

 FCurrTok

NextTok should set as appropriate.

 FTokenAsNumber

NextTok should set as appropriate.

 FTokenAsString

NextTok should set as appropriate.

TExprSimpleLexer Class

 FBuf

Buffer containing expression.

 FCurrPos

Current position in buffer.

Properties

 CurrTok

The current token type.

 TokenAsNumber

Number information about the current token if that is appropriate.

 TokenAsString

String information about the current token if that is appropriate.

TExprSimpleLexer Class

Buf

Buffer to read expression from.

Methods

 Create

Constructs an instance and calls Reset.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.

TExprSimpleLexer Class

 Create

Constructs an instance with a buffer ABuf.

NextTok

Skips the current token and gets the next token.

Reset

Resets the position of the lexer to the start of its input stream.

 SetBuf

Sets a new buffer and calls Reset.


Legend

protected

read only

Constructor


TExprSimpleLexer.FBuf Field

TExprSimpleLexer Class

Buffer containing expression.

Pascal

FBuf: string;

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.FCurrPos Field

TExprSimpleLexer Class

Current position in buffer.

Pascal

FCurrPos: PChar;

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.Buf Property

TExprSimpleLexer Class

Buffer to read expression from.

Pascal

property Buf: string;

Description

Set this to change the source text the lexer extracts its tokens from. When it is set, the property setter calls the Reset method, so the lexer will be in a valid state to serve tokens.

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.Create Constructor

TExprSimpleLexer Class

Constructs an instance with a buffer ABuf.

Pascal

constructor Create(const ABuf: string);

Parameters

const ABuf: string

A string containing an expression.

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.NextTok Method

TExprSimpleLexer Class

Skips the current token and gets the next token.

Pascal

procedure NextTok; override;

Description

This method is called by Reset (and thus implicitly by Create), so it doesn't need to be called to get the first token in the stream.

This method does the following jobs:

Skips whitespace

Determines token type from the first character after whitespace has been skipped

Reads in the rest of that token, based on the first character, possibly refining the token type based on further characters. For example, if '<' is read on the input stream, the token could be etLessThan, etNotEqual ('<>') or etLessEqual ('<=').

After a call to this method, CurrTok will give the current token type, and TokenAsString and TokenAsNumber will give extra information as appropriate for the token type.

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.Reset Method

TExprSimpleLexer Class

Resets the position of the lexer to the start of its input stream.

Pascal

procedure Reset; override;

Description

Overridden implementations should call this at the end of their implementations, because it calls NextTok by default.

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprSimpleLexer.SetBuf Method

TExprSimpleLexer Class

Sets a new buffer and calls Reset.

Pascal

procedure SetBuf(const ABuf: string);

Donator

Barry Kelly

Class

TExprSimpleLexer Class


TExprVirtMachOp Class

Properties	Methods	See Also	Legend

An operation that can be executed by a TExprVirtMach instance.

Pascal

TExprVirtMachOp = class(TObject);

Description

TExprVirtMachOp is the kernel of TExprVirtMach's operation. The containing class (TExprVirtMach) is just that - a container, and it just executes the instructions in order to do work.

Each instruction has a virtual Execute method, which should read input from somewhere and write output to somewhere else. Typically, the input is a series of pointers to floating-point variables, and the output is to one or more member variables. The output acts as input for instructions further on in the execution stream; for this mechanism to work, the inputs of downstream instructions must be 'wired' to the outputs of upstream instructions.

Donator

Barry Kelly

Group

Expression Evaluation

Fields

 FOutput

The actual variable this operation will write its output to.

Legend

protected

read only

Unit

JclExprEval


TExprVirtMachOp Class Fields

TExprVirtMachOp Class	Legend

Fields

 FOutput

The actual variable this operation will write its output to.


Legend

protected


TExprVirtMachOp Class Properties

TExprVirtMachOp Class	Legend

Properties

 OutputLoc

The address to which this operation will write its output to.


Legend

read only


TExprVirtMachOp Class Methods

TExprVirtMachOp Class

Methods

Execute

Executes this instruction.


Legend

TExprVirtMachOp Class

Legend

protected

read only


TExprVirtMachOp Class Members

TExprVirtMachOp Class	Legend

Members

Fields

 FOutput

The actual variable this operation will write its output to.

Properties

 OutputLoc

The address to which this operation will write its output to.

Methods

Execute

Executes this instruction.


Legend

protected

read only


See Also

TExprVirtMach


TExprVirtMachOp.FOutput Field

See Also	TExprVirtMachOp Class

The actual variable this operation will write its output to.

Pascal

FOutput: TFloat;

Description

This is the internal storage variable this operation will write its output to. Operations that use this operation for input should take the address of this variable (through the OutputLoc property) to get the result of evaluating this operation.

It is protected to allow easy (and fast) access for descendants.

Donator

Barry Kelly

Class

TExprVirtMachOp Class


See Also

OutputLoc


TExprVirtMachOp.OutputLoc Property

See Also	TExprVirtMachOp Class

The address to which this operation will write its output to.

Pascal

property OutputLoc: PFloat;

Donator

Barry Kelly

Class

TExprVirtMachOp Class


See Also

FOutput


TExprVirtMachOp.Execute Method

TExprVirtMachOp Class

Executes this instruction.

Pascal

procedure Execute; virtual; abstract;

Description

This method executes this instruction, reading from its inputs and writing to its output location. It returns False to terminate the execution sequence early; usually it returns True.

Donator

Barry Kelly

Class

TExprVirtMachOp Class


TExprVirtMach Class

Methods	See Also	Legend

A virtual machine for evaluating expressions relatively quickly.

Pascal

TExprVirtMach = class(TObject);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

Constructor

Unit

JclExprEval


TExprVirtMach Class Methods

TExprVirtMach Class	Legend

Methods

Add

Adds an operation to the end of the list of operations.

AddConst

Adds a constant to the constant list.

Clear

Clears any stored code.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Execute

Executes the stored code and returns the result.


Legend

Constructor


Legend

TExprVirtMach Class

Legend

Constructor


TExprVirtMach Class Members

TExprVirtMach Class	Legend

Members

Methods

Add

Adds an operation to the end of the list of operations.

AddConst

Adds a constant to the constant list.

Clear

Clears any stored code.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Execute

Executes the stored code and returns the result.


Legend

Constructor


See Also

TExprVirtMachNodeFactory, TExprVirtMachOp


TExprVirtMach.Add Method

TExprVirtMach Class

Adds an operation to the end of the list of operations.

Pascal

procedure Add(AOp: TExprVirtMachOp);

Parameters

AOp: TExprVirtMachOp

The operation to add.

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMach.AddConst Method

TExprVirtMach Class

Adds a constant to the constant list.

Pascal

procedure AddConst(AOp: TExprVirtMachOp);

Parameters

AOp: TExprVirtMachOp

The constant to add.

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMach.Clear Method

TExprVirtMach Class

Clears any stored code.

Pascal

procedure Clear;

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMach.Create Constructor

TExprVirtMach Class

Constructs an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMach.Destroy Destructor

TExprVirtMach Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMach.Execute Method

TExprVirtMach Class

Executes the stored code and returns the result.

Pascal

function Execute: TFloat;

Description

This method executes the stored instructions in order starting at the beginning until it either runs out of instructions or it encounters a halt instruction.

Return Value

The value output by the last instruction executed (the result).

Donator

Barry Kelly

Class

TExprVirtMach Class


TExprVirtMachNodeFactory Class

Methods	See Also	Legend

A node factory for virtual machine instructions.

Pascal

TExprVirtMachNodeFactory = class(TExprNodeFactory);

Description

This is a factory class for the default virtual machine.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

Constructor

Unit

JclExprEval


TExprVirtMachNodeFactory Class Methods

TExprVirtMachNodeFactory Class	Legend

Methods

Add

Performs an arithmetic operation.

CallBinary32Func

CallBinary64Func

CallBinary80Func

CallBinaryFunc

CallFloat32Func

CallFloat64Func

CallFloat80Func

CallFloatFunc

Calls a function.

CallTernary32Func

CallTernary64Func

CallTernary80Func

CallTernaryFunc

CallUnary32Func

CallUnary64Func

CallUnary80Func

CallUnaryFunc

Compare

Performs a comparison.

Divide

LoadConst

Overloaded declarations for auto-selection of correct function in code.

LoadConst32

Loads a constant value.

LoadConst64

LoadConst80

LoadVar

Overloaded declarations for auto-selection of correct function in code.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

LoadVar80

Multiply

Negate

Subtract

TExprVirtMachNodeFactory Class

Add

Performs an arithmetic operation.

CallBinary32Func

Calls a function.

CallBinary64Func

Calls a function.

CallBinary80Func

Calls a function.

CallBinaryFunc

Calls a function.

CallFloat32Func

Calls a function.

CallFloat64Func

Calls a function.

CallFloat80Func

Calls a function.

CallFloatFunc

Calls a function.

CallTernary32Func

Calls a function.

CallTernary64Func

Calls a function.

CallTernary80Func

Calls a function.

CallTernaryFunc

Calls a function.

CallUnary32Func

Calls a function.

CallUnary64Func

Calls a function.

CallUnary80Func

Calls a function.

CallUnaryFunc

Calls a function.

Compare

Performs a comparison.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Divide

Performs an arithmetic operation.

GenCode

Generates code for a virtual machine.

LoadConst32

Loads a constant value.

LoadConst64

Loads a constant value.

LoadConst80

Loads a constant value.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

Loads the variable pointed to by ALoc.

LoadVar80

Loads the variable pointed to by ALoc.

Multiply

Performs an arithmetic operation.

Negate

Performs an arithmetic operation.

Subtract

Performs an arithmetic operation.


Legend

Constructor


Legend

TExprVirtMachNodeFactory Class

Legend

Constructor


TExprVirtMachNodeFactory Class Members

TExprVirtMachNodeFactory Class	Legend

Members

Methods

Add

Performs an arithmetic operation.

CallBinary32Func

CallBinary64Func

CallBinary80Func

CallBinaryFunc

CallFloat32Func

CallFloat64Func

CallFloat80Func

CallFloatFunc

Calls a function.

CallTernary32Func

CallTernary64Func

CallTernary80Func

CallTernaryFunc

CallUnary32Func

CallUnary64Func

CallUnary80Func

CallUnaryFunc

Compare

Performs a comparison.

Divide

LoadConst

Overloaded declarations for auto-selection of correct function in code.

LoadConst32

Loads a constant value.

LoadConst64

LoadConst80

LoadVar

Overloaded declarations for auto-selection of correct function in code.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

LoadVar80

Multiply

Negate

Subtract

TExprVirtMachNodeFactory Class

Add

Performs an arithmetic operation.

CallBinary32Func

Calls a function.

CallBinary64Func

Calls a function.

CallBinary80Func

Calls a function.

CallBinaryFunc

Calls a function.

CallFloat32Func

Calls a function.

CallFloat64Func

Calls a function.

CallFloat80Func

Calls a function.

CallFloatFunc

Calls a function.

CallTernary32Func

Calls a function.

CallTernary64Func

Calls a function.

CallTernary80Func

Calls a function.

CallTernaryFunc

Calls a function.

CallUnary32Func

Calls a function.

CallUnary64Func

Calls a function.

CallUnary80Func

Calls a function.

CallUnaryFunc

Calls a function.

Compare

Performs a comparison.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Divide

Performs an arithmetic operation.

GenCode

Generates code for a virtual machine.

LoadConst32

Loads a constant value.

LoadConst64

Loads a constant value.

LoadConst80

Loads a constant value.

LoadVar32

Loads the variable pointed to by ALoc.

LoadVar64

Loads the variable pointed to by ALoc.

LoadVar80

Loads the variable pointed to by ALoc.

Multiply

Performs an arithmetic operation.

Negate

Performs an arithmetic operation.

Subtract

Performs an arithmetic operation.


Legend

Constructor


See Also

TExprVirtMach


TExprVirtMachNodeFactory.Add Method

TExprVirtMachNodeFactory Class

Performs an arithmetic operation.

Pascal

function Add(ALeft: TExprNode; ARight: TExprNode): TExprNode; override;
function Subtract(ALeft: TExprNode; ARight: TExprNode): TExprNode; override;
function Multiply(ALeft: TExprNode; ARight: TExprNode): TExprNode; override;
function Divide(ALeft: TExprNode; ARight: TExprNode): TExprNode; override;
function Negate(AValue: TExprNode): TExprNode; override;

Description

These functions generate nodes that perform an arithmetic operation on their operands.

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.CallFloatFunc Method

TExprVirtMachNodeFactory Class

Calls a function.

Pascal

function CallFloatFunc(AFunc: TFloatFunc): TExprNode; override;
function CallFloat32Func(AFunc: TFloat32Func): TExprNode; override;
function CallFloat64Func(AFunc: TFloat64Func): TExprNode; override;
function CallFloat80Func(AFunc: TFloat80Func): TExprNode; override;
function CallUnaryFunc(AFunc: TUnaryFunc; X: TExprNode): TExprNode; override;
function CallUnary32Func(AFunc: TUnary32Func; X: TExprNode): TExprNode; override;
function CallUnary64Func(AFunc: TUnary64Func; X: TExprNode): TExprNode; override;
function CallUnary80Func(AFunc: TUnary80Func; X: TExprNode): TExprNode; override;
function CallBinaryFunc(AFunc: TBinaryFunc; X: TExprNode; Y: TExprNode): TExprNode; override;
function CallBinary32Func(AFunc: TBinary32Func; X: TExprNode; Y: TExprNode): TExprNode; override;
function CallBinary64Func(AFunc: TBinary64Func; X: TExprNode; Y: TExprNode): TExprNode; override;
function CallBinary80Func(AFunc: TBinary80Func; X: TExprNode; Y: TExprNode): TExprNode; override;
function CallTernaryFunc(AFunc: TTernaryFunc; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; override;
function CallTernary32Func(AFunc: TTernary32Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; override;
function CallTernary64Func(AFunc: TTernary64Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; override;
function CallTernary80Func(AFunc: TTernary80Func; X: TExprNode; Y: TExprNode; Z: TExprNode): TExprNode; override;

Description

Generates a node that will call a function, possibly with parameters. There are 4 basic types of functions directly supported here: no parameters (Float*), 1 parameter (Unary*), 2 parameters (Binary*) and 3 parameters (Ternary*).

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.Compare Method

TExprVirtMachNodeFactory Class

Performs a comparison.

Pascal

function Compare(ALeft: TExprNode; ARight: TExprNode): TExprNode; override;

Description

Compare returns a node that evaluates to -1, 0, or 1 depending on whether ALeft is less than, equal to, or greater than ARight, respectively.

Parameters

ALeft

Left side of comparison.

ARight

Right side of comparison.

Return Value

A node that represents this comparison.

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.Create Constructor

TExprVirtMachNodeFactory Class

Constructs an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.Destroy Destructor

TExprVirtMachNodeFactory Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.GenCode Method

TExprVirtMachNodeFactory Class

Generates code for a virtual machine.

Pascal

procedure GenCode(AVirtMach: TExprVirtMach);

Description

This method converts the internal node DAG into instructions for the virtual machine passed in.

Parameters

AVirtMach: TExprVirtMach

The virtual machine to generate code for.

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.LoadConst32 Method

TExprVirtMachNodeFactory Class

Loads a constant value.

Pascal

function LoadConst32(AValue: TFloat32): TExprNode; override;
function LoadConst64(AValue: TFloat64): TExprNode; override;
function LoadConst80(AValue: TFloat80): TExprNode; override;

Description

Generates a node that will load a constant value. The type is important because less precision will mean faster evaluation.

Parameters

AValue

The value to load.

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprVirtMachNodeFactory.LoadVar32 Method

TExprVirtMachNodeFactory Class

Loads the variable pointed to by ALoc.

Pascal

function LoadVar32(ALoc: PFloat32): TExprNode; override;
function LoadVar64(ALoc: PFloat64): TExprNode; override;
function LoadVar80(ALoc: PFloat80): TExprNode; override;

Description

Generates a node that will load a variable from a pointer. The type is important, because variables of different types are of different sizes and have different formats.

Parameters

ALoc

Location of the variable to load.

Donator

Barry Kelly

Class

TExprVirtMachNodeFactory Class


TExprConstSym Class

Properties	Methods	Legend

Symbol for a constant of type TFloat.

Pascal

TExprConstSym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprConstSym Class Properties

TExprConstSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprConstSym Class Methods

TExprConstSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConstSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprConstSym Class

Legend

read only

Constructor


TExprConstSym Class Members

TExprConstSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConstSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprConstSym.Compile Method

See Also	TExprConstSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConstSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprConstSym.Create Constructor

TExprConstSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AValue: TFloat);

Parameters

const AIdent: string

Identifier for this constant.

AValue: TFloat

Value this identifier should evaluate to.

Donator

Barry Kelly

Class

TExprConstSym Class


TExprConstSym.Evaluate Method

See Also	TExprConstSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConstSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprConst32Sym Class

Properties	Methods	Legend

Symbol for a constant of type TFloat32.

Pascal

TExprConst32Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprConst32Sym Class Properties

TExprConst32Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprConst32Sym Class Methods

TExprConst32Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst32Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprConst32Sym Class

Legend

read only

Constructor


TExprConst32Sym Class Members

TExprConst32Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst32Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprConst32Sym.Compile Method

See Also	TExprConst32Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst32Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprConst32Sym.Create Constructor

TExprConst32Sym Class

constructor Create(const AIdent: string; AValue: TFloat32);

Class

TExprConst32Sym Class


TExprConst32Sym.Evaluate Method

See Also	TExprConst32Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst32Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprConst64Sym Class

Properties	Methods	Legend

Symbol for a constant of type TFloat64.

Pascal

TExprConst64Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprConst64Sym Class Properties

TExprConst64Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprConst64Sym Class Methods

TExprConst64Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst64Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprConst64Sym Class

Legend

read only

Constructor


TExprConst64Sym Class Members

TExprConst64Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst64Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprConst64Sym.Compile Method

See Also	TExprConst64Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst64Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprConst64Sym.Create Constructor

TExprConst64Sym Class

constructor Create(const AIdent: string; AValue: TFloat64);

Class

TExprConst64Sym Class


TExprConst64Sym.Evaluate Method

See Also	TExprConst64Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst64Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprConst80Sym Class

Properties	Methods	Legend

Symbol for a constant of type TFloat80.

Pascal

TExprConst80Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprConst80Sym Class Properties

TExprConst80Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprConst80Sym Class Methods

TExprConst80Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst80Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprConst80Sym Class

Legend

read only

Constructor


TExprConst80Sym Class Members

TExprConst80Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprConst80Sym Class

Compile

Compiles this symbol.

 Create

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprConst80Sym.Compile Method

See Also	TExprConst80Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst80Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprConst80Sym.Create Constructor

TExprConst80Sym Class

constructor Create(const AIdent: string; AValue: TFloat80);

Class

TExprConst80Sym Class


TExprConst80Sym.Evaluate Method

See Also	TExprConst80Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprConst80Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprVar32Sym Class

Properties	Methods	Legend

This class evaluates and / or compiles code for a 32-bit FP variable.

Pascal

TExprVar32Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprVar32Sym Class Properties

TExprVar32Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprVar32Sym Class Methods

TExprVar32Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar32Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing a 32-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprVar32Sym Class

Legend

read only

Constructor


TExprVar32Sym Class Members

TExprVar32Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar32Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing a 32-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprVar32Sym.Compile Method

See Also	TExprVar32Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar32Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprVar32Sym.Create Constructor

TExprVar32Sym Class

Constructs a symbol representing a 32-bit FP variable.

Pascal

constructor Create(const AIdent: string; ALoc: PFloat32);

Parameters

const AIdent: string

Name of the variable.

ALoc: PFloat32

Address of the variable.

Donator

Barry Kelly

Class

TExprVar32Sym Class


TExprVar32Sym.Evaluate Method

See Also	TExprVar32Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar32Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprVar64Sym Class

Properties	Methods	Legend

This class evaluates and / or compiles code for a 64-bit FP variable.

Pascal

TExprVar64Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprVar64Sym Class Properties

TExprVar64Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprVar64Sym Class Methods

TExprVar64Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar64Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing a 64-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprVar64Sym Class

Legend

read only

Constructor


TExprVar64Sym Class Members

TExprVar64Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar64Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing a 64-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprVar64Sym.Compile Method

See Also	TExprVar64Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar64Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprVar64Sym.Create Constructor

TExprVar64Sym Class

Constructs a symbol representing a 64-bit FP variable.

Pascal

constructor Create(const AIdent: string; ALoc: PFloat64);

Parameters

const AIdent: string

Name of the variable.

ALoc: PFloat64

Address of the variable.

Donator

Barry Kelly

Class

TExprVar64Sym Class


TExprVar64Sym.Evaluate Method

See Also	TExprVar64Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar64Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprVar80Sym Class

Properties	Methods	Legend

This class evaluates and / or compiles code for an 80-bit FP variable.

Pascal

TExprVar80Sym = class(TExprSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

Unit

JclExprEval


TExprVar80Sym Class Properties

TExprVar80Sym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprVar80Sym Class Methods

TExprVar80Sym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar80Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing an 80-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

Constructor


Legend

TExprVar80Sym Class

Legend

read only

Constructor


TExprVar80Sym Class Members

TExprVar80Sym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprVar80Sym Class

Compile

Compiles this symbol.

 Create

Constructs a symbol representing an 80-bit FP variable.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor


TExprVar80Sym.Compile Method

See Also	TExprVar80Sym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar80Sym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprVar80Sym.Create Constructor

TExprVar80Sym Class

Constructs a symbol representing an 80-bit FP variable.

Pascal

constructor Create(const AIdent: string; ALoc: PFloat80);

Parameters

const AIdent: string

Name of the variable.

ALoc: PFloat80

Address of the variable.

Donator

Barry Kelly

Class

TExprVar80Sym Class


TExprVar80Sym.Evaluate Method

See Also	TExprVar80Sym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprVar80Sym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprAbstractFuncSym Class

Properties	Methods	Legend

A helper ancestor for function symbols.

Pascal

TExprAbstractFuncSym = class(TExprSym);

Description

This is a useful class to use as an ancestor for function symbols because it has protected methods to read parameters.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprAbstractFuncSym Class Properties

TExprAbstractFuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprAbstractFuncSym Class Methods

TExprAbstractFuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.


Legend

Constructor

protected


Legend

TExprAbstractFuncSym Class

Legend

read only

Constructor

protected


TExprAbstractFuncSym Class Members

TExprAbstractFuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.


Legend

read only

Constructor

protected


TExprAbstractFuncSym.CompileFirstArg Method

TExprAbstractFuncSym Class

Compiles the first argument using the CompileParser.

Pascal

function CompileFirstArg: TExprNode;

Description

This method will raise an exception if there is a missing '(' or missing first argument.

Return Value

The compiled node for the first argument.

Donator

Barry Kelly

Class

TExprAbstractFuncSym Class


TExprAbstractFuncSym.CompileNextArg Method

TExprAbstractFuncSym Class

Compiles a second or subsequent argument using CompileParser.

Pascal

function CompileNextArg: TExprNode;

Description

This method will raise an exception if there is a missing ',' or missing argument after the comma.

Return Value

The compiled node for the next argument.

Donator

Barry Kelly

Class

TExprAbstractFuncSym Class


TExprAbstractFuncSym.EndArgs Method

TExprAbstractFuncSym Class

Reads in the end of an argument list.

Pascal

procedure EndArgs;

Description

This method will raise an exception if the current token isn't ')'. After checking, it skips the right parenthesis.

Donator

Barry Kelly

Class

TExprAbstractFuncSym Class


TExprAbstractFuncSym.EvalFirstArg Method

TExprAbstractFuncSym Class

Evaluates the first argument using the EvalParser.

Pascal

function EvalFirstArg: TFloat;

Description

This method will raise an exception if there is a missing '(' or missing first argument.

Return Value

The evaluation of the first argument.

Donator

Barry Kelly

Class

TExprAbstractFuncSym Class


TExprAbstractFuncSym.EvalNextArg Method

TExprAbstractFuncSym Class

Evaluates a second or subsequent argument using EvalParser.

Pascal

function EvalNextArg: TFloat;

Description

This method will raise an exception if there is a missing ',' or missing argument after the comma.

Return Value

The evaluation of the next argument.

Donator

Barry Kelly

Class

TExprAbstractFuncSym Class


TExprFuncSym Class

Properties	Methods	Legend

Function symbol for TFloatFunc.

Pascal

TExprFuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprFuncSym Class Properties

TExprFuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprFuncSym Class Methods

TExprFuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprFuncSym Class

Legend

read only

Constructor

protected


TExprFuncSym Class Members

TExprFuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprFuncSym.Compile Method

See Also	TExprFuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprFuncSym.Create Constructor

TExprFuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TFloatFunc);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TFloatFunc

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprFuncSym Class


TExprFuncSym.Evaluate Method

See Also	TExprFuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprFloat32FuncSym Class

Properties	Methods	Legend

Function symbol for TFloat32Func.

Pascal

TExprFloat32FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprFloat32FuncSym Class Properties

TExprFloat32FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprFloat32FuncSym Class Methods

TExprFloat32FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprFloat32FuncSym Class

Legend

read only

Constructor

protected


TExprFloat32FuncSym Class Members

TExprFloat32FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprFloat32FuncSym.Compile Method

See Also	TExprFloat32FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat32FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprFloat32FuncSym.Create Constructor

TExprFloat32FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TFloat32Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TFloat32Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprFloat32FuncSym Class


TExprFloat32FuncSym.Evaluate Method

See Also	TExprFloat32FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat32FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprFloat64FuncSym Class

Properties	Methods	Legend

Function symbol for TFloat64Func.

Pascal

TExprFloat64FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprFloat64FuncSym Class Properties

TExprFloat64FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprFloat64FuncSym Class Methods

TExprFloat64FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprFloat64FuncSym Class

Legend

read only

Constructor

protected


TExprFloat64FuncSym Class Members

TExprFloat64FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprFloat64FuncSym.Compile Method

See Also	TExprFloat64FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat64FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprFloat64FuncSym.Create Constructor

TExprFloat64FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TFloat64Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TFloat64Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprFloat64FuncSym Class


TExprFloat64FuncSym.Evaluate Method

See Also	TExprFloat64FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat64FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprFloat80FuncSym Class

Properties	Methods	Legend

Function symbol for TFloat80Func.

Pascal

TExprFloat80FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprFloat80FuncSym Class Properties

TExprFloat80FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprFloat80FuncSym Class Methods

TExprFloat80FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprFloat80FuncSym Class

Legend

read only

Constructor

protected


TExprFloat80FuncSym Class Members

TExprFloat80FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprFloat80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprFloat80FuncSym.Compile Method

See Also	TExprFloat80FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat80FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprFloat80FuncSym.Create Constructor

TExprFloat80FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TFloat80Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TFloat80Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprFloat80FuncSym Class


TExprFloat80FuncSym.Evaluate Method

See Also	TExprFloat80FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprFloat80FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprUnaryFuncSym Class

Properties	Methods	Legend

Function symbol for TUnaryFunc.

Pascal

TExprUnaryFuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprUnaryFuncSym Class Properties

TExprUnaryFuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprUnaryFuncSym Class Methods

TExprUnaryFuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprUnaryFuncSym Class

Legend

read only

Constructor

protected


TExprUnaryFuncSym Class Members

TExprUnaryFuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprUnaryFuncSym.Compile Method

See Also	TExprUnaryFuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnaryFuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprUnaryFuncSym.Create Constructor

TExprUnaryFuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TUnaryFunc);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TUnaryFunc

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprUnaryFuncSym Class


TExprUnaryFuncSym.Evaluate Method

See Also	TExprUnaryFuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnaryFuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprUnary32FuncSym Class

Properties	Methods	Legend

Function symbol for TUnary32Func.

Pascal

TExprUnary32FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprUnary32FuncSym Class Properties

TExprUnary32FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprUnary32FuncSym Class Methods

TExprUnary32FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprUnary32FuncSym Class

Legend

read only

Constructor

protected


TExprUnary32FuncSym Class Members

TExprUnary32FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprUnary32FuncSym.Compile Method

See Also	TExprUnary32FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary32FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprUnary32FuncSym.Create Constructor

TExprUnary32FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TUnary32Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TUnary32Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprUnary32FuncSym Class


TExprUnary32FuncSym.Evaluate Method

See Also	TExprUnary32FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary32FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprUnary64FuncSym Class

Properties	Methods	Legend

Function symbol for TUnary64Func.

Pascal

TExprUnary64FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprUnary64FuncSym Class Properties

TExprUnary64FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprUnary64FuncSym Class Methods

TExprUnary64FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprUnary64FuncSym Class

Legend

read only

Constructor

protected


TExprUnary64FuncSym Class Members

TExprUnary64FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprUnary64FuncSym.Compile Method

See Also	TExprUnary64FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary64FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprUnary64FuncSym.Create Constructor

TExprUnary64FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TUnary64Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TUnary64Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprUnary64FuncSym Class


TExprUnary64FuncSym.Evaluate Method

See Also	TExprUnary64FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary64FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprUnary80FuncSym Class

Properties	Methods	Legend

Function symbol for TUnary80Func.

Pascal

TExprUnary80FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprUnary80FuncSym Class Properties

TExprUnary80FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprUnary80FuncSym Class Methods

TExprUnary80FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprUnary80FuncSym Class

Legend

read only

Constructor

protected


TExprUnary80FuncSym Class Members

TExprUnary80FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprUnary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprUnary80FuncSym.Compile Method

See Also	TExprUnary80FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary80FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprUnary80FuncSym.Create Constructor

TExprUnary80FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TUnary80Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TUnary80Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprUnary80FuncSym Class


TExprUnary80FuncSym.Evaluate Method

See Also	TExprUnary80FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprUnary80FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprBinaryFuncSym Class

Properties	Methods	Legend

Function symbol for TBinaryFunc.

Pascal

TExprBinaryFuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprBinaryFuncSym Class Properties

TExprBinaryFuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprBinaryFuncSym Class Methods

TExprBinaryFuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprBinaryFuncSym Class

Legend

read only

Constructor

protected


TExprBinaryFuncSym Class Members

TExprBinaryFuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprBinaryFuncSym.Compile Method

See Also	TExprBinaryFuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinaryFuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprBinaryFuncSym.Create Constructor

TExprBinaryFuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TBinaryFunc);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TBinaryFunc

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprBinaryFuncSym Class


TExprBinaryFuncSym.Evaluate Method

See Also	TExprBinaryFuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinaryFuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprBinary32FuncSym Class

Properties	Methods	Legend

Function symbol for TBinary32Func.

Pascal

TExprBinary32FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprBinary32FuncSym Class Properties

TExprBinary32FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprBinary32FuncSym Class Methods

TExprBinary32FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprBinary32FuncSym Class

Legend

read only

Constructor

protected


TExprBinary32FuncSym Class Members

TExprBinary32FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprBinary32FuncSym.Compile Method

See Also	TExprBinary32FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary32FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprBinary32FuncSym.Create Constructor

TExprBinary32FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TBinary32Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TBinary32Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprBinary32FuncSym Class


TExprBinary32FuncSym.Evaluate Method

See Also	TExprBinary32FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary32FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprBinary64FuncSym Class

Properties	Methods	Legend

Function symbol for TBinary64Func.

Pascal

TExprBinary64FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprBinary64FuncSym Class Properties

TExprBinary64FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprBinary64FuncSym Class Methods

TExprBinary64FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprBinary64FuncSym Class

Legend

read only

Constructor

protected


TExprBinary64FuncSym Class Members

TExprBinary64FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprBinary64FuncSym.Compile Method

See Also	TExprBinary64FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary64FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprBinary64FuncSym.Create Constructor

TExprBinary64FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TBinary64Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TBinary64Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprBinary64FuncSym Class


TExprBinary64FuncSym.Evaluate Method

See Also	TExprBinary64FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary64FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprBinary80FuncSym Class

Properties	Methods	Legend

Function symbol for TBinary80Func.

Pascal

TExprBinary80FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprBinary80FuncSym Class Properties

TExprBinary80FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprBinary80FuncSym Class Methods

TExprBinary80FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprBinary80FuncSym Class

Legend

read only

Constructor

protected


TExprBinary80FuncSym Class Members

TExprBinary80FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprBinary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprBinary80FuncSym.Compile Method

See Also	TExprBinary80FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary80FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprBinary80FuncSym.Create Constructor

TExprBinary80FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TBinary80Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TBinary80Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprBinary80FuncSym Class


TExprBinary80FuncSym.Evaluate Method

See Also	TExprBinary80FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprBinary80FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprTernaryFuncSym Class

Properties	Methods	Legend

Function symbol for TTernaryFunc.

Pascal

TExprTernaryFuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprTernaryFuncSym Class Properties

TExprTernaryFuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprTernaryFuncSym Class Methods

TExprTernaryFuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprTernaryFuncSym Class

Legend

read only

Constructor

protected


TExprTernaryFuncSym Class Members

TExprTernaryFuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernaryFuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprTernaryFuncSym.Compile Method

See Also	TExprTernaryFuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernaryFuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprTernaryFuncSym.Create Constructor

TExprTernaryFuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TTernaryFunc);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TTernaryFunc

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprTernaryFuncSym Class


TExprTernaryFuncSym.Evaluate Method

See Also	TExprTernaryFuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernaryFuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprTernary32FuncSym Class

Properties	Methods	Legend

Function symbol for TTernary32Func.

Pascal

TExprTernary32FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprTernary32FuncSym Class Properties

TExprTernary32FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprTernary32FuncSym Class Methods

TExprTernary32FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprTernary32FuncSym Class

Legend

read only

Constructor

protected


TExprTernary32FuncSym Class Members

TExprTernary32FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary32FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprTernary32FuncSym.Compile Method

See Also	TExprTernary32FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary32FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprTernary32FuncSym.Create Constructor

TExprTernary32FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TTernary32Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TTernary32Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprTernary32FuncSym Class


TExprTernary32FuncSym.Evaluate Method

See Also	TExprTernary32FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary32FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprTernary64FuncSym Class

Properties	Methods	Legend

Function symbol for TTernary64Func.

Pascal

TExprTernary64FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprTernary64FuncSym Class Properties

TExprTernary64FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprTernary64FuncSym Class Methods

TExprTernary64FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprTernary64FuncSym Class

Legend

read only

Constructor

protected


TExprTernary64FuncSym Class Members

TExprTernary64FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary64FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprTernary64FuncSym.Compile Method

See Also	TExprTernary64FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary64FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprTernary64FuncSym.Create Constructor

TExprTernary64FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TTernary64Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TTernary64Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprTernary64FuncSym Class


TExprTernary64FuncSym.Evaluate Method

See Also	TExprTernary64FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary64FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TExprTernary80FuncSym Class

Properties	Methods	Legend

Function symbol for TTernary80Func.

Pascal

TExprTernary80FuncSym = class(TExprAbstractFuncSym);

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

Constructor

protected

Unit

JclExprEval


TExprTernary80FuncSym Class Properties

TExprTernary80FuncSym Class	Legend

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.


Legend

read only


TExprTernary80FuncSym Class Methods

TExprTernary80FuncSym Class	Legend

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

Constructor

protected


Legend

TExprTernary80FuncSym Class

Legend

read only

Constructor

protected


TExprTernary80FuncSym Class Members

TExprTernary80FuncSym Class	Legend

Members

Properties

CompileParser

The compile parser that found this symbol in its stream.

EvalParser

The evaluation parser that found this symbol in its stream.

 Ident

Identifier token that should trigger this symbol.

Lexer

The lexical analyser that found this symbol in its stream.

NodeFactory

The expression node factory object for creating expression node instances.

Methods

Compile

Compiles this symbol.

 Create

Constructs a new instance.

Evaluate

Evaluates this symbol.

TExprAbstractFuncSym Class

 CompileFirstArg

Compiles the first argument using the CompileParser.

 CompileNextArg

Compiles a second or subsequent argument using CompileParser.

 EndArgs

Reads in the end of an argument list.

 EvalFirstArg

Evaluates the first argument using the EvalParser.

 EvalNextArg

Evaluates a second or subsequent argument using EvalParser.

TExprTernary80FuncSym Class

Compile

Compiles this symbol.

 Create

Constructs an instance.

Evaluate

Evaluates this symbol.


Legend

read only

Constructor

protected


TExprTernary80FuncSym.Compile Method

See Also	TExprTernary80FuncSym Class

Compiles this symbol.

Pascal

function Compile: TExprNode; override;

Description

This method is called by a compiling Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return an expression node that contains all the necessary state to evaluate this symbol at expression evaluation time. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary80FuncSym Class


See Also

TExprNode, TExprSym.Evaluate, TExprSym.Lexer, TExprSym.CompileParser


TExprTernary80FuncSym.Create Constructor

TExprTernary80FuncSym Class

Constructs an instance.

Pascal

constructor Create(const AIdent: string; AFunc: TTernary80Func);

Parameters

const AIdent: string

Identifier for this function.

AFunc: TTernary80Func

Function that evaluates this symbol.

Donator

Barry Kelly

Class

TExprTernary80FuncSym Class


TExprTernary80FuncSym.Evaluate Method

See Also	TExprTernary80FuncSym Class

Evaluates this symbol.

Pascal

function Evaluate: TFloat; override;

Description

This method is called by an evaluating Parser when it finds this symbol in its stream. It should call methods of the lexer and parser and ultimately return a value that represents the value of this symbol. The Lexer is positioned at the first token following the symbol.

Donator

Barry Kelly

Class

TExprTernary80FuncSym Class


See Also

TExprSym.Compile, TExprSym.Lexer, TExprSym.EvalParser


TEasyEvaluator Class

Properties	Methods	Legend

This is an abstract class that provides friendly methods for adding constanst, variables, functions and external contexts.

Pascal

TEasyEvaluator = class(TObject);

Description

This is an abstract class provided so that symbols can be added to descendants' internal contexts with minimum hassle. Use a concrete descendant, like TEvaluator or TCompiledEvaluator instead.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

protected

Constructor

Unit

JclExprEval


TEasyEvaluator Class Properties

TEasyEvaluator Class	Legend

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.


Legend

read only

protected


TEasyEvaluator Class Methods

TEasyEvaluator Class	Legend

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.


Legend

Constructor


Legend

TEasyEvaluator Class

Legend

read only

protected

Constructor


TEasyEvaluator Class Members

TEasyEvaluator Class	Legend

Members

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.


Legend

read only

protected

Constructor


TEasyEvaluator.ExtContextSet Property

TEasyEvaluator Class

A set of external contexts that are looked up after the internal context.

Pascal

property ExtContextSet: TExprSetContext;

Description

This property allows the addition of multiple utility contexts to this expression evaluator. Things like function libraries, variable sets, constant libraries etc. may be added using methods of this property.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.InternalContextSet Property

TEasyEvaluator Class

Provides protected access to the internal context set.

Pascal

property InternalContextSet: TExprSetContext;

Description

This is provided so that descendants can set their parser's Context property.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.AddConst Method (string, TFloat32)

TEasyEvaluator Class

Adds a constant.

Pascal

procedure AddConst(const AName: string; AConst: TFloat32); overload;
procedure AddConst(const AName: string; AConst: TFloat64); overload;
procedure AddConst(const AName: string; AConst: TFloat80); overload;

Description

Adds a constant to the internal context. Constants are different from variables because sub-expressions made entirely from constants may be evaluated only once (at compile time), and that value used for all subsequent evaluations.

Parameters

const AName: string

Identifier for the constant.

AConst: TFloat32

Value of constant.

Notes

Any constants added using these methods will override identifiers of the same name in external contexts added through ExtContextSet.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.AddFunc Method (string, TFloat32Func)

TEasyEvaluator Class

Adds a function.

Pascal

procedure AddFunc(const AName: string; AFunc: TFloat32Func); overload;
procedure AddFunc(const AName: string; AFunc: TFloat64Func); overload;
procedure AddFunc(const AName: string; AFunc: TFloat80Func); overload;
procedure AddFunc(const AName: string; AFunc: TUnary32Func); overload;
procedure AddFunc(const AName: string; AFunc: TUnary64Func); overload;
procedure AddFunc(const AName: string; AFunc: TUnary80Func); overload;
procedure AddFunc(const AName: string; AFunc: TBinary32Func); overload;
procedure AddFunc(const AName: string; AFunc: TBinary64Func); overload;
procedure AddFunc(const AName: string; AFunc: TBinary80Func); overload;
procedure AddFunc(const AName: string; AFunc: TTernary32Func); overload;
procedure AddFunc(const AName: string; AFunc: TTernary64Func); overload;
procedure AddFunc(const AName: string; AFunc: TTernary80Func); overload;

Description

Adds a function to the internal context. Multiple calls to the same function with the same parameters might be resolved to a single call during common sub-expression elimination (CSE) optimization. A possible workaround would be to add a fake extra parameter and pass in different constant for each distinct call.

Parameters

const AName: string

Identifier for the function.

AFunc: TFloat32Func

Function pointer that evaluates the function.

Notes

Any functions added using these methods will override identifiers of the same name in external contexts added through ExtContextSet.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.AddVar Method (string, TFloat32)

TEasyEvaluator Class

Adds a variable.

Pascal

procedure AddVar(const AName: string; var AVar: TFloat32); overload;
procedure AddVar(const AName: string; var AVar: TFloat64); overload;
procedure AddVar(const AName: string; var AVar: TFloat80); overload;

Description

Adds a variable to the internal context. Whenever the variable is found in an expression, its current value will be inserted.

Parameters

const AName: string

Identifier of variable to add.

var AVar: TFloat32

Location of variable to add.

Notes

An assumption that may be made by optimizing compilers is that functions don't modify variables, and that functions may be called in any order.

Any variables added using these methods will override identifiers of the same name in external contexts added through ExtContextSet.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.Clear Method

TEasyEvaluator Class

Clears all identifiers from the internal context.

Pascal

procedure Clear;

Description

This method clears the internal context of symbols. It doesn't affect any contexts added through ExtContextSet.

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.Create Constructor

TEasyEvaluator Class

Creates an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.Destroy Destructor

TEasyEvaluator Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEasyEvaluator.Remove Method

TEasyEvaluator Class

Removes an identifier from the internal context.

Pascal

procedure Remove(const AName: string);

Description

This method removes an identifier from the internal context and frees its associated symbol.

Parameters

const AName: string

Identifier to remove.

Notes

This is the only way to remove a single identifier from the internal context (call Clear to remove all identifiers).

Donator

Barry Kelly

Class

TEasyEvaluator Class


TEvaluator Class

Properties	Methods	Examples	Legend

Quick evaluator shell object.

Pascal

TEvaluator = class(TEasyEvaluator);

Description

This is an encapsulation of a simple lexer and an evaluating parser. It evaluates while parsing, and it doesn't store any compiled expression. This means it evaluates quite quickly, but isn't very fast for repeated evaluations of the same expression.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

protected

Constructor

Unit

JclExprEval


TEvaluator Class Properties

TEvaluator Class	Legend

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.


Legend

read only

protected


TEvaluator Class Methods

TEvaluator Class	Legend

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TEvaluator Class

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Evaluate

Evaluates an expression.


Legend

Constructor


Legend

TEvaluator Class

Legend

read only

protected

Constructor


TEvaluator Class Members

TEvaluator Class	Legend

Members

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TEvaluator Class

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Evaluate

Evaluates an expression.


Legend

read only

protected

Constructor


Examples

TEvaluator Class

Create a new project, remove the default form and replace the contents of the project file with this:

  uses SysUtils, JclExprEval, Dialogs;

  function MyAdder(X, Y: Double): Double;

  beginResult := X + Y + 0.12;

  end;

  var

    evaluator: TEvaluator;

    X: Double;

    Y: Extended;

  begin

    evaluator := TEvaluator.Create;

    try

      evaluator.AddVar('X', X);

      evaluator.AddVar('Y', Y);

      evaluator.AddFunc('MyAdder', MyAdder);

      X := 3.5;

      Y := 0.7;

      ShowMessage(Format('Delphi says: %.4g',

        [MyAdder(X, Y)]));

      ShowMessage(Format('TEvaluator says: %.4g',

        [evaluator.Evaluate('MyAdder(X, Y)')]));

    finally

      evaluator.Free;

    end;

  end.


TEvaluator.Create Constructor

TEvaluator Class

Constructs an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TEvaluator Class


TEvaluator.Destroy Destructor

TEvaluator Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TEvaluator Class


TEvaluator.Evaluate Method

TEvaluator Class

Evaluates an expression.

Pascal

function Evaluate(const AExpr: string): TFloat;

Description

This sets the lexer source to AExpr, and calls the parser's Evaluate method.

Parameters

const AExpr: string

The expression to evaluate.

Return Value

The result of the evaluation.

Donator

Barry Kelly

Class

TEvaluator Class


TCompiledEvaluator Class

Properties	Methods	Legend

An evaluator that first compiles an expression into an intermediate form, then evaluates it on demand.

Pascal

TCompiledEvaluator = class(TEasyEvaluator);

Description

This evaluator is suitable for applications like graphing, where there is just one expression which is constantly evaluated with variables and/or functions changing value. It takes longer to compile than TEvaluator does to evaluate, but once compiled is much faster.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

protected

Constructor

Unit

JclExprEval


TCompiledEvaluator Class Properties

TCompiledEvaluator Class	Legend

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.


Legend

read only

protected


TCompiledEvaluator Class Methods

TCompiledEvaluator Class	Legend

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TCompiledEvaluator Class

Compile

Compiles an expression.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Evaluate

Evaluates the internal compiled expression.


Legend

Constructor


Legend

TCompiledEvaluator Class

Legend

read only

protected

Constructor


TCompiledEvaluator Class Members

TCompiledEvaluator Class	Legend

Members

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TCompiledEvaluator Class

Compile

Compiles an expression.

 Create

Constructs an instance.

 Destroy

Destroys an instance. Use Free instead.

Evaluate

Evaluates the internal compiled expression.


Legend

read only

protected

Constructor


TCompiledEvaluator.Compile Method

TCompiledEvaluator Class

Compiles an expression.

Pascal

procedure Compile(const AExpr: string);

Description

Compiles the expression given by AExpr, and stores its compiled state internally, so that it can be evaluated quickly.

Parameters

const AExpr: string

The expression to compile.

Donator

Barry Kelly

Class

TCompiledEvaluator Class


TCompiledEvaluator.Create Constructor

TCompiledEvaluator Class

Constructs an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TCompiledEvaluator Class


TCompiledEvaluator.Destroy Destructor

TCompiledEvaluator Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TCompiledEvaluator Class


TCompiledEvaluator.Evaluate Method

TCompiledEvaluator Class

Evaluates the internal compiled expression.

Pascal

function Evaluate: TFloat;

Description

Executes the internal compiled state, and returns the evaluation. If there was an error while compiling, or the object is just after being created, it returns zero.

Return Value

The result of the evaluation.

Donator

Barry Kelly

Class

TCompiledEvaluator Class


TCompiledExpression Type

A compiled expression, which may be called directly to evaluate.

Pascal

TCompiledExpression = function : TFloat of object;

Donator

Barry Kelly

Group

Expression Evaluation

Unit

JclExprEval


TExpressionCompiler Class

Properties	Methods	Legend

An expression compiler, for multiple expressions.

Pascal

TExpressionCompiler = class(TEasyEvaluator);

Description

This is a multiple expression compiler. It compiles expressions into function pointers, so that the function pointer can be called as if it were an ordinary Delphi function. It takes longer to compile an expression than TEvaluator does to evaluate, but once compiled it is much faster at evaluating.

It is suitable for spreadsheet-like applications, where there may be thousands of functions, all of which have to be evaluated quickly and repeatedly.

Donator

Barry Kelly

Group

Expression Evaluation

Legend

read only

protected

Constructor

Unit

JclExprEval


TExpressionCompiler Class Properties

TExpressionCompiler Class	Legend

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.


Legend

read only

protected


TExpressionCompiler Class Methods

TExpressionCompiler Class	Legend

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TExpressionCompiler Class

Clear

Clears all compiled expressions.

Compile

Compiles an expression into a function pointer.

 Create

Constructs an instance.

Delete

Frees a compiled expression.

 Destroy

Destroys an instance. Use Free instead.

Remove

Frees a compiled expression.


Legend

Constructor


Legend

TExpressionCompiler Class

Legend

read only

protected

Constructor


TExpressionCompiler Class Members

TExpressionCompiler Class	Legend

Members

Properties

 ExtContextSet

A set of external contexts that are looked up after the internal context.

 InternalContextSet

Provides protected access to the internal context set.

Methods

AddConst

Adds a constant.

AddFunc

Adds a function.

AddVar

Adds a variable.

Clear

Clears all identifiers from the internal context.

 Create

Creates an instance.

 Destroy

Destroys an instance. Use Free instead.

Remove

Removes an identifier from the internal context.

TExpressionCompiler Class

Clear

Clears all compiled expressions.

Compile

Compiles an expression into a function pointer.

 Create

Constructs an instance.

Delete

Frees a compiled expression.

 Destroy

Destroys an instance. Use Free instead.

Remove

Frees a compiled expression.


Legend

read only

protected

Constructor


TExpressionCompiler.Clear Method

TExpressionCompiler Class

Clears all compiled expressions.

Pascal

procedure Clear;

Description

This method frees all internal compiled expressions; this will invalidate any remaining compiled expression function pointers, and subsequntly calling one of these remaining function pointers will result in undefined behaviour (probably an access violation).

Donator

Barry Kelly

Class

TExpressionCompiler Class


TExpressionCompiler.Compile Method

TExpressionCompiler Class

Compiles an expression into a function pointer.

Pascal

function Compile(const AExpr: string): TCompiledExpression;

Description

This method compiles the given expression into an internal representation (a reference to which is kept internally), and returns a function pointer that evaluates the expression whenever called.

Because a reference is kept internally, to free the expression (and thus release its resources), either the Remove or Delete methods must be called. Calling Clear will free all expressions, as will freeing this compiler.

Parameters

const AExpr: string

Expression to compile.

Return Value

A function pointer which, when called, will evaluate the result of the expression and return it.

Donator

Barry Kelly

Class

TExpressionCompiler Class


TExpressionCompiler.Create Constructor

TExpressionCompiler Class

Constructs an instance.

Pascal

constructor Create;

Donator

Barry Kelly

Class

TExpressionCompiler Class


TExpressionCompiler.Delete Method

TExpressionCompiler Class

Frees a compiled expression.

Pascal

procedure Delete(ACompiledExpression: TCompiledExpression);

Description

Delete frees the expression referenced by ACompiledExpression.

Parameters

ACompiledExpression: TCompiledExpression

Expression to remove.

Donator

Barry Kelly

Class

TExpressionCompiler Class


TExpressionCompiler.Destroy Destructor

TExpressionCompiler Class

Destroys an instance. Use Free instead.

Pascal

destructor Destroy; override;

Donator

Barry Kelly

Class

TExpressionCompiler Class


TExpressionCompiler.Remove Method

TExpressionCompiler Class

Frees a compiled expression.

Pascal

procedure Remove(const AExpr: string);

Description

Remove frees the expression into which AExpr was compiled. AExpr is used as a string to look up a hash map, so it should be identical to the string passed in to Compile.

Parameters

const AExpr: string

Expression to remove.

Donator

Barry Kelly

Class

TExpressionCompiler Class


Files and IO

JEDI Code Library

Topics

Files and Directories

File Systems

Path manipulation

Streams


Topics

Files and IO

Topics

Files and Directories

File Systems

Path manipulation

Streams


Files and Directories

Files and IO

Topics

File Search

File Version Information

Functions

GetFileCreation

Returns the date/time that the file was created.

GetFileInformation

Returns information about a file.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetSizeOfFile

Returns the size of a file.

FileGetTypeName

Returns a string that describes the file's type.

FindUnusedFileName

Returns a unique filename composed of the specified parts and a unique number.

ForceDirectories

Creates all the directories along a directory path if they do not already exist.

FileGetDisplayName

Returns the display name of a path.

FileGetOwnerName

Returns the name of the owner of a file.

FileGetGroupName

Returns the name of the owner of a file.

GetModulePath

Returns the filename of a module.

FileGetTempName

Returns the name for a temporary file.

FileCreateTemp

Creates a temporary file.

FileBackup

FileCopy

Copies a file.

FileDelete

FileExists

Tests whether a file exists.

FileMove

FileRestore

ShredFile

Shreds the contents of the file and then deletes it.

FileGetSize

Returns the size of the specified file.

GetFileAttributeListEx

Converts attributes flag to a stringlist.

GetFileAttributeList

Converts attributes flag to a stringlist.

GetDirectorySize

Returns the size of a directory.

GetDriveTypeStr

Returns the type of drive.

SetFileLastWrite

Sets the file's last-write time stamp.

SetFileLastAccess

Sets the file's last-access time stamp.

SetFileCreation

Sets the file's creation time stamp.

SetDirLastWrite

Sets the directory's last-write time stamp.

SetDirLastAccess

Sets the directory's last-write time stamp.

SetDirCreation

Sets the directory's last-write time stamp.

IsDirectory

Tests if the file is a directory.

LockVolume

Locks the specified volume.

OpenVolume

Opens a handle to the specified volume.

CloseVolume

Closes a handle for a previously opened volume.

CreateEmptyFile

Creates a new file with a zero length.

GetStandardFileInfo

Returns information about a file.

GetFileAgeCoherence

Tests the file age coherence of a file.

BuildFileList

Builds a list of files and folders in a directory.

AdvBuildFileList

AdvBuildFileList works like BuildFileList if called with only three parameters, but it accepts two optional parameters for extended functionality.

DelTree

Recursively deletes a folder.

DelTreeEx

Recursively deletes a folder.

DirectoryExists

Determines whether a directory exists.

DiskInDrive

Tests whether there is a disk in the specified drive.

DeleteDirectory

Deletes specified file or moves it to recycle bin.

UnlockVolume

Tries to unlock the volume represented by the handle passed.

CreateSymbolicLink

SymbolicLinkTarget

FileAttributesStr

Types

TFileListOptions

TDelTreeProgress

Progress callback routine for the DelTreeEx function.


Files and Directories Functions

Files and Directories

Functions

GetFileCreation

Returns the date/time that the file was created.

GetFileInformation

Returns information about a file.

GetFileLastAccess

Returns the date/time that the file was last accessed.

GetFileLastWrite

Returns the date/time that the file was last written to.

GetSizeOfFile

Returns the size of a file.

FileGetTypeName

Returns a string that describes the file's type.

FindUnusedFileName

Returns a unique filename composed of the specified parts and a unique number.

ForceDirectories

Creates all the directories along a directory path if they do not already exist.

FileGetDisplayName

Returns the display name of a path.

FileGetOwnerName

Returns the name of the owner of a file.

FileGetGroupName

Returns the name of the owner of a file.

GetModulePath

Returns the filename of a module.

FileGetTempName

Returns the name for a temporary file.

FileCreateTemp

Creates a temporary file.

FileBackup

FileCopy

Copies a file.

FileDelete

FileExists

Tests whether a file exists.

FileMove

FileRestore

ShredFile

Shreds the contents of the file and then deletes it.

FileGetSize

Returns the size of the specified file.

GetFileAttributeListEx

Converts attributes flag to a stringlist.

GetFileAttributeList

Converts attributes flag to a stringlist.

GetDirectorySize

Returns the size of a directory.

GetDriveTypeStr

Returns the type of drive.

SetFileLastWrite

Sets the file's last-write time stamp.

SetFileLastAccess

Sets the file's last-access time stamp.

SetFileCreation

Sets the file's creation time stamp.

SetDirLastWrite

Sets the directory's last-write time stamp.

SetDirLastAccess

Sets the directory's last-write time stamp.

SetDirCreation

Sets the directory's last-write time stamp.

IsDirectory

Tests if the file is a directory.

LockVolume

Locks the specified volume.

OpenVolume

Opens a handle to the specified volume.

CloseVolume

Closes a handle for a previously opened volume.

CreateEmptyFile

Creates a new file with a zero length.

GetStandardFileInfo

Returns information about a file.

GetFileAgeCoherence

Tests the file age coherence of a file.

BuildFileList

Builds a list of files and folders in a directory.

AdvBuildFileList

AdvBuildFileList works like BuildFileList if called with only three parameters, but it accepts two optional parameters for extended functionality.

DelTree

Recursively deletes a folder.

DelTreeEx

Recursively deletes a folder.

DirectoryExists

Determines whether a directory exists.

DiskInDrive

Tests whether there is a disk in the specified drive.

DeleteDirectory

Deletes specified file or moves it to recycle bin.

UnlockVolume

Tries to unlock the volume represented by the handle passed.

CreateSymbolicLink

SymbolicLinkTarget

FileAttributesStr


Files and Directories Types

Files and Directories

Types

TFileListOptions

TDelTreeProgress

Progress callback routine for the DelTreeEx function.


Topics

Files and Directories

Topics

File Search

File Version Information


GetFileCreation Function

See Also

Returns the date/time that the file was created.

Pascal

function GetFileCreation(const FileName: string): TFileTime; overload;
function GetFileCreation(const FileName: string; out LocalTime: TDateTime): Boolean; overload;

Description

FileCreation returns the date/time that the specified file was created. The return value is a UTC based TFileTime value which can be converted to the familiar TDateTime by using the FileTimeToDateTime function.

Parameters

const FileName: string

The name of the file for which to retrieve the time of creation.

Return Value

The date/time the file was created. On failure the function raises an exception.

Platforms

Windows

Donator

Massimo Maria Ghisalberti

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileAgeCoherence GetFileLastAccess GetFileLastWrite


GetFileInformation Function

See Also

Returns information about a file.

Pascal

function GetFileInformation(const FileName: string; out FileInfo: TSearchRec): Boolean; overload;
function GetFileInformation(const FileName: string): TSearchRec; overload;

Description

GetFileInformation returns a TSearchRec record containing information about the specified file such as creation time, filesize and so forth.

Parameters

const FileName: string

Fully qualified name of the file for which to retrieve information.

Return Value

If the function succeeds it returns a TSearchRec with information about the file. The Delphi help contains documentation for this record. If the function fails, for example because it can't find the file, it raises an EWin32Error exception.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

GetStandardFileInfo


GetFileLastAccess Function

See Also

Returns the date/time that the file was last accessed.

Pascal

function GetFileLastAccess(const FileName: string): TFileTime; overload;
function GetFileLastAccess(const FileName: string; out LocalTime: TDateTime): Boolean; overload;
function GetFileLastAccess(const FileName: string; out TimeStamp: Integer; ResolveSymLinks: Boolean = True): Boolean; overload;
function GetFileLastAccess(const FileName: string; out LocalTime: TDateTime; ResolveSymLinks: Boolean = True): Boolean; overload;
function GetFileLastAccess(const FileName: string; ResolveSymLinks: Boolean = True): Integer; overload;

Description

FileLastAccess returns the date/time that the specified file was last accessed. The return value is a UTC based TFileTime value which can be converted to the familiar TDateTime by using the FileTimeToDateTime function.

Parameters

const FileName: string

The name of the file for which to retrieve the time of last access.

Return Value

The date/time the file was last accessed. On failure the function raises an exception.

Donator

Massimo Maria Ghisalberti

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileAgeCoherence GetFileLastWrite GetFileCreation


GetFileLastWrite Function

See Also

Returns the date/time that the file was last written to.

Pascal

function GetFileLastWrite(const FileName: string): TFileTime; overload;
function GetFileLastWrite(const FileName: string; out LocalTime: TDateTime): Boolean; overload;
function GetFileLastWrite(const FileName: string; out TimeStamp: Integer; ResolveSymLinks: Boolean = True): Boolean; overload;
function GetFileLastWrite(const FileName: string; out LocalTime: TDateTime; ResolveSymLinks: Boolean = True): Boolean; overload;
function GetFileLastWrite(const FileName: string; ResolveSymLinks: Boolean = True): Integer; overload;

Description

FileLastWrite returns the date/time that the specified file was last written to. The return value is a UTC based TFileTime value which can be converted to the familiar TDateTime by using FileTimeToDateTime function.

Parameters

const FileName: string

The name of the file for which to retrieve the time of last write.

Return Value

The date/time the file was last written to, in TFileTime format. On failure the function raises an exception.

Donator

Massimo Maria Ghisalberti

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileAgeCoherence GetFileLastAccess GetFileCreation


GetSizeOfFile Function

Returns the size of a file.

Pascal

function GetSizeOfFile(const FileName: string): Int64; overload;
function GetSizeOfFile(const FileInfo: TSearchRec): Int64; overload;
function GetSizeOfFile(Handle: THandle): Int64; overload;

Description

The GetSizeOfFile returns the size, in bytes of the specified file. Note that the returned value is the actual size of the file. This may, and most likely will, differ from the storage the file actually occupies on the disk.

Parameters

const FileName: string

Fully qualified name of the file for which to determine the size.

Handle: THandle

Handle of the file for which to determine the size. This handle must have been opened with sufficient rights (GENERIC_READ at the very least). The function assumes the handle is valid and silently fails if it is not.

Return Value

The size of the file, in bytes. If the function fails to determine the size of the file it raises an exception.

Donator

David Hervieux (Win32 code)

Contributors

Robert Rossmair (Unix code)

Group

Files and Directories

Unit

JclFileUtils


FileGetTypeName Function

See Also

Returns a string that describes the file's type.

Pascal

function FileGetTypeName(const FileName: string): string;

Description

FileGetTypeName returns a string that describes the specified file's type. For example, if the file is of type .pas the returned string is 'Delphi Source File' (assuming Delphi 5 is installed). If the file type is not registered or the function fails it returns a string of the form '.PAS File' where '.PAS' is replaced with the file's extension.

Parameters

const FileName: string

The name of the file for which you want to know the type name. The file does not have to exist physically.

Return Value

String that describes the file type.

Platforms

Windows

Donator

Pelle F. S. Liljendal

Group

Files and Directories

Unit

JclFileUtils


See Also

PathGetDisplayName


FindUnusedFileName Function

Returns a unique filename composed of the specified parts and a unique number.

Pascal

function FindUnusedFileName(const FileName: string; const FileExt: string; const Suffix: string): string;

Description

FindUnusedFileName returns a unique filename composed of the FileName and Suffix parts and an optional number. If a file of the form FileName + Suffix.FileExt doesn't exist yet this is the name that's returned. If such a file already exists the function appends a number to the filename, starting at '1' and continues to increment this number until no file with the composed filename exists. For example, calling FindUnusedFileName('My', 'txt', 'File') while a file named 'MyFile.txt' and 'MyFile1.txt' already exists, will return 'MyFile2.txt' (the sequence tried by the function is 'MyFile.txt', 'MyFile1.txt' and 'MyFile2.txt').

Parameters

const FileName: string

Name part of the filename

const FileExt: string

Extension part of the filename

const Suffix: string

Optional suffix to be appended to FileName

Return Value

A unique filename composed of the specified parts and a number to make it unique.

Donator

Anthony Steele

Group

Files and Directories

Unit

JclFileUtils


ForceDirectories Function

Creates all the directories along a directory path if they do not already exist.

Pascal

function ForceDirectories(Name: string): Boolean;

Description

Creates all the directories along a directory path if they do not already exist. Note that this routine was copied from FileCtrl.pas to avoid a dependency on that unit, see source code further more details.

Parameters

Name: string

Directory path to be created, if it doesn't exist already.

Return Value

ForceDirectories returns True if it successfully creates all necessary directories, False if it could not create a needed directory.

Notes

Do not call ForceDirectories with an empty string. Doing so causes ForceDirectories to raise an exception.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


FileGetDisplayName Function

See Also

Returns the display name of a path.

Pascal

function FileGetDisplayName(const FileName: string): string;

Description

FileGetDisplayName returns the display name of the specified file. Usually the display name will be equal to the long filename without the extension, but this is not necessarily always true.

Parameters

const FileName: string

The name of the file for which you want to know the display name. The file must physically exist on the drive or the function fails.

Return Value

If the function succeeds it returns the display name of the supplied file. If the function fails the result is a copy of the supplied filename.

Donator

Pelle F. S. Liljendal

Group

Files and Directories

Unit

JclFileUtils


See Also

PathGetShortName PathGetLongName FileGetTypeName


FileGetOwnerName Function

See Also

Returns the name of the owner of a file.

Pascal

function FileGetOwnerName(const FileName: string; ResolveSymLinks: Boolean = True): string;

Description

FileGetOwnerName returns the name of the owner of the specified file.

Parameters

const FileName: string

The name of the file for which you want to know the owner.

Return Value

If the function succeeds it returns the owner name of the supplied file. If the function fails the result is an empty string.

Notes

Not supported on Windows 95/98/ME.

Platforms

Unix, Windows NT, Windows 2000, Windows XP, Windows Server 2003

Donator

Scott Price

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


See Also

FileGetGroupName


FileGetGroupName Function

See Also

Returns the name of the owner of a file.

Pascal

function FileGetGroupName(const FileName: string; ResolveSymLinks: Boolean = True): string;

Description

FileGetGroupName returns the name of the group of the specified file.

Parameters

const FileName: string

The name of the file for which you want to know the group it belongs to.

Return Value

If the function succeeds it returns the name of the group (Windows: the primary group) to which the supplied file belongs. If the function fails the result is an empty string.

Notes

Not supported on Windows 95/98/ME.

Platforms

Unix, Windows NT, Windows 2000, Windows XP, Windows Server 2003

Donator

Scott Price

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


See Also

FileGetOwnerName


GetModulePath Function

Returns the filename of a module.

Pascal

function GetModulePath(const Module: HMODULE): string;

Description

GetModulePath returns the fully qualified filename of the executable file that houses the module specified by the Module parameter.

Parameters

const Module: HMODULE

Handle of the module whose path you are querying for. This, for example, is the handle returned by LoadLibrary (or LoadLibraryEx) or the address at which the module is loaded (in Win32 a module handle is the base address at which a module is loaded).

Return Value

The fully qualified filename of the specified module, or an empty string on failure.

Donator

Azret Botash

Group

Files and Directories

Unit

JclFileUtils


FileGetTempName Function

Returns the name for a temporary file.

Pascal

function FileGetTempName(const Prefix: string): string;

Description

FileGetTempName constructs a fully qualified filename based on system settings (such as a designated folder for temporary files) and the supplied prefix. As the name suggests, this is mostly useful when you need to create a temporary file.

Warning (Unix): Between the time the pathname is constructed and the file is created another process might have created a file with the same name using tmpnam, leading to a possible security hole. The implementation generates names which can hardly be predicted, but when opening the file you should use the O_EXCL flag. Using tmpfile or mkstemp is a safe way to avoid this problem.

Parameters

const Prefix: string

On input the first three characters of the string are used to form the name of the temporary file (can be empty).

Return Value

If the function succeeds it returns a fully qualified filename. If it fails it returns an empty string.

Platforms

Windows, Unix

Donator

Marcel van Brakel (Windows), Robert Rossmair (Unix)

Group

Files and Directories

Unit

JclFileUtils


FileCreateTemp Function

Creates a temporary file.

Pascal

function FileCreateTemp(var Prefix: string): THandle;

Description

FileCreateTemp creates a temporary file in the temporary folder as returned by GetTempPath. The file is created with read and write access and is deleted as soon as it is closed. The file cannot be opened by another call to CreateFile. The file is created with the temporary attribute which means the system will attempt to keep the file's data in memory rather than caching it. Therefore you should close the file as soon as possible using CloseHandle.

Parameters

var Prefix: string

On input the first three characters of the string are used to form the name of the temporary file (can be empty). On return, assuming the function succeeded, Prefix contains the actual name of the temporary file, including the path. On failure the contents of Prefix are undefined.

Return Value

If the function succeeds the result is a handle to the temporary file, on failure the function returns INVALID_HANDLE_VALUE.

Platforms

Windows, Unix

Donator

Marcel van Brakel (Windows), Robert Rossmair (Unix)

Group

Files and Directories

Unit

JclFileUtils


FileBackup Function

function FileBackup(const FileName: string; Move: Boolean = False): Boolean;

Parameters

const FileName: string

The name of the file to backup.

Return Value

True on success, False otherwise. If the function fails, call GetLastError to to get extended error information, or RaiseLastOSError to pass the information on to the user.

Platforms

Windows, Unix

Donator

?

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


FileCopy Function

Copies a file.

Pascal

function FileCopy(const ExistingFileName: string; const NewFileName: string; ReplaceExisting: Boolean = False): Boolean;

Description

The FileCopy function copies an existing file to a new file.

Parameters

const ExistingFileName: string

The existing file.

const NewFileName: string

Specifies the name of the new file, or name of a directory where the copy will be created.

ReplaceExisting: Boolean = False

Specifies how to proceed if a file of the same name as that specified by NewFileName already exists. If this parameter is False and the new file already exists, the function fails. If this parameter is True and the new file already exists, the function overwrites the existing file and succeeds.

Return Value

If the function succeeds, the return value is True; False otherwise

Platforms

Windows, Unix

Donator

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


FileDelete Function

function FileDelete(const FileName: string; MoveToRecycleBin: Boolean = False): Boolean;

Parameters

const FileName: string

The name of the file to delete.

MoveToRecycleBin: Boolean = False

If True, the file is move to the recycle bin/trash can (and still might be restored later); if False, it is to be deleted, allowing no recovery later.

Platforms

Windows, Unix

Donator

Marcel van Brakel

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


FileExists Function

Tests whether a file exists.

Pascal

function FileExists(const FileName: string): Boolean;

Description

FileExists tests whether the specified file exists. Unlike the FileExists function from the Delphi RTL, this function suppresses potential dialog raises due to a disk not being available.

Parameters

const FileName: string

The fully qualified name of the file whose existence to test.

Return Value

If the file exists the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Files and Directories

Unit

JclFileUtils


FileMove Function

function FileMove(const ExistingFileName: string; const NewFileName: string; ReplaceExisting: Boolean = False): Boolean;

Parameters

const ExistingFileName: string

The existing file.

const NewFileName: string

Specifies the new file name, or the name of a directory where the file shall be moved to.

Return Value

True, if the file was successfully moved, False, if not.

Platforms

Windows, Unix

Donator

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


FileRestore Function

function FileRestore(const FileName: string): Boolean;

Parameters

const FileName: string

The name of the file to restore.

Return Value

True on success, False otherwise. If the function fails, call GetLastError to to get extended error information, or RaiseLastOSError to pass the information on to the user.

Platforms

Windows, Unix

Donator

?

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


ShredFile Function

Shreds the contents of the file and then deletes it.

Pascal

procedure ShredFile(const FileName: string; Times: Integer = 1);

Description

The ShredFile functions overwrites the contents of the specified file and then deletes the file. This ensures that even if the underlying filesystem does not physically remove the file, its contents are effectively inaccessible.

Parameters

const FileName: string

The fully qualified name of the file to shred.

Times: Integer = 1

Number of file overwrites. Defaults to 1.

Donator

Pelle F. S. Liljendal

Group

Files and Directories

Unit

JclFileUtils


FileGetSize Function

Returns the size of the specified file.

Pascal

function FileGetSize(const FileName: string): Int64;

Description

FileGetSize returns the size, in bytes, of the specified file. Note that this function is limited to files whose size is no larger than 2GB.

Parameters

const FileName: string

The fully qualified name of the file.

Return Value

If the function succeeds it returns the size, in bytes, of the specified file. If the function fails, for example because the file does not exist, the result is -1.

Donator

Pelle F. S. Liljendal

Group

Files and Directories

Unit

JclFileUtils


GetFileAttributeListEx Function

See Also

Converts attributes flag to a stringlist.

Pascal

procedure GetFileAttributeListEx(const Items: TStrings; const Attr: Integer);

Description

GetFileAttributeListEx converts the file attributes specified by A to a list of string representations of the attributes included in A. This is similar to the GetFileAttributeList function except that this function handles all documented attributes, including those specific to the NTFS filesystem, where GetFileAttributeList only handles the standard attributes.

Parameters

const Attr: Integer

Attributes of a file, for example retrieved by GetFileAttributes.

List

TStrings derivative that receives the strings.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileAttributeList


GetFileAttributeList Function

See Also

Converts attributes flag to a stringlist.

Pascal

procedure GetFileAttributeList(const Items: TStrings; const Attr: Integer);

Description

GetFileAttributeList converts the file attributes specified by A to a list of string representations of the attributes included in A. This function only handles the 'standard' file attributes as specified by the faXXX constants in SysUtils.pas.

Parameters

const Attr: Integer

Attributes of a file, usually you'll pass in TSearchRec.Attr.

List

TStrings derivative that receives the strings.

Donator

Charlie Calvert

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileAttributeListEx


GetDirectorySize Function

Returns the size of a directory.

Pascal

function GetDirectorySize(const Path: string): Int64;

Description

GetDirectorySize returns the size, in bytes, of a directory. That is, the combined sizes of all files contained within the directory.

Parameters

const Path: string

The directory whose size to determine.

Return Value

The combined size, in bytes, of all the files contained in the directory. If the function fails, for example because the specified directory doesn't exists, it

1.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


GetDriveTypeStr Function

Returns the type of drive.

Pascal

function GetDriveTypeStr(const Drive: Char): string;

Description

GetDriveTypeStr returns the type of the specified drive (hard disk, removable, cd-rom etc.) in string representation.

Parameters

const Drive: Char

Drive letter of the drive for which to query the type, e.g. 'a'.

Return Value

String representation of the type of the specified drive.

Donator

John C Molyneux

Group

Files and Directories

Unit

JclFileUtils


SetFileLastWrite Function

See Also

Sets the file's last-write time stamp.

Pascal

function SetFileLastWrite(const FileName: string; const DateTime: TDateTime): Boolean;

Description

SetFileLastWrite sets the specified file's last-write timestamp to the supplied datetime. This routine cannot be used to set the last-write timestamp of a directory. Use SetDirLastWrite for that.

Parameters

const FileName: string

The name of the file for which to set the time of last write.

const DateTime: TDateTime

The date and time to set the file's last write stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetFileLastAccess SetFileCreation GetFileLastAccess GetFileLastWrite GetFileCreation


SetFileLastAccess Function

See Also

Sets the file's last-access time stamp.

Pascal

function SetFileLastAccess(const FileName: string; const DateTime: TDateTime): Boolean;

Description

SetFileLastAccess sets the specified file's last-access timestamp to the supplied datetime. This routine cannot be used to set the last-access timestamp of a directory. Use SetDirLastAccess for that.

Parameters

const FileName: string

The name of the file for which to set the time of last access.

const DateTime: TDateTime

The date and time to set the file's last access stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetFileLastWrite SetFileCreation GetFileLastAccess GetFileLastWrite GetFileCreation


SetFileCreation Function

See Also

Sets the file's creation time stamp.

Pascal

function SetFileCreation(const FileName: string; const DateTime: TDateTime): Boolean;

Description

SetFileCreation sets the specified file's creation timestamp to the supplied datetime. This routine cannot be used to set the creation timestamp of a directory. See SetDirCreation for that.

Parameters

const FileName: string

The name of the file for which to set the time of creation.

const DateTime: TDateTime

The date and time to set the file's creation stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetFileLastWrite SetFileLastAccess GetFileLastAccess GetFileLastWrite GetFileCreation


SetDirLastWrite Function

See Also

Sets the directory's last-write time stamp.

Pascal

function SetDirLastWrite(const DirName: string; const DateTime: TDateTime): Boolean;

Description

SetDirLastWrite sets the specified directories last-write timestamp to the supplied datetime. This routine cannot be used to set the last-write timestamp of a file. Use SetFileLastWrite for that. This routine only works on Windows NT/Windows 2000 and for it to succeed the caller must have backup privileges (SE_BACKUP_NAME and SE_RESTORE_NAME).

Parameters

const DirName: string

The name of the directory for which to set the time of last write.

const DateTime: TDateTime

The date and time to set the file's last write stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetDirLastAccess SetDirCreation


SetDirLastAccess Function

See Also

Sets the directory's last-write time stamp.

Pascal

function SetDirLastAccess(const DirName: string; const DateTime: TDateTime): Boolean;

Description

SetDirLastWrite sets the specified directories last-access timestamp to the supplied datetime. This routine cannot be used to set the last-access timestamp of a file. Use SetFileLastAccess for that. This routine only works on Windows NT/Windows 2000 and for it to succeed the caller must have backup privileges (SE_BACKUP_NAME and SE_RESTORE_NAME).

Parameters

const DirName: string

The name of the directory for which to set the time of last write.

const DateTime: TDateTime

The date and time to set the file's last write stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetDirLastWrite SetDirCreation


SetDirCreation Function

See Also

Sets the directory's last-write time stamp.

Pascal

function SetDirCreation(const DirName: string; const DateTime: TDateTime): Boolean;

Description

SetDirLastWrite sets the specified directories creation timestamp to the supplied datetime. This routine cannot be used to set the creation timestamp of a file. Use SetFileCreation for that. This routine only works on Windows NT/Windows 2000 and for it to succeed the caller must have backup privileges (SE_BACKUP_NAME and SE_RESTORE_NAME).

Parameters

const DirName: string

The name of the directory for which to set the time of last write.

const DateTime: TDateTime

The date and time to set the file's last write stamp to. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function from JclDateTime.

Return Value

If the function succeeds the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

SetDirLastAccess SetDirLastWrite


IsDirectory Function

Tests if the file is a directory.

Pascal

function IsDirectory(const FileName: string; ResolveSymLinks: Boolean = True): Boolean;

Description

IsDirectory returns whether or not the specified file is a directory.

Parameters

const FileName: string

The name of the file you want to test.

Return Value

If the specified file is a directory the function returns True, otherwise it returns False. Note that if the specified file is the root of a drive (e.g. 'c:') the function returns True, if the file does not exist the function returns False.

Donator

Marcel van Brakel (Win32), Robert Rossmair (Unix)

Group

Files and Directories

Unit

JclFileUtils


LockVolume Function

See Also

Locks the specified volume.

Pascal

function LockVolume(const Volume: string; var Handle: THandle): Boolean;

Description

LockVolume locks the specified volume. Locking a volume will give exclusive access to the specified volume to whoever owns the lock. Subsequent access to the volume must be performed through the returned handle. When you're done with the volume you must call UnLockVolume. Note that to lock a volume there can be no open files on the volume (even a single open file, by whatever process, will cause the function to fail).

Parameters

const Volume: string

The volume to lock this must be a string in the format: * X: Where X is the volume to lock, for example 'a:' * PHYSICALDRIVEX Where X is the 0 based hard disk number, for example 'PHYSICALDRIVE0' Note: Do not prepend the Volume name with a '\.'. This is done by the function.

var Handle: THandle

Receives a handle of the locked device upon successful return.

Return Value

If the function succeeds in locking the volume it returns True and a handle to the specified device in the Handle parameter. If it fails the function returns False and the Handle parameter is undefined.

Notes

You must have administrative privileges to lock a volume. The device is, according to Microsoft recommendations, opened with no buffering. This action imposes a number of 'limitations' for subsequent access to the device. For example the alignment of buffers must be on a multiple of the volume's sector size. See the Platform SDK for details.

Platforms

Windows

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

UnlockVolume


OpenVolume Function

See Also

Opens a handle to the specified volume.

Pascal

function OpenVolume(const Drive: Char): THandle;

Description

OpenVolume opens a handle for the specified volume with read/write access. Subsequent access to the volume must be performed through the returned handle. When you're done with the volume you must call CloseVolume.

Parameters

const Drive: Char

The drive letter corresponding to the volume to open.

Return Value

If the function succeeds it returns a handle to the specified volume. If it fails the function returns INVALID_HANDLE_VALUE.

Notes

You must have administrative privileges to open a volume. This action imposes a number of 'limitations' for subsequent access to the volume. For example the alignment of buffers must be on a multiple of the volume's sector size. See the Platform SDK on CreateFile for details.

Platforms

Windows

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

CloseVolume


CloseVolume Function

See Also

Closes a handle for a previously opened volume.

Pascal

function CloseVolume(var Volume: THandle): Boolean;

Description

CloseVolume closes the handle to a volume previously opened with OpenVolume.

Parameters

Handle

The handle previously returned from OpenVolume. If the function succeeds in closing the volume the handle is closed and no longer valid.

Return Value

If the function succeeds it returns True, otherwise it returns False. The latter case either means that the specified handle was invalid or that the device could not be closed. In either case the Handle parameter is unaffected and retains its value.

Platforms

Windows

Donator

Massimo Maria Ghisalberti

Group

Files and Directories

Unit

JclFileUtils


See Also

OpenVolume


CreateEmptyFile Function

Creates a new file with a zero length.

Pascal

procedure CreateEmptyFile(const FileName: string);

Description

CreateEmptyFile creates a new file with size of zero, that is without content. If a file with the same name already exists but isn't opened, the file is overwritten. Upon failure an exception is raised, for example if a file with the same name already exists but is opened.

Parameters

const FileName: string

Name of the file to create.

Platforms

Windows

Donator

Anthony Steele

Group

Files and Directories

Unit

JclFileUtils


GetStandardFileInfo Function

See Also

Returns information about a file.

Pascal

function GetStandardFileInfo(const FileName: string): TWin32FileAttributeData;

Description

GetStandardFileInfo returns standard information about the specified file such as creation time, filesize and attributes.

Parameters

const FileName: string

Fully qualified name of the file for which to retrieve information.

Return Value

If the function succeeds it returns a TWin32FileAttributeData record with information about the file. The Platform SDK contains documentation for this record. If the function fails, for example because it can't find the file, it raises an EFileUtilsError exception.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileInformation


GetFileAgeCoherence Function

See Also

Tests the file age coherence of a file.

Pascal

function GetFileAgeCoherence(const FileName: string): Boolean;

Description

GetFileAgeCoherence tests whether the specified file's age is coherent. That is, it tests whether or not the file creation time is at least earlier than the file's last write time.

Parameters

const FileName: string

The name of the file whose age coherence to test.

Return Value

If the file's age is coherent the result is True, otherwise it's False.

Donator

Massimo Maria Ghisalberti

Group

Files and Directories

Unit

JclFileUtils


See Also

GetFileLastWrite GetFileLastAccess GetFileCreation


BuildFileList Function

See Also

Builds a list of files and folders in a directory.

Pascal

function BuildFileList(const Path: string; const Attr: Integer; const List: TStrings): Boolean;

Description

BuildFileList builds a list of files and folders in the specified Path that matches the specified attributes. This is simply a convenient wrapper for the FindFirst, FindNext and FindClose functions.

Parameters

const Path: string

Directory and filename mask for which you want to build the list. For example this can be 'c:winnt*.dll'. This parameter works like the Path parameter in FindFirst. In Windows it is case insensitive and applies to short and long filenames, so "*.*" will find all files. In Linux it's case sensitive and "*.*" will find only files that contain a ".".

const Attr: Integer

The Attr parameter specifies the special files to include in addition to all normal files. Choose from these file attribute constants when specifying the Attr parameter (declared in SysUtils.pas): * faReadOnly Read-only files * faHidden Hidden files * faSysFile System files * faVolumeID Volume ID files * faDirectory Directory files * faArchive Archive files * faAnyFile Any file

const List: TStrings

A TStrings descendant in which the file list that matched the Path and Attr parameters is returned. Note that this list is not cleared by the routine before the found entries are added.

Return Value

If the function succeeds it returns True, otherwise it returns False. In case of failure the list contains the entries that were retrieved up to the point of failure.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

AdvBuildFileList


AdvBuildFileList Function

See Also

AdvBuildFileList works like BuildFileList if called with only three parameters, but it accepts two optional parameters for extended functionality.

Pascal

function AdvBuildFileList(const Path: string; const Attr: Integer; const Files: TStrings; const AttributeMatch: TJclAttributeMatch = amSuperSetOf; const Options: TFileListOptions = []; const SubfoldersMask: string = ''; const FileMatchFunc: TFileMatchFunc = nil): Boolean;

Description

AdvBuildFileList builds a list of files and folders in the specified Path that matches the specified attributes.

Parameters

const Path: string

Directory and file name mask for which you want to build the list. For example this can be 'c:winnt*.dll'. This parameter works like the Path parameter in FindFirst. In Windows it is case insensitive and applies to short and long filenames, so "*.*" will find all files. In Linux it's case sensitive and "*.*" will find only files that contain a ".".

const Attr: Integer

The Attr parameter specifies the special files to include in addition to all normal files. Choose from these file attribute constants when specifying the Attr parameter (declared in SysUtils.pas): * faReadOnly Read-only files * faHidden Hidden files * faSysFile System files * faVolumeID Volume ID files * faDirectory Directory files * faArchive Archive files * faAnyFile Any file

const Options: TFileListOptions = []

Set of additional option: * flFullNames: if set, the full path is included with each listed file name. * flRecursive: if set, all subdirectories of the directory given in PATH are scanned. * flMaskedSubfolders: if set, files are only listed if their directory path, relative to the directory given in the Path parameter, matches the Subfolder Mask parameter.

const SubfoldersMask: string = ''

if flMaskedSubfolders is set, the remaining directory path, relative to the directory given in the Path parameter, is matched against this parameter. In Windows the matching is done case insensitively, in Linux it's done case sensitively. In Windows (with long file names enabled) only the long name is matched, so "*.*" will find only directories that contain a ".".

List

A TStrings descendant in which the file list according to the parameters is returned. Note that this list is not cleared by the routine before the found entries are added.

Return Value

If the function succeeds it returns True, otherwise it returns False. In case of failure the list contains the entries that were retrieved up to the point of failure.

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


See Also

BuildFileList


TFileListOptions Type

Options	Description
flFullNames	If this flag is included, then filenames are added to the list including the complete path, otherwise just the filenames are added to the list. For example: "C:WindowsNOTEPAD.EXE" when using flFullNames, "NOTEPAD.EXE" when not using it.
flRecursive	search the specified path and subfolders for files to include in the list.
flMaskedSubfolders	Only search folders than match the SubfoldersMask parameter (currently broken).

An enumeration describing the set of available file list options.

Pascal

TFileListOptions = set of TFileListOption;

Donator

Marcel van Brakel

Group

Files and Directories

Unit

JclFileUtils


TDelTreeProgress Type

See Also

Progress callback routine for the DelTreeEx function.

Pascal

TDelTreeProgress = function (const FileName: string; Attr: DWORD): Boolean;

Description

TDelTreeProgress is the function signature for the Progress parameter of the DelTreeEx function. This function is called just before the file is deleted. You can use this callback routine to display progress to the user. To allow DelTreeEx to continue deleting files return True, to abort the deletion return False.

Parameters

FileName

The name of the file that is about to be deleted.

Attr

The attributes of the file. See GetFileAttributes in the Platform SDK for a full list of attribute flags.

Return Value

If you return True DelTreeEx deletes the specified file and continues with the next one. If you return False DeltreeEx aborts immediately.

Notes

Returning False will abort the entire deletion process, not just for the specified file only.

Donator

John C Molyneux

Group

Files and Directories

Unit

JclFileUtils


See Also

DelTreeEx


DelTree Function

See Also

Recursively deletes a folder.

Pascal

function DelTree(const Path: string): Boolean;

Description

DelTree recursively deletes a folder much like the DOS command. That is, it deletes a folder and everything in it. If parts of the folder tree cannot be deleted, eg because some files may be currently open, the function attempts to delete as much as possible before returning.

Parameters

const Path: string

The folder to delete. Must be fully qualified. May have a trailing backslash but that's optional.

Return Value

If the function succeeds in deleting the folder the result is True, if the function fails the result is False. In case of failure the function attempts to delete as much as possible before returning. Thus on failure part of the folder may have been deleted while some files and folders may still exist. Failure is usually due to insufficient access rights or because some files are currently open (locked).

Notes

The deletions are permanent! Deletions are not recoverable through the recycle bin.

Donator

John C Molyneux

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


See Also

DelTreeEx


DelTreeEx Function

See Also

Recursively deletes a folder.

Pascal

function DelTreeEx(const Path: string; AbortOnFailure: Boolean; Progress: TDelTreeProgress): Boolean;

Description

DelTree recursively deletes a folder much like the DOS command. That is, it deletes a folder and everything in it. If parts of the folder tree cannot be deleted, eg because some files may be currently open, the function attempts to delete as much as possible before returning or immediately returns, depending on the AbortOnFailure parameter. The function is capable of providing the caller with progress information through the Progress function parameter.

Parameters

const Path: string

The folder to delete. Must be fully qualified. May have a trailing backslash but that's optional.

AbortOnFailure: Boolean

If True the function immediately returns when it encounters a file or directory it cannot delete. If False the function continues attempting to delete the remaining Files. In either case, if one or more files couldn't be deleted the function result is False.

Progress: TDelTreeProgress

Function that is called just before a file is deleted. This allows you to display progress to the user and even abort the deletion. This parameter is optional (you can specify nil). See TDelTreeProgress For more information.

Return Value

If the function succeeds in deleting the folder the result is True, if the function fails the result is False. In case of failure the function attempts to delete as much as possible before returning or continues deleting depending on the AbortOnFailure parameter. Thus on failure part of the folder may have been deleted while some files and folders may still exist. Failure is usually due to insufficient access rights or because some files are currently open (locked).

Notes

The deletions are permanent! Deletions are not recoverable through the recycle bin.

Donator

John C Molyneux

Contributors

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


See Also

DelTree


DirectoryExists Function

Determines whether a directory exists.

Pascal

function DirectoryExists(const Name: string; ResolveSymLinks: Boolean = True): Boolean;

Description

DirectoryExists determines whether the specified directory exists.

Parameters

const Name: string

The directory to check for existence. If Name is not fully qualified it is interpreted as relative to the current directory.

Return Value

If the directory exists the function returns True, otherwise it returns False.

Notes

This function is a replacement for the FileUtils.DirectoryExists function from the Delphi RTL to avoid dependency on that particular unit. There's nothing wrong with that function except that the unit uses Forms etc. which add significant resources and startup time to your application (if it doesn't use these units already).

Donator

Unknown (Win32)

Contributors

Robert Rossmair (Unix)

Group

Files and Directories

Unit

JclFileUtils


DiskInDrive Function

Tests whether there is a disk in the specified drive.

Pascal

function DiskInDrive(Drive: Char): Boolean;

Description

DiskInDrive tests whether or not there is a disk present in the specified drive. The drive can be any volume from a to z, specified either in lowercase or uppercase. The function returns whether or not the drive is accessible, for removable media this indicates whether or not the drive has a 'disk' present, for other type of media it indicates if the drive exists.

Parameters

Drive: Char

The volume to test. Valid drives are 'a'..'z' and 'A'..'Z'.

Return Value

If the drive is accessible, a disk is present, and the result is True. If the drive is not accessible or an error occurred the function returns False.

Platforms

Windows

Donator

John C Molyneux

Group

Files and Directories

Unit

JclFileUtils


DeleteDirectory Function

Deletes specified file or moves it to recycle bin.

Pascal

function DeleteDirectory(const DirectoryName: string; MoveToRecycleBin: Boolean): Boolean;

Description

Delete the specified file either permanently or moves it to recycle bin. The behaviour depends on the value of MoveToRecycleBin parameter.

Parameters

const DirectoryName: string

Directory to be deleted

MoveToRecycleBin: Boolean

If True the directory will be moved to the system Recycle Bin instead of being deleted.

Category

Files and IO

Donator

Anthony Steele

Group

Files and Directories

Unit

JclFileUtils


UnlockVolume Function

Tries to unlock the volume represented by the handle passed.

Pascal

function UnlockVolume(var Handle: THandle): Boolean;

Description

Attempts to unlock the volume specified by the handle that was previously locked by LockVolume function.

Parameters

var Handle: THandle

Handle of the volume to be unlocked previously obtained calling LockVolume function. Also this handle can be obtained by calling CreateFile Windows API function directly.

Return Value

Returns True if the function succeeded, False otherwise.

Notes

This function calls Windows API DeviceIOControl function. Although Microsoft provides the way to call this function in Windows 95/98/ME environment, the implementation of UnlockVolume does not allow its usage under those operating systems.

If the function succeedes the handle associated with the volume is getting freed and you should not use it again as its value will be INVALID_HANDLE_VALUE. However the handle remains valid if the function fails.

Platforms

Windows NT/2000: Requires Windows NT 4 or later. Windows 95/98: Unsupported.

Donator

Rudy Velthuis

Group

Files and Directories

Unit

JclFileUtils


CreateSymbolicLink Function

function CreateSymbolicLink(const Name: string; const Target: string): Boolean;

Parameters

const Name: string

The name of the symbolic link.

const Target: string

The file the link points to.

Platforms

Unix

Donator

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


SymbolicLinkTarget Function

function SymbolicLinkTarget(const Name: string): string;

Parameters

const Name: string

The name of the symbolic link

Return Value

The file the link points to.

Platforms

Unix

Donator

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


FileAttributesStr Function

function FileAttributesStr(const FileInfo: TSearchRec): string;

Parameters

const FileInfo: TSearchRec

TODO

Donator

Robert Rossmair

Group

Files and Directories

Unit

JclFileUtils


File Search

Legend

Files and Directories

Classes

TJclCustomFileAttrMask

TJclFileAttributeMask

TJclFileEnumerator

Enumerations

 TAttributeInterest

Defines the interest a file search operation may have in specific file attributes.

Functions

VerifyFileAttributeMask

IsFileAttributeMatch

IsFileNameMatch

EnumFiles

EnumDirectories

FileSearch

Interfaces

 IJclFileEnumerator

Interface for thread-based file search

Types

TFileSearchOptions

Legend

Enumeration

Interface


File Search Types

File Search

Types

TFileSearchOptions


File Search Enumerations

File Search	Legend

Enumerations

 TAttributeInterest

Defines the interest a file search operation may have in specific file attributes.


Legend

Enumeration


File Search Functions

File Search

Functions

VerifyFileAttributeMask

IsFileAttributeMatch

IsFileNameMatch

EnumFiles

EnumDirectories

FileSearch


File Search Classes

File Search

Classes

TJclCustomFileAttrMask

TJclFileAttributeMask

TJclFileEnumerator


File Search Interfaces

File Search	Legend

Interfaces

 IJclFileEnumerator

Interface for thread-based file search


Legend

Interface


Legend

File Search

Legend

Enumeration

Interface


TFileSearchOptions Type

TFileSearchOptions = set of TFileSearchOption;

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


TAttributeInterest Enumeration

Defines the interest a file search operation may have in specific file attributes.

Pascal

TAttributeInterest = (
  aiIgnored,
  aiRejected,
  aiRequired
);

Description

Specifies how a given file attribute shall affect file search results.

aiIgnored

File search matching is not affected by this attribute

aiRejected

The attribute causes a file to be excluded from the search result set.

aiRequired

The attribute is required for a file to be included in the search result set.

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


VerifyFileAttributeMask Function

function VerifyFileAttributeMask(var RejectedAttributes: Integer; var RequiredAttributes: Integer): Boolean;

Parameters

var RejectedAttributes: Integer

TODO

var RequiredAttributes: Integer

TODO

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


IsFileAttributeMatch Function

function IsFileAttributeMatch(FileAttributes: Integer; RejectedAttributes: Integer; RequiredAttributes: Integer): Boolean;

Parameters

FileAttributes: Integer

TODO

RejectedAttributes: Integer

TODO

RequiredAttributes: Integer

TODO

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


IsFileNameMatch Function

function IsFileNameMatch(FileName: string; const Mask: string; const CaseSensitive: Boolean = False True): Boolean;

Parameters

FileName: string

TODO

const Mask: string

TODO

const CaseSensitive: Boolean = False True

default is False for Windows, True else

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


EnumFiles Function

procedure EnumFiles(const Path: string; HandleFile: TFileHandlerEx; RejectedAttributes: Integer = faRejectedByDefault; RequiredAttributes: Integer = 0; Abort: PBoolean = nil);

Parameters

const Path: string

TODO

HandleFile: TFileHandlerEx

TODO

RejectedAttributes: Integer = faRejectedByDefault

TODO; default = faRejectedByDefault.

RequiredAttributes: Integer = 0

TODO

Abort: PBoolean = nil

default = nil);

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


EnumDirectories Function

procedure EnumDirectories(const Root: string; const HandleDirectory: TFileHandler; const IncludeHiddenDirectories: Boolean = False; const SubDirectoriesMask: string = ''; Abort: PBoolean = nil; ResolveSymLinks: Boolean = True);

Parameters

const Root: string

TODO

const HandleDirectory: TFileHandler

TODO

const IncludeHiddenDirectories: Boolean = False

TODO

const SubDirectoriesMask: string = ''

TODO

Abort: PBoolean = nil

TODO

ResolveSymLinks: Boolean = True

(Unix only)

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


TJclCustomFileAttrMask Class

Properties	Methods	Legend

TJclCustomFileAttrMask = class(TPersistent);

Platforms

Win32, Unix

Donator

Robert Rossmair

Group

File Search

Legend

protected

Constructor

Unit

JclFileUtils


TJclCustomFileAttrMask Class Properties

TJclCustomFileAttrMask Class	Legend

Properties

 Archive

Attribute

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

Rejected

 ReparsePoint

Required

 SparseFile

 SymLink

 System

 Temporary

 VolumeID


Legend

protected


TJclCustomFileAttrMask Class Methods

TJclCustomFileAttrMask Class	Legend

Methods

Assign

Clear

 Create

 DefineProperties

Match


Legend

Constructor

protected


Legend

TJclCustomFileAttrMask Class

Legend

protected

Constructor


TJclCustomFileAttrMask Class Members

TJclCustomFileAttrMask Class	Legend

Members

Properties

 Archive

Attribute

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

Rejected

 ReparsePoint

Required

 SparseFile

 SymLink

 System

 Temporary

 VolumeID

Methods

Assign

Clear

 Create

 DefineProperties

Match


Legend

protected

Constructor


TJclCustomFileAttrMask.Archive Property

TJclCustomFileAttrMask Class

property Archive: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Attribute Property

TJclCustomFileAttrMask Class

property Attribute [Index: Integer]: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Compressed Property

TJclCustomFileAttrMask Class

property Compressed: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Directory Property

TJclCustomFileAttrMask Class

property Directory: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Encrypted Property

TJclCustomFileAttrMask Class

property Encrypted: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Hidden Property

TJclCustomFileAttrMask Class

property Hidden: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Normal Property

TJclCustomFileAttrMask Class

property Normal: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.NotContentIndexed Property

TJclCustomFileAttrMask Class

property NotContentIndexed: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.OffLine Property

TJclCustomFileAttrMask Class

property OffLine: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.ReadOnly Property

TJclCustomFileAttrMask Class

property ReadOnly: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Rejected Property

TJclCustomFileAttrMask Class

property Rejected: Integer;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.ReparsePoint Property

TJclCustomFileAttrMask Class

property ReparsePoint: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Required Property

TJclCustomFileAttrMask Class

property Required: Integer;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.SparseFile Property

TJclCustomFileAttrMask Class

property SparseFile: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.SymLink Property

TJclCustomFileAttrMask Class

property SymLink: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.System Property

TJclCustomFileAttrMask Class

property System: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Temporary Property

TJclCustomFileAttrMask Class

property Temporary: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.VolumeID Property

TJclCustomFileAttrMask Class

property VolumeID: TAttributeInterest;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Assign Method

TJclCustomFileAttrMask Class

procedure Assign(Source: TPersistent); override;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Clear Method

TJclCustomFileAttrMask Class

procedure Clear;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Create Constructor

TJclCustomFileAttrMask Class

constructor Create;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.DefineProperties Method

TJclCustomFileAttrMask Class

procedure DefineProperties(Filer: TFiler); override;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Match Method (Integer)

TJclCustomFileAttrMask Class

function Match(FileAttributes: Integer): Boolean; overload;

Class

TJclCustomFileAttrMask Class


TJclCustomFileAttrMask.Match Method (TSearchRec)

TJclCustomFileAttrMask Class

function Match(const FileInfo: TSearchRec): Boolean; overload;

Class

TJclCustomFileAttrMask Class


TJclFileAttributeMask Class

Properties	Methods	Legend

TJclFileAttributeMask = class(TJclCustomFileAttrMask);

Platforms

Win32, Unix

Donator

Robert Rossmair

Group

File Search

Legend

protected

published

Constructor

Unit

JclFileUtils


TJclFileAttributeMask Class Properties

TJclFileAttributeMask Class	Legend

Properties

 Archive

Attribute

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

Rejected

 ReparsePoint

Required

 SparseFile

 SymLink

 System

 Temporary

 VolumeID

TJclFileAttributeMask Class

 Archive

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

 ReparsePoint

 SparseFile

 SymLink

 System

 Temporary

 VolumeID


Legend

protected

published


TJclFileAttributeMask Class Methods

TJclFileAttributeMask Class	Legend

Methods

Assign

Clear

 Create

 DefineProperties

Match


Legend

Constructor

protected


Legend

TJclFileAttributeMask Class

Legend

protected

published

Constructor


TJclFileAttributeMask Class Members

TJclFileAttributeMask Class	Legend

Members

Properties

 Archive

Attribute

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

Rejected

 ReparsePoint

Required

 SparseFile

 SymLink

 System

 Temporary

 VolumeID

TJclFileAttributeMask Class

 Archive

 Compressed

 Directory

 Encrypted

 Hidden

 Normal

 NotContentIndexed

 OffLine

 ReadOnly

 ReparsePoint

 SparseFile

 SymLink

 System

 Temporary

 VolumeID

Methods

Assign

Clear

 Create

 DefineProperties

Match


Legend

protected

published

Constructor


TJclFileAttributeMask.Archive Property

TJclFileAttributeMask Class

property Archive: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Compressed Property

TJclFileAttributeMask Class

property Compressed: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Directory Property

TJclFileAttributeMask Class

property Directory: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Encrypted Property

TJclFileAttributeMask Class

property Encrypted: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Hidden Property

TJclFileAttributeMask Class

property Hidden: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Normal Property

TJclFileAttributeMask Class

property Normal: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.NotContentIndexed Property

TJclFileAttributeMask Class

property NotContentIndexed: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.OffLine Property

TJclFileAttributeMask Class

property OffLine: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.ReadOnly Property

TJclFileAttributeMask Class

property ReadOnly: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.ReparsePoint Property

TJclFileAttributeMask Class

property ReparsePoint: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.SparseFile Property

TJclFileAttributeMask Class

property SparseFile: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.SymLink Property

TJclFileAttributeMask Class

property SymLink: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.System Property

TJclFileAttributeMask Class

property System: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.Temporary Property

TJclFileAttributeMask Class

property Temporary: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileAttributeMask.VolumeID Property

TJclFileAttributeMask Class

property VolumeID: TAttributeInterest;

Class

TJclFileAttributeMask Class


TJclFileEnumerator Class

Properties	Methods	Events	Legend

TJclFileEnumerator = class(TPersistent, IJclFileEnumerator);

Platforms

Win32, Unix

Donator

Robert Rossmair

Group

File Search

Events

OnEnterDirectory

OnTerminateTask

TJclFileEnumerator Class

 OnEnterDirectory

 OnTerminateTask

Fields

TJclFileEnumerator Class

 FRefCount

Legend

read only

published

protected

Constructor

Unit

JclFileUtils


TJclFileEnumerator Class Properties

TJclFileEnumerator Class	Legend

Properties

AttributeMask

CaseSensitiveSearch

FileMask

FileSizeMax

FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

LastChangeAfter

LastChangeAfterAsString

LastChangeBefore

LastChangeBeforeAsString

RootDirectory

 RunningTasks

SubDirectoryMask

SynchronizationMode

TJclFileEnumerator Class

 AttributeMask

 CaseSensitiveSearch

FileMask

 FileMasks

 FileSizeMax

 FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

 LastChangeAfter

LastChangeAfterAsString

 LastChangeBefore

LastChangeBeforeAsString

 NextTaskID

 Options

 RootDirectory

 RunningTasks

SearchOption

 SubDirectoryMask

 SynchronizationMode


Legend

read only

published

protected


TJclFileEnumerator Class Events

TJclFileEnumerator Class	Legend

Events

OnEnterDirectory

OnTerminateTask

TJclFileEnumerator Class

 OnEnterDirectory

 OnTerminateTask


Legend

published


TJclFileEnumerator Class Methods

TJclFileEnumerator Class	Legend

Methods

FillList

ForEach

GetAttributeMask

GetCaseSensitiveSearch

GetFileMask

GetFileMasks

GetFileSizeMax

GetFileSizeMin

GetIncludeHiddenSubDirectories

GetIncludeSubDirectories

GetLastChangeAfter

GetLastChangeAfterStr

GetLastChangeBefore

GetLastChangeBeforeStr

GetOnEnterDirectory

GetOnTerminateTask

GetOption

GetOptions

GetRootDirectory

GetRunningTasks

GetSubDirectoryMask

GetSynchronizationMode

SetAttributeMask

SetCaseSensitiveSearch

SetFileMask

SetFileMasks

SetFileSizeMax

SetFileSizeMin

SetIncludeHiddenSubDirectories

SetIncludeSubDirectories

SetLastChangeAfter

SetLastChangeAfterStr

SetLastChangeBefore

SetLastChangeBeforeStr

SetOnEnterDirectory

SetOnTerminateTask

SetOption

SetOptions

SetRootDirectory

SetSubDirectoryMask

SetSynchronizationMode

StopAllTasks

StopTask

TJclFileEnumerator Class

 _AddRef

 _Release

AfterConstruction

Assign

 Create

 CreateTask

 Destroy

FillList

ForEach

 GetAttributeMask

 GetFileMask

 GetFileMasks

 GetFileSizeMax

 GetFileSizeMin

 GetIncludeHiddenSubDirectories

 GetIncludeSubDirectories

 GetLastChangeAfter

 GetLastChangeAfterStr

 GetLastChangeBefore

 GetLastChangeBeforeStr

 GetOnEnterDirectory

 GetOnTerminateTask

 GetOption

 GetOptions

 GetRootDirectory

 GetRunningTasks

 GetSubDirectoryMask

 GetSynchronizationMode

 QueryInterface

 SetAttributeMask

 SetFileMask

 SetFileMasks

 SetFileSizeMax

 SetFileSizeMin

 SetIncludeHiddenSubDirectories

 SetIncludeSubDirectories

 SetLastChangeAfter

 SetLastChangeAfterStr

 SetLastChangeBefore

 SetLastChangeBeforeStr

 SetOnEnterDirectory

 SetOnTerminateTask

 SetOption

 SetOptions

 SetRootDirectory

 SetSubDirectoryMask

 SetSynchronizationMode

StopAllTasks

StopTask

 TaskTerminated


Legend

protected

Constructor


TJclFileEnumerator Class Fields

TJclFileEnumerator Class	Legend

Fields

TJclFileEnumerator Class

 FRefCount


Legend

protected


Legend

TJclFileEnumerator Class

Legend

read only

published

protected

Constructor


TJclFileEnumerator Class Members

TJclFileEnumerator Class	Legend

Members

Properties

AttributeMask

CaseSensitiveSearch

FileMask

FileSizeMax

FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

LastChangeAfter

LastChangeAfterAsString

LastChangeBefore

LastChangeBeforeAsString

RootDirectory

 RunningTasks

SubDirectoryMask

SynchronizationMode

TJclFileEnumerator Class

 AttributeMask

 CaseSensitiveSearch

FileMask

 FileMasks

 FileSizeMax

 FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

 LastChangeAfter

LastChangeAfterAsString

 LastChangeBefore

LastChangeBeforeAsString

 NextTaskID

 Options

 RootDirectory

 RunningTasks

SearchOption

 SubDirectoryMask

 SynchronizationMode

Events

OnEnterDirectory

OnTerminateTask

TJclFileEnumerator Class

 OnEnterDirectory

 OnTerminateTask

Methods

FillList

ForEach

GetAttributeMask

GetCaseSensitiveSearch

GetFileMask

GetFileMasks

GetFileSizeMax

GetFileSizeMin

GetIncludeHiddenSubDirectories

GetIncludeSubDirectories

GetLastChangeAfter

GetLastChangeAfterStr

GetLastChangeBefore

GetLastChangeBeforeStr

GetOnEnterDirectory

GetOnTerminateTask

GetOption

GetOptions

GetRootDirectory

GetRunningTasks

GetSubDirectoryMask

GetSynchronizationMode

SetAttributeMask

SetCaseSensitiveSearch

SetFileMask

SetFileMasks

SetFileSizeMax

SetFileSizeMin

SetIncludeHiddenSubDirectories

SetIncludeSubDirectories

SetLastChangeAfter

SetLastChangeAfterStr

SetLastChangeBefore

SetLastChangeBeforeStr

SetOnEnterDirectory

SetOnTerminateTask

SetOption

SetOptions

SetRootDirectory

SetSubDirectoryMask

SetSynchronizationMode

StopAllTasks

StopTask

TJclFileEnumerator Class

 _AddRef

 _Release

AfterConstruction

Assign

 Create

 CreateTask

 Destroy

FillList

ForEach

 GetAttributeMask

 GetFileMask

 GetFileMasks

 GetFileSizeMax

 GetFileSizeMin

 GetIncludeHiddenSubDirectories

 GetIncludeSubDirectories

 GetLastChangeAfter

 GetLastChangeAfterStr

 GetLastChangeBefore

 GetLastChangeBeforeStr

 GetOnEnterDirectory

 GetOnTerminateTask

 GetOption

 GetOptions

 GetRootDirectory

 GetRunningTasks

 GetSubDirectoryMask

 GetSynchronizationMode

 QueryInterface

 SetAttributeMask

 SetFileMask

 SetFileMasks

 SetFileSizeMax

 SetFileSizeMin

 SetIncludeHiddenSubDirectories

 SetIncludeSubDirectories

 SetLastChangeAfter

 SetLastChangeAfterStr

 SetLastChangeBefore

 SetLastChangeBeforeStr

 SetOnEnterDirectory

 SetOnTerminateTask

 SetOption

 SetOptions

 SetRootDirectory

 SetSubDirectoryMask

 SetSynchronizationMode

StopAllTasks

StopTask

 TaskTerminated

Fields

TJclFileEnumerator Class

 FRefCount


Legend

read only

published

protected

Constructor


TJclFileEnumerator.FRefCount Field

TJclFileEnumerator Class

FRefCount: Integer;

Class

TJclFileEnumerator Class


TJclFileEnumerator.AttributeMask Property

TJclFileEnumerator Class

property AttributeMask: TJclFileAttributeMask;

Class

TJclFileEnumerator Class


TJclFileEnumerator.CaseSensitiveSearch Property

TJclFileEnumerator Class

property CaseSensitiveSearch: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.FileMask Property

TJclFileEnumerator Class

property FileMask: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.FileMasks Property

TJclFileEnumerator Class

property FileMasks: TStrings;

Class

TJclFileEnumerator Class


TJclFileEnumerator.FileSizeMax Property

TJclFileEnumerator Class

property FileSizeMax: Int64;

Class

TJclFileEnumerator Class


TJclFileEnumerator.FileSizeMin Property

TJclFileEnumerator Class

property FileSizeMin: Int64;

Class

TJclFileEnumerator Class


TJclFileEnumerator.IncludeHiddenSubDirectories Property

TJclFileEnumerator Class

property IncludeHiddenSubDirectories: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.IncludeSubDirectories Property

TJclFileEnumerator Class

property IncludeSubDirectories: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.LastChangeAfter Property

TJclFileEnumerator Class

property LastChangeAfter: TDateTime;

Class

TJclFileEnumerator Class


TJclFileEnumerator.LastChangeAfterAsString Property

TJclFileEnumerator Class

property LastChangeAfterAsString: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.LastChangeBefore Property

TJclFileEnumerator Class

property LastChangeBefore: TDateTime;

Class

TJclFileEnumerator Class


TJclFileEnumerator.LastChangeBeforeAsString Property

TJclFileEnumerator Class

property LastChangeBeforeAsString: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.NextTaskID Property

TJclFileEnumerator Class

property NextTaskID: TFileSearchTaskID;

Class

TJclFileEnumerator Class


TJclFileEnumerator.OnEnterDirectory Event

TJclFileEnumerator Class

property OnEnterDirectory: TFileHandler;

Class

TJclFileEnumerator Class


TJclFileEnumerator.OnTerminateTask Event

TJclFileEnumerator Class

property OnTerminateTask: TFileSearchTerminationEvent;

Class

TJclFileEnumerator Class


TJclFileEnumerator.Options Property

TJclFileEnumerator Class

property Options: TFileSearchOptions;

Class

TJclFileEnumerator Class


TJclFileEnumerator.RootDirectory Property

TJclFileEnumerator Class

property RootDirectory: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.RunningTasks Property

TJclFileEnumerator Class

property RunningTasks: Integer;

Class

TJclFileEnumerator Class


TJclFileEnumerator.SearchOption Property

TJclFileEnumerator Class

property SearchOption [const Option: TFileSearchOption]: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.SubDirectoryMask Property

TJclFileEnumerator Class

property SubDirectoryMask: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.SynchronizationMode Property

TJclFileEnumerator Class

property SynchronizationMode: TFileEnumeratorSyncMode;

Class

TJclFileEnumerator Class


TJclFileEnumerator._AddRef Method

TJclFileEnumerator Class

function _AddRef: Integer; stdcall;

Class

TJclFileEnumerator Class


TJclFileEnumerator._Release Method

TJclFileEnumerator Class

function _Release: Integer; stdcall;

Class

TJclFileEnumerator Class


TJclFileEnumerator.AfterConstruction Method

TJclFileEnumerator Class

procedure AfterConstruction; override;

Class

TJclFileEnumerator Class


TJclFileEnumerator.Assign Method

TJclFileEnumerator Class

procedure Assign(Source: TPersistent); override;

Class

TJclFileEnumerator Class


TJclFileEnumerator.Create Constructor

TJclFileEnumerator Class

constructor Create;

Class

TJclFileEnumerator Class


TJclFileEnumerator.CreateTask Method

TJclFileEnumerator Class

function CreateTask: TThread;

Class

TJclFileEnumerator Class


TJclFileEnumerator.Destroy Destructor

TJclFileEnumerator Class

destructor Destroy; override;

Class

TJclFileEnumerator Class


TJclFileEnumerator.FillList Method

TJclFileEnumerator Class

function FillList(List: TStrings): TFileSearchTaskID;

Class

TJclFileEnumerator Class


TJclFileEnumerator.ForEach Method (TFileHandler)

TJclFileEnumerator Class

function ForEach(Handler: TFileHandler): TFileSearchTaskID; overload;

Class

TJclFileEnumerator Class


TJclFileEnumerator.ForEach Method (TFileHandlerEx)

TJclFileEnumerator Class

function ForEach(Handler: TFileHandlerEx): TFileSearchTaskID; overload;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetAttributeMask Method

TJclFileEnumerator Class

function GetAttributeMask: TJclFileAttributeMask;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetFileMask Method

TJclFileEnumerator Class

function GetFileMask: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetFileMasks Method

TJclFileEnumerator Class

function GetFileMasks: TStrings;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetFileSizeMax Method

TJclFileEnumerator Class

function GetFileSizeMax: Int64;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetFileSizeMin Method

TJclFileEnumerator Class

function GetFileSizeMin: Int64;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetIncludeHiddenSubDirectories Method

TJclFileEnumerator Class

function GetIncludeHiddenSubDirectories: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetIncludeSubDirectories Method

TJclFileEnumerator Class

function GetIncludeSubDirectories: Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetLastChangeAfter Method

TJclFileEnumerator Class

function GetLastChangeAfter: TDateTime;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetLastChangeAfterStr Method

TJclFileEnumerator Class

function GetLastChangeAfterStr: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetLastChangeBefore Method

TJclFileEnumerator Class

function GetLastChangeBefore: TDateTime;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetLastChangeBeforeStr Method

TJclFileEnumerator Class

function GetLastChangeBeforeStr: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetOnEnterDirectory Method

TJclFileEnumerator Class

function GetOnEnterDirectory: TFileHandler;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetOnTerminateTask Method

TJclFileEnumerator Class

function GetOnTerminateTask: TFileSearchTerminationEvent;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetOption Method

TJclFileEnumerator Class

function GetOption(const Option: TFileSearchOption): Boolean;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetOptions Method

TJclFileEnumerator Class

function GetOptions: TFileSearchoptions;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetRootDirectory Method

TJclFileEnumerator Class

function GetRootDirectory: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetRunningTasks Method

TJclFileEnumerator Class

function GetRunningTasks: Integer;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetSubDirectoryMask Method

TJclFileEnumerator Class

function GetSubDirectoryMask: string;

Class

TJclFileEnumerator Class


TJclFileEnumerator.GetSynchronizationMode Method

TJclFileEnumerator Class

function GetSynchronizationMode: TFileEnumeratorSyncMode;

Class

TJclFileEnumerator Class


TJclFileEnumerator.QueryInterface Method

TJclFileEnumerator Class

function QueryInterface(const IID: TGUID; out Obj): HRESULT; virtual; stdcall;

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetAttributeMask Method

TJclFileEnumerator Class

procedure SetAttributeMask(const Value: TJclFileAttributeMask);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetFileMask Method

TJclFileEnumerator Class

procedure SetFileMask(const Value: string);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetFileMasks Method

TJclFileEnumerator Class

procedure SetFileMasks(const Value: TStrings);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetFileSizeMax Method

TJclFileEnumerator Class

procedure SetFileSizeMax(const Value: Int64);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetFileSizeMin Method

TJclFileEnumerator Class

procedure SetFileSizeMin(const Value: Int64);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetIncludeHiddenSubDirectories Method

TJclFileEnumerator Class

procedure SetIncludeHiddenSubDirectories(const Value: Boolean);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetIncludeSubDirectories Method

TJclFileEnumerator Class

procedure SetIncludeSubDirectories(const Value: Boolean);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetLastChangeAfter Method

TJclFileEnumerator Class

procedure SetLastChangeAfter(const Value: TDateTime);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetLastChangeAfterStr Method

TJclFileEnumerator Class

procedure SetLastChangeAfterStr(const Value: string);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetLastChangeBefore Method

TJclFileEnumerator Class

procedure SetLastChangeBefore(const Value: TDateTime);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetLastChangeBeforeStr Method

TJclFileEnumerator Class

procedure SetLastChangeBeforeStr(const Value: string);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetOnEnterDirectory Method

TJclFileEnumerator Class

procedure SetOnEnterDirectory(const Value: TFileHandler);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetOnTerminateTask Method

TJclFileEnumerator Class

procedure SetOnTerminateTask(const Value: TFileSearchTerminationEvent);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetOption Method

TJclFileEnumerator Class

procedure SetOption(const Option: TFileSearchOption; const Value: Boolean);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetOptions Method

TJclFileEnumerator Class

procedure SetOptions(const Value: TFileSearchOptions);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetRootDirectory Method

TJclFileEnumerator Class

procedure SetRootDirectory(const Value: string);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetSubDirectoryMask Method

TJclFileEnumerator Class

procedure SetSubDirectoryMask(const Value: string);

Class

TJclFileEnumerator Class


TJclFileEnumerator.SetSynchronizationMode Method

TJclFileEnumerator Class

procedure SetSynchronizationMode(const Value: TFileEnumeratorSyncMode);

Class

TJclFileEnumerator Class


TJclFileEnumerator.StopAllTasks Method

TJclFileEnumerator Class

procedure StopAllTasks(Silently: Boolean = False);

Class

TJclFileEnumerator Class


TJclFileEnumerator.StopTask Method

TJclFileEnumerator Class

procedure StopTask(ID: TFileSearchTaskID);

Class

TJclFileEnumerator Class


TJclFileEnumerator.TaskTerminated Method

TJclFileEnumerator Class

procedure TaskTerminated(Sender: TObject);

Class

TJclFileEnumerator Class


IJclFileEnumerator Interface

Properties	Methods	Events	Legend

Interface for thread-based file search

Pascal

IJclFileEnumerator = interface;

Platforms

Win32, Unix

Donator

Robert Rossmair

Group

File Search

Events

OnEnterDirectory

OnTerminateTask

Legend

read only

Unit

JclFileUtils


IJclFileEnumerator Interface Properties

IJclFileEnumerator Interface	Legend

Properties

AttributeMask

CaseSensitiveSearch

FileMask

FileSizeMax

FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

LastChangeAfter

LastChangeAfterAsString

LastChangeBefore

LastChangeBeforeAsString

RootDirectory

 RunningTasks

SubDirectoryMask

SynchronizationMode


Legend

read only


IJclFileEnumerator Interface Events

IJclFileEnumerator Interface

Events

OnEnterDirectory

OnTerminateTask


IJclFileEnumerator Interface Methods

IJclFileEnumerator Interface

Methods

FillList

ForEach

GetAttributeMask

GetCaseSensitiveSearch

GetFileMask

GetFileMasks

GetFileSizeMax

GetFileSizeMin

GetIncludeHiddenSubDirectories

GetIncludeSubDirectories

GetLastChangeAfter

GetLastChangeAfterStr

GetLastChangeBefore

GetLastChangeBeforeStr

GetOnEnterDirectory

GetOnTerminateTask

GetOption

GetOptions

GetRootDirectory

GetRunningTasks

GetSubDirectoryMask

GetSynchronizationMode

SetAttributeMask

SetCaseSensitiveSearch

SetFileMask

SetFileMasks

SetFileSizeMax

SetFileSizeMin

SetIncludeHiddenSubDirectories

SetIncludeSubDirectories

SetLastChangeAfter

SetLastChangeAfterStr

SetLastChangeBefore

SetLastChangeBeforeStr

SetOnEnterDirectory

SetOnTerminateTask

SetOption

SetOptions

SetRootDirectory

SetSubDirectoryMask

SetSynchronizationMode

StopAllTasks

StopTask


Legend

IJclFileEnumerator Interface

Legend

read only


IJclFileEnumerator Interface Members

IJclFileEnumerator Interface	Legend

Members

Properties

AttributeMask

CaseSensitiveSearch

FileMask

FileSizeMax

FileSizeMin

IncludeHiddenSubDirectories

IncludeSubDirectories

LastChangeAfter

LastChangeAfterAsString

LastChangeBefore

LastChangeBeforeAsString

RootDirectory

 RunningTasks

SubDirectoryMask

SynchronizationMode

Events

OnEnterDirectory

OnTerminateTask

Methods

FillList

ForEach

GetAttributeMask

GetCaseSensitiveSearch

GetFileMask

GetFileMasks

GetFileSizeMax

GetFileSizeMin

GetIncludeHiddenSubDirectories

GetIncludeSubDirectories

GetLastChangeAfter

GetLastChangeAfterStr

GetLastChangeBefore

GetLastChangeBeforeStr

GetOnEnterDirectory

GetOnTerminateTask

GetOption

GetOptions

GetRootDirectory

GetRunningTasks

GetSubDirectoryMask

GetSynchronizationMode

SetAttributeMask

SetCaseSensitiveSearch

SetFileMask

SetFileMasks

SetFileSizeMax

SetFileSizeMin

SetIncludeHiddenSubDirectories

SetIncludeSubDirectories

SetLastChangeAfter

SetLastChangeAfterStr

SetLastChangeBefore

SetLastChangeBeforeStr

SetOnEnterDirectory

SetOnTerminateTask

SetOption

SetOptions

SetRootDirectory

SetSubDirectoryMask

SetSynchronizationMode

StopAllTasks

StopTask


Legend

read only


IJclFileEnumerator.AttributeMask Property

IJclFileEnumerator Interface

property AttributeMask: TJclFileAttributeMask;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.CaseSensitiveSearch Property

IJclFileEnumerator Interface

property CaseSensitiveSearch: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.FileMask Property

IJclFileEnumerator Interface

property FileMask: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.FileSizeMax Property

IJclFileEnumerator Interface

property FileSizeMax: Int64;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.FileSizeMin Property

IJclFileEnumerator Interface

property FileSizeMin: Int64;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.IncludeHiddenSubDirectories Property

IJclFileEnumerator Interface

property IncludeHiddenSubDirectories: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.IncludeSubDirectories Property

IJclFileEnumerator Interface

property IncludeSubDirectories: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.LastChangeAfter Property

IJclFileEnumerator Interface

property LastChangeAfter: TDateTime;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.LastChangeAfterAsString Property

IJclFileEnumerator Interface

property LastChangeAfterAsString: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.LastChangeBefore Property

IJclFileEnumerator Interface

property LastChangeBefore: TDateTime;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.LastChangeBeforeAsString Property

IJclFileEnumerator Interface

property LastChangeBeforeAsString: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.OnEnterDirectory Event

IJclFileEnumerator Interface

property OnEnterDirectory: TFileHandler;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.OnTerminateTask Event

IJclFileEnumerator Interface

property OnTerminateTask: TFileSearchTerminationEvent;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.RootDirectory Property

IJclFileEnumerator Interface

property RootDirectory: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.RunningTasks Property

IJclFileEnumerator Interface

property RunningTasks: Integer;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SubDirectoryMask Property

IJclFileEnumerator Interface

property SubDirectoryMask: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SynchronizationMode Property

IJclFileEnumerator Interface

property SynchronizationMode: TFileEnumeratorSyncMode;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.FillList Method

IJclFileEnumerator Interface

function FillList(List: TStrings): TFileSearchTaskID;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.ForEach Method (TFileHandler)

IJclFileEnumerator Interface

function ForEach(Handler: TFileHandler): TFileSearchTaskID; overload;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.ForEach Method (TFileHandlerEx)

IJclFileEnumerator Interface

function ForEach(Handler: TFileHandlerEx): TFileSearchTaskID; overload;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetAttributeMask Method

IJclFileEnumerator Interface

function GetAttributeMask: TJclFileAttributeMask;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetCaseSensitiveSearch Method

IJclFileEnumerator Interface

function GetCaseSensitiveSearch: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetFileMask Method

IJclFileEnumerator Interface

function GetFileMask: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetFileMasks Method

IJclFileEnumerator Interface

function GetFileMasks: TStrings;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetFileSizeMax Method

IJclFileEnumerator Interface

function GetFileSizeMax: Int64;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetFileSizeMin Method

IJclFileEnumerator Interface

function GetFileSizeMin: Int64;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetIncludeHiddenSubDirectories Method

IJclFileEnumerator Interface

function GetIncludeHiddenSubDirectories: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetIncludeSubDirectories Method

IJclFileEnumerator Interface

function GetIncludeSubDirectories: Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetLastChangeAfter Method

IJclFileEnumerator Interface

function GetLastChangeAfter: TDateTime;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetLastChangeAfterStr Method

IJclFileEnumerator Interface

function GetLastChangeAfterStr: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetLastChangeBefore Method

IJclFileEnumerator Interface

function GetLastChangeBefore: TDateTime;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetLastChangeBeforeStr Method

IJclFileEnumerator Interface

function GetLastChangeBeforeStr: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetOnEnterDirectory Method

IJclFileEnumerator Interface

function GetOnEnterDirectory: TFileHandler;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetOnTerminateTask Method

IJclFileEnumerator Interface

function GetOnTerminateTask: TFileSearchTerminationEvent;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetOption Method

IJclFileEnumerator Interface

function GetOption(const Option: TFileSearchOption): Boolean;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetOptions Method

IJclFileEnumerator Interface

function GetOptions: TFileSearchoptions;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetRootDirectory Method

IJclFileEnumerator Interface

function GetRootDirectory: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetRunningTasks Method

IJclFileEnumerator Interface

function GetRunningTasks: Integer;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetSubDirectoryMask Method

IJclFileEnumerator Interface

function GetSubDirectoryMask: string;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.GetSynchronizationMode Method

IJclFileEnumerator Interface

function GetSynchronizationMode: TFileEnumeratorSyncMode;

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetAttributeMask Method

IJclFileEnumerator Interface

procedure SetAttributeMask(const Value: TJclFileAttributeMask);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetCaseSensitiveSearch Method

IJclFileEnumerator Interface

procedure SetCaseSensitiveSearch(const Value: Boolean);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetFileMask Method

IJclFileEnumerator Interface

procedure SetFileMask(const Value: string);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetFileMasks Method

IJclFileEnumerator Interface

procedure SetFileMasks(const Value: TStrings);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetFileSizeMax Method

IJclFileEnumerator Interface

procedure SetFileSizeMax(const Value: Int64);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetFileSizeMin Method

IJclFileEnumerator Interface

procedure SetFileSizeMin(const Value: Int64);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetIncludeHiddenSubDirectories Method

IJclFileEnumerator Interface

procedure SetIncludeHiddenSubDirectories(const Value: Boolean);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetIncludeSubDirectories Method

IJclFileEnumerator Interface

procedure SetIncludeSubDirectories(const Value: Boolean);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetLastChangeAfter Method

IJclFileEnumerator Interface

procedure SetLastChangeAfter(const Value: TDateTime);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetLastChangeAfterStr Method

IJclFileEnumerator Interface

procedure SetLastChangeAfterStr(const Value: string);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetLastChangeBefore Method

IJclFileEnumerator Interface

procedure SetLastChangeBefore(const Value: TDateTime);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetLastChangeBeforeStr Method

IJclFileEnumerator Interface

procedure SetLastChangeBeforeStr(const Value: string);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetOnEnterDirectory Method

IJclFileEnumerator Interface

procedure SetOnEnterDirectory(const Value: TFileHandler);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetOnTerminateTask Method

IJclFileEnumerator Interface

procedure SetOnTerminateTask(const Value: TFileSearchTerminationEvent);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetOption Method

IJclFileEnumerator Interface

procedure SetOption(const Option: TFileSearchOption; const Value: Boolean);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetOptions Method

IJclFileEnumerator Interface

procedure SetOptions(const Value: TFileSearchOptions);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetRootDirectory Method

IJclFileEnumerator Interface

procedure SetRootDirectory(const Value: string);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetSubDirectoryMask Method

IJclFileEnumerator Interface

procedure SetSubDirectoryMask(const Value: string);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.SetSynchronizationMode Method

IJclFileEnumerator Interface

procedure SetSynchronizationMode(const Value: TFileEnumeratorSyncMode);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.StopAllTasks Method

IJclFileEnumerator Interface

procedure StopAllTasks(Silently: Boolean = False);

Interface

IJclFileEnumerator Interface


IJclFileEnumerator.StopTask Method

IJclFileEnumerator Interface

procedure StopTask(ID: TFileSearchTaskID);

Interface

IJclFileEnumerator Interface


FileSearch Function

function FileSearch: IJclFileEnumerator;

Platforms

Win32, Unix

Donator

Robert Rossmair

Group

File Search

Unit

JclFileUtils


File Version Information

Files and Directories

Classes

TJclFileVersionInfo

Enables reading of version information from executables.

Functions

VersionResourceAvailable

Tests if a file has a version resource.

OSIdentToString

Maps an OS identifier as to a string.

VersionFixedFileInfo

Retrieves the root block of version information resource from the specified file.

Types

TFileFlags


File Version Information Types

File Version Information

Types

TFileFlags


File Version Information Functions

File Version Information

Functions

VersionResourceAvailable

Tests if a file has a version resource.

OSIdentToString

Maps an OS identifier as to a string.

VersionFixedFileInfo

Retrieves the root block of version information resource from the specified file.


File Version Information Classes

File Version Information

Classes

TJclFileVersionInfo

Enables reading of version information from executables.


TFileFlags Type

See Also

TFileFlags = set of TFileFlag;

Description

ffDebug Included if the file contains debugging information or is compiled with debugging features enabled.

ffInfoInferred The file's version structure was created dynamically; therefore, some of the properties may be empty or incorrect. This flag should never be set in a file's VS_VERSIONINFO data.

ffPatched The file has been modified and is not identical to the original shipping file of the same version number.

ffPreRelease The file is a development version, not a commercially released product.

ffPrivateBuild The file was not built using standard release procedures.

ffSpecialBuild The file was built by the original company using standard release procedures but is a variation of the normal file of the same version number.

Platforms

Windows

Donator

Marcel van Brakel

Group

File Version Information

Unit

JclFileUtils


See Also

TJclFileVersionInfo


VersionResourceAvailable Function

See Also

Tests if a file has a version resource.

Pascal

function VersionResourceAvailable(const FileName: string): Boolean;

Description

VersionResourceAvailable tests whether or not the specified file has an accessible version resource. You can use this function to test before using the TJclFileVersionInfo class to avoid an exception during construction.

Parameters

const FileName: string

The fully qualified name of the file to test.

Return Value

If the specified file contains a version resource the result is True, if it does not or the file could not be found the result is False.

Platforms

Windows

Donator

Marcel van Brakel

Group

File Version Information

Unit

JclFileUtils


See Also

TJclFileVersionInfo


OSIdentToString Function

Maps an OS identifier as to a string.

Pascal

function OSIdentToString(const OSIdent: DWORD): string;

Description

OSIdentToString maps an OS identifier as returned by TJclFileVersionInfo.FileOS to a string. An example is "Win32 API, running on Windows/NT".

Parameters

const OSIdent: DWORD

An OS identifier returned by FileOS property of TJclFileVersionInfo.

Return Value

String representation of the OS identifier.

Platforms

Windows

Donator

Marcel van Brakel

Group

File Version Information

Unit

JclFileUtils


TJclFileVersionInfo Class

Properties	Methods	Legend

Enables reading of version information from executables.

Pascal

TJclFileVersionInfo = class(TObject);

Description

TJclFileVersionInfo is a class that enables you to read the version information from an executable file (exe, dll etc.). Naturally the executable itself has to have a version resource linked in. Besides allowing you to read standard version key such as ProductName and FileVersion this class also allows you to read custom keys through the UserKeys property.

Platforms

Windows

Donator

Marcel van Brakel

Group

File Version Information

Legend

read only

Constructor

protected

Unit

JclFileUtils


TJclFileVersionInfo Class Properties

TJclFileVersionInfo Class	Legend

Properties

 BinFileVersion

Returns the binary file version string.

 BinProductVersion

Returns the binary product string.

 Comments

Returns the comment string.

 CompanyName

Returns the company name string.

 FileDescription

Returns the file description string.

 FileFlags

Set of flags that specify the attributes of the file.

 FileOS

Depicts the OS for which this file was designed.

 FileSubType

Specifies the function of the file.

 FileType

Depicts the general type of the file.

 FileVersion

Returns the FileVersion string.

 FixedInfo

 InternalName

Returns the internal name string.

 Items

Allows for reading user defined keys.

 LanguageCount

Number of languages in the version resource.

 LanguageIds

List of supported languages.

LanguageIndex

Index into the LanguageIds array of the 'active' language.

 LanguageNames

List of supported languages.

 Languages

 LegalCopyright

Returns the legal copyright string.

 LegalTradeMarks

Returns the LegalTradeMarks string.

 OriginalFilename

OriginalFileName returns the value of the original filename string key.

 PrivateBuild

Returns the private build module attribute.

 ProductName

Returns the product name string.

 ProductVersion

Returns the product version string.

 SpecialBuild

Returns the special build module attribute.

 TranslationCount

 Translations


Legend

read only


TJclFileVersionInfo Class Methods

TJclFileVersionInfo Class	Legend

Methods

 Attach

Creates an instance of TJclFileVersionInfo using the supplied buffer.

 CheckLanguageIndex

 Create

Creates an instance of TJclFileVersionInfo.

 CreateItemsForLanguage

 Destroy

 ExtractData

 ExtractFlags

 GetBinFileVersion

 GetBinProductVersion

 GetFileOS

 GetFileSubType

 GetFileType

 GetVersionKeyValue

TranslationMatchesLanguages

VersionLanguageId

Returns the language identifier of the version resource.

VersionLanguageName

Returns the language name of the version resource.


Legend

Constructor

protected


Legend

TJclFileVersionInfo Class

Legend

read only

Constructor

protected


TJclFileVersionInfo Class Members

TJclFileVersionInfo Class	Legend

Members

Properties

 BinFileVersion

Returns the binary file version string.

 BinProductVersion

Returns the binary product string.

 Comments

Returns the comment string.

 CompanyName

Returns the company name string.

 FileDescription

Returns the file description string.

 FileFlags

Set of flags that specify the attributes of the file.

 FileOS

Depicts the OS for which this file was designed.

 FileSubType

Specifies the function of the file.

 FileType

Depicts the general type of the file.

 FileVersion

Returns the FileVersion string.

 FixedInfo

 InternalName

Returns the internal name string.

 Items

Allows for reading user defined keys.

 LanguageCount

Number of languages in the version resource.

 LanguageIds

List of supported languages.

LanguageIndex

Index into the LanguageIds array of the 'active' language.

 LanguageNames

List of supported languages.

 Languages

 LegalCopyright

Returns the legal copyright string.

 LegalTradeMarks

Returns the LegalTradeMarks string.

 OriginalFilename

OriginalFileName returns the value of the original filename string key.

 PrivateBuild

Returns the private build module attribute.

 ProductName

Returns the product name string.

 ProductVersion

Returns the product version string.

 SpecialBuild

Returns the special build module attribute.

 TranslationCount

 Translations

Methods

 Attach

Creates an instance of TJclFileVersionInfo using the supplied buffer.

 CheckLanguageIndex

 Create

Creates an instance of TJclFileVersionInfo.

 CreateItemsForLanguage

 Destroy

 ExtractData

 ExtractFlags

 GetBinFileVersion

 GetBinProductVersion

 GetFileOS

 GetFileSubType

 GetFileType

 GetVersionKeyValue

TranslationMatchesLanguages

VersionLanguageId

Returns the language identifier of the version resource.

VersionLanguageName

Returns the language name of the version resource.


Legend

read only

Constructor

protected


TJclFileVersionInfo.BinFileVersion Property

TJclFileVersionInfo Class

Returns the binary file version string.

Pascal

property BinFileVersion: string;

Description

BinFileVersion returns the value of the binary file version string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.BinProductVersion Property

TJclFileVersionInfo Class

Returns the binary product string.

Pascal

property BinProductVersion: string;

Description

The BinProductVersion returns the value of the binary product version string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Comments Property

TJclFileVersionInfo Class

Returns the comment string.

Pascal

property Comments: string;

Description

Comments returns the value of the comments string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.CompanyName Property

TJclFileVersionInfo Class

Returns the company name string.

Pascal

property CompanyName: string;

Description

CompanyName returns the value of the company name string key.

Donator

Marcel van Brake

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileDescription Property

TJclFileVersionInfo Class

Returns the file description string.

Pascal

property FileDescription: string;

Description

FileDescription returns the value of the file description string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileFlags Property

TJclFileVersionInfo Class

Set of flags that specify the attributes of the file.

Pascal

property FileFlags: TFileFlags;

Description

FileFlags is a set of flags that specify the attributes of the file such as debug and special build. See TFileFlags for more information on all the possible values in this set.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileOS Property

TJclFileVersionInfo Class

Depicts the OS for which this file was designed.

Pascal

property FileOS: DWORD;

Description

Specifies the operating system for which this file was designed. You can use the OSIdentToString function to map this value to a descriptive string. This member can be one of the following values:
Flag	Description
VOS_DOS	The file was designed for MS-DOS.
VOS_NT	The file was designed for Windows NT/Windows 2000.
VOS__WINDOWS16	The file was designed for 16-bit Windows.
VOS__WINDOWS32	The file was designed for the Win32 API.
VOS_OS216	The file was designed for 16-bit OS/2.
VOS_OS232	The file was designed for 32-bit OS/2.
VOS__PM16	The file was designed for 16-bit Presentation Manager.
VOS__PM32	The file was designed for 32-bit Presentation Manager.
VOS_UNKNOWN	The operating system for which the file was designed is unknown to the system.

An application can combine these values to indicate that the file was designed for one operating system running on another. The following dwFileOS values are examples of this, but are not a complete list:
Flag	Description
VOS_DOS_WINDOWS16	The file was designed for 16-bit Windows running on MS-DOS.
VOS_DOS_WINDOWS32	The file was designed for the Win32 API running on MS-DOS.
VOS_NT_WINDOWS32	The file was designed for the Win32 API running on Windows NT/Windows 2000.
VOS_OS216_PM16	The file was designed for 16-bit Presentation Manager running on 16-bit OS/2.
VOS_OS232_PM32	The file was designed for 32-bit Presentation Manager running on 32-bit OS/2.
Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileSubType Property

TJclFileVersionInfo Class

Specifies the function of the file.

Pascal

property FileSubType: DWORD;

Description

FileSubType specifies the function of the file and serves as a further specification of the FileType. The possible values depend on the FileType property.

If dwFileType is VFT_DRV, dwFileSubtype can be one of the following values:
Flag	Description
VFT2_UNKNOWN	The driver type is unknown by the system.
VFT2_DRV_COMM	The file contains a communications driver.
VFT2_DRV_PRINTER	The file contains a printer driver.
VFT2_DRV_KEYBOARD	The file contains a keyboard driver.
VFT2_DRV_LANGUAGE	The file contains a language driver.
VFT2_DRV_DISPLAY	The file contains a display driver.
VFT2_DRV_MOUSE	The file contains a mouse driver.
VFT2_DRV_NETWORK	The file contains a network driver.
VFT2_DRV_SYSTEM	The file contains a system driver.
VFT2_DRV_INSTALLABLE	The file contains an installable driver.
VFT2_DRV_SOUND	The file contains a sound driver.

If dwFileType is VFT_FONT, dwFileSubtype can be one of the following values:
Flag	Description
VFT2_UNKNOWN	The font type is unknown by the system.
VFT2_FONT_RASTER	The file contains a raster font.
VFT2_FONT_VECTOR	The file contains a vector font.
VFT2_FONT_TRUETYPE	The file contains a TrueType font.

If dwFileType is VFT_VXD, dwFileSubtype contains the virtual device identifier included in the virtual device control block.

All dwFileSubtype values not listed here are reserved for future use by Microsoft.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileType Property

TJclFileVersionInfo Class

Depicts the general type of the file.

Pascal

property FileType: DWORD;

Description

FileType returns a constant which depicts the general type of file from which the version resource was read. This can be one of the following values:
Flag	Description
VFT_UNKNOWN	The file type is unknown to the system.
VFT_APP	The file contains an application.
VFT_DLL	The file contains a dynamic-link library (DLL).
VFT_DRV	The file contains a device driver. If dwFileType is VFT_DRV, dwFileSubtype contains a more specific description of the driver.
VFT_FONT	The file contains a font. If dwFileType is VFT_FONT, dwFileSubtype contains a more specific description of the font file.
VFT_VXD	The file contains a virtual device.
VFT_STATIC_LIB	The file contains a static-link library.

All other values are reserved for future use by Microsoft.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FileVersion Property

TJclFileVersionInfo Class

Returns the FileVersion string.

Pascal

property FileVersion: string;

Description

FileVersion returns the value of the file version string key.

Donator

Marcel van Brake

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.FixedInfo Property

TJclFileVersionInfo Class

property FixedInfo: TVSFixedFileInfo;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.InternalName Property

TJclFileVersionInfo Class

Returns the internal name string.

Pascal

property InternalName: string;

Description

InternalName returns the value of the internal name string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Items Property

TJclFileVersionInfo Class

Allows for reading user defined keys.

Pascal

property Items: TStrings;

Description

UserKeys allows for reading of non standard, or custom, keys within a version resource. This is implemented as an array with a string index. The key you want to read is used as an index into this array. For example: S := V.UserKeys['MyKey']; The property returns the value of the key 'MyKey'.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.LanguageCount Property

See Also	TJclFileVersionInfo Class

Number of languages in the version resource.

Pascal

property LanguageCount: Integer;

Description

LanguageCount returns the number of distinct languages for which translations are available in the version resource.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

LanguageIndex LanguageIds LanguageNames


TJclFileVersionInfo.LanguageIds Property

See Also	TJclFileVersionInfo Class

List of supported languages.

Pascal

property LanguageIds [Index: Integer]: string;

Description

List of language IDs for which the version resource contains translated strings. Use the LanguageIndex property to set the language in which you want the class to return string properties. Use the LanguageNames property to get readable names for these identifiers.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

LanguageCount LanguageIndex LanguageNames


TJclFileVersionInfo.LanguageIndex Property

See Also	TJclFileVersionInfo Class

Index into the LanguageIds array of the 'active' language.

Pascal

property LanguageIndex: Integer;

Description

Selects one of the languages in the LanguageIds list as the active language. After setting this all string properties return values in that specific language.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

LanguageCount LanguageIds LanguageNames


TJclFileVersionInfo.LanguageNames Property

See Also	TJclFileVersionInfo Class

List of supported languages.

Pascal

property LanguageNames [Index: Integer]: string;

Description

List of languages for which the version resource contains translated strings. Use the LanguageIndex property to set the language in which you want the class to return string properties. Use the LanguageIds property to get language identifiers.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

LanguageCount LanguageIndex LanguageIds


TJclFileVersionInfo.Languages Property

TJclFileVersionInfo Class

property Languages [Index: Integer]: TLangIdRec;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.LegalCopyright Property

TJclFileVersionInfo Class

Returns the legal copyright string.

Pascal

property LegalCopyright: string;

Description

LegalCopyright returns the value of the legal copyright string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.LegalTradeMarks Property

TJclFileVersionInfo Class

Returns the LegalTradeMarks string.

Pascal

property LegalTradeMarks: string;

Description

LegalTradeMarks returns the value of the legal trademarks string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.OriginalFilename Property

TJclFileVersionInfo Class

OriginalFileName returns the value of the original filename string key.

Pascal

property OriginalFilename: string;

Description

Returns the original filename string.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.PrivateBuild Property

See Also	TJclFileVersionInfo Class

Returns the private build module attribute.

Pascal

property PrivateBuild: string;

Description

PrivateBuild is set to true if the executable has the private build module attribute set in its version resource. If it doesn't PrivateBuild is False.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

SpecialBuild FileFlags


TJclFileVersionInfo.ProductName Property

TJclFileVersionInfo Class

Returns the product name string.

Pascal

property ProductName: string;

Description

ProductName returns the value of the product name string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.ProductVersion Property

TJclFileVersionInfo Class

Returns the product version string.

Pascal

property ProductVersion: string;

Description

ProductVersion returns the value of the product version string key.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.SpecialBuild Property

See Also	TJclFileVersionInfo Class

Returns the special build module attribute.

Pascal

property SpecialBuild: string;

Description

SpecialBuild is set to true if the executable has the special build module attribute set in its version resource. If it doesn't SpecialBuild is False.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

PrivateBuild FileFlags


TJclFileVersionInfo.TranslationCount Property

TJclFileVersionInfo Class

property TranslationCount: Integer;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Translations Property

TJclFileVersionInfo Class

property Translations [Index: Integer]: TLangIdRec;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Attach Constructor

TJclFileVersionInfo Class

Creates an instance of TJclFileVersionInfo using the supplied buffer.

Pascal

constructor Attach(VersionInfoData: Pointer; Size: Integer);

Description

The Attach constructor creates an instance of the TJclFileVersionInfo class and attaches it to the specified buffer. If successful you can use the properties of TJclFileVersionInfo to start reading the version resource information from the executable. Use this constructor if you already have read the version info into a buffer but still want to use this class for convenience.

Parameters

Buffer

Buffer containing the version info resource.

Notes

To include version information in your own projects select "Project | Options" and go to the "Version Info" tab.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.CheckLanguageIndex Method

TJclFileVersionInfo Class

procedure CheckLanguageIndex(Value: Integer);

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Create Constructor

See Also	TJclFileVersionInfo Class

Creates an instance of TJclFileVersionInfo.

Pascal

constructor Create(const FileName: string);

Description

The Create constructor creates an instance of the TJclFileVersionInfo class and attaches it to the executable specified by FileName. If successful you can use the properties of TJclFileVersionInfo to start reading the version resource information from the executable. If the constructor cannot read the version resource from the specified file (e.g. because the file does not exist or does not have a version resource) an exception is raised (using RaiseLastWin32Error). To avoid the exception and check beforehand if the file has a version resource you can use the VersionResourceAvailable function.

Parameters

AFileName

The fully qualified name of the file whose version resource to read.

Notes

To include version information in your own projects select "Project | Options" and go to the "Version Info" tab.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


See Also

Attach


TJclFileVersionInfo.CreateItemsForLanguage Method

TJclFileVersionInfo Class

procedure CreateItemsForLanguage;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.Destroy Destructor

TJclFileVersionInfo Class

destructor Destroy; override;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.ExtractData Method

TJclFileVersionInfo Class

procedure ExtractData;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.ExtractFlags Method

TJclFileVersionInfo Class

procedure ExtractFlags;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetBinFileVersion Method

TJclFileVersionInfo Class

function GetBinFileVersion: string;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetBinProductVersion Method

TJclFileVersionInfo Class

function GetBinProductVersion: string;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetFileOS Method

TJclFileVersionInfo Class

function GetFileOS: DWORD;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetFileSubType Method

TJclFileVersionInfo Class

function GetFileSubType: DWORD;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetFileType Method

TJclFileVersionInfo Class

function GetFileType: DWORD;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.GetVersionKeyValue Method

TJclFileVersionInfo Class

function GetVersionKeyValue(Index: Integer): string;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.TranslationMatchesLanguages Method

TJclFileVersionInfo Class

function TranslationMatchesLanguages(Exact: Boolean = True): Boolean;

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.VersionLanguageId Method

TJclFileVersionInfo Class

Returns the language identifier of the version resource.

Pascal

class function VersionLanguageId(const LangIdRec: TLangIdRec): string;

Description

VersionLanguage returns the language identifier of the version resource.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


TJclFileVersionInfo.VersionLanguageName Method

TJclFileVersionInfo Class

Returns the language name of the version resource.

Pascal

class function VersionLanguageName(const LangId: Word): string;

Description

VersionLanguage returns the language name of the version resource.

Donator

Marcel van Brakel

Class

TJclFileVersionInfo Class


VersionFixedFileInfo Function

See Also

Retrieves the root block of version information resource from the specified file.

Pascal

function VersionFixedFileInfo(const FileName: string; var FixedInfo: TVSFixedFileInfo): Boolean;

Description

The VersionFixedFileInfo function retrieves the root block of version information resource from the file specified by the FileName parameter.

Parameters

const FileName: string

The fully qualified file name, the version information resource of which should be retrieved.

var FixedInfo: TVSFixedFileInfo

Output parameter. Contains the root block of version information resource if function succeedes.

Return Value

Function returns True if version information resources was retrieved successfully, False otherwise. Category: Files and IO

Donator

Marcel van Brakel

Group

File Version Information

Unit

JclFileUtils


See Also

VersionResourceAvailable, TJclFileVersionInfo


File Systems

Files and IO

Topics

NTFS

Functions

OSFileTypeToString

Maps a file type identifier to a string.


File Systems Functions

File Systems

Functions

OSFileTypeToString

Maps a file type identifier to a string.


Topics

File Systems

Topics

NTFS


OSFileTypeToString Function

Maps a file type identifier to a string.

Pascal

function OSFileTypeToString(const OSFileType: DWORD; const OSFileSubType: DWORD = 0): string;

Description

Maps a file type as returned by TJclFileVersionInfo.FileType and TJclFileVersionInfo.FileSubType identifier to its string representation.

Parameters

const OSFileType: DWORD

File type identifier. You can use a value returned by TJclFileVersionInfo.FileType member.

const OSFileSubType: DWORD = 0

File subtype identifier. You can use a value returned by TJclFileVersionInfo.FileSubType member. Can be omitted. Default value is 0.

Return Value

If there is no an appropriate value for FileType passed the function returns an empty string.

Donator

Marcel van Brakel

Group

File Systems

Unit

JclFileUtils


NTFS

Legend

File Systems

Enumerations

 TStreamId

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

 TFileCompressionState

Enumeration which describes possible file compression states.

Functions

NtfsGetCompression

Obtains the compression state of a file.

NtfsFindFirstStream

Starts the enumeration of streams in a file.

NtfsFindNextStream

Returns the next stream in a file.

NtfsFindStreamClose

Terminates the enumeration of streams.

NtfsCreateJunctionPoint

Creates an NTFS junction point.

NtfsDeleteJunctionPoint

Deletes a junction point.

NtfsGetJunctionPointDestination

Returns the destination directory of a junction point.

NtfsZeroDataByName

Decommits storage for a specified range within a sparse file.

NtfsZeroDataByHandle

Decommits storage for a specified range within a sparse file.

NtfsSparseStreamsSupported

Test if the volume supports sparse streams.

NtfsGetAllocRangeEntry

Extracts an entry from the ranges record.

NtfsQueryAllocRanges

Queries the specified sparse file for the ranges that are actually allocated.

NtfsGetSparse

Tests whether the file is a sparse file.

NtfsSetSparse

Sets the sparse file attribute.

NtfsDeleteReparsePoint

Deletes a reparse point.

NtfsSetReparsePoint

Sets a reparse point for a file or directory.

NtfsGetReparsePoint

Returns the reparse point data associated with the specified file or directory.

NtfsGetReparseTag

Returns the reparse tag of a file or directory.

NtfsReparsePointsSupported

Returns whether a filesystem supports reparse points.

NtfsFileHasReparsePoint

Returns whether a specified file or directory has an associated reparse point.

NtfsIsFolderMountPoint

Returns whether a directory is a mount point.

NtfsMountDeviceAsDrive

Mounts a device as a drive.

NtfsMountVolume

Mounts a volume to a specified directory.

NtfsSetCompression

Sets the compression state of a file.

NtfsSetFileCompression

Sets the compression state of a file.

NtfsSetDirectoryTreeCompression

Sets the compression state of a directory and its contents.

NtfsSetPathCompression

Sets the compression state for all files specified by Path.

NtfsSetDefaultFileCompression

Sets the default compression state of a directory.

Records

 TFindStreamData

Record type used by the NtfsFindFirstStream, NtfsFindNextStream and NtfsFindStreamClose functions which contains information about the streams in a NTFS file.

 TNtfsAllocRanges

TNtfsAllocRanges is initialized by a call to NtfsQueryAllocRanges. It holds the data that describes the allocated ranges in the file within the boundaries that the file was queried for. You can use the NtfsGetAllocRangeEntry to extract the individual entries from this record. WARNING: After you're done with this record you are responsible for freeing the memory associated with the Data member, i.e. you must call: FreeMem(Ranges.Data).

 _REPARSE_GUID_DATA_BUFFER

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

Types

TStreamIds

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

TReparseGuidDataBuffer

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

PReparseGuidDataBuffer

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

Legend

Enumeration

Record


NTFS Functions

NTFS

Functions

NtfsGetCompression

Obtains the compression state of a file.

NtfsFindFirstStream

Starts the enumeration of streams in a file.

NtfsFindNextStream

Returns the next stream in a file.

NtfsFindStreamClose

Terminates the enumeration of streams.

NtfsCreateJunctionPoint

Creates an NTFS junction point.

NtfsDeleteJunctionPoint

Deletes a junction point.

NtfsGetJunctionPointDestination

Returns the destination directory of a junction point.

NtfsZeroDataByName

Decommits storage for a specified range within a sparse file.

NtfsZeroDataByHandle

Decommits storage for a specified range within a sparse file.

NtfsSparseStreamsSupported

Test if the volume supports sparse streams.

NtfsGetAllocRangeEntry

Extracts an entry from the ranges record.

NtfsQueryAllocRanges

Queries the specified sparse file for the ranges that are actually allocated.

NtfsGetSparse

Tests whether the file is a sparse file.

NtfsSetSparse

Sets the sparse file attribute.

NtfsDeleteReparsePoint

Deletes a reparse point.

NtfsSetReparsePoint

Sets a reparse point for a file or directory.

NtfsGetReparsePoint

Returns the reparse point data associated with the specified file or directory.

NtfsGetReparseTag

Returns the reparse tag of a file or directory.

NtfsReparsePointsSupported

Returns whether a filesystem supports reparse points.

NtfsFileHasReparsePoint

Returns whether a specified file or directory has an associated reparse point.

NtfsIsFolderMountPoint

Returns whether a directory is a mount point.

NtfsMountDeviceAsDrive

Mounts a device as a drive.

NtfsMountVolume

Mounts a volume to a specified directory.

NtfsSetCompression

Sets the compression state of a file.

NtfsSetFileCompression

Sets the compression state of a file.

NtfsSetDirectoryTreeCompression

Sets the compression state of a directory and its contents.

NtfsSetPathCompression

Sets the compression state for all files specified by Path.

NtfsSetDefaultFileCompression

Sets the default compression state of a directory.


NTFS Enumerations

NTFS	Legend

Enumerations

 TStreamId

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

 TFileCompressionState

Enumeration which describes possible file compression states.


Legend

Enumeration


NTFS Types

NTFS

Types

TStreamIds

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

TReparseGuidDataBuffer

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

PReparseGuidDataBuffer

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.


NTFS Records

NTFS	Legend

Records

 TFindStreamData

Record type used by the NtfsFindFirstStream, NtfsFindNextStream and NtfsFindStreamClose functions which contains information about the streams in a NTFS file.

 TNtfsAllocRanges

TNtfsAllocRanges is initialized by a call to NtfsQueryAllocRanges. It holds the data that describes the allocated ranges in the file within the boundaries that the file was queried for. You can use the NtfsGetAllocRangeEntry to extract the individual entries from this record. WARNING: After you're done with this record you are responsible for freeing the memory associated with the Data member, i.e. you must call: FreeMem(Ranges.Data).

 _REPARSE_GUID_DATA_BUFFER

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.


Legend

Record


Legend

NTFS

Legend

Enumeration

Record


NtfsGetCompression Function

See Also

Obtains the compression state of a file.

Pascal

function NtfsGetCompression(const FileName: string; var State: Short): Boolean; overload;
function NtfsGetCompression(const FileName: string): TFileCompressionState; overload;

Description

NtfsGetCompression returns the compression state of the specified file or directory. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const FileName: string

The name of the file you want to test.

var State: Short

Variable that receives the compression state of the specified file. Currently this can be one of the following values: * COMPRESSION_FORMAT_NONE The file is not compressed. * COMPRESSION_FORMAT_LZNT1 The file is compressed with the LZNT1 format * All other values: Reserved for future use.

Return Value

If the function succeeds in retrieving the compression state the result is True, otherwise it's False. In the latter case the content of the State parameter is undefined upon return. The second variant of NtfsGetCompression returns the compression state of the specified file; in case of failure an exception is raised.

Notes

The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

TFileCompressionState NtfsSetCompression


TStreamId Enumeration

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

Pascal

TStreamId = (
  siInvalid,
  siStandard,
  siExtendedAttribute,
  siSecurity,
  siAlternate,
  siHardLink,
  siProperty,
  siObjectIdentifier,
  siReparsePoints,
  siSparseFile
);
TStreamIds = set of TStreamId;

Description

NTFS file stream IDs which denote the kind of data stored in an NTFS stream.

siInvalid

Invalid stream.

siStandard

Standard data stream.

siExtendedAttribute

Extended attribute data.

siSecurity

Security descriptor data.

siAlternate

Alternate data stream.

siHardLink

Hard link information stream.

siProperty

Property Data.

siObjectIdentifier

Object identifiers.

siReparsePoints

Reparse point.

siSparseFile

Sparse file.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


TFindStreamData Record

Record type used by the NtfsFindFirstStream, NtfsFindNextStream and NtfsFindStreamClose functions which contains information about the streams in a NTFS file.

Pascal

TFindStreamData = record
  Internal: TInternalFindStreamData;
  Attributes: DWORD;
  StreamID: TStreamId;
  Name: WideString;
  Size: Int64;
end;

Description

Record type used by the NtfsFindFirstStream, NtfsFindNextStream and NtfsFindStreamClose functions which contains information about the streams in a NTFS file.

Internal: TInternalFindStreamData;

Internal data field used to store context - do not touch.

Attributes: DWORD;

Stream attributes (bit flags). can be one or more of the following values:

StreamID: TStreamId;

Stream ID which denotes the type of data stored in the stream. See TStreamId for more information.

Name: WideString;

Name of the stream or an empty string if the stream is unnamed.

Size: Int64;

Size, in bytes, of the data part of the stream.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


NtfsFindFirstStream Function

See Also

Starts the enumeration of streams in a file.

Pascal

function NtfsFindFirstStream(const FileName: string; StreamIds: TStreamIds; var Data: TFindStreamData): Boolean;

Description

Use NtfsFindFirstStream to kick off the enumeration of streams in the specified file. You can limit the enumeration to specific streams through the StreamIds set and information about the first found stream is returned through the Data parameter. Use NtfsFindStreamNext to continue the enumeration and NtfsFindStreamClose to end it. Note that the enumeration of streams requires that the caller has the SE_BACKUP_NAME and SE_RESTORE_NAME privileges. To avoid confusion, the streams enumerated by this function are the kind of streams that have been supported by the NTFS filesystem since its inception, not the kind of streams referred to when one speaks of (COM) structured storage files.

Parameters

const FileName: string

The fully qualified name of the file for which to enumerate the streams it contains. The specified file must reside on an NTFS formatted volume.

StreamIds: TStreamIds

Set of stream IDs which denotes which streams are enumerated. For more information about stream IDs see the documentation for TStreamIds.

var Data: TFindStreamData

Record which, upon successful return, contains information about the first found stream. This information includes the stream name, size and attributes. For more information see the documentation for TFindStreamData.

Return Value

If the function succeeds it returns True, if it fails it returns False. In the latter case you can call GetLastError to retrieve more information about the reason of failure. If the function succeeds you must eventually release the context resources stored in the Data record by calling NtfsFindStreamClose. In case of failure this is unnecessary (in fact FindStreamClose will return False).

Notes

The set of functions for the enumeration of streams was adapted from the PSDK sample EnumStreams.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsFindNextStream NtfsFindStreamClose TFindStreamData


NtfsFindNextStream Function

See Also

Returns the next stream in a file.

Pascal

function NtfsFindNextStream(var Data: TFindStreamData): Boolean;

Description

NtfsFindNextStream returns the next stream which matched the conditions specified in a previous call to FindFirstStream. The Data parameter must be the same variable as the one specified in the call to NtfsFindFirstStream. When there are no more streams in the file, the function fails and GetLastError returns ERROR_NO_MORE_FILES. Note that if the function fails for this or any other reason you must eventually call NtfsFindStreamClose to release the context resources stored in the Data record.

Parameters

var Data: TFindStreamData

Record which, upon successful return, contains information about the next found stream. This information includes the stream name, size and attributes. For more information see the documentation for TFindStreamData.

Return Value

If the function succeeds in finding another stream it returns True, otherwise it returns False. In this latter case you can call GetLastError to retrieve detailed information about the cause of failure.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsFindFirstStream NtfsFindStreamClose TFindStreamData


NtfsFindStreamClose Function

See Also

Terminates the enumeration of streams.

Pascal

function NtfsFindStreamClose(var Data: TFindStreamData): Boolean;

Description

NtfsFindStreamClose terminates the enumeration of streams in a file initiated with NtfsFindFirstStream and releases all context resources stored in the Data parameter. It's important that if a previous call to NtfsFindFirstStream succeeds, you eventually call this function regardless of what happens in the remainder of the enumeration.

Parameters

var Data: TFindStreamData

The TFindStreamData record returned from NtfsFindFirstStream.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case you can call GetLastError to retrieve the reason of failure.

Notes

Note that if NtfsFindFirstStream fails there's no need to call this function because NtfsFindFirstStream performs the necessary cleanup. It is however, harmless to call this function anyway (though it will fail and GetLastError will return ERROR_INVALID_HANDLE).

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsFindFirstStream NtfsFindNextStream TFindStreamData


NtfsCreateJunctionPoint Function

See Also

Creates an NTFS junction point.

Pascal

function NtfsCreateJunctionPoint(const Source: string; const Destination: string): Boolean;

Description

A junction point is similar to a softlink as available in other operating systems such as Linux. In a nutshell it is a directory which links to another directory. As such the junction point itself doesn't contain any data but when accessed redirects to another directory whose contents are accessed. The NtfsCreateJunctionPoint routine transforms a normal, empty directory into a junction point. Junction points are similar to volume mount points except that as opposed to mounting a volume, they 'mount' a directory.

Parameters

const Source: string

Fully qualified path of the directory that is to be transformed into a juntion point. This directory must exist and be empty or the function fails.

const Destination: string

Fully qualified name of the target directory for the mountpoint. Naturally it must exist but doesn't have to be empty.

Return Value

If the function succeeds it returns True, otherwise it returns False. Upon failure you can call GetLastError to get a more specific failure description. The most common reason for failure is that either the Source doesn't exist or isn't empty or that the destination directory doesn't exist.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsDeleteJunctionPoint NtfsGetJunctionPointDestination


NtfsDeleteJunctionPoint Function

See Also

Deletes a junction point.

Pascal

function NtfsDeleteJunctionPoint(const Source: string): Boolean;

Description

The NtfsDeleteJunctionPoint routine deletes the specified junction point. Note that deletion in this context means that if the function succeeds the specified Source is no longer a junction point (the reparse tag which identifies it as a junction point is removed) but the directory itself will not be deleted, you'll just have an ordinary, empty directory.

Parameters

const Source: string

The junction point to delete.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsCreateJunctionPoint NtfsGetJunctionPointDestination


NtfsGetJunctionPointDestination Function

See Also

Returns the destination directory of a junction point.

Pascal

function NtfsGetJunctionPointDestination(const Source: string; var Destination: string): Boolean;

Description

NtfsGetJunctionPointDestination returns the destinaton of a junction point. That is, it returns the directory to which Source is 'mounted'. Note that the returned directory string is prefixed with '??'.

Parameters

const Source: string

The junction point for which to retrieve the destination.

var Destination: string

Receives the destination of the junction point.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of Destination are undefined.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsCreateJunctionPoint NtfsDeleteJunctionPoint


NtfsZeroDataByName Function

See Also

Decommits storage for a specified range within a sparse file.

Pascal

function NtfsZeroDataByName(const FileName: string; const First: Int64; const Last: Int64): Boolean;

Description

NtfsZeroDataByHandle tells the NTFS filesystem to 'zero' the data in the specified range for the file identified by Handle. This in effect decommits storage for the specified range. That is, the specified range no longer occupies storage space. Subsequently reading a byte in this range will return 0. The range will remain uncommitted until you write to it again.

Parameters

const FileName: string

Identifies the file for which you want to zero a range.

const First: Int64

Indicates the file offset, in bytes, of the start of the range to set to zeroes.

const Last: Int64

Indicates the byte offset of the first byte beyond the last zeroed byte.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsZeroDataByHandle


NtfsZeroDataByHandle Function

See Also

Decommits storage for a specified range within a sparse file.

Pascal

function NtfsZeroDataByHandle(const Handle: THandle; const First: Int64; const Last: Int64): Boolean;

Description

NtfsZeroDataByHandle tells the NTFS filesystem to 'zero' the data in the specified range for the file identified by Handle. This in effect decommits storage for the specified range. That is, the specified range no longer occupies storage space. Subsequently reading a byte in this range will return 0. The range will remain uncommitted until you write to it again.

Parameters

const Handle: THandle

Identifies the file for which you want to zero a range.

const First: Int64

Indicates the file offset, in bytes, of the start of the range to set to zeroes.

const Last: Int64

Indicates the byte offset of the first byte beyond the last zeroed byte.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsZeroDataByName


NtfsSparseStreamsSupported Function

Test if the volume supports sparse streams.

Pascal

function NtfsSparseStreamsSupported(const Volume: string): Boolean;

Description

NtfsSparseStreamsSupported tests if the filesystem specified by the Volume supports sparse streams. Currently only NTFS version 5.0 supports sparse streams and for all other filesystems the function always returns False.

Parameters

const Volume: string

The volume to test e.g. 'c:'.

Return Value

If the specified volume supports sparse streams the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


TNtfsAllocRanges Record

See Also

TNtfsAllocRanges is initialized by a call to NtfsQueryAllocRanges. It holds the data that describes the allocated ranges in the file within the boundaries that the file was queried for. You can use the NtfsGetAllocRangeEntry to extract the individual entries from this record. WARNING: After you're done with this record you are responsible for freeing the memory associated with the Data member, i.e. you must call: FreeMem(Ranges.Data).

Pascal

TNtfsAllocRanges = record
  Entries: Integer;
  Data: PFileAllocatedRangeBuffer;
  MoreData: Boolean;
end;

Description

TNtfsAllocRanges is initialized by a call to NtfsQueryAllocRanges. It holds the data that describes the allocated ranges in the file within the boundaries that the file was queried for. You can use the NtfsGetAllocRangeEntry to extract the individual entries from this record. WARNING: After you're done with this record you are responsible for freeing the memory associated with the Data member, i.e. you must call: FreeMem(Ranges.Data).

Entries: Integer;

The number of entries contained in the record.

Data: PFileAllocatedRangeBuffer;

Buffer that holds the actual data.

MoreData: Boolean;

True if there was more data than could be returned in this buffer.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetAllocRangeEntry NtfsQueryAllocRanges


NtfsGetAllocRangeEntry Function

See Also

Extracts an entry from the ranges record.

Pascal

function NtfsGetAllocRangeEntry(const Ranges: TNtfsAllocRanges; Index: Integer): TFileAllocatedRangeBuffer;

Description

NtfsGetAllocRangeEntry extracts an entry from the Ranges record returned from a call to NtfsQueryAllocRanges. The returned TFileAllocatedRangeBuffer record contains the following members:

FileOffset: TLargeInteger The starting byte offset of the allocated range.

Length: TLargeInteger The length, in bytes, of the allocated range.

Parameters

const Ranges: TNtfsAllocRanges

The Ranges record returned from NtfsQueryAllocRanges.

Index: Integer

0 based index of the entry to extract.

Return Value

The function returns the TFileAllocatedRangeBuffer at the specified Index. The index is asserted to be within range.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsSetSparse TNtfsAllocRanges NtfsQueryAllocRanges


NtfsQueryAllocRanges Function

See Also

Queries the specified sparse file for the ranges that are actually allocated.

Pascal

function NtfsQueryAllocRanges(const FileName: string; Offset: Int64; Count: Int64; var Ranges: TNtfsAllocRanges): Boolean;

Description

A sparse file is a normal file but one which only uses disk space for those portions of the file that actually contain data. This however is not automatic, see the other NtfsXxxx functions and the Platform SDK for details. The NtfsQueryAllocRanges function queries the filesytem about the ranges of the specified sparse file that actually contain data and as such occupy disk space. For a normal, non-sparse file, the returned range is always 0 - FileSize. However, for a sparse file any number of ranges are possible. This function assumes that the file contains at most 256 ranges. If the file contains more ranges only the first 256 are returned. To query for the other ranges call NtfsQueryAllocRanges again, this time starting at offset = Entry.FileOffset + Entry.Length and with count = FILE_SIZE - offset (FILE_SIZE is the total size of the file and Entry is the last entry returned by the previous call). The TNtfsAllocRanges.MoreData is set to True if the file contains more than 256 ranges. You can use the NtfsGetAllocRangeEntry function to extract the individual ranges from the returned Ranges variable.

Parameters

const FileName: string

The name of the file whose allocated ranges you want to know.

Offset: Int64

The starting offset, in bytes, of the range to query.

Count: Int64

The length, in bytes, of the range to query.

Range

On return contains the allocated ranges in the specified file within the boundaries of the specified range (Offset..Offset + Length).

Return Value

If the function succeeds the function returns True, otherwise it returns False.

Notes

The caller is responsible for freeing the memory associated with the Data member of the TNtfsAllocRanges record. Sparse files are only supported by NTFS version 5.0 and higher.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsSetSparse TNtfsAllocRanges NtfsGetAllocRangeEntry


NtfsGetSparse Function

See Also

Tests whether the file is a sparse file.

Pascal

function NtfsGetSparse(const FileName: string): Boolean;

Description

NtfsGetSparse tests if the specified file is a sparse file. A sparse file is a normal file but one which only uses disk space for those portions of the file that actually contain data. This however is not automatic, see the other NtfsXxxx functions and the Platform SDK for details.

Parameters

const FileName: string

The file to test.

Return Value

If the specified file is a sparse file the function returns True, otherwise it returns False.

Notes

Sparse files are only supported by NTFS version 5.0 and higher.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsSetSparse


NtfsSetSparse Function

See Also

Sets the sparse file attribute.

Pascal

function NtfsSetSparse(const FileName: string): Boolean;

Description

NtfsSetSparse makes the specified file a sparse file. A sparse file is a normal file but one which only uses disk space for those portions of the file that actually contain data. This however is not automatic, see the other NtfsXxxx functions and the Platform SDK for details. Keep in mind that no storage is decommited until you call NtfsZeroDataByHandle or NtfsZeroDataByName.

Parameters

const FileName: string

The file to make into a sparse file.

Return Value

If the function succeeds the return value is True, otherwise it's False.

Notes

Sparse files are only supported by NTFS version 5.0 and higher.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetSparse NtfsZeroDataByHandle NtfsZeroDataByName


NtfsDeleteReparsePoint Function

See Also

Deletes a reparse point.

Pascal

function NtfsDeleteReparsePoint(const FileName: string; ReparseTag: DWORD): Boolean;

Description

NtfsDeleteReparsePoint deletes the reparse point with a given tag for the specified file or directory.

Parameters

const FileName: string

The fully qualified name of the file or directory whose associated reparse point to delete.

ReparseTag: DWORD

The tag of the reparse point to delete.

Return Value

If the function succeeds the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsSetReparsePoint


NtfsSetReparsePoint Function

See Also

Sets a reparse point for a file or directory.

Pascal

function NtfsSetReparsePoint(const FileName: string; var ReparseData; Size: Longword): Boolean;

Description

NtfsSetReparsePoint sets a reparse point on the specified file or directory.

Parameters

const FileName: string

The fully qualified name of the file or directory with which to associate a reparse point.

var ReparseData

A TReparseGuidData record which contains the reparse point data.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsDeleteReparsePoint NtfsGetReparsePoint


NtfsGetReparsePoint Function

See Also

Returns the reparse point data associated with the specified file or directory.

Pascal

function NtfsGetReparsePoint(const FileName: string; var ReparseData: TReparseGuidDataBuffer): Boolean;

Description

NtfsGetReparsePoint returns the reparse point data associated with the specified file or directory.

Parameters

const FileName: string

Fully qualified name of the file or directory of which to get the reparse data.

var ReparseData: TReparseGuidDataBuffer

A TReparseGuidDataBuffer record which receives the reparse data. Note that the ReparseDataLength and DataBuffer members must be properly intialized by the caller (e.g. allocate memory and initialize ReparseDataLength to the size of this memory).

Return Value

If the function succeeds in retrieving all reparse data it returns True. If the function succeeds in retrieving a part of the reparse data or fails completely it returns False and sets ReparseDataLength to the number of bytes retrieved. You can distinguish between no data and partial data by calling GetLastError which will return ERROR_INSUFFICIENT_BUFFER or ERROR_MORE_DATA respectively.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsDeleteReparsePoint NtfsSetReparsePoint


NtfsGetReparseTag Function

See Also

Returns the reparse tag of a file or directory.

Pascal

function NtfsGetReparseTag(const Path: string; var Tag: DWORD): Boolean;

Description

NtfsGetReparseTag returns the reparse tag of the reparse point associated with the specified file or directory. If the specified file has no associated reparse point the function fails.

Parameters

const Path: string

Fully qualified name of the file or directory for which you want to know the tag of the associated reparse point, if any.

var Tag: DWORD

If the function succeeds the Tag parameter receives the reparse tag of the reparse point associated with the file or directory. If the function fails the value is undefined.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the value of Tag is undefined.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsReparsePointsSupported NtfsFileHasReparsePoint


NtfsReparsePointsSupported Function

See Also

Returns whether a filesystem supports reparse points.

Pascal

function NtfsReparsePointsSupported(const Volume: string): Boolean;

Description

NtfsReparsePointsSupported returns whether the filesystem installed on the specified Volume supports reparse points. Currently only the Windows 2000 version of NTFS (version 5) supports reparse points.

Parameters

const Volume: string

Name of the volume to test. This parameter must be of the form "x:" or "x:" where x is the volume to test.

Return Value

If the specified volume supports reparse points the function returns True. If the volume does not support reparse points or the function fails, the return value is False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetReparseTag NtfsFileHasReparsePoint


NtfsFileHasReparsePoint Function

See Also

Returns whether a specified file or directory has an associated reparse point.

Pascal

function NtfsFileHasReparsePoint(const Path: string): Boolean;

Description

NtfsFileHasReparsePoint returns whether the specified file or directory has an associated reparse point. A reparse point can be set by an application or by the NTFS filesystem itself. For example, mount points are implemented using a reparse point. You can use NtfsGetReparseTag to extract the reparse tag of the reparse point associated with a file or directory. For the above example this would return the reserved value of IO_REPARSE_TAG_MOUNT_POINT.

Parameters

const Path: string

Fully qualified name of the file or directory to test.

Return Value

If the function succeeds and the specified file or directory has an associated reparse point, the function returns True. Otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetReparseTag NtfsReparsePointsSupported


NtfsIsFolderMountPoint Function

See Also

Returns whether a directory is a mount point.

Pascal

function NtfsIsFolderMountPoint(const Path: string): Boolean;

Description

NtfsIsFolderMountPoint returns whether the specified directory is actually a mount point.

Parameters

const Path: string

The directory to test.

Return Value

If the function succeeds and the specified directory is a mount point the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsMountDeviceAsDrive NtfsMountVolume


NtfsMountDeviceAsDrive Function

See Also

Mounts a device as a drive.

Pascal

function NtfsMountDeviceAsDrive(const Device: string; Drive: Char): Boolean;

Description

NtfsMountDeviceAsDrive mounts the specified device as the specified drive. That is, you can use this function to mount, for example, the CD-Rom drive as drive K. If the mounting succeeds you can then access the CD-Rom by specifying K. Note that a particular device can only be mounted once. If the specified device is already mounted to a drive, you must first delete that mount point using the DeleteVolumeMountPoint API function. Also, keep in mind that mounting a device can have side effects. For example mounting a volume (hard disk partition or CD-Rom) which has an autorun file, will trigger execution of that autorun file (assuming the autorun feature is enabled).

Parameters

const Device: string

The device to mount. This is a string of the form DeviceMyDevice where MyDevice is replaced with the appropriate device name. For example the first CD-Rom drive would be DeviceCdRom0 and the first partition on the harddrive would be DeviceHarddiskVolume1.

Drive: Char

The drive letter to mount the device on. Note that if the drive already exists the previously mounted device is not automatically unmounted first. You must explicitly unmount it or the call will fail.

Return Value

If the function succeeds it returns True, otherwise it returns False. Failure is usually due to the specified device already being mounted or the device name being incorrect. You can call GetLastError but this will usually simply return the error "parameter is incorrect".

Notes

Internally this function has to temporarily create a symbolic link for the specified device. This link is deleted as soon as possible. Although very unlikely, it is possible that deleting this link will fail. If so, the function raises an EJclNtfsError exception and exits without mounting the device. If this happens you should try to delete the symbolic link at a later time and retry. See the implementation of this function for how to achieve this.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsIsFolderMountPoint NtfsMountVolume


NtfsMountVolume Function

See Also

Mounts a volume to a specified directory.

Pascal

function NtfsMountVolume(const Volume: Char; const MountPoint: string): Boolean;

Description

NtfsMountVolume mounts the specified volume to the the specified mount point. You can, for example, use NtfsMountVolume('c', 'd:mntc') to mount the C drive to the d:mntc folder. If the call succeeds you can subsequently access the C drive through the d:mntc folder.

Parameters

const Volume: Char

The volume to mount.

const MountPoint: string

The directory to which the volume should be mounted. Note that if the directory doesn't exist yet it is automatically created.

Return Value

If the function succeeds it returns True otherwise it returns False.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsIsFolderMountPoint NtfsMountDeviceAsDrive


NtfsSetCompression Function

See Also

Sets the compression state of a file.

Pascal

function NtfsSetCompression(const FileName: string; const State: Short): Boolean;

Description

NtfsSetCompression sets the compression state of the specified file or directory. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const FileName: string

The name of the file for which you want to set the compression state.

const State: Short

The desired compression state. Currently this can be one of the following values: * COMPRESSION_FORMAT_NONE Uncompress the file or directory. * COMPRESSION_FORMAT_LZNT1 Compress the file or directory with the LZNT1 format. * COMPRESSION_FORMAT_DEFAULT Compress the file or directory with the default format. * All other values: reserved for future use.

Return Value

If the function succeeds in setting the compression state the result it True, otherwise it's False.

Notes

The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression. Directories are not actually compressed by this operation. Rather, the operation sets the default state for files created in the directory to be compressed. To change the compression state of a directory and all of its contents, use NtfsSetDirectoryTreeCompression.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetCompression NtfsSetFileCompression NtfsSetDefaultFileCompression NtfsSetDirectoryTreeCompression NtfsSetPathCompression


NtfsSetFileCompression Function

See Also

Sets the compression state of a file.

Pascal

procedure NtfsSetFileCompression(const FileName: string; const State: TFileCompressionState);

Description

NtfsSetDirectoryTreeCompression sets the compression state of the specified file. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const FileName: string

The name of the file for which you want to set the compression state.

const State: TFileCompressionState

The desired compression state.

Notes

The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression. NtfsSetFileCompression will raise an EJclInvalidArgument exception if the 'FileName' parameter denotes a directory. To change the compression state of a directory, use NtfsSetDirectoryTreeCompression.

Donator

Robert Rossmair

Group

NTFS

Unit

JclNTFS


See Also

TFileCompressionState NtfsSetDefaultFileCompression NtfsSetDirectoryTreeCompression NtfsSetPathCompression NtfsGetCompression


NtfsSetDirectoryTreeCompression Function

See Also

Sets the compression state of a directory and its contents.

Pascal

procedure NtfsSetDirectoryTreeCompression(const Directory: string; const State: TFileCompressionState);

Description

NtfsSetDirectoryTreeCompression sets the compression state of the specified directory, including all of its files and subdirectories. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const Directory: string

The name of the directory for which you want to set the compression state.

const State: TFileCompressionState

The desired compression state.

Notes

The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression. NtfsSetDirectoryTreeCompression will raise an EJclInvalidArgument exception if the 'Directory' parameter does not denote a directory.

Donator

Robert Rossmair

Group

NTFS

Unit

JclNTFS


See Also

TFileCompressionState NtfsSetPathCompression NtfsSetDefaultFileCompression NtfsSetFileCompression NtfsGetCompression


NtfsSetPathCompression Function

See Also

Sets the compression state for all files specified by Path.

Pascal

procedure NtfsSetPathCompression(const Path: string; const State: TFileCompressionState; Recursive: Boolean);

Description

NtfsSetPathCompression sets the compression state for all files in the directory specified by Path which match the file name implied by Path. When Recursive is set, subdirectories are processed as well. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const State: TFileCompressionState

The desired compression state.

Recursive: Boolean

Determines whether subdirectories are affected.

Directory

The name of the directory for which you want to set the compression state.

Notes

The file compression default (compare NtfsSetDefaultFileCompression) for the involved directories is affected only if Path denotes a directory. If, in addition, Recursive is set, NtfsSetPathCompression will work exactly like NtfsSetDirectoryTreeCompression(Path, State). The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression.

Donator

Robert Rossmair

Group

NTFS

Unit

JclNTFS


See Also

TFileCompressionState NtfsSetDefaultFileCompression NtfsSetFileCompression NtfsSetDirectoryTreeCompression NtfsGetCompression


NtfsSetDefaultFileCompression Function

See Also

Sets the default compression state of a directory.

Pascal

procedure NtfsSetDefaultFileCompression(const Directory: string; const State: TFileCompressionState);

Description

NtfsSetDefaultFileCompression sets the default compression state for files created in 'Directory'. The underlying filesystem must support per stream compression or this function will fail. Currently only LZNT1 is supported as the compression format but this may change in future releases of the Windows operating system.

Parameters

const Directory: string

The name of the directory for which you want to set the compression state.

const State: TFileCompressionState

The desired compression state.

Notes

The underlying filesystem must support per stream compression. Currently that means the specified file or directory must reside on an NTFS formatted partition. The FAT filesystem does not support compression. This operation does not alter the compression state of files already existing in the directory. To change the compression state of a directory and all of its contents, use NtfsSetDirectoryTreeCompression. NtfsSetDefaultFileCompression will raise an EJclInvalidArgument exception if the 'Directory' parameter does not denote a directory.

Donator

Robert Rossmair

Group

NTFS

Unit

JclNTFS


See Also

TFileCompressionState NtfsSetFileCompression NtfsSetDirectoryTreeCompression NtfsSetPathCompression NtfsGetCompression


TFileCompressionState Enumeration

See Also

Enumeration which describes possible file compression states.

Pascal

TFileCompressionState = (
  fcNoCompression,
  fcDefaultCompression,
  fcLZNT1Compression
);

Description

Enumeration which describes possible compression states of a file or directory on a volume whose file system supports per-file and per-directory compression. Note that currently LZNT1 is the only compression algorithm implemented. As a result, LZNT1 will be used as the default compression method; which implies that fcDefaultCompression and fcLZNT1Compression are equivalent. This, however, might change in the future.

fcNoCompression

no compression.

fcDefaultCompression

default compression.

fcLZNT1Compression

LZNT1 compression.

Donator

Robert Rossmair

Group

NTFS

Unit

JclNTFS


See Also

NtfsGetCompression NtfsSetFileCompression NtfsSetDefaultFileCompression NtfsSetDirectoryTreeCompression


_REPARSE_GUID_DATA_BUFFER Record

See Also

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

Pascal

_REPARSE_GUID_DATA_BUFFER = record
  ReparseTag: DWORD;
  ReparseDataLength: WORD;
  Reserved: WORD;
  ReparseGuid: TGUID;
  GenericReparseBuffer: TGenericReparseBuffer;
end;
TReparseGuidDataBuffer = REPARSE_GUID_DATA_BUFFER;
PReparseGuidDataBuffer = PREPARSE_GUID_DATA_BUFFER;

Description

TGenericReparseBuffer is a generic record type used for reparse point operations on an NTFS volume.

ReparseTag: DWORD;

Reparse tag. This member uniquely identifies the structure of the reparse data.

ReparseDataLength: WORD;

Size, in bytes, of the data in the GenericReparseBuffer member.

Reserved: WORD;

Reserved.

ReparseGuid: TGUID;

GUID which uniquely identifies the kind of reparse tag.

GenericReparseBuffer: TGenericReparseBuffer;

User defined data for the reparse point.

Donator

Marcel van Brakel

Group

NTFS

Unit

JclWin32


See Also

NtfsDeleteReparsePoint NtfsSetReparsePoint NtfsGetReparsePoint


Path manipulation

Files and IO

Constants

DriveLetters

Set of valid characters to use as drive letters.

PathDevicePrefix

Prefix used to specify a physical device under Windows.

PathSeparator

Character used as path element separator.

PathUncPrefix

Prefix for UNC path names.

Functions

PathGetLongName

Returns the long name of a path.

PathGetLongName2

Returns the long name of a path.

PathGetShortName

Returns the short name of a path.

PathGetRelativePath

TODO

PathGetTempPath

Retrieves the path of the directory designated for temporary files.

PathIsChild

Checks whether Path is a child of Base.

PathIsAbsolute

Tests if a path is an absolute path.

PathIsDiskDevice

Tests whether a path denotes a disk device.

PathIsUNC

Tests whether a path is a UNC path.

PathExtractElements

Extracts all elements from a path.

PathAddSeparator

Forces the string to end with a directory separator.

PathAddExtension

Adds the extension to a path.

PathAppend

Concatenates two paths.

PathBuildRoot

Creates a root path for the given drive number.

PathCommonPrefix

Compares two paths for a common prefix.

PathCompactPath

Compacts a path to fit within the given pixel width.

PathExtractFileDirFixed

Extracts drive and directory parts from a filename.

PathExtractFileNameNoExt

Extracts the filename without the extension.

PathRemoveExtension

Removes the extension from a path.

PathRemoveSeparator

Removes a trailing directory separator from a path.


Path manipulation Constants

Path manipulation

Constants

DriveLetters

Set of valid characters to use as drive letters.

PathDevicePrefix

Prefix used to specify a physical device under Windows.

PathSeparator

Character used as path element separator.

PathUncPrefix

Prefix for UNC path names.


Path manipulation Functions

Path manipulation

Functions

PathGetLongName

Returns the long name of a path.

PathGetLongName2

Returns the long name of a path.

PathGetShortName

Returns the short name of a path.

PathGetRelativePath

TODO

PathGetTempPath

Retrieves the path of the directory designated for temporary files.

PathIsChild

Checks whether Path is a child of Base.

PathIsAbsolute

Tests if a path is an absolute path.

PathIsDiskDevice

Tests whether a path denotes a disk device.

PathIsUNC

Tests whether a path is a UNC path.

PathExtractElements

Extracts all elements from a path.

PathAddSeparator

Forces the string to end with a directory separator.

PathAddExtension

Adds the extension to a path.

PathAppend

Concatenates two paths.

PathBuildRoot

Creates a root path for the given drive number.

PathCommonPrefix

Compares two paths for a common prefix.

PathCompactPath

Compacts a path to fit within the given pixel width.

PathExtractFileDirFixed

Extracts drive and directory parts from a filename.

PathExtractFileNameNoExt

Extracts the filename without the extension.

PathRemoveExtension

Removes the extension from a path.

PathRemoveSeparator

Removes a trailing directory separator from a path.


DriveLetters Constant

Set of valid characters to use as drive letters.

Pascal

DriveLetters = ['a'..'z', 'A'..'Z'];

Description

DriveLetters is a set of characters which can be used to designate a drive under the Windows operating system.

Platforms

Windows

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathDevicePrefix Constant

Prefix used to specify a physical device under Windows.

Pascal

PathDevicePrefix = '\\.\';

Description

PathDevicePrefix is the character string used in Windows to specify a physical device such as a harddisk. To be precise its a prefix to indicate the "path name" of any driver.

Platforms

Windows

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathSeparator Constant

Character used as path element separator.

Pascal

PathSeparator = '\';

Description

PathSeparator is the character used by the file system to separate the elements of a path such as the drive, directories and the filename. The value of this constant is conditionally defined as a forward or backward slash depening on the targetted operating system (Linux and Windows respectively).

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathUncPrefix Constant

Prefix for UNC path names.

Pascal

PathUncPrefix = '\\';

Description

Character string used a prefix for UNC paths. A full UNC path is of the form: \ServerShare or \?UNCServerShare.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathGetLongName Function

See Also

Returns the long name of a path.

Pascal

function PathGetLongName(const Path: string): string;

Description

PathGetLongName returns the long name of a given path. Can be used for shell paths which include GUIDs.

Parameters

const Path: string

The path for which you want to know the long name. The path must physically exist on the drive or the function fails.

Return Value

If the function succeeds it returns the long name of the supplied path. If the function fails the result is a copy of the supplied Path. Category: Files and IO

Platforms

Windows

Donator

Rudy Velthuis

Group

Path manipulation

Unit

JclFileUtils


See Also

PathGetShortName


PathGetLongName2 Function

See Also

Returns the long name of a path.

Pascal

function PathGetLongName2(const Path: string): string; deprecated;

Description

Deprecated, do not use. PathGetLongName2 has been changed to be a mere wrapper around PathGetLongName.

Parameters

const Path: string

The path for which you want to know the long name. The path must physically exist on the drive or the function fails.

Return Value

If the function succeeds it returns the long name of the supplied path. If the function fails the result is a copy of the supplied Path.

Platforms

Windows

Group

Path manipulation

Unit

JclFileUtils


See Also

PathGetLongName


PathGetShortName Function

See Also

Returns the short name of a path.

Pascal

function PathGetShortName(const Path: string): string;

Description

PathGetShortName returns the short name of the given path.

Parameters

const Path: string

The path for which you want the short name. The path must physically exist on the specified drive and the drive must support short name aliases or the function will fail.

Return Value

If the function succeeds it returns the short name of the given path. If it fails it returns a copy of the supplied path.

Platforms

Windows

Donator

Rudy Velthuis

Group

Path manipulation

Unit

JclFileUtils


See Also

PathGetLongName PathGetDisplayName


PathGetRelativePath Function

TODO

Pascal

function PathGetRelativePath(Origin: string; Destination: string): string;

Description

TODO

Return Value

TODO

Donator

Olivier Sannier

Contributors

Robert Rossmair

Group

Path manipulation

Unit

JclFileUtils


PathGetTempPath Function

Retrieves the path of the directory designated for temporary files.

Pascal

function PathGetTempPath: string;

Description

The GetTempPath function retrieves the path of the directory designated for temporary files.

Return Value

The path of the directory designated for temporary files.

Platforms

Windows, Unix

Donator

Robert Rossmair

Group

Path manipulation

Unit

JclFileUtils


PathIsChild Function

See Also

Checks whether Path is a child of Base.

Pascal

function PathIsChild(const Path: string; const Base: string): Boolean;

Description

The PathIsChild routine determines whether the directory specified by Path is a child directory, either immediate or several levels deep, of the specified Base path. For example, 'c:winntsystem32' is a child of 'c:winnt'.

Parameters

const Path: string

The path to test.

const Base: string

The base path to compare path against.

Return Value

If Path is a child of Base the function returns True, otherwise it returns False.

Donator

Anthony Steele

Group

Path manipulation

Unit

JclFileUtils


See Also

PathIsDiskDevice PathIsUnc


PathIsAbsolute Function

See Also

Tests if a path is an absolute path.

Pascal

function PathIsAbsolute(const Path: string): Boolean;

Description

PathIsAbsolute tests whether the supplied path is an absolute path. An absolute path in this context is a path which specifies a drive of the form 'c:' or, under Linux, starts with a '/' character.

Parameters

const Path: string

The path to test.

Return Value

If the path is an absolute path the function returns True, otherwise it returns False.

Donator

Robert Marquardt

Group

Path manipulation

Unit

JclFileUtils


See Also

PathIsDiskDevice PathIsUnc


PathIsDiskDevice Function

See Also

Tests whether a path denotes a disk device.

Pascal

function PathIsDiskDevice(const Path: string): Boolean;

Description

PathIsDiskDevice tests whether the supplied path denotes a disk device. On Win32 systems the path to a disk device is always prepended with '\.' and that's what the function tests.

Parameters

const Path: string

The path to test.

Return Value

If the path denotes a disk device the result is True, otherwise the result is False.

Donator

Robert Marquardt (Win32), André Snepvangers (Unix)

Contributors

Robert Rossmair

Group

Path manipulation

Unit

JclFileUtils


See Also

PathIsUnc PathIsAbsolute


PathIsUNC Function

See Also

Tests whether a path is a UNC path.

Pascal

function PathIsUNC(const Path: string): Boolean;

Description

PathIsUNC tests whether or not the supplied path is a valid UNC path. That is, it tests whether the path is prepended with '\', and whether the machine and share components are valid, if present. Note that a machine is considered valid if it's constructed using characters from the set [a-z, A-Z, 0-9, -, _]. Other charactes, technically including the underscore, result in non-standard machine names which cannot be found on a network unless Microsoft DNS is in use (which is why PathIsUNC considers them as invalid and returns False for such paths).

Parameters

const Path: string

The path to test.

Return Value

If the supplied path is a UNC path the function returns True, otherwise it returns False.

Donator

Robert Marquardt

Group

Path manipulation

Unit

JclFileUtils


See Also

PathIsDiskDevice PathIsAbsolute


PathExtractElements Function

Extracts all elements from a path.

Pascal

procedure PathExtractElements(const Source: string; var Drive: string; var Path: string; var FileName: string; var Ext: string);

Description

PathExtractElements splits the supplied path into its elements such as drive, path and filename. Depending on the supplied path any of the out parameters can be an empty string on return.

Parameters

const Source: string

String that represents a path that you want to split into its elements.

var Drive: string

Drive indicator. This is a string in the form "c:".

var Path: string

Path of the file, without drive or filename. Leading and trailing directory separators are trimmed.

var FileName: string

Name of the file, without the extension part.

var Ext: string

File extension including the dot (.).

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathAddSeparator Function

See Also

Forces the string to end with a directory separator.

Pascal

function PathAddSeparator(const Path: string): string;

Description

Adds a path directory separator to the end of the string to create the correct syntax for a path. If the string already has a trailing separator, no separator will be added. Note that on Windows a separator is a backslash while on Linux it's a forward slash, this is handled correctly by this function.

Parameters

const Path: string

A string that represents a path and which should be forced to end with a directory separator.

Return Value

The resulting string is the path, ending in a directory separator.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


See Also

PathRemoveSeparator


PathAddExtension Function

See Also

Adds the extension to a path.

Pascal

function PathAddExtension(const Path: string; const Extension: string): string;

Description

PathAddExtension adds the specified extension to the supplied path. If the path already has an extension the function does nothing. Note that the dot (.) in the extension is optional, if it's not specified the function inserts it.

Parameters

const Path: string

Path to append the extension to.

const Extension: string

The extension to append to path.

Return Value

The Path with extension appended or Path if it already had an extension.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


See Also

PathRemoveExtension


PathAppend Function

Concatenates two paths.

Pascal

function PathAppend(const Path: string; const Append: string): string;

Description

PathAppend concatenates the two paths, separating the two with a backslash thereby preserving the correct syntax of a path.

Parameters

const Path: string

The base path to which Append is appended. This path optionally ends in a backslash.

const Append: string

The path to append to the base path. This path may start with a backslash.

Return Value

The concatenation of the two paths.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathBuildRoot Function

Creates a root path for the given drive number.

Pascal

function PathBuildRoot(const Drive: Byte): string;

Description

PathBuildRoot creates a root path for the gives drive number. That is, if you pass in 0, 1, 2, you'll get back 'a:', 'b:' and 'c:' respectively.

Parameters

const Drive: Byte

Drive number. Must be in the range 0..25 or an EJclPathError exception is raised.

Return Value

The root path for the given drive.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathCommonPrefix Function

Compares two paths for a common prefix.

Pascal

function PathCommonPrefix(const Path1: string; const Path2: string): Integer;

Description

PathCommonPrefix compares the two paths to determine if they have a common prefix. The function returns the number of prefix characters they have in common. For example, if Path1 is 'c:winntsystem32' and Path 2 is 'c:winntsystem' the result will be 9 which equals 'c:winnt'.

Parameters

const Path1: string

The first path name

const Path2: string

The second path name

Return Value

The number of common prefix characters.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


PathCompactPath Function

Compacts a path to fit within the given pixel width.

Pascal

function PathCompactPath(const DC: HDC; const Path: string; const Width: Integer; CmpFmt: TCompactPath): string;

Description

PathCompactPath compacts, or truncates, the path to fit within the given pixel width by replacing part of the string with an ellipsis (...). The specified device context is used to retrieve the font metrics which determine how a string maps to a pixel width. Note the existence of two overloads allowing you to pass in either an HDC or TCanvas (descendant). The TCanvas overload simply delegates the work to the first overload passing in Canvas.Handle for the DC parameter.

Parameters

const DC: HDC

Device context used for retrieving font metrics. This should be the canvas on which you eventually intend to display the compacted path.

const Path: string

The path to compact or truncate.

const Width: Integer

Width, in pixels, that the path will be forced to fit within.

CmpFmt: TCompactPath

Determines which part of the string is replaced with an ellipsis. Valid values are:

Return Value

The compacted path or an empty string if the function fails.

Notes

If Width is smaller than the most compacted path then the result is the most compacted path, even though it does not fit within the specified width.

Platforms

Windows

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Path manipulation

Unit

JclFileUtils


PathExtractFileDirFixed Function

Extracts drive and directory parts from a filename.

Pascal

function PathExtractFileDirFixed(const S: string): string;

Description

PathExtractFileDirFixed extracts the drive and directory parts from the filename specified by S. The resulting path is always terminated with the PathSeparator character (a backslash or a forward slahs depending on the target OS) regardless of whether a drive and/or directory is present in the filename.

Parameters

const S: string

The filename from which to extract the drive and directory parts.

Return Value

The drive and directory part of the specified filename, terminated with a PathSeparator. If the filename does not contain a drive and directory specification the resulting string is a single PathSeparator character.

Donator

Anthony Steele

Group

Path manipulation

Unit

JclFileUtils


PathExtractFileNameNoExt Function

See Also

Extracts the filename without the extension.

Pascal

function PathExtractFileNameNoExt(const Path: string): string;

Description

Returns the filename part of the supplied path without the extension.

Parameters

const Path: string

The Path from which to extract a filename.

Return Value

The filename part of the path, without extension.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


See Also

PathRemoveExtension


PathRemoveExtension Function

See Also

Removes the extension from a path.

Pascal

function PathRemoveExtension(const Path: string): string;

Description

PathRemoveExtension removes the extension part from the supplied path, if it exists.

Parameters

const Path: string

The path from which to remove the extension.

Return Value

Path without the extension part.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


See Also

PathExtractFileNameNoExt


PathRemoveSeparator Function

See Also

Removes a trailing directory separator from a path.

Pascal

function PathRemoveSeparator(const Path: string): string;

Description

PathRemoveSeparator removes the trailing directory separator from the path. If there is no trailing directory separator the function does nothing.

Parameters

const Path: string

The path from which to remove the trailing directory separator.

Return Value

The Path without a trailing directory separator.

Notes

The function only removes one trailing directory separator.

Donator

Marcel van Brakel

Group

Path manipulation

Unit

JclFileUtils


See Also

PathAddSeparator


Streams

Files and IO

Topics

File Mapping

Classes

TJclTempFileStream

Implements a temporary file-stream.


Streams Classes

Streams

Classes

TJclTempFileStream

Implements a temporary file-stream.


Topics

Streams

Topics

File Mapping


TJclTempFileStream Class

Properties	Methods	Legend

Implements a temporary file-stream.

Pascal

TJclTempFileStream = class(THandleStream);

Description

TJclTempFileStream implements a temporary file-stream. The stream is created in a system defined folder reserved for temporary files and is automatically deleted when the object is freed. The stream object is opened with full access rights and in such manner that the stream cannot be opened by another thread.

Platforms

Windows, Unix

Donator

Marcel van Brakel

Group

Streams

Legend

read only

Constructor

Unit

JclFileUtils


TJclTempFileStream Class Properties

TJclTempFileStream Class	Legend

Properties

 FileName

The fully qualified name of the temporary file.


Legend

read only


TJclTempFileStream Class Methods

TJclTempFileStream Class	Legend

Methods

 Create

Creates an instance of TJclTempFileStream.

 Destroy


Legend

Constructor


Legend

TJclTempFileStream Class

Legend

read only

Constructor


TJclTempFileStream Class Members

TJclTempFileStream Class	Legend

Members

Properties

 FileName

The fully qualified name of the temporary file.

Methods

 Create

Creates an instance of TJclTempFileStream.

 Destroy


Legend

read only

Constructor


TJclTempFileStream.FileName Property

TJclTempFileStream Class

The fully qualified name of the temporary file.

Pascal

property FileName: string;

Description

FileName returns the fully qualified name of the file that is used by the TJclTempFileStream object. This is mostly for informational purposes since the file cannot be opened again using CreateFile.

Donator

Marcel van Brakel

Class

TJclTempFileStream Class


TJclTempFileStream.Create Constructor

TJclTempFileStream Class

Creates an instance of TJclTempFileStream.

Pascal

constructor Create(const Prefix: string);

Description

Create creates a temporary file in the temporary folder as returned by GetTempPath. The file is created with read and write access and is deleted as soon as it is closed. The file cannot be opened by another call to CreateFile. The file is created with the temporary attribute which means the system will attempt to keep the file's data in memory rather than caching it. Therefore you should free the object as soon as possible using the Free destructor. The file is automatically deleted when the object is destroyed.

Parameters

const Prefix: string

On input the first three characters of the string are used to form the name of the temporary file (can be empty). On return, assuming the function succeeded, the FileName property contains the actual name of the temporary file, including the path.

Donator

Marcel van Brakel

Class

TJclTempFileStream Class


TJclTempFileStream.Destroy Destructor

TJclTempFileStream Class

destructor Destroy; override;

Class

TJclTempFileStream Class


File Mapping

Streams

Classes

TJclFileMappingView

Implements a file mapping view object.

TJclCustomFileMapping

Wrapper for Win32 filemapping object.

TJclFileMapping

Implements a filemapping object backed by an actual disk file.

TJclSwapFileMapping

Implements a filemapping object backed by the swap file.


File Mapping Classes

File Mapping

Classes

TJclFileMappingView

Implements a file mapping view object.

TJclCustomFileMapping

Wrapper for Win32 filemapping object.

TJclFileMapping

Implements a filemapping object backed by an actual disk file.

TJclSwapFileMapping

Implements a filemapping object backed by the swap file.


TJclFileMappingView Class

Properties	Methods	Legend

Implements a file mapping view object.

Pascal

TJclFileMappingView = class(TCustomMemoryStream);

Description

TJclFileMappingView implements the view for a filemapping object. Do not construct objects of this class directly, instead use the TJclCustomFileMapping.Add method. A TJclFileMappingView object can be used to read from and write to a specific area in a filemapping. You can create multiple views including ones that overlap. The Operating System guarantees that multiple views remain coherent as long as they are created from the same filemapping object. Standard Win32 view objects provide an abstraction to manipulate a file as if it were a block of memory using pointers. TJclFileMappingView takes this a bit further by allowing you to use the familiar TStream interface to manipulate the view. If you so desire you can still use the 'memory' directly by using the Memory property.

Donator

Wim De Cleen

Group

File Mapping

Legend

read only

Constructor

Unit

JclFileUtils


TJclFileMappingView Class Properties

TJclFileMappingView Class	Legend

Properties

 FileMapping

The owning TJclCustomFileMapping object.

 Index

Index into the owning TJclCustomFileMapping's Views list.

 Offset

Offset into the filemapping.


Legend

read only


TJclFileMappingView Class Methods

TJclFileMappingView Class	Legend

Methods

 Create

Creates an instance of TJclFileMappingView.

 CreateAt

 Destroy

Flush

Flush writes the modified parts of the view back to the disk.

LoadFromFile

Copies the contents of the specified file.

LoadFromStream

Copies the contents of the specified stream.

Write

Write attempts to write up to Count bytes from Buffer to the View.


Legend

Constructor


Legend

TJclFileMappingView Class

Legend

read only

Constructor


TJclFileMappingView Class Members

TJclFileMappingView Class	Legend

Members

Properties

 FileMapping

The owning TJclCustomFileMapping object.

 Index

Index into the owning TJclCustomFileMapping's Views list.

 Offset

Offset into the filemapping.

Methods

 Create

Creates an instance of TJclFileMappingView.

 CreateAt

 Destroy

Flush

Flush writes the modified parts of the view back to the disk.

LoadFromFile

Copies the contents of the specified file.

LoadFromStream

Copies the contents of the specified stream.

Write

Write attempts to write up to Count bytes from Buffer to the View.


Legend

read only

Constructor


TJclFileMappingView.FileMapping Property

TJclFileMappingView Class

The owning TJclCustomFileMapping object.

Pascal

property FileMapping: TJclCustomFileMapping;

Description

Reference to the TJclCustomFileMapping object that this View was created from. The View remains owned by that object until it is destroyed.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.Index Property

TJclFileMappingView Class

Index into the owning TJclCustomFileMapping's Views list.

Pascal

property Index: Integer;

Description

Index contains the Index into the owning TJclCustomFileMapping object's Views list. Do not cache this index since it may change when other views are added or deleted.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.Offset Property

TJclFileMappingView Class

Offset into the filemapping.

Pascal

property Offset: Int64;

Description

Offset contains the Offset into the filemapping that this view was created for. Since the offset must always be a multiple of the system's allocation granularity this value may not be the same value you specified when the view was created.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.Create Constructor

TJclFileMappingView Class

Creates an instance of TJclFileMappingView.

Pascal

constructor Create(const FileMap: TJclCustomFileMapping; Access: Cardinal; Size: Cardinal; ViewOffset: Int64);

Description

The Create and CreateAt create an instance of TJclFileMappingView. You should not create instances of TJclFileMappingView directly. Instead use the Add and AddAt methods of TJclCustomFileMapping. The Access, Size, ViewOffset and Address parameters map directly to the Access, Count, Offset and Address parameters of the AddAt method. The FileMap parameter specifies the TJclCustomFileMapping object for which the view is created and cannot be nil.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.CreateAt Constructor

TJclFileMappingView Class

constructor CreateAt(FileMap: TJclCustomFileMapping; Access: Cardinal; Size: Cardinal; ViewOffset: Int64; Address: Pointer);

Class

TJclFileMappingView Class


TJclFileMappingView.Destroy Destructor

TJclFileMappingView Class

destructor Destroy; override;

Class

TJclFileMappingView Class


TJclFileMappingView.Flush Method

TJclFileMappingView Class

Flush writes the modified parts of the view back to the disk.

Pascal

function Flush(const Count: Cardinal): Boolean;

Description

Flush writes the modified parts of the view back to the disk. Note that to guarantee that this works across a network as well the underlying file must be opened with FILE_FLAG_WRITE_THROUGH.

Parameters

const Count: Cardinal

The number of bytes to flush. Specifying 0 causes the entire view to be flushed.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.LoadFromFile Method

TJclFileMappingView Class

Copies the contents of the specified file.

Pascal

procedure LoadFromFile(const FileName: string);

Description

LoadFromFile attempts to read the contents of the specified file into the view. If the size of the specified file is larger than what the view can hold an exception is raised (a view will not expand in size).

Parameters

const FileName: string

Name of the file whose contents to copy into the view.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.LoadFromStream Method

TJclFileMappingView Class

Copies the contents of the specified stream.

Pascal

procedure LoadFromStream(const Stream: TStream);

Description

LoadFromStream attempts to read the contents of the specified stream object into the view. If the size of the specified stream is larger than what the view can hold an exception is raised (a view will not expand in size).

Parameters

const Stream: TStream

The stream from which to copy the contents. The contents are read starting at position 0 up to the end of the stream. The stream's size must be smaller than or equal to the view's size or an exception is raised.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclFileMappingView.Write Method

TJclFileMappingView Class

Write attempts to write up to Count bytes from Buffer to the View.

Pascal

function Write(const Buffer; Count: Longint): Longint; override;

Description

Write attempts to write up to Count bytes from Buffer to the View. It returns the number of bytes actually written and updates the stream's position accordingly. Note that since a view cannot automatically expand in size, like some stream classes do when you write past the end, the function ignores request that would cause it to write past the end. In such cases the result is 0.

Parameters

const Buffer

Buffer holding the data to write to the view.

Cound

Number of bytes to write from Buffer.

Return Value

The number of bytes that were actually written to the view.

Donator

Wim De Cleen

Class

TJclFileMappingView Class


TJclCustomFileMapping Class

Properties	Methods	Legend

Wrapper for Win32 filemapping object.

Pascal

TJclCustomFileMapping = class(TObject);

Description

TJclCustomFileMapping is a wrapper for a Win32 filemapping object. In a nutshell, a filemapping is an abstraction of a disk file which allows you to manipulate the file as if it were just another block of memory, as such you manipulate it using pointers. The filemapping object itself is only used to maintain the association with the file, while a filemapping view object is used to manipulate (part of) the file. You can create multiple views of a (part of a) file which are guaranteed to remain coherent. Additionally you can create a filemapping object which is associated with the swap file as opposed to an actual disk file. Since multiple processes can open a handle to the same filemapping, this is an ideal way to share data between multiple processes.

Unless you are opening a filemapping object as opposed to creating one, you should not use this class directly. Instead use the derived TJclFileMapping and TJclSwapFileMapping classes. These two classes only differ in their constructors but do prevent you from a common mistake (related to the return value of CreateFile).

Donator

Wim De Cleen

Group

File Mapping

Legend

read only

protected

Constructor

Unit

JclFileUtils


TJclCustomFileMapping Class Properties

TJclCustomFileMapping Class	Legend

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.


Legend

read only


TJclCustomFileMapping Class Methods

TJclCustomFileMapping Class	Legend

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.


Legend

protected

Constructor


Legend

TJclCustomFileMapping Class

Legend

read only

protected

Constructor


TJclCustomFileMapping Class Members

TJclCustomFileMapping Class	Legend

Members

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.


Legend

read only

protected

Constructor


TJclCustomFileMapping.Count Property

TJclCustomFileMapping Class

The number of View objects in the Views list.

Pascal

property Count: Integer;

Description

The Count property returns the number of view objects managed by the object and previously created using the Add or the AddAt method. The individual TJclFileMappingView objects can be accessed using the Views array property.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Existed Property

TJclCustomFileMapping Class

Returns whether the filemapping object already existed on creation.

Pascal

property Existed: Boolean;

Description

The Existed property returns whether the filemapping object already existed during creation. This only applies if you used the Open constructor or specified a name in the constructor and another process had already created the filemapping with the same name.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Handle Property

TJclCustomFileMapping Class

Handle of the filemapping object.

Pascal

property Handle: THandle;

Description

Handle contains the handle of the underlying Win32 filemapping object. You can use it, for example, to share the filemapping with another process through handle inheritance. Never close the handle manually, this is done automatically at destruction.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Name Property

TJclCustomFileMapping Class

Name of the filemapping.

Pascal

property Name: string;

Description

The Name property contains the name of the filemapping object as specified during construction.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.RoundViewOffset Property

TJclCustomFileMapping Class

Rounding used when creating view objects.

Pascal

property RoundViewOffset: TJclFileMappingRoundOffset;

Description

A filemapping view must be created with its offset being a multiple of the systems' memory allocation granularity (usually 64K). Additionally, when you use the AddAt method, the specified base address must also be a multiple of the allocation granularity. The RoundViewOffset determines how the TJclFileMappingView class rounds the supplied offset and/or base address values when these conditions are not met. You can have the class automatically round upwards or downwards.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Views Property

TJclCustomFileMapping Class

List of all view objects managed by this class.

Pascal

property Views [index: Integer]: TJclFileMappingView;

Description

The Views property contains all views that were created for this filemapping using the Add or AddAt method. The number of Views in this list can be determined using the Count property. When a View is created it is automatically added to the list and when a view is destroyed is is removed from the list.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Add Method

See Also	TJclCustomFileMapping Class

Create a new view and adds it to the list.

Pascal

function Add(const Access: Cardinal; const Count: Cardinal; const Offset: Int64): Integer;

Description

The Add method creates a new TJclFileMappingView object and adds it to the internal Views list.

Parameters

const Access: Cardinal

Specifies the access for the view. See the Win32 help file or the Platform SDK under MapViewOfFile for more information.

const Count: Cardinal

Number of bytes to map. If you specify 0 the entire file is mapped.

const Offset: Int64

The Offset, in bytes, into the file from which to begin the mapping. The supplied offset is implicitly rounded towards a multiple of the systems allocation granularity. See the RoundOffsetView property for the details.

Return Value

The Index into the Views array of the newly created View object.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


See Also

AddAt


TJclCustomFileMapping.AddAt Method

See Also	TJclCustomFileMapping Class

Creates a new view and adds it to the list.

Pascal

function AddAt(const Access: Cardinal; const Count: Cardinal; const Offset: Int64; const Address: Pointer): Integer;

Description

The AddAt method creates a new TJclFileMappingView object and adds it to the internal Views list. The difference between Add and this method is that you can specify a base address at which the view must be mapped. Note however that the supplied Address is implicitly rounded towards a multiple of the systems allocation granularity and if the system cannot map the view at the resulting address, it won't map at all!

Parameters

const Access: Cardinal

Specifies the access for the view. See the Win32 help file or the Platform SDK under MapViewOfFile for more information.

const Count: Cardinal

Number of bytes to map. If you specify 0 the entire file is mapped.

const Offset: Int64

The Offset, in bytes, into the file from which to begin the mapping. The supplied offset is implicitly rounded towards a multiple of the systems allocation granularity. See the RoundOffsetView property for the details.

const Address: Pointer

Address at which the view should be mapped. The value is rounded to a multiple of the system allocation granularity. See the RoundOffsetView property for the details.

Return Value

The Index into the Views array of the newly created View object.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


See Also

Add


TJclCustomFileMapping.ClearViews Method

TJclCustomFileMapping Class

procedure ClearViews;

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Create Constructor

TJclCustomFileMapping Class

constructor Create;

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Delete Method

TJclCustomFileMapping Class

Deletes the View at the specified Index.

Pascal

procedure Delete(const Index: Integer);

Description

The Delete method destroys the View object at the specified Index (into the Views array) and removes it from the list. Outstanding references are implicitly invalidated by this since the object no longer exists. If the Index is invalid the function raises an exception.

Parameters

const Index: Integer

Index into the Views array of the View object to destroy. Must be a valid index or an exception is raised.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Destroy Destructor

TJclCustomFileMapping Class

destructor Destroy; override;

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.IndexOf Method

TJclCustomFileMapping Class

Returns the index of the specified view object.

Pascal

function IndexOf(const View: TJclFileMappingView): Integer;

Description

The IndexOf method returns the Index of the supplied View object in the Views list. Alternatively you can use the Views Index property.

Parameters

const View: TJclFileMappingView

The View object whose Index into the Views list you want to know.

Return Value

The Index into the Views array property of the specified View. If the View does not exist in the array the function returns -1.

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.InternalCreate Method

TJclCustomFileMapping Class

procedure InternalCreate(const FileHandle: THandle; const Name: string; const Protect: Cardinal; MaximumSize: Int64; SecAttr: PSecurityAttributes);

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.InternalOpen Method

TJclCustomFileMapping Class

procedure InternalOpen(const Name: string; const InheritHandle: Boolean; const DesiredAccess: Cardinal);

Class

TJclCustomFileMapping Class


TJclCustomFileMapping.Open Constructor

TJclCustomFileMapping Class

Creates an instance of TJclCustomFileMapping and opens a filemapping object.

Pascal

constructor Open(const Name: string; const InheritHandle: Boolean; const DesiredAccess: Cardinal);

Description

The Open constructor creates an instance of TJclCustomFileMapping and attempts to open the named filemapping object. If the specified object does not exist the constructor fails by raising an exception.

Parameters

const Name: string

Name of the filemapping object to open. If no filemapping object with the specified name exists, the function raises an exception.

const InheritHandle: Boolean

Specifies whether the filemapping object's handle can be inherited by child processes. DesiredAccess=Specifies the desired access to the filemapping object. This can be one of the following values - Specifies the desired access to the filemapping object. This can be one of the following values:

Donator

Wim De Cleen

Class

TJclCustomFileMapping Class


TJclFileMapping Class

Properties	Methods	Legend

Implements a filemapping object backed by an actual disk file.

Pascal

TJclFileMapping = class(TJclCustomFileMapping);

Description

TJclFileMapping is a specification of a filemapping object. It only differs from TJclCustomFileMapping in the implementation of its constructor. Use this class when you want to map an actual disk file.

Donator

Wim De Cleen

Group

File Mapping

Legend

read only

protected

Constructor

Unit

JclFileUtils


TJclFileMapping Class Properties

TJclFileMapping Class	Legend

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.

TJclFileMapping Class

 FileHandle

Handle of the underlying file.


Legend

read only


TJclFileMapping Class Methods

TJclFileMapping Class	Legend

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.

TJclFileMapping Class

 Create

Creates an instance of a TJclFileMapping object.

 Destroy


Legend

protected

Constructor


Legend

TJclFileMapping Class

Legend

read only

protected

Constructor


TJclFileMapping Class Members

TJclFileMapping Class	Legend

Members

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.

TJclFileMapping Class

 FileHandle

Handle of the underlying file.

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.

TJclFileMapping Class

 Create

Creates an instance of a TJclFileMapping object.

 Destroy


Legend

read only

protected

Constructor


TJclFileMapping.FileHandle Property

TJclFileMapping Class

Handle of the underlying file.

Pascal

property FileHandle: THandle;

Description

Copy of the handle passed to the constructor. Mostly for your convenience, the class does not actually use the handle. However, it is copied using DuplicateHandle and closed on destruction. As such, you can use it as a storage place for the filehandle in case you need it later. Note that you are not supposed to manipulate a file both through a filemapping and the file manipulation routines since the operating system can no longer guarantee that the two remain coherent. If you must use the handle after the TJclFileMapping class has been destroyed then you must copy it using DuplicateHandle. Note that if you decide to use the Handle as such you are still required to close the original handle using CloseHandle!

Donator

Wim De Cleen

Class

TJclFileMapping Class


TJclFileMapping.Create Constructor (THandle, string, Cardinal, Int64, PSecurityAttributes)

TJclFileMapping Class

Creates an instance of a TJclFileMapping object.

Pascal

constructor Create(const FileName: string; FileMode: Cardinal; const Name: string; Protect: Cardinal; const MaximumSize: Int64; SecAttr: PSecurityAttributes); overload;
constructor Create(const FileHandle: THandle; const Name: string; Protect: Cardinal; const MaximumSize: Int64; SecAttr: PSecurityAttributes); overload;

Description

Creates an instance of a TJclFileMapping object. The filemapping object is backed by an actual disk file and it is the callers responsibility to ensure the disk file actually exists. As such the FileHandle parameter must be a valid handle or the FileName, FileMode combination must be valid.

Parameters

const FileName: string

Fully qualified name of the file to map.

FileMode: Cardinal

Access mode to open the file with. See the "File open mode constants" topic in the Delphi help for a list of valid values.

const Name: string

Name for the filemapping object. Specifying a name allows another process to open the same filemapping object.

Protect: Cardinal

Protection attributes for the filemapping object. See the Win32 help file or Platform SDK for the allowed values (look at the description of the CreateFileMapping function, flProtect parameter).

const MaximumSize: Int64

Maximum size of the filemapping object. If you specify 0 the filemapping will be the same size as the underlying disk file (which is not allowed to have a size of 0 itself).

SecAttr: PSecurityAttributes

Security attributes for the filemapping. See the Win32 help file or Platform SDK for details.

const FileHandle: THandle

Handle to a disk file. Must be a valid handle.

Donator

Wim De Cleen

Class

TJclFileMapping Class


TJclFileMapping.Destroy Destructor

TJclFileMapping Class

destructor Destroy; override;

Class

TJclFileMapping Class


TJclSwapFileMapping Class

Properties	Methods	Legend

Implements a filemapping object backed by the swap file.

Pascal

TJclSwapFileMapping = class(TJclCustomFileMapping);

Description

TJclSwapFileMapping is a specification of a filemapping object. It only differs from TJclCustomFileMapping in the implementation of its constructor. Use this class when you want to create a filemapping backed by the systems swap file (ideal for cross-process communication).

Donator

Wim De Cleen

Group

File Mapping

Legend

read only

protected

Constructor

Unit

JclFileUtils


TJclSwapFileMapping Class Properties

TJclSwapFileMapping Class	Legend

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.


Legend

read only


TJclSwapFileMapping Class Methods

TJclSwapFileMapping Class	Legend

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.

TJclSwapFileMapping Class

 Create

Creates an instance of a TJclSwapFileMapping object.


Legend

protected

Constructor


Legend

TJclSwapFileMapping Class

Legend

read only

protected

Constructor


TJclSwapFileMapping Class Members

TJclSwapFileMapping Class	Legend

Members

Properties

 Count

The number of View objects in the Views list.

 Existed

Returns whether the filemapping object already existed on creation.

 Handle

Handle of the filemapping object.

 Name

Name of the filemapping.

RoundViewOffset

Rounding used when creating view objects.

 Views

List of all view objects managed by this class.

Methods

Add

Create a new view and adds it to the list.

AddAt

Creates a new view and adds it to the list.

 ClearViews

 Create

Delete

Deletes the View at the specified Index.

 Destroy

IndexOf

Returns the index of the specified view object.

 InternalCreate

 InternalOpen

 Open

Creates an instance of TJclCustomFileMapping and opens a filemapping object.

TJclSwapFileMapping Class

 Create

Creates an instance of a TJclSwapFileMapping object.


Legend

read only

protected

Constructor


TJclSwapFileMapping.Create Constructor

TJclSwapFileMapping Class

Creates an instance of a TJclSwapFileMapping object.

Pascal

constructor Create(const Name: string; Protect: Cardinal; const MaximumSize: Int64; SecAttr: PSecurityAttributes);

Description

Creates an instance of a TJclSwapFileMapping object. The filemapping object is backed by the swap file.

Parameters

const Name: string

Name for the filemapping object. Specifying a name allows another process to open the same filemapping object.

Protect: Cardinal

Protection attributes for the filemapping object. See the Win32 help file or Platform SDK for the allowed values (look at the description of the CreateFileMapping function, flProtect parameter).

const MaximumSize: Int64

Maximum size of the filemapping object. Cannot be 0.

SecAttr: PSecurityAttributes

Security attributes for the filemapping. See the Win32 help file or Platform SDK for details.

Donator

Wim De Cleen

Class

TJclSwapFileMapping Class


Graphics

JEDI Code Library

Topics

Bitmaps

Clipping

Colors

Conversion

Desktop

Icons

Points

Rectangles

Regions

Types

Functions

FillGradient

Fills a rectangle with a gradient pattern.


Graphics Functions

Graphics

Functions

FillGradient

Fills a rectangle with a gradient pattern.


Topics

Graphics

Topics

Bitmaps

Clipping

Colors

Conversion

Desktop

Icons

Points

Rectangles

Regions

Types


FillGradient Function

See Also

Fills a rectangle with a gradient pattern.

Pascal

function FillGradient(DC: HDC; ARect: TRect; ColorCount: Integer; StartColor: TColor; EndColor: TColor; ADirection: TGradientDirection): Boolean; overload;

Description

Fills a rectangle with a gradient pattern. You can specify the smoothness of the gradient and the direction.

Parameters

DC: HDC

The handle of the device context where the rectangle will be drawn.

ARect: TRect

The rectangle that defines the area that will be filled.

ColorCount: Integer

The number of gradiations between the StartColor and the EndColor, this should be a least 1. The higher the number, the smoother the gradient fill.

StartColor: TColor

The starting color.

EndColor: TColor

The ending color.

ADirection: TGradientDirection

The direction of the gradient, horizontial or vertical.

Donator

Petr Vones

Group

Graphics

Unit

JclQGraphics


See Also

TGradientDirection


Bitmaps

Methods	Legend

Graphics

Topics

Function naming conventions

JclGraphics introduces several routines (as well as some class properties and methods) which have similar action but may have different arguments or other realization details.

They follow a simple naming convention:

Line Patterns

JclGraphics defines several functions to support non-uniform lines. This includes gradient lines, dashed lines etc.

The idea is pretty simple: TJclBitmap32 holds a dynamic array of colors, and a counter, which 'crawls' along the array and reads colors from its position. The line drawing algorithm queries color value from the current counter position at each point, then the counter is automatically incremented to get ready to supply the next value to line rasterisation routine.

The counter, accessed through the StippleCounter property, wraps itself automatically at the edges of color array. It can move in both directions depending on stipple step,... more

ScreenShot@TBitmap@Integer@Integer@Integer@Integer@HWND

Stores the image of a window into a bitmap.

ScreenShot@TBitmap

Stores the image of a window into a bitmap.

Polygon

PolyPolygon

PolyLine

Classes

TJclThreadPersistent

Ancestor class for TJclBitmap32.

TJclCustomMap

Ancestor for objects that hold 2D arrays of data.

TJclBitmap32

32 bit color depth bitmap class.

TJclTransformation

TJclTransformation is an abstract ancestor for bitmap transformation classes.

TJclLinearTransformation

Enumerations

 TResamplingFilter

Filters for stretch function.

 TDrawMode

TDrawMode defines how the bitmap is combined with the backgrownd.

 TStretchFilter

 TConversionKind

Functions

DrawBitmap

Draws a bitmap to a device context.

Stretch

Scales a graphic to a bitmap.

Stretch

Scales a graphic to a bitmap.

AlphaToGrayscale

ApplyLUT

BlockTransfer

ColorToGrayscale

IntensityToAlpha

Invert

InvertRGB

SetBorderTransparent

SetGamma

StretchTransfer

Transform

Records

 TMatrix3d

Variables

IdentityMatrix

A 3x3 identity matrix.

Legend

Enumeration

Record


Bitmaps Classes

Bitmaps

Classes

TJclThreadPersistent

Ancestor class for TJclBitmap32.

TJclCustomMap

Ancestor for objects that hold 2D arrays of data.

TJclBitmap32

32 bit color depth bitmap class.

TJclTransformation

TJclTransformation is an abstract ancestor for bitmap transformation classes.

TJclLinearTransformation


Bitmaps Variables

Bitmaps

Variables

IdentityMatrix

A 3x3 identity matrix.


Bitmaps Functions

Bitmaps

Functions

DrawBitmap

Draws a bitmap to a device context.

Stretch

Scales a graphic to a bitmap.

Stretch

Scales a graphic to a bitmap.

AlphaToGrayscale

ApplyLUT

BlockTransfer

ColorToGrayscale

IntensityToAlpha

Invert

InvertRGB

SetBorderTransparent

SetGamma

StretchTransfer

Transform


Bitmaps Methods

Bitmaps

Methods

SetPixel

Blends the pixel at position (X, Y) using the specified color.


Bitmaps Enumerations

Bitmaps	Legend

Enumerations

 TResamplingFilter

Filters for stretch function.

 TDrawMode

TDrawMode defines how the bitmap is combined with the backgrownd.

 TStretchFilter

 TConversionKind


Legend

Enumeration


Topics

Bitmaps

Topics

Function naming conventions

JclGraphics introduces several routines (as well as some class properties and methods) which have similar action but may have different arguments or other realization details.

They follow a simple naming convention:

Line Patterns

JclGraphics defines several functions to support non-uniform lines. This includes gradient lines, dashed lines etc.

The idea is pretty simple: TJclBitmap32 holds a dynamic array of colors, and a counter, which 'crawls' along the array and reads colors from its position. The line drawing algorithm queries color value from the current counter position at each point, then the counter is automatically incremented to get ready to supply the next value to line rasterisation routine.

The counter, accessed through the StippleCounter property, wraps itself automatically at the edges of color array. It can move in both directions depending on stipple step,... more

ScreenShot@TBitmap@Integer@Integer@Integer@Integer@HWND

Stores the image of a window into a bitmap.

ScreenShot@TBitmap

Stores the image of a window into a bitmap.

Polygon

PolyPolygon

PolyLine


Bitmaps Records

Bitmaps	Legend

Records

 TMatrix3d


Legend

Record


Legend

Bitmaps

Legend

Enumeration

Record


TJclThreadPersistent Class

Properties	Methods	Legend

Ancestor class for TJclBitmap32.

Pascal

TJclThreadPersistent = class(TPersistent);

Description

TJclThreadPersistent extends the standard TPersistent class with the thread-safe locking and declares change notification events.

The locking provides means of synchronization of simultaneous access to the same resource in applications with multiple threads and it works similar to that in TCanvas class. For additional information, see Delphi documentation on TCanvas.

This class also declares change notification abilities. That is, it provides methods and events allowing it descendants to issue notification on their changes. For example, TJclBitmap32 uses OnChange to notify its container that it was modified and its data has to be repainted to the screen. TJclThreadPersistent, however, does not use or implement automatic change notification itself. This is done in descendants.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Legend

protected

read only

Constructor

Unit

JclGraphics


TJclThreadPersistent Class Properties

TJclThreadPersistent Class	Legend

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count


Legend

protected

read only


TJclThreadPersistent Class Methods

TJclThreadPersistent Class	Legend

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.


Legend

Constructor


Legend

TJclThreadPersistent Class

Legend

protected

read only

Constructor


TJclThreadPersistent Class Members

TJclThreadPersistent Class	Legend

Members

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.


Legend

protected

read only

Constructor


TJclThreadPersistent.LockCount Property

See Also	TJclThreadPersistent Class

Threading lock count

Pascal

property LockCount: Integer;

Description

LockCount represents the current nesting level of the threading lock. This is a counter shared by all running threads in the curent process.

The object is unlocked only when LockCount is 0 and only one thread can lock the object at the time. Call Lock to increase LockCount value and Unlock to decrease it.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

Lock, Unlock


TJclThreadPersistent.OnChange Property

See Also	TJclThreadPersistent Class

Occurs when the image has just changed.

Pascal

property OnChange: TNotifyEvent;

Description

OnChange is called immediately after the object changes. For example, TJclThreadPersistent’s descendant TJclBitmap32 uses the OnChange event to notify its parent that something was changed in a bitmap, and the screen image must be updated.

Generation of OnChange events can be prevented by calling BeginUpdate.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

BeginUpdate, Changed, TJclBitmap32, TJclThreadPersistent


TJclThreadPersistent.OnChanging Property

TJclThreadPersistent Class

Occurs just before a change is made to the object.

Pascal

property OnChanging: TNotifyEvent;

Description

Changing is called every time before a change is about to be made to the object. If the object is being updated Changing does nothing, otherwise it fires the OnChanging event.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


TJclThreadPersistent.UpdateCount Property

See Also	TJclThreadPersistent Class

Threading lock count

Pascal

property UpdateCount: Integer;

Description

The current nesting level of the update lock.

UpdateCount is increased each time you call the BeginUpdate method and is decreased with EndUpdate calls. The object does not generate OnChange as long as its UpdateCount is greater than 0.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

BeginUpdate, EndUpdate, OnChange


TJclThreadPersistent.BeginUpdate Method

See Also	TJclThreadPersistent Class

Disables update notification.

Pascal

procedure BeginUpdate;

Description

Call this method in order to temporarily disable the update notification.

BeginUpdate increases the UpdateCount property, which disables generation of OnChange events. Calls to BeginUpdate must be paired with EndUpdate and they may be safely nested.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

EndUpdate


TJclThreadPersistent.Changed Method

See Also	TJclThreadPersistent Class

Calls the OnChange event.

Pascal

procedure Changed; virtual;

Description

Calls the OnChange event, provided the change notification is not masked with BeginUpdate.

Descendants of TThreadPersistent call Changed after making changes to their data or properties.

You will need to call Changed explicitly in your application after leaving the BeginUpdate... EndUpdate block since EndUpdate itself does not internally call Changed.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

BeginUpdate, EndUpdate, OnChange


TJclThreadPersistent.Changing Method

TJclThreadPersistent Class

Occurs just before a change is made to the object.

Pascal

procedure Changing; virtual;

Description

Changing is called every time before a change is about to be made to the object. If the object is being updated Changing does nothing, otherwise it fires the OnChanging event.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


TJclThreadPersistent.Create Constructor

TJclThreadPersistent Class

constructor Create; virtual;

Class

TJclThreadPersistent Class


TJclThreadPersistent.Destroy Destructor

TJclThreadPersistent Class

destructor Destroy; override;

Class

TJclThreadPersistent Class


TJclThreadPersistent.EndUpdate Method

See Also	TJclThreadPersistent Class

Re-enables update notification.

Pascal

procedure EndUpdate;

Description

Re-enables change notification previously disabled with BeginUpdate.

EndUpdate decreases the UpdateCount property and re-enables generation of OnChange events.

EndUpdate itself does not generate the OnChange event. You will need to call Changed explicitly, after calling EndUpdate in case the change notification is required.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


See Also

BeginUpdate


TJclThreadPersistent.Lock Method

TJclThreadPersistent Class

Prevents other threads from acessing the object.

Pascal

procedure Lock;

Description

Blocks other execution threads from locking the object until the Unlock method is called. If another thread tryes to call the Lock method of an object which is already locked, its execution will be stalled until the lock is released with Unlock method.

Once a thread has locked the object, it can make additional calls to Lock method without blocking its own execution. This prevents the thread from deadlocking itself while waiting for releasing of a lock that it already owns. LockCount is increased each time Lock is called.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


TJclThreadPersistent.Unlock Method

TJclThreadPersistent Class

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

Pascal

procedure Unlock;

Description

Call Unlock at the end of a critical section begun with a call to the Lock method. Every call to Lock must be matched by a call to Unlock.

Donator

Alex Denissov

Class

TJclThreadPersistent Class


IdentityMatrix Variable

A 3x3 identity matrix.

Pascal

IdentityMatrix: TMatrix3d;

Description

Identity matrix to use with TJclLinearTransformation.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclQGraphics


TJclCustomMap Class

Properties	Methods	Legend

Ancestor for objects that hold 2D arrays of data.

Pascal

TJclCustomMap = class(TJclThreadPersistent);

Description

TJclCustomMap is a common ancestor for objects that hold 2D arrays of data.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Legend

protected

read only

Constructor

Unit

JclGraphics


TJclCustomMap Class Properties

TJclCustomMap Class	Legend

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.


Legend

protected

read only


TJclCustomMap Class Methods

TJclCustomMap Class	Legend

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.


Legend

Constructor


Legend

TJclCustomMap Class

Legend

protected

read only

Constructor


TJclCustomMap Class Members

TJclCustomMap Class	Legend

Members

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.


Legend

protected

read only

Constructor


TJclCustomMap.Height Property

See Also	TJclCustomMap Class

Specifies the width of the contained data array.

Pascal

property Height: Integer;

Description

Specifies the width of the contained data array. Writing into the Width property will resize the data array. Use the SetSize method to change both width and height simultaneously.

Donator

Alex Denissov

Class

TJclCustomMap Class


See Also

SetSize@Integer@Integer


TJclCustomMap.Width Property

See Also	TJclCustomMap Class

Specifies the height of the contained data array.

Pascal

property Width: Integer;

Description

Specifies the height of the contained data array. Use the SetSize method to change both width and height simultaneously.

Donator

Alex Denissov

Class

TJclCustomMap Class


See Also

SetSize@Integer@Integer


TJclCustomMap.Delete Method

TJclCustomMap Class

Clears the map.

Pascal

procedure Delete; virtual;

Description

By default, Delete calls SetSize(0, 0). In descendants this implies deletion of stored data and freeing of the occupied memory.

Donator

Alex Denissov

Class

TJclCustomMap Class


TJclCustomMap.Empty Method

TJclCustomMap Class

Specifies whether the map object contains data.

Pascal

function Empty: Boolean; virtual;

Description

Returns True if the data set is empty, otherwise False. In general a result of True means that Width or Height is 0.

Return Value

False, if the instance contains data, True otherwise.

Donator

Alex Denissov

Class

TJclCustomMap Class


TJclCustomMap.SetSize Method (Integer, Integer)

See Also	TJclCustomMap Class

Simultaneously changes both Width and Height of contained data.

Pascal

procedure SetSize(NewWidth: Integer; NewHeight: Integer); virtual; overload;

Description

Simultaneously changes both Width and Height of contained data. The method is overriden in descendants (TJclBitmap32, TJclByteMap) so that bitmap bits are reallocated and byte map data array is resized.

Parameters

Height

New value for Height.

Width

New value for Width.

Donator

Alex Denissov

Class

TJclCustomMap Class


See Also

SetSize@TPersistent


TJclCustomMap.SetSize Method (TPersistent)

See Also	TJclCustomMap Class

Simultaneously changes both Width and Height of contained data.

Pascal

procedure SetSize(Source: TPersistent); overload;

Description

Simultaneously changes both Width and Height of contained data. This overloaded version 'knows' how to get the size from the following objects or their descendants: TJclCustomMap, TGraphic, TControl and nil. Passing objects of other TPersistent descendants will cause TJclCustomMap to generate an exception. The method is overriden in descendants (TJclBitmap32, TJclByteMap) so that bitmap bits are reallocated and byte map data array is resized.

Parameters

Height

New value for Height.

Width

New value for Width.

Donator

Alex Denissov

Class

TJclCustomMap Class


See Also

SetSize@Integer@Integer


TJclBitmap32 Class

Properties	Methods	Legend

32 bit color depth bitmap class.

Pascal

TJclBitmap32 = class(TJclCustomMap);

Description

TJclBitmap32 manages a single 32-bit device-independent bitmap (DIB) and provides methods for drawing on it and combining it with other DIBs or other objects with device context (DC).

TJclBitmap32 overrides Assign and AssignTo methods (inherited from TPersistent) to provide compatibility with standard objects: TBitmap, TPicture and TClipboard in both directions. The design-time streaming to and from *.dfm files, inherited from TPersistent, is supported, but its realization is different from streaming with other stream types (See the source code for details).

TJclBitmap32 does not implement its own low-level streaming or low-level file loading/saving. Instead, it uses streaming methods of temporal TBitmap or TPicture objects. This is an obvious performance penalty, however such approach allows using third-party libraries, which extend TGraphic class for various image formats support (JPEG, TGA, TIFF, GIF, PNG, etc.). When you install them, TJclBitmap32 will automatically obtain support for new image file formats in design time and in run time.

Since TJclBitmap32 is a descendant of TJclThreadPersistent, it inherits its locking mechanism and it may be used in multi-threaded applications.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Fields

TJclBitmap32 Class

 FontHandle

 RasterX

 RasterXF

 RasterY

 RasterYF

Legend

protected

read only

published

Constructor

Unit

JclGraphics


TJclBitmap32 Class Properties

TJclBitmap32 Class	Legend

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.

TJclBitmap32 Class

 BitmapHandle

The Windows GDI bitmap handle.

 BitmapInfo

Bitmap information record.

 Bits

Pointer to the pixel data.

 DrawMode

Specifies how the bitmap is displayed.

Font

Specifies the font to use when writing text on the image.

 Handle

Provides the device context handle of the contained DIB.

 MasterAlpha

Specifies an alpha blending factor applied to the bitmap as a whole.

 OnChange

Occurs when the image has just changed.

 OnChanging

Occurs just before a change is made to the object.

 OuterColor

Color to assume for pixels which lie outside the bitmap.

PenColor

Specifies the color used to draw lines.

Pixel

Specifies the color of the pixel at coordinates X, Y.

 PixelPtr

Points to the adress of the pixel at coordinates X, Y.

PixelS

Specifies the color of the pixel at coordinates X, Y.

 ScanLine

Provides indexed access to each line of pixels.

 StippleCounter

The current value of the stipple counter.

StippleStep

The current stipple step value.

 StretchFilter

Interpolation filter for image resampling.


Legend

protected

read only

published


TJclBitmap32 Class Methods

TJclBitmap32 Class	Legend

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.

TJclBitmap32 Class

Assign

 AssignTo

Clear

Clears the bitmap.

 ClipLine

 ClipLineF

 Create

Creates and initializes an instance of TJclBitmap32.

 DefineProperties

Delete

Clears the map.

 Destroy

Disposes of the instance of an TJclBitmap32 object

Draw

Renders the bitmap.

DrawHorzLine

Draws a horizontal line.

DrawHorzLineS

Draws a horizontal line.

DrawHorzLineT

Draws a horizontal line.

DrawHorzLineTS

Draws a horizontal line.

DrawHorzLineTSP

Draws a horizontal line.

DrawLine

Draws a line.

DrawLineA

Draws a line.

DrawLineAS

Draws a line.

DrawLineF

Draws a line.

DrawLineFP

Draws a line.

DrawLineFS

Draws a line.

DrawLineFSP

Draws a line.

DrawLineS

Draws a line.

DrawLineT

Draws a line.

DrawLineTS

Draws a line.

DrawTo

Renders the bitmap onto another bitmap.

DrawVertLine

Draws a horizontal line.

DrawVertLineS

Draws a horizontal line.

DrawVertLineT

Draws a horizontal line.

DrawVertLineTS

Draws a horizontal line.

DrawVertLineTSP

Draws a horizontal line.

Empty

Indicates whether the bitmap contains an image.

FillRect

Fills the specified rectangle on the bitmap using the specified color.

FillRectS

Fills the specified rectangle on the bitmap using the specified color.

FillRectT

Fills the specified rectangle on the bitmap using the specified color.

FillRectTS

Fills the specified rectangle on the bitmap using the specified color.

 FontChanged

FrameRectS

FrameRectTS

FrameRectTSP

GetPixelB

GetStippleColor

Returns stipple pattern color at position specified by StippleCounter.

LineToAS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToFS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToTS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LoadFromFile

Loads an image from a file.

LoadFromStream

Loads an image from a stream.

MoveTo

Changes the current drawing position to the point (X,Y).

MoveToF

Changes the current drawing position to the point (X,Y).

RaiseRectTS

Draws a raised or recessed frame.

 ReadData

RenderText

Renders text with antialiasing and transparency support.

ResetAlpha

Resets the alpha channel.

ResetStippleCounter

Resets the StippleCounter

SaveToFile

Saves a bitmap image to a file.

SaveToStream

Stores a bitmap image to a stream.

 SET_T256

 SET_TS256

SetPixelF

Blends the pixel at position (X, Y) using the specified color.

SetPixelFS

Blends the pixel at position (X, Y) using the specified color.

SetPixelT

SetPixelTS

Blends the pixel at position (X, Y) using the specified color.

SetSize

SetSize sets both Width and Height properties at once.

SetStipple

Sets a new stipple pattern.

TextExtent

Returns the width and height, in pixels, of a string rendered in the current Font.

TextHeight

Returns the height, in pixels, of a string rendered in the current font.

TextOut

Writes a string on the canvas, starting at the point (X,Y).

TextWidth

Returns the width, in pixels, of a string rendered in the current font.

UpdateFont

Selects the font specified by the Font property into the device context specified by Handle.

 WriteData


Legend

Constructor

protected


TJclBitmap32 Class Fields

TJclBitmap32 Class	Legend

Fields

TJclBitmap32 Class

 FontHandle

 RasterX

 RasterXF

 RasterY

 RasterYF


Legend

protected


Legend

TJclBitmap32 Class

Legend

protected

read only

published

Constructor


TJclBitmap32 Class Members

TJclBitmap32 Class	Legend

Members

Properties

 LockCount

Threading lock count

OnChange

Occurs when the image has just changed.

OnChanging

Occurs just before a change is made to the object.

 UpdateCount

Threading lock count

TJclCustomMap Class

Height

Specifies the width of the contained data array.

Width

Specifies the height of the contained data array.

TJclBitmap32 Class

 BitmapHandle

The Windows GDI bitmap handle.

 BitmapInfo

Bitmap information record.

 Bits

Pointer to the pixel data.

 DrawMode

Specifies how the bitmap is displayed.

Font

Specifies the font to use when writing text on the image.

 Handle

Provides the device context handle of the contained DIB.

 MasterAlpha

Specifies an alpha blending factor applied to the bitmap as a whole.

 OnChange

Occurs when the image has just changed.

 OnChanging

Occurs just before a change is made to the object.

 OuterColor

Color to assume for pixels which lie outside the bitmap.

PenColor

Specifies the color used to draw lines.

Pixel

Specifies the color of the pixel at coordinates X, Y.

 PixelPtr

Points to the adress of the pixel at coordinates X, Y.

PixelS

Specifies the color of the pixel at coordinates X, Y.

 ScanLine

Provides indexed access to each line of pixels.

 StippleCounter

The current value of the stipple counter.

StippleStep

The current stipple step value.

 StretchFilter

Interpolation filter for image resampling.

Methods

BeginUpdate

Disables update notification.

Changed

Calls the OnChange event.

Changing

Occurs just before a change is made to the object.

 Create

 Destroy

EndUpdate

Re-enables update notification.

Lock

Prevents other threads from acessing the object.

Unlock

Decreases the LockCount property, allowing other threads to execute when LockCount reaches 0.

TJclCustomMap Class

Delete

Clears the map.

Empty

Specifies whether the map object contains data.

SetSize

Simultaneously changes both Width and Height of contained data.

TJclBitmap32 Class

Assign

 AssignTo

Clear

Clears the bitmap.

 ClipLine

 ClipLineF

 Create

Creates and initializes an instance of TJclBitmap32.

 DefineProperties

Delete

Clears the map.

 Destroy

Disposes of the instance of an TJclBitmap32 object

Draw

Renders the bitmap.

DrawHorzLine

Draws a horizontal line.

DrawHorzLineS

Draws a horizontal line.

DrawHorzLineT

Draws a horizontal line.

DrawHorzLineTS

Draws a horizontal line.

DrawHorzLineTSP

Draws a horizontal line.

DrawLine

Draws a line.

DrawLineA

Draws a line.

DrawLineAS

Draws a line.

DrawLineF

Draws a line.

DrawLineFP

Draws a line.

DrawLineFS

Draws a line.

DrawLineFSP

Draws a line.

DrawLineS

Draws a line.

DrawLineT

Draws a line.

DrawLineTS

Draws a line.

DrawTo

Renders the bitmap onto another bitmap.

DrawVertLine

Draws a horizontal line.

DrawVertLineS

Draws a horizontal line.

DrawVertLineT

Draws a horizontal line.

DrawVertLineTS

Draws a horizontal line.

DrawVertLineTSP

Draws a horizontal line.

Empty

Indicates whether the bitmap contains an image.

FillRect

Fills the specified rectangle on the bitmap using the specified color.

FillRectS

Fills the specified rectangle on the bitmap using the specified color.

FillRectT

Fills the specified rectangle on the bitmap using the specified color.

FillRectTS

Fills the specified rectangle on the bitmap using the specified color.

 FontChanged

FrameRectS

FrameRectTS

FrameRectTSP

GetPixelB

GetStippleColor

Returns stipple pattern color at position specified by StippleCounter.

LineToAS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToFS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LineToTS

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

LoadFromFile

Loads an image from a file.

LoadFromStream

Loads an image from a stream.

MoveTo

Changes the current drawing position to the point (X,Y).

MoveToF

Changes the current drawing position to the point (X,Y).

RaiseRectTS

Draws a raised or recessed frame.

 ReadData

RenderText

Renders text with antialiasing and transparency support.

ResetAlpha

Resets the alpha channel.

ResetStippleCounter

Resets the StippleCounter

SaveToFile

Saves a bitmap image to a file.

SaveToStream

Stores a bitmap image to a stream.

 SET_T256

 SET_TS256

SetPixelF

Blends the pixel at position (X, Y) using the specified color.

SetPixelFS

Blends the pixel at position (X, Y) using the specified color.

SetPixelT

SetPixelTS

Blends the pixel at position (X, Y) using the specified color.

SetSize

SetSize sets both Width and Height properties at once.

SetStipple

Sets a new stipple pattern.

TextExtent

Returns the width and height, in pixels, of a string rendered in the current Font.

TextHeight

Returns the height, in pixels, of a string rendered in the current font.

TextOut

Writes a string on the canvas, starting at the point (X,Y).

TextWidth

Returns the width, in pixels, of a string rendered in the current font.

UpdateFont

Selects the font specified by the Font property into the device context specified by Handle.

 WriteData

Fields

TJclBitmap32 Class

 FontHandle

 RasterX

 RasterXF

 RasterY

 RasterYF


Legend

protected

read only

published

Constructor


TJclBitmap32.FontHandle Field

TJclBitmap32 Class

FontHandle: HFont;

Class

TJclBitmap32 Class


TJclBitmap32.RasterX Field

TJclBitmap32 Class

RasterX: Integer;

Class

TJclBitmap32 Class


TJclBitmap32.RasterXF Field

TJclBitmap32 Class

RasterXF: Single;

Class

TJclBitmap32 Class


TJclBitmap32.RasterY Field

TJclBitmap32 Class

RasterY: Integer;

Class

TJclBitmap32 Class


TJclBitmap32.RasterYF Field

TJclBitmap32 Class

RasterYF: Single;

Class

TJclBitmap32 Class


TJclBitmap32.BitmapHandle Property

See Also	TJclBitmap32 Class

The Windows GDI bitmap handle.

Pascal

property BitmapHandle: HBITMAP;

Description

Provides access to the Windows GDI bitmap handle for accessing the GDI bitmap object.

Notes

This property is not the same as Handle, which returns a device context handle (HDC).

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Handle, PixelPtr, ScanLine


TJclBitmap32.BitmapInfo Property

See Also	TJclBitmap32 Class

Bitmap information record.

Pascal

property BitmapInfo: TBitmapInfo;

Description

Returns a BITMAPINFO record corresponding to a current DIB data. See BITMAPINFO in Windows SDK documentation for more information.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

PixelPtr, ScanLine


TJclBitmap32.Bits Property

See Also	TJclBitmap32 Class

Pointer to the pixel data.

Pascal

property Bits: PColor32Array;

Description

The bits property contains the address of the first (top-left) pixel in a bitmap. If the bitmap is not allocated (width or height is zero), the returned address is nil. Note, that numbering of rows starts from the top-most one. Data is continuously allocated in memory, row by row. You may safely access Width * Height elements, each of them is a 4-byte TColor32 value. For example:

var

  P: PColor32Array;

begin

  P := Bitmap32.Bits;

  for I := 0 to Bitmap32.Width * Bitmap32.Height - 1 do

    P[I] := Gray32(Random(255)); // fill with a random grayscale noise end;

Note, that in this code no size verification is required, if width or height is zero, their product is zero and the loop will never be executed.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Height, Width, PixelPtr, ScanLine, TColor32, TColor32Array


TJclBitmap32.DrawMode Property

See Also	TJclBitmap32 Class

Specifies how the bitmap is displayed.

Pascal

property DrawMode: TDrawMode;

Description

Specifies how the bitmap should be combined with a background during pixel transfer and similar operations.

In dmOpaque mode, new pixels simply replace the background pixels. In dmBlend mode, they are combined using the alpha blending operation. This property is used while copying one bitmap into another, scaling, performing linear transformations etc. The dmCustom mode allows implementation of custom blending functions using the OnPixelCombine call-back event.

Blending in dmBlend mode, is performed using Blend or BlendEx functions.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Blend, BlendEx, Draw, DrawTo, OnPixelCombine, TDrawMode


TJclBitmap32.Font Property

See Also	TJclBitmap32 Class

Specifies the font to use when writing text on the image.

Pascal

property Font: TFont;

Description

Set Font to specify the font to use for writing text on the image. The value of Font is a TFont object. Set the properties of the TFont object to specify the font face, color, size, style, and any other aspects of the font.

Notes

Setting the Font property assigns the specified TFont object, rather than replacing the current TFont object.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

RenderText, TextOut, UpdateFont


TJclBitmap32.Handle Property

TJclBitmap32 Class

Provides the device context handle of the contained DIB.

Pascal

property Handle: HDC;

Description

The Handle property provides the device context handle of the contained DIB.

This handle may be used in low-level Windows API calls or, for example, to attach a TCanvas object to TJclBitmap32:

var

  Canvas: TCanvas;

begin

  Canvas := TCanvas.Create; // create a new independent TCanvas object

  try

    Canvas.Handle := Bitmap32.Handle; // attach it to the Bitmap32 object

    Canvas.Pen.Color := clRed; // use standard TCanvas methods for drawing

    Canvas.Brush.Color := clGreen;

    Canvas.Ellipse(10, 10, 60, 40);

  finally

    Canvas.Free;

  end;

end;

Handle contains zero, if the bitmap is empty (width or height is zero), and its value can change after resizing.

Donator

Alex Denissov

Class

TJclBitmap32 Class


TJclBitmap32.MasterAlpha Property

See Also	TJclBitmap32 Class

Specifies an alpha blending factor applied to the bitmap as a whole.

Pascal

property MasterAlpha: Byte;

Description

When blending a bitmap to the screen or to another bitmap, MasterAlpha normally controls the blending factor. The per-pixel opacity, stored in the blended bitmap, is premultiplied with MasterAlpha. If the MasterAlpha property is $00, the bitmap will be fully transparent, if it is equal to $FF, only per-pixel opacity, stored in bitmap’s alpha channel is used. This property is used only for bitmap blending, it does not affect pixel/line drawing and other similar routines. When blending bitmaps in dmCustom draw mode, this property may be used for other purposes. Custom combining routine may use all 32 bits of MasterAlpha. If the bitmap is in dmBlend draw mode and MasterAlpha is not in the [0…255] range, the blending result is not specified, it is your responsibility to keep MasterAlpha consistent with current draw mode.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawMode, TColor32


TJclBitmap32.OnChange Property

See Also	TJclBitmap32 Class

Occurs when the image has just changed.

Pascal

property OnChange: TNotifyEvent;

Description

OnChange is called immediately after the object changes. For example, TJclThreadPersistent’s descendant TJclBitmap32 uses the OnChange event to notify its parent that something was changed in a bitmap, and the screen image must be updated.

Generation of OnChange events can be prevented by calling BeginUpdate.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

BeginUpdate, Changed, TJclBitmap32, TJclThreadPersistent


TJclBitmap32.OnChanging Property

TJclBitmap32 Class

Occurs just before a change is made to the object.

Pascal

property OnChanging: TNotifyEvent;

Description

Changing is called every time before a change is about to be made to the object. If the object is being updated Changing does nothing, otherwise it fires the OnChanging event.

Donator

Alex Denissov

Class

TJclBitmap32 Class


TJclBitmap32.OuterColor Property

See Also	TJclBitmap32 Class

Color to assume for pixels which lie outside the bitmap.

Pascal

property OuterColor: TColor32;

Description

This property specifies the color returned by PixelS property when reading a pixel with coordinates that lie outside the bitmap. The default value is $00000000, which corresponds to a fully transparent black. It is also used when performing linear transformations of a bitmap.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Pixel, TColor32


TJclBitmap32.PenColor Property

See Also	TJclBitmap32 Class

Specifies the color used to draw lines.

Pascal

property PenColor: TColor32;

Description

Use PenColor to specify the color used to draw lines. PenColor is used exclusively in MoveTo/LineTo functions.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

LineTo , MoveTo, TColor32


TJclBitmap32.Pixel Property

See Also	TJclBitmap32 Class

Specifies the color of the pixel at coordinates X, Y.

Pascal

property Pixel [X, Y: Integer]: TColor32;
property PixelS [X, Y: Integer]: TColor32;

Description

Pixel property sets the value of the pixel in the bitmap. Reading it, will return the color value of the pixel located at specified coordinates. This property does not validate the specified coordinates, so use it only then you are completely sure that you are not trying to read from or write to the outside of the bitmap boundary.

Pixel is declared as default property, you may use it as shown below:

Bitmap32[10, 20] := Bitmap32[20, 10]; // copy a pixel from (20,10) to (10,20) position

PixelS is a 'safe' version of the Pixel property. When reading pixels from the outside the bitmap boundary, the value specified by OuterColor is returned. Writing with invalid coordinates will have no effect.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

OuterColor, SetPixel, TColor32


TJclBitmap32.PixelPtr Property

See Also	TJclBitmap32 Class

Points to the adress of the pixel at coordinates X, Y.

Pascal

property PixelPtr [X, Y: Integer]: PColor32;

Description

Converts coordinates of a pixel to its address in memory. Since TJclBitmap32 uses 32-bit DIBs, its memory is allocated as continuous string of 4-byte TColor32 values, starting at the top left corner.

Pixel with (0, 0) coordinates has the same address as specified in Bits property.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Bits, Pixel, ScanLine, TJclBitmap32, TColor32


TJclBitmap32.ScanLine Property

See Also	TJclBitmap32 Class

Provides indexed access to each line of pixels.

Pascal

property ScanLine [Y: Integer]: PColor32Array;

Description

The Scanline property provides indexed access to each line of pixels. Returns the same address as PixelPtr[0, Y]. This property acts similar to TBitmap.ScanLine.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Bits, PixelPtr, TColor32Array


TJclBitmap32.StippleCounter Property

See Also	TJclBitmap32 Class

The current value of the stipple counter.

Pascal

property StippleCounter: Single;

Description

Use StippleCounter property to get the current value of the stipple counter.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

GetStippleColor, Line Patterns, SetStipple, StippleStep


TJclBitmap32.StippleStep Property

See Also	TJclBitmap32 Class

The current stipple step value.

Pascal

property StippleStep: Single;

Description

Provides access to stipple step. Default value is 1.0. It is possible to set step to fractional or negative value.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

GetStippleColor, Line Patterns, SetStipple, StippleCounter


TJclBitmap32.StretchFilter Property

See Also	TJclBitmap32 Class

Interpolation filter for image resampling.

Pascal

property StretchFilter: TStretchFilter;

Description

StretchFilter specifies color interpolation method for image stretching as well as for some other operations, like linear transformations. Some functions (transformations, for example) do not distinguish sfSpline filter, even if it is specified, instead they will use sfLinear.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Draw, TStretchFilter


TJclBitmap32.Assign Method

TJclBitmap32 Class

procedure Assign(Source: TPersistent); override;

Class

TJclBitmap32 Class


TJclBitmap32.AssignTo Method

TJclBitmap32 Class

procedure AssignTo(Dst: TPersistent); override;

Class

TJclBitmap32 Class


TJclBitmap32.Clear Method ()

See Also	TJclBitmap32 Class

Clears the bitmap.

Pascal

procedure Clear; overload;

Description

Fills the entire bitmap with clBlack32.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Clear@TColor32


TJclBitmap32.Clear Method (TColor32)

See Also	TJclBitmap32 Class

Fills the bitmap with FillColor.

Pascal

procedure Clear(FillColor: TColor32); overload;

Description

Clear fills the entire bitmap with FillColor.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Delete, TColor32


TJclBitmap32.ClipLine Method

TJclBitmap32 Class

function ClipLine(var X0: Integer; var Y0: Integer; var X1: Integer; var Y1: Integer): Boolean;

Class

TJclBitmap32 Class


TJclBitmap32.ClipLineF Method

TJclBitmap32 Class

class function ClipLineF(var X0: Single; var Y0: Single; var X1: Single; var Y1: Single; MinX: Single; MaxX: Single; MinY: Single; MaxY: Single): Boolean;

Class

TJclBitmap32 Class


TJclBitmap32.Create Constructor

TJclBitmap32 Class

Creates and initializes an instance of TJclBitmap32.

Pascal

constructor Create; override;

Description

After calling the inherited constructor, Create initializes the following properties:

BitmapInfo with data corresponding to 32-bit DIBs

DrawMode to dmOpaque

MasterAlpha to opaque

OuterColor to transparent black

PenColor to clWhite32

StippleCounter to 0

StippleStep to 1.0

StretchFilter to sfNearest

Donator

Alex Denissov

Class

TJclBitmap32 Class


TJclBitmap32.DefineProperties Method

TJclBitmap32 Class

procedure DefineProperties(Filer: TFiler); override;

Class

TJclBitmap32 Class


TJclBitmap32.Delete Method

TJclBitmap32 Class

Clears the map.

Pascal

procedure Delete; override;

Description

By default, Delete calls SetSize(0, 0). In descendants this implies deletion of stored data and freeing of the occupied memory.

Donator

Alex Denissov

Class

TJclBitmap32 Class


TJclBitmap32.Destroy Destructor

See Also	TJclBitmap32 Class

Disposes of the instance of an TJclBitmap32 object

Pascal

destructor Destroy; override;

Description

Destroys the bitmap object and frees all associated memory. Do not call Destroy directly, use Free method instead.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Create


TJclBitmap32.Draw Method (Integer, Integer, TJclBitmap32)

See Also	TJclBitmap32 Class

Renders the bitmap.

Pascal

procedure Draw(DstX: Integer; DstY: Integer; Src: TJclBitmap32); overload;
procedure Draw(DstRect: TRect; SrcRect: TRect; Src: TJclBitmap32); overload;
procedure Draw(DstRect: TRect; SrcRect: TRect; hSrc: HDC); overload;

Description

Renders the image specified by Src/hSrc parameter at the location given by the coordinates (DstX, DstY) or the DstRect rectangle.

The method provides both: block transfer (versions with DstX, DstY parameters) and stretching (versions with DstRect parameter).

When the source is another TJclBitmap32 object (Src parameter), the method uses Src.DrawMode do determine how it should be blended with the background, and if stretching, Src.StretchFilter specifies how the image should be stretched.

The version with hSrc parameter, is introduced mainly for compatibility reasons. You may use it to transfer data from bitmaps with other formats, or any other windows objects that have device handle (DC). It is based on StretchDIBits GDI call, it does not support transparency and always uses nearest neighbor interpolation when stretching.

The Dst parameter must not be necessarily some other bitmap. In fact, it is possible to copy/stretch areas inside the same bitmap that calls the Draw method. However, in this case, if source and destination areas intersect, the result is not specified (this is a limitation of the current version).

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

BlockTransfer, DrawMode, DrawTo, StretchFilter, StretchTransfer, TJclBitmap32, TRect


TJclBitmap32.DrawHorzLine Method

See Also	TJclBitmap32 Class

Draws a horizontal line.

Pascal

procedure DrawHorzLine(X1: Integer; Y: Integer; X2: Integer; Value: TColor32);
procedure DrawHorzLineS(X1: Integer; Y: Integer; X2: Integer; Value: TColor32);
procedure DrawHorzLineT(X1: Integer; Y: Integer; X2: Integer; Value: TColor32);
procedure DrawHorzLineTS(X1: Integer; Y: Integer; X2: Integer; Value: TColor32);
procedure DrawHorzLineTSP(X1: Integer; Y: Integer; X2: Integer);

Description

Draws a horizontal line from (X1,Y) to (X2, Y). The last point is always included.

These functions works faster compared to DrawLine. In versions with 'S' postfix necessary clipping to a bitmap coordinate range is provided. In versions without 'S' postfix, the X1 value should be less than or equal to X2.

DrawHorzLineTSP uses a stipple pattern to vary the color along the line.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawLine, Line Patterns, Graphics_Naming_Conventions, TColor32, DrawVertLine


TJclBitmap32.DrawLine Method

See Also	TJclBitmap32 Class

Draws a line.

Pascal

procedure DrawLine(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineT(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineTS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineA(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineAS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32; L: Boolean = False);
procedure DrawLineF(X1: Single; Y1: Single; X2: Single; Y2: Single; Value: TColor32; L: Boolean = False);
procedure DrawLineFS(X1: Single; Y1: Single; X2: Single; Y2: Single; Value: TColor32; L: Boolean = False);
procedure DrawLineFP(X1: Single; Y1: Single; X2: Single; Y2: Single; L: Boolean = False);
procedure DrawLineFSP(X1: Single; Y1: Single; X2: Single; Y2: Single; L: Boolean = False);

Description

Draws a line from (X1,Y1) to (X2,Y2). Methods with 'S' postfix perform necessary clipping to a bitmap boundary.

LineA and LineAS use modified Bresenham’s algorithm (also known as Wu’s antialiasing), modified to support line transparency and pixel shape/gamma correction.

LineX/F/XS/FS functions use my own algorithm for antialiasing. Line ends have fixed- or floating-point coordinates. These methods work approximately 2–2.5 times slower than LineA and LineAS.

The last optional parameter (L) determines if the last point (X2,Y2) has to be drawn. It is useful in some cases to leave that point empty, especially when drawing sequences of transparent and/or antialiased lines. By default, DrawLine methods don’t render the last point.

LineXP/FP/XSP/FXP draw antialiased lines with support for color patterns.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

LineTo , MoveTo, Graphics_Naming_Conventions, TColor32, DrawHorzLine, DrawVertLine


TJclBitmap32.DrawTo Method (HDC, Integer, Integer)

See Also	TJclBitmap32 Class

Renders the bitmap onto another bitmap.

Pascal

procedure DrawTo(Dst: TJclBitmap32); overload;
procedure DrawTo(Dst: TJclBitmap32; DstX: Integer; DstY: Integer); overload;
procedure DrawTo(Dst: TJclBitmap32; DstRect: TRect); overload;
procedure DrawTo(Dst: TJclBitmap32; DstRect: TRect; SrcRect: TRect); overload;
procedure DrawTo(hDst: HDC; DstX: Integer; DstY: Integer); overload;
procedure DrawTo(hDst: HDC; DstRect: TRect; SrcRect: TRect); overload;

Description

The DrawTo method renders the bitmap (or part of it specified by SrcRect parameter) onto another bitmap specified by Dst/hDst parameter. It works similar to Draw method but instead of copying data from some other source, the bitmap renders itselt to destination object. See the Draw description for details.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Draw, TJclBitmap32, TRect


TJclBitmap32.DrawVertLine Method

See Also	TJclBitmap32 Class

Draws a horizontal line.

Pascal

procedure DrawVertLine(X: Integer; Y1: Integer; Y2: Integer; Value: TColor32);
procedure DrawVertLineS(X: Integer; Y1: Integer; Y2: Integer; Value: TColor32);
procedure DrawVertLineT(X: Integer; Y1: Integer; Y2: Integer; Value: TColor32);
procedure DrawVertLineTS(X: Integer; Y1: Integer; Y2: Integer; Value: TColor32);
procedure DrawVertLineTSP(X: Integer; Y1: Integer; Y2: Integer);

Description

Draws a horizontal line from (X1,Y) to (X2, Y). The last point is always included.

These functions works faster compared to DrawLine. In versions with 'S' postfix necessary clipping to a bitmap coordinate range is provided. In versions without 'S' postfix, the X1 value should be less than or equal to X2.

DrawVertLineTSP uses a stipple pattern to vary the color along the line.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawLine, Line Patterns, Graphics_Naming_Conventions, TColor32, DrawHorzLine


TJclBitmap32.Empty Method

See Also	TJclBitmap32 Class

Indicates whether the bitmap contains an image.

Pascal

function Empty: Boolean; override;

Description

Returns True if the bitmap is empty, that is Width or Height is zero.

If the bitmap is empty, it has no device context (Handle property) allocated.

Return Value

True, if the bitmap doesn't contain an image.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Handle, Height, Width


TJclBitmap32.FillRect Method

See Also	TJclBitmap32 Class

Fills the specified rectangle on the bitmap using the specified color.

Pascal

procedure FillRect(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32);
procedure FillRectS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32);
procedure FillRectT(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32);
procedure FillRectTS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32);

Description

Fills the rectangle with a specified color. Methods with 'S' postfix provide necessary clipping to bitmap boundaries, versions without 'S' must be supplied with valid parameters and X2 > X1; Y2 > Y1.

The function fills the rectangle up to, but not including the right column and bottom row. When X2 <= X1 or Y2 <= Y1, nothing is drawn.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

FrameRect, Graphics_Naming_Conventions, TColor32


TJclBitmap32.FontChanged Method

TJclBitmap32 Class

procedure FontChanged(Sender: TObject);

Class

TJclBitmap32 Class


TJclBitmap32.FrameRectS Method

TJclBitmap32 Class

procedure FrameRectS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32);

Class

TJclBitmap32 Class


TJclBitmap32.FrameRectTS Method

TJclBitmap32 Class

procedure FrameRectTS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Value: TColor32); overload;

Class

TJclBitmap32 Class


TJclBitmap32.FrameRectTSP Method

TJclBitmap32 Class

procedure FrameRectTSP(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer); overload;

Class

TJclBitmap32 Class


TJclBitmap32.GetPixelB Method

TJclBitmap32 Class

function GetPixelB(X: Integer; Y: Integer): TColor32;

Class

TJclBitmap32 Class


TJclBitmap32.GetStippleColor Method

See Also	TJclBitmap32 Class

Returns stipple pattern color at position specified by StippleCounter.

Pascal

function GetStippleColor: TColor32;

Description

Returns color corresponding to the current counter position in stipple pattern. If the counter step is fractional, returned color will be interpolated. Calling GetStippleColor automatically changes the StippleCounter value by StippleStep.

Return Value

Stipple pattern color at position specified by StippleCounter.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Line Patterns, SetStipple, StippleCounter, StippleStep, TColor32


TJclBitmap32.LineToS Method

See Also	TJclBitmap32 Class

Draws a line on the bitmap from current raster position to the point specified by X and Y, and sets the raster position to (X, Y).

Pascal

procedure LineToS(X: Integer; Y: Integer);
procedure LineToTS(X: Integer; Y: Integer);
procedure LineToAS(X: Integer; Y: Integer);
procedure LineToFS(X: Single; Y: Single);

Description

LineTo* methods are similar to TCanvas.LineTo. The line is drawn from the current raster position, to the position specified by X and Y parameters excluding the last point. Then raster position is shifted to (X, Y) point.

The line is drawn with the color specified in PenColor property. 'S', 'TS', and 'AS' versions use and update integer integer raster position, while 'FS' and 'XS' versions use and update independent fixed-point raster position.

LineToXSP and LineToFSP do not use PenColor, instead, they draw a line using currend stipple pattern.

To start a new line or sequence of lines, use MoveTo methods.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawLine, Line Patterns, MoveTo, Graphics_Naming_Conventions, PenColor, TFixed


TJclBitmap32.LoadFromFile Method

See Also	TJclBitmap32 Class

Loads an image from a file.

Pascal

procedure LoadFromFile(const FileName: string);

Description

Use LoadFromFile to read an image from disk. This method uses a temporary TPicture object to load data and will succeed with any format supported by TPicture.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

LoadFromStream, SaveToFile


TJclBitmap32.LoadFromStream Method

See Also	TJclBitmap32 Class

Loads an image from a stream.

Pascal

procedure LoadFromStream(Stream: TStream);

Description

Use LoadFromStream to load an image from a stream. This method uses a temporary TPicture object to load data and will succeed with any format supported by TPicture.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

LoadFromFile, SaveToStream


TJclBitmap32.MoveTo Method

See Also	TJclBitmap32 Class

Changes the current drawing position to the point (X,Y).

Pascal

procedure MoveTo(X: Integer; Y: Integer);
procedure MoveToF(X: Single; Y: Single);

Description

Shifts current raster to specified position, analogous to MoveTo method of standard TCanvas.

Each bitmap maintains separate raster positions for integer and fixed point coordinates. MoveTo affects the integer raster position, while MoveToX and MoveToF affect the fixed-point raster position.

Raster position is applicable only to MoveTo, LineTo methods and some polygon drawing routines, which use it internally, it is not changed neither by DrawLine methods nor by any other method.

Parameters

X: Integer

Specifies the x-coordinate of the new position.

Y: Integer

Specifies the y-coordinate of the new position.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawLine, LineTo , Graphics_Naming_Conventions, TFixed


TJclBitmap32.RaiseRectTS Method

See Also	TJclBitmap32 Class

Draws a raised or recessed frame.

Pascal

procedure RaiseRectTS(X1: Integer; Y1: Integer; X2: Integer; Y2: Integer; Contrast: Integer);

Description

This function draws a raised or recessed frame. The contrast property is an integer value ranging from –100 to +100.

Parameters

X1: Integer

x-coordinate of bounding rectangle's upper-left corner

Y1: Integer

y-coordinate of bounding rectangle's upper-left corner

X2: Integer

x-coordinate of bounding rectangle's lower-right corner

Y2: Integer

y-coordinate of bounding rectangle's lower-right corner

Contrast: Integer

Specifies how the rectangle shall contrast to the background.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

FrameRect, Graphics_Naming_Conventions


TJclBitmap32.ReadData Method

TJclBitmap32 Class

procedure ReadData(Stream: TStream); virtual;

Class

TJclBitmap32 Class


TJclBitmap32.RenderText Method

See Also	TJclBitmap32 Class

Renders text with antialiasing and transparency support.

Pascal

procedure RenderText(X: Integer; Y: Integer; const Text: string; AALevel: Integer; Color: TColor32);

Description

The RenderText method draws a string of characters. This method is much slower compared to TextOut functions, however it supports antialiasing and transparency. AALevel specifies how the text is antialiased. If it is zero, no antialiasing is performed, the value of 4 corresponds to a maximum quality.

Note, that quality of the text is also influenced by the system font antialiasing.

This method draws a string using current Font, but it ignores the Font.Color property, substituting it with the Color parameter.

Parameters

X: Integer

Specifies the x-coordinate of the reference point to align the string.

Y: Integer

Specifies the x-coordinate of the reference point to align the string.

const Text: string

The string to be drawn.

AALevel: Integer

level of antialiasing to apply.

Color: TColor32

The color to use when drawing the string.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font, TColor32, TextExtent, TextOut


TJclBitmap32.ResetAlpha Method

See Also	TJclBitmap32 Class

Resets the alpha channel.

Pascal

procedure ResetAlpha;

Description

Resets the alpha channel of the entire bitmap to complete opacity.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

DrawMode, MasterAlpha


TJclBitmap32.ResetStippleCounter Method

See Also	TJclBitmap32 Class

Resets the StippleCounter

Pascal

procedure ResetStippleCounter;

Class

TJclBitmap32 Class


See Also

Line Patterns


TJclBitmap32.SaveToFile Method

See Also	TJclBitmap32 Class

Saves a bitmap image to a file.

Pascal

procedure SaveToFile(const FileName: string);

Description

SaveToFile writes the bitmap image to disk. The image is saved as 32-bit BMP file.

If you need another pixel format or storage format, create intermediate TBitmap object or other TGraphic descendant, assign it from TJclBitmap32 and save it to a file.

Parameters

const FileName: string

the name of the file to write to.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

LoadFromFile, SaveToStream


TJclBitmap32.SaveToStream Method

See Also	TJclBitmap32 Class

Stores a bitmap image to a stream.

Pascal

procedure SaveToStream(Stream: TStream);

Description

SaveToStream stores the bitmap image to a stream specified by the Stream paramter.

Parameters

Stream: TStream

the stream to write the bitmap to.

Donator

Alex Denissov

Class

TJclBitmap32 Class


TJclBitmap32.SET_T256 Method

TJclBitmap32 Class

procedure SET_T256(X: Integer; Y: Integer; C: TColor32);

Class

TJclBitmap32 Class


TJclBitmap32.SET_TS256 Method

TJclBitmap32 Class

procedure SET_TS256(X: Integer; Y: Integer; C: TColor32);

Class

TJclBitmap32 Class


TJclBitmap32.SetPixelT Method (Integer, Integer, TColor32)

TJclBitmap32 Class

procedure SetPixelT(X: Integer; Y: Integer; Value: TColor32); overload;
procedure SetPixelT(var Ptr: PColor32; Value: TColor32); overload;

Class

TJclBitmap32 Class


TJclBitmap32.SetSize Method

See Also	TJclBitmap32 Class

SetSize sets both Width and Height properties at once.

Pascal

procedure SetSize(NewWidth: Integer; NewHeight: Integer); override;

Description

Call SetSize to set a new width and height of the bitmap. If one of the arguments is zero, the bitmap is considered empty and its Handle property is set to zero.

Calling SetSize works faster than consecutive changing of Width and Height properties. If you use another bitmap or control as an argument, the bitmap will be sized to source dimensions.

If you have an external TCanvas attached, refresh it Handle property after resizing:

  Bitmap32.SetSize(100, 200);

  Canvas.Handle := Bitmap32.Handle;

After calling SetSize the bitmap image should be completely redrawn.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Handle, Height, Width, TJclCustomMap


TJclBitmap32.SetStipple Method (TArrayOfColor32)

See Also	TJclBitmap32 Class

Sets a new stipple pattern.

Pascal

procedure SetStipple(NewStipple: TArrayOfColor32); overload;
procedure SetStipple(NewStipple: array of TColor32); overload;

Description

Use SetStipple to set a new stipple pattern.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

GetStippleColor, Line Patterns, TArrayOfColor32, TColor32


TJclBitmap32.TextExtent Method

See Also	TJclBitmap32 Class

Returns the width and height, in pixels, of a string rendered in the current Font.

Pascal

function TextExtent(const Text: string): TSize;

Description

Use TextExtent to determine the space a string will occupy in the image. Other elements in the image such as lines, boxes, or additional lines of text can be positioned to accommodate the size of the text. TextExtent returns the width and height of the rectangle that bounds the text on the bitmap.

To check only the height, call TextHeight. To check only the width, call TextWidth.

Notes

The size returned by this function may differ from the actual width of the text produced by RenderText function, especially when using raster fonts.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font, RenderText, TextHeight, TextOut, TextWidth, TSize


TJclBitmap32.TextHeight Method

See Also	TJclBitmap32 Class

Returns the height, in pixels, of a string rendered in the current font.

Pascal

function TextHeight(const Text: string): Integer;

Description

Use TextHeight to determine the height a string will occupy in the image. Other elements in the image such as lines, boxes, or additional lines of text can be positioned to accommodate the height of the text.

TextHeight returns the same value as TextExtent(Text).cy.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font, RenderText, TextExtent, TextOut, TextWidth


TJclBitmap32.TextOut Method (Integer, Integer, TRect, string)

See Also	TJclBitmap32 Class

Writes a string on the canvas, starting at the point (X,Y).

Pascal

procedure TextOut(X: Integer; Y: Integer; const Text: string); overload;
procedure TextOut(X: Integer; Y: Integer; const ClipRect: TRect; const Text: string); overload;
procedure TextOut(ClipRect: TRect; const Flags: Cardinal; const Text: string); overload;

Description

Use TextOut to write a string onto the bitmap. The string will be written using the current Font.

Use the TextExtent method to determine the space occupied by the text in the image. TextOut does not support transparent text colors. The second version performs clipping of a text to the ClipRect rectangle. The last version provides the most flexible text formatting. See description of DrawText function in 'Win32 Developer Reference' help file for information on Flags and their function.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font, RenderText, TextExtent, TextHeight, TextWidth, TRect


TJclBitmap32.TextWidth Method

See Also	TJclBitmap32 Class

Returns the width, in pixels, of a string rendered in the current font.

Pascal

function TextWidth(const Text: string): Integer;

Description

Use TextWidth to determine the length a string will occupy in the image. TextWidth indicates whether a given string will fit in the available space. Other graphical elements in the image such as lines, or additional strings can be positioned to accommodate the width of the text.

TextWidth returns the same value as TextExtent(Text).cx.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font, RenderText, TextExtent, TextHeight, TextOut


TJclBitmap32.UpdateFont Method

See Also	TJclBitmap32 Class

Selects the font specified by the Font property into the device context specified by Handle.

Pascal

procedure UpdateFont;

Description

Use this method before calling a Windows API function that handle text output. It will synchronize the device font object with the Font property. You do not have to call UpdateFont when using text output methods of TJclBitmap32 since they call UpdateFont automatically.

Donator

Alex Denissov

Class

TJclBitmap32 Class


See Also

Font


TJclBitmap32.WriteData Method

TJclBitmap32 Class

procedure WriteData(Stream: TStream); virtual;

Class

TJclBitmap32 Class


DrawBitmap Function

Draws a bitmap to a device context.

Pascal

procedure DrawBitmap(DC: HDC; Bitmap: HBITMAP; X: Integer; Y: Integer; Width: Integer; Height: Integer);

Description

DrawBitmap draws the specified bitmap to the specified device context at the position indicated by (X, Y) and with the width and height specified by Width and Height respectively. If the bitmap's size is different from the supplied Width and Height the bitmap is automatically stretched.

Parameters

DC: HDC

Device context to draw to (e.g. Form1.Canvas.Handle).

Bitmap: HBITMAP

Handle of the bitmap to draw.

X: Integer

Horizontal position of the upper left corner in the destination DC where to draw the bitmap.

Y: Integer

Vertical position of the upper left corner in the destination DC where to draw the bitmap.

Width: Integer

Width of the destination bitmap.

Height: Integer

Height of the destination bitmap.

Donator

Charlie Calvert

Group

Bitmaps

Unit

JclQGraphics


Stretch Function

See Also

Scales a graphic to a bitmap.

Pascal

procedure Stretch(NewWidth: Cardinal; NewHeight: Cardinal; Filter: TResamplingFilter; Radius: Single; Source: TGraphic; Target: TBitmap); overload;
procedure Stretch(NewWidth: Cardinal; NewHeight: Cardinal; Filter: TResamplingFilter; Radius: Single; Bitmap: TBitmap); overload;

Description

Scales the source graphic to the given size (NewWidth, NewHeight) and stores the Result in Target. Filter describes the filter function to be applied and Radius the size of the filter area. If Radius = 0 then the recommended filter area will be used (see DefaultFilterRadius). With the filters you can determine the quality and the speed of the conversion, use a Box or Triangle filter for fast previews and a Lanczos3 or Bell filter for better quality.

Parameters

NewWidth: Cardinal

The new width of the target bitmap.

NewHeight: Cardinal

The new height of the target bitmap.

Filter: TResamplingFilter

The filter to be used.

Radius: Single

The radius in pixels that will influence the current pixel. This can be a fractional to use partial pixels.

Source: TGraphic

The source graphic.

Target: TBitmap

The target bitmap.

Bitmap: TBitmap

The bitmap to scale.

Platforms

VCL, VisualCLX

Donator

Mike Lischke

Contributors

Robert Rossmair

Group

Bitmaps

Unit

JclQGraphics


See Also

TResamplingFilter


TJclBitmap32.SetPixel Method

See Also	TJclBitmap32 Class

Blends the pixel at position (X, Y) using the specified color.

Pascal

procedure SetPixel(X: Integer; Y: Integer; Value: TColor32);
procedure SetPixelT(X: Integer; Y: Integer; Value: TColor32); overload;
procedure SetPixelTS(X: Integer; Y: Integer; Value: TColor32);
procedure SetPixelF(X: Single; Y: Single; Value: TColor32);
procedure SetPixelFS(X: Single; Y: Single; Value: TColor32);

Description

SetPixelT blends a pixel at specified coordinates using the specified color. The pixel’s alpha channel is used, but the coordinates are not validated.

The overloaded version of SetPixelT with a pixel pointer argument allows setting pixels addressed with the pointer rather than with coordinates. The pointer is automatically incremented to the next pixel's position after each call to SetPixelT, for example:

var

  P: PColor32;

  I: Integer;

begin { Draw a fading white line from (10, 20) to (265, 20) }

  P := PixelPtr[10, 20];

  for I := 0 to 255 do SetPixelT(P, Color32(255, 255, 255, 255 - I));

end;

SetPixelTS is the SetPixelT method with added coordinate verification. If pixel coordinates lie outside the bitmap area, SetPixelTS does nothing.

SetPixelF/SetPixelFS methods provide antialiased rendering of points.

Donator

Alex Denissov

Group

Bitmaps


See Also

Graphics_Naming_Conventions, Pixel, TColor32, TFixed


TResamplingFilter Enumeration

Filters for stretch function.

Pascal

TResamplingFilter = (
  rfBox,
  rfTriangle,
  rfHermite,
  rfBell,
  rfSpline,
  rfLanczos3,
  rfMitchell
);

Description

The filters used in the resampling code differ mainly in complexity but also in the way they calculate pixel contributions. These contributions are used to calculate the final pixel and depend on the original value and the values of neighbor pixels. How many pixel are taken into the calculation is determined by the filter radius, which essentially describes the number of pixels around a center pixel (the radius can be fractional to use partial pixels too). The reason why there are several filters instead of only one is that you can trade off speed against quality. For nearly interactive resampling only the box (and perhaps the triangle) filters are suitable. The quality resulting from those filters is only on average level. Filters like Lanczos3 or Bell produce much better results which are well comparable with those of Photoshop's bicubic interpolation.

Donator

Mike Lischke

Group

Bitmaps

Unit

JclQGraphics


Function naming conventions

See Also

JclGraphics introduces several routines (as well as some class properties and methods) which have similar action but may have different arguments or other realization details.

They follow a simple naming convention:
Postfix	Details	Example
none	Property or method does not perform any range checking of its arguments. All the coordinates should be valid.	DrawLine
S	'Safe' version. Validates coordinates. If necessary, clipping is performed.	DrawLineS
T	'Transparent' version of the method. Uses the alpha channel of the provided color to blend the drawn primitive with the background pixels.	DrawLineT
A	Methods with 'A' postfix provide antialiasing of the drawn primitive.	DrawLineA
F	Methods with 'F' postfix take coordinates as floating point arguments and perform antialiasing of the drawn primitive.	DrawLineF
TS, AS, FS	Valid combinations of postfixes described above.	DrawLineFS
P	'Pattern' version. Usually combined with TS or FS postfixes, it allows for implementation of various effects, like gradient or dashed lines (See Line Patterns).	DrawLineFSP
Group

Bitmaps


See Also

Line Patterns


Line Patterns

See Also

JclGraphics defines several functions to support non-uniform lines. This includes gradient lines, dashed lines etc.

The idea is pretty simple: TJclBitmap32 holds a dynamic array of colors, and a counter, which 'crawls' along the array and reads colors from its position. The line drawing algorithm queries color value from the current counter position at each point, then the counter is automatically incremented to get ready to supply the next value to line rasterisation routine.

The counter, accessed through the StippleCounter property, wraps itself automatically at the edges of color array. It can move in both directions depending on stipple step, which in turn can be positive or negative. Its malue may even be fractional in this case resulting color is interpolated. The step is accessed with StippleStep property.

GetStippleColor returns color from the current counter position and automatically increments counter position by the counter step, so that next GetStippleColor call will return color value from the next position.

Drawing functions that support line patterns have 'P' in their postfix (as in LineFSP).

Warning: the counter is not thread-aware, it is shared by all threads accessing the bitmap. Additional care should be taken when multiple threads draw stippled lines in the same bitmap.

Group

Bitmaps


See Also

Graphics_Naming_Conventions, TJclBitmap32, TJclBitmap32.GetStippleColor, TJclBitmap32.StippleCounter, TJclBitmap32.StippleStep


TDrawMode Enumeration

TDrawMode defines how the bitmap is combined with the backgrownd.

Pascal

TDrawMode = (
  dmOpaque,
  dmBlend
);

Description

This is the type for DrawMode property of TJclBitmap32 class, and it is also passed as parameter in BlockTransfer and StretchTransfer functions.

dmOpaque

a color information from the foreground image completely replaces the background data.

dmBlend

foreground and background colors are blended together using per-pixel opacity of the foreground bitmap (stored in its alpha channel), multiplied by its MasterAlpha.

Group

Bitmaps

Unit

JclQGraphics


TMatrix3d Record

TMatrix3d = record
  A: array [0..2, 0..2] of Extended;
end;

Description

3 x 3 Matrix as used by TJclLinearTransformation.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclQGraphics


TStretchFilter Enumeration

See Also

TStretchFilter = (
  sfNearest,
  sfLinear,
  sfSpline
);

Description

When the bitmap is scaled, three different methods may be employed to interpolate colors in stretched fragment.

In some functions, however, sfSpline mode may not be supported, if this is the case, sfSpline will be substituted with sfLinear.

sfNearest

Nearest neighbor filter.

sfLinear

Linear interpolation filter.

sfSpline

Spline interpolation filter.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclQGraphics


See Also

TJclBitmap32.StretchFilter, StretchTransfer


ScreenShot_TBitmap_Integer_Integer_Integer_Integer_HWND
ScreenShot@TBitmap@Integer@Integer@Integer@Integer@HWND

Stores the image of a window into a bitmap.

Description

Takes a screenshot of the window specified by the Window parameter (default: desktop) and stores the image into bm.

Parameters

Width

Width of the image to take.

Height

Height of the image to take.

Window

The window of which to retrieve an image.

bm

The bitmap to receive the screenshot image.

Left

x-coordinate of the source rectangle's upper-left corner, relative to window origin.

Top

y-coordinate of the source rectangle's upper-left corner, relative to window origin.

Platforms

Win32

Donator

Bernhard Berger

Group

Bitmaps


TConversionKind Enumeration

See Also

TConversionKind = (
  ckRed,
  ckGreen,
  ckBlue,
  ckAlpha,
  ckUniformRGB,
  ckWeightedRGB
);

Description

Specifies how data is converted from 32-bit ARGB bitmap to 8-bit bytemap and back.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclQGraphics


See Also

TJclByteMap.ReadFrom, TJclByteMap.WriteTo


TJclTransformation Class

Methods	See Also

TJclTransformation is an abstract ancestor for bitmap transformation classes.

Pascal

TJclTransformation = class(TObject);

Description

TJclTransformation objects are passed as parameter in the Transform function, which actually performs the bitmap transformation.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclQGraphics


TJclTransformation Class Methods

TJclTransformation Class

Methods

GetTransformedBounds

PrepareTransform

Transform

Transform256


TJclTransformation Class Members

TJclTransformation Class

Members

Methods

GetTransformedBounds

PrepareTransform

Transform

Transform256


See Also

TJclLinearTransformation, Transform


TJclTransformation.GetTransformedBounds Method

TJclTransformation Class

function GetTransformedBounds(const Src: TRect): TRect; virtual; abstract;

Description

Returns the bounding rectangle that surrounds the destination area affected by the transformation. The coordinates of the rectangle are specified relative to the destination bitmap origin.

Donator

Alex Denissov

Class

TJclTransformation Class


TJclTransformation.PrepareTransform Method

TJclTransformation Class

procedure PrepareTransform; virtual; abstract;

Class

TJclTransformation Class


TJclTransformation.Transform Method

TJclTransformation Class

procedure Transform(DstX: Integer; DstY: Integer; out SrcX: Integer; out SrcY: Integer); virtual; abstract;

Class

TJclTransformation Class


TJclTransformation.Transform256 Method

TJclTransformation Class

procedure Transform256(DstX: Integer; DstY: Integer; out SrcX256: Integer; out SrcY256: Integer); virtual; abstract;

Class

TJclTransformation Class


TJclLinearTransformation Class

Properties	Methods	See Also	Legend

TJclLinearTransformation = class(TJclTransformation);

Description

The transformation is defined by a 3x3 homogeneous matrix.

Donator

Alex Denissov

Group

Bitmaps

Fields

TJclLinearTransformation Class

 A

 B

 C

 D

 E

 F

Legend

Constructor

protected

Unit

JclQGraphics


TJclLinearTransformation Class Methods

TJclLinearTransformation Class	Legend

Methods

GetTransformedBounds

PrepareTransform

Transform

Transform256

TJclLinearTransformation Class

Clear

Resets the transformation to identity.

 Create

Creates and initializes an instance of TJclLinearTransformation.

GetTransformedBounds

PrepareTransform

Rotate

Rotates a bitmap.

Scale

Skew

Transform

Transform256

Translate


Legend

Constructor


TJclLinearTransformation Class Fields

TJclLinearTransformation Class	Legend

Fields

TJclLinearTransformation Class

 A

 B

 C

 D

 E

 F


Legend

protected


TJclLinearTransformation Class Properties

TJclLinearTransformation Class

Properties

TJclLinearTransformation Class

Matrix

Stores the transformation matrix.


Legend

TJclLinearTransformation Class

Legend

Constructor

protected


TJclLinearTransformation Class Members

TJclLinearTransformation Class	Legend

Members

Methods

GetTransformedBounds

PrepareTransform

Transform

Transform256

TJclLinearTransformation Class

Clear

Resets the transformation to identity.

 Create

Creates and initializes an instance of TJclLinearTransformation.

GetTransformedBounds

PrepareTransform

Rotate

Rotates a bitmap.

Scale

Skew

Transform

Transform256

Translate

Fields

TJclLinearTransformation Class

 A

 B

 C

 D

 E

 F

Properties

TJclLinearTransformation Class

Matrix

Stores the transformation matrix.


Legend

Constructor

protected


See Also

TMatrix3d


TJclLinearTransformation.A Field

TJclLinearTransformation Class

A: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.B Field

TJclLinearTransformation Class

B: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.C Field

TJclLinearTransformation Class

C: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.D Field

TJclLinearTransformation Class

D: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.E Field

TJclLinearTransformation Class

E: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.F Field

TJclLinearTransformation Class

F: Integer;

Class

TJclLinearTransformation Class


TJclLinearTransformation.Matrix Property

TJclLinearTransformation Class

Stores the transformation matrix.

Pascal

property Matrix: TMatrix3d;

Description

The matrix is accessed as a field instead of a property in order to make it Borland C++ Builder compatible.

Donator

Alex Denissov

Class

TJclLinearTransformation Class


TJclLinearTransformation.Clear Method

TJclLinearTransformation Class

Resets the transformation to identity.

Pascal

procedure Clear;

Description

Loads IdentityMatrix into the Matrix field.

Donator

Alex Denissov

Class

TJclLinearTransformation Class


TJclLinearTransformation.Create Constructor

See Also	TJclLinearTransformation Class

Creates and initializes an instance of TJclLinearTransformation.

Pascal

constructor Create; virtual;

Description

Upon creation, the Matrix field is initialized to IdentityMatrix.

Donator

Alex Denissov

Class

TJclLinearTransformation Class


See Also

Clear, Matrix


TJclLinearTransformation.GetTransformedBounds Method

TJclLinearTransformation Class

function GetTransformedBounds(const Src: TRect): TRect; override;

Description

Returns the bounding rectangle that surrounds the destination area affected by the transformation. The coordinates of the rectangle are specified relative to the destination bitmap origin.

Donator

Alex Denissov

Class

TJclLinearTransformation Class


TJclLinearTransformation.PrepareTransform Method

TJclLinearTransformation Class

procedure PrepareTransform; override;

Class

TJclLinearTransformation Class


TJclLinearTransformation.Rotate Method

See Also	TJclLinearTransformation Class

Rotates a bitmap.

Pascal

procedure Rotate(Cx: Extended; Cy: Extended; Alpha: Extended);

Description

At first, the origin is translated to (Cx, Cy) point, then the image is rotated around the origin by Alpha degrees

and finally, the origin is shifted back.

Donator

Alex Denissov

Class

TJclLinearTransformation Class


See Also

Translate, Rotate, Scale, Skew


TJclLinearTransformation.Scale Method

See Also	TJclLinearTransformation Class

procedure Scale(Sx: Extended; Sy: Extended);

Description

Adds scale to the transformation:

Donator

Alex Denissov

Class

TJclLinearTransformation Class


See Also

Translate, Rotate, Scale, Skew


TJclLinearTransformation.Skew Method

See Also	TJclLinearTransformation Class

procedure Skew(Fx: Extended; Fy: Extended);

Description

Adds the skew to the transformation:

Donator

Alex Denissov

Class

TJclLinearTransformation Class


See Also

Translate, Rotate, Scale, Skew


TJclLinearTransformation.Transform Method

TJclLinearTransformation Class

procedure Transform(DstX: Integer; DstY: Integer; out SrcX: Integer; out SrcY: Integer); override;

Class

TJclLinearTransformation Class


TJclLinearTransformation.Transform256 Method

TJclLinearTransformation Class

procedure Transform256(DstX: Integer; DstY: Integer; out SrcX256: Integer; out SrcY256: Integer); override;

Class

TJclLinearTransformation Class


TJclLinearTransformation.Translate Method

See Also	TJclLinearTransformation Class

procedure Translate(Dx: Extended; Dy: Extended);

Description

Translates the image:

Donator

Alex Denissov

Class

TJclLinearTransformation Class


See Also

Translate, Rotate, Scale, Skew


AlphaToGrayscale Function

See Also

procedure AlphaToGrayscale(Dst: TJclBitmap32; Src: TJclBitmap32);

Description

This function transforms an alpha channel from Src bitmap into grayscale (R=A, G=A, B=A) color in Dst bitmap. If necessary, Dst bitmap is resized to fit Src dimesions.

It writes only RGB components into Dst. The alpha channel (A) remains intact, provided that dimensions of Dst and Src match before AlphaToGrayScale call.

This function is useful when it is necessary to visualize the alpha channel, or when you want to store it as standard bitmap into a file.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

IntensityToAlpha, TJclBitmap32


ApplyLUT Function

See Also

procedure ApplyLUT(Dst: TJclBitmap32; Src: TJclBitmap32; const LUT: TLUT8);

Description

Converts color from Src to Dst using a look-up table (LUT parameter) to map the color components. The alpha channel of the result is automatically set to $FF:

RDST = LUT[RSRC];

GDST = LUT[GSRC];

BDST = LUT[BSRC];

ADST = $FF;

This function supports in-place operation, that is Dst may be the same as Src.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

TJclBitmap32, TLUT8


BlockTransfer Function

See Also

procedure BlockTransfer(Dst: TJclBitmap32; DstX: Integer; DstY: Integer; Src: TJclBitmap32; SrcRect: TRect; CombineOp: TDrawMode);

Description

BlockTransfer is similar to the BitBlt function from Windows GDI. It performs copying of a bitmap fragment specified by SrcRect into location (DstX, DstY) with optional alpha blending or using user-specified combining function.

If CombineOp=dmOpaque, the fragment simply replaces destination pixels. In dmBlend mode it is blended to destination using its alpha channel and MasterAlpha property. In dmCusom mode, the function calls CombineCallBack function for pixel combining.

It is not required for DstRect and SrcRect to lie entirely inside the corresponding bitmap, since the function provides necessary clipping.

The result is not specified when transferring data inside the same bitmap (Src=Dst) and if in the same time SrcRect intersects with DstRect. In this case it is recommended to use a temporary bitmap buffer.

Neither Src nor Dst bitmaps may be equal to nil. In this case, function will generate an exception. They may be empty however, in this case no transformation will be performed.

This routine is used in TJclBitmap32.Draw and TJclBitmap32.DrawTo methods.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

TJclBitmap32.Draw, TJclBitmap32.DrawTo, TJclBitmap32.MasterAlpha, StretchTransfer, TJclBitmap32, TDrawMode, TPixelCombineEvent, TRect


ColorToGrayscale Function

See Also

procedure ColorToGrayscale(Dst: TJclBitmap32; Src: TJclBitmap32);

Description

Calculates color intensity from Src and writes it as a grayscale image into Dst. The alpha channel in Dst will be set to $FF.

This function supports in-place operation, that is Dst may be the same as Src.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

AlphaToGrayscale, TJclBitmap32


IntensityToAlpha Function

See Also

procedure IntensityToAlpha(Dst: TJclBitmap32; Src: TJclBitmap32);

Description

This function transforms the color intensity, stored in RGB channels of Src bitmap into the alpha channel in Dst. If necessary, the Dst bitmap is resized to fit Src dimesions.

The intensity is calculated using the Intensity function.

The function writes only the alpha component into Dst. Other channels remain intact (provided dimensions of Dst and Src match before IntensityToAlpha call).

IntensityToAlpha is useful when it is necessary to load an alpha channel stored in as an image.

The in-place operation is fully supported, that is Dst may be the same as Src.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

AlphaToGrayscale, Intensity, TJclBitmap32


Invert Function

See Also

procedure Invert(Dst: TJclBitmap32; Src: TJclBitmap32);

Description

Inverts all color channels, including the alpha channel.

This function supports in-place operation, that is Dst may be the same as Src.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

InvertRGB, TJclBitmap32


InvertRGB Function

See Also

procedure InvertRGB(Dst: TJclBitmap32; Src: TJclBitmap32);

Description

Inverts RGB color channels, and copies the alpha channel without inversion. If necessary, the Dst bitmap is resized to fit Src dimensions.

This function supports in-place operation, that is Dst may be the same as Src.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

Invert, TJclBitmap32


Polygon

See Also

Fills the shape defined by the Points parameter with specified color. Unlike GDI polygons, this function allows for transparency and optional antialiasing.

PolygonTS draws a non-antialiased polygon with optional transparency. When drawing, fixed-point coordinates of vertixes are rounded.

PolygonAS draws an antialiased polygon, fixed-point coordinates of vertexes are rounded.

PolygonFS provides full antialiasing and does not perform rounding of vertex coordinates.

All functions perform clipping.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps


See Also

Graphics_Naming_Conventions, TJclBitmap32, TColor32, TPolyFillMode


PolyPolygon

See Also

Fills the shape similar to that done by Polygon function. The shape is constructed from several contours, which are specified in Points parameter. The filling is performed according to Mode parameter.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps


See Also

Graphics_Naming_Conventions, Polygon, PolyLine, TJclBitmap32, TColor32, TPolyFillMode


PolyLine

See Also

PolyLine is the same as Polyline, but takes array of polylines as parameter. The Closed parameter influences all polylines in the array.

Donator

Alex Denissov

Group

Bitmaps


See Also

Graphics_Naming_Conventions, Polyline, PolyPolygon, TJclBitmap32, TColor32


SetBorderTransparent Function

See Also

procedure SetBorderTransparent(ABitmap: TJclBitmap32; ARect: TRect);

Description

This is an auxiliary function that sets the alpha channel along the edges of specified rectangle to zero. It may be used on a bitmap before passing it to Transform function as a workarownd to the edge antialiasing problem.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

TJclBitmap32, Transform, TRect


SetGamma Function

procedure SetGamma(Gamma: Single = 0.7);

Description

Updates gamma/shape correction table.

Pixel and line antialiasing produces much better results with correction of opacities for partially covered pixels. This accounts both for monitor gamma and for pixel shape correction.

Use this function to update the internal gamma-correction table which is used in pixel and line rasterization.

The default value of 0.7 works fine in most cases.

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


StretchTransfer Function

See Also

procedure StretchTransfer(Dst: TJclBitmap32; DstRect: TRect; Src: TJclBitmap32; SrcRect: TRect; StretchFilter: TStretchFilter; CombineOp: TDrawMode);

Description

StretchTransfer is similar to StretchBlt or StretchDIBits functions from Windows GDI. This procedure performs copying and, if necessary, stretching of the bitmap fragment specified by SrcRect into location in Dst specified by DstRect.

StretchFilter defines a color interpolation method for image stretching.

sfNearest is the fastest fileter, although the quality of the stretched image is fair;

sfLinear is several times slower, but it produces more decent results in most cases;

sfSpline is an approximation of spline interpolation.

Unlike in BlockTransfer function, SrcRect must lie inside the Src bitmap boundaries, otherwise function will generate an exception. The result is not specified when transferring data inside the same bitmap (Src=Dst) and if in the same time SrcRect intersects with DstRect. In this case it is recommended to use a temporary bitmap buffer.

This routine is used in TJclBitmap32.Draw and TJclBitmap32.DrawTo methods.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

BlockTransfer, TJclBitmap32, TDrawMode, TPixelCombineEvent, TRect, TStretchFilter


Transform Function

See Also

procedure Transform(Dst: TJclBitmap32; Src: TJclBitmap32; SrcRect: TRect; Transformation: TJclTransformation);

Description

Transform is responsible for arbitrary geometrical transformations of bitmaps or their fragments. The current version supports only linear transformations.

The Transformation parameter is a reference to a descendant of an abstract TTransformation class. It specifies all necessary transformation parameters.

When Src.StretchFilter is different from sfNearest, Transform uses bilinear interpolation for magnification (along any axis) as for minification, it is not as accurate as StretchTransfer function. If you need better quality when minimizing the bitmaps, transform them into the temporary buffer so that there is no minification involved, then StretchTransfer to a final bitmap.

The function does not support spline interpolation, if Src.StretchFilter is sfSpline, Transform operates as if it were sfLinear.

There is an issue with antialiasing and edges. How to make them antialiased and still keep the performance? The solution implemented in JclGraphics is similar to the one used in OpenGL. You just have to provide the source bitmap (or its region) with transparent edges. In the original image, you’ll have to force the alpha channel on its edges to zeroes, for example, using the SetBorderTransparent method.

Remember, that color is interpolated as well, it means that for nice fadeout the color on the border should match the color of pixels lying next to the border.

In case the bitmap is transformed in dmOpaque mode, it might be better to keep the color on the edge close to the color of the background.

Platforms

VCL

Donator

Alex Denissov

Group

Bitmaps

Unit

JclGraphics


See Also

SetBorderTransparent, TJclBitmap32.StretchFilter, StretchTransfer, TJclLinearTransformation


Clipping

Graphics

Functions

ClipLine

Intersects a line with a rectangle.

DrawPolyLine

Clips drawing of a line sequence to a rectangular region.


Clipping Functions

Clipping

Functions

ClipLine

Intersects a line with a rectangle.

DrawPolyLine

Clips drawing of a line sequence to a rectangular region.


ClipLine Function

Intersects a line with a rectangle.

Pascal

function ClipLine(var X1: Integer; var Y1: Integer; var X2: Integer; var Y2: Integer; const ClipRect: TRect): Boolean; overload;
function ClipLine(var X1: Float; var Y1: Float; var X2: Float; var Y2: Float; const MinX: Float; const MinY: Float; const MaxX: Float; const MaxY: Float; Codes: PClipCodes = nil): Boolean; overload;

Description

Computes the section of a line that lies inside a given rectangle.

Parameters

var X1: Integer

Horizontal coordinate of the line's starting point.

var Y1: Integer

Vertical coordinate of the line's starting point.

var X2: Integer

Horizontal coordinate of the line's ending point.

var Y2: Integer

Vertical coordinate of the line's ending point.

const ClipRect: TRect

Clipping rectangle.

const MinX: Float

Left border of the clipping rectangle.

const MinY: Float

Top border of the clipping rectangle.

const MaxX: Float

Right border of the clipping rectangle.

const MaxY: Float

Bottom border of the clipping rectangle.

Codes: PClipCodes = nil

Points to a TClipCodes variable in which the clipping code for (X2, Y2) is stored. As for the use of this parameter, have a look at the source code of the DrawPolyLine routine.

Return Value

True, if some section of the line lies inside of the clipping rectangle (and eventually shall be drawn), False otherwise.

Donator

Robert Rossmair

Group

Clipping

Unit

JclQGraphUtils


DrawPolyLine Function

Clips drawing of a line sequence to a rectangular region.

Pascal

procedure DrawPolyLine(const Canvas: TCanvas; var Points: TPointArray; const ClipRect: TRect);

Description

The DrawPolyline function draws a series of connected line segments, clipping them to the rectangle specified by ClipRect. The lines are drawn by connecting the points in the specified array by using the current pen.

Parameters

const Canvas: TCanvas

The canvas to draw on.

var Points: TPointArray

The array of points that define the line sequence.

const ClipRect: TRect

The clipping rectangle.

Donator

Robert Rossmair

Group

Clipping

Unit

JclQGraphUtils


Colors

Graphics

Topics

Gray16

Converts each color component from a 16 bits per sample to 8 bit used in Windows DIBs.

CMYK2BGR

Converts a stream of Count CMYK values to BGR.

CIELAB2BGR

Conversion of the CIE L*a*b color space to RGB using a two step approach assuming a D65 white point, first a conversion to CIE XYZ is performed and then from there to RGB.

RGB2BGR

Reorders a stream of "Count" RGB values to BGR, additionally an eventual sample size adjustment is done.

RGBA2BGRA

Reorders a stream of "Count" RGBA values to BGRA, additionally an eventual sample size adjustment is done.

WinColor2OpenGLColor

Converts TColor to OpenGLColor.

OpenGLColor2WinColor

Converts OpenGLColor to TColor.

Functions

BrightColorChannel

Brightens one channel of a color by a percentage.

DarkColorChannel

Darkens one channel of a color by a percentage.

DarkColor

Darkens a color by a percentage.

BrightColor

Brightens a color by a percentage.

GetRGBValue

Returns the Red, Green and Blue components of a TColor.

SetRGBValue

Returns a TColor initialized with the supplied values.

SetColorRed

Sets the Red component of a TColor.

SetColorGreen

Sets the Green component of a TColor.

SetColorBlue

Sets the Blue component of a TColor.

SetColorFlag

Sets the Flag component of a TColor.

GetColorRed

Extracts the Red component from a TColor.

GetColorBlue

Extracts the Blue component from a TColor.

GetColorGreen

Extracts the Green component from a TColor.

GetColorFlag

Extracts the Flag component from a TColor.

CIED65ToCIED50

Converts values of the XYZ color space using the D65 white point to D50 white point.


Colors Functions

Colors

Functions

BrightColorChannel

Brightens one channel of a color by a percentage.

DarkColorChannel

Darkens one channel of a color by a percentage.

DarkColor

Darkens a color by a percentage.

BrightColor

Brightens a color by a percentage.

GetRGBValue

Returns the Red, Green and Blue components of a TColor.

SetRGBValue

Returns a TColor initialized with the supplied values.

SetColorRed

Sets the Red component of a TColor.

SetColorGreen

Sets the Green component of a TColor.

SetColorBlue

Sets the Blue component of a TColor.

SetColorFlag

Sets the Flag component of a TColor.

GetColorRed

Extracts the Red component from a TColor.

GetColorBlue

Extracts the Blue component from a TColor.

GetColorGreen

Extracts the Green component from a TColor.

GetColorFlag

Extracts the Flag component from a TColor.

CIED65ToCIED50

Converts values of the XYZ color space using the D65 white point to D50 white point.


Topics

Colors

Topics

Gray16

Converts each color component from a 16 bits per sample to 8 bit used in Windows DIBs.

CMYK2BGR

Converts a stream of Count CMYK values to BGR.

CIELAB2BGR

Conversion of the CIE L*a*b color space to RGB using a two step approach assuming a D65 white point, first a conversion to CIE XYZ is performed and then from there to RGB.

RGB2BGR

Reorders a stream of "Count" RGB values to BGR, additionally an eventual sample size adjustment is done.

RGBA2BGRA

Reorders a stream of "Count" RGBA values to BGRA, additionally an eventual sample size adjustment is done.

WinColor2OpenGLColor

Converts TColor to OpenGLColor.

OpenGLColor2WinColor

Converts OpenGLColor to TColor.


BrightColorChannel Function

See Also

Brightens one channel of a color by a percentage.

Pascal

function BrightColorChannel(const Channel: Byte; const Pct: Single): Byte;

Description

BrightColorChannel brightens one channel of a color by a certain percentage.

Parameters

const Channel: Byte

Value of the color channel to brighten.

const Pct: Single

The percentage with which to brighten the channel. Percentage should be between 0 and 100.0.

Return Value

The brightened channel.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

BrightColor, DarkColor, DarkColorChannel


DarkColorChannel Function

See Also

Darkens one channel of a color by a percentage.

Pascal

function DarkColorChannel(const Channel: Byte; const Pct: Single): Byte;

Description

DarkColorChannel darkens one channel of a color by a certain percentage.

Parameters

const Channel: Byte

Value of the color channel to darken.

const Pct: Single

The percentage with which to darken the channel. Percentage should be between 0 and 100.0.

Return Value

The darkened channel.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

BrightColor, DarkColor, BrightColorChannel


DarkColor Function

See Also

Darkens a color by a percentage.

Pascal

function DarkColor(const Color: TColor; const Pct: Single): TColor;

Description

DarkColor darkens a color by a certain percentage.

Parameters

const Color: TColor

The color to darken.

const Pct: Single

The percentage with which to darken the color. Percentage should be between 0 and 100.0.

Return Value

The darkened color.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

BrightColor, BrightColorChannel, DarkColorChannel


BrightColor Function

See Also

Brightens a color by a percentage.

Pascal

function BrightColor(const Color: TColor; const Pct: Single): TColor;

Description

BrightColor brightens a color by a certain percentage.

Parameters

const Color: TColor

The color to brighten.

const Pct: Single

The percentage with which to brighten the color. Percentage should be between 0 and 100.0.

Return Value

The brightened color.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

BrightColorChannel, DarkColor, DarkColorChannel


GetRGBValue Function

See Also

Returns the Red, Green and Blue components of a TColor.

Pascal

procedure GetRGBValue(const Color: TColor; out Red: Byte; out Green: Byte; out Blue: Byte);

Description

GetRGBValue returns the intensity of the Red, Green and Blue components of the supplied TColor. You can use the GetColorFlag to extract the remaining Flag component.

Parameters

const Color: TColor

The color from which you want to extract the individual components.

out Red: Byte

The intensity of the Red component.

out Green: Byte

The intensity of the Green component.

out Blue: Byte

The intensity of the Blue component.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

SetRGBValue, GetColorFlag


SetRGBValue Function

See Also

Returns a TColor initialized with the supplied values.

Pascal

function SetRGBValue(const Red: Byte; const Green: Byte; const Blue: Byte): TColor;

Description

SetRGBValue returns a TColor value with the individual color components initialized to the supplied intensities. The Flag component (high order byte) is initialized to 0.

Parameters

const Red: Byte

Intensity for the Red component of the returned TColor value.

const Green: Byte

Intensity for the Green component of the returned TColor value.

const Blue: Byte

Intensity for the Blue component of the returned TColor value.

Return Value

The TColor value initialized with the supplied values.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

GetRGBValue


SetColorRed Function

See Also

Sets the Red component of a TColor.

Pascal

function SetColorRed(const Color: TColor; const Red: Byte): TColor;

Description

SetColorRed sets intensity of the Red component of a TColor.

Parameters

const Color: TColor

The color whose Red component to set.

const Red: Byte

New intensity for the Red component.

Return Value

Copy of the supplied color after the Red component has been modified.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

SetRGBValue, SetColorGreen, SetColorBlue, SetColorFlag


SetColorGreen Function

See Also

Sets the Green component of a TColor.

Pascal

function SetColorGreen(const Color: TColor; const Green: Byte): TColor;

Description

SetColorGreen sets intensity of the Green component of a TColor.

Parameters

const Color: TColor

The color whose Green component to set.

const Green: Byte

New intensity for the Green component.

Return Value

Copy of the supplied color after the Green component has been modified.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

SetRGBValue, SetColorRed, SetColorBlue, SetColorFlag


SetColorBlue Function

See Also

Sets the Blue component of a TColor.

Pascal

function SetColorBlue(const Color: TColor; const Blue: Byte): TColor;

Description

SetColorBlue sets intensity of the Blue component of a TColor.

Parameters

const Color: TColor

The color whose Blue component to set.

const Blue: Byte

New intensity for the Blue component.

Return Value

Copy of the supplied color after the Blue component has been modified.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

SetRGBValue, SetColorRed, SetColorGreen, SetColorFlag


SetColorFlag Function

See Also

Sets the Flag component of a TColor.

Pascal

function SetColorFlag(const Color: TColor; const Flag: Byte): TColor;

Description

SetColorFlag sets the Flag component of a TColor. The Flag component is contained in the high order byte of the TColor value and determines how Delphi displays the color. Currently this can be either 0, 1, or 2 and have the following meaning:
Value	Description
0	The color obtained is the closest matching color in the system palette.
1	The color obtained is the closest matching color in the currently realized palette.
2	The value is matched with the nearest color in the logical palette of the current device context.
Parameters

const Color: TColor

The color whose Flag component to set.

const Flag: Byte

Value for the Flag component. Valid values are 0,1 and 2. See the description above.

Return Value

Copy of the supplied color after the Flag component has been modified.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

SetRGBValue, SetColorRed, SetColorGreen, SetColorBlue


GetColorRed Function

See Also

Extracts the Red component from a TColor.

Pascal

function GetColorRed(const Color: TColor): Byte;

Description

GetColorRed extracts the Red component from a TColor value.

Parameters

const Color: TColor

The Color value from which to extract the Red component.

Return Value

The Red component from the supplied TColor. The value ranges from 0 to 255.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

GetRGBValue, GetColorBlue, GetColorGreen, GetColorFlag


GetColorBlue Function

See Also

Extracts the Blue component from a TColor.

Pascal

function GetColorBlue(const Color: TColor): Byte;

Description

GetColorBlue extracts the Blue component from a TColor value.

Parameters

const Color: TColor

The Color value from which to extract the Blue component.

Return Value

The Blue component from the supplied TColor. The value ranges from 0 to 255.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

GetRGBValue, GetColorRed, GetColorGreen, GetColorFlag


GetColorGreen Function

See Also

Extracts the Green component from a TColor.

Pascal

function GetColorGreen(const Color: TColor): Byte;

Description

GetColorGreen extracts the Green component from a TColor value.

Parameters

const Color: TColor

The Color value from which to extract the Green component.

Return Value

The Green component from the supplied TColor. The value ranges from 0 to 255.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

GetRGBValue, GetColorRed, GetColorBlue, GetColorFlag


GetColorFlag Function

See Also

Extracts the Flag component from a TColor.

Pascal

function GetColorFlag(const Color: TColor): Byte;

Description

GetColorFlag extracts the Flag component from a TColor value. The Flag component is contained in the high order byte of the TColor value and determines how Delphi displays the color. Currently this can be either 0, 1, or 2 and have the following meaning:
Value	Description
0	The color obtained is the closest matching color in the system palette.
1	The color obtained is the closest matching color in the currently realized palette.
2	The value is matched with the nearest color in the logical palette of the current device context.
Parameters

const Color: TColor

The Color value from which to extract the Flag component.

Return Value

The Flag component from the supplied TColor. The value ranges from 0 to 2.

Donator

Pelle F. S. Liljendal

Group

Colors

Unit

JclQGraphUtils


See Also

GetRGBValue, GetColorRed, GetColorGreen, GetColorBlue


CIED65ToCIED50 Function

Converts values of the XYZ color space using the D65 white point to D50 white point.

Pascal

procedure CIED65ToCIED50(var X: Extended; var Y: Extended; var Z: Extended);

Description

Converts values of the XYZ color space using the D65 white point to D50 white point. The values were taken from www.srgb.com/hpsrgbprof/sld005.htm

Parameters

var X: Extended

X Color D65.

var Y: Extended

Y Color D65.

var Z: Extended

Z Color D65.

Donator

Mike Lischke

Group

Colors

Unit

JclQGraphUtils


Gray16

Converts each color component from a 16 bits per sample to 8 bit used in Windows DIBs.

Description

Converts each color component from a 16 bits per sample to the 8 bits used in Windows DIBs. Count is the number of entries in Source and Target.

Parameters

Source

The source pointer to a stream of 16 bit colors.

Target

The target pointer to a stream of 8 bit colors.

Count

Number of samples to convert.

Donator

Mike Lischke

Group

Colors


CMYK2BGR

Converts a stream of Count CMYK values to BGR.

Description

Converts a stream of Count CMYK values to BGR.

Parameters

Target

Target pointer of the stream of BRG records, this are 3 byte records representing BGR colors

BitsPerSample

The bits per color component of the source stream, this can be 8 or 16 bits.

Count

Number of samples to convert.

Donator

Mike Lischke

Group

Colors


CIELAB2BGR

Conversion of the CIE L*a*b color space to RGB using a two step approach assuming a D65 white point, first a conversion to CIE XYZ is performed and then from there to RGB.

Description

Conversion of the CIE L*a*b color space to RGB using a two step approach assuming a D65 white point, first a conversion to CIE XYZ is performed and then from there to RGB.

Parameters

Source

The source pointer to a stream of CIELAB records, the size of the records is always 3 bytes per record.

Target

The target pointer to a stream of BGR records, the size is always 3 bytes per record.

Count

Number of samples to convert.

Donator

Mike Lischke

Group

Colors


RGB2BGR

Reorders a stream of "Count" RGB values to BGR, additionally an eventual sample size adjustment is done.

Description

Reorders a stream of "Count" RGB values to BGR, additionally an eventual sample size adjustment is done.

Parameters

Source

Source pointer to a stream of RGB records, the records in the stream can be 3 bytes or 3 words. This can also be a separate R, G and B stream of single byte or word color components.

Target

Target pointer to a stream of BGR records that are 3 bytes long.

BitsPerSample

The bits per sample of the source stream, this can be 8 or 16 bits.

Count

Number of samples to convert.

Donator

Mike Lischke

Group

Colors


RGBA2BGRA

Reorders a stream of "Count" RGBA values to BGRA, additionally an eventual sample size adjustment is done.

Description

Reorders a stream of "Count" RGBA values to BGRA, additionally an eventual sample size adjustment is done.

Parameters

Source

The source pointer to a stream of RGBA records, the size of the records is 4 bytes or 4 words.

Target

The pointer to the target stream of BGRA records, the size of the records is 4 bytes per record.

BitsPerSample

The bits per sample of the source stream, this can be 8 or 16 bits.

Count

Number of samples to convert.

Donator

Mike Lischke

Group

Colors


WinColor2OpenGLColor

Converts TColor to OpenGLColor.

Description

Conversion of TColor to OpenGLColor, the color channels of OpenGL are floats between 0.0 and 1.0.

Parameters

Color

The color to convert.

Red

The Red OpenGLColor channel between 0.0 and 1.0.

Green

The Green OpenGLColor channel between 0.0 and 1.0.

Blue

The Blue OpenGLColor channel between 0.0 and 1.0.

Donator

Pelle Liljendal

Group

Colors


OpenGLColor2WinColor

Converts OpenGLColor to TColor.

Description

Conversion of OpenGLColor to TColor, the color channels of OpenGL are floats between 0.0 and 1.0.

Parameters

Red

The Red OpenGLColor channel between 0.0 and 1.0.

Green

The Green OpenGLColor channel between 0.0 and 1.0.

Blue

The Blue OpenGLColor channel between 0.0 and 1.0.

Return Value

The windows color.

Donator

Pelle Liljendal

Group

Colors


Conversion

Graphics

Functions

BitmapToJPeg

Converts a bitmap to a JPEG.

JPegToBitmap

Converts a JPEG to a bitmap.

BitmapToIcon

Converts a bitmap to an icon.

IconToBitmap

Converts an icon to a bitmap.


Conversion Functions

Conversion

Functions

BitmapToJPeg

Converts a bitmap to a JPEG.

JPegToBitmap

Converts a JPEG to a bitmap.

BitmapToIcon

Converts a bitmap to an icon.

IconToBitmap

Converts an icon to a bitmap.


BitmapToJPeg Function

See Also

Converts a bitmap to a JPEG.

Pascal

procedure BitmapToJPeg(const FileName: string);

Description

BitmapToJPeg converts a bitmap file to a JPEG file. The destination file is saved with the same name as the source bitmap file but with the extension '.jpg'. If the function fails at any point it raises an exception.

Parameters

const FileName: string

Name of the bitmap file to convert to a JPEG image.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclGraphics


See Also

JPegToBitmap


JPegToBitmap Function

See Also

Converts a JPEG to a bitmap.

Pascal

procedure JPegToBitmap(const FileName: string);

Description

JPegToBitmap converts a JPEG image to a bitmap file. The destination file is saved with the same name as the source file but with the extension '.bmp'. If the function fails at any point it raises an exception.

Parameters

const FileName: string

Name of the JPEG image file to convert to a bitmap.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclGraphics


See Also

BitmapToJpeg


BitmapToIcon Function

Converts a bitmap to an icon.

Pascal

function BitmapToIcon(Bitmap: HBITMAP; cx: Integer; cy: Integer): HICON;

Description

BitmapToIcon converts the specified bitmap (identified by handle) to an icon.

Parameters

Bitmap: HBITMAP

Handle of the bitmap to convert.

cx: Integer

Width of the bitmap.

cy: Integer

Height of the bitmap.

Return Value

Handle to the icon or 0 on failure. Caller is responsible for eventually releasing the icon resource by calling DestroyIcon.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclQGraphics


IconToBitmap Function

Converts an icon to a bitmap.

Pascal

function IconToBitmap(Icon: HICON): HBITMAP;

Description

IconToBitmap converts the specified icon, represented by handle, to a bitmap.

Parameters

Icon: HICON

Icon to convert.

Return Value

Handle to the bitmap or 0 on failure. The caller is responsible for freeing the resources associated with this bitmap by calling DeleteObject.

Donator

Marcel van Brakel

Group

Conversion

Unit

JclQGraphics


Desktop

Graphics

Classes

TJclDesktopCanvas

Access the desktop canvas.


Desktop Classes

Desktop

Classes

TJclDesktopCanvas

Access the desktop canvas.


TJclDesktopCanvas Class

Access the desktop canvas.

Pascal

TJclDesktopCanvas = class(TCanvas);

Description

This class gives you access to the desktop canvas. It inherits everything from the canvas class. When using this canvas don't change the handle of the canvas this will remove the functionality of the class.

Donator

Pelle Liljendal

Group

Desktop

Unit

JclGraphics


Icons

Graphics

Functions

ExtractIconCount

Returns the number of icons in a file.

WriteIcon

Writes an icon to a stream, allowing for > 16 colors.

SaveIconToFile

Writes an icon to a file, allowing for > 16 colors.


Icons Functions

Icons

Functions

ExtractIconCount

Returns the number of icons in a file.

WriteIcon

Writes an icon to a stream, allowing for > 16 colors.

SaveIconToFile

Writes an icon to a file, allowing for > 16 colors.


ExtractIconCount Function

Returns the number of icons in a file.

Pascal

function ExtractIconCount(const FileName: string): Integer;

Description

ExtractIconCount returns the number of icons that exist in the specified file. The function is capable of detecting the number of icons in an executable file, a dynamic link library or an icon file. In the case of a .exe or .dll the function returns the number of RT_GROUP_ICON resources and in case of a .ico file it returns 1.

Parameters

const FileName: string

Fully qualified name of the file for which to count the number of icons. This can be any executable file, dynamic link library or icon file.

Return Value

The number of icons in the specified file. If the file does not contain icons the result is 0.

Donator

Marcel van Brakel

Group

Icons

Unit

JclQGraphics


WriteIcon

See Also

Writes an icon to a stream, allowing for > 16 colors.

Pascal

procedure WriteIcon(Stream: TStream; Icon: HICON; WriteLength: Boolean = False); overload;

Description

Use WriteIcon to write the icon image (specified by its handle) to a stream.

In contrast to TIcon.SaveToStream, WriteIcon does not force the number of colors in the icon image down to 16.

Parameters

Stream: TStream

the stream object that receives the memory image of the icon

Icon: HICON

Handle of the icon

WriteLength: Boolean = False

Determines whether a Longint containing the data size is written to the stream prior to the icon data.

Platforms

Win32

Donator

Robert Rossmair

Group

Icons

Unit

JclGraphics


See Also

WriteIcon, SaveIconToFile


SaveIconToFile Function

See Also

Writes an icon to a file, allowing for > 16 colors.

Pascal

procedure SaveIconToFile(Icon: HICON; const FileName: string);

Description

SaveIconToFile writes the icon to a file, specified by FileName.

In contrast to TIcon.SaveToFile, WriteIcon does not force the number of colors in the icon image down to 16.

Parameters

Icon: HICON

The icon to save, specified by its handle.

const FileName: string

The name of the file to which to write the icon data.

Platforms

Win32

Donator

Robert Rossmair

Group

Icons

Unit

JclGraphics


See Also

WriteIcon


Points

Graphics

Functions

PointAssign

Initializes a TPoint with the supplied values.

PointCopy

Copies a TPoint.

PointEqual

Tests two points for equality.

PointMove

Moves a point.

NullPoint

Returns a null point.

PointIsNull

Tests a point against the null point.


Points Functions

Points

Functions

PointAssign

Initializes a TPoint with the supplied values.

PointCopy

Copies a TPoint.

PointEqual

Tests two points for equality.

PointMove

Moves a point.

NullPoint

Returns a null point.

PointIsNull

Tests a point against the null point.


PointAssign Function

Initializes a TPoint with the supplied values.

Pascal

function PointAssign(const X: Integer; const Y: Integer): TPoint;

Description

PointAssign returns a TPoint record initialized with the supplied values.

Parameters

const X: Integer

X value for the new TPoint.

const Y: Integer

Y value for the new TPoint.

Return Value

A TPoint initialized with X and Y.

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


PointCopy Function

Copies a TPoint.

Pascal

procedure PointCopy(var Dest: TPoint; const Source: TPoint);

Description

PointCopy copies the values of the Source point into the Destination point. When the function returns Dest is an exact copy of Source.

Parameters

var Dest: TPoint

Destination point.

const Source: TPoint

Source point from which the values are copied.

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


PointEqual Function

Tests two points for equality.

Pascal

function PointEqual(const P1: TPoint; const P2: TPoint): Boolean;

Description

PointEqual compares the two supplied points.

Parameters

const P1: TPoint

First TPoint

const P2: TPoint

Second TPoint

Return Value

If the two points are equal (identical values for X and Y) the function returns True otherwise it returns False.

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


PointMove Function

Moves a point.

Pascal

procedure PointMove(var P: TPoint; const DeltaX: Integer; const DeltaY: Integer);

Description

PointMove moves the specified point by the supplied offsets.

Parameters

var P: TPoint

The point to move.

const DeltaX: Integer

The amount by which to offset the X member of the TPoint.

const DeltaY: Integer

The amount by which to offset the Y member of the TPoint.

Return Value

The moved point (P.X = P.X + DeltaX, P.Y = P.Y + DeltaY).

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


NullPoint Function

Returns a null point.

Pascal

function NullPoint: TPoint;

Description

NullPoint returns a TPoint with both it's X and Y member initialized to 0.

Return Value

A TPoint initialized to (X, Y) = (0, 0).

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


PointIsNull Function

Tests a point against the null point.

Pascal

function PointIsNull(const P: TPoint): Boolean;

Description

PointIsNull compares P against the null point (0, 0).

Parameters

const P: TPoint

The point to test.

Return Value

If the supplied point equals the null point (a TPoint with both X and Y set to 0) the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

Points

Unit

JclQGraphUtils


Rectangles

Graphics

Functions

RectIsEmpty

Tests if the rectangle is empty.

RectNormalize

Normalizes a rectangle.

RectUnion

Calculates the union of two rectangles.

RectIsSquare

Tests if the rectangle is square.

RectCenter

Returns the center-point of the rectangle.

RectEqual

Tests two rectangles for equality.

RectIsNull

Tests if a rectangle is a null rectangle.

NullRect

Returns a null rectangle.

RectIsValid

Tests if R is a valid rectangle.

RectsAreValid

Tests if all the rectangles in the array are valid.

RectIntersectRect

Tests if two rectangles intersect.

RectIntersection

Calculates the intersection of two rectangles.

RectIncludesPoint

Tests if a point lies within a rectangle.

RectIncludesRect

Tests if one rectangle is completely embedded inside another rectangle.

RectBounds

Initializes a rectangle by bounds.

RectAssign

Initializes a rectangle by the individual coordinates.

RectAssignPoints

Initializes a rectangle by TPoints.

RectCopy

Copies a rectangle.

RectMove

Moves the specified rectangle by the specified offsets.

RectMoveTo

Moves the rectangle to the specified coordinates.

RectGrow

Expands a rectangle by the specified amount.

RectGrowX

Expands the horizontal dimension of a rectangle by the specified amount.

RectGrowY

Expands the vertical dimension of a rectangle by the specified amount.

RectHeight

Returns the height of a rectangle.

RectWidth

Returns the width of a rectangle.


Rectangles Functions

Rectangles

Functions

RectIsEmpty

Tests if the rectangle is empty.

RectNormalize

Normalizes a rectangle.

RectUnion

Calculates the union of two rectangles.

RectIsSquare

Tests if the rectangle is square.

RectCenter

Returns the center-point of the rectangle.

RectEqual

Tests two rectangles for equality.

RectIsNull

Tests if a rectangle is a null rectangle.

NullRect

Returns a null rectangle.

RectIsValid

Tests if R is a valid rectangle.

RectsAreValid

Tests if all the rectangles in the array are valid.

RectIntersectRect

Tests if two rectangles intersect.

RectIntersection

Calculates the intersection of two rectangles.

RectIncludesPoint

Tests if a point lies within a rectangle.

RectIncludesRect

Tests if one rectangle is completely embedded inside another rectangle.

RectBounds

Initializes a rectangle by bounds.

RectAssign

Initializes a rectangle by the individual coordinates.

RectAssignPoints

Initializes a rectangle by TPoints.

RectCopy

Copies a rectangle.

RectMove

Moves the specified rectangle by the specified offsets.

RectMoveTo

Moves the rectangle to the specified coordinates.

RectGrow

Expands a rectangle by the specified amount.

RectGrowX

Expands the horizontal dimension of a rectangle by the specified amount.

RectGrowY

Expands the vertical dimension of a rectangle by the specified amount.

RectHeight

Returns the height of a rectangle.

RectWidth

Returns the width of a rectangle.


RectIsEmpty Function

Tests if the rectangle is empty.

Pascal

function RectIsEmpty(const R: TRect): Boolean;

Description

RectIsEmpty tests if the specified rectangle is empty, that is, if the rectangle's width and height are 0.

Parameters

const R: TRect

The rectangle to test.

Return Value

If the rectangle is empty the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

Rectangles

Unit

JclQGraphUtils


RectNormalize Function

Normalizes a rectangle.

Pascal

procedure RectNormalize(var R: TRect);

Description

RectNormalize normalizes the specified rectangle. A normalized rectangle is defined as a rectangle for which Left is smaller than or equal to Right and Top is smaller than or equal to Bottom. If these conditions are not met, RectNormalize normalizes the rectangle by swapping Left with Right and/or Top with Bottom.

Parameters

var R: TRect

The rectangle to normalize.

Donator

Marcel van Brakel

Group

Rectangles

Unit

JclQGraphUtils


RectUnion Function

Calculates the union of two rectangles.

Pascal

function RectUnion(const R1: TRect; const R2: TRect): TRect;

Description

RectUnion returns the union of two rectangles. In this context, the union is defined as the smallest rectangle that contains the two specified rectangles. If the union is empty a null rectangle is returned.

Parameters

const R1: TRect

The first rectangle.

const R2: TRect

The second rectangle.

Return Value

The union of the two rectangles, or a null rectangle if the union is empty.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


RectIsSquare Function

Tests if the rectangle is square.

Pascal

function RectIsSquare(const R: TRect): Boolean;

Description

RectIsSquare tests if the specified rectangle is square (width equals height).

Parameters

const R: TRect

The rectangle to test.

Return Value

If the rectangle is square the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


RectCenter Function

Returns the center-point of the rectangle.

Pascal

function RectCenter(const R: TRect): TPoint;

Description

RectCenter returns a TPoint which lies in the center of the rectangle. Note that if the width or height of the rectangle is odd, then the returned point does not lie exactly in the center of the rectangle. In such cases the point is 'rounded' towards the top-left corner.

Parameters

const R: TRect

The rectangle.

Return Value

TPoint representing the center of the rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


RectEqual Function

Tests two rectangles for equality.

Pascal

function RectEqual(const R1: TRect; const R2: TRect): Boolean;

Description

RectEqual tests if two rectangle are equal.

Parameters

const R1: TRect

The first rectangle.

const R2: TRect

The second rectangle.

Return Value

If the rectangles are equal the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


RectIsNull Function

Tests if a rectangle is a null rectangle.

Pascal

function RectIsNull(const R: TRect): Boolean;

Description

RectIsNull tests if the specified rectangle is a null rectangle. A null rectangle is a rectangle with all it's members initialized to 0. Some functions return a null rectangle to indicate failure.

Parameters

const R: TRect

The rectangle to test.

Return Value

If the rectangle is a null rectangle the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


NullRect Function

Returns a null rectangle.

Pascal

function NullRect: TRect;

Description

NullRect returns a null rectangle. A null rectangle is a rectangle with all its members initialized to 0. Some functions return a null rectangle to indicate failure.

Return Value

The null rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


RectIsValid Function

See Also

Tests if R is a valid rectangle.

Pascal

function RectIsValid(const R: TRect): Boolean;

Description

RectIsValid tests if the specified rectangle is valid, or in Win32 terms, normalized. A rectangle is considered valid if Left is smaller than or equal to Right and Top is smaller than or equal to Bottom.

Parameters

const R: TRect

The rectangle to test.

Return Value

If the rectangle is valid the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectsAreValid


RectsAreValid Function

See Also

Tests if all the rectangles in the array are valid.

Pascal

function RectsAreValid(R: array of TRect): Boolean;

Description

RectIsValid tests if the rectangles in the specified array are valid, or in Win32 terms, normalized. A rectangle is considered valid if Left is smaller than or equal to Right and Top is smaller than or equal to Bottom.

Parameters

R: array of TRect

The rectangles to test.

Return Value

If all rectangles are valid the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectIsValid


RectIntersectRect Function

See Also

Tests if two rectangles intersect.

Pascal

function RectIntersectRect(const R1: TRect; const R2: TRect): Boolean;

Description

RectIntersectRect tests whether the two rectangles intersect. Note that the function performs the test by actually calculating the intersection. Therefore, don't write code like this: if RectIntersectRect then R := RectIntersection(...). Instead use RectIntersection directly and compare the result against the null rectangle.

Parameters

const R1: TRect

The first rectangle.

const R2: TRect

The second rectangle.

Return Value

If the two rectangles intersect the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectIntersection


RectIntersection Function

See Also

Calculates the intersection of two rectangles.

Pascal

function RectIntersection(const R1: TRect; const R2: TRect): TRect;

Description

RectIntersection returns the intersection of the two supplied rectangles. The intersection is that part of the rectangles that overlap, or the part that is shared by the two rectangles.

Parameters

const R1: TRect

The first rectangle.

const R2: TRect

The second rectangle.

Return Value

The intersection of the two rectangles. If the two rectangles don't intersect a null rectangle is returned.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectIntersectRect


RectIncludesPoint Function

See Also

Tests if a point lies within a rectangle.

Pascal

function RectIncludesPoint(const R: TRect; const Pt: TPoint): Boolean;

Description

RectIncludesPoint tests if the specified point lies inside the boundaries defined by the specified rectangle. The test is performed excluding the borders of the rectangle (a point lying on a border of the rectangle causes the function to return False).

Parameters

const R: TRect

The bounding rectangle.

const Pt: TPoint

The point to test.

Return Value

If the point lies inside the rectangle (excluding the borders) the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectIncludesRect


RectIncludesRect Function

See Also

Tests if one rectangle is completely embedded inside another rectangle.

Pascal

function RectIncludesRect(const R1: TRect; const R2: TRect): Boolean;

Description

RectIncludesRect tests whether the first rectangle is completely embedded inside the second rectangle. In other words, the function tests whether R1 is a 'subset' of R2.

Parameters

const R1: TRect

The rectangle to test.

const R2: TRect

The second rectangle.

Return Value

If the first rectangle is embedded inside the second the function returns True, otherwise it returns False.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectIncludesPoint


RectBounds Function

See Also

Initializes a rectangle by bounds.

Pascal

function RectBounds(const Left: Integer; const Top: Integer; const Width: Integer; const Height: Integer): TRect;

Description

RectBounds returns a rectangle with its top-left corner set to the combination of Left and Top and with a width and height of Width and Height respectively.

Parameters

const Left: Integer

Left coordinate of the rectangle.

const Top: Integer

Top coordinate of the rectangle.

const Width: Integer

Width of the rectangle.

const Height: Integer

Height of the rectangle.

Return Value

A TRect initialized with the specified coordinates/dimensions.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectAssignPoints RectCopy RectAssign


RectAssign Function

See Also

Initializes a rectangle by the individual coordinates.

Pascal

function RectAssign(const Left: Integer; const Top: Integer; const Right: Integer; const Bottom: Integer): TRect;

Description

RectAssign returns a TRect with it's members initialized to the individually specified coordinates.

Parameters

const Left: Integer

Left coordinate of the rectangle.

const Top: Integer

Top coordinate of the rectangle.

const Right: Integer

Right coordinate of the rectangle.

const Bottom: Integer

Bottom coordinate of the rectangle.

Return Value

A TRect initialized with the coordinates.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectAssignPoints RectCopy RectBounds


RectAssignPoints Function

See Also

Initializes a rectangle by TPoints.

Pascal

function RectAssignPoints(const TopLeft: TPoint; const BottomRight: TPoint): TRect;

Description

RectAssignPoints returns a rectangle initialized to the specified top-left and bottom-right coordinate points.

Parameters

const TopLeft: TPoint

Top-left coordinate of the rectangle.

BottonRight

Bottom-right coordinate of the rectangle.

Return Value

A TRect initialized to the specified points.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectAssign RectCopy RectBounds


RectCopy Function

See Also

Copies a rectangle.

Pascal

procedure RectCopy(var Dest: TRect; const Source: TRect);

Description

RectCopy copies the Source rectangle's coordinates into the Dest(ination) rectangle.

Parameters

var Dest: TRect

Destination rectangle which receives a copy of Source.

const Source: TRect

Source rectangle.

Donator

Marcel van Brakel

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectAssign RectAssignPoints RectBounds


RectMove Function

See Also

Moves the specified rectangle by the specified offsets.

Pascal

procedure RectMove(var R: TRect; const DeltaX: Integer; const DeltaY: Integer);

Description

RectMove moves the specified rectangle by the specified offsets. This does not affect the width and height of the rectangle.

Parameters

var R: TRect

The rectangle to move.

const DeltaX: Integer

The amount to move the rectangle in the horizontal direction.

const DeltaY: Integer

The amount to move the rectangle in the vertical direction.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectMoveTo


RectMoveTo Function

See Also

Moves the rectangle to the specified coordinates.

Pascal

procedure RectMoveTo(var R: TRect; const X: Integer; const Y: Integer);

Description

RectMoveTo moves the rectangle to the coordinates specified by X and Y. This does not affect the width and height of the rectangle.

Parameters

var R: TRect

The rectangle to move

const X: Integer

The new X coordinate of the top-left corner of the rectangle.

const Y: Integer

The new Y coordinate of the top-left corner of the rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectMove


RectGrow Function

See Also

Expands a rectangle by the specified amount.

Pascal

procedure RectGrow(var R: TRect; const Delta: Integer);

Description

RectGrow expands the rectangle with Delta in each direction. As such, all members of the TRect record are altered. Left becomes Left - Delta, Right becomes Right + Delta and so forth. Note that specifying a negative Delta effectively shrinks the rectangle. However, this may leave you with a denormalized rectangle!

Parameters

var R: TRect

The rectangle to expand.

const Delta: Integer

The amount with which to expand the rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectGrowX RectGrowY


RectGrowX Function

See Also

Expands the horizontal dimension of a rectangle by the specified amount.

Pascal

procedure RectGrowX(var R: TRect; const Delta: Integer);

Description

RectGrowX expands the horizontal dimension of the rectangle with Delta in each direction. As such, Left becomes Left - Delta, Right becomes Right + Delta. Note that specifying a negative Delta effectively shrinks the rectangle. However, this may leave you with a denormalized rectangle!

Parameters

var R: TRect

The rectangle to expand.

const Delta: Integer

The amount with which to expand the rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectGrow RectGrowY


RectGrowY Function

See Also

Expands the vertical dimension of a rectangle by the specified amount.

Pascal

procedure RectGrowY(var R: TRect; const Delta: Integer);

Description

RectGrowY expands the vertical dimension of the rectangle with Delta in each direction. As such, Top becomes Top - Delta, Bottom becomes Bottom + Delta. Note that specifying a negative Delta effectively shrinks the rectangle. However, this may leave you with a denormalized rectangle!

Parameters

var R: TRect

The rectangle to expand.

const Delta: Integer

The amount with which to expand the rectangle.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectGrow RectGrowX


RectHeight Function

See Also

Returns the height of a rectangle.

Pascal

function RectHeight(const R: TRect): Integer;

Description

RectHeight returns the height, in pixels, of the specified rectangle.

Parameters

const R: TRect

The rectangle for which to calculate the height.

Return Value

The height of the rectangle in pixels.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectWidth


RectWidth Function

See Also

Returns the width of a rectangle.

Pascal

function RectWidth(const R: TRect): Integer;

Description

RectWidth returns the width, in pixels, of the specified rectangle.

Parameters

const R: TRect

The rectangle for which to calculate the width.

Return Value

The width of the rectangle in pixels.

Donator

Pelle F. S. Liljendal

Group

Rectangles

Unit

JclQGraphUtils


See Also

RectHeight


Regions

Graphics

Classes

TJclRegion

Class to be used as a wrapper for windows regions.

TJclRegionInfo

Class that contains a description of the region.


Regions Classes

Regions

Classes

TJclRegion

Class to be used as a wrapper for windows regions.

TJclRegionInfo

Class that contains a description of the region.


TJclRegion Class

Properties	Methods	Legend

Class to be used as a wrapper for windows regions.

Pascal

TJclRegion = class(TObject);

Description

This class is a wrapper for Windows regions. It has a lot of overloaded constructors to make it easy to create different kinds of regions. It even has a constructor to create a region from a bitmap.

Regions are a powerful part of the Windows GDI, they are not as known as the other objects on the canvas but they can create real beauty. Or maybe you ever dreamed of making custom forms, then this is your chance.

Note for Delphi 3 users, this class is not compatible with Delphi 3.

Donator

Wim De Cleen

Group

Regions

Legend

read only

Constructor

protected

Unit

JclGraphics


TJclRegion Class Properties

TJclRegion Class	Legend

Properties

 Box

Returns the current bounding rectangle of the region.

 Handle

Returns the Windows handle of the region.

 RegionType

Returns the complexity of the region.


Legend

read only


TJclRegion Class Methods

TJclRegion Class	Legend

Methods

Clip

Selects the region as the current clipping region on a canvas.

Combine

Combines two regions.

Copy

Copies the current region into another region class.

 Create

Creates a wrapper for the region.

 CreateBitmap

Creates the region from a bitmap.

 CreateElliptic

Create an elliptic region

 CreateMapWindow

 CreatePath

Creates the region from a Path.

 CreatePoly

Create an polygon region

 CreatePolyPolygon

 CreateRect

Create a rectangle region

 CreateRegionInfo

Creates the region from a RegionInfo class.

 CreateRoundRect

Create a rounded rectangle region

 Destroy

Destroys the region class.

Equals

Checks if two regions are completely equal.

Fill

Fills the area defined by the region with the current brush.

FillGradient

Fills the area defined by the region with a gradient pattern.

Frame

Draws a frame around the region.

 GetBox

 GetHandle

GetRegionInfo

Returns a TJclRegionInfo class that describes the region.

 GetRegionType

Invert

Inverts the area defined by the region on the canvas.

Offset

Offsets the region.

Paint

Paints the region on the canvas.

PointIn

Check if a point is in the region.

RectIn

Check if a rectangle is in the region.

SetWindow

Specifies the region of a window that will be drawn.


Legend

Constructor

protected


Legend

TJclRegion Class

Legend

read only

Constructor

protected


TJclRegion Class Members

TJclRegion Class	Legend

Members

Properties

 Box

Returns the current bounding rectangle of the region.

 Handle

Returns the Windows handle of the region.

 RegionType

Returns the complexity of the region.

Methods

Clip

Selects the region as the current clipping region on a canvas.

Combine

Combines two regions.

Copy

Copies the current region into another region class.

 Create

Creates a wrapper for the region.

 CreateBitmap

Creates the region from a bitmap.

 CreateElliptic

Create an elliptic region

 CreateMapWindow

 CreatePath

Creates the region from a Path.

 CreatePoly

Create an polygon region

 CreatePolyPolygon

 CreateRect

Create a rectangle region

 CreateRegionInfo

Creates the region from a RegionInfo class.

 CreateRoundRect

Create a rounded rectangle region

 Destroy

Destroys the region class.

Equals

Checks if two regions are completely equal.

Fill

Fills the area defined by the region with the current brush.

FillGradient

Fills the area defined by the region with a gradient pattern.

Frame

Draws a frame around the region.

 GetBox

 GetHandle

GetRegionInfo

Returns a TJclRegionInfo class that describes the region.

 GetRegionType

Invert

Inverts the area defined by the region on the canvas.

Offset

Offsets the region.

Paint

Paints the region on the canvas.

PointIn

Check if a point is in the region.

RectIn

Check if a rectangle is in the region.

SetWindow

Specifies the region of a window that will be drawn.


Legend

read only

Constructor

protected


TJclRegion.Box Property

TJclRegion Class

Returns the current bounding rectangle of the region.

Pascal

property Box: TRect;

Description

Returns the current bounding rectangle of the region.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Handle Property

TJclRegion Class

Returns the Windows handle of the region.

Pascal

property Handle: HRGN;

Description

Returns the Windows handle of the region. Keep in mind that when you destroy the TJclRegion class this handle gets also destroyed.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.RegionType Property

See Also	TJclRegion Class

Returns the complexity of the region.

Pascal

property RegionType: TJclRegionKind;

Description

Returns the complexity of the region.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TJclRegionType


TJclRegion.Clip Method

TJclRegion Class

Selects the region as the current clipping region on a canvas.

Pascal

procedure Clip(Canvas: TCanvas);

Description

Selects the region as the current clipping region on a canvas.

Parameters

Canvas: TCanvas

A canvas where the region should be used as a clipping area.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Combine Method (TJclRegion, TJclRegion, TJclRegionCombineOperator)

See Also	TJclRegion Class

Combines two regions.

Pascal

procedure Combine(DestRegion: TJclRegion; SrcRegion: TJclRegion; CombineOp: TJclRegionCombineOperator); overload;
procedure Combine(SrcRegion: TJclRegion; CombineOp: TJclRegionCombineOperator); overload;

Description

Combines two regions using or, and, xor or difference operator. If the destination region is not specified then the region class is the result.

Parameters

DestRegion: TJclRegion

The destination region class, this should be a valid region class.

SrcRegion: TJclRegion

The region class with which this region will be combined.

CombineOp: TJclRegionCombineOperator

The operator for the combination instruction.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TJclRegionCombineOperator


TJclRegion.Copy Method

TJclRegion Class

Copies the current region into another region class.

Pascal

function Copy: TJclRegion;

Description

Copies the current region into another region class, the class is created for you and you should destroy it if you don't need it anymore.

Return Value

The copy of the region.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Create Constructor

TJclRegion Class

Creates a wrapper for the region.

Pascal

constructor Create(RegionHandle: HRGN; OwnsHandle: Boolean = True);

Description

This function can be used to create a handy wrapper for a region handle aquired by a Windows function.

Parameters

RegionHandle: HRGN

The Windows region handle.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.CreateBitmap Constructor

See Also	TJclRegion Class

Creates the region from a bitmap.

Pascal

constructor CreateBitmap(Bitmap: TBitmap; RegionColor: TColor; RegionBitmapMode: TJclRegionBitmapMode);

Description

Creates the region from a bitmap by using a color as mask.

Parameters

Bitmap: TBitmap

A bitmap used as input to create the region.

RegionColor: TColor

The color for the mask.

RegionBitmapMode: TJclRegionBitmapMode

This flag specifies if the RegionColor is included or excluded.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TJclRegionBitmapMode


TJclRegion.CreateElliptic Constructor (Integer, Integer, Integer, Integer)

TJclRegion Class

Create an elliptic region

Pascal

constructor CreateElliptic(const ARect: TRect); overload;
constructor CreateElliptic(const Top: Integer; const Left: Integer; const Bottom: Integer; const Right: Integer); overload;

Description

Creates an elliptic region defined by a rectangle.

Parameters

const ARect: TRect

The rectangle surronding the elliptic region.

const Top: Integer

X-coordinate of the upper left point.

const Left: Integer

Y-coordinate of the upper left point.

const Bottom: Integer

X-coordinate of the bottom right point.

const Right: Integer

Y-coordinate of the bottom right point.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.CreateMapWindow Constructor (TJclRegion, THandle, THandle)

TJclRegion Class

constructor CreateMapWindow(InitialRegion: TJclRegion; hWndFrom: THandle; hWndTo: THandle); overload;

Class

TJclRegion Class


TJclRegion.CreateMapWindow Constructor (TJclRegion, TWinControl, TWinControl)

TJclRegion Class

constructor CreateMapWindow(InitialRegion: TJclRegion; ControlFrom: TWinControl; ControlTo: TWinControl); overload;

Class

TJclRegion Class


TJclRegion.CreatePath Constructor

TJclRegion Class

Creates the region from a Path.

Pascal

constructor CreatePath(Canvas: TCanvas);

Description

Creates the region from a path currently selected in a canvas.

Parameters

Canvas: TCanvas

A canvas that contains a path.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.CreatePoly Constructor

See Also	TJclRegion Class

Create an polygon region

Pascal

constructor CreatePoly(const Points: TDynPointArray; Count: Integer; FillMode: TPolyFillMode);

Description

Creates an polygon region defined by an array of points.

Parameters

const Points: TDynPointArray

An array containing the TPoint structures which define the vertices of the polygon, in device units. The polygon should be closed.

Count: Integer

The number of points in the Points array.

FillMode: TPolyFillMode

Specifies the fillmode of polygon, which pixels will be included in the region.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TPolyFillMode


TJclRegion.CreatePolyPolygon Constructor

See Also	TJclRegion Class

constructor CreatePolyPolygon(const Points: TDynPointArray; const Vertex: TDynIntegerArray; Count: Integer; FillMode: TPolyFillMode);

Parameters

const Points: TDynPointArray

An array containing the TPoint structures which define the vertices of the polygon, in device units. The polygon should be closed.

const Vertex: TDynIntegerArray

An array containing the number of vertices of each polygon. There is one entry for every polygon in the Points array.

Count: Integer

The number of polygons.

FillMode: TPolyFillMode

Specifies the fillmode of the polygon, which pixels will be included in the region.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TPolyFillMode


TJclRegion.CreateRect Constructor (Integer, Integer, Integer, Integer, Byte)

TJclRegion Class

Create a rectangle region

Pascal

constructor CreateRect(const ARect: TRect; DummyForBCB: Boolean = False); overload;
constructor CreateRect(const Top: Integer; const Left: Integer; const Bottom: Integer; const Right: Integer; DummyForBCB: Byte = 0); overload;

Description

Creates a rectangele region defined by a rectangle or Top, Left, Bottom, Right.

Parameters

const ARect: TRect

The rectangle describing the region.

const Top: Integer

X-coordinate of the upper left point.

const Left: Integer

Y-coordinate of the upper left point.

const Bottom: Integer

X-coordinate of the bottom right point.

const Right: Integer

Y-coordinate of the bottom right point.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.CreateRegionInfo Constructor

See Also	TJclRegion Class

Creates the region from a RegionInfo class.

Pascal

constructor CreateRegionInfo(RegionInfo: TJclRegionInfo);

Description

Creates the region from a RegionInfo class, this function is included so you can make regions persistent.

Parameters

RegionInfo: TJclRegionInfo

A regioninfo class.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TJclRegionInfo


TJclRegion.CreateRoundRect Constructor (Integer, Integer, Integer, Integer, Integer, Integer)

TJclRegion Class

Create a rounded rectangle region

Pascal

constructor CreateRoundRect(const ARect: TRect; CornerWidth: Integer; CornerHeight: Integer); overload;
constructor CreateRoundRect(const Top: Integer; const Left: Integer; const Bottom: Integer; const Right: Integer; const CornerWidth: Integer; const CornerHeight: Integer); overload;

Description

Creates a rounded rectangle region defined by a rectangle or Top, Left, Bottom, Right.

Parameters

const ARect: TRect

The rectangle describing the region.

CornerWidth: Integer

X-size of the quarter ellipse for the rounded corners.

CornerHeight: Integer

Y-size of the quarter ellipse for the rounded corners.

const Top: Integer

X-coordinate of the upper left point.

const Left: Integer

Y-coordinate of the upper left point.

const Bottom: Integer

X-coordinate of the bottom right point.

const Right: Integer

Y-coordinate of the bottom right point.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Destroy Destructor

TJclRegion Class

Destroys the region class.

Pascal

destructor Destroy; override;

Description

Destroys the region class, this will also delete the region handle.

Parameters

RegionInfo

A regioninfo class.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Equals Method

TJclRegion Class

Checks if two regions are completely equal.

Pascal

function Equals(CompareRegion: TJclRegion): Boolean;

Description

Checks if the current region is completely equal with the CompareRegion.

Parameters

CompareRegion: TJclRegion

The region which will be compared.

Return Value

Are the regions equal.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Fill Method

TJclRegion Class

Fills the area defined by the region with the current brush.

Pascal

procedure Fill(Canvas: TCanvas);

Description

Fills the area defined by the region with the current brush.

Parameters

Canvas: TCanvas

The canvas on which the region will be filled.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.FillGradient Method

See Also	TJclRegion Class

Fills the area defined by the region with a gradient pattern.

Pascal

procedure FillGradient(Canvas: TCanvas; ColorCount: Integer; StartColor: TColor; EndColor: TColor; ADirection: TGradientDirection);

Description

Fills the area defined by the region with a gradient pattern.

Parameters

Canvas: TCanvas

The canvas on which the region will be filled.

ColorCount: Integer

The number of gradiations between the StartColor and the EndColor, this should be a least 1. The higher the number, the smoother the gradient fill.

StartColor: TColor

The starting color.

EndColor: TColor

The ending color.

ADirection: TGradientDirection

The direction of the gradient, horizontial or vertical.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TGradientDirection


TJclRegion.Frame Method

TJclRegion Class

Draws a frame around the region.

Pascal

procedure Frame(Canvas: TCanvas; FrameWidth: Integer; FrameHeight: Integer);

Description

Draws a frame around the region with the current brush.

Parameters

Canvas: TCanvas

The canvas on which the border will be drawn.

FrameWidth: Integer

The width of horizontial brush strokes.

FrameHeight: Integer

The height of vertical brush strokes.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.GetBox Method

TJclRegion Class

function GetBox: TRect;

Class

TJclRegion Class


TJclRegion.GetHandle Method

TJclRegion Class

function GetHandle: HRGN;

Class

TJclRegion Class


TJclRegion.GetRegionInfo Method

See Also	TJclRegion Class

Returns a TJclRegionInfo class that describes the region.

Pascal

function GetRegionInfo: TJclRegionInfo;

Description

Returns a TJclRegionInfo class that describes the region. When no longer needed the class should be destroyed. The TJclRegionInfo is a snapshot of the region, when the region changes after this function call the changes are not reflected in the TJclRegionInfo class.

Return Value

The TJclRegionInfo class.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

TJclRegionInfo


TJclRegion.GetRegionType Method

TJclRegion Class

function GetRegionType: TJclRegionKind;

Class

TJclRegion Class


TJclRegion.Invert Method

TJclRegion Class

Inverts the area defined by the region on the canvas.

Pascal

procedure Invert(Canvas: TCanvas);

Description

Inverts the area defined by the region on the canvas.

Parameters

Canvas: TCanvas

The canvas on which the region will be inverted.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Offset Method

TJclRegion Class

Offsets the region.

Pascal

procedure Offset(X: Integer; Y: Integer);

Description

Moves the region a certain number of logical units.

Parameters

X: Integer

Specifies the number of logical units to move left or right, this value can be negative to move left.

Y: Integer

Specifies the number of logical units to move up or down, this value can be negative to move up.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.Paint Method

TJclRegion Class

Paints the region on the canvas.

Pascal

procedure Paint(Canvas: TCanvas);

Description

Paints the region on the canvas using the current brush.

Parameters

Canvas: TCanvas

The canvas where the region will be painted.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.PointIn Method (Integer, Integer)

TJclRegion Class

Check if a point is in the region.

Pascal

function PointIn(X: Integer; Y: Integer): Boolean; overload;
function PointIn(const Point: TPoint): Boolean; overload;

Description

Check if a point is in the region.

Parameters

X: Integer

X-coordinate of the point.

Y: Integer

Y-coordinate of the point.

const Point: TPoint

The point to check.

Return Value

Is the point in the region.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.RectIn Method (Integer, Integer, Integer, Integer)

TJclRegion Class

Check if a rectangle is in the region.

Pascal

function RectIn(const ARect: TRect): Boolean; overload;
function RectIn(Top: Integer; Left: Integer; Bottom: Integer; Right: Integer): Boolean; overload;

Description

Check if a rectangle is in the region. The rectangle needs to be completely in the region.

Parameters

const ARect: TRect

The rectangle describing the region.

Top: Integer

X-coordinate of the upper left point.

Left: Integer

Y-coordinate of the upper left point.

Bottom: Integer

X-coordinate of the bottom right point.

Right: Integer

Y-coordinate of the bottom right point.

Return Value

Is the rectangle in the region.

Donator

Wim De Cleen

Class

TJclRegion Class


TJclRegion.SetWindow Method

See Also	TJclRegion Class

Specifies the region of a window that will be drawn.

Pascal

procedure SetWindow(Window: THandle; Redraw: Boolean);

Description

Specifies the region of a window that will be drawn. Outside this region the window doesn't get any events. This function can be used to create custom windows in combination with the TJclRegion.CreateBitmap constructor.

Parameters

Window: THandle

The handle of the window.

Redraw: Boolean

Should there be a repaint of the window.

Donator

Wim De Cleen

Class

TJclRegion Class


See Also

CreateBitmap


TJclRegionInfo Class

Properties	Methods	See Also	Legend

Class that contains a description of the region.

Pascal

TJclRegionInfo = class(TObject);

Description

Class that contains a description of the region, the class exposes the info of the region by a collection of rectangles. The class is normally created by a TJclRegion method call.

Donator

Wim De Cleen

Group

Regions

Legend

read only

Constructor

protected

Unit

JclGraphics


TJclRegionInfo Class Properties

TJclRegionInfo Class	Legend

Properties

 Box

Returns the current bounding rectangle of the region.

 Count

Returns the number of rectangles that describe the region.

 Rectangles

Returns the rectangle at the current index.


Legend

read only


TJclRegionInfo Class Methods

TJclRegionInfo Class	Legend

Methods

 Create

Creates a TJclRegionInfo class for a specified TJclRegion.

 Destroy

Destroys the class.

 GetCount

 GetRect


Legend

Constructor

protected


Legend

TJclRegionInfo Class

Legend

read only

Constructor

protected


TJclRegionInfo Class Members

TJclRegionInfo Class	Legend

Members

Properties

 Box

Returns the current bounding rectangle of the region.

 Count

Returns the number of rectangles that describe the region.

 Rectangles

Returns the rectangle at the current index.

Methods

 Create

Creates a TJclRegionInfo class for a specified TJclRegion.

 Destroy

Destroys the class.

 GetCount

 GetRect


Legend

read only

Constructor

protected


See Also

TJclRegion


TJclRegionInfo.Box Property

TJclRegionInfo Class

Returns the current bounding rectangle of the region.

Pascal

property Box: TRect;

Description

Returns the current bounding rectangle of the region.

Donator

Wim De Cleen

Class

TJclRegionInfo Class


TJclRegionInfo.Count Property

See Also	TJclRegionInfo Class

Returns the number of rectangles that describe the region.

Pascal

property Count: Integer;

Description

Returns the number of rectangles that describe the region.

Donator

Wim De Cleen

Class

TJclRegionInfo Class


See Also

Rectangles


TJclRegionInfo.Rectangles Property

See Also	TJclRegionInfo Class

Returns the rectangle at the current index.

Pascal

property Rectangles [Index: Integer]: TRect;

Description

Returns the rectangle at the current index. The index starts at 0 and ends at Count - 1.

Donator

Wim De Cleen

Class

TJclRegionInfo Class


See Also

Count


TJclRegionInfo.Create Constructor

See Also	TJclRegionInfo Class

Creates a TJclRegionInfo class for a specified TJclRegion.

Pascal

constructor Create(Region: TJclRegion);

Description

Creates a TJclRegionInfo class for a specified TJclRegion. This is a snapshot of the region. The class can be created through the GetRegionInfo method of TJclRegion.

Parameters

Region: TJclRegion

The region from which you want the info.

Donator

Wim De Cleen

Class

TJclRegionInfo Class


See Also

TJclRegion


TJclRegionInfo.Destroy Destructor

TJclRegionInfo Class

Destroys the class.

Pascal

destructor Destroy; override;

Description

Destroys the class.

Donator

Wim De Cleen

Class

TJclRegionInfo Class


TJclRegionInfo.GetCount Method

TJclRegionInfo Class

function GetCount: Integer;

Class

TJclRegionInfo Class


TJclRegionInfo.GetRect Method

TJclRegionInfo Class

function GetRect(index: Integer): TRect;

Class

TJclRegionInfo Class


Types

Legend

Graphics

Topics

TJclRegionType

Specifies the complexity of the region.

Enumerations

 TGradientDirection

Specifies the direction of the gradient.

 TPolyFillMode

Specifies the fillmode of a poly region.

Records

 TPointF

Types

TColor32

TColor32 represents an ARGB color quad.

TColor32Array

TColor32 Arrays.

TPalette32

TPalette32 types are mostly used to simulate palette-based operations.

TDynPointArrayF

TDynDynPointArrayArrayF

TDynPointArray

TDynDynPointArrayArray

TDynDynIntegerArrayArray

TGamma

TLUT8

TScanLine

TScanLines

Legend

Enumeration

Record


Types Enumerations

Types	Legend

Enumerations

 TGradientDirection

Specifies the direction of the gradient.

 TPolyFillMode

Specifies the fillmode of a poly region.


Legend

Enumeration


Topics

Types

Topics

TJclRegionType

Specifies the complexity of the region.


Types

Types

Types

TColor32

TColor32 represents an ARGB color quad.

TColor32Array

TColor32 Arrays.

TPalette32

TPalette32 types are mostly used to simulate palette-based operations.

TDynPointArrayF

TDynDynPointArrayArrayF

TDynPointArray

TDynDynPointArrayArray

TDynDynIntegerArrayArray

TGamma

TLUT8

TScanLine

TScanLines


Types Records

Types	Legend

Records

 TPointF


Legend

Record


Legend

Types

Legend

Enumeration

Record


TGradientDirection Enumeration

See Also

Specifies the direction of the gradient.

Pascal

TGradientDirection = (
  gdVertical,
  gdHorizontal
);

Description

Specifies the direction of the gradient. This can be gdVertical and gdHorizontial.

Donator

Petr Vones

Group

Types

Unit

JclQGraphics


See Also

FillGradient FillGradient


TPolyFillMode Enumeration

See Also

Specifies the fillmode of a poly region.

Pascal

TPolyFillMode = (
  fmAlternate,
  fmWinding
);

Description

Specifies the fillmode of a poly region. If this parameter is set to fmAlternate then the region is filled between odd-numbered and even-numbered sides of the polygon. Specifing fmWinding will fill any part of the poly region with a non-zero winding value.

Donator

Wim De Cleen

Group

Types

Unit

JclQGraphics


See Also

CreatePoly, CreatePolyPolygon


TJclRegionType

See Also

Specifies the complexity of the region.

Description

Specifies the complexity of the region. The following values can be specified:
Value	Description
rtNull	The region is empty
rtSimple	The region is a rectangle region
rtComplex	The region consists of more than one rectangle
rtError	The region is in error state, the last function that was executed failed.
Donator

Wim De Cleen

Group

Types


See Also

TJclRegion


TColor32 Type

TColor32 represents an ARGB color quad.

Pascal

TColor32 = type Longword;

Description

TColor32 represents an ARGB color quad.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphUtils


TColor32Array Type

TColor32 Arrays.

Pascal

TColor32Array = array [0..MaxInt div SizeOf(TColor32) - 1] of TColor32;

Description

TColor32 Arrays.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphUtils


TPalette32 Type

TPalette32 types are mostly used to simulate palette-based operations.

Pascal

TPalette32 = array [Byte] of TColor32;

Description

TPalette32 types are mostly used to simulate palette-based operations.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphUtils


TPointF Record

See Also

TPointF = record
  X: Single;
  Y: Single;
end;

Description

The TPointF type defines a location in pixel space.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


See Also

TDynPointArrayF, TDynDynPointArrayArrayF


TDynPointArrayF Type

See Also

TDynPointArrayF = array of TPointF;

Description

TDynPointArrayF defines a one-dimensional dynamic array of TPointF.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


See Also

TDynDynPointArrayArrayF, TDynPointArray


TDynDynPointArrayArrayF Type

TDynDynPointArrayArrayF = array of TDynPointArrayF;

Description

TDynDynPointArrayArrayF defines a two-dimensional dynamic array of TPointF, respectively a one-dimensional array of TDynPointArrayF, which means the same.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


TDynPointArray Type

See Also

TDynPointArray = array of TPoint;

Description

TDynPointArray defines a one-dimensional dynamic array of TPoint.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


See Also

TDynPointArrayF, TDynDynPointArrayArray


TDynDynPointArrayArray Type

TDynDynPointArrayArray = array of TDynPointArray;

Description

TDynDynPointArrayArray defines a two-dimensional dynamic array of TPoint, respectively a one-dimensional array of TDynPointArray, which means the same.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


TDynDynIntegerArrayArray Type

TDynDynIntegerArrayArray = array of TDynIntegerArray;

Description

TDynDynIntegerArrayArray defines a two-dimensional dynamic array of Integer, respectively a one-dimensional array of TDynIntegerArray, which means the same.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


TGamma Type

See Also

TGamma = array [Byte] of Byte;

Description

Internal Gamma bias table type as used for line/pixel antialiasing/shape correction.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


TLUT8 Type

See Also

TLUT8 = array [Byte] of Byte;

Description

A look-up table of 256 values, each ranging from 0 to 255.

TLUT8 is used to transform color data with ApplyLUT procedure.

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


TScanLine Type

See Also

TScanLine = array of Integer;

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


See Also

TScanLines


TScanLines Type

See Also

TScanLines = array of TScanLine;

Donator

Alex Denissov

Group

Types

Unit

JclQGraphics


See Also

TScanLine


Internationalisation

JEDI Code Library

Topics

Keyboard Input

National Language Support


Topics

Internationalisation

Topics

Keyboard Input

National Language Support


Keyboard Input

Legend

Internationalisation

Classes

TJclKeyboardLayoutList

Maintains a list of input locale identifiers.

TJclKeyboardLayout

Wrapper for a loaded input locale identifier.

TJclAvailableKeybLayout

Describes an available keyboard layout.

Enumerations

 TJclKeybLayoutFlag

Set of flags which describe how to load, unload or activate an input locale identifier.[Description]

Types

TJclKeybLayoutFlags

Set of flags which describe how to load, unload or activate an input locale identifier.[Description]

Legend

Enumeration


Keyboard Input Classes

Keyboard Input

Classes

TJclKeyboardLayoutList

Maintains a list of input locale identifiers.

TJclKeyboardLayout

Wrapper for a loaded input locale identifier.

TJclAvailableKeybLayout

Describes an available keyboard layout.


Keyboard Input Enumerations

Keyboard Input	Legend

Enumerations

 TJclKeybLayoutFlag

Set of flags which describe how to load, unload or activate an input locale identifier.[Description]


Legend

Enumeration


Keyboard Input Types

Keyboard Input

Types

TJclKeybLayoutFlags

Set of flags which describe how to load, unload or activate an input locale identifier.[Description]


Legend

Keyboard Input

Legend

Enumeration


TJclKeyboardLayoutList Class

Properties	Methods	Legend

Maintains a list of input locale identifiers.

Pascal

TJclKeyboardLayoutList = class(TObject);

Description

The TJclKeyboardLayoutList class maintains a list of input locale identifiers (formerly called keyboard layout handles) corresponding to the current set of input locales in the system. Note that unlike keyboard layouts, an input locale can also encompass a speech-to-toext converter, IME or any other kind of input.

Donator

Petr Vones

Group

Keyboard Input

Legend

read only

Constructor

protected

Unit

JclLocales


TJclKeyboardLayoutList Class Properties

TJclKeyboardLayoutList Class	Legend

Properties

 ActiveLayout

Returns the currently active input locale identifier for the calling thread.

 AvailableLayoutCount

Returns the number of elements in the AvailableLayouts list.

 AvailableLayouts

 Count

The number of elements in the list.

 ItemFromHKL

Returns the TJclKeyboardLayout class for a specified input locale identifier.

 Items

The list of loaded input locale identifiers.

 LayoutFromLocaleID

Returns the TJclKeyboardLayout class for a specified locale identifier.

OnRefresh

The event is fired whenever the list is refreshed, either implicitly or explicitly.


Legend

read only


TJclKeyboardLayoutList Class Methods

TJclKeyboardLayoutList Class	Legend

Methods

ActivateNextLayout

Activates the next input locale identifier.

ActivatePrevLayout

Activates the previous input locale identifier.

 Create

 CreateAvailableLayouts

 Destroy

 DoRefresh

LoadLayout

Loads a new input locale identifier.

Refresh

Refreshes the list of input locales and fires the OnRefresh event.


Legend

Constructor

protected


Legend

TJclKeyboardLayoutList Class

Legend

read only

Constructor

protected


TJclKeyboardLayoutList Class Members

TJclKeyboardLayoutList Class	Legend

Members

Properties

 ActiveLayout

Returns the currently active input locale identifier for the calling thread.

 AvailableLayoutCount

Returns the number of elements in the AvailableLayouts list.

 AvailableLayouts

 Count

The number of elements in the list.

 ItemFromHKL

Returns the TJclKeyboardLayout class for a specified input locale identifier.

 Items

The list of loaded input locale identifiers.

 LayoutFromLocaleID

Returns the TJclKeyboardLayout class for a specified locale identifier.

OnRefresh

The event is fired whenever the list is refreshed, either implicitly or explicitly.

Methods

ActivateNextLayout

Activates the next input locale identifier.

ActivatePrevLayout

Activates the previous input locale identifier.

 Create

 CreateAvailableLayouts

 Destroy

 DoRefresh

LoadLayout

Loads a new input locale identifier.

Refresh

Refreshes the list of input locales and fires the OnRefresh event.


Legend

read only

Constructor

protected


TJclKeyboardLayoutList.ActiveLayout Property

TJclKeyboardLayoutList Class

Returns the currently active input locale identifier for the calling thread.

Pascal

property ActiveLayout: TJclKeyboardLayout;

Description

Returns the currently active input locale identifier for the calling thread.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.AvailableLayoutCount Property

TJclKeyboardLayoutList Class

Returns the number of elements in the AvailableLayouts list.

Pascal

property AvailableLayoutCount: Integer;

Description

Returns the number of elements in the AvailableLayouts list.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.AvailableLayouts Property

TJclKeyboardLayoutList Class

property AvailableLayouts [Index: Integer]: TJclAvailableKeybLayout;

Description

A list of TJclAvailableKeybLayout items representing the available keyboard layouts. The AvailableLayoutCount property contains the number of elements in this list and as such the valid indices range from 0 to AvailableLayoutCount - 1.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.Count Property

TJclKeyboardLayoutList Class

The number of elements in the list.

Pascal

property Count: Integer;

Description

Count returns the number of elements in the Items list. Note that the Items list is zero based and therefore valid indices range from 0 to Count - 1.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.ItemFromHKL Property

TJclKeyboardLayoutList Class

Returns the TJclKeyboardLayout class for a specified input locale identifier.

Pascal

property ItemFromHKL [Layout: HKL]: TJclKeyboardLayout;

Description

ItemFromHKL returns the TJclKeyboardLayout item from the list of loaded input locale identifiers with the specified identifier. If the specified input identifier does not exist in the list (it is not loaded) the property reads nil.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.Items Property

TJclKeyboardLayoutList Class

The list of loaded input locale identifiers.

Pascal

property Items [Index: Integer]: TJclKeyboardLayout;

Description

Items contains the list of loaded input locale identifiers. Each entry contains a TJclKeyboardLayout class which you can use to read information about the input locale identifier or manipulate it (such as activation).

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.LayoutFromLocaleID Property

TJclKeyboardLayoutList Class

Returns the TJclKeyboardLayout class for a specified locale identifier.

Pascal

property LayoutFromLocaleID [LocaleID: Word]: TJclKeyboardLayout;

Description

LayoutFromLocaleID returns the TJclKeyboardLayout item from the list of loaded input locale identifiers with the specified locale identifier. If the specified input identifier does not exist in the list (it is not loaded) the property reads nil.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.OnRefresh Property

TJclKeyboardLayoutList Class

The event is fired whenever the list is refreshed, either implicitly or explicitly.

Pascal

property OnRefresh: TNotifyEvent;

Description

The event is fired whenever the list is refreshed, either implicitly or explicitly.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.ActivateNextLayout Method

TJclKeyboardLayoutList Class

Activates the next input locale identifier.

Pascal

function ActivateNextLayout(ActivateFlags: TJclKeybLayoutFlags = []): Boolean;

Description

The system maintains a circular list of all loaded input locale identifiers. Calling this method will result in the input locale identifier that succeeds the currently active input locale to be activated.

Parameters

ActivateFlags: TJclKeybLayoutFlags = []

Set of flags that determine how the input locale is to be activated. See TjclKeybLayoutFlags for a detailed description of the possible flags.

Return Value

If the function succeeds it returns True otherwise it returns False.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.ActivatePrevLayout Method

TJclKeyboardLayoutList Class

Activates the previous input locale identifier.

Pascal

function ActivatePrevLayout(ActivateFlags: TJclKeybLayoutFlags = []): Boolean;

Description

The system maintains a circular list of all loaded input locale identifiers. Calling this method will result in the input locale identifier that preceeds the currently active input locale to be activated.

Parameters

ActivateFlags: TJclKeybLayoutFlags = []

Set of flags that determine how the input locale is to be activated. See TjclKeybLayoutFlags for a detailed description of the possible flags.

Return Value

If the function succeeds it returns True otherwise it returns False.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.Create Constructor

TJclKeyboardLayoutList Class

constructor Create;

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.CreateAvailableLayouts Method

TJclKeyboardLayoutList Class

procedure CreateAvailableLayouts;

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.Destroy Destructor

TJclKeyboardLayoutList Class

destructor Destroy; override;

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.DoRefresh Method

TJclKeyboardLayoutList Class

procedure DoRefresh; dynamic;

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.LoadLayout Method

TJclKeyboardLayoutList Class

Loads a new input locale identifier.

Pascal

function LoadLayout(const LayoutName: string; LoadFlags: TJclKeybLayoutFlags): Boolean;

Description

The LoadLayout method loads a new input locale identifier into the system. Note that many input locale identifiers can be loaded at the same time, but only can be active at any moment. This method only loads the input locale identifier but does not activate it. To do so use the Activate method of the TJclKeyboardLayout class.

Parameters

const LayoutName: string

Name of the input locale identifier to load. The name is composed of the hexadecimal value of the language identifier (low word) and a devide identifier (high word).

LoadFlags: TJclKeybLayoutFlags

Set of flags that determine how the input locale identifier is loaded. See TJclKeybLayoutFlags for an explanantion of the possible flags.

Return Value

If the function succeeds it returns True and automatically refreshes the list. If the funcion fails it returns False and the list remains unchanged.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayoutList.Refresh Method

TJclKeyboardLayoutList Class

Refreshes the list of input locales and fires the OnRefresh event.

Pascal

procedure Refresh;

Description

Refreshes the list of input locales and fires the OnRefresh event.

Donator

Petr Vones

Class

TJclKeyboardLayoutList Class


TJclKeyboardLayout Class

Properties	Methods	Legend

Wrapper for a loaded input locale identifier.

Pascal

TJclKeyboardLayout = class(TObject);

Description

TJclKeyboardLayout is a wrapper for an input locale identifier which is loaded in the system. You can use it to retrieve information about the input locale identifier and manipulate it, for example, unload or activate it. You normally don't create instances of this class directly but instead use the TJclKeyboardLayoutList to maintain a list of loaded TJclKeyboardLayout objects and retrieve them from there.

Donator

Petr Vones

Group

Keyboard Input

Legend

read only

Constructor

Unit

JclLocales


TJclKeyboardLayout Class Properties

TJclKeyboardLayout Class	Legend

Properties

 DeviceHandle

Extracts the device identifier part from the input locale identifier that this object represents.

 DisplayName

Returns the (localized) display name for this keyboard layout.

 Layout

Returns the input locale identifier that this object represents.

 LocaleID

Extracts the locale identifier from the input locale identifier.

 LocaleInfo

Provides access to the locale information for this input locale identifier.

 VariationName

Returns the variation name for this keyboard layout.


Legend

read only


TJclKeyboardLayout Class Methods

TJclKeyboardLayout Class	Legend

Methods

Activate

Activates the input locale identifier represented by this object.

 Create

Creates an instance of TJclKeyboardLayout which represents an input locale identifier.

 Destroy

Unload

Unloads the input locale identifier.


Legend

Constructor


Legend

TJclKeyboardLayout Class

Legend

read only

Constructor


TJclKeyboardLayout Class Members

TJclKeyboardLayout Class	Legend

Members

Properties

 DeviceHandle

Extracts the device identifier part from the input locale identifier that this object represents.

 DisplayName

Returns the (localized) display name for this keyboard layout.

 Layout

Returns the input locale identifier that this object represents.

 LocaleID

Extracts the locale identifier from the input locale identifier.

 LocaleInfo

Provides access to the locale information for this input locale identifier.

 VariationName

Returns the variation name for this keyboard layout.

Methods

Activate

Activates the input locale identifier represented by this object.

 Create

Creates an instance of TJclKeyboardLayout which represents an input locale identifier.

 Destroy

Unload

Unloads the input locale identifier.


Legend

read only

Constructor


TJclKeyboardLayout.DeviceHandle Property

TJclKeyboardLayout Class

Extracts the device identifier part from the input locale identifier that this object represents.

Pascal

property DeviceHandle: Word;

Description

Extracts the device identifier part from the input locale identifier that this object represents.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.DisplayName Property

TJclKeyboardLayout Class

Returns the (localized) display name for this keyboard layout.

Pascal

property DisplayName: string;

Description

Returns the (localized) display name for this keyboard layout.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.Layout Property

TJclKeyboardLayout Class

Returns the input locale identifier that this object represents.

Pascal

property Layout: HKL;

Description

Returns the input locale identifier that this object represents.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.LocaleID Property

TJclKeyboardLayout Class

Extracts the locale identifier from the input locale identifier.

Pascal

property LocaleID: Word;

Description

Extracts the locale identifier from the input locale identifier that this object represents. Note that the Locale Identifier is referred to as the language identifier in the Microsoft documentation.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.LocaleInfo Property

TJclKeyboardLayout Class

Provides access to the locale information for this input locale identifier.

Pascal

property LocaleInfo: TJclLocaleInfo;

Description

Returns a TJclLocaleInfo object which provides access to information about the locale identifier associated with this input locale identifier. The object remains owned by this class so you don't have to free it.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.VariationName Property

TJclKeyboardLayout Class

Returns the variation name for this keyboard layout.

Pascal

property VariationName: string;

Description

Returns the variation name for this keyboard layout.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.Activate Method

TJclKeyboardLayout Class

Activates the input locale identifier represented by this object.

Pascal

function Activate(ActivateFlags: TJclKeybLayoutFlags = []): Boolean;

Description

Activates the input locale identifier represented by this object.

Parameters

ActivateFlags: TJclKeybLayoutFlags = []

Set of flags that determine how the input locale identifier is activated. See TJclKeybLayoutFlags for a detailed description of the possible flags.

Return Value

If the function succeeds it returns True otherwise it returns False.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.Create Constructor

TJclKeyboardLayout Class

Creates an instance of TJclKeyboardLayout which represents an input locale identifier.

Pascal

constructor Create(AOwner: TJclKeyboardLayoutList; ALayout: HKL);

Description

Creates an instance of TJclKeyboardLayout which represents an input locale identifier. Note that you normally don't construct instances of this class explicitly but instead use the TJclKeyboardLayoutList to maintain a list of TJclKeyboardLayout objects. You can, however, create an instance yourself. If you do so set the AOwner parameter to nil.

Parameters

AOwner: TJclKeyboardLayoutList

Instance of the TJclKeyboardLayoutList that is creating this object. The supplied object is automatically kept up to date in case of changes (such as unloading of the input locale identifier).

ALayout: HKL

The input locale identifier which this class will represent.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.Destroy Destructor

TJclKeyboardLayout Class

destructor Destroy; override;

Class

TJclKeyboardLayout Class


TJclKeyboardLayout.Unload Method

TJclKeyboardLayout Class

Unloads the input locale identifier.

Pascal

function Unload: Boolean;

Description

Unloads the input locale identifier represented by this object. After calling this method the input locale identifier is no longer available until it is explicitly loaded again. If this object is connected to a TJclKeyboardLayoutList through the AOwner parameter of it's constructor, that list is automatically updated to reflect the change.

Return Value

If the function succeeds it returns True and update the AOwner list, if present. If the function fails it returns False and the AOwner list remains unchanged.

Donator

Petr Vones

Class

TJclKeyboardLayout Class


TJclKeybLayoutFlag Enumeration

Set of flags which describe how to load, unload or activate an input locale identifier.[Description]

Pascal

TJclKeybLayoutFlag = (
  klReorder,
  klUnloadPrevious,
  klSetForProcess,
  klActivate,
  klNotEllShell,
  klReplaceLang,
  klSubstituteOK
);
TJclKeybLayoutFlags = set of TJclKeybLayoutFlag;

Description

Set of flags which describe how to load, unload or activate an input locale identifier. It is used by the TJclKeyboardLayout and TJclKeyboardLayoutList classes.

klReorder

Moves the specified input locale identifier to the head of the input locale identifier list, making that locale identifier the active locale identifier for the current thread. This value reorders the input locale identifier list even if KLF_ACTIVATE is not provided.

klUnloadPrevious

Unsupported.

klSetForProcess

This flag is valid only with KLF_ACTIVATE. Activates the specified input locale identifier for the entire process and sends the WM_INPUTLANGCHANGE message to the current thread's Focus or Active window. Typically, LoadKeyboardLayout activates an input locale identifier only for the current thread. This flag is only supported for Windows 2000.

klActivate

If the specified input locale identifier is not already loaded, the function loads and activates the input locale identifier for the current thread.

klNotEllShell

Prevents a ShellProc hook procedure from receiving an HSHELL_LANGUAGE hook code when the new input locale identifier is loaded. This value is typically used when an application loads multiple input locale identifiers one after another. Applying this value to all but the last input locale identifier delays the shell's processing until all input locale identifiers have been added.

klReplaceLang

If the new input locale identifier has the same language identifier as a current input locale identifier, the new input locale identifier replaces the current one as the input locale identifier for that language. If this value is not provided and the input locale identifiers have the same language identifiers, the current input locale identifier is not replaced and the function returns NULL.

klSubstituteOK

Substitutes the specified input locale identifier with another locale preferred by the user. The system starts with this flag set, and it is recommended that your application always use this flag. The substitution occurs only if the registry key HKEY_CURRENT_USERKeyboard LayoutSubstitutes explicitly defines a substitution locale. For example, if the key includes the value name "00000409" with value "00010409", loading the U.S. English layout ("00000409") causes the Dvorak U.S. English layout ("00010409") to be loaded instead. The system uses KLF_SUBSTITUTE_OK when booting, and it is recommended that all applications use this value when loading input locale identifiers to ensure that the user's preference is selected.

Donator

Petr Vones

Group

Keyboard Input

Unit

JclLocales


TJclAvailableKeybLayout Class

Properties	Methods	Legend

Describes an available keyboard layout.

Pascal

TJclAvailableKeybLayout = class(TObject);

Description

Describes an available keyboard layout.

Donator

Petr Vones

Group

Keyboard Input

Legend

read only

Unit

JclLocales


TJclAvailableKeybLayout Class Properties

TJclAvailableKeybLayout Class	Legend

Properties

 Identifier

The Windows keyboard layout code.

 IdentifierName

String representation (8-digit hexadecimal value) of the keybaord layout code.

 LayoutFile

Specifies the DLL for the keyboard layout or Input Method Editor (IME).

 LayoutFileExists

Returns whether the file specified by the LayoutFile property exists in the filesystem.

 LayoutID

Specifies the ID number of an alternate keyboard layout or Input Method Editor (IME).

 Name

Name of the keybaord layout or Input Method Editor.


Legend

read only


TJclAvailableKeybLayout Class Methods

TJclAvailableKeybLayout Class

Methods

Load

Loads the keyboard layout.


Legend

TJclAvailableKeybLayout Class

Legend

read only


TJclAvailableKeybLayout Class Members

TJclAvailableKeybLayout Class	Legend

Members

Properties

 Identifier

The Windows keyboard layout code.

 IdentifierName

String representation (8-digit hexadecimal value) of the keybaord layout code.

 LayoutFile

Specifies the DLL for the keyboard layout or Input Method Editor (IME).

 LayoutFileExists

Returns whether the file specified by the LayoutFile property exists in the filesystem.

 LayoutID

Specifies the ID number of an alternate keyboard layout or Input Method Editor (IME).

 Name

Name of the keybaord layout or Input Method Editor.

Methods

Load

Loads the keyboard layout.


Legend

read only


TJclAvailableKeybLayout.Identifier Property

TJclAvailableKeybLayout Class

The Windows keyboard layout code.

Pascal

property Identifier: DWORD;

Description

An 8-digit hexadecimal Windows keyboard layout code. The first four digits of the codes indicate whether the keyboard layout or IME is the default layout for the language (as indicated by all zeros), or a variation of the default (other than zeros). The last four digits are the standard locale ID. For example, the 00010402 subkey represents the first variation of the keyboard layouts associated with locale 0x0402 (Bulgarian).

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.IdentifierName Property

TJclAvailableKeybLayout Class

String representation (8-digit hexadecimal value) of the keybaord layout code.

Pascal

property IdentifierName: string;

Description

String representation (8-digit hexadecimal value) of the keybaord layout code. The string is formed on demand using the Idenitifier property.

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.LayoutFile Property

TJclAvailableKeybLayout Class

Specifies the DLL for the keyboard layout or Input Method Editor (IME).

Pascal

property LayoutFile: string;

Description

Specifies the DLL for the keyboard layout or Input Method Editor (IME).

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.LayoutFileExists Property

TJclAvailableKeybLayout Class

Returns whether the file specified by the LayoutFile property exists in the filesystem.

Pascal

property LayoutFileExists: Boolean;

Description

Returns whether the file specified by the LayoutFile property exists in the filesystem.

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.LayoutID Property

TJclAvailableKeybLayout Class

Specifies the ID number of an alternate keyboard layout or Input Method Editor (IME).

Pascal

property LayoutID: Word;

Description

Specifies the ID number of an alternate keyboard layout or Input Method Editor (IME).

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.Name Property

TJclAvailableKeybLayout Class

Name of the keybaord layout or Input Method Editor.

Pascal

property Name: string;

Description

Specifies the name used to represent the keyboard layout or Input Method Editor (IME) on the Input Locales tab of Regional Options in Control Panel.

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


TJclAvailableKeybLayout.Load Method

TJclAvailableKeybLayout Class

Loads the keyboard layout.

Pascal

function Load(const LoadFlags: TJclKeybLayoutFlags): Boolean;

Description

Loads the keyboard layout. This method is implemented by calling the TJclAvailableKeybLayout.Load method. See the description of that method for more information.

Donator

Petr Vones

Class

TJclAvailableKeybLayout Class


National Language Support

Legend

Internationalisation

Classes

TJclLocaleInfo

TJclLocaleInfo represents an installed or supported locale.

TJclLocalesList

Maintains information about supported locales and codepages.

Enumerations

 TJclLocalesKind

TJclLocalesKind is used by the TJclLocalesList class to specify whether the list contains elements for all supported or all installed locales and codepages.

Legend

Enumeration


National Language Support Classes

National Language Support

Classes

TJclLocaleInfo

TJclLocaleInfo represents an installed or supported locale.

TJclLocalesList

Maintains information about supported locales and codepages.


National Language Support Enumerations

National Language Support	Legend

Enumerations

 TJclLocalesKind

TJclLocalesKind is used by the TJclLocalesList class to specify whether the list contains elements for all supported or all installed locales and codepages.


Legend

Enumeration


Legend

National Language Support

Legend

Enumeration


TJclLocaleInfo Class

Properties	Methods	Legend

TJclLocaleInfo represents an installed or supported locale.

Pascal

TJclLocaleInfo = class(TObject);

Description

TJclLocaleInfo represents an installed or supported locale. You can use it to easily access information about the locale.

Donator

Petr Vones

Group

National Language Support

Legend

read only

Constructor

Unit

JclLocales


TJclLocaleInfo Class Properties

TJclLocaleInfo Class	Legend

Properties

 AbbreviatedCountryName

Abbreviated name of the country/region, mostly based on the ISO Standard 3166.

 AbbreviatedDayNames

Returns a list of native abbreviated names for the days in a week.

 AbbreviatedLangName

Abbreviated name of the language.

 AbbreviatedMonthNames

Returns a list of native abbreviated names for the months in a year.

 AdditionalCaledarTypes

AMDesignator

 CalendarIntegerInfo

 Calendars

 CalendarStringInfo

CalendarType

 CalTwoDigitYearMax

 CenturyFormatSpecifier

CharInfo

Retrieves character typed locale information.

 CodePageANSI

ANSI code page associated with this locale.

 CodePageMAC

Default Macintosh code page associated with the locale.

 CodePageOEM

Original equipment manufacturer (OEM) code page associated with the country/region.

 CountryCode

Code for the principal country/region in this locale.

 DateFormats

List of date formats that are available for this locale.

DateSeparator

DecimalSeparator

Character(s) used as the decimal separator.

 DefaultCodePageEBCDIC

 DefaultCountryCode

 DefaultLanguageId

 DefaultPaperSize

DigitGrouping

 DigitSubstitution

 EnglishCountryName

Full English name of the country/region.

 EnglishCurrencyName

 EnglishLangName

Full English name of the language from the ISO standard 639.

FirstDayOfWeek

FirstWeekOfYear

 FontCharset

Returns the font character set associated with the locale.

 FontSignature

IntegerInfo

Retrieves Integer typed locale information.

 ISOAbbreviatedCountryName

 ISOAbbreviatedLangName

 LangID

Returns the language identifier.

 LangIDPrimary

Returns the primary language identifier.

 LangIDSub

Returns the sublanguage identifier.

 LanguageIndentifier

Language identifier.

LeadingZeros

 LeadZerosInDay

 LeadZerosInMonth

 LeadZerosInTime

ListItemSeparator

Character(s) used to separate list items.

 LocaleID

Returns the locale identifier.

 LocalizedCountryName

Full localized name of the country/region.

 LocalizedLangName

Full localized name of the language.

 LocalizedSortName

LongDateFormat

 LongDateOrdering

 LongDayNames

Returns the native long name for the specified day.

 LongMonthNames

Returns the native long name for the specified month.

Measure

MonetaryDecimalSeparator

MonetaryGrouping

 MonetarySymbolIntl

Three characters of the international monetary symbol specified in ISO 4217 followed by the character separating this string from the amount.

MonetarySymbolLocal

String used as the local monetary symbol. The maximum number of characters allowed for this string is six.

MonetaryThousandsSeparator

 NativeCountryName

Native name of the country/region.

 NativeCurrencyName

 NativeDigits

 NativeLangName

NegativeCurrencyMode

NegativeNumberMode

NegativeSign

 NegativeSignPos

NumberOfFractionalDigits

 NumberOfIntlMonetaryDigits

NumberOfLocalMonetaryDigits

PMDesignator

PositiveCurrencyMode

PositiveSign

 PositiveSignPos

 PosOfNegativeMonetarySymbol

 PosOfPositiveMonetarySymbol

 SepOfNegativeMonetarySymbol

 SepOfPositiveMonetarySymbol

ShortDateFormat

 ShortDateOrdering

 SortID

Returns the sort identifier.

StringInfo

Retrieves string typed locale information.

ThousandSeparator

Character(s) used to separate groups of digits to the left of the decimal.

 TimeFormats

Formats that are available for this locale.

TimeFormatSpecifier

TimeFormatString

 TimeMarkerPosition

TimeSeparator

UseSystemACP

Determines whether the system ACP is used for string translation.

YearMonthFormat


Legend

read only


TJclLocaleInfo Class Methods

TJclLocaleInfo Class	Legend

Methods

 Create

Creates an instance of TJclLocaleInfo for a specific locale.

 Destroy


Legend

Constructor


Legend

TJclLocaleInfo Class

Legend

read only

Constructor


TJclLocaleInfo Class Members

TJclLocaleInfo Class	Legend

Members

Properties

 AbbreviatedCountryName

Abbreviated name of the country/region, mostly based on the ISO Standard 3166.

 AbbreviatedDayNames

Returns a list of native abbreviated names for the days in a week.

 AbbreviatedLangName

Abbreviated name of the language.

 AbbreviatedMonthNames

Returns a list of native abbreviated names for the months in a year.

 AdditionalCaledarTypes

AMDesignator

 CalendarIntegerInfo

 Calendars

 CalendarStringInfo

CalendarType

 CalTwoDigitYearMax

 CenturyFormatSpecifier

CharInfo

Retrieves character typed locale information.

 CodePageANSI

ANSI code page associated with this locale.

 CodePageMAC

Default Macintosh code page associated with the locale.

 CodePageOEM

Original equipment manufacturer (OEM) code page associated with the country/region.

 CountryCode

Code for the principal country/region in this locale.

 DateFormats

List of date formats that are available for this locale.

DateSeparator

DecimalSeparator

Character(s) used as the decimal separator.

 DefaultCodePageEBCDIC

 DefaultCountryCode

 DefaultLanguageId

 DefaultPaperSize

DigitGrouping

 DigitSubstitution

 EnglishCountryName

Full English name of the country/region.

 EnglishCurrencyName

 EnglishLangName

Full English name of the language from the ISO standard 639.

FirstDayOfWeek

FirstWeekOfYear

 FontCharset

Returns the font character set associated with the locale.

 FontSignature

IntegerInfo

Retrieves Integer typed locale information.

 ISOAbbreviatedCountryName

 ISOAbbreviatedLangName

 LangID

Returns the language identifier.

 LangIDPrimary

Returns the primary language identifier.

 LangIDSub

Returns the sublanguage identifier.

 LanguageIndentifier

Language identifier.

LeadingZeros

 LeadZerosInDay

 LeadZerosInMonth

 LeadZerosInTime

ListItemSeparator

Character(s) used to separate list items.

 LocaleID

Returns the locale identifier.

 LocalizedCountryName

Full localized name of the country/region.

 LocalizedLangName

Full localized name of the language.

 LocalizedSortName

LongDateFormat

 LongDateOrdering

 LongDayNames

Returns the native long name for the specified day.

 LongMonthNames

Returns the native long name for the specified month.

Measure

MonetaryDecimalSeparator

MonetaryGrouping

 MonetarySymbolIntl

Three characters of the international monetary symbol specified in ISO 4217 followed by the character separating this string from the amount.

MonetarySymbolLocal

String used as the local monetary symbol. The maximum number of characters allowed for this string is six.

MonetaryThousandsSeparator

 NativeCountryName

Native name of the country/region.

 NativeCurrencyName

 NativeDigits

 NativeLangName

NegativeCurrencyMode

NegativeNumberMode

NegativeSign

 NegativeSignPos

NumberOfFractionalDigits

 NumberOfIntlMonetaryDigits

NumberOfLocalMonetaryDigits

PMDesignator

PositiveCurrencyMode

PositiveSign

 PositiveSignPos

 PosOfNegativeMonetarySymbol

 PosOfPositiveMonetarySymbol

 SepOfNegativeMonetarySymbol

 SepOfPositiveMonetarySymbol

ShortDateFormat

 ShortDateOrdering

 SortID

Returns the sort identifier.

StringInfo

Retrieves string typed locale information.

ThousandSeparator

Character(s) used to separate groups of digits to the left of the decimal.

 TimeFormats

Formats that are available for this locale.

TimeFormatSpecifier

TimeFormatString

 TimeMarkerPosition

TimeSeparator

UseSystemACP

Determines whether the system ACP is used for string translation.

YearMonthFormat

Methods

 Create

Creates an instance of TJclLocaleInfo for a specific locale.

 Destroy


Legend

read only

Constructor


TJclLocaleInfo.AbbreviatedCountryName Property

TJclLocaleInfo Class

Abbreviated name of the country/region, mostly based on the ISO Standard 3166.

Pascal

property AbbreviatedCountryName: string;

Description

Abbreviated name of the country/region, mostly based on the ISO Standard 3166.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.AbbreviatedDayNames Property

TJclLocaleInfo Class

Returns a list of native abbreviated names for the days in a week.

Pascal

property AbbreviatedDayNames [Day: TJclLocalesDays]: string;

Description

AbbreviatedDayNames contains a list of abbreviated names, one for each day of the week. The list is indexed with a 1-based index which indicates the day for which to retrieve the abbreviated name. For example, 1 is monday, 2 is tuesday and so forth.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.AbbreviatedLangName Property

TJclLocaleInfo Class

Abbreviated name of the language.

Pascal

property AbbreviatedLangName: string;

Description

Abbreviated name of the language. In most cases it is created by taking the two-letter language abbreviation from the ISO Standard 639 and adding a third letter, as appropriate, to indicate the sublanguage.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.AbbreviatedMonthNames Property

TJclLocaleInfo Class

Returns a list of native abbreviated names for the months in a year.

Pascal

property AbbreviatedMonthNames [Month: TJclLocalesMonths]: string;

Description

AbbreviatedMonthNames contains a list of abbreviated names, one for each month of the year. The list is indexed with a 1-based index which indicates the month for which to retrieve the abbreviated name. For example, 1 is january, 2 is february and so forth.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.AdditionalCaledarTypes Property

TJclLocaleInfo Class

property AdditionalCaledarTypes: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.AMDesignator Property

TJclLocaleInfo Class

property AMDesignator: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CalendarIntegerInfo Property

TJclLocaleInfo Class

property CalendarIntegerInfo [Calendar: CALID; InfoType: Integer]: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.Calendars Property

TJclLocaleInfo Class

property Calendars: TStrings;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CalendarStringInfo Property

TJclLocaleInfo Class

property CalendarStringInfo [Calendar: CALID; InfoType: Integer]: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CalendarType Property

TJclLocaleInfo Class

property CalendarType: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CalTwoDigitYearMax Property

TJclLocaleInfo Class

property CalTwoDigitYearMax [Calendar: CALID]: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CenturyFormatSpecifier Property

TJclLocaleInfo Class

property CenturyFormatSpecifier: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.CharInfo Property

TJclLocaleInfo Class

Retrieves character typed locale information.

Pascal

property CharInfo [InfoType: Integer]: Char;

Description

The CharInfo property lets you read character typed locale information directly. The InfoType is an Integer which specifies the locale information type which you want to retrieve. You can specify any LOCALE_* information types as documented in the Platform SDK documentation on GetLocaleInfo. Note that if the locale information type requested is string based, only the first character of the string is returned. This property should only be used for those information types that are not directly supported by this class through its properties.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.CodePageANSI Property

TJclLocaleInfo Class

ANSI code page associated with this locale.

Pascal

property CodePageANSI: Integer;

Description

American National Standards Institute (ANSI) code page associated with this locale. If the locale does not use an ANSI code page, the value is 0. The maximum number of characters allowed for this string is six.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.CodePageMAC Property

TJclLocaleInfo Class

Default Macintosh code page associated with the locale.

Pascal

property CodePageMAC: Integer;

Description

Default Macintosh code page associated with the locale. If the locale does not use a Macintosh code page, the value is 2. The maximum number of characters allowed for this string is six.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.CodePageOEM Property

TJclLocaleInfo Class

Original equipment manufacturer (OEM) code page associated with the country/region.

Pascal

property CodePageOEM: Integer;

Description

Original equipment manufacturer (OEM) code page associated with the country/region. If the locale does not use an OEM code page, the value is 1.The maximum number of characters allowed for this string is six.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.CountryCode Property

TJclLocaleInfo Class

Code for the principal country/region in this locale.

Pascal

property CountryCode: Integer;

Description

Code for the principal country/region in this locale. This is provided so that partially specified locales can be completed with default values. The maximum number of characters allowed for this string is six.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.DateFormats Property

TJclLocaleInfo Class

List of date formats that are available for this locale.

Pascal

property DateFormats [Format: TJclLocaleDateFormats]: TStrings;

Description

List of date formats that are available for this locale. The list is indexed by a TJclLocaleDateFormats which is defined as: TJclLocaleDateFormats = (ldShort, ldLong, ldYearMonth); As such the index determines whether the returned list contains the long, short or year/month date formats.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.DateSeparator Property

TJclLocaleInfo Class

property DateSeparator: Char;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DecimalSeparator Property

TJclLocaleInfo Class

Character(s) used as the decimal separator.

Pascal

property DecimalSeparator: Char;

Description

Character(s) used as the decimal separator. The maximum number of characters allowed for this string is four.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.DefaultCodePageEBCDIC Property

TJclLocaleInfo Class

property DefaultCodePageEBCDIC: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DefaultCountryCode Property

TJclLocaleInfo Class

property DefaultCountryCode: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DefaultLanguageId Property

TJclLocaleInfo Class

property DefaultLanguageId: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DefaultPaperSize Property

TJclLocaleInfo Class

property DefaultPaperSize: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DigitGrouping Property

TJclLocaleInfo Class

property DigitGrouping: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.DigitSubstitution Property

TJclLocaleInfo Class

property DigitSubstitution: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.EnglishCountryName Property

TJclLocaleInfo Class

Full English name of the country/region.

Pascal

property EnglishCountryName: string;

Description

Full English name of the country/region. This is always restricted to characters that can be mapped into the ASCII 127-character subset.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.EnglishCurrencyName Property

TJclLocaleInfo Class

property EnglishCurrencyName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.EnglishLangName Property

TJclLocaleInfo Class

Full English name of the language from the ISO standard 639.

Pascal

property EnglishLangName: string;

Description

Full English name of the language from the International Organization for Standardization (ISO) Standard 639. This is always restricted to characters that can be mapped into the ASCII 127-character subset. This is not always equivalent to the English version of LOCALE_SLANGUAGE.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.FirstDayOfWeek Property

TJclLocaleInfo Class

property FirstDayOfWeek: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.FirstWeekOfYear Property

TJclLocaleInfo Class

property FirstWeekOfYear: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.FontCharset Property

TJclLocaleInfo Class

Returns the font character set associated with the locale.

Pascal

property FontCharset: Byte;

Description

FontCharSet returns the font character set associated with the locale. The table below defines the possible return values, if the character set couldn't be found the property reads DEFAULT_CHARSET.
Code page	Character set
??	ANSI_CHARSET
??	EASTEUROPE_CHARSET
??	RUSSIAN_CHARSET
??	GREEK_CHARSET
??	TURKISH_CHARSET
??	HEBREW_CHARSET
??	ARABIC_CHARSET
??	BALTIC_CHARSET
??	THAI_CHARSET
??	SHIFTJIS_CHARSET
Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.FontSignature Property

TJclLocaleInfo Class

property FontSignature: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.IntegerInfo Property

TJclLocaleInfo Class

Retrieves Integer typed locale information.

Pascal

property IntegerInfo [InfoType: Integer]: Integer;

Description

The IntegerInfo property lets you read Integer typed locale information directly. The InfoType is an Integer which specifies the locale information type which you want to retrieve. You can specify any LOCALE_* information types as documented in the Platform SDK documentation on GetLocaleInfo. This property should only be used for those information types that are not directly supported by this class through its properties.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.ISOAbbreviatedCountryName Property

TJclLocaleInfo Class

property ISOAbbreviatedCountryName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.ISOAbbreviatedLangName Property

TJclLocaleInfo Class

property ISOAbbreviatedLangName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LangID Property

TJclLocaleInfo Class

Returns the language identifier.

Pascal

property LangID: LANGID;

Description

LangId returns the language identifier for this locale.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LangIDPrimary Property

TJclLocaleInfo Class

Returns the primary language identifier.

Pascal

property LangIDPrimary: Word;

Description

Extracts the primary language identifier from the language identifier this locale information object represents. The return value can be one of the following values:
LANG_AFRIKAANS	LANG_KONKANI
LANG_ALBANIAN	LANG_KOREAN
LANG_ARABIC	LANG_LATVIAN
LANG_ARMENIAN	LANG_LITHUANIAN
LANG_ASSAMESE	LANG_MACEDONIAN
LANG_AZERI	LANG_MALAY
LANG_BASQUE	LANG_MALAYALAM
LANG_BELARUSIAN	LANG_MANIPURI
LANG_BENGALI	LANG_MARATHI
LANG_BULGARIAN	LANG_NEPALI
LANG_CATALAN	LANG_NEUTRAL
LANG_CHINESE	LANG_NORWEGIAN
LANG_CROATIAN	LANG_ORIYA
LANG_CZECH	LANG_POLISH
LANG_DANISH	LANG_PORTUGUESE
LANG_DUTCH	LANG_PUNJABI
LANG_ENGLISH	LANG_ROMANIAN
LANG_ESTONIAN	LANG_RUSSIAN
LANG_FAEROESE	LANG_SANSKRIT
LANG_FARSI	LANG_SERBIAN
LANG_FINNISH	LANG_SINDHI
LANG_FRENCH	LANG_SLOVAK
LANG_GEORGIAN	LANG_SLOVENIAN
LANG_GERMAN	LANG_SPANISH
LANG_GREEK	LANG_SWAHILI
LANG_GUJARATI	LANG_SWEDISH
LANG_HEBREW	LANG_TAMIL
LANG_HINDI	LANG_TATAR
LANG_HUNGARIAN	LANG_TELUGU
LANG_ICELANDIC	LANG_THAI
LANG_INDONESIAN	LANG_TURKISH
LANG_ITALIAN	LANG_UKRANIAN
LANG_JAPANESE	LANG_URDU
LANG_KANNADA	LANG_UZBEK
LANG_KASHMIRI	LANG_VIETNAMESE
LANG_KAZAK
Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LangIDSub Property

TJclLocaleInfo Class

Returns the sublanguage identifier.

Pascal

property LangIDSub: Word;

Description

Extracts the sublanguage identifier from the language identifier this locale information object represents. The return value can be one of the following values:
SUBLANG_ARABIC_SAUDI_ARABIA	SUBLANG_GERMAN_AUSTRIAN
SUBLANG_ARABIC_IRAQ	SUBLANG_GERMAN_LUXEMBOURG
SUBLANG_ARABIC_EGYPT	SUBLANG_GERMAN_LIECHTENSTEIN
SUBLANG_ARABIC_LIBYA	SUBLANG_ITALIAN
SUBLANG_ARABIC_ALGERIA	SUBLANG_ITALIAN_SWISS
SUBLANG_ARABIC_MOROCCO	SUBLANG_KASHMIRI_INDIA
SUBLANG_ARABIC_TUNISIA	SUBLANG_KOREAN
SUBLANG_ARABIC_OMAN	SUBLANG_LITHUANIAN
SUBLANG_ARABIC_YEMEN	SUBLANG_MALAY_BRUNEI_DARUSSALAM
SUBLANG_ARABIC_SYRIA	SUBLANG_MALAY_MALAYSIA
SUBLANG_ARABIC_JORDAN	SUBLANG_NEPALI_INDIA
SUBLANG_ARABIC_LEBANON	SUBLANG_NEUTRAL
SUBLANG_ARABIC_KUWAIT	SUBLANG_NORWEGIAN_BOKMAL
SUBLANG_ARABIC_UAE	SUBLANG_NORWEGIAN_NYNORSK
SUBLANG_ARABIC_BAHRAIN	SUBLANG_PORTUGUESE
SUBLANG_ARABIC_QATAR	SUBLANG_PORTUGUESE_BRAZILIAN
SUBLANG_AZERI_CYRILLIC	SUBLANG_SERBIAN_LATIN
SUBLANG_AZERI_LATIN	SUBLANG_SERBIAN_CYRILLIC
SUBLANG_CHINESE_SIMPLIFIED	SUBLANG_SPANISH
SUBLANG_CHINESE_HONGKONG	SUBLANG_SPANISH_MEXICAN
SUBLANG_CHINESE_SINGAPORE	SUBLANG_SPANISH_MODERN
SUBLANG_CHINESE_MACAU	SUBLANG_SPANISH_GUATEMALA
SUBLANG_DEFAULT SUBLANG_DUTCH	SUBLANG_SPANISH_COSTA_RICA
SUBLANG_DUTCH_BELGIAN	SUBLANG_SPANISH_PANAMA
SUBLANG_ENGLISH_US	SUBLANG_SPANISH_DOMINICAN_REPUBLIC
SUBLANG_ENGLISH_UK	SUBLANG_SPANISH_VENEZUELA
SUBLANG_ENGLISH_AUS	SUBLANG_SPANISH_COLOMBIA
SUBLANG_ENGLISH_CAN	SUBLANG_SPANISH_PERU
SUBLANG_ENGLISH_NZ	SUBLANG_SPANISH_ARGENTINA
SUBLANG_ENGLISH_EIRE	SUBLANG_SPANISH_ECUADOR
SUBLANG_ENGLISH_SOUTH_AFRICA	SUBLANG_SPANISH_CHILE
SUBLANG_ENGLISH_JAMAICA	SUBLANG_SPANISH_URUGUAY
SUBLANG_ENGLISH_CARIBBEAN	SUBLANG_SPANISH_PARAGUAY
SUBLANG_ENGLISH_BELIZE	SUBLANG_SPANISH_BOLIVIA
SUBLANG_ENGLISH_TRINIDAD	SUBLANG_SPANISH_EL_SALVADOR
SUBLANG_ENGLISH_PHILIPPINES	SUBLANG_SPANISH_HONDURAS
SUBLANG_ENGLISH_ZIMBABWE	SUBLANG_SPANISH_NICARAGUA
SUBLANG_FRENCH	SUBLANG_SPANISH_PUERTO_RICO
SUBLANG_FRENCH_BELGIAN	SUBLANG_SWEDISH
SUBLANG_FRENCH_CANADIAN	SUBLANG_SWEDISH_FINLAND
SUBLANG_FRENCH_SWISS	SUBLANG_SYS_DEFAULT
SUBLANG_FRENCH_LUXEMBOURG	SUBLANG_URDU_INDIA
SUBLANG_FRENCH_MONACO	SUBLANG_URDU_PAKISTAN
SUBLANG_GERMAN	SUBLANG_UZBEK_CYRILLIC
SUBLANG_GERMAN_SWISS	SUBLANG_UZBEK_LATIN
Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LanguageIndentifier Property

TJclLocaleInfo Class

Language identifier.

Pascal

property LanguageIndentifier: string;

Description

Language identifier. The maximum number of characters allowed for this string is five.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LeadingZeros Property

TJclLocaleInfo Class

property LeadingZeros: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LeadZerosInDay Property

TJclLocaleInfo Class

property LeadZerosInDay: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LeadZerosInMonth Property

TJclLocaleInfo Class

property LeadZerosInMonth: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LeadZerosInTime Property

TJclLocaleInfo Class

property LeadZerosInTime: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.ListItemSeparator Property

TJclLocaleInfo Class

Character(s) used to separate list items.

Pascal

property ListItemSeparator: Char;

Description

Character(s) used to separate list items. For example, a ',' is used in many locales. The maximum number of characters allowed for this string is four.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LocaleID Property

TJclLocaleInfo Class

Returns the locale identifier.

Pascal

property LocaleID: LCID;

Description

Returns the locale identifier for which this instance contains information.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LocalizedCountryName Property

TJclLocaleInfo Class

Full localized name of the country/region.

Pascal

property LocalizedCountryName: string;

Description

Full localized name of the country/region. This is based on the localization of the product, thus it changes for each localized version.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LocalizedLangName Property

TJclLocaleInfo Class

Full localized name of the language.

Pascal

property LocalizedLangName: string;

Description

Full localized name of the language. This name is based on the localization of the product, thus the value changes for each localized version.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LocalizedSortName Property

TJclLocaleInfo Class

property LocalizedSortName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LongDateFormat Property

TJclLocaleInfo Class

property LongDateFormat: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LongDateOrdering Property

TJclLocaleInfo Class

property LongDateOrdering: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.LongDayNames Property

TJclLocaleInfo Class

Returns the native long name for the specified day.

Pascal

property LongDayNames [Day: TJclLocalesDays]: string;

Description

List of native long names for the days in a week. The index into this list is a 1 based index of the day for which to retrieve the long name. For example, 1 is monday, 2 is tuesday and so forth.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.LongMonthNames Property

TJclLocaleInfo Class

Returns the native long name for the specified month.

Pascal

property LongMonthNames [Month: TJclLocalesMonths]: string;

Description

List of native long names for the months in a year. The index into this list is a 1 based index of the month for which to retrieve the long name. For example, 1 is january, 2 is february and so forth. The highest possible index is 13 which may return an empty string if the 13th month doesn't exist for this locale.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.Measure Property

TJclLocaleInfo Class

property Measure: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.MonetaryDecimalSeparator Property

TJclLocaleInfo Class

property MonetaryDecimalSeparator: Char;

Class

TJclLocaleInfo Class


TJclLocaleInfo.MonetaryGrouping Property

TJclLocaleInfo Class

property MonetaryGrouping: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.MonetarySymbolIntl Property

TJclLocaleInfo Class

Three characters of the international monetary symbol specified in ISO 4217 followed by the character separating this string from the amount.

Pascal

property MonetarySymbolIntl: string;

Description

Three characters of the international monetary symbol specified in ISO 4217 followed by the character separating this string from the amount.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.MonetarySymbolLocal Property

TJclLocaleInfo Class

String used as the local monetary symbol. The maximum number of characters allowed for this string is six.

Pascal

property MonetarySymbolLocal: string;

Description

String used as the local monetary symbol. The maximum number of characters allowed for this string is six.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.MonetaryThousandsSeparator Property

TJclLocaleInfo Class

property MonetaryThousandsSeparator: Char;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NativeCountryName Property

TJclLocaleInfo Class

Native name of the country/region.

Pascal

property NativeCountryName: string;

Description

Native name of the country/region.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.NativeCurrencyName Property

TJclLocaleInfo Class

property NativeCurrencyName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NativeDigits Property

TJclLocaleInfo Class

property NativeDigits: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NativeLangName Property

TJclLocaleInfo Class

property NativeLangName: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NegativeCurrencyMode Property

TJclLocaleInfo Class

property NegativeCurrencyMode: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NegativeNumberMode Property

TJclLocaleInfo Class

property NegativeNumberMode: Integer;

Description

Negative number mode, that is, the format for a negative number. The maximum number of characters allowed for this string is two. The mode can be one of these values.
Value	Format
0	Left parenthesis, number, right parenthesis. Example: (1.1)
1	Negative sign, number. Example: -1.1
2	Negative sign, space, number. Example: - 1.1
3	Number, negative sign. Example: 1.1-
4	Number, space, negative sign. Example: 1.1 -
Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.NegativeSign Property

TJclLocaleInfo Class

property NegativeSign: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NegativeSignPos Property

TJclLocaleInfo Class

property NegativeSignPos: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NumberOfFractionalDigits Property

TJclLocaleInfo Class

property NumberOfFractionalDigits: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NumberOfIntlMonetaryDigits Property

TJclLocaleInfo Class

property NumberOfIntlMonetaryDigits: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.NumberOfLocalMonetaryDigits Property

TJclLocaleInfo Class

property NumberOfLocalMonetaryDigits: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PMDesignator Property

TJclLocaleInfo Class

property PMDesignator: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PositiveCurrencyMode Property

TJclLocaleInfo Class

property PositiveCurrencyMode: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PositiveSign Property

TJclLocaleInfo Class

property PositiveSign: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PositiveSignPos Property

TJclLocaleInfo Class

property PositiveSignPos: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PosOfNegativeMonetarySymbol Property

TJclLocaleInfo Class

property PosOfNegativeMonetarySymbol: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.PosOfPositiveMonetarySymbol Property

TJclLocaleInfo Class

property PosOfPositiveMonetarySymbol: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.SepOfNegativeMonetarySymbol Property

TJclLocaleInfo Class

property SepOfNegativeMonetarySymbol: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.SepOfPositiveMonetarySymbol Property

TJclLocaleInfo Class

property SepOfPositiveMonetarySymbol: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.ShortDateFormat Property

TJclLocaleInfo Class

property ShortDateFormat: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.ShortDateOrdering Property

TJclLocaleInfo Class

property ShortDateOrdering: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.SortID Property

TJclLocaleInfo Class

Returns the sort identifier.

Pascal

property SortID: Word;

Description

Extracts the sort identifier from the locale identifier this object represents. This property returns one of the following values:
Value	Meaning
SORT_CHINESE_BIG5	Specifies Chinese BIG5 order.
SORT_CHINESE_BOPOMOFO	Traditional Chinese Bopomofo order.
SORT_CHINESE_PRC	PRC Chinese Stroke Count order.
SORT_CHINESE_PRCP	PRC Chinese Phonetic order
SORT_DEFAULT	Specifies the default sort.
SORT_GEORGIAN_MODERN	Georgian Modern order.
SORT_GEORGIAN_TRADITIONAL	Georgian Traditional order.
SORT_GERMAN_PHONE_BOOK	German Phone Book order.
SORT_HUNGARIAN_DEFAULT	Hungarian Default order.
SORT_HUNGARIAN_TECHNICAL	Hungarian Technical order
SORT_JAPANESE_XJIS	Specifies Japanese XJIS order.
SORT_KOREAN_KSC	Specifies Korean KSC order.
Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.StringInfo Property

TJclLocaleInfo Class

Retrieves string typed locale information.

Pascal

property StringInfo [InfoType: Integer]: string;

Description

The StringInfo property lets you read string typed locale information directly. The InfoType is an Integer which specifies the locale information type which you want to retrieve. You can specify any LOCALE_* information types as documented in the Platform SDK documentation on GetLocaleInfo. This property should only be used for those information types that are not directly supported by this class through its properties.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.ThousandSeparator Property

TJclLocaleInfo Class

Character(s) used to separate groups of digits to the left of the decimal.

Pascal

property ThousandSeparator: Char;

Description

Character(s) used to separate groups of digits to the left of the decimal. The maximum number of characters allowed for this string is four.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.TimeFormats Property

TJclLocaleInfo Class

Formats that are available for this locale.

Pascal

property TimeFormats: TStrings;

Description

Formats that are available for this locale.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.TimeFormatSpecifier Property

TJclLocaleInfo Class

property TimeFormatSpecifier: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.TimeFormatString Property

TJclLocaleInfo Class

property TimeFormatString: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.TimeMarkerPosition Property

TJclLocaleInfo Class

property TimeMarkerPosition: Integer;

Class

TJclLocaleInfo Class


TJclLocaleInfo.TimeSeparator Property

TJclLocaleInfo Class

property TimeSeparator: Char;

Class

TJclLocaleInfo Class


TJclLocaleInfo.UseSystemACP Property

TJclLocaleInfo Class

Determines whether the system ACP is used for string translation.

Pascal

property UseSystemACP: Boolean;

Description

Determines whether the class uses the system ANSI code page (ACP) for string translation instead of the locale's code page. This property is True by default, assign False to turn off usage of the system ACP instead.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.YearMonthFormat Property

TJclLocaleInfo Class

property YearMonthFormat: string;

Class

TJclLocaleInfo Class


TJclLocaleInfo.Create Constructor

TJclLocaleInfo Class

Creates an instance of TJclLocaleInfo for a specific locale.

Pascal

constructor Create(ALocaleID: LCID = LOCALE_SYSTEM_DEFAULT);

Description

Creates and initializes an instance of the TJclLocaleInfo class. You normally don't explicitly create such an instance but instead retrieve them using the TJclLocalesList.

Parameters

ALocaleID: LCID = LOCALE_SYSTEM_DEFAULT

The locale which the instance will represent.

Donator

Petr Vones

Class

TJclLocaleInfo Class


TJclLocaleInfo.Destroy Destructor

TJclLocaleInfo Class

destructor Destroy; override;

Class

TJclLocaleInfo Class


TJclLocalesKind Enumeration

TJclLocalesKind is used by the TJclLocalesList class to specify whether the list contains elements for all supported or all installed locales and codepages.

Pascal

TJclLocalesKind = (
  lkInstalled,
  lkSupported
);

Description

TJclLocalesKind is used by the TJclLocalesList class to specify whether the list contains elements for all supported or all installed locales and codepages.

lkInstalled

Only installed locales and codepages.

lkSupported

All supported locales and codepages.

Donator

Petr Vones

Group

National Language Support

Unit

JclLocales


TJclLocalesList Class

Properties	Methods	Legend

Maintains information about supported locales and codepages.

Pascal

TJclLocalesList = class(TObjectList);

Description

TJclLocalesList maintains a list of elements containing information about locales and codepages. The list contains either information about all supported locales and codepages or all installed locales and codepages depending on how it is constructed.

Donator

Petr Vones

Group

National Language Support

Legend

read only

Constructor

protected

Unit

JclLocales


TJclLocalesList Class Properties

TJclLocalesList Class	Legend

Properties

 CodePages

List of supported or installed codepages.

 ItemFromLangID

Returns the TJclLocaleInfo object given a language identifier.

 ItemFromLangIDPrimary

Returns the TJclLocaleInfo object given a primary language ID.

 ItemFromLocaleID

Returns the TJclLocaleInfo object given a locale identifier.

 Items

List of locale information items.

 Kind

Returns the Kind of elements contained in the list.


Legend

read only


TJclLocalesList Class Methods

TJclLocalesList Class	Legend

Methods

 Create

Creates and initialises an instance of TJclLocalesList.

 CreateList

 Destroy

FillStrings


Legend

Constructor

protected


Legend

TJclLocalesList Class

Legend

read only

Constructor

protected


TJclLocalesList Class Members

TJclLocalesList Class	Legend

Members

Properties

 CodePages

List of supported or installed codepages.

 ItemFromLangID

Returns the TJclLocaleInfo object given a language identifier.

 ItemFromLangIDPrimary

Returns the TJclLocaleInfo object given a primary language ID.

 ItemFromLocaleID

Returns the TJclLocaleInfo object given a locale identifier.

 Items

List of locale information items.

 Kind

Returns the Kind of elements contained in the list.

Methods

 Create

Creates and initialises an instance of TJclLocalesList.

 CreateList

 Destroy

FillStrings


Legend

read only

Constructor

protected


TJclLocalesList.CodePages Property

TJclLocalesList Class

List of supported or installed codepages.

Pascal

property CodePages: TStrings;

Description

The CodePages property contains a list of all supported or installed codepages on the system depending on the Kind property. Each item contains the string representation of a code page identifier while the associated Objects item contains the numeric representation of the code page identifier (or 0 if the code page couldn't be converted to a numerical value).

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.ItemFromLangID Property

TJclLocalesList Class

Returns the TJclLocaleInfo object given a language identifier.

Pascal

property ItemFromLangID [LangID: LANGID]: TJclLocaleInfo;

Description

The ItemFromLangID provides the same list of locale information objects as the Items property does except that it allows indexing by language ID instead of a zero based index. This allows you to directly retrieve information about a specific language without having to traverse the entire list. Note that if the list contains no information for the specified language, the property returns nil.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.ItemFromLangIDPrimary Property

TJclLocalesList Class

Returns the TJclLocaleInfo object given a primary language ID.

Pascal

property ItemFromLangIDPrimary [LangIDPrimary: Word]: TJclLocaleInfo;

Description

The ItemFromLangIDPrimary provides the same list of locale information objects as the Items property does except that it allows indexing by primary language ID instead of a zero based index. This allows you to directly retrieve information about a specific language without having to traverse the entire list. Note that if the list contains no information for the specified language, the property returns nil.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.ItemFromLocaleID Property

TJclLocalesList Class

Returns the TJclLocaleInfo object given a locale identifier.

Pascal

property ItemFromLocaleID [LocaleID: LCID]: TJclLocaleInfo;

Description

The ItemFromLocaleID provides the same list of locale information objects as the Items property does except that it allows indexing by Locale ID instead of a zero based index. This allows you to directly retrieve information about a specific locale without having to traverse the entire list. Note that if the list contains no information for the specified locale, the property returns nil.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.Items Property

TJclLocalesList Class

List of locale information items.

Pascal

property Items [Index: Integer]: TJclLocaleInfo;

Description

The Items property contains a list of TJclLocaleInfo objects each of which supplies information about a single locale installed or supported (depending on the Kind property) on the system.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.Kind Property

TJclLocalesList Class

Returns the Kind of elements contained in the list.

Pascal

property Kind: TJclLocalesKind;

Description

Kind specifies the kind of elements this list contains. It is a direct copy of the AKind parameter of the TJclLocalesList constructor. See TJclLocalesKind for more information.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.Create Constructor

TJclLocalesList Class

Creates and initialises an instance of TJclLocalesList.

Pascal

constructor Create(AKind: TJclLocalesKind = lkInstalled);

Description

The Create constructor creates an instance of TJclLocalesList and initialises it according to the specified parameter.

Donator

Petr Vones

Class

TJclLocalesList Class


TJclLocalesList.CreateList Method

TJclLocalesList Class

procedure CreateList;

Class

TJclLocalesList Class


TJclLocalesList.Destroy Destructor

TJclLocalesList Class

destructor Destroy; override;

Class

TJclLocalesList Class


TJclLocalesList.FillStrings Method

TJclLocalesList Class

procedure FillStrings(Strings: TStrings; InfoType: Integer);

Class

TJclLocalesList Class


Internet and E-mail

JEDI Code Library

Topics

MAPI


Topics

Internet and E-mail

Topics

MAPI


MAPI

Legend

Internet and E-mail

Topics

EJclMapiError

TJclEmail

TJclEmailRecip

TJclEmailRecips

TJclSimpleMapi

Enumerations

 TJclMapiClientConnect

MAPI-Client type

 TJclEmailRecipKind

E-mail recipient type

 TJclEmailFindOption

MAPI search options

 TJclEmailLogonOption

Logon options

 TJclEmailReadOption

Read options

Functions

JclSimpleSendMail

Sends an email to a recipient.

JclSimpleBringUpSendMailDialog

Brings up the send mail dialog

MapiCheck

Checks the MAPI result code

MapiErrorMessage

Retrieves the MAPI error message for a given MAPI result code.

Records

 TJclMapiClient

MAPI-Client record

 TJclEmailReadMsg

Message information record

Types

TJclEmailFindOptions

MAPI search options

TJclEmailLogonOptions

Logon options

TJclEmailReadOptions

Read options

Legend

Record

Enumeration


MAPI Records

MAPI	Legend

Records

 TJclMapiClient

MAPI-Client record

 TJclEmailReadMsg

Message information record


Legend

Record


MAPI Enumerations

MAPI	Legend

Enumerations

 TJclMapiClientConnect

MAPI-Client type

 TJclEmailRecipKind

E-mail recipient type

 TJclEmailFindOption

MAPI search options

 TJclEmailLogonOption

Logon options

 TJclEmailReadOption

Read options


Legend

Enumeration


MAPI Types

MAPI

Types

TJclEmailFindOptions

MAPI search options

TJclEmailLogonOptions

Logon options

TJclEmailReadOptions

Read options


MAPI Functions

MAPI

Functions

JclSimpleSendMail

Sends an email to a recipient.

JclSimpleBringUpSendMailDialog

Brings up the send mail dialog

MapiCheck

Checks the MAPI result code

MapiErrorMessage

Retrieves the MAPI error message for a given MAPI result code.


Topics

MAPI

Topics

EJclMapiError

TJclEmail

TJclEmailRecip

TJclEmailRecips

TJclSimpleMapi


Legend

MAPI

Legend

Record

Enumeration


TJclMapiClient Record

MAPI-Client record

Pascal

TJclMapiClient = record
  ClientName: string;
  ClientPath: string;
  RegKeyName: string;
  Valid: Boolean;
end;

Description

TJclMapiClient shows information on each installed and registered MAPI-Client.

ClientName: string;

Name of MAPI-Client

ClientPath: string;

Path where MAPI-Client is located

RegKeyName: string;

Registry key for MAPI-Client

Valid: Boolean;

Validity of client (i.e. does it actually support Simple MAPI calls?)

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclMapiClientConnect Enumeration

MAPI-Client type

Pascal

TJclMapiClientConnect = (
  ctAutomatic,
  ctMapi,
  ctDirect
);

Description

TJclMapiClientConnect determines the type of connection to make with a MAPI-client.

ctAutomatic

If Simple MAPI is installed it will be used, otherwise the client library will be used directly.

ctMapi

Always use the MAPI library.

ctDirect

Always use the client library (Simple MAPI is not required).

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclEmailRecipKind Enumeration

E-mail recipient type

Pascal

TJclEmailRecipKind = (
  rkOriginator,
  rkTO,
  rkCC,
  rkBCC
);

Description

The TJclEmailRecipKind type defines the recipient type of an address.

rkOriginator

Address is the address of the sender or originator.

rkTO

Address is of a primary recipient.

rkCC

Address is of a copy recipient.

rkBCC

Address is of a blind copy recipient.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclEmailFindOption Enumeration

MAPI search options

Pascal

TJclEmailFindOption = (
  foFifo,
  foUnreadOnly
);
TJclEmailFindOptions = set of TJclEmailFindOption;

Description

TJclEmailFindOptions is the type that correspond to the MAPI search flags.

foFifo

The message identifiers returned should be in the order of time received. FindFirstMessage and FindNextMessage calls can take longer if this flag is set. Some MAPI implementations cannot honor this request and return the MAPI_E_NO_SUPPORT value.

foUnreadOnly

Only unread messages of the specified type are returned. If this flag is not set, any message of the specified type can be returned.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclEmailLogonOption Enumeration

Logon options

Pascal

TJclEmailLogonOption = (
  loLogonUI,
  loNewSession,
  loForceDownload
);
TJclEmailLogonOptions = set of TJclEmailLogonOption;

Description

Logon options

loLogonUI

Login with a user interface (i.e.. show login dialog of client).

loNewSession

Start a new session.

loForceDownload

Force mails and attachments to be downloaded.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclEmailReadOption Enumeration

Read options

Pascal

TJclEmailReadOption = (
  roAttachments,
  roHeaderOnly,
  roMarkAsRead
);
TJclEmailReadOptions = set of TJclEmailReadOption;

Description

Read options

roAttachments

Read attachments.

roHeaderOnly

Read header only (no body).

roMarkAsRead

Mark the message as read.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


TJclEmailReadMsg Record

Message information record

Pascal

TJclEmailReadMsg = record
  ConversationID: string;
  DateReceived: TDateTime;
  MessageType: string;
  Flags: FLAGS;
end;

Description

TjcEmailReadMsg holds messages information of a read message.

ConversationID: string;

ID of thread the message belongs to. Some MAPI implementations do not support this member.

DateReceived: TDateTime;

Date and time of reception.

MessageType: string;

Type of a non-IPM message. Most clients can just set it an empty string when sending messages, or ignore it when reading messages.

Flags: FLAGS;

Message flags as specified by MAPI

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


JclSimpleSendMail Function

Sends an email to a recipient.

Pascal

function JclSimpleSendMail(const Recipient: string; const Name: string; const Subject: string; const Body: string; const Attachment: string = ''; ShowDialog: Boolean = True; ParentWND: THandle = 0; const ProfileName: string = ''; const Password: string = ''): Boolean;

Description

JclSimpleSendMail sends an e-mail with optionally an attachment to 1 recipient.

Parameters

ShowDialog: Boolean = True

Set to True if a dialog should be shown (default to True).

ARecipient

Address of the recipient.

AName

Name of the recipient (can be left empty).

ASubject

Subject of the message.

ABody

Body of the message.

AAttachment

Filename of attachment (optional).

AParentWND

If non-zero it should be the handle of the main window of your application. In that case, any MAPI dialogs are shown modal. If left 0, MAPI dialogs are not shown modal.

Return Value

If the message was successfully handed over to the MAPI client, the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


JclSimpleBringUpSendMailDialog Function

Brings up the send mail dialog

Pascal

function JclSimpleBringUpSendMailDialog(const Subject: string; const Body: string; const Attachment: string = ''; ParentWND: THandle = 0; const ProfileName: string = ''; const Password: string = ''): Boolean;

Description

JclSimpleBringUpSendMailDialog brings up the send mail dialog.

Parameters

ASubject

Subject of the message.

ABody

Body of the message.

AAttachment

Filename of attachment (optional).

AParentWND

If non-zero it should be the handle of the main window of your application. In that case, any MAPI dialogs are shown modal. If left 0, MAPI dialogs are not shown modal.

Return Value

If the dialog was successfully displayed, the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


MapiCheck Function

Checks the MAPI result code

Pascal

function MapiCheck(const Res: DWORD; IgnoreUserAbort: Boolean = True): DWORD;

Description

MapiCheck checks the MAPI result code, optionally ignoring user abort codes. If an error occurred, an exception is raised, otherwise the result code will be returned (which is either SUCCESS_SUCCESS or MAPI_E_USER_ABORT).

Parameters

const Res: DWORD

MAPI result code.

IgnoreUserAbort: Boolean = True

Set to True (default) to ignore MAPI_E_USER_ABORT, otherwise MAPI_E_USER_ABORT will be seen as an error.

Return Value

If MAPI result code is not an error the function returns the result code, otherwise an EJclMAPIError exception is raised.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


MapiErrorMessage Function

Retrieves the MAPI error message for a given MAPI result code.

Pascal

function MapiErrorMessage(const ErrorCode: DWORD): string;

Description

MapiErrorMessage translates a MAPI result code into a message.

Parameters

const ErrorCode: DWORD

MAPI result code

Return Value

The MAPI error message belonging to the given MAPI result code.

Donator

Petr Vones

Group

MAPI

Unit

JclMapi


EJclMapiError

MAPI

Classes

EJclMapiError

Exception class for MAPI-errors


EJclMapiError Classes

EJclMapiError

Classes

EJclMapiError

Exception class for MAPI-errors


EJclMapiError Class

Properties	Legend

Exception class for MAPI-errors

Pascal

EJclMapiError = class(EJclError);

Description

The exception class that is raised when an MAPI error occurs

Donator

Petr Vones

Group

EJclMapiError

Legend

read only

Unit

JclMapi


EJclMapiError Class Properties

EJclMapiError Class	Legend

Properties

EJclMapiError Class

 ErrorCode

MAPI error-code


Legend

read only


Legend

EJclMapiError Class

Legend

read only


EJclMapiError Class Members

EJclMapiError Class	Legend

Members

Properties

EJclMapiError Class

 ErrorCode

MAPI error-code


Legend

read only


EJclMapiError.ErrorCode Property

EJclMapiError Class

MAPI error-code

Pascal

property ErrorCode: DWORD;

Description

The error-code for which the exception is raised.

Donator

Petr Vones

Class

EJclMapiError Class


TJclEmail

MAPI

Classes

TJclEmail

E-mail class


TJclEmail Classes

TJclEmail

Classes

TJclEmail

E-mail class


TJclEmail Class

Properties	Methods	Legend

E-mail class

Pascal

TJclEmail = class(TJclSimpleMapi);

Description

TJclEmail is an e-mail class, capable of both reading and sending messages.

Donator

Petr Vones

Group

TJclEmail

Legend

read only

protected

Constructor

Unit

JclMapi


TJclEmail Class Properties

TJclEmail Class	Legend

Properties

 AnyClientInstalled

Checks if MAPI clients are installed.

BeforeUnloadClient

Event called before a client library unloads.

ClientConnectKind

Type of connection to make.

 ClientCount

Number of clients found

 Clients

Installed clients.

 CurrentClientName

Name of the currently selected client

 DefaultClientIndex

Index of default library.

 DefaultProfileName

 MapiAddress

MAPIAddress function in loaded library.

 MapiDeleteMail

MAPIDeleteMail function in loaded library.

 MapiDetails

MapiDetails function in loaded library.

 MapiFindNext

MapiFindNext function in loaded library.

 MapiFreeBuffer

MapiFreeBuffer function in loaded library.

 MapiInstalled

Flag if MAPI installed.

 MapiLogOff

MapiLogOff function in loaded library.

 MapiLogOn

MapiLogOn function in loaded library.

 MapiReadMail

MapiReadMail function in loaded library.

 MapiResolveName

MapiResolveName function in loaded library.

 MapiSaveMail

MapiSaveMail function in loaded library.

 MapiSendDocuments

MapiSendDocuments function in loaded library.

 MapiSendMail

MapiSendMail function in loaded library.

 MapiVersion

Version of MAPI

 ProfileCount

 Profiles

SelectedClientIndex

Index of currently selected client.

 SimpleMapiInstalled

Flag if Simple MAPI installed

TJclEmail Class

 Attachments

List of attachments for the current message

Body

Body of the current message

FindOptions

Options to use when finding/iterating through messages.

HtmlBody

LogonOptions

Options to use when logging on.

ParentWnd

Handle of parent window.

 ReadMsg

Info on last message read.

 Recipients

List of recipient for the current message.

SeedMessageID

Seed to use when finding next message.

 SessionHandle

Handle of current MAPI session.

Subject

Subject of current message.

 UserLogged

Flag if user is logged on.


Legend

read only


TJclEmail Class Methods

TJclEmail Class	Legend

Methods

 BeforeUnloadClientLib

 CheckListIndex

ClientLibLoaded

Checks if a client library has been loaded.

 Create

 Destroy

 GetClientLibName

LoadClientLib

Loads a client library.

 ProfilesRegKey

 ReadMapiSettings

UnloadClientLib

Unloads the client library.

TJclEmail Class

Address

Shows address-book dialog.

 BeforeUnloadClientLib

Clear

Removes all recipients, messages and attachments from the internal buffer.

 Create

 DecodeRecips

Delete

Deletes a messages given it's ID.

 Destroy

FindFirstMessage

Finds the first message

FindNextMessage

Finds the next message

 InternalSendOrSave

LogOff

Logs off from the MAPI client.

LogOn

Logs on to the MAPI client

 LogonOptionsToFlags

MessageReport

Generates a text report for the current message.

Read

Read the last found message.

ResolveName

Resolves a name into an address.

RestoreTaskWindows

Save

Save the message as concept.

SaveTaskWindows

Send

Sends the message.

SortAttachments

Sorts attachments alphabetically on file name


Legend

protected

Constructor


Legend

TJclEmail Class

Legend

read only

protected

Constructor


TJclEmail Class Members

TJclEmail Class	Legend

Members

Properties

 AnyClientInstalled

Checks if MAPI clients are installed.

BeforeUnloadClient

Event called before a client library unloads.

ClientConnectKind

Type of connection to make.

 ClientCount

Number of clients found

 Clients

Installed clients.

 CurrentClientName

Name of the currently selected client

 DefaultClientIndex

Index of default library.

 DefaultProfileName

 MapiAddress

MAPIAddress function in loaded library.

 MapiDeleteMail

MAPIDeleteMail function in loaded library.

 MapiDetails

MapiDetails function in loaded library.

 MapiFindNext

MapiFindNext function in loaded library.

 MapiFreeBuffer

MapiFreeBuffer function in loaded library.

 MapiInstalled

Flag if MAPI installed.

 MapiLogOff

MapiLogOff function in loaded library.

 MapiLogOn

MapiLogOn function in loaded library.

 MapiReadMail

MapiReadMail function in loaded library.

 MapiResolveName

MapiResolveName function in loaded library.

 MapiSaveMail

MapiSaveMail function in loaded library.

 MapiSendDocuments

MapiSendDocuments function in loaded library.

 MapiSendMail

MapiSendMail function in loaded library.

 MapiVersion

Version of MAPI

 ProfileCount

 Profiles

SelectedClientIndex

Index of currently selected client.

 SimpleMapiInstalled

Flag if Simple MAPI installed

TJclEmail Class

 Attachments

List of attachments for the current message

Body

Body of the current message

FindOptions

Options to use when finding/iterating through messages.

HtmlBody

LogonOptions

Options to use when logging on.

ParentWnd

Handle of parent window.

 ReadMsg

Info on last message read.

 Recipients

List of recipient for the current message.

SeedMessageID

Seed to use when finding next message.

 SessionHandle

Handle of current MAPI session.

Subject

Subject of current message.

 UserLogged

Flag if user is logged on.

Methods

 BeforeUnloadClientLib

 CheckListIndex

ClientLibLoaded

Checks if a client library has been loaded.

 Create

 Destroy

 GetClientLibName

LoadClientLib

Loads a client library.

 ProfilesRegKey

 ReadMapiSettings

UnloadClientLib

Unloads the client library.

TJclEmail Class

Address

Shows address-book dialog.

 BeforeUnloadClientLib

Clear

Removes all recipients, messages and attachments from the internal buffer.

 Create

 DecodeRecips

Delete

Deletes a messages given it's ID.

 Destroy

FindFirstMessage

Finds the first message

FindNextMessage

Finds the next message

 InternalSendOrSave

LogOff

Logs off from the MAPI client.

LogOn

Logs on to the MAPI client

 LogonOptionsToFlags

MessageReport

Generates a text report for the current message.

Read

Read the last found message.

ResolveName

Resolves a name into an address.

RestoreTaskWindows

Save

Save the message as concept.

SaveTaskWindows

Send

Sends the message.

SortAttachments

Sorts attachments alphabetically on file name


Legend

read only

protected

Constructor


TJclEmail.Attachments Property

TJclEmail Class

List of attachments for the current message

Pascal

property Attachments: TStrings;

Description

Attachments is a TStrings descendant holding the list of attachments for the current message.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Body Property

TJclEmail Class

Body of the current message

Pascal

property Body: string;

Description

Body holds the text of the current message.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.FindOptions Property

TJclEmail Class

Options to use when finding/iterating through messages.

Pascal

property FindOptions: TJclEmailFindOptions;

Description

FindOptions are the options to use when finding/iterating through messages.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.HtmlBody Property

TJclEmail Class

property HtmlBody: Boolean;

Class

TJclEmail Class


TJclEmail.LogonOptions Property

TJclEmail Class

Options to use when logging on.

Pascal

property LogonOptions: TJclEmailLogonOptions;

Description

LogonOptions are the options to use when logging on to the MAPI client.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.ParentWnd Property

TJclEmail Class

Handle of parent window.

Pascal

property ParentWnd: THandle;

Description

ParentWnd is the handle of the parent window when MAPI dialogs are to be shown. ParentWnd gets initialized to the first top-level window of the main thread, but can be set to another window if needed.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.ReadMsg Property

TJclEmail Class

Info on last message read.

Pascal

property ReadMsg: TJclEmailReadMsg;

Description

ReadMsg holds information of the last message read by a call to the Read method.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Recipients Property

TJclEmail Class

List of recipient for the current message.

Pascal

property Recipients: TJclEmailRecips;

Description

Recipients is a list of recipients defined for the current message.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.SeedMessageID Property

TJclEmail Class

Seed to use when finding next message.

Pascal

property SeedMessageID: string;

Description

SeedMessageID is the ID of the last message read or saved and is also the seed used for the FindNextMessage method.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.SessionHandle Property

TJclEmail Class

Handle of current MAPI session.

Pascal

property SessionHandle: THandle;

Description

SessionHandle is the handle of the current MAPI session that is logged on to.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Subject Property

TJclEmail Class

Subject of current message.

Pascal

property Subject: string;

Description

Subject holds the subject of the current message.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.UserLogged Property

TJclEmail Class

Flag if user is logged on.

Pascal

property UserLogged: Boolean;

Description

UserLogged is True when the user is currently logged on to the MAPI client.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Address Method

TJclEmail Class

Shows address-book dialog.

Pascal

function Address(const Caption: string = ''; EditFields: Integer = 3): Boolean;

Description

Address shows the address book so that a user can select addresses to be added to the recipient list. {Parameters] Count=2 1=Caption:string=Caption of dialog. When left empty, the default caption is shown. 2=EditFields:Integer=Number of edits to show. Defaults to 3.

Return Value

When the address book was successfully shown and closed the function returns True, otherwise it generates an exception.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.BeforeUnloadClientLib Method

TJclEmail Class

procedure BeforeUnloadClientLib; override;

Class

TJclEmail Class


TJclEmail.Clear Method

TJclEmail Class

Removes all recipients, messages and attachments from the internal buffer.

Pascal

procedure Clear;

Description

Clear removes all recipients, messages and attachments from the internal buffer.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Create Constructor

TJclEmail Class

constructor Create;

Class

TJclEmail Class


TJclEmail.DecodeRecips Method

TJclEmail Class

procedure DecodeRecips(RecipDesc: PMapiRecipDesc; Count: Integer);

Class

TJclEmail Class


TJclEmail.Delete Method

TJclEmail Class

Deletes a messages given it's ID.

Pascal

function Delete(const MessageID: string): Boolean;

Description

Delete deletes the messages specified by it's ID.

Return Value

If the message was successfully deleted the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Destroy Destructor

TJclEmail Class

destructor Destroy; override;

Class

TJclEmail Class


TJclEmail.FindFirstMessage Method

TJclEmail Class

Finds the first message

Pascal

function FindFirstMessage: Boolean;

Description

FindFirstMessage finds the first message according to the FindOptions property.

Return Value

If a message was found the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.FindNextMessage Method

TJclEmail Class

Finds the next message

Pascal

function FindNextMessage: Boolean;

Description

FindNextMessage finds the next message according to the FindOptions property.

Return Value

If a message was found the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.InternalSendOrSave Method

TJclEmail Class

function InternalSendOrSave(Save: Boolean; ShowDialog: Boolean): Boolean;

Class

TJclEmail Class


TJclEmail.LogOff Method

TJclEmail Class

Logs off from the MAPI client.

Pascal

procedure LogOff;

Description

LogOff logs off from the MAPI client.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.LogOn Method

TJclEmail Class

Logs on to the MAPI client

Pascal

procedure LogOn(const ProfileName: string = ''; const Password: string = '');

Description

LogOn logs on to the MAPI client, optionally using a profile and specifying a password.

Parameters

const ProfileName: string = ''

Name of profile to use when logging on.

const Password: string = ''

Password to use when logging on.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.LogonOptionsToFlags Method

TJclEmail Class

function LogonOptionsToFlags(ShowDialog: Boolean): DWORD;

Class

TJclEmail Class


TJclEmail.MessageReport Method

TJclEmail Class

Generates a text report for the current message.

Pascal

function MessageReport(Strings: TStrings; MaxWidth: Integer = 80; IncludeAddresses: Boolean = False): Integer;

Description

MessageReport generates a text report of the current messages, optionally including the addresses for recipient names. The report is added to the current Strings contents.

Parameters

Strings: TStrings

TStrings descendant that is to receive the report. Note that the list is not cleared in the method.

MaxWidth: Integer = 80

Number of columns before text is wrapped. Defaults to 80

IncludeAddesses

When set to True addresses for recipients are included, otherwise only the names are given. Defaults to False.

Return Value

Number of lines added that belong to the header.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.Read Method

TJclEmail Class

Read the last found message.

Pascal

function Read(const Options: TJclEmailReadOptions = []): Boolean;

Description

Read reads the last found message (i.e.. the message found after a call to FindFirstMessage or FindNextMessage). You can specify how a message is read by setting the options parameter. See TJclEmailReadOptions for more information on the possible options.

Parameters

const Options: TJclEmailReadOptions = []

Options for reading. See TJclEmailReadOptions for more information on the possible options.

Return Value

If the message was read successfully the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.ResolveName Method

TJclEmail Class

Resolves a name into an address.

Pascal

function ResolveName(var Name: string; var Address: string; ShowDialog: Boolean = False): Boolean;

Description

ResolveName tries to convert the given name and / or address to a known name and address in the address book. Optionally a dialog will be shown to confirm the resolve.

Parameters

var Name: string

Name of a recipient

var Address: string

Address of a recipient

Boolean=When set to True a dialog will be shown to confirm the resolve. Defaults to False.

Return Value

If the name was successfully resolved the function returns True and the Name and Address parameters hold the correct information. If resolving failed the function returns False while Name and Address are left unchanged.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.RestoreTaskWindows Method

TJclEmail Class

procedure RestoreTaskWindows;

Class

TJclEmail Class


TJclEmail.Save Method

TJclEmail Class

Save the message as concept.

Pascal

function Save: Boolean;

Description

Save saves the current message as a concept message.

Return Value

If saved successfully the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.SaveTaskWindows Method

TJclEmail Class

procedure SaveTaskWindows;

Class

TJclEmail Class


TJclEmail.Send Method

TJclEmail Class

Sends the message.

Pascal

function Send(ShowDialog: Boolean = True): Boolean;

Description

Send sends the current message, optionally showing dialogs (eg. for logging on or resolving/choosing a recipient).

Parameters

ShowDialog: Boolean = True

When set to True a dialogs are shown as needed (eg. for logging on or resolving/choosing recipients). When set to False you must assure that recipients are defined, otherwise an error occurs.

Return Value

If sent successfully the function returns True.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmail.SortAttachments Method

TJclEmail Class

Sorts attachments alphabetically on file name

Pascal

procedure SortAttachments;

Description

SortAttachments will sort the list of attachments based on the filename.

Donator

Petr Vones

Class

TJclEmail Class


TJclEmailRecip

MAPI

Classes

TJclEmailRecip

E-mail recipient object


TJclEmailRecip Classes

TJclEmailRecip

Classes

TJclEmailRecip

E-mail recipient object


TJclEmailRecip Class

Properties	Methods	Legend

E-mail recipient object

Pascal

TJclEmailRecip = class(TObject);

Description

TJclEmailRecip is an e-mail recipient address.

Donator

Petr Vones

Group

TJclEmailRecip

Legend

protected

Unit

JclMapi


TJclEmailRecip Class Properties

TJclEmailRecip Class

Properties

Address

The mail address for the recipient

AddressType

Determines the address type of a recipient.

Kind

The recipient type

Name

The name of the recipient


TJclEmailRecip Class Methods

TJclEmailRecip Class	Legend

Methods

AddressAndName

Returns an address with a name

RecipKindToString

 SortingName


Legend

protected


Legend

TJclEmailRecip Class

Legend

protected


TJclEmailRecip Class Members

TJclEmailRecip Class	Legend

Members

Properties

Address

The mail address for the recipient

AddressType

Determines the address type of a recipient.

Kind

The recipient type

Name

The name of the recipient

Methods

AddressAndName

Returns an address with a name

RecipKindToString

 SortingName


Legend

protected


TJclEmailRecip.Address Property

TJclEmailRecip Class

The mail address for the recipient

Pascal

property Address: string;

Description

Address holds the mail address of the recipient.

Donator

Petr Vones

Class

TJclEmailRecip Class


TJclEmailRecip.AddressType Property

TJclEmailRecip Class

Determines the address type of a recipient.

Pascal

property AddressType: string;

Description

AddressType holds the address type of a recipient. When left empty, the default address type will be used (usually this is SMTP) but it can be overridden by setting the AddressesType property of TJclEmailRecips.

Do not confuse AddressType with the Kind property. Kind tells you whether the recipient is a primary recipient, a copy recipient or such, while AddressType tells you the type of e-mail address used.

Donator

Petr Vones

Class

TJclEmailRecip Class


TJclEmailRecip.Kind Property

TJclEmailRecip Class

The recipient type

Pascal

property Kind: TJclEmailRecipKind;

Description

Kind holds the type of recipient (i.e.. message originator, primary recipient, copy recipient or blind copy recipient). Do not confuse Kind with AddressType. Address type holds the type of mail address (eg. SMTP).

Donator

Petr Vones

Class

TJclEmailRecip Class


TJclEmailRecip.Name Property

TJclEmailRecip Class

The name of the recipient

Pascal

property Name: string;

Description

Name holds the full name of recipient.

Donator

Petr Vones

Class

TJclEmailRecip Class


TJclEmailRecip.AddressAndName Method

TJclEmailRecip Class

Returns an address with a name

Pascal

function AddressAndName: string;

Description

AddressAndName returns a formats a string so that the result is "name" <address>. If the recipient name is unknown, the name part is replaced by the address.

Return Value

Returns a formatted string containing the name and address of the recipient.

Donator

Petr Vones

Class

TJclEmailRecip Class


TJclEmailRecip.RecipKindToString Method

TJclEmailRecip Class

class function RecipKindToString(const AKind: TJclEmailRecipKind): string;

Class

TJclEmailRecip Class


TJclEmailRecip.SortingName Method

TJclEmailRecip Class

function SortingName: string;

Class

TJclEmailRecip Class


TJclEmailRecips

MAPI

Classes

TJclEmailRecips

E-mail recipients list object


TJclEmailRecips Classes

TJclEmailRecips

Classes

TJclEmailRecips

E-mail recipients list object


TJclEmailRecips Class

Properties	Methods	Legend

E-mail recipients list object

Pascal

TJclEmailRecips = class(TObjectList);

Description

TJclEmailRecips is a list of e-mail recipient addresses.

Donator

Petr Vones

Group

TJclEmailRecips

Legend

read only

Unit

JclMapi


TJclEmailRecips Class Properties

TJclEmailRecips Class	Legend

Properties

AddressesType

Default address type override

 Items

List of recipients.

 Originator

The message originator


Legend

read only


TJclEmailRecips Class Methods

TJclEmailRecips Class

Methods

Add

Adds a new recipient to the list.

SortRecips

Sorts the recipient list.


Legend

TJclEmailRecips Class

Legend

read only


TJclEmailRecips Class Members

TJclEmailRecips Class	Legend

Members

Properties

AddressesType

Default address type override

 Items

List of recipients.

 Originator

The message originator

Methods

Add

Adds a new recipient to the list.

SortRecips

Sorts the recipient list.


Legend

read only


TJclEmailRecips.AddressesType Property

TJclEmailRecips Class

Default address type override

Pascal

property AddressesType: string;

Description

Set AddressesType to override the default address type of any recipient with an empty AddressType property.

Donator

Petr Vones

Class

TJclEmailRecips Class


TJclEmailRecips.Items Property

TJclEmailRecips Class

List of recipients.

Pascal

property Items [Index: Integer]: TJclEmailRecip;

Description

Items is an array of recipients added to the list.

Donator

Petr Vones

Class

TJclEmailRecips Class


TJclEmailRecips.Originator Property

TJclEmailRecips Class

The message originator

Pascal

property Originator: TJclEmailRecip;

Description

Originator holds the first e-mail recipient that is marked as Originator.

Donator

Petr Vones

Class

TJclEmailRecips Class


TJclEmailRecips.Add Method

TJclEmailRecips Class

Adds a new recipient to the list.

Pascal

function Add(const Address: string; const Name: string = ''; const Kind: TJclEmailRecipKind = rkTO; const AddressType: string = ''): Integer;

Description

Add adds a new recipient to the list. If the recipient was added successfully, the index of the new item is returned.

Parameters

const Address: string

Address of recipient.

const Name: string = ''

Name of recipient (optional).

const Kind: TJclEmailRecipKind = rkTO

Type of recipient (defaults to rkTO).

const AddressType: string = ''

Type of address (optional).

Return Value

If the recipient was successfully added the function returns its index.

Donator

Petr Vones

Class

TJclEmailRecips Class


TJclEmailRecips.SortRecips Method

TJclEmailRecips Class

Sorts the recipient list.

Pascal

procedure SortRecips;

Description

SortRecips sorts the recipients. The order is determined by recipient type and the name (unless the name is empty, in which case the address is used).

Donator

Petr Vones

Class

TJclEmailRecips Class


TJclSimpleMapi

MAPI

Classes

TJclSimpleMapi

Simple MAPI class.


TJclSimpleMapi Classes

TJclSimpleMapi

Classes

TJclSimpleMapi

Simple MAPI class.


TJclSimpleMapi Class

Properties	Methods	Legend

Simple MAPI class.

Pascal

TJclSimpleMapi = class(TObject);

Description

TJclSimpleMapi is the Simple MAPI interface class.

Donator

Petr Vones

Group

TJclSimpleMapi

Legend

read only

protected

Constructor

Unit

JclMapi


TJclSimpleMapi Class Properties

TJclSimpleMapi Class	Legend

Properties

 AnyClientInstalled

Checks if MAPI clients are installed.

BeforeUnloadClient

Event called before a client library unloads.

ClientConnectKind

Type of connection to make.

 ClientCount

Number of clients found

 Clients

Installed clients.

 CurrentClientName

Name of the currently selected client

 DefaultClientIndex

Index of default library.

 DefaultProfileName

 MapiAddress

MAPIAddress function in loaded library.

 MapiDeleteMail

MAPIDeleteMail function in loaded library.

 MapiDetails

MapiDetails function in loaded library.

 MapiFindNext

MapiFindNext function in loaded library.

 MapiFreeBuffer

MapiFreeBuffer function in loaded library.

 MapiInstalled

Flag if MAPI installed.

 MapiLogOff

MapiLogOff function in loaded library.

 MapiLogOn

MapiLogOn function in loaded library.

 MapiReadMail

MapiReadMail function in loaded library.

 MapiResolveName

MapiResolveName function in loaded library.

 MapiSaveMail

MapiSaveMail function in loaded library.

 MapiSendDocuments

MapiSendDocuments function in loaded library.

 MapiSendMail

MapiSendMail function in loaded library.

 MapiVersion

Version of MAPI

 ProfileCount

 Profiles

SelectedClientIndex

Index of currently selected client.

 SimpleMapiInstalled

Flag if Simple MAPI installed


Legend

read only


TJclSimpleMapi Class Methods

TJclSimpleMapi Class	Legend

Methods

 BeforeUnloadClientLib

 CheckListIndex

ClientLibLoaded

Checks if a client library has been loaded.

 Create

 Destroy

 GetClientLibName

LoadClientLib

Loads a client library.

 ProfilesRegKey

 ReadMapiSettings

UnloadClientLib

Unloads the client library.


Legend

protected

Constructor


Legend

TJclSimpleMapi Class

Legend

read only

protected

Constructor


TJclSimpleMapi Class Members

TJclSimpleMapi Class	Legend

Members

Properties

 AnyClientInstalled

Checks if MAPI clients are installed.

BeforeUnloadClient

Event called before a client library unloads.

ClientConnectKind

Type of connection to make.

 ClientCount

Number of clients found

 Clients

Installed clients.

 CurrentClientName

Name of the currently selected client

 DefaultClientIndex

Index of default library.

 DefaultProfileName

 MapiAddress

MAPIAddress function in loaded library.

 MapiDeleteMail

MAPIDeleteMail function in loaded library.

 MapiDetails

MapiDetails function in loaded library.

 MapiFindNext

MapiFindNext function in loaded library.

 MapiFreeBuffer

MapiFreeBuffer function in loaded library.

 MapiInstalled

Flag if MAPI installed.

 MapiLogOff

MapiLogOff function in loaded library.

 MapiLogOn

MapiLogOn function in loaded library.

 MapiReadMail

MapiReadMail function in loaded library.

 MapiResolveName

MapiResolveName function in loaded library.

 MapiSaveMail

MapiSaveMail function in loaded library.

 MapiSendDocuments

MapiSendDocuments function in loaded library.

 MapiSendMail

MapiSendMail function in loaded library.

 MapiVersion

Version of MAPI

 ProfileCount

 Profiles

SelectedClientIndex

Index of currently selected client.

 SimpleMapiInstalled

Flag if Simple MAPI installed

Methods

 BeforeUnloadClientLib

 CheckListIndex

ClientLibLoaded

Checks if a client library has been loaded.

 Create

 Destroy

 GetClientLibName

LoadClientLib

Loads a client library.

 ProfilesRegKey

 ReadMapiSettings

UnloadClientLib

Unloads the client library.


Legend

read only

protected

Constructor


TJclSimpleMapi.AnyClientInstalled Property

TJclSimpleMapi Class

Checks if MAPI clients are installed.

Pascal

property AnyClientInstalled: Boolean;

Description

AnyClientInstalled determines if any MAPI clients are installed.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.BeforeUnloadClient Property

TJclSimpleMapi Class

Event called before a client library unloads.

Pascal

property BeforeUnloadClient: TNotifyEvent;

Description

The BeforeUnloadClient event gets called before a client library is unloaded.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.ClientConnectKind Property

TJclSimpleMapi Class

Type of connection to make.

Pascal

property ClientConnectKind: TJclMapiClientConnect;

Description

ClientConnectKind allows you to choose the type of connection you want, Simple MAPI or direct library calls. When you set this property to ctAutomatic, Simple MAPI will be used when installed, otherwise it uses direct library calls.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.ClientCount Property

TJclSimpleMapi Class

Number of clients found

Pascal

property ClientCount: Integer;

Description

ClientCount shows the number of client libraries found.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.Clients Property

TJclSimpleMapi Class

Installed clients.

Pascal

property Clients [Index: Integer]: TJclMapiClient;

Description

Clients is an array to the installed clients found during initialization.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.CurrentClientName Property

TJclSimpleMapi Class

Name of the currently selected client

Pascal

property CurrentClientName: string;

Description

CurrentClientName holds the name of currently selected client. This property will hold 'MAPI' if simple MAPI is used, otherwise it's the name of the currently selected library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.DefaultClientIndex Property

TJclSimpleMapi Class

Index of default library.

Pascal

property DefaultClientIndex: Integer;

Description

DefaultClientIndex holds the index of library that is configured as the default MAPI client.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.DefaultProfileName Property

TJclSimpleMapi Class

property DefaultProfileName: string;

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiAddress Property

TJclSimpleMapi Class

MAPIAddress function in loaded library.

Pascal

property MapiAddress: TFNMapiAddress;

Description

MAPIAddress points to the MAPIAddress function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiDeleteMail Property

TJclSimpleMapi Class

MAPIDeleteMail function in loaded library.

Pascal

property MapiDeleteMail: TFNMapiDeleteMail;

Description

MAPIDeleteMail points to the MAPIDeleteMail function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiDetails Property

TJclSimpleMapi Class

MapiDetails function in loaded library.

Pascal

property MapiDetails: TFNMapiDetails;

Description

MapiDetails points to the MapiDetails function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiFindNext Property

TJclSimpleMapi Class

MapiFindNext function in loaded library.

Pascal

property MapiFindNext: TFNMapiFindNext;

Description

MapiFindNext points to the MapiFindNext function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiFreeBuffer Property

TJclSimpleMapi Class

MapiFreeBuffer function in loaded library.

Pascal

property MapiFreeBuffer: TFNMapiFreeBuffer;

Description

MapiFreeBuffer points to the MapiFreeBuffer function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiInstalled Property

TJclSimpleMapi Class

Flag if MAPI installed.

Pascal

property MapiInstalled: Boolean;

Description

MapiInstalled shows if MAPI is installed.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiLogOff Property

TJclSimpleMapi Class

MapiLogOff function in loaded library.

Pascal

property MapiLogOff: TFNMapiLogOff;

Description

MapiLogOff points to the MapiLogOff function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiLogOn Property

TJclSimpleMapi Class

MapiLogOn function in loaded library.

Pascal

property MapiLogOn: TFNMapiLogOn;

Description

MapiLogOn points to the MapiLogOn function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiReadMail Property

TJclSimpleMapi Class

MapiReadMail function in loaded library.

Pascal

property MapiReadMail: TFNMapiReadMail;

Description

MapiReadMail points to the MapiReadMail function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiResolveName Property

TJclSimpleMapi Class

MapiResolveName function in loaded library.

Pascal

property MapiResolveName: TFNMapiResolveName;

Description

MapiResolveName points to the MapiResolveName function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiSaveMail Property

TJclSimpleMapi Class

MapiSaveMail function in loaded library.

Pascal

property MapiSaveMail: TFNMapiSaveMail;

Description

MapiSaveMail points to the MapiSaveMail function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiSendDocuments Property

TJclSimpleMapi Class

MapiSendDocuments function in loaded library.

Pascal

property MapiSendDocuments: TFNMapiSendDocuments;

Description

MapiSendDocuments points to the MapiSendDocuments function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiSendMail Property

TJclSimpleMapi Class

MapiSendMail function in loaded library.

Pascal

property MapiSendMail: TFNMapiSendMail;

Description

MapiSendMail points to the MapiSendMail function in the loaded library.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.MapiVersion Property

TJclSimpleMapi Class

Version of MAPI

Pascal

property MapiVersion: string;

Description

MapiVersion holds the MAPI version.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.ProfileCount Property

TJclSimpleMapi Class

property ProfileCount: Integer;

Class

TJclSimpleMapi Class


TJclSimpleMapi.Profiles Property

TJclSimpleMapi Class

property Profiles [Index: Integer]: string;

Class

TJclSimpleMapi Class


TJclSimpleMapi.SelectedClientIndex Property

TJclSimpleMapi Class

Index of currently selected client.

Pascal

property SelectedClientIndex: Integer;

Description

With SelectedClientIndex you can determine or set the client library to use. This property is usefull only if ClientConnectKind = ctDirect.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.SimpleMapiInstalled Property

TJclSimpleMapi Class

Flag if Simple MAPI installed

Pascal

property SimpleMapiInstalled: Boolean;

Description

SimpleMapiInstalled shows if Simple MAPI is installed.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.BeforeUnloadClientLib Method

TJclSimpleMapi Class

procedure BeforeUnloadClientLib; dynamic;

Class

TJclSimpleMapi Class


TJclSimpleMapi.CheckListIndex Method

TJclSimpleMapi Class

procedure CheckListIndex(I: Integer; ArrayLength: Integer);

Class

TJclSimpleMapi Class


TJclSimpleMapi.ClientLibLoaded Method

TJclSimpleMapi Class

Checks if a client library has been loaded.

Pascal

function ClientLibLoaded: Boolean;

Description

ClientLibLoaded determines if a client library has been loaded.

Return Value

If a valid client library has been loaded, the function returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.Create Constructor

TJclSimpleMapi Class

constructor Create;

Class

TJclSimpleMapi Class


TJclSimpleMapi.Destroy Destructor

TJclSimpleMapi Class

destructor Destroy; override;

Class

TJclSimpleMapi Class


TJclSimpleMapi.GetClientLibName Method

TJclSimpleMapi Class

function GetClientLibName: string;

Class

TJclSimpleMapi Class


TJclSimpleMapi.LoadClientLib Method

TJclSimpleMapi Class

Loads a client library.

Pascal

procedure LoadClientLib;

Description

LoadClientLib loads either the Simple MAPI library of the currently selected library (set by the SelectedClientIndex property), depending on the ClientConnectKind property.

Donator

Petr Vones

Class

TJclSimpleMapi Class


TJclSimpleMapi.ProfilesRegKey Method

TJclSimpleMapi Class

class function ProfilesRegKey: string;

Class

TJclSimpleMapi Class


TJclSimpleMapi.ReadMapiSettings Method

TJclSimpleMapi Class

procedure ReadMapiSettings;

Class

TJclSimpleMapi Class


TJclSimpleMapi.UnloadClientLib Method

TJclSimpleMapi Class

Unloads the client library.

Pascal

procedure UnloadClientLib;

Description

UnloadClientLib loads the client library currently loaded (if any).

Donator

Petr Vones

Class

TJclSimpleMapi Class


Libraries, Processes and Threads

JEDI Code Library

Topics

Portable Executable File Format

Synchronization

Application Instance Management


Topics

Libraries, Processes and Threads

Topics

Portable Executable File Format

Synchronization

Application Instance Management


Portable Executable File Format

Legend

Libraries, Processes and Threads

Topics

API Hooking

Borland Delphi Specific

Debug Section

Export Section

Image access under debugger

Import Section

Mapped Image Routines

Miscellaneous

Name unmangling

Relocation Section

Resource Section

Simple PE Helpers

Smart Name Comparison

Threaded Search

TJclPeImage

TJclPeImageBaseList

TJclPeImagesCache

Classes

EJclPeImageError

Base exception class for exceptions raised by the JclPeImage module.

Records

 TJclRebaseImageInfo

Record used by the PeRebaseImage function to return information about a rebase operation.

Legend

Record


Portable Executable File Format Classes

Portable Executable File Format

Classes

EJclPeImageError

Base exception class for exceptions raised by the JclPeImage module.


Portable Executable File Format Records

Portable Executable File Format	Legend

Records

 TJclRebaseImageInfo

Record used by the PeRebaseImage function to return information about a rebase operation.


Legend

Record


Topics

Portable Executable File Format

Topics

API Hooking

Borland Delphi Specific

Debug Section

Export Section

Image access under debugger

Import Section

Mapped Image Routines

Miscellaneous

Name unmangling

Relocation Section

Resource Section

Simple PE Helpers

Smart Name Comparison

Threaded Search

TJclPeImage

TJclPeImageBaseList

TJclPeImagesCache


Legend

Portable Executable File Format

Legend

Record


EJclPeImageError Class

Base exception class for exceptions raised by the JclPeImage module.

Pascal

EJclPeImageError = class(EJclError);

Description

EJclPeImageError is the base exception class for exception raised by the JclPeImage module. EJclPeImageError does not introduce any new methods or properties and merely serves to identify exceptions raised explicitly by the JclPeImage module.

Donator

Petr Vones

Group

Portable Executable File Format

Unit

JclPeImage


TJclRebaseImageInfo Record

See Also

Record used by the PeRebaseImage function to return information about a rebase operation.

Pascal

TJclRebaseImageInfo = record
  OldImageSize: DWORD;
  OldImageBase: DWORD;
  NewImageSize: DWORD;
  NewImageBase: DWORD;
end;

Description

Record used by the PeRebaseImage function to return information about a rebase operation.

OldImageSize: DWORD;

Size of the image before the rebase.

OldImageBase: DWORD;

Base address of the image before the rebase.

NewImageSize: DWORD;

Size of the image after the rebase.

NewImageBase: DWORD;

Base address of the image after the rebase.

Donator

Petr Vones

Group

Portable Executable File Format

Unit

JclPeImage


See Also

PeRebaseImage


API Hooking

Portable Executable File Format

Topics

TJclPeMapImgHookItem

TJclPeMapImgHooks


Topics

API Hooking

Topics

TJclPeMapImgHookItem

TJclPeMapImgHooks


TJclPeMapImgHookItem

API Hooking

Classes

TJclPeMapImgHookItem

The TJclPeMapImgHookItem represents a single hooked API function.


TJclPeMapImgHookItem Classes

TJclPeMapImgHookItem

Classes

TJclPeMapImgHookItem

The TJclPeMapImgHookItem represents a single hooked API function.


TJclPeMapImgHookItem Class

Properties	Methods	Legend

The TJclPeMapImgHookItem represents a single hooked API function.

Pascal

TJclPeMapImgHookItem = class(TObject);

Description

The TJclPeMapImgHookItem represents a single hooked API function. The class provides detailed information about the hooked function, such as it's name and the image it resides in, as well as methods to unhook the function. You perform the initial hooking itself using the TJclPeMapImgHooks class.

Donator

Petr Vones

Group

TJclPeMapImgHookItem

Legend

read only

Destructor

protected

Unit

JclPeImage


TJclPeMapImgHookItem Class Properties

TJclPeMapImgHookItem Class	Legend

Properties

 BaseAddress

Base address at which the image in which the hooked function resides, is mapped.

 FunctionName

Name of the hooked function.

 ModuleName

Name of the image in which the hooked function resides.

 NewAddress

Address of the function that replaced the original, hooked function.

 OriginalAddress

Address of the original, hooked funcion.


Legend

read only


TJclPeMapImgHookItem Class Methods

TJclPeMapImgHookItem Class	Legend

Methods

 Destroy

 InternalUnhook

Unhook

Unhooks the function.


Legend

Destructor

protected


Legend

TJclPeMapImgHookItem Class

Legend

read only

Destructor

protected


TJclPeMapImgHookItem Class Members

TJclPeMapImgHookItem Class	Legend

Members

Properties

 BaseAddress

Base address at which the image in which the hooked function resides, is mapped.

 FunctionName

Name of the hooked function.

 ModuleName

Name of the image in which the hooked function resides.

 NewAddress

Address of the function that replaced the original, hooked function.

 OriginalAddress

Address of the original, hooked funcion.

Methods

 Destroy

 InternalUnhook

Unhook

Unhooks the function.


Legend

read only

Destructor

protected


TJclPeMapImgHookItem.BaseAddress Property

TJclPeMapImgHookItem Class

Base address at which the image in which the hooked function resides, is mapped.

Pascal

property BaseAddress: Pointer;

Description

Base address at which the image in which the hooked function resides, is mapped.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.FunctionName Property

TJclPeMapImgHookItem Class

Name of the hooked function.

Pascal

property FunctionName: string;

Description

Name of the hooked function.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.ModuleName Property

TJclPeMapImgHookItem Class

Name of the image in which the hooked function resides.

Pascal

property ModuleName: string;

Description

Name of the image in which the hooked function resides.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.NewAddress Property

TJclPeMapImgHookItem Class

Address of the function that replaced the original, hooked function.

Pascal

property NewAddress: Pointer;

Description

Address of the function that replaced the original, hooked function.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.OriginalAddress Property

TJclPeMapImgHookItem Class

Address of the original, hooked funcion.

Pascal

property OriginalAddress: Pointer;

Description

Address of the original, hooked funcion.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.Destroy Destructor

TJclPeMapImgHookItem Class

destructor Destroy; override;

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.InternalUnhook Method

TJclPeMapImgHookItem Class

function InternalUnhook: Boolean;

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHookItem.Unhook Method

TJclPeMapImgHookItem Class

Unhooks the function.

Pascal

function Unhook: Boolean;

Description

Call the UnHook method to unhook the function represented by this TJclPeMapImgHookItem instance. This will cause the import to revert to the state before the hooking took place and will destroy the TJclPeMapImgHookItem instance on which the method was invoked.

Donator

Petr Vones

Class

TJclPeMapImgHookItem Class


TJclPeMapImgHooks

API Hooking

Classes

TJclPeMapImgHooks

Provides hooking and unhooking of API functions.


TJclPeMapImgHooks Classes

TJclPeMapImgHooks

Classes

TJclPeMapImgHooks

Provides hooking and unhooking of API functions.


TJclPeMapImgHooks Class

Properties	Methods	Legend

Provides hooking and unhooking of API functions.

Pascal

TJclPeMapImgHooks = class(TObjectList);

Description

The TJclPeMapImgHooks provides the functionality to hook and unhook API functions as well as manage a set of those hooks. The class automatically unhooks all functions it manages when it is destroyed. The class does not allow you to hook a single function more than once.

Donator

Petr Vones

Group

TJclPeMapImgHooks

Legend

read only

Unit

JclPeImage


TJclPeMapImgHooks Class Properties

TJclPeMapImgHooks Class	Legend

Properties

 ItemFromNewAddress

 ItemFromOriginalAddress

 Items


Legend

read only


TJclPeMapImgHooks Class Methods

TJclPeMapImgHooks Class

Methods

HookImport

Hooks a imported function.

IsWin9xDebugThunk

ReplaceImport

Hooks an imported function by replacing it with the new function.

SystemBase

UnhookAll

UnhookByNewAddress


Legend

TJclPeMapImgHooks Class

Legend

read only


TJclPeMapImgHooks Class Members

TJclPeMapImgHooks Class	Legend

Members

Properties

 ItemFromNewAddress

 ItemFromOriginalAddress

 Items

Methods

HookImport

Hooks a imported function.

IsWin9xDebugThunk

ReplaceImport

Hooks an imported function by replacing it with the new function.

SystemBase

UnhookAll

UnhookByNewAddress


Legend

read only


TJclPeMapImgHooks.ItemFromNewAddress Property

TJclPeMapImgHooks Class

property ItemFromNewAddress [NewAddress: Pointer]: TJclPeMapImgHookItem;

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.ItemFromOriginalAddress Property

TJclPeMapImgHooks Class

property ItemFromOriginalAddress [OriginalAddress: Pointer]: TJclPeMapImgHookItem;

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.Items Property

TJclPeMapImgHooks Class

property Items [Index: Integer]: TJclPeMapImgHookItem;

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.HookImport Method

TJclPeMapImgHooks Class

Hooks a imported function.

Pascal

function HookImport(Base: Pointer; const ModuleName: string; const FunctionName: string; NewAddress: Pointer; var OriginalAddress: Pointer): Boolean;

Description

The HookImports method hooks the specified function. That is, it replaces the imported function with the one supplied. Thereafter all calls to the original function anywhere in the application automatically call this new function. When the hook is no longer needed you should unhook the function. Destroying the TJclPeMapImgHooks instance automatically unhooks all functions it manages.

Parameters

Base: Pointer

Base address at which the image, in which the function you want to hook resides, is mapped.

const ModuleName: string

Name of the image in which the function you want to hook resides.

const FunctionName: string

Name of the function you want to hook.

NewAddress: Pointer

Address of the new function which should replace the original function.

var OriginalAddress: Pointer

Upon success receives the address of the function which was hooked.

Return Value

If the function succeeds it returns True and adds an item representing the hooked function to the list.

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.IsWin9xDebugThunk Method

TJclPeMapImgHooks Class

class function IsWin9xDebugThunk(P: Pointer): Boolean;

Parameters

P: Pointer

TODO

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.ReplaceImport Method

TJclPeMapImgHooks Class

Hooks an imported function by replacing it with the new function.

Pascal

class function ReplaceImport(Base: Pointer; ModuleName: string; FromProc: Pointer; ToProc: Pointer): Boolean;

Description

Hooks an imported function by replacing it with the new function. Unlike the HookImport function this class method does not add an entry representing the hooked function to the list (how could it, being a class method!).

Parameters

Base: Pointer

Base address at which the image, in which the function you want to hook resides, is mapped.

ModuleName: string

Name of the image in which the function you want to hook resides.

FromProc: Pointer

Address of the function you want to hook.

ToProc: Pointer

Address of the function that is to replace the original function.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Hallvard Vassbotn

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.SystemBase Method

TJclPeMapImgHooks Class

class function SystemBase: Pointer;

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.UnhookAll Method

TJclPeMapImgHooks Class

procedure UnhookAll;

Class

TJclPeMapImgHooks Class


TJclPeMapImgHooks.UnhookByNewAddress Method

TJclPeMapImgHooks Class

function UnhookByNewAddress(NewAddress: Pointer): Boolean;

Parameters

NewAddress: Pointer

TODO

Donator

Petr Vones

Class

TJclPeMapImgHooks Class


Borland Delphi Specific

Portable Executable File Format

Topics

TJclPeBorImage

TJclPePackageInfo


Topics

Borland Delphi Specific

Topics

TJclPeBorImage

TJclPePackageInfo


TJclPeBorImage

Borland Delphi Specific

Classes

TJclPeBorImage

Specialisation of TJclPeImage for Borland produced images.


TJclPeBorImage Classes

TJclPeBorImage

Classes

TJclPeBorImage

Specialisation of TJclPeImage for Borland produced images.


TJclPeBorImage Class

Properties	Methods	Legend

Specialisation of TJclPeImage for Borland produced images.

Pascal

TJclPeBorImage = class(TJclPeImage);

Description

The TJclPeBorImage class is a specialisation of TJclPeImage which allows access to information contained in the image file which is specific, and therefore unique, to images produced by a Borland linker.

Donator

Petr Vones

Group

TJclPeBorImage

Legend

read only

protected

Constructor

Unit

JclPeImage


TJclPeBorImage Class Properties

TJclPeBorImage Class	Legend

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable

TJclPeBorImage Class

 FormCount

 FormFromName

 Forms

 IsBorlandImage

Returns whether or not the image is an image produced by a Borland linker.

 IsPackage

Returns whether the image is Borland package file.

 LibHandle

Returns a handle to the loaded library (image).

 PackageCompilerVersion

 PackageInfo

Returns an object which provides additional information about a package.


Legend

read only

protected


TJclPeBorImage Class Methods

TJclPeBorImage Class	Legend

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.

TJclPeBorImage Class

 AfterOpen

 Clear

 Create

Creates an instance of the TJclPeImage class.

 CreateFormsList

DependedPackages

 Destroy

FreeLibHandle

Closes the library handle as returned by the LibHandle property.


Legend

protected

Constructor


Legend

TJclPeBorImage Class

Legend

read only

protected

Constructor


TJclPeBorImage Class Members

TJclPeBorImage Class	Legend

Members

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable

TJclPeBorImage Class

 FormCount

 FormFromName

 Forms

 IsBorlandImage

Returns whether or not the image is an image produced by a Borland linker.

 IsPackage

Returns whether the image is Borland package file.

 LibHandle

Returns a handle to the loaded library (image).

 PackageCompilerVersion

 PackageInfo

Returns an object which provides additional information about a package.

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.

TJclPeBorImage Class

 AfterOpen

 Clear

 Create

Creates an instance of the TJclPeImage class.

 CreateFormsList

DependedPackages

 Destroy

FreeLibHandle

Closes the library handle as returned by the LibHandle property.


Legend

read only

protected

Constructor


TJclPeBorImage.FormCount Property

TJclPeBorImage Class

property FormCount: Integer;

Class

TJclPeBorImage Class


TJclPeBorImage.FormFromName Property

TJclPeBorImage Class

property FormFromName [const FormClassName: string]: TJclPeBorForm;

Class

TJclPeBorImage Class


TJclPeBorImage.Forms Property

TJclPeBorImage Class

property Forms [Index: Integer]: TJclPeBorForm;

Class

TJclPeBorImage Class


TJclPeBorImage.IsBorlandImage Property

TJclPeBorImage Class

Returns whether or not the image is an image produced by a Borland linker.

Pascal

property IsBorlandImage: Boolean;

Description

Returns whether or not the image is an image produced by a Borland linker.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPeBorImage.IsPackage Property

TJclPeBorImage Class

Returns whether the image is Borland package file.

Pascal

property IsPackage: Boolean;

Description

Returns whether the image is Borland package file.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPeBorImage.LibHandle Property

TJclPeBorImage Class

Returns a handle to the loaded library (image).

Pascal

property LibHandle: THandle;

Description

The LibHandle property loads the image file as a datafile (if necessary) and returns a handle to the loaded image. Use the FreeLibHandle method when you no longer need the handle.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPeBorImage.PackageCompilerVersion Property

TJclPeBorImage Class

property PackageCompilerVersion: Integer;

Class

TJclPeBorImage Class


TJclPeBorImage.PackageInfo Property

TJclPeBorImage Class

Returns an object which provides additional information about a package.

Pascal

property PackageInfo: TJclPePackageInfo;

Description

Returns an instance of TJclPePackageInfo which provides additional information about the image such as the units contained in it. This property is only valid if the image is a package.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPeBorImage.AfterOpen Method

TJclPeBorImage Class

procedure AfterOpen; override;

Class

TJclPeBorImage Class


TJclPeBorImage.Clear Method

TJclPeBorImage Class

procedure Clear; override;

Class

TJclPeBorImage Class


TJclPeBorImage.Create Constructor

TJclPeBorImage Class

Creates an instance of the TJclPeImage class.

Pascal

constructor Create(ANoExceptions: Boolean = False); override;

Description

Creates an instance of the TJclPeImage class. Use the FileName property or AttachLoadedModule method to attach the class to a specific image.

Parameters

ANoExceptions

Determines whether certain methods raise exceptions when they encounter a failure. Currently this applies only to setting the FileName property to an invalid filename or calling the AttachLoadedModule method with an invalid parameter.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPeBorImage.CreateFormsList Method

TJclPeBorImage Class

procedure CreateFormsList;

Class

TJclPeBorImage Class


TJclPeBorImage.DependedPackages Method

TJclPeBorImage Class

function DependedPackages(List: TStrings; FullPathName: Boolean; Descriptions: Boolean): Boolean;

Class

TJclPeBorImage Class


TJclPeBorImage.Destroy Destructor

TJclPeBorImage Class

destructor Destroy; override;

Class

TJclPeBorImage Class


TJclPeBorImage.FreeLibHandle Method

TJclPeBorImage Class

Closes the library handle as returned by the LibHandle property.

Pascal

function FreeLibHandle: Boolean;

Description

Closes the library handle as returned by the LibHandle property.

Donator

Petr Vones

Class

TJclPeBorImage Class


TJclPePackageInfo

Borland Delphi Specific

Classes

TJclPePackageInfo

Allows you to obtain information about Delphi packages.


TJclPePackageInfo Classes

TJclPePackageInfo

Classes

TJclPePackageInfo

Allows you to obtain information about Delphi packages.


TJclPePackageInfo Class

Properties	Methods	Legend

Allows you to obtain information about Delphi packages.

Pascal

TJclPePackageInfo = class(TObject);

Description

The TJclPackageInfo class allows you to obtain information about Delphi packages such as which units it contains and which packages it requires.

Donator

Petr Vones

Group

TJclPePackageInfo

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPePackageInfo Class Properties

TJclPePackageInfo Class	Legend

Properties

 Available

 Contains

Returns a list containing the names of all units contained in the package.

 ContainsCount

Returns the number of items in the ContainsNames property.

 ContainsFlags

Flags associated with a particular contained unit.

 ContainsNames

Provides indexed access to the list of unit names contained in the package.

 DcpName

 Description

Returns the description string for the package as it appears in the package resource.

EnsureExtension

 Flags

Returns a set of flags for the package encoded as a set of bits.

 Requires

Returns a list of package names that the package requires.

 RequiresCount

Returns the number of items in the RequiresNames property.

 RequiresNames

Provides indexed access to the list of package names that are required by the package.


Legend

read only


TJclPePackageInfo Class Methods

TJclPePackageInfo Class	Legend

Methods

 Create

Creates and initializes an instance of TJclPePackageInfo.

 Destroy

PackageModuleTypeToString

PackageOptionsToString

ProducerToString

 ReadPackageInfo

UnitInfoFlagsToString


Legend

Constructor

protected


Legend

TJclPePackageInfo Class

Legend

read only

Constructor

protected


TJclPePackageInfo Class Members

TJclPePackageInfo Class	Legend

Members

Properties

 Available

 Contains

Returns a list containing the names of all units contained in the package.

 ContainsCount

Returns the number of items in the ContainsNames property.

 ContainsFlags

Flags associated with a particular contained unit.

 ContainsNames

Provides indexed access to the list of unit names contained in the package.

 DcpName

 Description

Returns the description string for the package as it appears in the package resource.

EnsureExtension

 Flags

Returns a set of flags for the package encoded as a set of bits.

 Requires

Returns a list of package names that the package requires.

 RequiresCount

Returns the number of items in the RequiresNames property.

 RequiresNames

Provides indexed access to the list of package names that are required by the package.

Methods

 Create

Creates and initializes an instance of TJclPePackageInfo.

 Destroy

PackageModuleTypeToString

PackageOptionsToString

ProducerToString

 ReadPackageInfo

UnitInfoFlagsToString


Legend

read only

Constructor

protected


TJclPePackageInfo.Available Property

TJclPePackageInfo Class

property Available: Boolean;

Class

TJclPePackageInfo Class


TJclPePackageInfo.Contains Property

TJclPePackageInfo Class

Returns a list containing the names of all units contained in the package.

Pascal

property Contains: TStrings;

Description

Returns a list containing the names of all units contained in the package. Note that the returned TStrings instance remains owned by the class so you should never free it.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.ContainsCount Property

TJclPePackageInfo Class

Returns the number of items in the ContainsNames property.

Pascal

property ContainsCount: Integer;

Description

Returns the number of items in the ContainsNames property.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.ContainsFlags Property

TJclPePackageInfo Class

Flags associated with a particular contained unit.

Pascal

property ContainsFlags [Index: Integer]: Byte;

Description

The ContainsFlags property provides (zero based) indexed access to the list of flags associated with the list of units contained in the package. This list is parallel to the ContainsNames property; to determine the flags associated with ContainsNames[I] read ContainsFalgs[I]. The valid values are defined in SysUtils
Flag	Description
ufMainUnit	TODO
ufPackageUnit	TODO
ufWeakUnit	TODO
ufOrgWeakUnit	TODO
ufImplicitUnit	TODO
Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.ContainsNames Property

TJclPePackageInfo Class

Provides indexed access to the list of unit names contained in the package.

Pascal

property ContainsNames [Index: Integer]: string;

Description

The ContainsNames property provides (zero based) indexed access to the list of unit names contained in the package. To learn the number of items in the list read the ContainsCount property. To read the flags associated with the contained unit read ContainsFlags property using the same index.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.DcpName Property

TJclPePackageInfo Class

property DcpName: string;

Class

TJclPePackageInfo Class


TJclPePackageInfo.Description Property

TJclPePackageInfo Class

Returns the description string for the package as it appears in the package resource.

Pascal

property Description: string;

Description

Returns the description string for the package as it appears in the package resource.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.EnsureExtension Property

TJclPePackageInfo Class

property EnsureExtension: Boolean;

Class

TJclPePackageInfo Class


TJclPePackageInfo.Flags Property

TJclPePackageInfo Class

Returns a set of flags for the package encoded as a set of bits.

Pascal

property Flags: Integer;

Description

Returns a set of flags for the package. The valid values for this property are defined in SysUtils
Flag	Description
pfNeverBuild	TODO
pfDesignOnly	TODO
pfRunOnly	TODO
pfIgnoreDupUnits	TODO
pfModuleTypeMask	TODO
pfExeModule	TODO
pfPackageModule	TODO
pfProducerMask	TODO
pfV3Produced	TODO
pfProducerUndefined	TODO
pfBCB4Produced	TODO
pfDelphi4Produced	TODO
pfLibraryModule	TODO
Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.Requires Property

TJclPePackageInfo Class

Returns a list of package names that the package requires.

Pascal

property Requires: TStrings;

Description

Returns a list of package names that the package requires. Note that the returned TStrings object remains owned by the class so you should never free it.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.RequiresCount Property

TJclPePackageInfo Class

Returns the number of items in the RequiresNames property.

Pascal

property RequiresCount: Integer;

Description

Returns the number of items in the RequiresNames property.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.RequiresNames Property

TJclPePackageInfo Class

Provides indexed access to the list of package names that are required by the package.

Pascal

property RequiresNames [Index: Integer]: string;

Description

The RequiresNames property provides (zero based) indexed access to the list of package names that are required by the package. To learn the number of items in the list read the RequiresCount property.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.Create Constructor

TJclPePackageInfo Class

Creates and initializes an instance of TJclPePackageInfo.

Pascal

constructor Create(ALibHandle: THandle);

Description

Creates and initializes an instance of TJclPePackageInfo.

Parameters

ALibHandle: THandle

Handle to a loaded package. For example, the handle returned by the LoadPackage RTL function.

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.Destroy Destructor

TJclPePackageInfo Class

destructor Destroy; override;

Class

TJclPePackageInfo Class


TJclPePackageInfo.PackageModuleTypeToString Method

TJclPePackageInfo Class

class function PackageModuleTypeToString(Flags: Integer): string;

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.PackageOptionsToString Method

TJclPePackageInfo Class

class function PackageOptionsToString(Flags: Integer): string;

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.ProducerToString Method

TJclPePackageInfo Class

class function ProducerToString(Flags: Integer): string;

Donator

Petr Vones

Class

TJclPePackageInfo Class


TJclPePackageInfo.ReadPackageInfo Method

TJclPePackageInfo Class

procedure ReadPackageInfo(ALibHandle: THandle);

Class

TJclPePackageInfo Class


TJclPePackageInfo.UnitInfoFlagsToString Method

TJclPePackageInfo Class

class function UnitInfoFlagsToString(UnitFlags: Byte): string;

Donator

Petr Vones

Class

TJclPePackageInfo Class


Debug Section

Portable Executable File Format

Topics

TJclPeDebugList


Topics

Debug Section

Topics

TJclPeDebugList


TJclPeDebugList

Debug Section

Classes

TJclPeDebugList

The TJclPeDebugList represent the debug section of an image file.


TJclPeDebugList Classes

TJclPeDebugList

Classes

TJclPeDebugList

The TJclPeDebugList represent the debug section of an image file.


TJclPeDebugList Class

Properties	Methods	Legend

The TJclPeDebugList represent the debug section of an image file.

Pascal

TJclPeDebugList = class(TJclPeImageBaseList);

Description

The TJclPeDebugList represent the debug section of an image file.

Donator

Petr Vones

Group

TJclPeDebugList

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeDebugList Class Properties

TJclPeDebugList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeDebugList Class

 Items

Provides indexed access to the list of debug directories.


Legend

read only


TJclPeDebugList Class Methods

TJclPeDebugList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeDebugList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

Constructor

protected


Legend

TJclPeDebugList Class

Legend

read only

Constructor

protected


TJclPeDebugList Class Members

TJclPeDebugList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeDebugList Class

 Items

Provides indexed access to the list of debug directories.

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeDebugList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

read only

Constructor

protected


TJclPeDebugList.Items Property

TJclPeDebugList Class

Provides indexed access to the list of debug directories.

Pascal

property Items [Index: Integer]: TImageDebugDirectory;

Description

The Items property provides (zero based) indexed access to the list of debug directories maintained by the class. Each entry in the list describes a single debug directory including it's locations, size and the type of debug information it contains. For details about the contents of the returned TImageDebugDirectory record look up IMAGE_DEBUG_DIRECTORY in the Platform SDK. To learn the number of items in the list read the Count property.

Donator

Petr Vones

Class

TJclPeDebugList Class


TJclPeDebugList.Create Constructor

See Also	TJclPeDebugList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeDebugList Class


See Also

TJclPeImage


TJclPeDebugList.CreateList Method

TJclPeDebugList Class

procedure CreateList;

Class

TJclPeDebugList Class


Export Section

Legend

Portable Executable File Format

Topics

TJclPeExportFuncItem

TJclPeExportFuncList

Enumerations

 TJclPeExportSort

Enumeration used to determine on which field a list of exported functions is sorted.

Legend

Enumeration


Export Section Enumerations

Export Section	Legend

Enumerations

 TJclPeExportSort

Enumeration used to determine on which field a list of exported functions is sorted.


Legend

Enumeration


Topics

Export Section

Topics

TJclPeExportFuncItem

TJclPeExportFuncList


Legend

Export Section

Legend

Enumeration


TJclPeExportSort Enumeration

Enumeration used to determine on which field a list of exported functions is sorted.

Pascal

TJclPeExportSort = (
  esName,
  esOrdinal,
  esHint,
  esAddress,
  esForwarded,
  esAddrOrFwd,
  esSection
);

Description

Enumeration used to determine on which field a list of exported functions is sorted.

esName

Sorted on the name by which the function is exported.

esOrdinal

Sorted on the ordinal by which the function is exported.

esHint

Sorted on the hint.

esAddress

Sorted on the address of the exported function.

esForwarded

Sorted on the name of the function to which the export is forwarded.

esAddrOrFwd

Sorted on address or name of the function to which the export is forwarded depending on whether the function is forwarded or not.

Donator

Petr Vones

Group

Export Section

Unit

JclPeImage


TJclPeExportFuncItem

Export Section

Classes

TJclPeExportFuncItem

Represents a single exported function.


TJclPeExportFuncItem Classes

TJclPeExportFuncItem

Classes

TJclPeExportFuncItem

Represents a single exported function.


TJclPeExportFuncItem Class

Properties	Methods	Legend

Represents a single exported function.

Pascal

TJclPeExportFuncItem = class(TObject);

Description

The TJclPeExportFuncItem represents a single exported function in the exports section of an image. The class provides all the details about the function such as the name or ordinal by which it is exported.

Donator

Petr Vones

Group

TJclPeExportFuncItem

Legend

read only

protected

Unit

JclPeImage


TJclPeExportFuncItem Class Properties

TJclPeExportFuncItem Class	Legend

Properties

 Address

 AddressOrForwardStr

 ForwardedFuncName

Returns the name of the function to which the export is forwarded.

 ForwardedFuncOrdinal

Returns the ordinal of the function to which the export is forwarded.

 ForwardedLibName

Returns the name of the image to which the export is forwarded.

 ForwardedName

Name of the image and function to which the export is forwarded.

 Hint

Contains the index into TJclPeExportFuncList.Items property at which the function is located.

 IsExportedVariable

 IsForwarded

Specifies whether the export is a function forwarder.

 MappedAddress

 Name

Returns the name by which the function is exported.

 Ordinal

Returns the ordinal value by which the function is exported.

 ResolveCheck

 SectionName


Legend

read only


TJclPeExportFuncItem Class Methods

TJclPeExportFuncItem Class	Legend

Methods

 FindForwardedDotPos


Legend

protected


Legend

TJclPeExportFuncItem Class

Legend

read only

protected


TJclPeExportFuncItem Class Members

TJclPeExportFuncItem Class	Legend

Members

Properties

 Address

 AddressOrForwardStr

 ForwardedFuncName

Returns the name of the function to which the export is forwarded.

 ForwardedFuncOrdinal

Returns the ordinal of the function to which the export is forwarded.

 ForwardedLibName

Returns the name of the image to which the export is forwarded.

 ForwardedName

Name of the image and function to which the export is forwarded.

 Hint

Contains the index into TJclPeExportFuncList.Items property at which the function is located.

 IsExportedVariable

 IsForwarded

Specifies whether the export is a function forwarder.

 MappedAddress

 Name

Returns the name by which the function is exported.

 Ordinal

Returns the ordinal value by which the function is exported.

 ResolveCheck

 SectionName

Methods

 FindForwardedDotPos


Legend

read only

protected


TJclPeExportFuncItem.Address Property

TJclPeExportFuncItem Class

property Address: DWORD;

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.AddressOrForwardStr Property

TJclPeExportFuncItem Class

property AddressOrForwardStr: string;

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.ForwardedFuncName Property

TJclPeExportFuncItem Class

Returns the name of the function to which the export is forwarded.

Pascal

property ForwardedFuncName: string;

Description

If the export is forwarded the ForwardedFuncOrdinal property returns the name of the function to which the export is forwarded. If the export is not forwarded the property returns an empty string. You can determine whether the export is forwarded by reading the IsForwarded property.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.ForwardedFuncOrdinal Property

TJclPeExportFuncItem Class

Returns the ordinal of the function to which the export is forwarded.

Pascal

property ForwardedFuncOrdinal: DWORD;

Description

If the export is forwarded the ForwardedFuncOrdinal property returns the ordinal of the function to which the export is forwarded. If the export is not forwarded the property returns 0. You can determine whether the export is forwarded by reading the IsForwarded property.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.ForwardedLibName Property

TJclPeExportFuncItem Class

Returns the name of the image to which the export is forwarded.

Pascal

property ForwardedLibName: string;

Description

Returns the name of the image, including extension, to which the export is forwarded. If the export isn't forwarded the property returns an empty string. You can determine whether the export is forwarded by reading the IsForwarded property.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.ForwardedName Property

TJclPeExportFuncItem Class

Name of the image and function to which the export is forwarded.

Pascal

property ForwardedName: string;

Description

If the export is a function forwarder, as can be determined by reading the IsForwarded property, the ForwardedName property returns the name of the image to which the function is forwarded and the name of that function, separated with a single dot.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.Hint Property

TJclPeExportFuncItem Class

Contains the index into TJclPeExportFuncList.Items property at which the function is located.

Pascal

property Hint: Word;

Description

The Hint property contains the (zero based) index into Items property of the TJclPeExportFuncList at which this function is located. This is also the position in the export table at which the function is located.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.IsExportedVariable Property

TJclPeExportFuncItem Class

property IsExportedVariable: Boolean;

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.IsForwarded Property

TJclPeExportFuncItem Class

Specifies whether the export is a function forwarder.

Pascal

property IsForwarded: Boolean;

Description

If the export is a function forwarder the IsForwarded property returns True, if it is not forwarded the property returns False.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.MappedAddress Property

TJclPeExportFuncItem Class

property MappedAddress: Pointer;

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.Name Property

TJclPeExportFuncItem Class

Returns the name by which the function is exported.

Pascal

property Name: string;

Description

If the function is exported by name the Name property returns the name by which the function is exported. If the function is not exported by name the property returns an empty string.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.Ordinal Property

TJclPeExportFuncItem Class

Returns the ordinal value by which the function is exported.

Pascal

property Ordinal: Word;

Description

If the function is exported by ordinal the Ordinal property returns the ordinal value by which the function is exported. If the function is not exported by ordinal the property returns 0.

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.ResolveCheck Property

TJclPeExportFuncItem Class

property ResolveCheck: TJclPeResolveCheck;

Donator

Petr Vones

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.SectionName Property

TJclPeExportFuncItem Class

property SectionName: string;

Class

TJclPeExportFuncItem Class


TJclPeExportFuncItem.FindForwardedDotPos Method

TJclPeExportFuncItem Class

procedure FindForwardedDotPos;

Class

TJclPeExportFuncItem Class


TJclPeExportFuncList

Export Section

Classes

TJclPeExportFuncList

The TJclPeExportFuncList class represents the export section of an image file.


TJclPeExportFuncList Classes

TJclPeExportFuncList

Classes

TJclPeExportFuncList

The TJclPeExportFuncList class represents the export section of an image file.


TJclPeExportFuncList Class

Properties	Methods	Legend

The TJclPeExportFuncList class represents the export section of an image file.

Pascal

TJclPeExportFuncList = class(TJclPeImageBaseList);

Description

The TJclPeExportFuncList class represents the export section of an image file. As such it allowsaccess to the list of exported functions in various ways and provides some information about the exports section itself.

Donator

Petr Vones

Group

TJclPeExportFuncList

Legend

read only

protected

Constructor

Unit

JclPeImage


TJclPeExportFuncList Class Properties

TJclPeExportFuncList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeExportFuncList Class

 AnyForwards

AnyFowards determines whether the image contains any function forwarderes.

 Base

The starting ordinal number for exports in this image. Will usually be 1.

 ExportDir

Pointer to a TImageExportDirectory record which describes the Export Directory Table.

 ForwardedLibsList

Returns a list containing the names of forwarded functions.

 FunctionCount

Returns the number of items in the Items property.

 ItemFromAddress

 ItemFromName

Provides, name based, indexed access to the list of exported functions.

 ItemFromOrdinal

Provides, ordinal based, indexed access to the list of exported functions.

 Items

Provides indexed access to the items contained in the export table.

 LastSortDescending

 LastSortType

 Name

 Sorted

 TotalResolveCheck


Legend

read only

protected


TJclPeExportFuncList Class Methods

TJclPeExportFuncList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeExportFuncList Class

 CanPerformFastNameSearch

CheckForwards

Determines the validity of all forwarded function exports.

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

 Destroy

ItemName

Returns the Name propery of a function item.

OrdinalValid

PrepareForFastNameSearch

Prepares the list for fast name searching.

SmartFindName

Searches the list of function exports for a specific function.

SortList

Sorts the exported functions list.


Legend

Constructor

protected


Legend

TJclPeExportFuncList Class

Legend

read only

protected

Constructor


TJclPeExportFuncList Class Members

TJclPeExportFuncList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeExportFuncList Class

 AnyForwards

AnyFowards determines whether the image contains any function forwarderes.

 Base

The starting ordinal number for exports in this image. Will usually be 1.

 ExportDir

Pointer to a TImageExportDirectory record which describes the Export Directory Table.

 ForwardedLibsList

Returns a list containing the names of forwarded functions.

 FunctionCount

Returns the number of items in the Items property.

 ItemFromAddress

 ItemFromName

Provides, name based, indexed access to the list of exported functions.

 ItemFromOrdinal

Provides, ordinal based, indexed access to the list of exported functions.

 Items

Provides indexed access to the items contained in the export table.

 LastSortDescending

 LastSortType

 Name

 Sorted

 TotalResolveCheck

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeExportFuncList Class

 CanPerformFastNameSearch

CheckForwards

Determines the validity of all forwarded function exports.

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

 Destroy

ItemName

Returns the Name propery of a function item.

OrdinalValid

PrepareForFastNameSearch

Prepares the list for fast name searching.

SmartFindName

Searches the list of function exports for a specific function.

SortList

Sorts the exported functions list.


Legend

read only

protected

Constructor


TJclPeExportFuncList.AnyForwards Property

TJclPeExportFuncList Class

AnyFowards determines whether the image contains any function forwarderes.

Pascal

property AnyForwards: Boolean;

Description

AnyFowards determines whether the image contains any function forwarderes. It reads True if there is at least one function forwarder, otherwise it reads False.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Base Property

TJclPeExportFuncList Class

The starting ordinal number for exports in this image. Will usually be 1.

Pascal

property Base: DWORD;

Description

The starting ordinal number for exports in this image. Will usually be 1.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ExportDir Property

TJclPeExportFuncList Class

Pointer to a TImageExportDirectory record which describes the Export Directory Table.

Pascal

property ExportDir: PImageExportDirectory;

Description

Pointer to a TImageExportDirectory record which describes the Export Directory Table. The Export Directory Table contains address information that is used to resolve fix-up references to the entry points within this image.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ForwardedLibsList Property

TJclPeExportFuncList Class

Returns a list containing the names of forwarded functions.

Pascal

property ForwardedLibsList: TStrings;

Description

Returns a list containing the names of forwarded functions, if any. The list remains owned by the class so never free it.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.FunctionCount Property

TJclPeExportFuncList Class

Returns the number of items in the Items property.

Pascal

property FunctionCount: DWORD;

Description

Returns the number of items in the Items property. In other words, it returns the number of function exports in this image.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ItemFromAddress Property

TJclPeExportFuncList Class

property ItemFromAddress [Address: DWORD]: TJclPeExportFuncItem;

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ItemFromName Property

TJclPeExportFuncList Class

Provides, name based, indexed access to the list of exported functions.

Pascal

property ItemFromName [const Name: string]: TJclPeExportFuncItem;

Description

Provides indexed access to the list of exported functions where the index is the name by which the function is exported. If a function by the specified name is exported from the image the property returns a reference to a TJclPeExportFuncItem which represents that function. Note that the returned reference remains owned by the class so never free it. If no function is exported by the specified name the property returns nil.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ItemFromOrdinal Property

TJclPeExportFuncList Class

Provides, ordinal based, indexed access to the list of exported functions.

Pascal

property ItemFromOrdinal [Ordinal: DWORD]: TJclPeExportFuncItem;

Description

Provides indexed access to the list of exported functions where the index is the ordinal value by which the function is exported. If a function by the orindal value is exported from the image the property returns a reference to a TJclPeExportFuncItem which represents that function. Note that the returned reference remains owned by the class so never free it. If no function is exported by the specified ordinal value the property returns nil.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Items Property

TJclPeExportFuncList Class

Provides indexed access to the items contained in the export table.

Pascal

property Items [Index: Integer]: TJclPeExportFuncItem;

Description

Provides (zero based) indexed access to the items contained in the export table. As such it contains all exported funtions in the image. Initially the list is in the same order as the functions appear in the export table but they may be sorted afterwards.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.LastSortDescending Property

TJclPeExportFuncList Class

property LastSortDescending: Boolean;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.LastSortType Property

TJclPeExportFuncList Class

property LastSortType: TJclPeExportSort;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Name Property

TJclPeExportFuncList Class

property Name: string;

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Sorted Property

TJclPeExportFuncList Class

property Sorted: Boolean;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.TotalResolveCheck Property

TJclPeExportFuncList Class

property TotalResolveCheck: TJclPeResolveCheck;

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.CanPerformFastNameSearch Method

TJclPeExportFuncList Class

function CanPerformFastNameSearch: Boolean;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.CheckForwards Method

TJclPeExportFuncList Class

Determines the validity of all forwarded function exports.

Pascal

procedure CheckForwards(PeImageCache: TJclPeImagesCache = nil);

Description

CheckForwards determines whether all forwarded function exports are valid. That is, it determines whether the function which is forwarded to atually exist. When the method returns the TotalResolveCheck property indicates whether or not all function forwards are valid. You can also use the ResolveCheck property of the individual TJclPeExportFuncItem items to determine the result on a per function basis.

Parameters

PeImageCache: TJclPeImagesCache = nil

Allows you to specify a TJclPeImagesCache to be used by the method. This can significantly increase performance because it may prevent a lot of loading and unloading of image files. If you are using an image cache in your application it is recommended you use it here. That way the method can reuse your already loaded images. Note though that if the method needs to load additional images, it will do so using the cache. Those images will not be removed upon method exit.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Create Constructor

See Also	TJclPeExportFuncList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


See Also

TJclPeImage


TJclPeExportFuncList.CreateList Method

TJclPeExportFuncList Class

procedure CreateList;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.Destroy Destructor

TJclPeExportFuncList Class

destructor Destroy; override;

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.ItemName Method

TJclPeExportFuncList Class

Returns the Name propery of a function item.

Pascal

class function ItemName(Item: TJclPeExportFuncItem): string;

Description

Helper class methods which returns the name of the specified item (it's name property) if the Item is valid (non-nil) or an empty string if the Item parameter is nil.

Parameters

Item: TJclPeExportFuncItem

The Item for which to retrieve the Name property. Can be nil.

Return Value

If Item is non-nil the method returns the Name property of the Item, otherwise it returns an empty string.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.OrdinalValid Method

TJclPeExportFuncList Class

function OrdinalValid(Ordinal: DWORD): Boolean;

Parameters

Ordinal: DWORD

TODO

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.PrepareForFastNameSearch Method

TJclPeExportFuncList Class

Prepares the list for fast name searching.

Pascal

procedure PrepareForFastNameSearch;

Description

Prepares the list for fast name searching. It does so basically by sorting the list in ascending order on the Name property of the individual function exports.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.SmartFindName Method

TJclPeExportFuncList Class

Searches the list of function exports for a specific function.

Pascal

function SmartFindName(const CompareName: string; Options: TJclSmartCompOptions = []): TJclPeExportFuncItem;

Description

The SmartFindName method searches the list of function exports for the specified function.

Parameters

const CompareName: string

The name of the function to search for.

Options: TJclSmartCompOptions = []

Set of options which determine how the method performs the name comparison. You can specify, for example, that the comparison should be case insensitive. See the description of TJclSmartCompOptions for more information.

Return Value

If the method finds the specified export it returns a reference to a TJclPeExportFuncItem instance which represents the found export. You can use this instance to find out more details about it. The instance remains owned by the class so never free it.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


TJclPeExportFuncList.SortList Method

TJclPeExportFuncList Class

Sorts the exported functions list.

Pascal

procedure SortList(SortType: TJclPeExportSort; Descending: Boolean = False);

Description

Sorts the exported functions list.

Parameters

SortType: TJclPeExportSort

Determines the key on which the list is sorted. An example is sorting based on the name by which the functions are exported. See the description of TJclPeExportSort for more information.

Descending: Boolean = False

Determines whether the sort is in ascending or descending order.

Donator

Petr Vones

Class

TJclPeExportFuncList Class


Image access under debugger

Portable Executable File Format

Functions

PeDbgImgNtHeaders

PeDbgImgLibraryName


Image access under debugger Functions

Image access under debugger

Functions

PeDbgImgNtHeaders

PeDbgImgLibraryName


PeDbgImgNtHeaders Function

function PeDbgImgNtHeaders(ProcessHandle: THandle; BaseAddress: Pointer; var NtHeaders: TImageNtHeaders): Boolean;

Donator

Petr Vones

Todo

TODO

Group

Image access under debugger

Unit

JclPeImage


PeDbgImgLibraryName Function

function PeDbgImgLibraryName(ProcessHandle: THandle; BaseAddress: Pointer; var Name: string): Boolean;

Donator

Petr Vones

Todo

TODO

Group

Image access under debugger

Unit

JclPeImage


Import Section

Legend

Portable Executable File Format

Topics

TJclPeImportFuncItem

TJclPeImportLibItem

TJclPeImportList

Enumerations

 TJclPeImportSort

Enumeration used to determine how a list of imported functions should be sorted.

 TJclPeImportLibSort

Enumeration used by the TJclPeImportList which determines how the list of import library items is sorted.

 TJclPeImportKind

Specifies how a function was imported.

 TJclPeResolveCheck

Specifies the resolution status of imported resp. exported functions.

 TJclPeLinkerProducer

Specifies the manufacturer of the linker that produced an image file.

Legend

Enumeration


Import Section Enumerations

Import Section	Legend

Enumerations

 TJclPeImportSort

Enumeration used to determine how a list of imported functions should be sorted.

 TJclPeImportLibSort

Enumeration used by the TJclPeImportList which determines how the list of import library items is sorted.

 TJclPeImportKind

Specifies how a function was imported.

 TJclPeResolveCheck

Specifies the resolution status of imported resp. exported functions.

 TJclPeLinkerProducer

Specifies the manufacturer of the linker that produced an image file.


Legend

Enumeration


Topics

Import Section

Topics

TJclPeImportFuncItem

TJclPeImportLibItem

TJclPeImportList


Legend

Import Section

Legend

Enumeration


TJclPeImportSort Enumeration

Enumeration used to determine how a list of imported functions should be sorted.

Pascal

TJclPeImportSort = (
  isName,
  isOrdinal,
  isHint,
  isLibImport
);

Description

Enumeration used by the various import section related classes to determine how a list of imported functions should be sorted. Usually the method called to perform the sort operation allows for further options such as whether the sort should be ascending or descending.

isName

The list is sorted on the name of the imported function.

isOrdinal

The list is sorted on the ordinal by which the function was imported.

isHint

The list is sorted on the hint of the imported function.

isLibImport

The list is sorted by the name of the image from which the functions were imported.

Donator

Petr Vones

Group

Import Section

Unit

JclPeImage


TJclPeImportLibSort Enumeration

Enumeration used by the TJclPeImportList which determines how the list of import library items is sorted.

Pascal

TJclPeImportLibSort = (
  ilName,
  ilIndex
);

Description

Enumeration used by the TJclPeImportList which determines how the list of import library items is sorted.

ilName

The list is sorted by name (TJclPeImportLibItem.Name property).

ilIndex

The list is sorted by index (TJclPeImportLibItem.ImportDirectoryIndex property).

Donator

Petr Vones

Group

Import Section

Unit

JclPeImage


TJclPeImportKind Enumeration

Specifies how a function was imported.

Pascal

TJclPeImportKind = (
  ikImport,
  ikDelayImport,
  ikBoundImport
);

Description

Specifies how a function was imported. This does not include whether or not the function was imported by name or ordinal.

ikImport

Standard implicit import.

ikDelayImport

Delay load import.

ikBoundImport

Bound import.

Donator

Petr Vones

Group

Import Section

Unit

JclPeImage


TJclPeResolveCheck Enumeration

Specifies the resolution status of imported resp. exported functions.

Pascal

TJclPeResolveCheck = (
  icNotChecked,
  icResolved,
  icUnresolved
);

Description

Both the classes that wrap the import section as well as the class that wraps the export section have methods to perform a resolve check. This means slightly different things for an import section than it does for an export section. For example, for the import section it means that the method tries to resolve all imported function by looking them up in the exports section of the image from which the function is imported. If the function is found there the import is considered resolved, otherwise it is unresolved. This latter case would indicate that the OS loader would probably also be unable to resolve the import and loading of the image would fail. The TJclPeResolveCheck type is used by the imports and exports classes to specify whether a function could be resolved.

Note that all items start off begin unchecked, you have to request function resolving explicitly through the appropriate method call.

icNotChecked

The function was not checked yet. Initial state of all items.

icResolved

The function could be resolved.

icUnresolved

The function could not be resolved. This would indicate an error in the image file evantually causing the OS loader to fail loading the image.

Donator

Petr Vones

Group

Import Section

Unit

JclPeImage


TJclPeLinkerProducer Enumeration

Specifies the manufacturer of the linker that produced an image file.

Pascal

TJclPeLinkerProducer = (
  lrBorland,
  lrMicrosoft
);

Description

Specifies the manufacturer of the linker that produced an image file. The function uses a heuristic which is not perfect and is only capable of recognizing Borland Delphi, C++ Builder and Microsoft Visual Studio linkers.

lrBorland

The image was produced by the Borland Delphi linker.

lrMicrosoft

The image was produced by the Borland C++ Builder or Microsoft Visual C++ linker.

Donator

Petr Vones

Group

Import Section

Unit

JclPeImage


TJclPeImportFuncItem

Import Section

Classes

TJclPeImportFuncItem

Represents a single imported function.


TJclPeImportFuncItem Classes

TJclPeImportFuncItem

Classes

TJclPeImportFuncItem

Represents a single imported function.


TJclPeImportFuncItem Class

Properties	Methods	Legend

Represents a single imported function.

Pascal

TJclPeImportFuncItem = class(TObject);

Description

The TJclPeImportFuncItem class represents a single imported function from some image file. The class provides detailed information about how the function was imported such as it's name or ordinal. You'll normally won't instantiate this class directly but instead retrieve a reference to it through the Items property of the TJclPeImportLibItem class.

Donator

Petr Vones

Group

TJclPeImportFuncItem

Legend

read only

Destructor

protected

Unit

JclPeImage


TJclPeImportFuncItem Class Properties

TJclPeImportFuncItem Class	Legend

Properties

 Hint

Hint of the imported function.

 ImportLib

Reference to the TJclPeImportLibItem which owns this TJclPeImportFuncItem.

 IndirectImportName

Returns the name of a function which was imported by ordinal (if available).

 IsByOrdinal

Specifies whether the function was imported by ordinal.

 Name

Returns the name of the imported function.

 Ordinal

The ordinal value by which the function was imported.

 ResolveCheck

Specifies whether the function could be resolved.


Legend

read only


TJclPeImportFuncItem Class Methods

TJclPeImportFuncItem Class	Legend

Methods

 Destroy

 SetIndirectImportName


Legend

Destructor

protected


Legend

TJclPeImportFuncItem Class

Legend

read only

Destructor

protected


TJclPeImportFuncItem Class Members

TJclPeImportFuncItem Class	Legend

Members

Properties

 Hint

Hint of the imported function.

 ImportLib

Reference to the TJclPeImportLibItem which owns this TJclPeImportFuncItem.

 IndirectImportName

Returns the name of a function which was imported by ordinal (if available).

 IsByOrdinal

Specifies whether the function was imported by ordinal.

 Name

Returns the name of the imported function.

 Ordinal

The ordinal value by which the function was imported.

 ResolveCheck

Specifies whether the function could be resolved.

Methods

 Destroy

 SetIndirectImportName


Legend

read only

Destructor

protected


TJclPeImportFuncItem.Hint Property

TJclPeImportFuncItem Class

Hint of the imported function.

Pascal

property Hint: Word;

Description

Returns the hint value of the function. The hint is an index into the exports table of the image from which the function is imported which allows the OS loader to find the correct export a little faster. Note that the hint value may be incorrect. In those situations the OS loader itself uses a binary search on the exports table to find the correct export.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.ImportLib Property

TJclPeImportFuncItem Class

Reference to the TJclPeImportLibItem which owns this TJclPeImportFuncItem.

Pascal

property ImportLib: TJclPeImportLibItem;

Description

Reference to the TJclPeImportLibItem which owns this TJclPeImportFuncItem. See the description of TJclPeImportFunctItem for more information.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.IndirectImportName Property

TJclPeImportFuncItem Class

Returns the name of a function which was imported by ordinal (if available).

Pascal

property IndirectImportName: Boolean;

Description

If the function was imported by ordinal the IndirectImportName property returns the name of the function. The JclPeImage module has to look up this name from the exports section of the image from which the function is imported. Since an image file does not always provide the name of an export, the IndirectImportName can be empty. You have to explicitly request this look up through the TryGetNamesForOrdinalImports method of the TJclPeImportList or TJclPeImage class that owns the TJclPeImportFuncItem.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.IsByOrdinal Property

TJclPeImportFuncItem Class

Specifies whether the function was imported by ordinal.

Pascal

property IsByOrdinal: Boolean;

Description

Specifies whether the function was imported by ordinal. If the function is imported by Ordinal the property reads True, otherwise it reads False (and as such the function was imported by name).

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.Name Property

TJclPeImportFuncItem Class

Returns the name of the imported function.

Pascal

property Name: string;

Description

The Name property returns the name of the imported function. If the function was imported by name the property simply returns that name. If the function was imported by ordinal the property returns the value of the IndirectImportName property.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.Ordinal Property

TJclPeImportFuncItem Class

The ordinal value by which the function was imported.

Pascal

property Ordinal: Word;

Description

If the function was imported by ordinal the property reads the ordinal value by which it was imported, otherwise it reads 0. You can determine whether the function was imported by ordinal or name through the IsByOrdinal property.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.ResolveCheck Property

TJclPeImportFuncItem Class

Specifies whether the function could be resolved.

Pascal

property ResolveCheck: TJclPeResolveCheck;

Description

Specifies whether the function could be resolved. The intial value of this property will be icNotChecked. You have to request function resolving explicitly through the CheckImports method of the TJclPeImportList class.

Donator

Petr Vones

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.Destroy Destructor

TJclPeImportFuncItem Class

destructor Destroy; override;

Class

TJclPeImportFuncItem Class


TJclPeImportFuncItem.SetIndirectImportName Method

TJclPeImportFuncItem Class

procedure SetIndirectImportName(P: PChar);

Class

TJclPeImportFuncItem Class


TJclPeImportLibItem

Import Section

Classes

TJclPeImportLibItem

Abstraction of an import descriptor.


TJclPeImportLibItem Classes

TJclPeImportLibItem

Classes

TJclPeImportLibItem

Abstraction of an import descriptor.


TJclPeImportLibItem Class

Properties	Methods	Legend

Abstraction of an import descriptor.

Pascal

TJclPeImportLibItem = class(TJclPeImageBaseList);

Description

The import section of an image file consists of a variable number of entries named import descriptors. Each individual import descriptor is basically a table that describes the imports from one specific image. The TJclPeImportLibItem is a class which abstracts such an import descriptor and provides properties to read the information contained within it, most importantly the functions imported from the image. You'll normally won't create an instance of this class but instead retrieve a reference to it through the Items property of the TJclPeImportList class. Note that there can, and often will, exist multiple TJclPeImportLibItem entries for one image.

Donator

Petr Vones

Group

TJclPeImportLibItem

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeImportLibItem Class Properties

TJclPeImportLibItem Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeImportLibItem Class

 Count

Returns the number of items in the Items property.

 FileName

Returns the fully qualified filename of the image described by this entry.

 ImportDescriptor

 ImportDirectoryIndex

Position within the Items list of the TJclImportList class.

 ImportKind

Specifies the kind of import.

 Items

Provides indexed access to the items in the list.

 Name

Returns the lowercase filename of the image described by this entry.

 OriginalName

Returns the filename of the image described by this entry.

 ThunkData

 TotalResolveCheck

Specifies whether all imported functions in this import directory could be resolved.


Legend

read only


TJclPeImportLibItem Class Methods

TJclPeImportLibItem Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeImportLibItem Class

 CheckImports

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

SortList

Sorts the list of imports.


Legend

Constructor

protected


Legend

TJclPeImportLibItem Class

Legend

read only

Constructor

protected


TJclPeImportLibItem Class Members

TJclPeImportLibItem Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeImportLibItem Class

 Count

Returns the number of items in the Items property.

 FileName

Returns the fully qualified filename of the image described by this entry.

 ImportDescriptor

 ImportDirectoryIndex

Position within the Items list of the TJclImportList class.

 ImportKind

Specifies the kind of import.

 Items

Provides indexed access to the items in the list.

 Name

Returns the lowercase filename of the image described by this entry.

 OriginalName

Returns the filename of the image described by this entry.

 ThunkData

 TotalResolveCheck

Specifies whether all imported functions in this import directory could be resolved.

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeImportLibItem Class

 CheckImports

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

SortList

Sorts the list of imports.


Legend

read only

Constructor

protected


TJclPeImportLibItem.Count Property

TJclPeImportLibItem Class

Returns the number of items in the Items property.

Pascal

property Count: Integer;

Description

Returns the number of items in the Items property. As such it returns the number of imports described by, or contained in, this import descriptor.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.FileName Property

TJclPeImportLibItem Class

Returns the fully qualified filename of the image described by this entry.

Pascal

property FileName: TFileName;

Description

Returns the fully qualified name of the image file from which the functions described by this import descriptor are imported.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.ImportDescriptor Property

TJclPeImportLibItem Class

property ImportDescriptor: Pointer;

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.ImportDirectoryIndex Property

TJclPeImportLibItem Class

Position within the Items list of the TJclImportList class.

Pascal

property ImportDirectoryIndex: Integer;

Description

Zero based index into the Items property of the TJclImportList class at which this TJclPeImportLibItem is positioned.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.ImportKind Property

TJclPeImportLibItem Class

Specifies the kind of import.

Pascal

property ImportKind: TJclPeImportKind;

Description

Specifies the kind of import. It can be either a normal import, a bound import or a delay loaded import. See the description of TJclPeImportKind for more information. Note that this has nothing to do with the method by which a function is imported, such as by name or by ordinal. To find out about that use the IsByOrdinal property.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.Items Property

TJclPeImportLibItem Class

Provides indexed access to the items in the list.

Pascal

property Items [Index: Integer]: TJclPeImportFuncItem;

Description

Provides (zero based) indexed access to the items contained in the import descriptor. Each entry in the list is a reference to a TJclPeImportFuncItem which describes a single imported function from the image described by this import descriptor. The number of items in the list can be found by reading the Count property.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.Name Property

TJclPeImportLibItem Class

Returns the lowercase filename of the image described by this entry.

Pascal

property Name: string;

Description

Returns the filename of the image file from which the functions described by this import descriptor are imported. The returned filename is returned as it appears in the image file, except that it's converted to lowercase before it's returned. Like the OriginalName property, the returned name is often without path or drive indication.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.OriginalName Property

TJclPeImportLibItem Class

Returns the filename of the image described by this entry.

Pascal

property OriginalName: string;

Description

Returns the filename of the image file from which the functions described by this import descriptor are imported. The returned filename is returned as it appears in the image file, often uppercase and without path or drive indication.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.ThunkData Property

TJclPeImportLibItem Class

property ThunkData: PImageThunkData;

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.TotalResolveCheck Property

TJclPeImportLibItem Class

Specifies whether all imported functions in this import directory could be resolved.

Pascal

property TotalResolveCheck: TJclPeResolveCheck;

Description

Specifies whether all imported functions in this import directory could be resolved. If as little as one function could not be resolved, the property returns icUnresolved. This property starts out with the icNotChecked value indicating that resolvement wasn't checked yet. You have the explicitly request function resolving through the CheckImports method of the TJclPeImportList class.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.CheckImports Method

TJclPeImportLibItem Class

procedure CheckImports(ExportImage: TJclPeImage);

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.Create Constructor

See Also	TJclPeImportLibItem Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


See Also

TJclPeImage


TJclPeImportLibItem.CreateList Method

TJclPeImportLibItem Class

procedure CreateList;

Class

TJclPeImportLibItem Class


TJclPeImportLibItem.SortList Method

TJclPeImportLibItem Class

Sorts the list of imports.

Pascal

procedure SortList(SortType: TJclPeImportSort; Descending: Boolean = False);

Description

Sorts the list of imports in this import descriptor according to the supplied parameters. You can sort the list on things such as the name of the imports and specify an ascending or descending sort.

Parameters

SortType: TJclPeImportSort

Specifies on which field the list should be sorted. See TJclPeImportSort for a description of the allowed values and their meaning.

Descending: Boolean = False

If True the list is sorted in descending order, if False the list is sorted in ascending order.

Donator

Petr Vones

Class

TJclPeImportLibItem Class


TJclPeImportList

Import Section

Classes

TJclPeImportList

Represents the import section of an image file.


TJclPeImportList Classes

TJclPeImportList

Classes

TJclPeImportList

Represents the import section of an image file.


TJclPeImportList Class

Properties	Methods	Legend

Represents the import section of an image file.

Pascal

TJclPeImportList = class(TJclPeImageBaseList);

Description

The TJclPeImportList class represents the import section of an image file. The import section contains a list of import descriptors (represented by the TJclPeImportLibItem class) each of which in turn contain all imports from a specific image file. Therefore the import section can be viewed as a two-level tree structure. For convenience the TJclPeImportList class also allows direct access to the complete list of imported functions, thus bypassing the import directories level.

Donator

Petr Vones

Group

TJclPeImportList

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeImportList Class Properties

TJclPeImportList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeImportList Class

 AllItemCount

Returns the number of items in the AllItems list.

 AllItems

Provides indexed access to all imported functions.

FilterModuleName

Filters the items that are included in the AllItems list.

 Items

Provides indexed access to the import directories list.

 LinkerProducer

Returns the manufacturer of the linker that produced the image.

 UniqueLibItemCount

Returns the number of items in the UniqueLibItems list.

 UniqueLibItemFromName

 UniqueLibItems

List of unique import directories.

 UniqueLibNames

List of image names from which functions are imported.


Legend

read only


TJclPeImportList Class Methods

TJclPeImportList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeImportList Class

CheckImports

Determines whether all imported functions can be resolved.

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

 Destroy

MakeBorlandImportTableForMappedImage

 RefreshAllItems

SmartFindName

Searches the import section for a specific function.

SortAllItemsList

Sorts the list of imported functions as accesible through the AllItems property.

SortList

Sorts the list of import directories (the Items property).

TryGetNamesForOrdinalImports

Attempts to resolve the names of functions that were imported by ordinal.


Legend

Constructor

protected


Legend

TJclPeImportList Class

Legend

read only

Constructor

protected


TJclPeImportList Class Members

TJclPeImportList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeImportList Class

 AllItemCount

Returns the number of items in the AllItems list.

 AllItems

Provides indexed access to all imported functions.

FilterModuleName

Filters the items that are included in the AllItems list.

 Items

Provides indexed access to the import directories list.

 LinkerProducer

Returns the manufacturer of the linker that produced the image.

 UniqueLibItemCount

Returns the number of items in the UniqueLibItems list.

 UniqueLibItemFromName

 UniqueLibItems

List of unique import directories.

 UniqueLibNames

List of image names from which functions are imported.

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeImportList Class

CheckImports

Determines whether all imported functions can be resolved.

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList

 Destroy

MakeBorlandImportTableForMappedImage

 RefreshAllItems

SmartFindName

Searches the import section for a specific function.

SortAllItemsList

Sorts the list of imported functions as accesible through the AllItems property.

SortList

Sorts the list of import directories (the Items property).

TryGetNamesForOrdinalImports

Attempts to resolve the names of functions that were imported by ordinal.


Legend

read only

Constructor

protected


TJclPeImportList.AllItemCount Property

TJclPeImportList Class

Returns the number of items in the AllItems list.

Pascal

property AllItemCount: Integer;

Description

Returns the number of items in the AllItems list. Note that if the list is empty the property read method will first trigger the initialisation of the list before returning the count.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.AllItems Property

TJclPeImportList Class

Provides indexed access to all imported functions.

Pascal

property AllItems [Index: Integer]: TJclPeImportFuncItem;

Description

Provides (zero-based) indexed access to all imported functions, bypassing the import directories. Note that this list is initially empty and has to be explicitly initialized either by reading the AllItemsCount property (which subsequently returns the number of items in the list) or by setting the FilterModuleName property. In addition, the items in the AllItems list can be filtered by that same FilterModuleName property.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.FilterModuleName Property

TJclPeImportList Class

Filters the items that are included in the AllItems list.

Pascal

property FilterModuleName: string;

Description

Allows you to filter the items that are included in the AllItems list. Setting this property to a non-empty string will cause only those functions to be added that are imported from the specified image.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.Items Property

TJclPeImportList Class

Provides indexed access to the import directories list.

Pascal

property Items [Index: Integer]: TJclPeImportLibItem;

Description

Provides (zero-based) indexed access to the import directories list. Read the Count property to determine the number of items in the list. Each item in the list represents a single import directory but multiple items may exist for one single image file.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.LinkerProducer Property

TJclPeImportList Class

Returns the manufacturer of the linker that produced the image.

Pascal

property LinkerProducer: TJclPeLinkerProducer;

Description

Returns the manufacturer of the linker that produced the image. See the description of TJclPeLinkerProducer for more information.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.UniqueLibItemCount Property

TJclPeImportList Class

Returns the number of items in the UniqueLibItems list.

Pascal

property UniqueLibItemCount: Integer;

Description

Returns the number of items in the UniqueLibItems list.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.UniqueLibItemFromName Property

TJclPeImportList Class

property UniqueLibItemFromName [const Name: string]: TJclPeImportLibItem;

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.UniqueLibItems Property

TJclPeImportList Class

List of unique import directories.

Pascal

property UniqueLibItems [Index: Integer]: TJclPeImportLibItem;

Description

As you may recall, an import section may contain multiple import directories for one and the same image (for example, it may contains two or more import directories for the user32.dll image). The UniqueLibItems list provides (zero-based) indexed access to a list of import directories that are unique across the import section. You can use this list to find out exactly from which images functions are imported, including some details about those images, but you shouldn't use, for example, the Items property to determine which functions are imported from that image because there may exist other import directories which import additional functions.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.UniqueLibNames Property

TJclPeImportList Class

List of image names from which functions are imported.

Pascal

property UniqueLibNames [Index: Integer]: string;

Description

As you may recall, an import section may contain multiple import directories for one and the same image (for example, it may contains two or more import directories for the user32.dll image). The UniqueLibNames list provides (zero-based) indexed access to a list of image names that are unique across the import section. You can use this list to find out the names of the images from which functions are imported.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.CheckImports Method

TJclPeImportList Class

Determines whether all imported functions can be resolved.

Pascal

procedure CheckImports(PeImageCache: TJclPeImagesCache = nil);

Description

This method determines whether all imported functions can be resolved by looking them up in the exports section of the image from which the function is imported. If the function is found there the import is considered resolved, otherwise it is unresolved. This latter case would indicate that the OS loader would probably also be unable to resolve the import and loading of the image would fail.

Parameters

PeImageCache: TJclPeImagesCache = nil

Allows you to specify a TJclPeImagesCache to be used by the method. This can significantly increase performance because it may prevent a lot of loading and unloading of image files (especially when the image is imports functions from a lot of different images). If you are using an image cache in your application it is recommended you use it here. That way the method can reuse your already loaded images. Note though that if the method needs to load additional images, it will do so using the cache. Those images will not be removed upon method exit.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.Create Constructor

See Also	TJclPeImportList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeImportList Class


See Also

TJclPeImage


TJclPeImportList.CreateList Method

TJclPeImportList Class

procedure CreateList;

Class

TJclPeImportList Class


TJclPeImportList.Destroy Destructor

TJclPeImportList Class

destructor Destroy; override;

Class

TJclPeImportList Class


TJclPeImportList.MakeBorlandImportTableForMappedImage Method

TJclPeImportList Class

function MakeBorlandImportTableForMappedImage: Boolean;

Class

TJclPeImportList Class


TJclPeImportList.RefreshAllItems Method

TJclPeImportList Class

procedure RefreshAllItems;

Class

TJclPeImportList Class


TJclPeImportList.SmartFindName Method

TJclPeImportList Class

Searches the import section for a specific function.

Pascal

function SmartFindName(const CompareName: string; const LibName: string; Options: TJclSmartCompOptions = []): TJclPeImportFuncItem;

Description

The SmartFindName method searches through the all the import directories that apply to the specified image name (LibName parameter) for the specified function name (CompareName). Through the Options parameter you can specify whether the search should be case-sensitive and/or base the comparison on the full name or only the basename of the function.

Parameters

const CompareName: string

Name of the function to search for.

const LibName: string

Image from which the function should be imported. If you specify an empty string the search includes all images.

Options: TJclSmartCompOptions = []

Set of options that influence the name comparison such as whether it's case-sensitive. See the description of TJclSmartCompOptions for more information.

Return Value

If the specified function was found SmartFindName returns a reference to the TJclPeImportFuncItem that represents the found imported function. This reference remains owned by the class so you shouldn't free it. It also remains valid only as long as the TJclPeImportList isn't destroyed. If the function couldn't be found the return value is nil.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.SortAllItemsList Method

TJclPeImportList Class

Sorts the list of imported functions as accesible through the AllItems property.

Pascal

procedure SortAllItemsList(SortType: TJclPeImportSort; Descending: Boolean = False);

Description

Sorts the list of imported functions as accesible through the AllItems property.

Parameters

SortType: TJclPeImportSort

Specifies by which property the list is sorted. You can sort on Name, Ordinal, Hint or Image name. See the description of TJclPeImportSort for more information.

Descending: Boolean = False

Specifies whether the sort should be in ascending (False) or descending (True) order.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.SortList Method

TJclPeImportList Class

Sorts the list of import directories (the Items property).

Pascal

procedure SortList(SortType: TJclPeImportLibSort);

Description

Sorts the list of import directories (the Items property) according to the property specified by the SortType parameter. You can sort either on Index or Name.

Parameters

SortType: TJclPeImportLibSort

Specifies on which property the list should be sorted. You can sort either on Index or Name. See the description of TJclPeImportLibSort for more information.

Donator

Petr Vones

Class

TJclPeImportList Class


TJclPeImportList.TryGetNamesForOrdinalImports Method

TJclPeImportList Class

Attempts to resolve the names of functions that were imported by ordinal.

Pascal

procedure TryGetNamesForOrdinalImports;

Description

The TryGetNamesForOrdinalImports method searches the export sections of each image that is linked against in an attempt to find the names of those functions that were imported by ordinal instead of by name. See also the description of the IndirectImportName property of the TJclPeImportFuncItem class.

Donator

Petr Vones

Class

TJclPeImportList Class


Mapped Image Routines

Portable Executable File Format

Topics

TJclPeSectionStream

Functions

PeMapImgNtHeaders

Returns a pointer to the TImageNtHeaders record.

PeMapImgLibraryName

Returns the name of the image file mapped at the specified address.

PeMapImgSections

Returns a pointer to the header of the first section in an image.

PeMapImgFindSection

Searches the image, specified by NtHeaders, for a specific named section.


Mapped Image Routines Functions

Mapped Image Routines

Functions

PeMapImgNtHeaders

Returns a pointer to the TImageNtHeaders record.

PeMapImgLibraryName

Returns the name of the image file mapped at the specified address.

PeMapImgSections

Returns a pointer to the header of the first section in an image.

PeMapImgFindSection

Searches the image, specified by NtHeaders, for a specific named section.


Topics

Mapped Image Routines

Topics

TJclPeSectionStream


PeMapImgNtHeaders Function

Returns a pointer to the TImageNtHeaders record.

Pascal

function PeMapImgNtHeaders(const BaseAddress: Pointer): PImageNtHeaders;

Description

Returns a pointer to the TImageNtHeaders record for the image whose address is specified as the BaseAddress parameter. This record contains a signature for the PE image ('PE#0#0') and two subrecords for the COFF header and optional header.

Parameters

const BaseAddress: Pointer

Base address at which the image file for which you want to retrieve the TImageNtHeader record is mapped. This address is returned by the MapAndLoad and LoadLibrary API functions.

Return Value

If the function succeeds it returns a pointer to the requested TImageNtHeaders record. If the function fails it returns nil. Note that the returned pointer is only valid as long as the image file remains mapped in memory.

Donator

Petr Vones

Group

Mapped Image Routines

Unit

JclPeImage


PeMapImgLibraryName Function

Returns the name of the image file mapped at the specified address.

Pascal

function PeMapImgLibraryName(const BaseAddress: Pointer): string;

Description

Returns the name of the image file mapped at the specified address.

Parameters

const BaseAddress: Pointer

Base address at which the image file for which you want to retrieve the name is mapped. This address is returned by the MapAndLoad and LoadLibrary API functions.

Return Value

If the function succeeds it returns the name of the image mapped at the specified address. If the function fails it returns an empty string.

Donator

Petr Vones

Group

Mapped Image Routines

Unit

JclPeImage


PeMapImgSections Function

Returns a pointer to the header of the first section in an image.

Pascal

function PeMapImgSections(NtHeaders: PImageNtHeaders): PImageSectionHeader;

Description

The PeMapImgSections function returns a pointer to a TImageSectionHeader record which describes the first section in the image file specified (indirectly) by the NtHeaders parameter. That pointer can be retrieved, for example, by using the PeMapImgNtHeaders function. For an example of how to use this function to traverse all the ections in an image see the implementation of the PeMapImgFindSection function.

Parameters

NtHeader

Pointer to the TImageNtHeaders record which specifies the mapped image for which to retrieve the header of the first section.

Return Value

If the function succeeds it returns a pointer to the TImageSectionHeader of the first section in the image. If the function fails it returns nil. Note that the returned pointer is valid only as long as the image remains mapped in memory.

Donator

Petr Vones

Group

Mapped Image Routines

Unit

JclPeImage


PeMapImgFindSection Function

Searches the image, specified by NtHeaders, for a specific named section.

Pascal

function PeMapImgFindSection(NtHeaders: PImageNtHeaders; const SectionName: string): PImageSectionHeader;

Description

Searches the image, specified by NtHeaders, for a specific named section.

Parameters

NtHeaders: PImageNtHeaders

Pointer to the TImageNtHeaders record which specifies the mapped image in which to search for a specific section.

const SectionName: string

Name of the section to search for. Note that the search is case insensitive.

Return Value

If the function finds the specified named section it returns a pointer to the section header. If the function doesn't find the named section it returns nil.

Donator

Petr Vones

Group

Mapped Image Routines

Unit

JclPeImage


TJclPeSectionStream

Mapped Image Routines

Classes

TJclPeSectionStream


TJclPeSectionStream Classes

TJclPeSectionStream

Classes

TJclPeSectionStream


TJclPeSectionStream Class

Properties	Methods	Legend

TJclPeSectionStream = class(TCustomMemoryStream);

Donator

Petr Vones

Group

TJclPeSectionStream

Legend

read only

Constructor

Unit

JclPeImage


TJclPeSectionStream Class Properties

TJclPeSectionStream Class	Legend

Properties

 Instance

 SectionHeader


Legend

read only


TJclPeSectionStream Class Methods

TJclPeSectionStream Class	Legend

Methods

 Create

Write


Legend

Constructor


Legend

TJclPeSectionStream Class

Legend

read only

Constructor


TJclPeSectionStream Class Members

TJclPeSectionStream Class	Legend

Members

Properties

 Instance

 SectionHeader

Methods

 Create

Write


Legend

read only

Constructor


TJclPeSectionStream.Instance Property

TJclPeSectionStream Class

property Instance: HMODULE;

Donator

Petr Vones

Class

TJclPeSectionStream Class


TJclPeSectionStream.SectionHeader Property

TJclPeSectionStream Class

property SectionHeader: TImageSectionHeader;

Donator

Petr Vones

Class

TJclPeSectionStream Class


TJclPeSectionStream.Create Constructor

TJclPeSectionStream Class

constructor Create(Instance: HMODULE; const ASectionName: string);

Donator

Petr Vones

Todo

TODO

TODO

Class

TJclPeSectionStream Class


TJclPeSectionStream.Write Method

TJclPeSectionStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Donator

Petr Vones

Todo

TODO

TODO

Class

TJclPeSectionStream Class


Miscellaneous

Portable Executable File Format

Functions

IsValidPeFile

Determines whether a file is a valid portable executable file.

PeCreateNameHintTable

PeRebaseImage

Rebases an image.

PeUpdateCheckSum

Updates the image checksum.


Miscellaneous Functions

Miscellaneous

Functions

IsValidPeFile

Determines whether a file is a valid portable executable file.

PeCreateNameHintTable

PeRebaseImage

Rebases an image.

PeUpdateCheckSum

Updates the image checksum.


IsValidPeFile Function

Determines whether a file is a valid portable executable file.

Pascal

function IsValidPeFile(const FileName: TFileName): Boolean;

Description

IsValidPeFile determines whether the specified file is a valid portable executable file. Examples of valid PE files are Win32 .exe, .dll and .obj files as generated by Delphi or any other Win32 compiler.

Parameters

const FileName: TFileName

Fully qualified filename of the executable image file to test.

Return Value

If the specified file is a valid portable executable file the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclPeImage


PeCreateNameHintTable Function

function PeCreateNameHintTable(const FileName: TFileName): Boolean;

Parameters

const FileName: TFileName

TODO

Donator

Petr Vones

Group

Miscellaneous

Unit

JclPeImage


PeRebaseImage Function

See Also

Rebases an image.

Pascal

function PeRebaseImage(const ImageName: TFileName; NewBase: DWORD = 0; TimeStamp: DWORD = 0; MaxNewSize: DWORD = 0): TJclRebaseImageInfo;

Description

PeRebaseImage modifies the load address of the specified image. Rebasing all the images an application uses in such a manner that they can all be loaded at their preferred base address (load address) can dramatically reduce the load time of your application. This function rebases only a single image but it can easily be extended to allow rebasing of an entire application. Note that this function can take a long time to complete. Also, this function is not thread-safe.

Parameters

const ImageName: TFileName

Filename of the image file to rebase.

NewBase: DWORD = 0

New base address for the executable module. If 0 is specified (the default) the base address is calculated according to the suggestion in the Platform SDK documentation for the RebaseImage API (address is selected based on the first character of the module name). Note that in this case if you rebase multiple images with the same initial character they will all be rebased to the same address.

TimeStamp: DWORD = 0

Specifies the new time stamp for the image. The value must be represented in the number of seconds elapsed since midnight (00:00:00), January 1, 1970, Universal Coordinated Time, according to the system clock.

MaxNewSize: DWORD = 0

Maximum allowed size of the rebased image. If 0 is specified (the default) the maximum size is unlimited.

Return Value

The function returns a TJclRebaseImageInfo record which contains information about the rebase such as the new base address and image size. If the function fails it raises an EWin32Error exception.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclPeImage


See Also

TJclRebaseImageInfo


PeUpdateCheckSum Function

Updates the image checksum.

Pascal

function PeUpdateCheckSum(const FileName: TFileName): Boolean;

Description

PeUpdateCheckSum updates the specified image's checksum value. If the routine succeeds it writes the calculated checksum back to the image file. If it fails it raises an exception.

Parameters

AFileName

The name of the image file for which to update the checksum.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclPeImage


Name unmangling

Legend

Portable Executable File Format

Enumerations

 TJclBorUmSymbolKind

 TJclBorUmSymbolModifier

 TJclBorUmResult

 TJclPeUmResult

Functions

PeBorUnmangleName

PeIsNameMangled

PeUnmangleName

Records

 TJclBorUmDescription

Legend

Record

Enumeration


Name unmangling Functions

Name unmangling

Functions

PeBorUnmangleName

PeIsNameMangled

PeUnmangleName


Name unmangling Records

Name unmangling	Legend

Records

 TJclBorUmDescription


Legend

Record


Name unmangling Enumerations

Name unmangling	Legend

Enumerations

 TJclBorUmSymbolKind

 TJclBorUmSymbolModifier

 TJclBorUmResult

 TJclPeUmResult


Legend

Enumeration


Legend

Name unmangling

Legend

Record

Enumeration


PeBorUnmangleName Function

function PeBorUnmangleName(const Name: string; var Unmangled: string; var Description: TJclBorUmDescription; var BasePos: Integer): TJclBorUmResult; overload;
function PeBorUnmangleName(const Name: string; var Unmangled: string; var Description: TJclBorUmDescription): TJclBorUmResult; overload;
function PeBorUnmangleName(const Name: string; var Unmangled: string): TJclBorUmResult; overload;
function PeBorUnmangleName(const Name: string): string; overload;

Donator

Petr Vones

Todo

TODO

Group

Name unmangling

Unit

JclPeImage


TJclBorUmDescription Record

TJclBorUmDescription = record
  Kind: TJclBorUmSymbolKind;
  Modifiers: TJclBorUmSymbolModifiers;
end;

Donator

Petr Vones

Group

Name unmangling

Unit

JclPeImage


TJclBorUmSymbolKind Enumeration

TJclBorUmSymbolKind = (
  skData,
  skFunction,
  skConstructor,
  skDestructor,
  skRTTI,
  skVTable
);

Donator

Petr Vones

Group

Name unmangling

Unit

JclPeImage


TJclBorUmSymbolModifier Enumeration

TJclBorUmSymbolModifier = (
  smQualified,
  smLinkProc
);

Donator

Petr Vones

Group

Name unmangling

Unit

JclPeImage


TJclBorUmResult Enumeration

TJclBorUmResult = (
  urOk,
  urNotMangled,
  urMicrosoft,
  urError
);

Donator

Petr Vones

Group

Name unmangling

Unit

JclPeImage


TJclPeUmResult Enumeration

TJclPeUmResult = (
  umNotMangled,
  umBorland,
  umMicrosoft
);

Donator

Petr Vones

Group

Name unmangling

Unit

JclPeImage


PeIsNameMangled Function

function PeIsNameMangled(const Name: string): TJclPeUmResult;

Donator

Petr Vones

Todo

TODO

Group

Name unmangling

Unit

JclPeImage


PeUnmangleName Function

function PeUnmangleName(const Name: string; var Unmangled: string): TJclPeUmResult;

Donator

Petr Vones

Todo

TODO

Group

Name unmangling

Unit

JclPeImage


Relocation Section

Legend

Portable Executable File Format

Topics

TJclPeRelocEntry

TJclPeRelocList

Records

 TJclPeRelocation

Legend

Record


Relocation Section Records

Relocation Section	Legend

Records

 TJclPeRelocation


Legend

Record


Topics

Relocation Section

Topics

TJclPeRelocEntry

TJclPeRelocList


Legend

Relocation Section

Legend

Record


TJclPeRelocation Record

TJclPeRelocation = record
  Address: Word;
  RelocType: Byte;
  VirtualAddress: DWORD;
end;

Description

The TJclPeRelocation record represents a single address fix up in the relocation table of the imagefile.

Address: Word;

The relocation offset which, when added to the VirtualAddress property of the relocation block, specifies the address which needs to be fixed up.

RelocType: Byte;

The relocation type which indicates how the fix up is to be performed. Common values on Intel platforms are IMAGE_REL_BASED_HIGHLOW and IMAGE_REL_BASED_ABSOLUTE. Delcarations for the complete list is includedin the JclWin32 file. Search the Platform SDK and/or MSDN library for details about all these possible relocation types.

VirtualAddress: DWORD;

The relative virtual address specifying the memory address which needs to be fixed up (equal to Address + TJclPeRelocEntry.VirtualAddress).

Donator

Petr Vones

Group

Relocation Section

Unit

JclPeImage


TJclPeRelocEntry

Relocation Section

Classes

TJclPeRelocEntry

Represents a block of relocation entries.


TJclPeRelocEntry Classes

TJclPeRelocEntry

Classes

TJclPeRelocEntry

Represents a block of relocation entries.


TJclPeRelocEntry Class

Properties	Legend

Represents a block of relocation entries.

Pascal

TJclPeRelocEntry = class(TObject);

Description

The TJclPeRelocEntry class represents a block of relocation entries. Each such block specifies the address fix-ups for a single 4KB block within the image file.

Donator

Petr Vones

Group

TJclPeRelocEntry

Legend

read only

Unit

JclPeImage


TJclPeRelocEntry Class Properties

TJclPeRelocEntry Class	Legend

Properties

 Count

Returns the number of elements in the Relocations property.

 Relocations

Provides indexed access to the address fix-ups defined in this block.

 Size

The Size property returns the size, in bytes, occupied by the relocation block.

 VirtualAddress

Returns the starting relative virtual address (RVA) for this block of relocations.


Legend

read only


Legend

TJclPeRelocEntry Class

Legend

read only


TJclPeRelocEntry Class Members

TJclPeRelocEntry Class	Legend

Members

Properties

 Count

Returns the number of elements in the Relocations property.

 Relocations

Provides indexed access to the address fix-ups defined in this block.

 Size

The Size property returns the size, in bytes, occupied by the relocation block.

 VirtualAddress

Returns the starting relative virtual address (RVA) for this block of relocations.


Legend

read only


TJclPeRelocEntry.Count Property

TJclPeRelocEntry Class

Returns the number of elements in the Relocations property.

Pascal

property Count: Integer;

Description

Returns the number of elements in the Relocations property. That is, it returns the number of address fix-ups defined in this block.

Donator

Petr Vones

Class

TJclPeRelocEntry Class


TJclPeRelocEntry.Relocations Property

TJclPeRelocEntry Class

Provides indexed access to the address fix-ups defined in this block.

Pascal

property Relocations [Index: Integer]: TJclPeRelocation;

Description

The Relocations property provides (zero-based) indexed access to the address fix-ups defined in this block. To learn the number of entries in the list read the Count property. Each entry defines a single address fix-up as it appears in the relocations table.

Donator

Petr Vones

Class

TJclPeRelocEntry Class


TJclPeRelocEntry.Size Property

TJclPeRelocEntry Class

The Size property returns the size, in bytes, occupied by the relocation block.

Pascal

property Size: DWORD;

Description

The Size property returns the size, in bytes, occupied by the relocation block. Since each block is a variable length structure representing a single 4KB of the image file, each block may need a different ammount of memory to hold all necessary fixups.

Donator

Petr Vones

Class

TJclPeRelocEntry Class


TJclPeRelocEntry.VirtualAddress Property

TJclPeRelocEntry Class

Returns the starting relative virtual address (RVA) for this block of relocations.

Pascal

property VirtualAddress: DWORD;

Description

The VirtualAddress property returns the starting relative virtual address (RVA) for this block of relocations. The offset of each relocation (the Address field of the TJclPeRelocation record) is added to this value to form the actual RVA where the relocation needs to be applied.

Donator

Petr Vones

Class

TJclPeRelocEntry Class


TJclPeRelocList

Relocation Section

Classes

TJclPeRelocList

The TJclPeRelocList class represents the fix-up table of the image.


TJclPeRelocList Classes

TJclPeRelocList

Classes

TJclPeRelocList

The TJclPeRelocList class represents the fix-up table of the image.


TJclPeRelocList Class

Properties	Methods	Legend

The TJclPeRelocList class represents the fix-up table of the image.

Pascal

TJclPeRelocList = class(TJclPeImageBaseList);

Description

The TJclPeRelocList class represents the fix-up table of the image. The fix-up table contains entries for all fixups in the image. The fixup table is broken into blocks of fixups. Each block represents the fixups for a 4K page. Each block is represented as an instance of TJclPeRelocEntry in the Items property.

Donator

Petr Vones

Group

TJclPeRelocList

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeRelocList Class Properties

TJclPeRelocList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeRelocList Class

 AllItemCount

Contains the number of entries in the Items property.

 AllItems

Provides indexed access to the complete list of individual address fix ups.

 Items

Provides indexed access to the fixup blocks.


Legend

read only


TJclPeRelocList Class Methods

TJclPeRelocList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeRelocList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

Constructor

protected


Legend

TJclPeRelocList Class

Legend

read only

Constructor

protected


TJclPeRelocList Class Members

TJclPeRelocList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeRelocList Class

 AllItemCount

Contains the number of entries in the Items property.

 AllItems

Provides indexed access to the complete list of individual address fix ups.

 Items

Provides indexed access to the fixup blocks.

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeRelocList Class

 Create

Instantiates a TJclPeImageBaseList class.

 CreateList


Legend

read only

Constructor

protected


TJclPeRelocList.AllItemCount Property

TJclPeRelocList Class

Contains the number of entries in the Items property.

Pascal

property AllItemCount: Integer;

Description

Contains the number of entries in the Items property.

Donator

Petr Vones

Class

TJclPeRelocList Class


TJclPeRelocList.AllItems Property

TJclPeRelocList Class

Provides indexed access to the complete list of individual address fix ups.

Pascal

property AllItems [Index: Integer]: TJclPeRelocation;

Description

The AllItems property provides (zero based) indexed access to the complete list of individual address fix ups. See the description of TJclPeRelocation for more information on how to interpret the returned record.

Donator

Petr Vones

Class

TJclPeRelocList Class


TJclPeRelocList.Items Property

TJclPeRelocList Class

Provides indexed access to the fixup blocks.

Pascal

property Items [Index: Integer]: TJclPeRelocEntry;

Description

The Items property provides (zero-based) indexed access to the fixup blocks. Each entry represents a 4 KB block within the image and contains a list of address fix-ups. To directly access these individual fix-up use the AllItems property. To learn the number of items in the list readthe Count property.

Donator

Petr Vones

Class

TJclPeRelocList Class


TJclPeRelocList.Create Constructor

See Also	TJclPeRelocList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeRelocList Class


See Also

TJclPeImage


TJclPeRelocList.CreateList Method

TJclPeRelocList Class

procedure CreateList;

Class

TJclPeRelocList Class


Resource Section

Legend

Portable Executable File Format

Topics

TJclPeResourceItem

TJclPeResourceList

TJclPeResourceRawStream

TJclPeRootResourceList

Enumerations

 TJclPeResourceKind

Legend

Enumeration


Resource Section Enumerations

Resource Section	Legend

Enumerations

 TJclPeResourceKind


Legend

Enumeration


Topics

Resource Section

Topics

TJclPeResourceItem

TJclPeResourceList

TJclPeResourceRawStream

TJclPeRootResourceList


Legend

Resource Section

Legend

Enumeration


TJclPeResourceKind Enumeration

TJclPeResourceKind = (
  rtUnknown0,
  rtCursorEntry,
  rtBitmap,
  rtIconEntry,
  rtMenu,
  rtDialog,
  rtString,
  rtFontDir,
  rtFont,
  rtAccelerators,
  rtRCData,
  rtMessageTable,
  rtCursor,
  rtUnknown13,
  rtIcon,
  rtUnknown15,
  rtVersion,
  rtDlgInclude,
  rtUnknown18,
  rtPlugPlay,
  rtVxd,
  rtAniCursor,
  rtAniIcon,
  rtHmtl,
  rtManifest,
  rtUserDefined
);

Donator

Petr Vones

Group

Resource Section

Unit

JclPeImage


TJclPeResourceItem

Resource Section

Classes

TJclPeResourceItem


TJclPeResourceItem Classes

TJclPeResourceItem

Classes

TJclPeResourceItem


TJclPeResourceItem Class

Properties	Methods	Legend

TJclPeResourceItem = class(TObject);

Parameters

AImage

TODO

AParentItem

TODO

AEntry

TODO

Donator

Petr Vones

Group

TJclPeResourceItem

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeResourceItem Class Properties

TJclPeResourceItem Class	Legend

Properties

 DataEntry

 Entry

 Image

 IsDirectory

 IsName

 LangID

 Level

 List

 Name

 ParameterName

 ParentItem

 RawEntryData

 RawEntryDataSize

 ResourceType

 ResourceTypeStr


Legend

read only


TJclPeResourceItem Class Methods

TJclPeResourceItem Class	Legend

Methods

CompareName

 Create

 Destroy

 Level1Item

 OffsetToRawData

 SubDirData


Legend

Constructor

protected


Legend

TJclPeResourceItem Class

Legend

read only

Constructor

protected


TJclPeResourceItem Class Members

TJclPeResourceItem Class	Legend

Members

Properties

 DataEntry

 Entry

 Image

 IsDirectory

 IsName

 LangID

 Level

 List

 Name

 ParameterName

 ParentItem

 RawEntryData

 RawEntryDataSize

 ResourceType

 ResourceTypeStr

Methods

CompareName

 Create

 Destroy

 Level1Item

 OffsetToRawData

 SubDirData


Legend

read only

Constructor

protected


TJclPeResourceItem.DataEntry Property

TJclPeResourceItem Class

property DataEntry: PImageResourceDataEntry;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.Entry Property

TJclPeResourceItem Class

property Entry: PImageResourceDirectoryEntry;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.Image Property

TJclPeResourceItem Class

property Image: TJclPeImage;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.IsDirectory Property

TJclPeResourceItem Class

property IsDirectory: Boolean;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.IsName Property

TJclPeResourceItem Class

property IsName: Boolean;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.LangID Property

TJclPeResourceItem Class

property LangID: LANGID;

Class

TJclPeResourceItem Class


TJclPeResourceItem.Level Property

TJclPeResourceItem Class

property Level: Byte;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.List Property

TJclPeResourceItem Class

property List: TJclPeResourceList;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.Name Property

TJclPeResourceItem Class

property Name: string;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.ParameterName Property

TJclPeResourceItem Class

property ParameterName: string;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.ParentItem Property

TJclPeResourceItem Class

property ParentItem: TJclPeResourceItem;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.RawEntryData Property

TJclPeResourceItem Class

property RawEntryData: Pointer;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.RawEntryDataSize Property

TJclPeResourceItem Class

property RawEntryDataSize: Integer;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.ResourceType Property

TJclPeResourceItem Class

property ResourceType: TJclPeResourceKind;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.ResourceTypeStr Property

TJclPeResourceItem Class

property ResourceTypeStr: string;

Donator

Petr Vones

Class

TJclPeResourceItem Class


TJclPeResourceItem.CompareName Method

TJclPeResourceItem Class

function CompareName(AName: PChar): Boolean;

Class

TJclPeResourceItem Class


TJclPeResourceItem.Create Constructor

TJclPeResourceItem Class

constructor Create(AImage: TJclPeImage; AParentItem: TJclPeResourceItem; AEntry: PImageResourceDirectoryEntry);

Class

TJclPeResourceItem Class


TJclPeResourceItem.Destroy Destructor

TJclPeResourceItem Class

destructor Destroy; override;

Class

TJclPeResourceItem Class


TJclPeResourceItem.Level1Item Method

TJclPeResourceItem Class

function Level1Item: TJclPeResourceItem;

Class

TJclPeResourceItem Class


TJclPeResourceItem.OffsetToRawData Method

TJclPeResourceItem Class

function OffsetToRawData(Ofs: DWORD): DWORD;

Class

TJclPeResourceItem Class


TJclPeResourceItem.SubDirData Method

TJclPeResourceItem Class

function SubDirData: PImageResourceDirectory;

Class

TJclPeResourceItem Class


TJclPeResourceList

Resource Section

Classes

TJclPeResourceList


TJclPeResourceList Classes

TJclPeResourceList

Classes

TJclPeResourceList


TJclPeResourceList Class

Properties	Methods	Legend

TJclPeResourceList = class(TJclPeImageBaseList);

Donator

Petr Vones

Group

TJclPeResourceList

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeResourceList Class Properties

TJclPeResourceList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeResourceList Class

 Directory

 Items

 ParentItem


Legend

read only


TJclPeResourceList Class Methods

TJclPeResourceList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeResourceList Class

 Create

 CreateList

FindName


Legend

Constructor

protected


Legend

TJclPeResourceList Class

Legend

read only

Constructor

protected


TJclPeResourceList Class Members

TJclPeResourceList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeResourceList Class

 Directory

 Items

 ParentItem

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeResourceList Class

 Create

 CreateList

FindName


Legend

read only

Constructor

protected


TJclPeResourceList.Directory Property

TJclPeResourceList Class

property Directory: PImageResourceDirectory;

Donator

Petr Vones

Class

TJclPeResourceList Class


TJclPeResourceList.Items Property

TJclPeResourceList Class

property Items [Index: Integer]: TJclPeResourceItem;

Donator

Petr Vones

Class

TJclPeResourceList Class


TJclPeResourceList.ParentItem Property

TJclPeResourceList Class

property ParentItem: TJclPeResourceItem;

Donator

Petr Vones

Class

TJclPeResourceList Class


TJclPeResourceList.Create Constructor

TJclPeResourceList Class

constructor Create(AImage: TJclPeImage; AParentItem: TJclPeResourceItem; ADirectory: PImageResourceDirectory);

Parameters

AImage: TJclPeImage

TODO

AParentItem: TJclPeResourceItem

TODO

ADirectory: PImageResourceDirectory

TODO

Donator

Petr Vones

Class

TJclPeResourceList Class


TJclPeResourceList.CreateList Method

TJclPeResourceList Class

procedure CreateList(AParentItem: TJclPeResourceItem);

Class

TJclPeResourceList Class


TJclPeResourceList.FindName Method

TJclPeResourceList Class

function FindName(const Name: string): TJclPeResourceItem;

Class

TJclPeResourceList Class


TJclPeResourceRawStream

Resource Section

Classes

TJclPeResourceRawStream


TJclPeResourceRawStream Classes

TJclPeResourceRawStream

Classes

TJclPeResourceRawStream


TJclPeResourceRawStream Class

Methods	Legend

TJclPeResourceRawStream = class(TCustomMemoryStream);

Donator

Petr Vones

Group

TJclPeResourceRawStream

Legend

Constructor

Unit

JclPeImage


TJclPeResourceRawStream Class Methods

TJclPeResourceRawStream Class	Legend

Methods

 Create

Write


Legend

Constructor


Legend

TJclPeResourceRawStream Class

Legend

Constructor


TJclPeResourceRawStream Class Members

TJclPeResourceRawStream Class	Legend

Members

Methods

 Create

Write


Legend

Constructor


TJclPeResourceRawStream.Create Constructor

TJclPeResourceRawStream Class

constructor Create(AResourceItem: TJclPeResourceItem);

Parameters

AResourceItem: TJclPeResourceItem

TODO

Donator

Petr Vones

Class

TJclPeResourceRawStream Class


TJclPeResourceRawStream.Write Method

TJclPeResourceRawStream Class

function Write(const Buffer; Count: Longint): Longint; override;

Parameters

const Buffer

TODO

Count: Longint

TODO

Donator

Petr Vones

Class

TJclPeResourceRawStream Class


TJclPeRootResourceList

Resource Section

Classes

TJclPeRootResourceList


TJclPeRootResourceList Classes

TJclPeRootResourceList

Classes

TJclPeRootResourceList


TJclPeRootResourceList Class

Properties	Methods	Legend

TJclPeRootResourceList = class(TJclPeResourceList);

Donator

Petr Vones

Group

TJclPeRootResourceList

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeRootResourceList Class Properties

TJclPeRootResourceList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeResourceList Class

 Directory

 Items

 ParentItem

TJclPeRootResourceList Class

 ManifestContent


Legend

read only


TJclPeRootResourceList Class Methods

TJclPeRootResourceList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeResourceList Class

 Create

 CreateList

FindName

TJclPeRootResourceList Class

 Destroy

FindResource

ListResourceNames


Legend

Constructor

protected


Legend

TJclPeRootResourceList Class

Legend

read only

Constructor

protected


TJclPeRootResourceList Class Members

TJclPeRootResourceList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

TJclPeResourceList Class

 Directory

 Items

 ParentItem

TJclPeRootResourceList Class

 ManifestContent

Methods

 Create

Instantiates a TJclPeImageBaseList class.

TJclPeResourceList Class

 Create

 CreateList

FindName

TJclPeRootResourceList Class

 Destroy

FindResource

ListResourceNames


Legend

read only

Constructor

protected


TJclPeRootResourceList.ManifestContent Property

TJclPeRootResourceList Class

property ManifestContent: TStrings;

Class

TJclPeRootResourceList Class


TJclPeRootResourceList.Destroy Destructor

TJclPeRootResourceList Class

destructor Destroy; override;

Class

TJclPeRootResourceList Class


TJclPeRootResourceList.FindResource Method (PChar, PChar)

TJclPeRootResourceList Class

function FindResource(ResourceType: TJclPeResourceKind; const ResourceName: string = ''): TJclPeResourceItem; overload;
function FindResource(const ResourceType: PChar; const ResourceName: PChar = nil): TJclPeResourceItem; overload;

Parameters

ResourceType: TJclPeResourceKind

TODO

const ResourceName: string = ''

TODO

Donator

Petr Vones

Class

TJclPeRootResourceList Class


TJclPeRootResourceList.ListResourceNames Method

TJclPeRootResourceList Class

function ListResourceNames(ResourceType: TJclPeResourceKind; const Strings: TStrings): Boolean;

Class

TJclPeRootResourceList Class


Simple PE Helpers

Portable Executable File Format

Topics

PeImportedLibrariesArray

Returns a list of all libraries an image imports.

PeImportedFunctionsArray

Returns a list of all directly imported functions for an image.

PeExportedFunctionsArray

Returns a list of exported function from an image.

Functions

PeDoesExportFunction

Tests whether an image exports a specific fuction.

PeIsExportFunctionForwardedEx

Tests whether a function is forwarded.

PeIsExportFunctionForwarded

Tests whether a function is forwarded.

PeDoesImportFunction

Tests whether an image imports a specific function.

PeDoesImportLibrary

Tests whether an image is implicitly linked against a library.

PeImportedLibraries

Returns a list of all libraries an image imports.

PeImportedFunctions

Returns a list of all directly imported functions for an image.

PeExportedFunctions

Returns a list of exported function from an image.

PeGetNtHeaders

Returns a TImageNtHeaders record for an image.

PeVerifyCheckSum

Verifies the checksum of a portable executable file.


Simple PE Helpers Functions

Simple PE Helpers

Functions

PeDoesExportFunction

Tests whether an image exports a specific fuction.

PeIsExportFunctionForwardedEx

Tests whether a function is forwarded.

PeIsExportFunctionForwarded

Tests whether a function is forwarded.

PeDoesImportFunction

Tests whether an image imports a specific function.

PeDoesImportLibrary

Tests whether an image is implicitly linked against a library.

PeImportedLibraries

Returns a list of all libraries an image imports.

PeImportedFunctions

Returns a list of all directly imported functions for an image.

PeExportedFunctions

Returns a list of exported function from an image.

PeGetNtHeaders

Returns a TImageNtHeaders record for an image.

PeVerifyCheckSum

Verifies the checksum of a portable executable file.


Topics

Simple PE Helpers

Topics

PeImportedLibrariesArray

Returns a list of all libraries an image imports.

PeImportedFunctionsArray

Returns a list of all directly imported functions for an image.

PeExportedFunctionsArray

Returns a list of exported function from an image.


PeDoesExportFunction Function

See Also

Tests whether an image exports a specific fuction.

Pascal

function PeDoesExportFunction(const FileName: TFileName; const FunctionName: string; Options: TJclSmartCompOptions = []): Boolean;

Description

PeDoesExportFunction determines whether the specified image file exports a function by the specified name. The Options parameter allows you to fine tune the search.

Parameters

const FileName: TFileName

Filename of the image file to test.

const FunctionName: string

Name of the function to search for.

Options: TJclSmartCompOptions = []

Optional parameter which determine various aspects of the search such as case sensitivity. See TJclSmartCompOptions for more detailed information.

Return Value

If the image exports the specified function the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


See Also

TJclSmartCompOptions


PeIsExportFunctionForwardedEx Function

Tests whether a function is forwarded.

Pascal

function PeIsExportFunctionForwardedEx(const FileName: TFileName; const FunctionName: string; var ForwardedName: string; Options: TJclSmartCompOptions = []): Boolean;

Description

PeIsExportFunctionForwardedEx detemines whether the specified function is forwarded to another image/function or not. If it is forwarded the ForwardedName parameter receives the location to which the function is forwarded.

Parameters

const FileName: TFileName

Filename of the image file to test.

const FunctionName: string

Name of the function to test.

var ForwardedName: string

If the specified function is forwarded this parameters receives a string of the format DLL.FunctionName which is where the function is forwarded to.

Options: TJclSmartCompOptions = []

Optional parameters which determine various aspects of the functionname matching such as case sensitivity. See TJclSmartCompOptions for more detailed information.

Return Value

If the specified function is forwarded to another module the function returns True, otherwise it returns False. In the latter case the contents of the ForwardedName parameter is undefined.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeIsExportFunctionForwarded Function

Tests whether a function is forwarded.

Pascal

function PeIsExportFunctionForwarded(const FileName: TFileName; const FunctionName: string; Options: TJclSmartCompOptions = []): Boolean;

Description

PeIsExportFunctionForwardedEx detemines whether the specified function is forwarded to another image/function or not.

Parameters

const FileName: TFileName

Filename of the image file to test.

const FunctionName: string

Name of the function to test.

Options: TJclSmartCompOptions = []

Optional parameters which determine various aspects of the functionname matching such as case sensitivity. See TJclSmartCompOptions for more detailed information.

Return Value

If the specified function is forwarded to another module the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeDoesImportFunction Function

Tests whether an image imports a specific function.

Pascal

function PeDoesImportFunction(const FileName: TFileName; const FunctionName: string; const LibraryName: string = ''; Options: TJclSmartCompOptions = []): Boolean;

Description

PeDoesImportFunction determines whether the specified image imports the specified function from a specific library. If LibraryName is left empty the function test if the image imports the function from any library.

Parameters

const FileName: TFileName

Filename of the image to test.

const FunctionName: string

Name of the function to test.

const LibraryName: string = ''

Filename of the library from FunctionName is supposedly imported. If this parameter is left empty the function simply tests if the function is imported at all from any library. If however this parameter is specified the function only returns True if the function is actually imported from the specified library.

Options: TJclSmartCompOptions = []

Optional parameter which determine various aspects of the functionname matching such as case sensitivity. See TJclSmartCompOptions for more detailed information.

Return Value

If the function is imported (optionally from the specified library) the function returns True, otherwise ut returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeDoesImportLibrary Function

Tests whether an image is implicitly linked against a library.

Pascal

function PeDoesImportLibrary(const FileName: TFileName; const LibraryName: string; Recursive: Boolean = False): Boolean;

Description

PeDoesImportLibrary determines whether the specified image implicitly links against the specified library. Thus it tests whether the image imports anything from the library.

Parameters

const FileName: TFileName

Filename of the image to test.

const LibraryName: string

Name of the library to test against.

Recursive: Boolean = False

If False the function only tests for direct imports (library A links directly against lbrary B). If True the function performs the test recursively and therefore includes indirect imports (library A links against library B which links against library C therefore library A links against library C).

Return Value

If the image directly imports the library the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeImportedLibraries Function

Returns a list of all libraries an image imports.

Pascal

function PeImportedLibraries(const FileName: TFileName; const LibrariesList: TStrings; Recursive: Boolean = False; FullPathName: Boolean = False): Boolean;

Description

PeImportedLibraries returns a list of all libraries which the specified image imports (implicitly links against).

Parameters

const FileName: TFileName

Filename of the image for which to retrieve an import list.

const LibrariesList: TStrings

Receives the list of imported libraries.

Recursive: Boolean = False

If False the function only includes direct imports. If True the function includes indirect imports as well (library A imports library B which in turn imports library C and therefore library A indirectly imports library C).

FullPathName: Boolean = False

Determines whether the list of libraries includes the full path of the image files.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the list is undefined.

Notes

This function preserves the contents of the libraries list.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeImportedLibrariesArray

Returns a list of all libraries an image imports.

Description

PeImportedLibrariesArray returns a list of all libraries which the specified image imports (implicitly links against). Note that the list only includes direct imports. If Lib1 imports Lib2 and Lib2 imports Lib3 then Lib3 will not be included in the listing for Lib1.

Parameters

FileName

Filename of the image for which to retrieve an import list.

LibrariesList

Receives the list of imported libraries.

Recursive

If False the function only includes direct imports. If True the function includes indirect imports as well (library A imports library B which in turn imports library C and therefore library A indirectly imports library C).

FullPathName

Determines whether the list of libraries includes the full path of the image files.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the list is undefined.

Donator

Petr Vones

Group

Simple PE Helpers


PeImportedFunctions Function

Returns a list of all directly imported functions for an image.

Pascal

function PeImportedFunctions(const FileName: TFileName; const FunctionsList: TStrings; const LibraryName: string = ''; IncludeLibNames: Boolean = False): Boolean;

Description

PeImportedFunctions returns a list of all directly imported functions by the specified image.

Parameters

const FileName: TFileName

Filename of the image for which to list the imports.

const FunctionsList: TStrings

Receives the list of imported functions. Note that the contents of the list on entry are preserved.

const LibraryName: string = ''

Name of the from which to list imports. If this parameters is empty (the default) all imports from all libraries are included. If on the other hand a library is specified only imports from that library are included. Note that the library name must include the extension.

IncludeLibNames: Boolean = False

If True the imported functions are prefixed by the name of the library from which they are imported. The library and function name are separated by a dot ('.').

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the list are undefined. Note that even in the case of success, the list may not contain any entries (the image may not import anything).

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeImportedFunctionsArray

Returns a list of all directly imported functions for an image.

Description

PeImportedFunctions returns a list of all directly imported functions by the specified image.

Parameters

FileName

Filename of the image for which to list the imports.

FunctionsList

Receives the list of imported functions.

LibraryName

Name of the from which to list imports. If this parameters is empty (the default) all imports from all libraries are included. If on the other hand a library is specified only imports from that library are included. Note that the library name must include the extension.

IncludeLibNames

If True the imported functions are prefixed by the name of the library from which they are imported. The library and function name are separated by a dot ('.').

Return Value

If the function succeeds it returns True, otherwise it returns False. Note that in the case of success, the list may not contain any entries (the image may not import anything).

Donator

Petr Vones

Group

Simple PE Helpers


PeExportedFunctions Function

Returns a list of exported function from an image.

Pascal

function PeExportedFunctions(const FileName: TFileName; const FunctionsList: TStrings): Boolean;

Description

PeExportedFunctions returns a list of functions exported from the specified image.

Parameters

const FileName: TFileName

FileName of the image for which to receive a list of exports.

const FunctionsList: TStrings

Receives the list of exported functions. Note that the contents of the list upon entry are preserved.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeExportedFunctionsArray

Returns a list of exported function from an image.

Description

PeExportedFunctions returns a list of functions exported from the specified image.

Parameters

FileName

FileName of the image for which to receive a list of exports.

FunctionsList

Receives the list of exported functions.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers


PeGetNtHeaders Function

Returns a TImageNtHeaders record for an image.

Pascal

function PeGetNtHeaders(const FileName: TFileName; var NtHeaders: TImageNtHeaders): Boolean;

Description

PeGetNtHeaders returns a TImageNtHeaders record for the specified image. A TImageNtHeaders record contains a lot of standard information about the image included in all valid portable executable files. For information about the interpretation of this record see "Portable Executable and Common Object File Format Specification", Revision 6.0 February 1999 in the MSDN library.

Parameters

const FileName: TFileName

Filename of the image for which to retrieve the TImageNtHeader.

var NtHeaders: TImageNtHeaders

Receives the TImageNtHeaders record.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


PeVerifyCheckSum Function

Verifies the checksum of a portable executable file.

Pascal

function PeVerifyCheckSum(const FileName: TFileName): Boolean;

Description

PeVerifyCheckSum verifies the correctness of the checksum of the specified image. The image must be a valid portable executable file. Note that 0 is considered a valid checksum.

Parameters

const FileName: TFileName

Filename of the image whose checksum to verify.

Return Value

If the image's checksum is correct the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Simple PE Helpers

Unit

JclPeImage


Smart Name Comparison

Legend

Portable Executable File Format

Enumerations

 TJclSmartCompOption

Functions

PeStripFunctionAW

Returns the base name of the supplied function name.

PeSmartFunctionNameSame

Compares two function names.

Legend

Enumeration


Smart Name Comparison Enumerations

Smart Name Comparison	Legend

Enumerations

 TJclSmartCompOption


Legend

Enumeration


Smart Name Comparison Functions

Smart Name Comparison

Functions

PeStripFunctionAW

Returns the base name of the supplied function name.

PeSmartFunctionNameSame

Compares two function names.


Legend

Smart Name Comparison

Legend

Enumeration


PeStripFunctionAW Function

See Also

Returns the base name of the supplied function name.

Pascal

function PeStripFunctionAW(const FunctionName: string): string;

Description

Many Win32 dynamic link libraries export functions in two forms, one for ansi and one for unicode, and distinquish between these functions using a single letter suffix, A and W respectively. The name without this suffix is refered to as the base name. The PeStripFunctionAW accepts a function name and returns the base name, stripping of the suffix character if necessary.

Parameters

const FunctionName: string

Name of a function as it appears in the import or export section of an image file.

Return Value

The base name of the supplied function.

Donator

Petr Vones

Group

Smart Name Comparison

Unit

JclPeImage


See Also

PeSmartFunctionNameSame


PeSmartFunctionNameSame Function

See Also

Compares two function names.

Pascal

function PeSmartFunctionNameSame(const ComparedName: string; const FunctionName: string; Options: TJclSmartCompOptions = []): Boolean;

Description

The PeSmartFunctionNameSame function compares two function names and returns whether they are equal observing the comparison rules specified through the options parameter.

Parameters

const ComparedName: string

First function name to be compared.

const FunctionName: string

Second function name to be compared.

Options: TJclSmartCompOptions = []

A set of options which determine how the names are compared. See TJclSmartCompOptions for more information.

Return Value

If the two function names are considered equal the function returns True, otherwise it returns False.

Donator

Petr Vones

Group

Smart Name Comparison

Unit

JclPeImage


See Also

PeStripFunctionAW


Threaded Search

Legend

Portable Executable File Format

Topics

TJclPeNameSearch

Enumerations

 TJclPeNameSearchOption

Flags that determine which parts of an image is searched.

Types

TJclPeNameSearchOptions

Flags that determine which parts of an image is searched.

TJclPeNameSearchNotifyEvent

Event which is fired immediately before a new image is searched.

TJclPeNameSearchFoundEvent

Event which is fired each time a name is found.

Legend

Enumeration


Threaded Search Enumerations

Threaded Search	Legend

Enumerations

 TJclPeNameSearchOption

Flags that determine which parts of an image is searched.


Legend

Enumeration


Threaded Search Types

Threaded Search

Types

TJclPeNameSearchOptions

Flags that determine which parts of an image is searched.

TJclPeNameSearchNotifyEvent

Event which is fired immediately before a new image is searched.

TJclPeNameSearchFoundEvent

Event which is fired each time a name is found.


Topics

Threaded Search

Topics

TJclPeNameSearch


Legend

Threaded Search

Legend

Enumeration


TJclPeNameSearchOption Enumeration

Flags that determine which parts of an image is searched.

Pascal

TJclPeNameSearchOption = (
  seImports,
  seDelayImports,
  seBoundImports,
  seExports
);
TJclPeNameSearchOptions = set of TJclPeNameSearchOption;

Description

TJclPeNameSearchOptions is a set of flags used by the TJclPeNameSearch class to determine the scope of the search. In other word, these flags determine which parts of an image is searched.

seImports

Searches the import section of the image.

seDelayImports

Searches the delay loaded imports.

seBoundImports

Searches the bound imports.

seExports

Searches the export section of the image.

Donator

Petr Vones

Group

Threaded Search

Unit

JclPeImage


TJclPeNameSearchNotifyEvent Type

Event which is fired immediately before a new image is searched.

Pascal

TJclPeNameSearchNotifyEvent = procedure (Sender: TObject; PeImage: TJclPeImage; var Process: Boolean) of object;

Description

Event exposed by the TJclPeNameSearch class which is fired each time the search continues it search in a new image. The event is fired immediately before the image is searched and you can use it, for example, to display user progress information or to exclude certain images from being searched.

Parameters

Sender

Reference to the TJclPeNameSearch instance for which the event is fired.

PeImage

Reference to a TJclPeImage instance which is used to perform the search.

Process

Determines whether or not to process the image file. If you set Process to False the image is skipped, if you set it to True the image is searched.

Donator

Petr Vones

Group

Threaded Search

Unit

JclPeImage


TJclPeNameSearchFoundEvent Type

Event which is fired each time a name is found.

Pascal

TJclPeNameSearchFoundEvent = procedure (Sender: TObject; const FileName: TFileName; const FunctionName: string; Option: TJclPeNameSearchOption) of object;

Description

Event exposed by the TJclPeNameSearch class which is fired each time the class finds the name it's searching for.

Parameters

Sender

Reference to the TJclPeNameSearch instance for which the event is fired.

FileName

Name of the image file in which the function was found.

FunctionName

The name of the function as it was found in the image file. Depending on which options you specified this name may be slightly different than the one being searched for (for example, in case).

Option

Indicates in which section of the image file the function was found(for example, import or export section). This is quarenteed to be one of the options you specified when you started the search.

Donator

Petr Vones

Group

Threaded Search

Unit

JclPeImage


TJclPeNameSearch

Threaded Search

Classes

TJclPeNameSearch

Searches a set of image files for occurences of a specific function.


TJclPeNameSearch Classes

TJclPeNameSearch

Classes

TJclPeNameSearch

Searches a set of image files for occurences of a specific function.


TJclPeNameSearch Class

Methods	Events	Legend

Searches a set of image files for occurences of a specific function.

Pascal

TJclPeNameSearch = class(TThread);

Description

TJclPeNameSearch is a thread class which allows you to search through a set of image files for occurences of a specific function. You can search through both the import and export section ofthe image files and through a mask specify exactly which image files are to be searched. Occurences are reported back through an event.

Donator

Petr Vones

Group

TJclPeNameSearch

Events

OnFound

Event fired whenever an occurence of the specified function is found.

OnProcessFile

Event which is fired whenever the class is about to search an image file.

Legend

protected

Constructor

Unit

JclPeImage


TJclPeNameSearch Class Events

TJclPeNameSearch Class

Events

OnFound

Event fired whenever an occurence of the specified function is found.

OnProcessFile

Event which is fired whenever the class is about to search an image file.


TJclPeNameSearch Class Methods

TJclPeNameSearch Class	Legend

Methods

 CompareName

 Create

Creates and initializes an instance of the TJclPeNameSearch class.

 DoFound

 DoProcessFile

 Execute

Start

Starts the search operation.


Legend

protected

Constructor


Legend

TJclPeNameSearch Class

Legend

protected

Constructor


TJclPeNameSearch Class Members

TJclPeNameSearch Class	Legend

Members

Events

OnFound

Event fired whenever an occurence of the specified function is found.

OnProcessFile

Event which is fired whenever the class is about to search an image file.

Methods

 CompareName

 Create

Creates and initializes an instance of the TJclPeNameSearch class.

 DoFound

 DoProcessFile

 Execute

Start

Starts the search operation.


Legend

protected

Constructor


TJclPeNameSearch.OnFound Event

TJclPeNameSearch Class

Event fired whenever an occurence of the specified function is found.

Pascal

property OnFound: TJclPeNameSearchFoundEvent;

Description

Event which is fired whenever an occurence of the specified function is found. Note that the event is automatically synchronized with the main thread by firing it through the standard TThread method Synchronize. See the description of TJclPeNameSearchFoundEvent for more information.

Donator

Petr Vones

Class

TJclPeNameSearch Class


TJclPeNameSearch.OnProcessFile Event

TJclPeNameSearch Class

Event which is fired whenever the class is about to search an image file.

Pascal

property OnProcessFile: TJclPeNameSearchNotifyEvent;

Description

Event which is fired whenever the class is about to search an image file. Note that the event is automatically synchronized with the main thread by firing it through the standard TThread method Synchronize. See the description of TJclPeNameSearchNotifyEvent for more information.

Donator

Petr Vones

Class

TJclPeNameSearch Class


TJclPeNameSearch.CompareName Method

TJclPeNameSearch Class

function CompareName(const FunctionName: string; const ComparedName: string): Boolean; virtual;

Class

TJclPeNameSearch Class


TJclPeNameSearch.Create Constructor

TJclPeNameSearch Class

Creates and initializes an instance of the TJclPeNameSearch class.

Pascal

constructor Create(const FunctionName: string; const Path: string; Options: TJclPeNameSearchOptions = [seImports, seExports]);

Description

Creates and initializes an instance of the TJclPeNameSearch class. The thread starts off in the suspended state and has to be explicitly resumed using the Start method to actually start the search.

Parameters

const FunctionName: string

The name of the function you want to search for.

const Path: string

The Path parameter is the directory and file name mask, including wildcard characters that define the image files to be searched. For example, 'c:winntsystem32*.dll' specifies all dynamic link libraries in the c:winntsystem32 directory. Using the OnProcessFile event you can perform additional filtering of image files.

Options: TJclPeNameSearchOptions = [seImports, seExports]

Set of options specifying which sections of the image files are to be searched (for example, import and/or export sections). See the description of TJclPeNameSearchOptions for more information.

Donator

Petr Vones

Class

TJclPeNameSearch Class


TJclPeNameSearch.DoFound Method

TJclPeNameSearch Class

procedure DoFound;

Class

TJclPeNameSearch Class


TJclPeNameSearch.DoProcessFile Method

TJclPeNameSearch Class

procedure DoProcessFile;

Class

TJclPeNameSearch Class


TJclPeNameSearch.Execute Method

TJclPeNameSearch Class

procedure Execute; override;

Class

TJclPeNameSearch Class


TJclPeNameSearch.Start Method

TJclPeNameSearch Class

Starts the search operation.

Pascal

procedure Start;

Description

Starts the search operation. To temporarily pause the search set the Suspended property to True. To cancel the search set the Terminated property to True.

Donator

Petr Vones

Class

TJclPeNameSearch Class


TJclPeImage

Legend

Portable Executable File Format

Classes

TJclPeImage

Abstraction of a portable executable file.

Enumerations

 TJclPeHeader

 TJclLoadConfig

 TJclPeImageStatus

TJclPeImageStatus defines the various states a TJclPeImage instance can be in.

Records

 TJclPeFileProperties

Record which contains some common attributes of an image file.

Legend

Enumeration

Record


TJclPeImage Enumerations

TJclPeImage	Legend

Enumerations

 TJclPeHeader

 TJclLoadConfig

 TJclPeImageStatus

TJclPeImageStatus defines the various states a TJclPeImage instance can be in.


Legend

Enumeration


TJclPeImage Records

TJclPeImage	Legend

Records

 TJclPeFileProperties

Record which contains some common attributes of an image file.


Legend

Record


TJclPeImage Classes

TJclPeImage

Classes

TJclPeImage

Abstraction of a portable executable file.


Legend

TJclPeImage

Legend

Enumeration

Record


TJclPeHeader Enumeration

TJclPeHeader = (
  JclPeHeader_Signature,
  JclPeHeader_Machine,
  JclPeHeader_NumberOfSections,
  JclPeHeader_TimeDateStamp,
  JclPeHeader_PointerToSymbolTable,
  JclPeHeader_NumberOfSymbols,
  JclPeHeader_SizeOfOptionalHeader,
  JclPeHeader_Characteristics,
  JclPeHeader_Magic,
  JclPeHeader_LinkerVersion,
  JclPeHeader_SizeOfCode,
  JclPeHeader_SizeOfInitializedData,
  JclPeHeader_SizeOfUninitializedData,
  JclPeHeader_AddressOfEntryPoint,
  JclPeHeader_BaseOfCode,
  JclPeHeader_BaseOfData,
  JclPeHeader_ImageBase,
  JclPeHeader_SectionAlignment,
  JclPeHeader_FileAlignment,
  JclPeHeader_OperatingSystemVersion,
  JclPeHeader_ImageVersion,
  JclPeHeader_SubsystemVersion,
  JclPeHeader_Win32VersionValue,
  JclPeHeader_SizeOfImage,
  JclPeHeader_SizeOfHeaders,
  JclPeHeader_CheckSum,
  JclPeHeader_Subsystem,
  JclPeHeader_DllCharacteristics,
  JclPeHeader_SizeOfStackReserve,
  JclPeHeader_SizeOfStackCommit,
  JclPeHeader_SizeOfHeapReserve,
  JclPeHeader_SizeOfHeapCommit,
  JclPeHeader_LoaderFlags,
  JclPeHeader_NumberOfRvaAndSizes
);

Donator

Petr Vones

Group

TJclPeImage

Unit

JclPeImage


TJclLoadConfig Enumeration

TJclLoadConfig = (
  JclLoadConfig_Characteristics,
  JclLoadConfig_TimeDateStamp,
  JclLoadConfig_Version,
  JclLoadConfig_GlobalFlagsClear,
  JclLoadConfig_GlobalFlagsSet,
  JclLoadConfig_CriticalSectionDefaultTimeout,
  JclLoadConfig_DeCommitFreeBlockThreshold,
  JclLoadConfig_DeCommitTotalFreeThreshold,
  JclLoadConfig_LockPrefixTable,
  JclLoadConfig_MaximumAllocationSize,
  JclLoadConfig_VirtualMemoryThreshold,
  JclLoadConfig_ProcessHeapFlags,
  JclLoadConfig_ProcessAffinityMask,
  JclLoadConfig_CSDVersion,
  JclLoadConfig_Reserved1,
  JclLoadConfig_EditList,
  JclLoadConfig_Reserved
);

Donator

Petr Vones

Group

TJclPeImage

Unit

JclPeImage


TJclPeFileProperties Record

Record which contains some common attributes of an image file.

Pascal

TJclPeFileProperties = record
  Size: DWORD;
  CreationTime: TDateTime;
  LastAccessTime: TDateTime;
  LastWriteTime: TDateTime;
  Attributes: Integer;
end;

Description

Record which contains some common attributes of an image file.

Size: DWORD;

Size, in bytes, of the image file.

CreationTime: TDateTime;

Date when the image file was created.

LastAccessTime: TDateTime;

Date when the image file was last accessed.

LastWriteTime: TDateTime;

Date when the image file was last written to.

Attributes: Integer;

Attributes of the image file.

Donator

Petr Vones

Group

TJclPeImage

Unit

JclPeImage


TJclPeImageStatus Enumeration

TJclPeImageStatus defines the various states a TJclPeImage instance can be in.

Pascal

TJclPeImageStatus = (
  stNotLoaded,
  stOk,
  stNotPE,
  stNotFound,
  stError
);

Description

TJclPeImageStatus defines the various states a TJclPeImage instance can be in.

stNotLoaded

No image file is loaded. This is the status after creation and after clearing the instance.

stOk

An image file was succesfully loaded.

stNotPE

The most recently loaded file was not a valid PE image file.

stNotFound

The file coudln't be found.

stError

An unexpected error occured while loading a PE image file.

Donator

Petr Vones

Group

TJclPeImage

Unit

JclPeImage


TJclPeImage Class

Properties	Methods	Legend

Abstraction of a portable executable file.

Pascal

TJclPeImage = class(TObject);

Description

The TJclPeImage class provides an abstraction of a portable executable (PE) file, referred to throughout this documentation as simply image or PE file. PE is the standard format for executable files on the Windows platform. This includes files such as .exe, .dll and so forth. TJclPeImage allow you to easily read all information contained in a PE file such as the functions it imports and/or exports.

Donator

Petr Vones

Group

TJclPeImage

Legend

read only

protected

Constructor

Unit

JclPeImage


TJclPeImage Class Properties

TJclPeImage Class	Legend

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable


Legend

read only

protected


TJclPeImage Class Methods

TJclPeImage Class	Legend

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.


Legend

protected

Constructor


Legend

TJclPeImage Class

Legend

read only

protected

Constructor


TJclPeImage Class Members

TJclPeImage Class	Legend

Members

Properties

 AttachedImage

 CertificateList

 CLRHeader

 DebugList

Allows access to the debug section of the file.

 Description

 Directories

 DirectoryExists

 ExportList

Allows access to the export section of the image file.

FileName

Name of the loaded PE image file.

 FileProperties

Returns standard information about the file.

 HeaderValues

 ImageSectionCount

Returns the number of sections in the PE image.

 ImageSectionHeaders

Returns the image section header of a specific section.

 ImageSectionNameFromRva

 ImageSectionNames

Returns the name of a specific section.

 ImportList

Allows access to the import section.

 LoadConfigValues

 LoadedImage

Returns information about the loaded image.

 MappedAddress

Returns the base address at which the file was loaded.

 NoExceptions

 OptionalHeader

Allows access to the image optional header.

ReadOnlyAccess

 RelocationList

Allows access to the relocations section of the PE file.

 ResourceList

Allows access to the resource section of the PE file.

 Status

Returns the status of the TJclPeImage instance.

 UnusedHeaderBytes

Returns the offset and size of the part of the PE header which is currently unused.

 VersionInfo

Returns file version information.

 VersionInfoAvailable

Methods

 AfterOpen

AttachLoadedModule

Attaches the TJclPeImage instance to an already loaded image.

CalculateCheckSum

 CheckNotAttached

 Clear

 Create

Creates an instance of the TJclPeImage class.

DebugTypeNames

 Destroy

DirectoryEntryToData

DirectoryNames

ExpandBySearchPath

 ExpandModuleName

GetSectionHeader

Returns a pointer to the section header of the specified named section in the image.

GetSectionName

Returns the name of the section specified by the Header parameter.

HeaderNames

IsBrokenFormat

IsCLR

IsSystemImage

Returns True if the image is a kernel mode executable.

LoadConfigNames

 RaiseStatusException

RawToVa

 ResourceItemCreate

 ResourceListCreate

RvaToSection

RvaToVa

RvaToVaEx

ShortSectionInfo

StampToDateTime

StatusOK

Indicates whether the object is correctly initialized.

TryGetNamesForOrdinalImports

Looks up the names of functions that we're imported by ordinal.

VerifyCheckSum

Verifies the checksum of a portable executable file.


Legend

read only

protected

Constructor


TJclPeImage.AttachedImage Property

TJclPeImage Class

property AttachedImage: Boolean;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.CertificateList Property

TJclPeImage Class

property CertificateList: TJclPeCertificateList;

Class

TJclPeImage Class


TJclPeImage.CLRHeader Property

TJclPeImage Class

property CLRHeader: TJclPeCLRHeader;

Class

TJclPeImage Class


TJclPeImage.DebugList Property

TJclPeImage Class

Allows access to the debug section of the file.

Pascal

property DebugList: TJclPeDebugList;

Description

The DebugList property returns a TJclPeDebugList instance which allows access to the debug section (.debug) of the loaded PE image file. See TJclPeDebugList for more information.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.Description Property

TJclPeImage Class

property Description: string;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.Directories Property

TJclPeImage Class

property Directories [Directory: Word]: TImageDataDirectory;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.DirectoryExists Property

TJclPeImage Class

property DirectoryExists [Directory: Word]: Boolean;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ExportList Property

See Also	TJclPeImage Class

Allows access to the export section of the image file.

Pascal

property ExportList: TJclPeExportFuncList;

Description

The ExportList property returns a TJclPeExportFuncList instance which allows access to the export section (.edata) of the loaded PE image file. See TJclPeExportFuncList for more information.

Donator

Petr Vones

Class

TJclPeImage Class


See Also

TJclPeExportFuncList


TJclPeImage.FileName Property

See Also	TJclPeImage Class

Name of the loaded PE image file.

Pascal

property FileName: TFileName;

Description

Read the FileName property to determine which PE image file is currently loaded. Set FileName to load different image file. Note that depending on how the TJclPeImage instance was constructed, loading an invalid image file may either raise an exception or not. In any case the Status is updated to reflect success or failure.

Donator

Petr Vones

Class

TJclPeImage Class


See Also

Status


TJclPeImage.FileProperties Property

TJclPeImage Class

Returns standard information about the file.

Pascal

property FileProperties: TJclPeFileProperties;

Description

The FileProperties property returns a TJclPeFileProperties record containing standard (non PE specific) information about the loaded image file. This includes it's size, creation time and attributes.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.HeaderValues Property

TJclPeImage Class

property HeaderValues [Index: TJclPeHeader]: string;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ImageSectionCount Property

See Also	TJclPeImage Class

Returns the number of sections in the PE image.

Pascal

property ImageSectionCount: Integer;

Description

The ImageSectionCount property returns the number of sections in the loaded PE image file. The returned Count minus one, is the highest valid index into the ImageSectionHeader and ImageSectionNames properties.

Donator

Petr Vones

Class

TJclPeImage Class


See Also

ImageSectionNames ImageSectionHeaders


TJclPeImage.ImageSectionHeaders Property

See Also	TJclPeImage Class

Returns the image section header of a specific section.

Pascal

property ImageSectionHeaders [Index: Integer]: TImageSectionHeader;

Description

The ImageSectionHeaders array property returns the section header of the section indicated by the specified index. Valid indices are from 0 to ImageSectionCount - 1. To retrieve the name of a section use the ImageSectionNames property. For the interpretation of the fields in the returned header see the Platform SDK and "Portable Executable and Common Object File Format Specification" Revision 6.0 February 1999 in the MSDN library.

Donator

Petr Vones

Class

TJclPeImage Class


See Also

ImageSectionCount ImageSectionNames


TJclPeImage.ImageSectionNameFromRva Property

TJclPeImage Class

property ImageSectionNameFromRva [const Rva: DWORD]: string;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ImageSectionNames Property

See Also	TJclPeImage Class

Returns the name of a specific section.

Pascal

property ImageSectionNames [Index: Integer]: string;

Description

The ImageSectionNames array property returns the name of the section indicated by the index. Valid indices are from 0 to ImageSectionCount - 1. Returned names are always 8 characters or shorter. Common names are ".reloc", ".text" and ".data".

Donator

Petr Vones

Class

TJclPeImage Class


See Also

ImageSectionCount ImageSectionHeaders


TJclPeImage.ImportList Property

TJclPeImage Class

Allows access to the import section.

Pascal

property ImportList: TJclPeImportList;

Description

The ImportList property returns a TJclPeImportList instance which allows access to the import section (.idata) of the loaded PE image file. See TJclPeImportList for more information.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.LoadConfigValues Property

TJclPeImage Class

property LoadConfigValues [Index: TJclLoadConfig]: string;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.LoadedImage Property

TJclPeImage Class

Returns information about the loaded image.

Pascal

property LoadedImage: TLoadedImage;

Description

Returns a TLoadedImage record which contains information about the loaded PE image file. See the LOADED_IMAGE topic in the Platform SDK for a description of this record.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.MappedAddress Property

See Also	TJclPeImage Class

Returns the base address at which the file was loaded.

Pascal

property MappedAddress: DWORD;

Description

The MappedAddress property returns the (virtual) base address at which the PE file was loaded. The returned value is identical to LoadedImage.MappedAddress and is only provided for convenience (it's often used field).

Donator

Petr Vones

Class

TJclPeImage Class


See Also

LoadedImage


TJclPeImage.NoExceptions Property

TJclPeImage Class

property NoExceptions: Boolean;

Class

TJclPeImage Class


TJclPeImage.OptionalHeader Property

TJclPeImage Class

Allows access to the image optional header.

Pascal

property OptionalHeader: TImageOptionalHeader;

Description

Read OptionalHeader to gain access to the optional header of the loaded PE file. The optional header contains fields standard to all COFF implementations, Windows specific fields such as the target subsytem and allows access to all data directories. Generally speaking, it provides all information for the Windows loader to successfully load the image. Note that not all valid PE image files have an optional header. Specifically an object file (.obj) doesn't necessarily have one (that's why it's called optional). See "Portable Executable and Common Object File Format Specification" Revision 6.0 February 1999 in the MSDN library for a description of the fields in the returned record.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ReadOnlyAccess Property

TJclPeImage Class

property ReadOnlyAccess: Boolean;

Class

TJclPeImage Class


TJclPeImage.RelocationList Property

TJclPeImage Class

Allows access to the relocations section of the PE file.

Pascal

property RelocationList: TJclPeRelocList;

Description

The RelocationList property returns a TJclPeRelocList instance which allows access to the relocations section (.reloc) of the loaded PE file. This is also known as the fix up table. See REF Target"..Relocations sectionTJclPeRelocList">TJclPeRelocList for more information.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ResourceList Property

TJclPeImage Class

Allows access to the resource section of the PE file.

Pascal

property ResourceList: TJclPeRootResourceList;

Description

Returns a TJclPeRootResourceList instance which allows access to the resource section (.rsrc) of the loaded PE file. See TJclPeRootResourceList for more information.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.Status Property

TJclPeImage Class

Returns the status of the TJclPeImage instance.

Pascal

property Status: TJclPeImageStatus;

Description

Read status to determine the state of the TJclPeImage instance. Valid states include not loaded, ok, not a valid PE file and so forth. Depending on the NoExceptions parameter of the constructor, methods of the TJclPeImage may or may not raise exceptions. Therefor unless you check this property it is unknown whether or not the TJclPeImage contains valid data.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.UnusedHeaderBytes Property

TJclPeImage Class

Returns the offset and size of the part of the PE header which is currently unused.

Pascal

property UnusedHeaderBytes: TImageDataDirectory;

Description

Returns the offset and size of the part of the PE header which is currently unused.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.VersionInfo Property

TJclPeImage Class

Returns file version information.

Pascal

property VersionInfo: TJclFileVersionInfo;

Description

VersionInfo returns a TJclFileVersionInfo instance which allows you to read the version information, if any, of the image file. If the file doesn't have a file version resource reading this property returns nil. See TJclFileVersionInfo for more information.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.VersionInfoAvailable Property

TJclPeImage Class

property VersionInfoAvailable: Boolean;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.AfterOpen Method

TJclPeImage Class

procedure AfterOpen; dynamic;

Class

TJclPeImage Class


TJclPeImage.AttachLoadedModule Method

TJclPeImage Class

Attaches the TJclPeImage instance to an already loaded image.

Pascal

procedure AttachLoadedModule(const Handle: HMODULE);

Description

Attaches the TJclPeImage instance to an already loaded image. This causes the currently loaded image to be discarded and the class to reinitialize itself to the image specified by the Handle parameter.

Parameters

const Handle: HMODULE

Handle to the image you want to attach to.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.CalculateCheckSum Method

TJclPeImage Class

function CalculateCheckSum: DWORD;

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.CheckNotAttached Method

TJclPeImage Class

procedure CheckNotAttached;

Class

TJclPeImage Class


TJclPeImage.Clear Method

TJclPeImage Class

procedure Clear; dynamic;

Class

TJclPeImage Class


TJclPeImage.Create Constructor

TJclPeImage Class

Creates an instance of the TJclPeImage class.

Pascal

constructor Create(ANoExceptions: Boolean = False); virtual;

Description

Creates an instance of the TJclPeImage class. Use the FileName property or AttachLoadedModule method to attach the class to a specific image.

Parameters

ANoExceptions: Boolean = False

Determines whether certain methods raise exceptions when they encounter a failure. Currently this applies only to setting the FileName property to an invalid filename or calling the AttachLoadedModule method with an invalid parameter.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.DebugTypeNames Method

TJclPeImage Class

class function DebugTypeNames(DebugType: DWORD): string;

Parameters

DebugType: DWORD

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.Destroy Destructor

TJclPeImage Class

destructor Destroy; override;

Class

TJclPeImage Class


TJclPeImage.DirectoryEntryToData Method

TJclPeImage Class

function DirectoryEntryToData(Directory: Word): Pointer;

Parameters

Directory: Word

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.DirectoryNames Method

TJclPeImage Class

class function DirectoryNames(Directory: Word): string;

Parameters

Directory: Word

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ExpandBySearchPath Method

TJclPeImage Class

class function ExpandBySearchPath(const ModuleName: string; const BasePath: string): TFileName;

Parameters

const ModuleName: string

TODO

const BasePath: string

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ExpandModuleName Method

TJclPeImage Class

function ExpandModuleName(const ModuleName: string): TFileName;

Class

TJclPeImage Class


TJclPeImage.GetSectionHeader Method

TJclPeImage Class

Returns a pointer to the section header of the specified named section in the image.

Pascal

function GetSectionHeader(const SectionName: string; var Header: PImageSectionHeader): Boolean;

Description

Returns a pointer to the section header of the specified named section in the image.

Parameters

const SectionName: string

Name of the section for which to retrieve the section header.

var Header: PImageSectionHeader

Receives a pointer to a TImageSectionHeader record which describes the section header of the requested section. If the method fails the contents of this parameter are undefined.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.GetSectionName Method

TJclPeImage Class

Returns the name of the section specified by the Header parameter.

Pascal

function GetSectionName(Header: PImageSectionHeader): string;

Description

Returns the name of the section specified by the Header parameter.

Parameters

Header: PImageSectionHeader

Pointer to the section header record for which you want to retrieve the name.

Return Value

If the function succeeds it returns the name of the specified section, otherwise it returns an empty string.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.HeaderNames Method

TJclPeImage Class

class function HeaderNames(Index: TJclPeHeader): string;

Parameters

Index: TJclPeHeader

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.IsBrokenFormat Method

TJclPeImage Class

function IsBrokenFormat: Boolean;

Class

TJclPeImage Class


TJclPeImage.IsCLR Method

TJclPeImage Class

function IsCLR: Boolean;

Class

TJclPeImage Class


TJclPeImage.IsSystemImage Method

TJclPeImage Class

Returns True if the image is a kernel mode executable.

Pascal

function IsSystemImage: Boolean;

Description

Returns True if the image is a kernel mode executable.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.LoadConfigNames Method

TJclPeImage Class

class function LoadConfigNames(Index: TJclLoadConfig): string;

Parameters

Index: TJclLoadConfig

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.RaiseStatusException Method

TJclPeImage Class

procedure RaiseStatusException;

Class

TJclPeImage Class


TJclPeImage.RawToVa Method

TJclPeImage Class

function RawToVa(Raw: DWORD): Pointer;

Parameters

Raw: DWORD

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.ResourceItemCreate Method

TJclPeImage Class

function ResourceItemCreate(AEntry: PImageResourceDirectoryEntry; AParentItem: TJclPeResourceItem): TJclPeResourceItem; virtual;

Class

TJclPeImage Class


TJclPeImage.ResourceListCreate Method

TJclPeImage Class

function ResourceListCreate(ADirectory: PImageResourceDirectory; AParentItem: TJclPeResourceItem): TJclPeResourceList; virtual;

Class

TJclPeImage Class


TJclPeImage.RvaToSection Method

TJclPeImage Class

function RvaToSection(Rva: DWORD): PImageSectionHeader;

Parameters

Rva: DWORD

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.RvaToVa Method

TJclPeImage Class

function RvaToVa(Rva: DWORD): Pointer;

Parameters

Rva: DWORD

TODO

Donator

Petr Vones

Contributors

Anonymous

Class

TJclPeImage Class


TJclPeImage.RvaToVaEx Method

TJclPeImage Class

function RvaToVaEx(Rva: DWORD): Pointer;

Class

TJclPeImage Class


TJclPeImage.ShortSectionInfo Method

TJclPeImage Class

class function ShortSectionInfo(Characteristics: DWORD): string;

Parameters

Characteristics: DWORD

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.StampToDateTime Method

TJclPeImage Class

class function StampToDateTime(TimeDateStamp: DWORD): TDateTime;

Parameters

TimeDateStamp: DWORD

TODO

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.StatusOK Method

TJclPeImage Class

Indicates whether the object is correctly initialized.

Pascal

function StatusOK: Boolean;

Description

Indicates whether the object is correctly initialized. That is, if it was succesfully attached to a valid image file. If this poperty returns False you should not use any of it's properties or methods until reinitialized using the FileName property or the AttachLoadedModule method.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.TryGetNamesForOrdinalImports Method

TJclPeImage Class

Looks up the names of functions that we're imported by ordinal.

Pascal

procedure TryGetNamesForOrdinalImports;

Description

The TryGetNamesForOrdinalImports method searches the export sections of each image that it is linked against in an attempt to find the names of those functions that were imported by ordinal instead of by name. See also the description of the IndirectImportName property of the TJclPeImportFuncItem class and the same named method in the TJclPeImportList class.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImage.VerifyCheckSum Method

TJclPeImage Class

Verifies the checksum of a portable executable file.

Pascal

function VerifyCheckSum: Boolean;

Description

VerifyCheckSum verifies the correctness of the checksum of the image file.

Return Value

If the checksum is valid the method returns True, otherwise it returns False. Note that 0 is considered a valid checksum.

Donator

Petr Vones

Class

TJclPeImage Class


TJclPeImageBaseList

Portable Executable File Format

Classes

TJclPeImageBaseList

Baseclass for list-like classes which require a TJclPeImage instance reference.


TJclPeImageBaseList Classes

TJclPeImageBaseList

Classes

TJclPeImageBaseList

Baseclass for list-like classes which require a TJclPeImage instance reference.


TJclPeImageBaseList Class

Properties	Methods	Legend

Baseclass for list-like classes which require a TJclPeImage instance reference.

Pascal

TJclPeImageBaseList = class(TObjectList);

Description

TJclPeImageBaseList is the baseclass for all list classes in the JclPeImage module which require a reference to the TJclPeImage instance for which they were created. TJclPeImageBaseList does not introduce any new behaviours and serves merely as a baseclass, you'll likely never need to instantiate a TJclPeImageBaseList class explicitly.

Donator

Petr Vones

Group

TJclPeImageBaseList

Legend

read only

Constructor

Unit

JclPeImage


TJclPeImageBaseList Class Properties

TJclPeImageBaseList Class	Legend

Properties

 Image

Reference to the TJclPeImage specified during construction.


Legend

read only


TJclPeImageBaseList Class Methods

TJclPeImageBaseList Class	Legend

Methods

 Create

Instantiates a TJclPeImageBaseList class.


Legend

Constructor


Legend

TJclPeImageBaseList Class

Legend

read only

Constructor


TJclPeImageBaseList Class Members

TJclPeImageBaseList Class	Legend

Members

Properties

 Image

Reference to the TJclPeImage specified during construction.

Methods

 Create

Instantiates a TJclPeImageBaseList class.


Legend

read only

Constructor


TJclPeImageBaseList.Image Property

TJclPeImageBaseList Class

Reference to the TJclPeImage specified during construction.

Pascal

property Image: TJclPeImage;

Description

Reference to the TJclPeImage instance for which the class was instantiated. This is a direct copy of the AImage parameter as specified when the constructor was called.

Donator

Petr Vones

Class

TJclPeImageBaseList Class


TJclPeImageBaseList.Create Constructor

See Also	TJclPeImageBaseList Class

Instantiates a TJclPeImageBaseList class.

Pascal

constructor Create(AImage: TJclPeImage);

Description

Creates an instance of the TJclPeImageBaseList class and stores the reference to AImage in the Image property for later use. The constructor calls the inherited constructor specifying True for the AOwnsObjects parameter and as such the list will own any objects stored in it. See TObjectList in the Delphi VCL help for more information. Note that the TJclPeImageBaseList does not assume ownership of the specified TJclPeImage instance. It merely stored a reference to it and as such it remains the responsibility of the caller to free that instance eventually.

Parameters

AImage: TJclPeImage

Reference to a TJclPeImage instance for which the class is created. The reference will be available for later use through the Image property.

Donator

Petr Vones

Class

TJclPeImageBaseList Class


See Also

TJclPeImage


TJclPeImagesCache

Portable Executable File Format

Classes

TJclPeImagesCache

Cache for TJclPeImage objects.


TJclPeImagesCache Classes

TJclPeImagesCache

Classes

TJclPeImagesCache

Cache for TJclPeImage objects.


TJclPeImagesCache Class

Properties	Methods	Legend

Cache for TJclPeImage objects.

Pascal

TJclPeImagesCache = class(TObject);

Description

Provides a cache for TJclPeImage instances. The cache is used internally (though you can also use it outside of the module) by the JclPeImage module to prevent frequent loading and unloading of image files, thereby increasing performance. Note that the TJclPeImagesCache class is not inherently thread safe.

Donator

Petr Vones

Group

TJclPeImagesCache

Legend

read only

Constructor

protected

Unit

JclPeImage


TJclPeImagesCache Class Properties

TJclPeImagesCache Class	Legend

Properties

 Count

Returns the number of TJclPeImage instances currently in the cache.

 Images

Returns a TJclPeImage instance for the specified image file.


Legend

read only


TJclPeImagesCache Class Methods

TJclPeImagesCache Class	Legend

Methods

Clear

Clears the list of image objects

 Create

 Destroy

 GetPeImageClass


Legend

Constructor

protected


Legend

TJclPeImagesCache Class

Legend

read only

Constructor

protected


TJclPeImagesCache Class Members

TJclPeImagesCache Class	Legend

Members

Properties

 Count

Returns the number of TJclPeImage instances currently in the cache.

 Images

Returns a TJclPeImage instance for the specified image file.

Methods

Clear

Clears the list of image objects

 Create

 Destroy

 GetPeImageClass


Legend

read only

Constructor

protected


TJclPeImagesCache.Count Property

TJclPeImagesCache Class

Returns the number of TJclPeImage instances currently in the cache.

Pascal

property Count: Integer;

Description

Returns the number of TJclPeImage instances currently in the cache.

Donator

Petr Vones

Class

TJclPeImagesCache Class


TJclPeImagesCache.Images Property

TJclPeImagesCache Class

Returns a TJclPeImage instance for the specified image file.

Pascal

property Images [const FileName: TFileName]: TJclPeImage;

Description

The Images property returns an TJclPeImage object for the image file specified by the FileName index. If there is already an object for that image in the cache the property returns a reference to it. If there isn't an object in the cache yet the property creates the object first and then returns a reference to this newly created object. The FileName index should be the fully qualified name of the image file for which you need a TJclPeImage instance. If the filename is not fully qualified and can't be found in the usually directories (path, system etc) an exception is raised. Note that any references to TJclPeImage instances retrieved through the cache become invalid when the TJclPeImagesCache object is destroyed or when it's Clear method is called.

Donator

Petr Vones

Class

TJclPeImagesCache Class


TJclPeImagesCache.Clear Method

TJclPeImagesCache Class

Clears the list of image objects

Pascal

procedure Clear;

Description

Clears the list of image objects. Before the list is cleared all instances are freed first. Therefore you should make sure not to use any cached references to any of image objects retrieved from the cache earlier.

Donator

Petr Vones

Class

TJclPeImagesCache Class


TJclPeImagesCache.Create Constructor

TJclPeImagesCache Class

constructor Create;

Class

TJclPeImagesCache Class


TJclPeImagesCache.Destroy Destructor

TJclPeImagesCache Class

destructor Destroy; override;

Class

TJclPeImagesCache Class


TJclPeImagesCache.GetPeImageClass Method

TJclPeImagesCache Class

function GetPeImageClass: TJclPeImageClass; virtual;

Class

TJclPeImagesCache Class


Synchronization

Libraries, Processes and Threads

Topics

Debugging

Locked integer manipulation

TJclCriticalSection

TJclCriticalSectionEx

TJclDispatcherObject

TJclEvent

TJclMeteredSection

TJclMultiReadExclusiveWrite

TJclMutex

TJclOptex

TJclSemaphore

TJclWaitableTimer


Topics

Synchronization

Topics

Debugging

Locked integer manipulation

TJclCriticalSection

TJclCriticalSectionEx

TJclDispatcherObject

TJclEvent

TJclMeteredSection

TJclMultiReadExclusiveWrite

TJclMutex

TJclOptex

TJclSemaphore

TJclWaitableTimer


Debugging

Synchronization

Functions

QueryCriticalSection

Returns information about a critical section object.

QueryEvent

Returns information about an event object.

QueryTimer

Returns information about a timer object.

QuerySemaphore

Returns information about a semaphore object.

QueryMutex

Returns information about a mutex object.


Debugging Functions

Debugging

Functions

QueryCriticalSection

Returns information about a critical section object.

QueryEvent

Returns information about an event object.

QueryTimer

Returns information about a timer object.

QuerySemaphore

Returns information about a semaphore object.

QueryMutex

Returns information about a mutex object.


QueryCriticalSection Function

Returns information about a critical section object.

Pascal

function QueryCriticalSection(CS: TJclCriticalSection; var Info: TRTLCriticalSection): Boolean;

Description

QueryCriticalSection returns information about the critical section object specified by CS. The function returns a TRTLCriticalSection record which is defined in Windows.pas.

Parameters

CS: TJclCriticalSection

The critical section object about which to return information.

var Info: TRTLCriticalSection

Receives information about the critical section. See Windows.pas for the declaration of this record, most fields are self-explanatory.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the Info parameter are undefined.

Notes

This function relies on undocumented information.

Donator

Marcel van Brakel

Group

Debugging

Unit

JclSynch


QueryEvent Function

Returns information about an event object.

Pascal

function QueryEvent(Handle: THandle; var Info: TEventInfo): Boolean;

Description

QueryEvent returns information about the event object specified by Handle. The information is returned in a TEventInfo record and contains members to indicate the kind of event and whether it is signaled.

Parameters

Handle: THandle

Handle of the event object for which you want information.

var Info: TEventInfo

Received information about the event. TEventInfo is defined as:

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the Info parameter are undefined.

Notes

This function relies on undocumented information and uses an undocumented API call.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Debugging

Unit

JclSynch


QueryTimer Function

Returns information about a timer object.

Pascal

function QueryTimer(Handle: THandle; var Info: TTimerInfo): Boolean;

Description

QueryTimer returns information about the timer object specified by Handle. The information is returned in a TTimerInfo record and contains members to indicate whether the timer is signaled or how much time remains until the timer becomes signaled.

Parameters

Handle: THandle

Handle of the timer object for which you want information.

var Info: TTimerInfo

Received information about the timer. TTimerInfo is defined as:

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the Info parameter are undefined.

Notes

This function relies on undocumented information and uses an undocumented API call.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Debugging

Unit

JclSynch


QuerySemaphore Function

Returns information about a semaphore object.

Pascal

function QuerySemaphore(Handle: THandle; var Info: TSemaphoreCounts): Boolean;

Description

QuerySemaphore returns information about the semaphore object specified by Handle. The information is returned in a TSemaphoreInfo record and contains members to indicate the semaphores' current and maximum count.

Parameters

Handle: THandle

Handle of the semaphore object for which you want information.

var Info: TSemaphoreCounts

Received information about the event. TSemaphoreInfo is defined as:

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the Info parameter are undefined.

Notes

This function relies on undocumented information and uses an undocumented API call.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Debugging

Unit

JclSynch


QueryMutex Function

Returns information about a mutex object.

Pascal

function QueryMutex(Handle: THandle; var Info: TMutexInfo): Boolean;

Description

QueryMutex returns information about the mutex object specified by Handle. The information is returned in a TMutexInfo record and contains members to indicate whether the mutex is signaled and owned.

Parameters

Handle: THandle

Handle of the mutex object for which you want information.

var Info: TMutexInfo

Received information about the mutex. TMutexInfo is defined as:

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the Info parameter are undefined.

Notes

This function relies on undocumented information and uses an undocumented API call.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Debugging

Unit

JclSynch


Locked integer manipulation

Synchronization

Functions

LockedCompareExchange

Thread safe compare and exchange.

LockedExchangeAdd

Thread safe addition.

LockedAdd

Thread safe addition.

LockedExchangeSub

Thread safe subtraction.

LockedSub

Thread safe subtraction.

LockedExchange

Thread safe exchange.

LockedExchangeInc

Thread safe increment.

LockedInc

Thread safe increment.

LockedExchangeDec

Thread safe decrement.

LockedDec

Thread safe decrement.


Locked integer manipulation Functions

Locked integer manipulation

Functions

LockedCompareExchange

Thread safe compare and exchange.

LockedExchangeAdd

Thread safe addition.

LockedAdd

Thread safe addition.

LockedExchangeSub

Thread safe subtraction.

LockedSub

Thread safe subtraction.

LockedExchange

Thread safe exchange.

LockedExchangeInc

Thread safe increment.

LockedInc

Thread safe increment.

LockedExchangeDec

Thread safe decrement.

LockedDec

Thread safe decrement.


LockedCompareExchange Function

See Also

Thread safe compare and exchange.

Pascal

function LockedCompareExchange(var Target: Integer; Exch: Integer; Comp: Integer): Integer; overload;
function LockedCompareExchange(var Target: Pointer; Exch: Pointer; Comp: Pointer): Pointer; overload;

Description

LockedCompareExchange compares Comp with Target. If they are equal the value of Exch is moved into Target, otherwise Target retains its value. All this is performed in a locked, thread-safe manner. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The target variable to compare Value and which conditionally receives the value of Exch.

Exch: Integer

The value which is moved into Target if Comp and Target are equal.

Comp: Integer

The comperand which Target is compared against.

Return Value

The value of Target on procedure entry. Depending on the comparison, Target may have been updated or have retained its value.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedExchangeSub LockedExchange LockedExchangeInc LockedExchangeDec


LockedExchangeAdd Function

See Also

Thread safe addition.

Pascal

function LockedExchangeAdd(var Target: Integer; Value: Integer): Integer;

Description

LockedExchangeAdd implements threadsafe addition for integers. The function adds Value to Target and returns the previous value of Target. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The target variable to add Value to.

Value: Integer

The value to add to Target

Return Value

The value of Target before the addition.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedExchangeSub LockedExchange LockedExchangeInc LockedExchangeDec


LockedAdd Function

See Also

Thread safe addition.

Pascal

function LockedAdd(var Target: Integer; Value: Integer): Integer;

Description

LockedAdd implements threadsafe addition for integers. The function adds Value to Target and returns the new value of Target. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The target variable to add Value to.

Value: Integer

The value to add to Target

Return Value

The resulting value of Target after the addition. Note that the actual value of the variable may have already changed.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedSub LockedExchange LockedInc LockedDec


LockedExchangeSub Function

See Also

Thread safe subtraction.

Pascal

function LockedExchangeSub(var Target: Integer; Value: Integer): Integer;

Description

LockedExchangeSub implements threadsafe subtraction for integers. The function subtracts Value from Target and returns the old value of Target. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The Target variable to manipulate.

Value: Integer

The value to subtract from Target.

Return Value

The value of Target before the subtraction.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedExchangeAdd LockedExchange LockedExchangeInc LockedExchangeDec


LockedSub Function

See Also

Thread safe subtraction.

Pascal

function LockedSub(var Target: Integer; Value: Integer): Integer;

Description

LockedSub implements threadsafe subtraction for integers. The function subtracts Value from Target and returns the new value of Target. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to, and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The Target variable to manipulate.

Value: Integer

The value to subtract from Target.

Return Value

The resulting value of Target after the subtraction. Note that the actual value of the variable may have already changed!

Notes

The Win32 API provides similar functions. Lookup InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedAdd LockedExchange LockedInc LockedDec


LockedExchange Function

See Also

Thread safe exchange.

Pascal

function LockedExchange(var Target: Integer; Value: Integer): Integer;

Description

LockedExchange implements a thread safe exchange of two integer values. The function exchanges the values of Target and Value and returns the previous value of Target. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The Target variable.

Value: Integer

The value to move into Target.

Return Value

The value of Target before the exchange.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedAdd LockedSub LockedInc LockedDec


LockedExchangeInc Function

See Also

Thread safe increment.

Pascal

function LockedExchangeInc(var Target: Integer): Integer;

Description

LockedExchangeInc increments the specified Integer in an atomic, thread-safe manner. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The variable to increment.

Return Value

The value of Target before the increment.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedExchangeAdd LockedExchangeSub LockedExchange LockedExchangeDec


LockedInc Function

See Also

Thread safe increment.

Pascal

function LockedInc(var Target: Integer): Integer;

Description

LockedInc increments the specified Integer in an atomic, thread-safe manner. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The variable to increment.

Return Value

The resulting value of Target after the increment. Note that the actual value of the variable may have already changed!

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedAdd LockedSub LockedExchange LockedDec


LockedExchangeDec Function

See Also

Thread safe decrement.

Pascal

function LockedExchangeDec(var Target: Integer): Integer;

Description

LockedExchangeDec decrements the specified Integer in an atomic, thread-safe manner. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The variable to decrement.

Return Value

The value of Target before being decremented.

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedExchangeAdd LockedExchangeSub LockedExchange LockedInc


LockedDec Function

See Also

Thread safe decrement.

Pascal

function LockedDec(var Target: Integer): Integer;

Description

LockedDec decrements the specified Integer in an atomic, thread-safe manner. The LockedXxx functions allow for a simple and efficient way for applications to synchronize access to and manipulate integer variables which are shared by multiple threads.

Parameters

var Target: Integer

The variable to decrement.

Return Value

The value of Target after being decremented. Note that the actual value of the variable may have already changed!

Notes

The Win32 API provides similar functions. Look up InterlockedXxx in the Platform SDK.

Donator

Azret Botash

Group

Locked integer manipulation

Unit

JclSynch


See Also

LockedAdd LockedSub LockedExchange LockedInc


TJclCriticalSection

Synchronization

Classes

TJclCriticalSection

Wrapper for a Win32 critical section object


TJclCriticalSection Classes

TJclCriticalSection

Classes

TJclCriticalSection

Wrapper for a Win32 critical section object


TJclCriticalSection Class

Methods	Legend

Wrapper for a Win32 critical section object

Pascal

TJclCriticalSection = class(TObject);

Description

TJclCriticalSection is a wrapper for a Win32 critical section object which surfaces only functionality common to all Win32 implementations. Windows 98 and Windows NT introduced some additional functionality which is only available in the TJclCriticalSectionEx class.

Donator

Marcel van Brakel

Group

TJclCriticalSection

Legend

Constructor

Unit

JclSynch


TJclCriticalSection Class Methods

TJclCriticalSection Class	Legend

Methods

 Create

Creates an instance of a TJclCriticalSection object.

CreateAndEnter

Creates an instance of a TJclCriticalSection object and enters it.

 Destroy

Destroys the TJclCriticalSection object.

Enter

Enters the critical section.

Leave

Releases ownership of the critical section.


Legend

Constructor


Legend

TJclCriticalSection Class

Legend

Constructor


TJclCriticalSection Class Members

TJclCriticalSection Class	Legend

Members

Methods

 Create

Creates an instance of a TJclCriticalSection object.

CreateAndEnter

Creates an instance of a TJclCriticalSection object and enters it.

 Destroy

Destroys the TJclCriticalSection object.

Enter

Enters the critical section.

Leave

Releases ownership of the critical section.


Legend

Constructor


TJclCriticalSection.Create Constructor

TJclCriticalSection Class

Creates an instance of a TJclCriticalSection object.

Pascal

constructor Create; virtual;

Description

The create constructor creates an instance of a TJclCriticalSection object and initializes the underlying Win32 critical section object.

Donator

Marcel van Brakel

Class

TJclCriticalSection Class


TJclCriticalSection.CreateAndEnter Method

TJclCriticalSection Class

Creates an instance of a TJclCriticalSection object and enters it.

Pascal

class procedure CreateAndEnter(var CS: TJclCriticalSection);

Description

The CreateAndEnter class method creates an instance of TJclCriticalSection and Enters it in an atomic, and therefor thread safe, manner. The newly created critical section is then assigned to the CS parameter. The method does not return until ownership of the critical section can be obtained. This routine is handy in situations where you use a lazy creation approach (that is don't create the ciritical section until it is actually needed) and there's a possibility that multiple threads could attempt to create the critical section simultanuously.

Parameters

var CS: TJclCriticalSection

Variable which receives a reference to the newly created critical section object. It is valid for the parameter to contain a reference to an already created critical section. In that case the method merely attempts to Enter the existing critical section. If the parameter does not contain a valid reference it must be nil (declaring a variable as a global variable or object data field will ensure the variable is initialized to nil).

Donator

Marcel van Brakel

Class

TJclCriticalSection Class


TJclCriticalSection.Destroy Destructor

TJclCriticalSection Class

Destroys the TJclCriticalSection object.

Pascal

destructor Destroy; override;

Description

The Destroy destructor releases the underlying Win32 critical section object and destroys the TJclCriticalSection object.

Donator

Marcel van Brakel

Class

TJclCriticalSection Class


TJclCriticalSection.Enter Method

See Also	TJclCriticalSection Class

Enters the critical section.

Pascal

procedure Enter;

Description

Enter attempts to get access to the critical section, this is referred to as acquiring ownership of the critical section. Only one thread can own the critical section at any time. If the critical section is currently owned by a different thread the function blocks until the critical section becomes free. After acquiring ownership of the critical section you must release it as soon as you are done with it by calling the Leave method. Although only one thread can own the critical section, a single thread can own the critical section more than once. This means you can call Enter multiple times. However, calls to Enter and Leave must be balanced: you must call Leave for each time you call Enter.

Notes

In extremely low-memory situations a call to Enter may fail by raising an exception. If you cannot tolerate a failure of Enter you should use TJclCriticalSectionEx instead.

Donator

Marcel van Brakel

Class

TJclCriticalSection Class


See Also

Leave


TJclCriticalSection.Leave Method

See Also	TJclCriticalSection Class

Releases ownership of the critical section.

Pascal

procedure Leave;

Description

The Release method releases ownership of the critical section previously acquired by a call to the Enter method. After a call to Release the critical section is free to be acquired by a different thread. If you called Enter multiple times the critical section will not be released until the last, balancing call to Release.

Notes

If you call Release while you don't currently own the critical section, the state of the critical section object becomes corrupted and threads waiting for ownership may be blocked forever.

Donator

Marcel van Brakel

Class

TJclCriticalSection Class


See Also

Enter


TJclCriticalSectionEx

Synchronization

Classes

TJclCriticalSectionEx

Wrapper for a Win32 critical section object


TJclCriticalSectionEx Classes

TJclCriticalSectionEx

Classes

TJclCriticalSectionEx

Wrapper for a Win32 critical section object


TJclCriticalSectionEx Class

Properties	Methods	Legend

Wrapper for a Win32 critical section object

Pascal

TJclCriticalSectionEx = class(TJclCriticalSection);

Description

TJclCriticalSection is a wrapper for a Win32 critical section object which surfaces all functionality, including functionality not available in Windows 95. To use TJclCriticalSectionEx the target system must be running Windows NT 4 with service pack 3 or better or Windows 98. Note however that the TryEnter, GetSpinCount, and SetSpinCount methods are not implemented in Windows 98.

Donator

Marcel van Brakel

Group

TJclCriticalSectionEx

Legend

Constructor

Unit

JclSynch


TJclCriticalSectionEx Class Methods

TJclCriticalSectionEx Class	Legend

Methods

 Create

Creates an instance of a TJclCriticalSection object.

CreateAndEnter

Creates an instance of a TJclCriticalSection object and enters it.

 Destroy

Destroys the TJclCriticalSection object.

Enter

Enters the critical section.

Leave

Releases ownership of the critical section.

TJclCriticalSectionEx Class

 Create

Creates an instance of a TJclCriticalSection object.

 CreateEx

Creates an instance of a TJclCriticalSectionEx object.

GetSpinTimeOut

Returns the system setting of the critical section timeout.

SetSpinTimeOut

Sets the system's critical section timeout value.

TryEnter

Attempts to Enter the critical section.


Legend

Constructor


TJclCriticalSectionEx Class Properties

TJclCriticalSectionEx Class

Properties

TJclCriticalSectionEx Class

SpinCount

Sets the spincount for the critical section.


Legend

TJclCriticalSectionEx Class

Legend

Constructor


TJclCriticalSectionEx Class Members

TJclCriticalSectionEx Class	Legend

Members

Methods

 Create

Creates an instance of a TJclCriticalSection object.

CreateAndEnter

Creates an instance of a TJclCriticalSection object and enters it.

 Destroy

Destroys the TJclCriticalSection object.

Enter

Enters the critical section.

Leave

Releases ownership of the critical section.

TJclCriticalSectionEx Class

 Create

Creates an instance of a TJclCriticalSection object.

 CreateEx

Creates an instance of a TJclCriticalSectionEx object.

GetSpinTimeOut

Returns the system setting of the critical section timeout.

SetSpinTimeOut

Sets the system's critical section timeout value.

TryEnter

Attempts to Enter the critical section.

Properties

TJclCriticalSectionEx Class

SpinCount

Sets the spincount for the critical section.


Legend

Constructor


TJclCriticalSectionEx.SpinCount Property

TJclCriticalSectionEx Class

Sets the spincount for the critical section.

Pascal

property SpinCount: Cardinal;

Description

SpinCount allows you to query or set the critical section's spincount value.

Donator

Marcel van Brakel

Class

TJclCriticalSectionEx Class


TJclCriticalSectionEx.Create Constructor

TJclCriticalSectionEx Class

Creates an instance of a TJclCriticalSection object.

Pascal

constructor Create; override;

Description

The create constructor creates an instance of a TJclCriticalSection object and initializes the underlying Win32 critical section object.

Donator

Marcel van Brakel

Class

TJclCriticalSectionEx Class


TJclCriticalSectionEx.CreateEx Constructor

TJclCriticalSectionEx Class

Creates an instance of a TJclCriticalSectionEx object.

Pascal

constructor CreateEx(SpinCount: Cardinal; NoFailEnter: Boolean); virtual;

Description

The CreateEx constructor creates an instance of a TJclCriticalSection object and initializes the underlying Win32 critical section object. The parameters allow you to specify a spincount for the critical section and you can specify whether the internally used event object must be preallocated (see below). The Create constructor is overloaded for TJclCriticalSectionEx and simply calls CreateEx with 4000 and False for SpinCount and NoFailEnter respectively.

Parameters

SpinCount: Cardinal

The spincount for the critical section object. Conceptually the critical section will try to attempt ownership of the critical section for SpinCount number of times when the Enter method is called. If the critical section is still not available after these attempts the thread enters a wait state until the critical section is released. On a single-processor system this parameter is ignored and the critical section will use 0 internally. This means the critical section will never spin before waiting on a kernel event. This makes sense since the critical section could never be released while the thread was spinning (and thus monopolizing the processor).

NoFailEnter: Boolean

If True the kernel event object which is used when a thread must enter a wait state because the critical section is not available, is preallocated thereby guaranteeing that the Enter method does not fail, even in low memory situations.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclCriticalSectionEx Class


TJclCriticalSectionEx.GetSpinTimeOut Method

See Also	TJclCriticalSectionEx Class

Returns the system setting of the critical section timeout.

Pascal

class function GetSpinTimeOut: Cardinal;

Description

GetSpinTimeOut returns the system's global critical section timeout value. This value determines after which interval an attempt to enter a critical section times out. The default setting is about 30 days.

Return Value

The systems critical section timeout interval in seconds.

Donator

Marcel van Brakel

Class

TJclCriticalSectionEx Class


See Also

SetSpinTimeOut


TJclCriticalSectionEx.SetSpinTimeOut Method

See Also	TJclCriticalSectionEx Class

Sets the system's critical section timeout value.

Pascal

class procedure SetSpinTimeOut(const Value: Cardinal);

Description

SetSpinTimeOut sets the system's global critical section timeout value. This value determines after which interval an attempt to enter a critical section times out. The default setting is about 30 days. Note that this value affects all threads on the entire system. Do not set this value too low since it might negatively affect threads that normally wait longer than the timeout interval and do not expect to timeout.

Parameters

const Value: Cardinal

The new critical section timeout interval in seconds.

Donator

Marcel van Brakel

Class

TJclCriticalSectionEx Class


See Also

GetSpinTimeOut


TJclCriticalSectionEx.TryEnter Method

TJclCriticalSectionEx Class

Attempts to Enter the critical section.

Pascal

function TryEnter: Boolean;

Description

TryEnter attempts to acquire ownership of the critical section object. However, unlike the Enter method, this method immediately returns if the critical section cannot be acquired. Note this method is not supported on Windows 98.

Return Value

If ownership of the critical section object is acquired the function returns True. If ownership could not be acquired because the critical section was already owned by a different thread the function returns False. In this latter case you must take care not to call Release.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclCriticalSectionEx Class


TJclDispatcherObject

Legend

Synchronization

Classes

TJclDispatcherObject

Base class for kernel synchronization objects.

Enumerations

 TJclWaitResult

Enumeration used as the method result by WaitFor, WaitForever and WaitAlertable.

Legend

Enumeration


TJclDispatcherObject Classes

TJclDispatcherObject

Classes

TJclDispatcherObject

Base class for kernel synchronization objects.


TJclDispatcherObject Enumerations

TJclDispatcherObject	Legend

Enumerations

 TJclWaitResult

Enumeration used as the method result by WaitFor, WaitForever and WaitAlertable.


Legend

Enumeration


Legend

TJclDispatcherObject

Legend

Enumeration


TJclDispatcherObject Class

Properties	Methods	Legend

Base class for kernel synchronization objects.

Pascal

TJclDispatcherObject = class(TObject);

Description

TJclDispatcherObject is the base class for all kernel synchronization objects, which are also known as dispatcher objects, hence the name. It has provisions for the storage of a handle to the object and automatically releases the handle when the object is destructed. Additionally it provides methods to wait on the object which are common to all dispatcher object derivatives.

Notes

There are several non-kernel synchronization objects that do not derive from TJclDispatcherObject. Examples are the TJclCriticalSection and TJclOptex.

Donator

Marcel van Brakel

Group

TJclDispatcherObject

Legend

read only

Constructor

Unit

JclSynch


TJclDispatcherObject Class Properties

TJclDispatcherObject Class	Legend

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.


Legend

read only


TJclDispatcherObject Class Methods

TJclDispatcherObject Class	Legend

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.


Legend

Constructor


Legend

TJclDispatcherObject Class

Legend

read only

Constructor


TJclDispatcherObject Class Members

TJclDispatcherObject Class	Legend

Members

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.


Legend

read only

Constructor


TJclDispatcherObject.Existed Property

TJclDispatcherObject Class

Indicates whether the object existed.

Pascal

property Existed: Boolean;

Description

The Existed property denotes whether the dispatcher object already existed when it was created. This property is True if:

You successfully used the Open constructor.

If an object with the Name specified in the constructor already existed somewhere on the system and you have been granted access to that object.

If you create a named object which doesn't exist, the object is created and Existed will be False. Unnamed object always result in Existed being False.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


TJclDispatcherObject.Handle Property

TJclDispatcherObject Class

Handle to the dispatcher object being wrapped.

Pascal

property Handle: THandle;

Description

The handle property contains the handle to the underlying dispatcher object. You could use this in a call to WaitForMultipleObjects or to duplicate the Handle. Never manually close the handle by calling CloseHandle, the class does this automatically in the destructor.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


TJclDispatcherObject.Name Property

TJclDispatcherObject Class

The name of the object.

Pascal

property Name: string;

Description

Name contains the name of the object as specified in the constructor.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


TJclDispatcherObject.Attach Constructor

TJclDispatcherObject Class

Attaches to an existing dispatcher object.

Pascal

constructor Attach(Handle: THandle);

Description

The Attach constructor attaches to the existing dispatcher object specified by Handle. This is particularly useful when passing handles between a parent and child process using handle inheritance.

Parameters

Handle: THandle

Handle of the dispatcher object to attach to. This must be a handle to an event, mutex, semaphore, waitable timer or timer queue.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


TJclDispatcherObject.Destroy Destructor

TJclDispatcherObject Class

Disposes of the object instance.

Pascal

destructor Destroy; override;

Description

Destroy closes the handle to the dispatcher object and disposes of the object instance. After this call the object instance, as well as the dispatcher object wrapped by the class, are no longer valid. The state of any threads waiting on the object are often undefined and therefore you should never destroy an object with outstanding references. TJclDispatcherObject does not make any provisions for this, nor do any of the derived classes.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


TJclDispatcherObject.SignalAndWait Method

See Also	TJclDispatcherObject Class

Signals another object and then blocks until the object becomes signaled or the timeout expires.

Pascal

function SignalAndWait(const Obj: TJclDispatcherObject; TimeOut: Cardinal; Alertable: Boolean): TJclWaitResult;

Description

SignalAndWait signals the specified object (Obj) and checks the state of the object this method belongs to, if it is non-signaled the calling thread enters an alertable wait-state until one of the following occurs:

The object becomes signaled.

The time-out interval expires.

An I/O completion routine or asynchronous procedure call is queued to the thread.

If the object is signaled, or one of the above mentioned events occur while in a wait-state, the method returns and the calling thread is allowed to continue execution. Note that successfully waiting on a dispatcher object can, depending on the object, modify the state of the underlying object. For example, the count of a semaphore is decreased by one before the method returns. See the individual synchronization classes and the Platform SDK for details.

Parameters

const Obj: TJclDispatcherObject

The object to signal before waiting on the object for which this method is called. The object to signal can be a Mutex, Event or Semaphore to which you must have the appropriate access.

TimeOut: Cardinal

Interval, in milliseconds, the method waits on an object. If the object does not become signaled before the interval has expired, the method returns.

Alertable: Boolean

If False the method blocks until either the object becomes signaled or the timeout expires. If True the calling thread enters an alertable wait-state until one of the aforementioned events occur or an I/O Completion routine or APC is queued for the thread.

Return Value

The result indicates success or failure and is of type TJclWaitResult. This method can return any of the members of the enumeration. See TJclWaitResult for the details.

Notes

For Windows 9x, Windows Millenium Edition and Windows NT versions below 4, the internally called Windows API function SignalObjectAndWait is not available. In this case the result is wrError.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclDispatcherObject Class


See Also

WaitFor WaitForever WaitForMultipleObjects WaitAlertableForMultipleObjects


TJclDispatcherObject.WaitAlertable Method

See Also	TJclDispatcherObject Class

WaitAlertable blocks until the object becomes signaled or the timeout expires.

Pascal

function WaitAlertable(const TimeOut: Cardinal): TJclWaitResult;

Description

WaitAlertable checks the state of the object, if it is non-signaled the calling thread enters an alertable wait-state until one of the following occurs:

The object becomes signaled.

The time-out interval expires.

An I/O completion routine or asynchronous procedure call is queued to the thread.

If the object is signaled, or one of the above mentioned events occur while in a wait-state, the method returns and the calling thread is allowed to continue execution. Note that successfully waiting on a dispatcher object can, depending on the object, modify the state of the underlying object. For example, the count of a semaphore is decreased by one before the method returns. See the individual synchronization classes and the Platform SDK for details.

Parameters

const TimeOut: Cardinal

Interval, in milliseconds, the method waits on an object. If the object does not become signaled before the interval has expired, the method returns.

Return Value

The result indicates success or failure and is of type TJclWaitResult. This method can return any of the members of the enumeration. See TJclWaitResult for the details.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


See Also

WaitFor WaitForever WaitForMultipleObjects WaitAlertableForMultipleObjects


TJclDispatcherObject.WaitFor Method

See Also	TJclDispatcherObject Class

Blocks until the object becomes signaled or the timeout expires.

Pascal

function WaitFor(const TimeOut: Cardinal): TJclWaitResult;

Description

WaitFor checks the state of the object, if it is non-signaled the calling thread enters a wait state until one of the following occurs:

The object becomes signaled.

The time-out interval expires.

If the object is signaled, or one of the above mentioned events occurs, the function returns and the thread is allowed to continue execution. Note that successfully waiting on a dispatcher object can, depending on the object, modify the state of the underlying object. For example, the count of a semaphore is decreased by one before the method returns. See the individual synchronization classes and the Platform SDK for details.

Parameters

const TimeOut: Cardinal

Interval, in milliseconds, the method waits on an object. If the object does not become signaled before the interval has expired, the method returns. If you specify a 0 timeout the method tests the state of the object and immediately returns. You can specify INFINITE to wait forever or use WaitForever instead.

Return Value

The result indicates success or failure and is of type TJclWaitResult. This type is shared between all WaitXxx functions and as such not all members of this enumeration can be returned from this method. Valid ones are wrError, wrAbandoned, wrTimeOut and wrSignaled. See TJclWaitResult for the details.

Notes

This method results in non-alertable wait state while the object is not signaled. Use WaitAlertable to enter an alertable wait state.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


See Also

WaitAlertable WaitForever WaitForMultipleObjects WaitAlertableForMultipleObjects


TJclDispatcherObject.WaitForever Method

See Also	TJclDispatcherObject Class

Blocks until the object becomes signaled.

Pascal

function WaitForever: TJclWaitResult;

Description

WaitForever checks the state of the object, if it is non-signaled the calling thread enters a wait state until the object becomes signaled. If the object is signaled, or becomes signaled, the function returns and the thread is allowed to continue execution. Note that successfully waiting on a dispatcher object can, depending on the object, modify the state of the underlying object. For example, the count of a semaphore is decreased by one before the method returns. See the individual synchronization classes and the Platform SDK for details.

Return Value

The result indicates success or failure and is of type TJclWaitResult. This type is shared between all WaitXxx functions and as such not all members of this enumeration can be returned from this method. Valid ones are wrError, wrAbandoned, wrTimeOut and wrSignaled. See TJclWaitResult for the details.

Donator

Marcel van Brakel

Class

TJclDispatcherObject Class


See Also

WaitAlertable WaitFor WaitForMultipleObjects WaitAlertableForMultipleObjects


TJclWaitResult Enumeration

Enumeration used as the method result by WaitFor, WaitForever and WaitAlertable.

Pascal

TJclWaitResult = (
  wrAbandoned,
  wrError,
  wrIoCompletion,
  wrSignaled,
  wrTimeout
);

Description

Enumeration used as the method result by WaitFor, WaitForever and WaitAlertable.

wrAbandoned

Only applicable if the object is a mutex which was not released by the owning thread before the thread exited. The calling thread has been granted ownership of the mutex which is set to nonsignaled.

wrError

An error occurred. You can call GetLastError to get more information about why the method failed.

wrIoCompletion

One or more I/O completion routines were queued. Only applicable to WaitAlertable.

wrSignaled

The object was, or became, signaled.

wrTimeout

The timeout interval expired. This is not a successful wait.

Donator

Marcel van Brakel

Group

TJclDispatcherObject

Unit

JclSynch


TJclEvent

Synchronization

Classes

TJclEvent

Wrapper for the Win32 Event object.


TJclEvent Classes

TJclEvent

Classes

TJclEvent

Wrapper for the Win32 Event object.


TJclEvent Class

Properties	Methods	Legend

Wrapper for the Win32 Event object.

Pascal

TJclEvent = class(TJclDispatcherObject);

Description

TJclEvent is a wrapper for a Win32 Event object.

Donator

Marcel van Brakel

Group

TJclEvent

Legend

read only

Constructor

Unit

JclSynch


TJclEvent Class Properties

TJclEvent Class	Legend

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.


Legend

read only


TJclEvent Class Methods

TJclEvent Class	Legend

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclEvent Class

 Create

Creates an instance of a TJclEvent object.

 Open

The Open constructor attempts to open the existing named event specified with Name.

Pulse

Pulses the Event object.

ResetEvent

Resets the Event to the nonsignaled state.

SetEvent

Sets the Event to the signaled state.


Legend

Constructor


Legend

TJclEvent Class

Legend

read only

Constructor


TJclEvent Class Members

TJclEvent Class	Legend

Members

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclEvent Class

 Create

Creates an instance of a TJclEvent object.

 Open

The Open constructor attempts to open the existing named event specified with Name.

Pulse

Pulses the Event object.

ResetEvent

Resets the Event to the nonsignaled state.

SetEvent

Sets the Event to the signaled state.


Legend

read only

Constructor


TJclEvent.Create Constructor

See Also	TJclEvent Class

Creates an instance of a TJclEvent object.

Pascal

constructor Create(SecAttr: PSecurityAttributes; Manual: Boolean; Signaled: Boolean; const Name: string);

Description

Create creates an instance of a TJclEvent object.

Parameters

SecAttr: PSecurityAttributes

Pointer to a TSecurityAttributes record that specifies the security attributes of the new Event object such as whether it can be inherited. If you specify nil the Handle cannot be inherited and the Event receives a default security descriptor.

Manual: Boolean

Specifies whether a manual-reset or auto-reset event is created. If True (manual-reset) you must use the ResetEvent method to manually reset the state of the event to nonsignaled. If False (auto-reset) the system automatically sets the state of the Event object to non-signaled when a thread successfully waited on the event.

Signaled: Boolean

Specifies the initial state of the Event. If True the Event is created in the signaled state, if False it is created in the non-signaled state.

const Name: string

Name of the Event object, can be empty. If an event already exists on the system with the same name, the event is opened with EVENT_ALL_ACCESS. If the Event cannot be opened the constructor fails by raising an EJclEventError exception. If no Event with the specified name exists, the Event is created with that name. If a named object already exists wit the specified name but it is not an event, the constructor fails by raising an EJclEventError exception.

Donator

Marcel van Brakel

Class

TJclEvent Class


See Also

Open


TJclEvent.Open Constructor

See Also	TJclEvent Class

The Open constructor attempts to open the existing named event specified with Name.

Pascal

constructor Open(Access: Cardinal; Inheritable: Boolean; const Name: string);

Description

Opens an existing, named event. If the Event object does not exist, or the calling thread does not have sufficient access to open the Event object, the constructor fails by raising an EJclEventError exception.

Parameters

Access: Cardinal

Requested access to the Event object. This can be a combination of the following values:

Donator

Marcel van Brakel

Class

TJclEvent Class


See Also

Create


TJclEvent.Pulse Method

See Also	TJclEvent Class

Pulses the Event object.

Pascal

function Pulse: Boolean;

Description

Pulse sets the Event to the signaled state and back to nonsignaled in one single operation releasing the appropriate waiting threads in between. For a manual-reset event, all waiting threads are released before returning the Event to the nonsignaled state. For an auto-reset event, only one waiting thread is released. If no threads are waiting the function merely resets the Event to the nonsignaled state.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclEvent Class


See Also

ResetEvent SetEvent


TJclEvent.ResetEvent Method

See Also	TJclEvent Class

Resets the Event to the nonsignaled state.

Pascal

function ResetEvent: Boolean;

Description

ResetEvent resets the Event to the nonsignaled state thereby blocking all waiting threads. This is only useful for a manual-reset event which has to be explicitly set or reset. Auto-reset events are automatically reset to the nonsignaled state whenever a thread successfully waited on it.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclEvent Class


See Also

Pulse SetEvent


TJclEvent.SetEvent Method

See Also	TJclEvent Class

Sets the Event to the signaled state.

Pascal

function SetEvent: Boolean;

Description

SetEvent sets the Event to the signaled state. Manual-reset events remain in the signaled state until explicitly reset by using ResetEvent. All threads subsequently calling one of the wait functions are released immediately. For auto-reset events the state remains signaled until one thread is released from waiting on this event.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclEvent Class


See Also

Pulse ResetEvent


TJclMeteredSection

Synchronization

Classes

TJclMeteredSection

Provides a fast alternative to the semaphore kernel object.


TJclMeteredSection Classes

TJclMeteredSection

Classes

TJclMeteredSection

Provides a fast alternative to the semaphore kernel object.


TJclMeteredSection Class

Methods	Legend

Provides a fast alternative to the semaphore kernel object.

Pascal

TJclMeteredSection = class(TObject);

Description

TJclMeteredSection is basically nothing more than a semaphore kernel object except that it is much faster. Its speed comes from the fact that unless the calling thread has to enter a wait state, all code is executed in user mode. This in opposition to a semaphore which always requires a transition to kernel mode.

This class is (almost) a straight port from the metered section object as presented in the article "A Quick and Versatile Synchronization Object", Dan Chou which is available from the MSDN Library (Technical ArticlesWindows PlatformMultiThreading).

Donator

Marcel van Brakel

Group

TJclMeteredSection

Legend

protected

Constructor

Unit

JclSynch


TJclMeteredSection Class Methods

TJclMeteredSection Class	Legend

Methods

 AcquireLock

 Create

Creates an instance of a TJclMeteredSection object.

 Destroy

Enter

Enters the metered section.

Leave

Increases the MeteredSection's count.

 Open

The Open constructor attempts to open the existing named MeteredSection specified with Name.

 ReleaseLock


Legend

protected

Constructor


Legend

TJclMeteredSection Class

Legend

protected

Constructor


TJclMeteredSection Class Members

TJclMeteredSection Class	Legend

Members

Methods

 AcquireLock

 Create

Creates an instance of a TJclMeteredSection object.

 Destroy

Enter

Enters the metered section.

Leave

Increases the MeteredSection's count.

 Open

The Open constructor attempts to open the existing named MeteredSection specified with Name.

 ReleaseLock


Legend

protected

Constructor


TJclMeteredSection.AcquireLock Method

TJclMeteredSection Class

procedure AcquireLock;

Class

TJclMeteredSection Class


TJclMeteredSection.Create Constructor

TJclMeteredSection Class

Creates an instance of a TJclMeteredSection object.

Pascal

constructor Create(InitialCount: Longint; MaxCount: Longint; const Name: string);

Description

Creates a named or unnamed instance of a TJclMeteredSection object.

Parameters

InitialCount: Longint

Specifies an initial count of open slots for the metered section. This value must be greater than or equal to zero and less than or equal to MaxCount. A slot is available when the count is greater than zero and none is available when it is zero. The count is decreased by one whenever the EnterMeteredSection function releases a thread that was waiting for the metered section. The count is increased by a specified amount by calling the LeaveMeteredSection function.

MaxCount: Longint

Specifies the maximum number of available slots for the metered section. This value must be greater than zero.

const Name: string

String specifying the name of the metered section. The name is limited to MAX_METSECT_NAMELEN characters, and can contain any character except the backslash path-separator character (). Name comparison is case sensitive.

If Name matches the name of an existing named metered section, the InitialCount and MaxCount parameters are ignored because they have already been set by the process that originally created the metered section.

If Name is empty, the metered section is created without a name.

Donator

Marcel van Brakel

Class

TJclMeteredSection Class


TJclMeteredSection.Destroy Destructor

TJclMeteredSection Class

destructor Destroy; override;

Class

TJclMeteredSection Class


TJclMeteredSection.Enter Method

TJclMeteredSection Class

Enters the metered section.

Pascal

function Enter(TimeOut: Longword): TJclWaitResult;

Description

The Enter method decreases the count of the metered section object thereby granting access to the protected resource to a single thread. The method does not return until either access was granted, the specified timeout elapses or an error occurs.

Parameters

TimeOut: Longword

Specifies the time-out interval, in milliseconds. The function returns if the interval elapses, even if the metered section does not have an open slot. If Milliseconds is zero, the function tests the metered section's state a and returns immediately. If Milliseconds is INFINITE, the function's time-out interval never elapses.

Return Value

If access was granted the result is wrSignaled, if the specified TimeOut elapsed the result is wrTimeOut and if an error occured the result is wrError. Although TJclWaitResult includes other values, these should never be encountered as the function result.

Notes

The EnterMeteredSection function checks for an available slot in the metered section. If the metered section does not have an available slot, the calling thread enters an efficient wait state. The thread consumes very little processor time while waiting for a slot to become free.

Donator

Marcel van Brakel

Class

TJclMeteredSection Class


TJclMeteredSection.Leave Method (Longint)

TJclMeteredSection Class

Increases the MeteredSection's count.

Pascal

function Leave(ReleaseCount: Longint): Boolean; overload;
function Leave(ReleaseCount: Longint; var PrevCount: Longint): Boolean; overload;

Description

The LeaveMeteredSection function increases the number of available slots of a metered section by a specified amount but never increases past the maximum count as specified during construction. As a result of incrementing the count one or more waiting threads may be released from their wait state. Note that incrementing the count is not thread bound. That is, all threads may call Leave even though they never called Enter.

Parameters

ReleaseCount: Longint

Specifies the number of the metered section's slots to release. The value must be greater than zero. If the specified amount would cause the metered section's count to exceed the maximum number of available slots specified during creation of the metered section, the number of available slots is not changed and the function returns False.

var PrevCount: Longint

32-bit Longint which receives the previous metered section open slot count.

Return Value

If the function succeeds the result is True, otherwise the result is False.

Donator

Marcel van Brakel

Class

TJclMeteredSection Class


TJclMeteredSection.Open Constructor

TJclMeteredSection Class

The Open constructor attempts to open the existing named MeteredSection specified with Name.

Pascal

constructor Open(const Name: string);

Description

Opens an existing, named MeteredSection. If the MeteredSection object does not exist, or the calling thread does not have sufficient access to open the MeteredSection object, the constructor fails by raising an EJclMeteredSectionError exception.

Parameters

const Name: string

Name of the MeteredSection object to open.

Donator

Marcel van Brakel

Class

TJclMeteredSection Class


TJclMeteredSection.ReleaseLock Method

TJclMeteredSection Class

procedure ReleaseLock;

Class

TJclMeteredSection Class


TJclMultiReadExclusiveWrite

Synchronization

Classes

TJclMultiReadExclusiveWrite

Allows multiple readers but only one writer.


TJclMultiReadExclusiveWrite Classes

TJclMultiReadExclusiveWrite

Classes

TJclMultiReadExclusiveWrite

Allows multiple readers but only one writer.


TJclMultiReadExclusiveWrite Class

Methods	Legend

Allows multiple readers but only one writer.

Pascal

TJclMultiReadExclusiveWrite = class(TObject);

Description

TJclMultiReadExclusiveWrite is a synchronization object similar to a critical section. It protects some resource by controlling access to it. Unlike a critical section however, a TJclMultiReadExclusiveWrite allows multiple threads access to the protected resource. The threads that request access are separated into two logical groups called Readers and Writers. The class allows only one writer to have access to the resource at any time. All other threads, both readers and writers must wait until the resource is released. Readers however can access the resource simultaneously. When one or more readers have been granted access, all writers are blocked. The distinction between readers and writers is made based on how the threads request access to the resource. Readers use the BeginRead and EndRead methods while Writers use BeginWrite and EndWrite. It is up to the application to define what readers and writers really are.

In addition to the above, the class allows readers to be promoted to writers and it allows the application to tune the access. If you so wish you can have the class favor readers over writers, vice versa or treat them equally. Note that if you have the class favor one over the other than the 'other' may never get access to the resource depending on the details of your application and pure coincidence (due to timing issues which are beyond control of the class).

Note that the implementation of this class was inspired mainly by Jeffrey Richters CMREW class presented in his book "Programming applications for Microsoft Windows, 4th edition".

Donator

Marcel van Brakel

Group

TJclMultiReadExclusiveWrite

Legend

Constructor

protected

Unit

JclSynch


TJclMultiReadExclusiveWrite Class Methods

TJclMultiReadExclusiveWrite Class	Legend

Methods

BeginRead

Allows a thread read-access to the protected resource, blocking until the access can be granted.

BeginWrite

Allows a thread write-access to the protected resource, blocking until the access can be granted.

 Create

Creates an instance of TJclMultiReadExclusiveWrite.

 Destroy

Destroys the instance of TJclMultiReadExclusiveWrite.

EndRead

Signals that the thread has finished reading from the resource.

EndWrite

Signals that the thread has finished writing to the resource.

 Release


Legend

Constructor

protected


Legend

TJclMultiReadExclusiveWrite Class

Legend

Constructor

protected


TJclMultiReadExclusiveWrite Class Members

TJclMultiReadExclusiveWrite Class	Legend

Members

Methods

BeginRead

Allows a thread read-access to the protected resource, blocking until the access can be granted.

BeginWrite

Allows a thread write-access to the protected resource, blocking until the access can be granted.

 Create

Creates an instance of TJclMultiReadExclusiveWrite.

 Destroy

Destroys the instance of TJclMultiReadExclusiveWrite.

EndRead

Signals that the thread has finished reading from the resource.

EndWrite

Signals that the thread has finished writing to the resource.

 Release


Legend

Constructor

protected


TJclMultiReadExclusiveWrite.BeginRead Method

See Also	TJclMultiReadExclusiveWrite Class

Allows a thread read-access to the protected resource, blocking until the access can be granted.

Pascal

procedure BeginRead;

Description

BeginRead allows a thread to gain read-access to the protected resource. This method will block the calling thread until read-access can be granted. After the thread has been granted access other threads may request, and be granted, read-access to the protected resource but write access requests will be denied until all threads that hold read-access have finished using the resource. A thread which has been granted read-access must eventually call EndRead to signal that it has finished using the resource. Note that read-access can be promoted to write-access by calling BeginWrite, however, both the calls to BeginRead and BeginWrite must have a matching call to EndRead and EndWrite respectively. It is safe to call BeginRead while already holding read-access, it merely increments a recursion count. If you call BeginRead multiple times you must also call EndRead multiple times. That is, the calls to BeginRead and EndRead must be balanced. Note that even if the class has only granted access to readers while BeginRead is called, the calling thread may still be blocked depending on the Preferred value passed to the constructor.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


See Also

EndRead BeginWrite EndWrite


TJclMultiReadExclusiveWrite.BeginWrite Method

See Also	TJclMultiReadExclusiveWrite Class

Allows a thread write-access to the protected resource, blocking until the access can be granted.

Pascal

procedure BeginWrite;

Description

BeginWrite allows a thread to gain write-access to the protected resource. This method will block the calling thread until write-access can be granted. After a thread has been granted write-access, all other threads requesting access, either read or write, will be denied access until the thread currently holding write-access calls EndWrite. Note that it is legal to request read-access while holding write-access, however, the thread will not be granted read-access, instead its recursion count is incremented and write-access is preserved. It is safe to call BeginWrite while already holding write-access, it merely increments a recursion count. If you call BeginWrite multiple times you must also call EndWrite multiple times. That is, the calls to BeginWrite and EndWrite must be balanced.

Notes

WarningCalling BeginWrite while the thread already owns a read lock causes the thread to temporarily give up it's read lock altogether. Therefore it is not safe to assume that the resource is unchanged when you "promote" a read lock to a write lock. This is necessary to prevent a dead lock situation where two threads both attempt to promote a read lock.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


See Also

EndRead BeginRead EndWrite


TJclMultiReadExclusiveWrite.Create Constructor

TJclMultiReadExclusiveWrite Class

Creates an instance of TJclMultiReadExclusiveWrite.

Pascal

constructor Create(Preferred: TMrewPreferred); virtual;

Description

Creates an instance of TJclMultiReadExclusiveWrite.

Parameters

Preferred: TMrewPreferred

Denotes whether the class should favor readers over writers, vice versa or treat them equally. See TMrewPreferred for more information.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


TJclMultiReadExclusiveWrite.Destroy Destructor

TJclMultiReadExclusiveWrite Class

Destroys the instance of TJclMultiReadExclusiveWrite.

Pascal

destructor Destroy; override;

Description

Destroys the instance of TJclMultiReadExclusiveWrite.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


TJclMultiReadExclusiveWrite.EndRead Method

TJclMultiReadExclusiveWrite Class

Signals that the thread has finished reading from the resource.

Pascal

procedure EndRead;

Description

EndRead signals that the thread holding read-access to the protected resource has finished reading from the resource. You must call EndRead once for each time you called BeginRead. Even though it is safe to call EndRead while not holding read-access you should not do so. The same is true for calling EndWrite while currently holding read-access. Once all threads have released their read-access locks, currently blocked threads are released. The exact algorithm used to determine which threads to release depends on the Preferred value passed to the constructor.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


TJclMultiReadExclusiveWrite.EndWrite Method

TJclMultiReadExclusiveWrite Class

Signals that the thread has finished writing to the resource.

Pascal

procedure EndWrite;

Description

EndWrite signals that the thread holding write-access to the protected resource has finished writing to the resource. You must call EndWrite once for each time you called BeginWrite. Even though it is safe to call EndWrite while not holding write-access you should not do so. The same is true for calling EndRead while currently holding write-access. Once the calls to BeginWrite and EndWrite are balanced so that the write-lock is released, other blocked threads are released. The exact algorithm used to determine which threads to release depends on the Preferred value passed to the constructor.

Donator

Marcel van Brakel

Class

TJclMultiReadExclusiveWrite Class


TJclMultiReadExclusiveWrite.Release Method

TJclMultiReadExclusiveWrite Class

procedure Release;

Class

TJclMultiReadExclusiveWrite Class


TJclMutex

Synchronization

Classes

TJclMutex

Wrapper for a Win32 Mutex object.


TJclMutex Classes

TJclMutex

Classes

TJclMutex

Wrapper for a Win32 Mutex object.


TJclMutex Class

Properties	Methods	Legend

Wrapper for a Win32 Mutex object.

Pascal

TJclMutex = class(TJclDispatcherObject);

Description

TJclMutex is a wrapper for a Win32 Mutex object.

Donator

Marcel van Brakel

Group

TJclMutex

Legend

read only

Constructor

Unit

JclSynch


TJclMutex Class Properties

TJclMutex Class	Legend

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.


Legend

read only


TJclMutex Class Methods

TJclMutex Class	Legend

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclMutex Class

 Create

Creates an instance of a TJclMutex object and the underlying Win32 mutex object.

 Open

The Open constructor attempts to open the existing named mutex specified with Name.

Release

Releases ownership of the mutex.


Legend

Constructor


Legend

TJclMutex Class

Legend

read only

Constructor


TJclMutex Class Members

TJclMutex Class	Legend

Members

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclMutex Class

 Create

Creates an instance of a TJclMutex object and the underlying Win32 mutex object.

 Open

The Open constructor attempts to open the existing named mutex specified with Name.

Release

Releases ownership of the mutex.


Legend

read only

Constructor


TJclMutex.Create Constructor

TJclMutex Class

Creates an instance of a TJclMutex object and the underlying Win32 mutex object.

Pascal

constructor Create(SecAttr: PSecurityAttributes; InitialOwner: Boolean; const Name: string);

Description

Creates an instance of a TJclMutex object and the underlying Win32 mutex object.

Parameters

SecAttr: PSecurityAttributes

Pointer to a TSecurityAttributes record that specifies the security attributes of the new Mutex object such as whether it can be inherited. If you specify nil the Handle cannot be inherited and the Mutex receives a default security descriptor.

InitialOwner: Boolean

Set to True if you want immediate ownership of the mutex object. Note that initial ownership will only be granted if the call actually creates the mutex. If the named mutex already exists the constructor opens the mutex but you will not have ownership. Use the Existed property to determine whether the constructor created or opened the named mutex. This is a non-issue for unnamed mutexes or calls for which this parameter is False.

const Name: string

Name of the Mutex object, can be empty. If a mutex already exists on the system with the same name, the mutex is opened with MUTEX_ALL_ACCESS. If the mutex cannot be opened the constructor fails by raising an EJclMutexError exception. If no mutex with the specified name exists, the mutex is created with that name. If a named object already exists wit the specified name but it is not a mutex, the constructor fails by raising an EJclMutexError exception.

Donator

Marcel van Brakel

Class

TJclMutex Class


TJclMutex.Open Constructor

TJclMutex Class

The Open constructor attempts to open the existing named mutex specified with Name.

Pascal

constructor Open(Access: Cardinal; Inheritable: Boolean; const Name: string);

Description

Opens an existing, named mutex. If the mutex object does not exist, or the calling thread does not have sufficient access to open the mutex object, the constructor fails by raising an EJclMutexError exception.

Parameters

Access: Cardinal

Requested access to the Mutex object. This can be a combination of the following values:

Donator

Marcel van Brakel

Class

TJclMutex Class


TJclMutex.Release Method

TJclMutex Class

Releases ownership of the mutex.

Pascal

function Release: Boolean;

Description

The Release method release ownership of the mutex which was previously obtained by using one of the WaitXxx methods. Note that although only one thread can own a mutex at any time, a single thread can own the mutex multiple times by calling one of the WaitXxx methods multiple times. You must balance the calls to WaitXxx and Release, meaning you must call Release once for each time you call WaitXxx.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case, which is usually a result of not owning the mutex, you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclMutex Class


TJclOptex

Synchronization

Classes

TJclOptex

Optimized Mutex


TJclOptex Classes

TJclOptex

Classes

TJclOptex

Optimized Mutex


TJclOptex Class

Properties	Methods	Legend

Optimized Mutex

Pascal

TJclOptex = class(TObject);

Description

Optex stands for Optimized Mutex. It's a synchronization object which holds middle ground between a Win32 Mutex and a Critical Section. It provides the speed and functionality similar to a critical section but has the additional property that it can be used across process boundaries (like a mutex). This code was originally written by Jeffrey Richter and is presented, and fully explained, in his excellent, must-have book "Programming applications for Microsoft Windows, 4th edition". This book was formerly titled "Advanced Windows". The Object Pascal class that is included in the JCL is almost a straight port from that code. Any bugs in this class were most likely introduced by these modifications or an incorrect port.

Donator

Marcel van Brakel

Group

TJclOptex

Legend

read only

Constructor

Unit

JclSynch


TJclOptex Class Properties

TJclOptex Class	Legend

Properties

 Existed

Returns whether the optex existed.

 Name

Name of the object.

SpinCount

Sets the spincount.

 UniProcess

Returns whether the optex can be shared between processes.


Legend

read only


TJclOptex Class Methods

TJclOptex Class	Legend

Methods

 Create

Creates an instance of the Optex class.

 Destroy

Destroys the Optex instance.

Enter

Enters the Optex.

Leave

Releases ownership of the optex.

TryEnter

Attempts to Enter the critical section.


Legend

Constructor


Legend

TJclOptex Class

Legend

read only

Constructor


TJclOptex Class Members

TJclOptex Class	Legend

Members

Properties

 Existed

Returns whether the optex existed.

 Name

Name of the object.

SpinCount

Sets the spincount.

 UniProcess

Returns whether the optex can be shared between processes.

Methods

 Create

Creates an instance of the Optex class.

 Destroy

Destroys the Optex instance.

Enter

Enters the Optex.

Leave

Releases ownership of the optex.

TryEnter

Attempts to Enter the critical section.


Legend

read only

Constructor


TJclOptex.Existed Property

TJclOptex Class

Returns whether the optex existed.

Pascal

property Existed: Boolean;

Description

The Existed property returns whether the Optex was newly created (Existed is False) or already existed during construction (Existed is True). In this latter case the Optex was already created by another process. This tells you only that the Optex existed during execution of the constructor. There is no way to find out whether another process still has the Optex open.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.Name Property

TJclOptex Class

Name of the object.

Pascal

property Name: string;

Description

The Name property returns the name of the Optex as specified in the constructor.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.SpinCount Property

TJclOptex Class

Sets the spincount.

Pascal

property SpinCount: Integer;

Description

The SpinCount property allows you to query the current value of the spincount of the optex or to set a new value. Note that the spincount value is shared between all processes that use the same optex. This is not True for distinct optex objects.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.UniProcess Property

TJclOptex Class

Returns whether the optex can be shared between processes.

Pascal

property UniProcess: Boolean;

Description

Returns whether the optex can be used in the process only or can be shared between processes. This is directly related to whether or not you specified a name for the optex during construction. If you specified a name, the optex can be shared and this property will be False, otherwise it will be True. Note that this tells you nothing about whether or not multiple processes are actually using the optex, only if they can.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.Create Constructor

TJclOptex Class

Creates an instance of the Optex class.

Pascal

constructor Create(const Name: string = ''; SpinCount: Integer = 4000);

Description

The Create constructor creates an instance of the Optex class. If you intend to use the optex in the current process only you should specify an empty string for the name parameter. If you want to share it between processes you must give the optex a name.

Parameters

const Name: string = ''

Name for the Optex. When you want to share the Optex between multiple processes you must give it a name. The second process can then open the Optex by calling Create with the same name.

SpinCount: Integer = 4000

The spincount for the optex object. Conceptually the optex will try to attempt ownership of the optex for SpinCount number of times when the Enter method is called. If the optex is still not available after these attempts the thread enters a wait state until the optex is released. On a single-processor system this parameter is ignored and the optex will use 0 internally. This means the optex will never spin before waiting on the kernel event. This makes sense since the optex could never be released while the thread was spinning (and thus monopolizing the processor). Note that the spincount is effective for all processes that use the same, named optex. If one process changes the spincount this takes effect in all the other processes immediately as well.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.Destroy Destructor

TJclOptex Class

Destroys the Optex instance.

Pascal

destructor Destroy; override;

Description

The Destroy destructor destroys the Optex instance for which it is called. If the Optex is shared between multiple processes only this instance is destroyed and other processes can continue to use the Optex.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.Enter Method

TJclOptex Class

Enters the Optex.

Pascal

procedure Enter;

Description

Enter attempts to get access to the optex, this is referred to as acquiring ownership of the optex. Only one thread can own the optex at any time. If the optex is currently owned by a different thread the function blocks until the critical section becomes free. After acquiring ownership of the optex you must release it as soon as you are done with it by calling the Leave method. Although only one thread can own the optex, a single thread can own the optex more than once. This means you can call Enter multiple times. However, calls to Enter and Leave must be balanced: you must call Leave for each time you call Enter. Note that if the process is running on a multiprocessor system and the optex is currently owned by anther thread, the Enter method spins in a loop SpinCount number of times, trying to acquire the optex. If the optex becomes available before the loop terminated the thread acquires the optex and returns. On a single-processor system the method only tries one time.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.Leave Method

TJclOptex Class

Releases ownership of the optex.

Pascal

procedure Leave;

Description

The Release method releases ownership of the optex previously acquired by a call to the Enter method. After a call to Release the optex is free to be acquired by a different thread. If you called Enter multiple times the optex will not be released until the last, balancing call to Release.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclOptex.TryEnter Method

TJclOptex Class

Attempts to Enter the critical section.

Pascal

function TryEnter: Boolean;

Description

TryEnter attempts to acquire ownership of the optex object. However, unlike the Enter method, this method immediately returns if the optex cannot be acquired the first time around.

Return Value

If ownership of the optex object is acquired the function returns True. If ownership could not be acquired because the optex was already owned by a different thread the function returns False. In this latter case you must take care not to call Release.

Donator

Marcel van Brakel

Class

TJclOptex Class


TJclSemaphore

Synchronization

Classes

TJclSemaphore

Wrapper for a Win32 Semaphore object.


TJclSemaphore Classes

TJclSemaphore

Classes

TJclSemaphore

Wrapper for a Win32 Semaphore object.


TJclSemaphore Class

Properties	Methods	Legend

Wrapper for a Win32 Semaphore object.

Pascal

TJclSemaphore = class(TJclDispatcherObject);

Description

TJclSemaphore is a wrapper for a Win32 Semaphore object.

Donator

Marcel van Brakel

Group

TJclSemaphore

Legend

read only

Constructor

Unit

JclSynch


TJclSemaphore Class Properties

TJclSemaphore Class	Legend

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.


Legend

read only


TJclSemaphore Class Methods

TJclSemaphore Class	Legend

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclSemaphore Class

 Create

Creates an instance of a TJclSemaphore object and the underlying Win32 semaphore object.

 Open

The Open constructor attempts to open the existing named semaphore specified with Name.

Release

Increases the semaphore's count.

ReleasePrev

Increases the semaphore's count.


Legend

Constructor


Legend

TJclSemaphore Class

Legend

read only

Constructor


TJclSemaphore Class Members

TJclSemaphore Class	Legend

Members

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclSemaphore Class

 Create

Creates an instance of a TJclSemaphore object and the underlying Win32 semaphore object.

 Open

The Open constructor attempts to open the existing named semaphore specified with Name.

Release

Increases the semaphore's count.

ReleasePrev

Increases the semaphore's count.


Legend

read only

Constructor


TJclSemaphore.Create Constructor

TJclSemaphore Class

Creates an instance of a TJclSemaphore object and the underlying Win32 semaphore object.

Pascal

constructor Create(SecAttr: PSecurityAttributes; Initial: Longint; Maximum: Longint; const Name: string);

Description

Creates an instance of a TJclSemaphore object and the underlying Win32 semaphore object.

Parameters

SecAttr: PSecurityAttributes

Pointer to a TSecurityAttributes record that specifies the security attributes of the new semaphore object such as whether it can be inherited. If you specify nil the Handle cannot be inherited and the semaphore receives a default security descriptor.

Initial: Longint

Initial count of the semaphore object. This value must be between 0 and Maximum (both inclusive). The state of a semaphore is signaled when its count is zero and nonsignaled otherwise. A successful wait operation on a semaphore decreases the count of the semaphore by one. The count is increased by a specified amount by using the Release method but cannot be increased beyond the specified Maximum.

Maximum: Longint

Maximum count of the semaphore object. Must be greater than 0.

const Name: string

Name of the semaphore object, can be empty. If a semaphore already exists on the system with the same name, the semaphore is opened with SEMAPHORE_ALL_ACCESS. If the semaphore cannot be opened the constructor fails by raising an EJclSemaphoreError exception. If no semaphore with the specified name exists, the semaphore is created with that name. If a named object already exists with the specified name but it is not a semaphore, the constructor fails by raising an EJclSemaphoreError exception.

Donator

Marcel van Brakel

Class

TJclSemaphore Class


TJclSemaphore.Open Constructor

TJclSemaphore Class

The Open constructor attempts to open the existing named semaphore specified with Name.

Pascal

constructor Open(Access: Cardinal; Inheritable: Boolean; const Name: string);

Description

Opens an existing, named semaphore. If the semaphore object does not exist, or the calling thread does not have sufficient access to open the semaphore object, the constructor fails by raising an EJclSemaphoreError exception.

Parameters

Access: Cardinal

Requested access to the semaphore object. This can be a combination of the following values:

Donator

Marcel van Brakel

Class

TJclSemaphore Class


TJclSemaphore.Release Method

See Also	TJclSemaphore Class

Increases the semaphore's count.

Pascal

function Release(ReleaseCount: Longint): Boolean;

Description

The Release method increases the count of the semaphore object by the specified amount, but never increases past the maximum count as specified during construction.

Parameters

ReleaseCount: Longint

The amount by which the semaphore's count should be increased. The value must be greater than 0. If the increase would cause the count to exceed the maximum the method fails (returns False) and the current count remains unchanged.

Return Value

If the function succeeds the result is True, otherwise the result is False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclSemaphore Class


See Also

ReleasePrev


TJclSemaphore.ReleasePrev Method

See Also	TJclSemaphore Class

Increases the semaphore's count.

Pascal

function ReleasePrev(ReleaseCount: Longint; var PrevCount: Longint): Boolean;

Description

The Release method increases the count of the semaphore object by the specified amount, but never increases past the maximum count as specified during construction.

Parameters

ReleaseCount: Longint

The amount by which the semaphore's count should be increased. The value must be greater than 0. If the increase would cause the count to exceed the maximum the method fails (returns False) and the current count remains unchanged.

var PrevCount: Longint

Receives the previous count of the semaphore, before the increase. If the function fails the value of this parameter is undefined.

Return Value

If the function succeeds the result is True, otherwise the result is False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Class

TJclSemaphore Class


See Also

Release


TJclWaitableTimer

Synchronization

Topics

TFNTimerAPCRoutine

Timer callback routine.

Classes

TJclWaitableTimer

Wrapper for a Win32 Waitable Timer object.


TJclWaitableTimer Classes

TJclWaitableTimer

Classes

TJclWaitableTimer

Wrapper for a Win32 Waitable Timer object.


Topics

TJclWaitableTimer

Topics

TFNTimerAPCRoutine

Timer callback routine.


TJclWaitableTimer Class

Properties	Methods	Legend

Wrapper for a Win32 Waitable Timer object.

Pascal

TJclWaitableTimer = class(TJclDispatcherObject);

Description

TJclWaitableTimer is a wrapper for a Win32 Waitable Timer object.

Donator

Marcel van Brakel

Group

TJclWaitableTimer

Legend

read only

Constructor

Unit

JclSynch


TJclWaitableTimer Class Properties

TJclWaitableTimer Class	Legend

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.


Legend

read only


TJclWaitableTimer Class Methods

TJclWaitableTimer Class	Legend

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclWaitableTimer Class

Cancel

Deactivates the waitable timer.

 Create

Creates an instance of a TJclWaitableTimer object and the underlying Win32 waitable timer object.

 Open

The Open constructor attempts to open the existing named waitable timer specified with Name.

SetTimer

Activates the timer.

SetTimerApc

Activates the timer.


Legend

Constructor


Legend

TJclWaitableTimer Class

Legend

read only

Constructor


TJclWaitableTimer Class Members

TJclWaitableTimer Class	Legend

Members

Properties

 Existed

Indicates whether the object existed.

 Handle

Handle to the dispatcher object being wrapped.

 Name

The name of the object.

Methods

 Attach

Attaches to an existing dispatcher object.

 Destroy

Disposes of the object instance.

SignalAndWait

Signals another object and then blocks until the object becomes signaled or the timeout expires.

WaitAlertable

WaitAlertable blocks until the object becomes signaled or the timeout expires.

WaitFor

Blocks until the object becomes signaled or the timeout expires.

WaitForever

Blocks until the object becomes signaled.

TJclWaitableTimer Class

Cancel

Deactivates the waitable timer.

 Create

Creates an instance of a TJclWaitableTimer object and the underlying Win32 waitable timer object.

 Open

The Open constructor attempts to open the existing named waitable timer specified with Name.

SetTimer

Activates the timer.

SetTimerApc

Activates the timer.


Legend

read only

Constructor


TJclWaitableTimer.Cancel Method

TJclWaitableTimer Class

Deactivates the waitable timer.

Pascal

function Cancel: Boolean;

Description

The Cancel method stops the timer before it can be set to the signaled state and cancels any outstanding APC's. Threads that are waiting on the timer remain waiting until the timer is reactivated with SetTimer. If the Timer is already in the signaled state it remains signaled.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case you can call GetLastError to get extended error information.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclWaitableTimer Class


TJclWaitableTimer.Create Constructor

TJclWaitableTimer Class

Creates an instance of a TJclWaitableTimer object and the underlying Win32 waitable timer object.

Pascal

constructor Create(SecAttr: PSecurityAttributes; Manual: Boolean; const Name: string);

Description

Creates an instance of a TJclWaitableTimer object and the underlying Win32 waitable timer object.

Parameters

SecAttr: PSecurityAttributes

Pointer to a TSecurityAttributes record that specifies the security attributes of the new waitable timer object such as whether it can be inherited. If you specify nil the Handle cannot be inherited and the waitable timer receives a default security descriptor.

Manual: Boolean

If True the timer acts as a manual-reset notification timer. If False the timer acts as a synchronization timer.

const Name: string

Name of the waitable timer object, can be empty. If a waitable timer already exists on the system with the same name, the waitable timer is opened with TIMER_ALL_ACCESS. If the waitable timer cannot be opened the constructor fails by raising an EJclWaitableTimerError exception. If no waitable timer with the specified name exists, the waitable timer is created with that name. If a named object already exists with the specified name but it is not a waitable timer, the constructor fails by raising an EJclWaitableTimerError exception.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclWaitableTimer Class


TJclWaitableTimer.Open Constructor

TJclWaitableTimer Class

The Open constructor attempts to open the existing named waitable timer specified with Name.

Pascal

constructor Open(Access: Cardinal; Inheritable: Boolean; const Name: string);

Description

Opens an existing, named waitable timer. If the waitable timer object does not exist, or the calling thread does not have sufficient access to open the waitable timer object, the constructor fails by raising an EJclWaitableTimerError exception.

Parameters

Access: Cardinal

Requested access to the timer object. This can be a combination of the following values:

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclWaitableTimer Class


TJclWaitableTimer.SetTimer Method

TJclWaitableTimer Class

Activates the timer.

Pascal

function SetTimer(const DueTime: Int64; Period: Longint; Resume: Boolean): Boolean;

Description

The SetTimer method activates the timer. When the DueTime arrives the timer is set to the signaled state and threads waiting for the timer using one of the WaitXxx functions become eligible for execution. If the timer was already active (in its signaled state) the timer is reactivated with the new parameters without releasing any waiting threads.

Parameters

const DueTime: Int64

Specifies when the timer becomes signaled. A positive value indicates an absolute time in UTC and TFileTime format (you must convert a time expressed in UTC from a TFileTime to an Int64). A negative value indicates a relative time in 100 nanosecond intervals.

Period: Longint

Period of the timer in milliseconds. A 0 period causes the timer to become signaled only once while a value greater than 0 causes the timer to periodically become signaled. Note that a periodic manual-reset timer remains in the signaled state until it is explicitly reset.

Resume: Boolean

Specifies whether to restore a system in suspended power conservation mode when the timer state is set to signaled.

Return Value

If the function succeeds the result is True, otherwise it is False. In the latter case you can call GetLastError to get extended error information. Note that if you set Resume to True on a platform which doesn't support this, the method succeeds (returns True) but calling GetLastError will return ERROR_NOT_SUPPORTED.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclWaitableTimer Class


TJclWaitableTimer.SetTimerApc Method

TJclWaitableTimer Class

Activates the timer.

Pascal

function SetTimerApc(const DueTime: Int64; Period: Longint; Resume: Boolean; Apc: TFNTimerAPCRoutine; Arg: Pointer): Boolean;

Description

The SetTimerApc method activates the timer. When the DueTime arrives the timer is set to the signaled state and threads waiting for the timer using one of the WaitXxx functions become eligible for execution. Additionally the specified Apc routine is called in the context of the thread that called SetTimerApc. If the timer was already active (in its signaled state) the timer is reactivated with the new parameters without releasing any waiting threads. Count=5 1=DueTime:Int64=Specifies when the timer becomes signaled. A positive value indicates an absolute time in UTC and TFileTime format (you must convert a time expressed in UTC from a TFileTime to an Int64). A negative value indicates a relative time in 100 nanosecond intervals. 2=Period:Longint=Period of the timer in milliseconds. A 0 period causes the timer to become signaled only once while a value greater than 0 causes the timer to periodically become signaled. Note that a periodic manual-reset timer remains in the signaled state until it is explicitly reset. 3=Resume:Boolean=Specifies whether to restore a system in suspended power conservation mode when the timer state is set to signaled. 4=Apc:TFNTimerAPCRoutine=Application defined completion routine which is called when the timer becomes signaled. 5=Arg:Pointer=Application defined value which is passed to the completion routine.

Return Value

If the function succeeds the result is True, otherwise it is False. In the latter case you can call GetLastError to get extended error information. Note that if you set Resume to True on a platform which doesn't support this, the method succeeds (returns True) but calling GetLastError will return ERROR_NOT_SUPPORTED.

Donator

Marcel van Brakel

Contributors

Anonymous

Class

TJclWaitableTimer Class


TFNTimerAPCRoutine

See Also

Timer callback routine.

Description

TFNTimerAPCRoutine is used as the callback routine for waitable timers. The procedure is executed when the waitable timer becomes signaled in the context of the thread that activated the timer using the SetTimer or SetTimerApc method. However, that thread must be in an alertable state or the completion routine will be cancelled.

Parameters

Arg

Application defined value as passed to SetTimerApc.

TimerLow

Low order 32-bits of the UTC based time when the timer was signaled. This value corresponds to the dwLowDateTime value of a TFileTime record.

High order 32-bits of the UTC based time when the timer was signaled. This value corresponds to the dwHighDateTime value of a TFileTime record.

Donator

Marcel van Brakel

Group

TJclWaitableTimer


See Also

..MethodsSetTimerApc


Application Instance Management

Libraries, Processes and Threads

Classes

TJclAppInstances

TJclAppInstances allows you to control the number of application instances the user can run.

Constants

AI_INSTANCECREATED

WParam field for instance creation notifications

AI_INSTANCEDESTROYED

WParam field for instance destruction notifications

AI_USERMSG

WParam field for user-defined notification messages.

Functions

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

ReadMessageCheck

Determines the type of message.

ReadMessageData

Returns the data from a JclAppInstance IPC message.

ReadMessageString

Returns the data string from a JclAppInstance IPC message.

ReadMessageStrings

Returns the data string list from a JclAppInstance IPC message.


Application Instance Management Constants

Application Instance Management

Constants

AI_INSTANCECREATED

WParam field for instance creation notifications

AI_INSTANCEDESTROYED

WParam field for instance destruction notifications

AI_USERMSG

WParam field for user-defined notification messages.


Application Instance Management Classes

Application Instance Management

Classes

TJclAppInstances

TJclAppInstances allows you to control the number of application instances the user can run.


Application Instance Management Functions

Application Instance Management

Functions

JclAppInstances

Returns an instance of the TJclAppInstances class, creating one if necessary.

ReadMessageCheck

Determines the type of message.

ReadMessageData

Returns the data from a JclAppInstance IPC message.

ReadMessageString

Returns the data string from a JclAppInstance IPC message.

ReadMessageStrings

Returns the data string list from a JclAppInstance IPC message.


AI_INSTANCECREATED Constant

See Also

WParam field for instance creation notifications

Pascal

AI_INSTANCECREATED = $0001;

Description

When an application instance is created TJclAppInstances sends a notification message to all other running instances. The message value is determined by the MessageId property, the WParam field is set to AI_INSTANCECREATED, and the LParam field is set to the Process ID of the instance being created. Note that the message is also sent to the application instance under construction.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

AI_INSTANCEDESTROYED AI_USERMSG


AI_INSTANCEDESTROYED Constant

See Also

WParam field for instance destruction notifications

Pascal

AI_INSTANCEDESTROYED = $0002;

Description

When an application instance is destroyed TJclAppInstances sends a notification message to all other running instances. The message value is determined by the MessageId property, the WParam field is set to AI_INSTANCEDESTROYED, and the LParam field is set to the Process ID of the instance being destroyed. Note that the message is also sent to the application instance which is exiting.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

AI_INSTANCECREATED AI_USERMSG


AI_USERMSG Constant

See Also

WParam field for user-defined notification messages.

Pascal

AI_USERMSG = $0003;

Description

When an application uses the UserNotify method of TJclAppInstances the class sends a message to all running instances with a message value determined by the MessageID property, WParam set to AI_USERMSG and LParam set to the parameter specified in the method call.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

AI_INSTANCECREATED AI_INSTANCEDESTROYED


TJclAppInstances Class

Properties	Methods	Legend

TJclAppInstances allows you to control the number of application instances the user can run.

Pascal

TJclAppInstances = class(TObject);

Description

TJclAppInstances is a class which allows you to control the number of instances of your application that the user can run simultaneously. In addition the class has a built in method for simple communication among running instances. The application programmer can use this as desired but it's also used to send notifications. For example, when an application starts running or terminates, the class automatically sends a notification about this event to all other instances. To use TJclAppInstances include JclAppInst and somewhere during start up (eg in the project source before the Application.Initialize call) call JclAppInstances.CheckInstance(X) or JclAppInstances.CheckSingleInstance. The first call determines whether or not at most X instances are already running, but does nothing else, while the second call immediately terminates the application when another instance is already running.

To receive notifications you must override the WndProc of your main form and include the following code (or something along those lines):

  procedure TForm1.WndProc(var Msg: TMessage);

begin

if Msg.Msg = JclAppInstances.MessageId then

  case Msg.WParam of

    AI_INSTANCECREATED: [another instance was created]

    AI_INSTANCEDESTROYED: [another instance was destroyed]

    AI_USERMSG: [user defined message (UserNotify)]

  end;

inherited WndProc(Msg);

end;

Note that in both instance creation and instance destruction the Msg.LParam field contains the process ID of the affected instance (which could be the instance itself). Also, notifications as well as user messages are sent to both the main form and to the application message queue. Therefore instead of overriding WndProc you could have also used the TApplication.OnMessage event.

Donator

Petr Vones

Group

Application Instance Management

Legend

read only

Constructor

protected

Unit

JclAppInst


TJclAppInstances Class Properties

TJclAppInstances Class	Legend

Properties

 AppWnds

Returns the HWND of a specific application index.

 InstanceCount

Returns the number of application instances.

 InstanceIndex

Returns the index into the ProcessIDs array for a process.

 MessageID

Returns the message ID used for sending notification messages.

 ProcessIDs

Process IDs of all application instances which are sharing the TJclAppInstances.


Legend

read only


TJclAppInstances Class Methods

TJclAppInstances Class	Legend

Methods

BringAppWindowToFront

Brings the specified window to the foreground.

CheckInstance

Check the number of running instances.

CheckMultipleInstances

Check the number of running instances.

CheckSingleInstance

Checks whether this is the one and only running instance.

 Create

 Destroy

GetApplicationWnd

Returns a handle to the application window of a process.

 InitData

KillInstance

Terminates the application.

 NotifyInstances

 RemoveInstance

SendCmdLineParams

SendData

Sends data to all instances.

SendString

Sends a string to all instances.

SendStrings

Sends a list of string to all instances.

SetForegroundWindow98

Brings the specified window to the foreground.

SwitchTo

SwitchTo brings the application determined by ProcessIDs[Index] to the foreground.

UserNotify

Sends a user defined message to all running instances.


Legend

Constructor

protected


Legend

TJclAppInstances Class

Legend

read only

Constructor

protected


TJclAppInstances Class Members

TJclAppInstances Class	Legend

Members

Properties

 AppWnds

Returns the HWND of a specific application index.

 InstanceCount

Returns the number of application instances.

 InstanceIndex

Returns the index into the ProcessIDs array for a process.

 MessageID

Returns the message ID used for sending notification messages.

 ProcessIDs

Process IDs of all application instances which are sharing the TJclAppInstances.

Methods

BringAppWindowToFront

Brings the specified window to the foreground.

CheckInstance

Check the number of running instances.

CheckMultipleInstances

Check the number of running instances.

CheckSingleInstance

Checks whether this is the one and only running instance.

 Create

 Destroy

GetApplicationWnd

Returns a handle to the application window of a process.

 InitData

KillInstance

Terminates the application.

 NotifyInstances

 RemoveInstance

SendCmdLineParams

SendData

Sends data to all instances.

SendString

Sends a string to all instances.

SendStrings

Sends a list of string to all instances.

SetForegroundWindow98

Brings the specified window to the foreground.

SwitchTo

SwitchTo brings the application determined by ProcessIDs[Index] to the foreground.

UserNotify

Sends a user defined message to all running instances.


Legend

read only

Constructor

protected


TJclAppInstances.AppWnds Property

See Also	TJclAppInstances Class

Returns the HWND of a specific application index.

Pascal

property AppWnds [Index: Integer]: THandle;

Description

Use the AppWnds property to determine the handle of the invisible window created by one of the application instances. Index is zero based and determines for which application instance a handle is returned. It can be at most InstanceCount - 1 and selects one of the application instances from the ProcessIDs property.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

InstanceCount ProcessIDs


TJclAppInstances.InstanceCount Property

See Also	TJclAppInstances Class

Returns the number of application instances.

Pascal

property InstanceCount: Integer;

Description

The InstanceCount property returns the number of application instances that registered with the TJclAppInstances. Among others you can use this to determine the highest valid index into the ProcessIDs array property.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

ProcessIDs AppWnds


TJclAppInstances.InstanceIndex Property

See Also	TJclAppInstances Class

Returns the index into the ProcessIDs array for a process.

Pascal

property InstanceIndex [ProcessID: DWORD]: Integer;

Description

Read the InstanceIndex property to determine the zero based index into the ProcessIDs array property of a specific application instance. The array index is the process ID of the application instance for which you want to know the index. Upon failure the property reads -1.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

ProcessIDs


TJclAppInstances.MessageID Property

TJclAppInstances Class

Returns the message ID used for sending notification messages.

Pascal

property MessageID: DWORD;

Description

Read MessageId to learn the message ID used by TJclAppInstances to send notification messages (ie instance creation and destruction).

Donator

Petr Vones

Class

TJclAppInstances Class


TJclAppInstances.ProcessIDs Property

See Also	TJclAppInstances Class

Process IDs of all application instances which are sharing the TJclAppInstances.

Pascal

property ProcessIDs [Index: Integer]: DWORD;

Description

The ProcessIDs array property contains the process IDs of all application instances which are sharing the TJclAppInstances. In effect it contains the process IDs of all running instances. The array is zero based and the highest valid index is given by InstanceCount property. If an invalid index is specified the property reads 0. Note that it is possible that in between reading InstanceCount and ProcessIDs, or reading ProcessIDs and it, an instance terminates thereby invalidating the process ID. Always check the result before and after using the returned process ID.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

InstanceCount AppWnds InstanceIndex


TJclAppInstances.BringAppWindowToFront Method

See Also	TJclAppInstances Class

Brings the specified window to the foreground.

Pascal

class function BringAppWindowToFront(const Wnd: THandle): Boolean;

Description

BringAppWindowToFront puts the thread that created the specified window to the foreground and activates the window. Keyboard input is directed to the window, and various visual cues are changed for the user. The system assigns a slightly higher priority to the thread that created the foreground window than it does to other threads (from the Platform SDK).

Parameters

const Wnd: THandle

Handle of the window to bring to the foreground.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

SetForegroundWindow98


TJclAppInstances.CheckInstance Method

See Also	TJclAppInstances Class

Check the number of running instances.

Pascal

function CheckInstance(const MaxInstances: Word): Boolean;

Description

CheckInstance determines whether fewer than MaxInstances application instances are running. If this is true, the process is registered as a running instance and a notification is sent to all other running instances, otherwise the function does nothing. Note that unlike CheckSingleInstance, the application is not terminated and none of the already running instances is brought to the foreground. It's up to the application programmer to decide what to do if the function fails. You could, for example, terminate the application yourself by calling KillInstance.

Return Value

If fewer than MaxInstances applications are running the result is True, otherwise the result is False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

CheckSingleInstance CheckMultipleInstances KillInstance


TJclAppInstances.CheckMultipleInstances Method

See Also	TJclAppInstances Class

Check the number of running instances.

Pascal

procedure CheckMultipleInstances(const MaxInstances: Word);

Description

CheckMultipleInstances determines whether fewer than MaxInstances application instances are running. If this is true, the process is registered as a running instance and a notification is sent to all other running instances, otherwise the method brings the first instance of the application to the foreground and then terminates itself (as such the routine never returns).

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

CheckSingleInstance CheckInstance KillInstance


TJclAppInstances.CheckSingleInstance Method

See Also	TJclAppInstances Class

Checks whether this is the one and only running instance.

Pascal

procedure CheckSingleInstance;

Description

CheckSingleInstance checks whether the caller is the only instance of this process. If it's not, the application is immediately terminated and the existing instance of the process is brought into the foreground.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

CheckInstance


TJclAppInstances.Create Constructor

TJclAppInstances Class

constructor Create;

Class

TJclAppInstances Class


TJclAppInstances.Destroy Destructor

TJclAppInstances Class

destructor Destroy; override;

Class

TJclAppInstances Class


TJclAppInstances.GetApplicationWnd Method

TJclAppInstances Class

Returns a handle to the application window of a process.

Pascal

class function GetApplicationWnd(const ProcessID: DWORD): THandle;

Description

Returns a handle to the invisible window created by the process with the specified ProcessID.

Parameters

const ProcessID: DWORD

Process ID of the application for which you want to retrieve a handle to the application window. This specified application must be a Delphi application otherwise the function fails.

Return Value

If the function succeeds it returns the requested handle, otherwise it returns 0.

Donator

Petr Vones

Class

TJclAppInstances Class


TJclAppInstances.InitData Method

TJclAppInstances Class

procedure InitData;

Class

TJclAppInstances Class


TJclAppInstances.KillInstance Method

TJclAppInstances Class

Terminates the application.

Pascal

class procedure KillInstance;

Description

KillInstance terminates the application by calling Halt.

Donator

Petr Vones

Class

TJclAppInstances Class


TJclAppInstances.NotifyInstances Method

TJclAppInstances Class

procedure NotifyInstances(const W: Longint; const L: Longint);

Class

TJclAppInstances Class


TJclAppInstances.RemoveInstance Method

TJclAppInstances Class

procedure RemoveInstance;

Class

TJclAppInstances Class


TJclAppInstances.SendCmdLineParams Method

TJclAppInstances Class

function SendCmdLineParams(const WindowClassName: string; const OriginatorWnd: THandle): Boolean;

Class

TJclAppInstances Class


TJclAppInstances.SendData Method

See Also	TJclAppInstances Class

Sends data to all instances.

Pascal

function SendData(const WindowClassName: string; const DataKind: TJclAppInstDataKind; Data: Pointer; const Size: Integer; OriginatorWnd: THandle): Boolean;

Description

SendData sends some generic data to all instances of this application. The data is send using a WM_COPYDATA message directed at the window whose classname equals the WindowClassName parameter.

Parameters

const WindowClassName: string

The class name of the Window to send the data to.

const DataKind: TJclAppInstDataKind

User defined value to identify the type of data being send. Note that you cannot specify AppInstDataKindNoData (defined as -1) as this parameter.

Data: Pointer

The data to be send.

const Size: Integer

The size, in bytes, of the data pointed to by Data.

OriginatorWnd: THandle

Handle of the window from which the message is send.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

SendString SendStrings


TJclAppInstances.SendString Method

See Also	TJclAppInstances Class

Sends a string to all instances.

Pascal

function SendString(const WindowClassName: string; const DataKind: TJclAppInstDataKind; const S: string; OriginatorWnd: THandle): Boolean;

Description

SendString sends a string to all instances of this application. The string is send using a WM_COPYDATA message directed at the window whose classname equals the WindowClassName parameter.

Parameters

const WindowClassName: string

The class name of the Window to send the data to.

const DataKind: TJclAppInstDataKind

User defined value to identify the type of data being send. Note that you cannot specify AppInstDataKindNoData (defined as -1) as this parameter.

const S: string

The string to send.

OriginatorWnd: THandle

Handle of the window from which the message is send.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

SendData SendStrings


TJclAppInstances.SendStrings Method

See Also	TJclAppInstances Class

Sends a list of string to all instances.

Pascal

function SendStrings(const WindowClassName: string; const DataKind: TJclAppInstDataKind; const Strings: TStrings; OriginatorWnd: THandle): Boolean;

Description

SendStrings sends a list of strings to all instances of this application. The strings are send using a WM_COPYDATA message directed at the window whose classname equals the WindowClassName parameter.

Parameters

const WindowClassName: string

The class name of the Window to send the data to.

const DataKind: TJclAppInstDataKind

User defined value to identify the type of data being send. Note that you cannot specify AppInstDataKindNoData (defined as -1) as this parameter.

const Strings: TStrings

The string list to send.

OriginatorWnd: THandle

Handle of the window from which the message is send.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

SendData SendString


TJclAppInstances.SetForegroundWindow98 Method

See Also	TJclAppInstances Class

Brings the specified window to the foreground.

Pascal

class function SetForegroundWindow98(const Wnd: THandle): Boolean;

Description

SetForegroundWindow98 puts the thread that created the specified window to the foreground and activates the window. Keyboard input is directed to the window, and various visual cues are changed for the user. The system assigns a slightly higher priority to the thread that created the foreground window than it does to other threads (from the Platform SDK).

Parameters

const Wnd: THandle

Handle of the window to bring into the foreground.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


See Also

BringAppWindowToFront


TJclAppInstances.SwitchTo Method

TJclAppInstances Class

SwitchTo brings the application determined by ProcessIDs[Index] to the foreground.

Pascal

function SwitchTo(const Index: Integer): Boolean;

Description

SwitchTo brings the application determined by ProcessIDs[Index] to the foreground.

Parameters

const Index: Integer

Zero based index into the ProcessIDs array property of the instance to switch to.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Petr Vones

Class

TJclAppInstances Class


TJclAppInstances.UserNotify Method

TJclAppInstances Class

Sends a user defined message to all running instances.

Pascal

procedure UserNotify(const Param: Longint);

Description

UserNotify sends a notification message to all running instances with WParam set to AI_USERMSG and LParam set to the specified parameter.

Donator

Petr Vones

Class

TJclAppInstances Class


JclAppInstances Function

Returns an instance of the TJclAppInstances class, creating one if necessary.

Pascal

function JclAppInstances: TJclAppInstances; overload;
function JclAppInstances(const UniqueAppIdGuidStr: string): TJclAppInstances; overload;

Description

The JclAppInstances function returns an instance of the TJclAppInstances class, creating one if necessary. The parameterless overload creates a TJclAppInstances whose internal name is based on the process name itself while the overload with the UniqueAppIdGuidStr parameter alllows you to customize the internal name to ensure uniqueness.

Parameters

const UniqueAppIdGuidStr: string

A user defined string used to customize naming of internal objects to ensure system wide uniqueness. It's recommended you use an actual GUID.

Return Value

Returns an instance of the TJclAppInstances class which allows you to further control other instances of the application and communicate with them. See the documentation of TJclAppInstance for more detail on using the TJclAppInstances class.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


ReadMessageCheck Function

See Also

Determines the type of message.

Pascal

function ReadMessageCheck(var Message: TMessage; const IgnoredOriginatorWnd: THandle): TJclAppInstDataKind;

Description

ReadMessageCheck determines whether the specified message is a JclAppInstance IPC message and returns it's data kind. Use the IgnoredOriginatorWnd to filter message send by the same window as the routine is being called from. Call this routine from an overridden WndProc, for example. See the AppInstance demo application for an example usage.

Parameters

var Message: TMessage

The message to check (equals the single parameter of the WndProc).

const IgnoredOriginatorWnd: THandle

Specify the handle of the window to filter. If the message was send from that same window, the function returns False.

Return Value

If the message contains was not send from the window specified by the IgnoredOriginatorWnd window, the functon returns the data kind value of the message, otherwise it returns False.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

JclReadMessageData JclReadMessageString JclReadMessageStrings


ReadMessageData Function

See Also

Returns the data from a JclAppInstance IPC message.

Pascal

procedure ReadMessageData(const Message: TMessage; var Data: Pointer; var Size: Integer);

Description

ReadMessageData returns the data encapsulated in the message which is assumed to be a JclAppInstance IPC message send by one of the TJclAppInstance.SendXxx methods. You can use ReadMessageCheck to determine the kind of data the message contains.

Parameters

const Message: TMessage

The message to extract the data from.

var Data: Pointer

Returns the data buffer. This buffer is allocated by the function and must be released by the caller.

var Size: Integer

Returns the size of the data buffer.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

ReadMessageCheck ReadMessageString ReadMessageStrings


ReadMessageString Function

See Also

Returns the data string from a JclAppInstance IPC message.

Pascal

procedure ReadMessageString(const Message: TMessage; var S: string);

Description

ReadMessageString returns the data string encapsulated in the message which is assumed to be a JclAppInstance IPC message send by one of the TJclAppInstance.SendXxx methods.

Parameters

const Message: TMessage

The message from which to extract the string data.

var S: string

Returns the string data.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

ReadMessageCheck ReadMessageData ReadMessageStrings


ReadMessageStrings Function

See Also

Returns the data string list from a JclAppInstance IPC message.

Pascal

procedure ReadMessageStrings(const Message: TMessage; const Strings: TStrings);

Description

ReadMessageString returns the data string list encapsulated in the message which is assumed to be a JclAppInstance IPC message send by one of the TJclAppInstance.SendXxx methods.

Parameters

const Message: TMessage

The message from which to extract the string list.

const Strings: TStrings

Returns the string list data. The caller must supply a valid instance of a TStrings derived class. Existing items in the list are removed.

Donator

Petr Vones

Group

Application Instance Management

Unit

JclAppInst


See Also

ReadMessageCheck ReadMessageData ReadMessageString


Math Routines

JEDI Code Library

Topics

Constants used in JclMath

Complex numbers

Conversion

CRC

The CRC method used here is a quite "native" translation of a hardware CRC generator to software. The data array is interpreted as a bit stream with Byte 0 Bit 7 sent first. Mathematically when calculating an m-Bit CRC on a n Byte data-array, this is like calculating the "modulus" of an an 8*n + m Bit word, Byte 0 bit 7 of the array being the most significant Bit, m Zero Bits added to the end of the array. To check the CRC the Zero Bits are replaced by the CRC to be checked, thus the CRC forming the... more

Exponential

Float support

Hardware

Hyperbolic

Logarithmic

Miscellaneous

Statistics

Transcendental


Topics

Math Routines

Topics

Constants used in JclMath

Complex numbers

Conversion

CRC

The CRC method used here is a quite "native" translation of a hardware CRC generator to software. The data array is interpreted as a bit stream with Byte 0 Bit 7 sent first. Mathematically when calculating an m-Bit CRC on a n Byte data-array, this is like calculating the "modulus" of an an 8*n + m Bit word, Byte 0 bit 7 of the array being the most significant Bit, m Zero Bits added to the end of the array. To check the CRC the Zero Bits are replaced by the CRC to be checked, thus the CRC forming the... more

Exponential

Float support

Hardware

Hyperbolic

Logarithmic

Miscellaneous

Statistics

Transcendental


Constants used in JclMath

The JCL provides many mathematical constants. Some to speed up a function and some just because they are common within math calculations. All these constants are provided with the greatest possible precision.

constant name	Description	Value
Cbrt2	CubeRoot (2)	1.2599210498948731647672106072782
Cbrt3	CubeRoot (3)	1.4422495703074083823216383107801
Cbrt10	CubeRoot (10)	2.1544346900318837217592935665194
Cbrt100	CubeRoot (100)	4.6415888336127788924100763509194
CbrtPi	CubeRoot (PI)	1.4645918875615232630201425272638
PiOn2	PI / 2	1.5707963267948966192313216916398
PiOn3	PI / 3	1.0471975511965977461542144610932
PiOn4	PI / 4	0.78539816339744830961566084581988
Sqrt2	Sqrt (2)	1.4142135623730950488016887242097
Sqrt3	Sqrt (3)	1.7320508075688772935274463415059
Sqrt5	Sqrt (5)	2.2360679774997896964091736687313
Sqrt10	Sqrt (10)	3.1622776601683793319988935444327
SqrtPi	Sqrt (PI)	1.7724538509055160272981674833411
Sqrt2Pi	Sqrt (2 * PI)	2.506628274631000502415765284811
TwoPi	2 * PI	6.283185307179586476925286766559;
ThreePi	3 * PI	9.4247779607693797153879301498385
Ln2	Ln(2)	0.69314718055994530941723212145818
Ln10	Ln(10)	2.3025850929940456840179914546844
LnPi	Ln(PI)	1.1447298858494001741434273513531
Log2	Log10(2)	0.30102999566398119521373889472449
Log3	Log10(3)	0.47712125471966243729502790325512
LogPi	Log10(PI)	0.4971498726941338543512682882909
LogE	Log10(E)	0.43429448190325182765112891891661
E	Natural constant	2.7182818284590452353602874713527
hLn2Pi	Ln(2*PI)/2	0.91893853320467274178032973640562
inv2Pi	0.5 / Pi	0.159154943091895
TwoToPower63	2^63	9223372036854775808.0
MaxAngle		Depends on selected float data type.
MaxTanH		Depends on selected float data type.
MaxFactorial		Depends on selected float data type.
MaxFloatingPoint		Depends on selected float data type.
MinFloatingPoint		Depends on selected float data type.
Group

Math Routines


Complex numbers

Legend

Math Routines

Topics

TJclComplex

Enumerations

 TComplexKind

Enumeration specifies the way of representing a complex number using either rectangular representation or polar coordinates.

Legend

Enumeration


Complex numbers Enumerations

Complex numbers	Legend

Enumerations

 TComplexKind

Enumeration specifies the way of representing a complex number using either rectangular representation or polar coordinates.


Legend

Enumeration


Topics

Complex numbers

Topics

TJclComplex


Legend

Complex numbers

Legend

Enumeration


TComplexKind Enumeration

Enumeration specifies the way of representing a complex number using either rectangular representation or polar coordinates.

Pascal

TComplexKind = (
  crRectangular,
  crPolar
);

Description

Enumeration specifies the way of representing a complex number using either rectangular representation or polar coordinates.

crRectangular

the parameters specified in a constructor or any other method are of the rectangular representation.

crPolar

the parameters specified in a constructor or any other method represent the number in polar coordinates.

Donator

Alexei Koudinov

Group

Complex numbers

Unit

JclComplex


TJclComplex

Complex numbers

Classes

TJclComplex

TJclComplex implements various operations with complex numbers.


TJclComplex Classes

TJclComplex

Classes

TJclComplex

TJclComplex implements various operations with complex numbers.


TJclComplex Class

Properties	Methods	Legend

TJclComplex implements various operations with complex numbers.

Pascal

TJclComplex = class(TObject);

Description

TJclComplex is designated to provide complex numbers computations for your applications. It supports both rectangular and polar number representations. All the operations are divided into groups as follows:

basic arithmetics;

natural logarithmic and exponential functions;

trigonometric functions;

hyperbolic trigonometric functions;

complex Bessel functions;

various miscellaneous routines.

All the methods could be used in two ways. Firstly you can use the methods with the prefix "C", like CAdd or CLn to perform the operation over the object itself, i.e. after using such methods the value of the object itself will be changed. Using these methods gives you the opportunity to use quite a convenient method of coding the sequential calculations like this: MyComplex.Add(4,3).Mul(2,5).Ln.AsString; The other way is two use the subset of methods with "CNew" prefix. They do the same computations but as the result they create a new object of TComplex type. It might be useful in situations when you'd like to remain your object intact and get the result in a separate object. Please note that such an approach requires a very attentive coding style when you need to destroy every object after every "CNew*" method invocation.

Donator

Alexei Koudinov

Group

TJclComplex

Legend

read only

protected

Constructor

Unit

JclComplex


TJclComplex Class Properties

TJclComplex Class	Legend

Properties

 Angle

Specifies the value of the angle in polar coordinates representation of the complex number, i.e. theta value in the pair of (r;theta).

AsPolarString

AsPolarString converts the value of the complex number to a string with a pair of complex number's polar coordinates.

AsString

AsString converts the value of the complex number to a string.

FracLength

Determines the precision used in formatting the value of the complex number.

 ImaginaryPart

Specifies the value of the imaginary part of the complex number i.e. Y value in the pair of (X;Y).

 Radius

Specifies the value of the radius in polar coordinates representation i.e. r value in the pair of (r;theta).

 RealPart

Specifies the value of the real part of the complex number i.e. X value in the pair of (X;Y).


Legend

read only


TJclComplex Class Methods

TJclComplex Class	Legend

Methods

AbsoluteValue

AbsoluteValueSqr

Assign

Assign the value of (X;Y) to the complex number object using ComplexType representation.

AssignOne

Assign the value of (1;0) to the complex number object.

AssignZero

Assign the value of (0;0) to the complex number object.

CAdd

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object.

CApproxLnGamma

CConjugate

Transform the value of the calling object of TJclComplex type into a conjugated complex number value.

CCos

Evaluates the cosine of the value of the current complex number object.

CCosH

Evaluates the hyperbolic cosine of the value of the current complex number object.

CCot

Evaluates the cotangent of the value of the current complex number object.

CCotH

Evaluates the hyperbolic cotangent of the value of the current complex number object.

CCsc

Evaluates the cosecant of the value of the current complex number object.

CCscH

Evaluates the hyperbolic cosecant of the value of the current complex number object.

CDiv

Divide the value of the current complex number object by the value given by DivValue or X and Y parameters.

CExp

Evaluates the exponential curve for the value of the current complex number object.

CGamma

CI0

CIntPwr

Raise the value of the current complex number object to the Pwr power that is represented by an integer value.

CJ0

CLn

Evaluates the natural logarithm of the value of the current complex number object.

CLnGamma

CMul

Multiply the value of the current complex number object by the value given by MulValue or X and Y parameters.

CNeg

Multiply the current value of the complex number object by a complex negative one.

CNewAdd

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object and creates a new resulting object of TJclComplex type.

CNewApproxLnGamma

CNewConjugate

Transforms the value of the calling object of TJclComplex type into a conjugated complex number value and creates a new resulting complex number object.

CNewCos

Evaluates the cosine of the value of the current complex number object and creates a new resulting complex number object.

CNewCosH

Evaluates the hyperbolic cosine of the value of the current complex number object and creates a new resulting complex number object.

CNewCot

Evaluates the cotangent of the value of the current complex number object and creates a new resulting complex number object.

CNewCotH

Evaluates the hyperbolic cotangent of the value of the current complex number object and creates a new resulting complex number object.

CNewCsc

Evaluates the cosecant of the value of the current complex number object and creates a new resulting complex number object.

CNewCscH

Evaluates the hyperbolic cosecant of the value of the current complex number object and creates a new resulting complex number object.

CNewDiv

Divides the value of the current complex number object by the value given by DivValue or X and Y parameters and creates a new resulting object of TJclComplex type.

CNewExp

Evaluates the exponential curve for the value of the current complex number object and creates a new resulting complex number object.

CNewGamma

CNewI0

CNewIntPwr

Raises the value of the current complex number object to the Pwr power that is represented by an integer value and creates a new resulting complex number object.

CNewJ0

CNewLn

Evaluates the natural logarithm of the value of the current complex number object and creates a new resulting complex number object.

CNewLnGamma

CNewMul

Multiplies the value of the current complex number object by the value given by MulValue or X and Y parameters and creates a new resulting object of TJclComplex type.

CNewNeg

Multiplies the current value of the complex number object by a complex negative one and creates a new resulting complex number object.

CNewPwr

Raises the value of the current complex number object to the PwrValue power and creates a new resulting complex number object.

CNewRealPwr

Raises the value of the current complex number object to the Pwr power that is represented by a floating-point value and creates a new resulting complex number object.

CNewRoot

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1 and creates a new resulting complex number object.

CNewSec

Evaluates the secant of the value of the current complex number object and creates a new resulting complex number object.

CNewSecH

Evaluates the hyperbolic secant of the value of the current complex number object and creates a new resulting complex number object.

CNewSin

Evaluates the sine of the value of the current complex number object and creates a new resulting complex number object.

CNewSinH

Evaluates the hyperbolic sine of the value of the current complex number object and creates a new resulting complex number object.

CNewSqrt

Extracts the second root from the value of the calling complex number object and creates a new resulting complex number object.

CNewSub

Subtracts the value given by MulValue or X and Y parameters from the value of the current complex number object and creates a new resulting object of TJclComplex type.

CNewTan

Evaluates the tangent of the value of the current complex number object and creates a new resulting complex number object.

CNewTanH

Evaluates the hyperbolic tangent of the value of the current complex number object and creates a new resulting complex number object.

 CoreAdd

 CoreApproxLnGamma

 CoreCos

 CoreCosH

 CoreCot

 CoreCotH

 CoreCsc

 CoreCscH

 CoreDiv

 CoreExp

 CoreGamma

 CoreI0

 CoreIntPwr

 CoreJ0

 CoreLn

 CoreLnGamma

 CoreMul

 CorePwr

 CoreRealPwr

 CoreRoot

 CoreSec

 CoreSecH

 CoreSin

 CoreSinH

 CoreSub

 CoreTan

 CoreTanH

CPwr

Raise the value of the current complex number object to the PwrValue power.

CRealPwr

Raise the value of the current complex number object to the Pwr power that is represented by a floating-point value.

 Create

Creates a new TComplex object.

CRoot

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1.

CSec

Evaluates the secant of the value of the current complex number object.

CSecH

Evaluates the hyperbolic secant of the value of the current complex number object.

CSin

Evaluates the sine of the value of the current complex number object.

CSinH

Evaluates the hyperbolic sine of the value of the current complex number object.

CSqrt

Extracts the second root from the value of the calling complex number object.

CSub

Subtract the value given by MulValue or X and Y parameters from the value of the current complex number object.

CTan

Evaluates the tangent of the value of the current complex number object.

CTanH

Evaluates the hyperbolic tangent of the value of the current complex number object.

Duplicate

Creates a new object of TJclComplex type and assigns the value of the calling object to it.

FormatExtended


Legend

protected

Constructor


Legend

TJclComplex Class

Legend

read only

protected

Constructor


TJclComplex Class Members

TJclComplex Class	Legend

Members

Properties

 Angle

Specifies the value of the angle in polar coordinates representation of the complex number, i.e. theta value in the pair of (r;theta).

AsPolarString

AsPolarString converts the value of the complex number to a string with a pair of complex number's polar coordinates.

AsString

AsString converts the value of the complex number to a string.

FracLength

Determines the precision used in formatting the value of the complex number.

 ImaginaryPart

Specifies the value of the imaginary part of the complex number i.e. Y value in the pair of (X;Y).

 Radius

Specifies the value of the radius in polar coordinates representation i.e. r value in the pair of (r;theta).

 RealPart

Specifies the value of the real part of the complex number i.e. X value in the pair of (X;Y).

Methods

AbsoluteValue

AbsoluteValueSqr

Assign

Assign the value of (X;Y) to the complex number object using ComplexType representation.

AssignOne

Assign the value of (1;0) to the complex number object.

AssignZero

Assign the value of (0;0) to the complex number object.

CAdd

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object.

CApproxLnGamma

CConjugate

Transform the value of the calling object of TJclComplex type into a conjugated complex number value.

CCos

Evaluates the cosine of the value of the current complex number object.

CCosH

Evaluates the hyperbolic cosine of the value of the current complex number object.

CCot

Evaluates the cotangent of the value of the current complex number object.

CCotH

Evaluates the hyperbolic cotangent of the value of the current complex number object.

CCsc

Evaluates the cosecant of the value of the current complex number object.

CCscH

Evaluates the hyperbolic cosecant of the value of the current complex number object.

CDiv

Divide the value of the current complex number object by the value given by DivValue or X and Y parameters.

CExp

Evaluates the exponential curve for the value of the current complex number object.

CGamma

CI0

CIntPwr

Raise the value of the current complex number object to the Pwr power that is represented by an integer value.

CJ0

CLn

Evaluates the natural logarithm of the value of the current complex number object.

CLnGamma

CMul

Multiply the value of the current complex number object by the value given by MulValue or X and Y parameters.

CNeg

Multiply the current value of the complex number object by a complex negative one.

CNewAdd

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object and creates a new resulting object of TJclComplex type.

CNewApproxLnGamma

CNewConjugate

Transforms the value of the calling object of TJclComplex type into a conjugated complex number value and creates a new resulting complex number object.

CNewCos

Evaluates the cosine of the value of the current complex number object and creates a new resulting complex number object.

CNewCosH

Evaluates the hyperbolic cosine of the value of the current complex number object and creates a new resulting complex number object.

CNewCot

Evaluates the cotangent of the value of the current complex number object and creates a new resulting complex number object.

CNewCotH

Evaluates the hyperbolic cotangent of the value of the current complex number object and creates a new resulting complex number object.

CNewCsc

Evaluates the cosecant of the value of the current complex number object and creates a new resulting complex number object.

CNewCscH

Evaluates the hyperbolic cosecant of the value of the current complex number object and creates a new resulting complex number object.

CNewDiv

Divides the value of the current complex number object by the value given by DivValue or X and Y parameters and creates a new resulting object of TJclComplex type.

CNewExp

Evaluates the exponential curve for the value of the current complex number object and creates a new resulting complex number object.

CNewGamma

CNewI0

CNewIntPwr

Raises the value of the current complex number object to the Pwr power that is represented by an integer value and creates a new resulting complex number object.

CNewJ0

CNewLn

Evaluates the natural logarithm of the value of the current complex number object and creates a new resulting complex number object.

CNewLnGamma

CNewMul

Multiplies the value of the current complex number object by the value given by MulValue or X and Y parameters and creates a new resulting object of TJclComplex type.

CNewNeg

Multiplies the current value of the complex number object by a complex negative one and creates a new resulting complex number object.

CNewPwr

Raises the value of the current complex number object to the PwrValue power and creates a new resulting complex number object.

CNewRealPwr

Raises the value of the current complex number object to the Pwr power that is represented by a floating-point value and creates a new resulting complex number object.

CNewRoot

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1 and creates a new resulting complex number object.

CNewSec

Evaluates the secant of the value of the current complex number object and creates a new resulting complex number object.

CNewSecH

Evaluates the hyperbolic secant of the value of the current complex number object and creates a new resulting complex number object.

CNewSin

Evaluates the sine of the value of the current complex number object and creates a new resulting complex number object.

CNewSinH

Evaluates the hyperbolic sine of the value of the current complex number object and creates a new resulting complex number object.

CNewSqrt

Extracts the second root from the value of the calling complex number object and creates a new resulting complex number object.

CNewSub

Subtracts the value given by MulValue or X and Y parameters from the value of the current complex number object and creates a new resulting object of TJclComplex type.

CNewTan

Evaluates the tangent of the value of the current complex number object and creates a new resulting complex number object.

CNewTanH

Evaluates the hyperbolic tangent of the value of the current complex number object and creates a new resulting complex number object.

 CoreAdd

 CoreApproxLnGamma

 CoreCos

 CoreCosH

 CoreCot

 CoreCotH

 CoreCsc

 CoreCscH

 CoreDiv

 CoreExp

 CoreGamma

 CoreI0

 CoreIntPwr

 CoreJ0

 CoreLn

 CoreLnGamma

 CoreMul

 CorePwr

 CoreRealPwr

 CoreRoot

 CoreSec

 CoreSecH

 CoreSin

 CoreSinH

 CoreSub

 CoreTan

 CoreTanH

CPwr

Raise the value of the current complex number object to the PwrValue power.

CRealPwr

Raise the value of the current complex number object to the Pwr power that is represented by a floating-point value.

 Create

Creates a new TComplex object.

CRoot

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1.

CSec

Evaluates the secant of the value of the current complex number object.

CSecH

Evaluates the hyperbolic secant of the value of the current complex number object.

CSin

Evaluates the sine of the value of the current complex number object.

CSinH

Evaluates the hyperbolic sine of the value of the current complex number object.

CSqrt

Extracts the second root from the value of the calling complex number object.

CSub

Subtract the value given by MulValue or X and Y parameters from the value of the current complex number object.

CTan

Evaluates the tangent of the value of the current complex number object.

CTanH

Evaluates the hyperbolic tangent of the value of the current complex number object.

Duplicate

Creates a new object of TJclComplex type and assigns the value of the calling object to it.

FormatExtended


Legend

read only

protected

Constructor


TJclComplex.Angle Property

See Also	TJclComplex Class

Specifies the value of the angle in polar coordinates representation of the complex number, i.e. theta value in the pair of (r;theta).

Pascal

property Angle: Float;

Description

Use Angle property to obtain the value of the angle in polar coordinates representation of the complex number, i.e. theta value in the pair of (r;theta).

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

RealPart ImaginaryPart Radius


TJclComplex.AsPolarString Property

See Also	TJclComplex Class

AsPolarString converts the value of the complex number to a string with a pair of complex number's polar coordinates.

Pascal

property AsPolarString: string;

Description

Use AsPolarString property to obtain a string representation of the complex number formatted according to the canonical form of complex numbers in polar coordinates representation. FracLength property is used to determine the precision of float parts of the complex number. For example if your complex number is (5.2345355; -3.599) and FracLength=2 you will get the following string as the result of calling AsString:

5.23-CIS(3.60) Here CIS(theta) = COS(theta) + SIN(theta)*i Also you might use this property to assign the value of a string to the complex number object like this:

MyComplex.AsPolarString := '-5.3453-CIS(3.543)' The string provided should represent a complex number in its canonical polar coordinates form like this: r+CIS(theta), where r and theta are either positive or negative or zero floating values. If either r or theta is equal to zero, the corresponding part of the complex number can be omitted.If the object is unable to parse the string provided then an EJclMathError exception will be raised.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

AsString FracLength


TJclComplex.AsString Property

See Also	TJclComplex Class

AsString converts the value of the complex number to a string.

Pascal

property AsString: string;

Description

Use AsString property to obtain a string representation of the complex number formatted according to the canonical form of complex numbers in rectangular representation. FracLength property is used to determine the precision of float parts of the complex number. For example if your complex number is (5.2345355; -3.599) and FracLength=2 you will get the following string as the result of calling AsString:

5.23-3.60i Also you might use this property to assign the value of a string to the complex number object like this:

MyComplex.AsString := '-5.3453-3.543i'The string provided should represent a complex number in its canonical rectangular form like this: x+yi, where

and y are either positive or negative or zero floating values and i is the

constant text part. If either x or y is equal to zero, the corresponding part of the complex number can be omitted.If the object is unable to parse the string provided then an EJclMathError exception will be raised.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

AsPolarString FracLength


TJclComplex.FracLength Property

TJclComplex Class

Determines the precision used in formatting the value of the complex number.

Pascal

property FracLength: Byte;

Description

Use FracLength to set the number of digits beyond the decimal point that the value should be formatted to before rounding begins. FracLength affects the format of the floating-point value when it is displayed using properties AsString or AsPolarString, not the actual floating-point value that is stored in the complex number structures. The default value of FracLength is 8 decimal places.

Notes

FracLength must be less or equal to 18. Trying to set FracLength to a value greater than 18 changes the value of FracLength to 18.

Donator

Alexei Koudinov

Class

TJclComplex Class


TJclComplex.ImaginaryPart Property

See Also	TJclComplex Class

Specifies the value of the imaginary part of the complex number i.e. Y value in the pair of (X;Y).

Pascal

property ImaginaryPart: Float;

Description

Use ImaginaryPart property to obtain the value of the imaginary part of the complex number i.e. Y value in the pair of (X;Y).

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

RealPart Radius Angle


TJclComplex.Radius Property

See Also	TJclComplex Class

Specifies the value of the radius in polar coordinates representation i.e. r value in the pair of (r;theta).

Pascal

property Radius: Float;

Description

Use Radius property to obtain the value of the radius in polar coordinates representation of the complex number, i.e. r value in the pair of (r;theta).

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

RealPart ImaginaryPart Angle


TJclComplex.RealPart Property

See Also	TJclComplex Class

Specifies the value of the real part of the complex number i.e. X value in the pair of (X;Y).

Pascal

property RealPart: Float;

Description

Use RealPart property to obtain the value of the real part of the complex number i.e. X value in the pair of (X;Y).

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

ImaginaryPart Radius Angle


TJclComplex.AbsoluteValue Method ()

TJclComplex Class

function AbsoluteValue: Float; overload;

Class

TJclComplex Class


TJclComplex.AbsoluteValue Method (TRectCoord)

TJclComplex Class

function AbsoluteValue(const Coord: TRectCoord): Float; overload;

Class

TJclComplex Class


TJclComplex.AbsoluteValueSqr Method ()

TJclComplex Class

function AbsoluteValueSqr: Float; overload;

Class

TJclComplex Class


TJclComplex.AbsoluteValueSqr Method (TRectCoord)

TJclComplex Class

function AbsoluteValueSqr(const Coord: TRectCoord): Float; overload;

Class

TJclComplex Class


TJclComplex.Assign Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Assign the value of (X;Y) to the complex number object using ComplexType representation.

Pascal

function Assign(const Coord: TCoords; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;
function Assign(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use Assign method to set the value of your complex number object to (X;Y). ComplexType parameter is used to determine whether floating-point parameters represents (X;Y) or (r;theta) pair of values.

Parameters

const ComplexType: TComplexKind = crRectangular

Optional. Represents the type of the floating-point parameters above.

const X: Float

The real part in the rectangular representation or radius in polar coordinates.

const Y: Float

The imaginary part in the rectangular representation or angle (in grads) in polar coordinates.

Return Value

Method Assign returns the complex number object itself.

Notes

To assign a complex number the value of zero use AssignZero method instead. To assign a complex number the value of 1 ("complex unit") use AssignOne method instead.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

TComplexKind AssignZero AssignOne


TJclComplex.AssignOne Method

See Also	TJclComplex Class

Assign the value of (1;0) to the complex number object.

Pascal

function AssignOne: TJclComplex;

Description

Use AssingOne method to set the value of your complex number object to 1 ("complex unit"). The call to AssignOne is equal to the following: Assign(1, 0).

Return Value

Method AssingOne returns the complex number object itself.

Notes

To assign a complex number the value of zero use AssignZero method instead. To assign a complex number any value that differs from 1 or 0 use Assign method instead.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

TComplexKind Assign AssignZero


TJclComplex.AssignZero Method

See Also	TJclComplex Class

Assign the value of (0;0) to the complex number object.

Pascal

function AssignZero: TJclComplex;

Description

Use AssingOne method to set the value of your complex number object to zero The call to AssignZero is equal to the following: Assign(0, 0). Also if you call the constructor Create omitting the parameters this method will be invoked automatically.

Return Value

Method AssingZero returns the complex number object itself.

Notes

To assign a complex number the value of 1 ("complex unit") use AssignOne method instead. To assign a complex number any value that differs from 1 or 0 use Assign method instead.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

Create TComplexKind Assign AssignOne


TJclComplex.CAdd Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object.

Pascal

function CAdd(const AddValue: TJclComplex): TJclComplex; overload;
function CAdd(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CAdd method to add the value of the complex number provided to the value of the calling object itself. The complex number to be added could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const AddValue: TJclComplex

The complex number that should be added to the value of the object.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that should be added to the value of the object.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that should be added to the value of the object.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CAdd returns the calling object with the changed value.

Notes

The addition of the complex numbers is performed according to the following formula: (X1;Y1) + (X2;Y2) = (X1+X2;Y1+Y2). For leaving the value of the calling object intact use CNewAdd method to create a new resulting object of TJclComplex type.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewAdd TJclComplex TCompexType


TJclComplex.CApproxLnGamma Method

TJclComplex Class

function CApproxLnGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CConjugate Method

See Also	TJclComplex Class

Transform the value of the calling object of TJclComplex type into a conjugated complex number value.

Pascal

function CConjugate: TJclComplex;

Description

Use CConjugate method to obtain a conjugate to the current value of the complex number object complex number. The method changes the value of the current object, returning its reference.

Return Value

Method CConjugate returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewConjugate method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewConjugate TJclComplex


TJclComplex.CCos Method

See Also	TJclComplex Class

Evaluates the cosine of the value of the current complex number object.

Pascal

function CCos: TJclComplex;

Description

Use CCos method to evaluate the cosine of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCos returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCos method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCos CSin CTan CCot CSec CCsc TJclComplex


TJclComplex.CCosH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cosine of the value of the current complex number object.

Pascal

function CCosH: TJclComplex;

Description

Use CCosH method to evaluate the hyperbolic cosine of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCosH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCosH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCosH CSinH CTanH CCotH CSecH CCscH TJclComplex


TJclComplex.CCot Method

See Also	TJclComplex Class

Evaluates the cotangent of the value of the current complex number object.

Pascal

function CCot: TJclComplex;

Description

Use CCot method to evaluate the cotangent of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCot returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCot method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCot CSin CTan CCos CSec CCsc TJclComplex


TJclComplex.CCotH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cotangent of the value of the current complex number object.

Pascal

function CCotH: TJclComplex;

Description

Use CCotH method to hyperbolic evaluate the cotangent of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCotH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCotH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCotH CSinH CTanH CCosH CSecH CCscH TJclComplex


TJclComplex.CCsc Method

See Also	TJclComplex Class

Evaluates the cosecant of the value of the current complex number object.

Pascal

function CCsc: TJclComplex;

Description

Use CCsc method to evaluate the cosecant of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCsc returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCsc method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCsc CSin CTan CCot CSec CCos TJclComplex


TJclComplex.CCscH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cosecant of the value of the current complex number object.

Pascal

function CCscH: TJclComplex;

Description

Use CCscH method to evaluate the hyperbolic cosecant of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CCscH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewCscH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewCscH CSinH CTanH CCotH CSecH CCosH TJclComplex


TJclComplex.CDiv Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Divide the value of the current complex number object by the value given by DivValue or X and Y parameters.

Pascal

function CDiv(const DivValue: TJclComplex): TJclComplex; overload;
function CDiv(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CDiv method to perform a division operation where the current complex number object is a numerator and the value provided through either X and Y or DivValue parameters is a denominator. The complex number to be divided by could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const DivValue: TJclComplex

The complex number that is the denominator for the operation.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the denominator for the operation.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the denominator for the operation.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CDiv returns the calling object with the changed value.

Notes

The division of the complex numbers is performed according to the following formula:  (X1;Y1) / (X2;Y2) = [(X1*X2+Y1*Y2)/(X22+Y22); (Y1*X2-X1*Y2)/ (X22+Y22)]. For leaving the value of the calling object intact use CNewDiv method to create a new resulting object of TJclComplex type.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewDiv TJclComplex TCompexType


TJclComplex.CExp Method

See Also	TJclComplex Class

Evaluates the exponential curve for the value of the current complex number object.

Pascal

function CExp: TJclComplex;

Description

Use CExp method to evaluate the exponential curve for the value of the current complex number object and change the value of the object accordingly.

Return Value

Method CExp returns the calling object with the changed value.

Notes

Complex number exponential curve is evaluated according to the following formula: Exp(Z) = [Exp(x)*Cos(y); Exp(x)*Sin(y)], where Z = (x; y). For creating a new resulting complex number object instead of changing the value of the current one use CNewExp method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewExp CLn CPwr CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CGamma Method

TJclComplex Class

function CGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CI0 Method

TJclComplex Class

function CI0: TJclComplex;

Class

TJclComplex Class


TJclComplex.CIntPwr Method

See Also	TJclComplex Class

Raise the value of the current complex number object to the Pwr power that is represented by an integer value.

Pascal

function CIntPwr(const Pwr: Integer): TJclComplex; overload;

Description

Use CIntPwr method to raise the value of the current complex number object to the Pwr power that is represented by an integer value and change the value of the calling object accordingly.

Parameters

const Pwr: Integer

The exponent, that the value of the calling object should be raised to.

Return Value

Method CIntPwr returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewIntPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewIntPwr CLn CExp CPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CJ0 Method

TJclComplex Class

function CJ0: TJclComplex;

Class

TJclComplex Class


TJclComplex.CLn Method

See Also	TJclComplex Class

Evaluates the natural logarithm of the value of the current complex number object.

Pascal

function CLn: TJclComplex;

Description

Use CLn method to evaluate the natural logarithm of the value of the current complex number object and change the value of the object accordingly.

Return Value

Method CLn returns the calling object with the changed value.

Notes

Complex number natural logarithm is evaluated according to the following formula: Ln(Z) = (Ln(r); theta), where Z = (r; theta). Please note that the calculation is performed using polar coordinates and all the transformations between rectangular and polar coordinates are performed automatically. For creating a new resulting complex number object instead of changing the value of the current one use CNewLn method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewLn CExp CPwr CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CLnGamma Method

TJclComplex Class

function CLnGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CMul Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Multiply the value of the current complex number object by the value given by MulValue or X and Y parameters.

Pascal

function CMul(const MulValue: TJclComplex): TJclComplex; overload;
function CMul(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CMul method to perform a multiplication operation where the current complex number object is the first and the value provided through either X and Y or DivValue parameters is the second multiplier. The complex number to be multiplied by could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const MulValue: TJclComplex

The complex number that is the second multiplier.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the second multiplier.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the second multiplier.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CMul returns the calling object with the changed value.

Notes

The multiplication of the complex numbers is performed according to the following formula:  (X1;Y1) * (X2;Y2) = (X1*X2-Y1*Y2; X1*Y2+Y1*X2). Note that for complex numbers the operations Z1*Z2 and Z2*Z1 give different results and cannot substitute each other. For leaving the value of the calling object intact use CNewMul method to create a new resulting object of TJclComplex type.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewMul TJclComplex TCompexType


TJclComplex.CNeg Method

See Also	TJclComplex Class

Multiply the current value of the complex number object by a complex negative one.

Pascal

function CNeg: TJclComplex;

Description

Use CNeg method to perform a negative transformation of the value of the current complex number object i.e. to multiply it by a complex negative one. The method changes the value of the current object, returning its reference.

Return Value

Method CNeg returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewNeg method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewNeg TJclComplex


TJclComplex.CNewAdd Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Adds the value given by AddValue or X and Y parameters to the value of the current complex number object and creates a new resulting object of TJclComplex type.

Pascal

function CNewAdd(const AddValue: TJclComplex): TJclComplex; overload;
function CNewAdd(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CNewAdd method to add the value of the complex number provided to the value of the calling object and to create a new resulting object of TJclComplex type. The complex number to be added could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const AddValue: TJclComplex

The complex number that should be added to the value of the object.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that should be added to the value of the object.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that should be added to the value of the object.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CNewAdd returns a newly created object of TJclComplex type that contains the value of the addition.

Notes

The addition of the complex numbers is performed according to the following formula: (X1;Y1) + (X2;Y2) = (X1+X2;Y1+Y2). For changing the value of the calling object instead of creating a new object of TJclComplex type use CAdd method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CAdd TJclComplex TCompexType


TJclComplex.CNewApproxLnGamma Method

TJclComplex Class

function CNewApproxLnGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CNewConjugate Method

See Also	TJclComplex Class

Transforms the value of the calling object of TJclComplex type into a conjugated complex number value and creates a new resulting complex number object.

Pascal

function CNewConjugate: TJclComplex;

Description

Use CNewConjugate method to obtain a conjugate to the current value of the complex number object complex number.

Return Value

Method CNewConjugate returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling complex number object instead of creating a new one use CNewConjugate method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CConjugate TJclComplex


TJclComplex.CNewCos Method

See Also	TJclComplex Class

Evaluates the cosine of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCos: TJclComplex;

Description

Use CNewCos method to evaluate the cosine of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCos returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCos method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCos CSin CTan CCot CSec CCsc TJclComplex


TJclComplex.CNewCosH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cosine of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCosH: TJclComplex;

Description

Use CNewCosH method to evaluate the hyperbolic cosine of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCosH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCosH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCosH CSinH CTanH CCotH CSecH CCscH TJclComplex


TJclComplex.CNewCot Method

See Also	TJclComplex Class

Evaluates the cotangent of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCot: TJclComplex;

Description

Use CNewCot method to evaluate the cotangent of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCot returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCot method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCot CSin CTan CCos CSec CCsc TJclComplex


TJclComplex.CNewCotH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cotangent of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCotH: TJclComplex;

Description

Use CNewCotH method to hyperbolic evaluate the cotangent of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCotH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCotH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCotH CSinH CTanH CCosH CSecH CCscH TJclComplex


TJclComplex.CNewCsc Method

See Also	TJclComplex Class

Evaluates the cosecant of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCsc: TJclComplex;

Description

Use CNewCsc method to evaluate the cosecant of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCsc returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCsc method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCsc CSin CTan CCot CCos CSec TJclComplex


TJclComplex.CNewCscH Method

See Also	TJclComplex Class

Evaluates the hyperbolic cosecant of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewCscH: TJclComplex;

Description

Use CNewCscH method to evaluate the hyperbolic cosecant of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewCscH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CCscH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CCscH CSinH CTanH CCotH CCosH CSecH TJclComplex


TJclComplex.CNewDiv Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Divides the value of the current complex number object by the value given by DivValue or X and Y parameters and creates a new resulting object of TJclComplex type.

Pascal

function CNewDiv(const DivValue: TJclComplex): TJclComplex; overload;
function CNewDiv(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CNewDiv method to perform a division operation where the current complex number object is a numerator and the value provided through either X and Y or DivValue parameters is a denominator and to create a resulting object of TJclComplex type. The complex number to be divided by could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const DivValue: TJclComplex

The complex number that is the denominator for the operation.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the denominator for the operation.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the denominator for the operation.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CNewDiv returns a newly created object of TJclComplex type that contains the value of the division.

Notes

The division of the complex numbers is performed according to the following formula:  (X1;Y1) / (X2;Y2) = [(X1*X2+Y1*Y2)/(X22+Y22); (Y1*X2-X1*Y2)/ (X22+Y22)]. For changing the value of the calling object instead of creating a resulting object of TJclComplex type use CDiv method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CDiv TJclComplex TCompexType


TJclComplex.CNewExp Method

See Also	TJclComplex Class

Evaluates the exponential curve for the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewExp: TJclComplex;

Description

Use CNewExp method to evaluate the exponential curve for the value of the current complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewExp returns a newly created object of TJclComplex type that contains the value computed.

Notes

Complex number exponential curve is evaluated according to the following formula: Exp(Z) = [Exp(x)*Cos(y); Exp(x)*Sin(y)], where Z = (x; y). For changing the value of the calling object instead of creating a new resulting object use CExp method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewExp CLn CPwr CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CNewGamma Method

TJclComplex Class

function CNewGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CNewI0 Method

TJclComplex Class

function CNewI0: TJclComplex;

Class

TJclComplex Class


TJclComplex.CNewIntPwr Method

See Also	TJclComplex Class

Raises the value of the current complex number object to the Pwr power that is represented by an integer value and creates a new resulting complex number object.

Pascal

function CNewIntPwr(const Pwr: Integer): TJclComplex; overload;

Description

Use CNewIntPwr method to raise the value of the current complex number object to the Pwr power that is represented by an integer value and get a new resulting object of TJclComplex type.

Parameters

const Pwr: Integer

The exponent, that the value of the calling object should be raised to.

Return Value

Method CNewIntPwr returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CIntPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CIntPwr CLn CExp CPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CNewJ0 Method

TJclComplex Class

function CNewJ0: TJclComplex;

Class

TJclComplex Class


TJclComplex.CNewLn Method

See Also	TJclComplex Class

Evaluates the natural logarithm of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewLn: TJclComplex;

Description

Use CNewLn method to evaluate the natural logarithm of the value of the current complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewLn returns a newly created object of TJclComplex type that contains the value computed.

Notes

Complex number natural logarithm is evaluated according to the following formula: Ln(Z) = (Ln(r); theta), where Z = (r; theta). Please note that the calculation is performed using polar coordinates and all the transformations between rectangular and polar coordinates are performed automatically. For changing the value of the calling object instead of creating a new resulting object use CLn method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CLn CExp CPwr CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CNewLnGamma Method

TJclComplex Class

function CNewLnGamma: TJclComplex;

Class

TJclComplex Class


TJclComplex.CNewMul Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Multiplies the value of the current complex number object by the value given by MulValue or X and Y parameters and creates a new resulting object of TJclComplex type.

Pascal

function CNewMul(const MulValue: TJclComplex): TJclComplex; overload;
function CNewMul(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CNewMul method to perform a multiplication operation where the current complex number object is the first and the value provided through either X and Y or DivValue parameters is the second multiplier and to create a resulting object of TJclComplex type. The complex number to be multiplied by could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const MulValue: TJclComplex

The complex number that is the second multiplier.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the second multiplier.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the second multiplier.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CNewMul returns a newly created object of TJclComplex type that contains the value of the multiplication.

Notes

The multiplication of the complex numbers is performed according to the following formula:  (X1;Y1) * (X2;Y2) = (X1*X2-Y1*Y2; X1*Y2+Y1*X2). Note that for complex numbers the operations Z1*Z2 and Z2*Z1 give different results and cannot substitute each other. For changing the value of the calling object instead of creating a resulting object of TJclComplex type use CMul method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CMul TJclComplex TCompexType


TJclComplex.CNewNeg Method

See Also	TJclComplex Class

Multiplies the current value of the complex number object by a complex negative one and creates a new resulting complex number object.

Pascal

function CNewNeg: TJclComplex;

Description

Use CNewNeg method to perform a negative transformation of the value of the current complex number object i.e. to multiply it by a complex negative one and create a new resulting object of TJclComplex type.

Return Value

Method CNewNeg returns a newly created object of TJclComplex type that contains the value of the negation.

Notes

For changing the value of the calling complex number object instead of creating a new one use CNeg method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNeg TJclComplex


TJclComplex.CNewPwr Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Raises the value of the current complex number object to the PwrValue power and creates a new resulting complex number object.

Pascal

function CNewPwr(PwrValue: TJclComplex): TJclComplex; overload;
function CNewPwr(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CNewPwr method to raise the value of the current complex number object to the PwrValue power and get a new resulting object of TJclComplex type. The complex number that is the exponent for the operation is set either as an object of TJclComplex type or as a pair of its values (X;Y).

Parameters

PwrValue: TJclComplex

The complex number that is the exponent for the operation.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the exponent for the operation.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the exponent for the operation.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CNewPwr returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CPwr CLn CExp CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CNewRealPwr Method

See Also	TJclComplex Class

Raises the value of the current complex number object to the Pwr power that is represented by a floating-point value and creates a new resulting complex number object.

Pascal

function CNewRealPwr(const Pwr: Float): TJclComplex; overload;

Description

Use CNewRealPwr method to raise the value of the current complex number object to the Pwr power that is represented by a floating-point value and get a new resulting object of TJclComplex type.

Parameters

const Pwr: Float

The exponent, that the value of the calling object should be raised to.

Return Value

Method CNewRealPwr returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CRealPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CRealPwr CLn CExp CPwr CIntPwr CRoot CSqrt TJclComplex


TJclComplex.CNewRoot Method

See Also	TJclComplex Class

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1 and creates a new resulting complex number object.

Pascal

function CNewRoot(const K: Word; const N: Word): TJclComplex; overload;

Description

Use CNewRoot method to extract the N-th root from the value of the calling complex number object, get the K-th root of the extraction, where K varies from 0 to N-1 and get a new resulting object of TJclComplex type.

Parameters

const K: Word

The number of the root to be returned.

const N: Word

The value of the root to be extracted.

Return Value

Method CNewRoot returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CRoot method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CRoot CLn CExp CPwr CIntPwr CRealPwr CSqrt TJclComplex


TJclComplex.CNewSec Method

See Also	TJclComplex Class

Evaluates the secant of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewSec: TJclComplex;

Description

Use CNewSec method to evaluate the secant of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewSec returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CSec method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSec CSin CTan CCot CCos CCsc TJclComplex


TJclComplex.CNewSecH Method

See Also	TJclComplex Class

Evaluates the hyperbolic secant of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewSecH: TJclComplex;

Description

Use CNewSecH method to evaluate the hyperbolic secant of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewSecH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CSecH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSecH CSinH CTanH CCotH CCosH CCscH TJclComplex


TJclComplex.CNewSin Method

See Also	TJclComplex Class

Evaluates the sine of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewSin: TJclComplex;

Description

Use CNewSin method to evaluate the sine of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewSin returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CSin method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSin CCos CTan CCot CSec CCsc TJclComplex


TJclComplex.CNewSinH Method

See Also	TJclComplex Class

Evaluates the hyperbolic sine of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewSinH: TJclComplex;

Description

Use CNewSinH method to evaluate the hyperbolic sine of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewSinH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CSinH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSinH CCosH CTanH CCotH CSecH CCscH TJclComplex


TJclComplex.CNewSqrt Method

See Also	TJclComplex Class

Extracts the second root from the value of the calling complex number object and creates a new resulting complex number object.

Pascal

function CNewSqrt: TJclComplex; overload;

Description

Use CNewSqrt method to extract the second root from the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewSqrt returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CSqrt method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSqrt CLn CExp CPwr CIntPwr CRealPwr CRoot TJclComplex


TJclComplex.CNewSub Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Subtracts the value given by MulValue or X and Y parameters from the value of the current complex number object and creates a new resulting object of TJclComplex type.

Pascal

function CNewSub(const SubValue: TJclComplex): TJclComplex; overload;
function CNewSub(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CNewSub method to perform a subtraction operation where the current complex number object is the minuend and the value provided through either X and Y or DivValue parameters is the subtrahend and to create a resulting object of TJclComplex type. The complex number to be subtracted could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const SubValue: TJclComplex

The complex number that is the subtrahend.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the subtrahend.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the subtrahend.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CNewSub returns a newly created object of TJclComplex type that contains the value of the subtraction.

Notes

The subtraction of the complex numbers is performed according to the following formula: (X1;Y1) - (X2;Y2) = (X1-X2;Y1-Y2). For changing the value of the calling object instead of creating a resulting object of TJclComplex type use CSub method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CSub TJclComplex TCompexType


TJclComplex.CNewTan Method

See Also	TJclComplex Class

Evaluates the tangent of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewTan: TJclComplex;

Description

Use CNewTan method to evaluate the tangent of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewTan returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CTan method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CTan CSin CCos CCot CSec CCsc TJclComplex


TJclComplex.CNewTanH Method

See Also	TJclComplex Class

Evaluates the hyperbolic tangent of the value of the current complex number object and creates a new resulting complex number object.

Pascal

function CNewTanH: TJclComplex;

Description

Use CNewTanH method to evaluate the hyperbolic tangent of the value of the calling complex number object and get a new resulting object of TJclComplex type.

Return Value

Method CNewTanH returns a newly created object of TJclComplex type that contains the value computed.

Notes

For changing the value of the calling object instead of creating a new resulting object use CTanH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CTanH CSinH CCosH CCotH CSecH CCscH TJclComplex


TJclComplex.CoreAdd Method

TJclComplex Class

function CoreAdd(const First: TRectCoord; const Second: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreApproxLnGamma Method

TJclComplex Class

function CoreApproxLnGamma(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCos Method

TJclComplex Class

function CoreCos(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCosH Method

TJclComplex Class

function CoreCosH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCot Method

TJclComplex Class

function CoreCot(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCotH Method

TJclComplex Class

function CoreCotH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCsc Method

TJclComplex Class

function CoreCsc(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreCscH Method

TJclComplex Class

function CoreCscH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreDiv Method

TJclComplex Class

function CoreDiv(const First: TRectCoord; const Second: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreExp Method

TJclComplex Class

function CoreExp(const ExpValue: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreGamma Method

TJclComplex Class

function CoreGamma(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreI0 Method

TJclComplex Class

function CoreI0(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreIntPwr Method

TJclComplex Class

function CoreIntPwr(First: TRectCoord; const Polar: TRectCoord; const Pwr: Integer): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreJ0 Method

TJclComplex Class

function CoreJ0(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreLn Method

TJclComplex Class

function CoreLn(const LnValue: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreLnGamma Method

TJclComplex Class

function CoreLnGamma(Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreMul Method

TJclComplex Class

function CoreMul(const First: TRectCoord; const Second: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CorePwr Method

TJclComplex Class

function CorePwr(First: TRectCoord; Second: TRectCoord; Polar: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreRealPwr Method

TJclComplex Class

function CoreRealPwr(First: TRectCoord; const Polar: TRectCoord; const Pwr: Float): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreRoot Method

TJclComplex Class

function CoreRoot(First: TRectCoord; const Polar: TRectCoord; const K: Word; const N: Word): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreSec Method

TJclComplex Class

function CoreSec(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreSecH Method

TJclComplex Class

function CoreSecH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreSin Method

TJclComplex Class

function CoreSin(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreSinH Method

TJclComplex Class

function CoreSinH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreSub Method

TJclComplex Class

function CoreSub(const First: TRectCoord; const Second: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreTan Method

TJclComplex Class

function CoreTan(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CoreTanH Method

TJclComplex Class

function CoreTanH(const Value: TRectCoord): TRectCoord;

Class

TJclComplex Class


TJclComplex.CPwr Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Raise the value of the current complex number object to the PwrValue power.

Pascal

function CPwr(const PwrValue: TJclComplex): TJclComplex; overload;
function CPwr(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CPwr method to raise the value of the current complex number object to the PwrValue power and change the value of the object accordingly. The complex number that is the exponent for the operation is set either as an object of TJclComplex type or as a pair of its values (X;Y).

Parameters

const PwrValue: TJclComplex

The complex number that is the exponent for the operation.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the exponent for the operation.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the exponent for the operation.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CPwr returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewPwr CLn CExp CIntPwr CRealPwr CRoot CSqrt TJclComplex


TJclComplex.CRealPwr Method

See Also	TJclComplex Class

Raise the value of the current complex number object to the Pwr power that is represented by a floating-point value.

Pascal

function CRealPwr(const Pwr: Float): TJclComplex; overload;

Description

Use CRealPwr method to raise the value of the current complex number object to the Pwr power that is represented by a floating-point value and change the value of the calling object accordingly.

Parameters

const Pwr: Float

The exponent, that the value of the calling object should be raised to.

Return Value

Method CRealPwr returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewRealPwr method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewRealPwr CLn CExp CPwr CIntPwr CRoot CSqrt TJclComplex


TJclComplex.Create Constructor ()

See Also	TJclComplex Class

Creates a new TComplex object.

Pascal

constructor Create; overload;
constructor Create(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular); overload;

Description

Call Create to construct a complex number object either equal to (0,0) or filled with the values provided in X and Y parameters.

Parameters

const X: Float

The real part in the rectangular representation or radius in polar coordinates.

const Y: Float

The imaginary part in the rectangular representation or angle (in grads) in polar coordinates.

const ComplexType: TComplexKind = crRectangular

Optional. Represents the type of the complex number to be create.

Notes

All the calculations with complex numbers are performed with their rectangular representation members, except those that requires polar coordinates instead like exponential functions for instance. The results of the calculations as well as the value of the complex number itself might be obtained in either rectangular or polar representation at any time using AsString or AsPolarString respectively.

Donator

Alexei Koudinov

Class

TJclComplex Class


See Also

TComplexKind


TJclComplex.CRoot Method

See Also	TJclComplex Class

Extracts the N-th root and returns the K-th root of the extraction where K is varying from 0 to N-1.

Pascal

function CRoot(const K: Word; const N: Word): TJclComplex; overload;

Description

Use CRoot method to extract the N-th root from the value of the calling complex number object, get the K-th root of the extraction, where K varies from 0 to N-1 and change the value of the calling object accordingly.

Parameters

const K: Word

The number of the root to be returned.

const N: Word

The value of the root to be extracted.

Return Value

Method CRoot returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewRoot method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewRoot CLn CExp CPwr CIntPwr CRealPwr CSqrt TJclComplex


TJclComplex.CSec Method

See Also	TJclComplex Class

Evaluates the secant of the value of the current complex number object.

Pascal

function CSec: TJclComplex;

Description

Use CSec method to evaluate the secant of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CSec returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewSec method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSec CSin CTan CCot CCos CCsc TJclComplex


TJclComplex.CSecH Method

See Also	TJclComplex Class

Evaluates the hyperbolic secant of the value of the current complex number object.

Pascal

function CSecH: TJclComplex;

Description

Use CSecH method to evaluate the hyperbolic secant of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CSecH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewSecH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSecH CSinH CTanH CCotH CCosH CCscH TJclComplex


TJclComplex.CSin Method

See Also	TJclComplex Class

Evaluates the sine of the value of the current complex number object.

Pascal

function CSin: TJclComplex;

Description

Use CSin method to evaluate the sine of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CSin returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewSin method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSin CCos CTan CCot CSec CCsc TJclComplex


TJclComplex.CSinH Method

See Also	TJclComplex Class

Evaluates the hyperbolic sine of the value of the current complex number object.

Pascal

function CSinH: TJclComplex;

Description

Use CSinH method to evaluate the hyperbolic sine of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CSinH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewSinH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSinH CCosH CTanH CCotH CSecH CCscH TJclComplex


TJclComplex.CSqrt Method

See Also	TJclComplex Class

Extracts the second root from the value of the calling complex number object.

Pascal

function CSqrt: TJclComplex; overload;

Description

Use CSqrt method to extract the second root from the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CSqrt returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewSqrt method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSqrt CLn CExp CPwr CIntPwr CRealPwr CRoot TJclComplex


TJclComplex.CSub Method (Float, Float, TComplexKind)

See Also	TJclComplex Class

Subtract the value given by MulValue or X and Y parameters from the value of the current complex number object.

Pascal

function CSub(const SubValue: TJclComplex): TJclComplex; overload;
function CSub(const X: Float; const Y: Float; const ComplexType: TComplexKind = crRectangular): TJclComplex; overload;

Description

Use CSub method to perform a subtraction operation where the current complex number object is the minuend and the value provided through either X and Y or DivValue parameters is the subtrahend. The complex number to be subtracted could be set either as an object of TJclComplex type or a pair of its values (X;Y).

Parameters

const SubValue: TJclComplex

The complex number that is the subtrahend.

const X: Float

The real part in the rectangular representation or radius in polar coordinates of the complex number that is the subtrahend.

const Y: Float

The imaginary part in the rectangular representation or angle in polar coordinates of the complex number that is the subtrahend.

const ComplexType: TComplexKind = crRectangular

Optional. Defines whether X and Y parameters are stated in rectangular representation or in polar coordinates.

Return Value

Method CSub returns the calling object with the changed value.

Notes

The subtraction of the complex numbers is performed according to the following formula: (X1;Y1) - (X2;Y2) = (X1-X2;Y1-Y2). For leaving the value of the calling object intact use CNewSub method to create a new resulting object of TJclComplex type.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewSub TJclComplex TCompexType


TJclComplex.CTan Method

See Also	TJclComplex Class

Evaluates the tangent of the value of the current complex number object.

Pascal

function CTan: TJclComplex;

Description

Use CTan method to evaluate the tangent of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CTan returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewTan method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewTan CSin CCos CCot CSec CCsc TJclComplex


TJclComplex.CTanH Method

See Also	TJclComplex Class

Evaluates the hyperbolic tangent of the value of the current complex number object.

Pascal

function CTanH: TJclComplex;

Description

Use CTanH method to evaluate the hyperbolic tangent of the value of the calling complex number object and change the value of the calling object accordingly.

Return Value

Method CTanH returns the calling object with the changed value.

Notes

For creating a new resulting complex number object instead of changing the value of the current one use CNewTanH method.

Donator

Earl F. Glynn

Class

TJclComplex Class


See Also

CNewTanH CSinH CCosH CCotH CSecH CCscH TJclComplex


TJclComplex.Duplicate Method

TJclComplex Class

Creates a new object of TJclComplex type and assigns the value of the calling object to it.

Pascal

function Duplicate: TJclComplex;

Description

Use Duplicate method to create a new object of TJclComplex type and assign the value of the calling object to it.

Return Value

Method Duplicate returns the newly created complex number object.

Donator

Alexei Koudinov

Class

TJclComplex Class


TJclComplex.FormatExtended Method

TJclComplex Class

function FormatExtended(const X: Float): string;

Class

TJclComplex Class


Conversion

Math Routines

Functions

DegMinSecToFloat

Converts degrees, minutes, seconds to a float.

FloatToDegMinSec

Converts a float to degrees, minutes and seconds.


Conversion Functions

Conversion

Functions

DegMinSecToFloat

Converts degrees, minutes, seconds to a float.

FloatToDegMinSec

Converts a float to degrees, minutes and seconds.


DegMinSecToFloat Function

See Also

Converts degrees, minutes, seconds to a float.

Pascal

function DegMinSecToFloat(const Degs: Float; const Mins: Float; const Secs: Float): Float;

Description

DegMinSecToFloat converts, or packs, the supplied degrees, minutes and seconds to a float.

Parameters

const Degs: Float

Degrees

Min

Minutes

Sec

Seconds

Return Value

Degrees, Minutes and Seconds converted to a float.

Notes

This function is obsolete. Use the function DmsToDeg respectively DmsToRad instead.

Donator

ESB Consultancy

Group

Conversion

Unit

JclMath


See Also

FloatToDegMinSec DmsToDeg DmsToRad DegToDms DegToDmsStr


FloatToDegMinSec Function

See Also

Converts a float to degrees, minutes and seconds.

Pascal

procedure FloatToDegMinSec(const X: Float; var Degs: Float; var Mins: Float; var Secs: Float);

Description

FloatToDegMinSec converts a float to degrees, minutes and seconds.

Parameters

const X: Float

The float to convert to degrees, minutes and seconds.

Deg

Receives the degrees.

Min

Receives the minutes.

Sec

Receives the seconds.

Notes

This function is obsolete. Use the function DegToDms instead.

Donator

ESB Consultancy

Group

Conversion

Unit

JclMath


See Also

DegMinSecToFloat DmsToDeg DmsToRad DegToDms DegToDmsStr


CRC

The CRC method used here is a quite "native" translation of a hardware CRC generator to software. The data array is interpreted as a bit stream with Byte 0 Bit 7 sent first. Mathematically when calculating an m-Bit CRC on a n Byte data-array, this is like calculating the "modulus" of an an 8*n + m Bit word, Byte 0 bit 7 of the array being the most significant Bit, m Zero Bits added to the end of the array. To check the CRC the Zero Bits are replaced by the CRC to be checked, thus the CRC forming the low order bits of the 8*n + m Bit word. If the CRC is correct the result of this operation is Zero, otherwise it's the "syndrome" that can be used to calculate the order of the false bit to correct it. The software comes with the CRC calculating function in two kinds. A "basic" one that works bitwise, like a hardware CRC generator would do and a fast one that uses a lookup table for complete bytes. The bitwise function can be used to calculate the table. So this kind of CRC calculating offers some specialities:

the table based operation creates the same result as the bitwise calculation.

the table is reproduced by calculating the CRC of a single byte, using the starting value Zero.

the CRC check immediately creates the syndrome.

Beware, that the results of different CRC software algorithms might be different even if the same Polynomial and starting value is used. The algorithm might use another order of bits in the byte stream to be checked or another order of bits in the calculated CRC-value. Moreover the input and/or output bits might be used inverted and as the CRC-result the contents of the shift register after 8*n shifts might be used instead shifting the m bits out through the generator the additional m steps as done here. E.g. as far as I know the CRC result used by "ZIP" is our CRC32 result xor $FFFFFFFF.

Group

Math Routines

Functions

CheckCrc32

Checks and, if possible, corrects the data protected by a 32 bit CRC.

Crc32

Calculates or checks a 32 Bit CRC.

InitCrc32

Defines a new polynomial and starting value for the 32 bit CRC functions.

CheckCrc16

Checks and, if possible, corrects the data protected by a 16 bit CRC.

Crc16

Calculates or checks a 16 Bit CRC.

InitCrc16

Defines a new polynomial and starting value for the 16 bit CRC functions.


CRC Functions

CRC

Functions

CheckCrc32

Checks and, if possible, corrects the data protected by a 32 bit CRC.

Crc32

Calculates or checks a 32 Bit CRC.

InitCrc32

Defines a new polynomial and starting value for the 32 bit CRC functions.

CheckCrc16

Checks and, if possible, corrects the data protected by a 16 bit CRC.

Crc16

Calculates or checks a 16 Bit CRC.

InitCrc16

Defines a new polynomial and starting value for the 16 bit CRC functions.


CheckCrc32 Function

See Also

Checks and, if possible, corrects the data protected by a 32 bit CRC.

Pascal

function CheckCrc32_P(X: PJclByteArray; N: Integer; Crc: Cardinal): Integer;
function CheckCrc32(var X: array of Byte; N: Integer; Crc: Cardinal): Integer;
function CheckCrc32_A(var X: array of Byte; Crc: Cardinal): Integer;

Description

Checks and, if possible, corrects the data protected by the same 32 bit CRC the function Crc32 uses. With a 32 bit CRC a single bit error in 2^31-32 bit (2^28-4 = 268435454 byte) of data can be corrected. Beware that when trying to correct an error in a greater array of bytes, you will not get an error indicator but an unwanted bit might be changed. In arrays small enough, multiple bit errors are not corrected, but by far most multiple bit errors are detected (see CRC32).

Parameters

X: PJclByteArray

The array which contains the data. With CheckCrc32 and CheckCrc32_A this is an open array parameter, with CheckCrC32_P this is a pointer to the first byte of the array of bytes.

N: Integer

The number of elements in X. CheckCrc32_A uses all bytes in the array X.

Crc: Cardinal

Transmitted CRC value to check the data against.

Return Value

0 No CRC error.

1 Correctable error. If the false bit was in the data, it has been corrected.

-1 Uncorrectable error (more than one false bit).

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

Crc32 InitCrc32 CheckCrc16


Crc32 Function

See Also

Calculates or checks a 32 Bit CRC.

Pascal

function Crc32_P(X: PJclByteArray; N: Integer; Crc: Cardinal = 0): Cardinal;
function Crc32(const X: array of Byte; N: Integer; Crc: Cardinal = 0): Cardinal;
function Crc32_A(const X: array of Byte; Crc: Cardinal = 0): Cardinal;

Description

32 Bit CRC function. Calculates or checks a CRC. Independently from the size of the data array, with a 32 bit CRC any single and double bit error can be detected. By far most multiple bit errors are detected, too: E.g. all even (or odd) count of bit errors (depending on the polynomial used) and all burst errors with up to 32 bits length (so any sequence of up to 4 incorrect bytes) are detected. Burst error with a length of more than 32 are detected with a probability of 99,9999999767 %. All this is true only if an appropriate polynomial is used. By default the 32 Bit CRC "generator polynomial" suggested by the CCITT is used: x^32 + x^26 + x^23 + x^22 + x^16 + x^12 + x^11 + x^10 + x^8 + x^7 + x^5 + x^4 + x^2 + x + 1 ($104C11DB7). This polynomial has a "maximum cycle" and is used by Ethernet and Zip, too. The default starting value is $FFFFFFFF. By InitCrc32 a different polynomial and starting value can be defined.

Parameters

X: PJclByteArray

The array which contains the data. With Crc32 and Crc32_A this is an open array parameter, with CrC32_P this is a pointer to the first byte of the array of bytes.

N: Integer

The number of elements in X. Crc32_A calculates the checksum of all bytes in the array X.

Crc: Cardinal = 0

(optional) if not defined or = 0: Crc32 calculates the CRC for the data array transmitted; if CRC is defined: the CRC value is checked against the data and the result is 0 if the CRC was correct.

Return Value

If on input CRC not defined or = 0: The result is the created CRC.

If on input CRC is defined: The result is 0 if the CRC was OK,

otherwise the function returns the residuum for the correction function.

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

CheckCrc32 InitCrc32 Crc16

Category: Math Routines


InitCrc32 Function

See Also

Defines a new polynomial and starting value for the 32 bit CRC functions.

Pascal

procedure InitCrc32(Polynom: Cardinal; Start: Cardinal);

Description

Defines a new "generator polynomial" and starting value for the 32 bit CRC functions. Beware that the check and the correction only works if the polynomial is "appropriate". Two of these polynomials are predefined: Crc32PolynomCCITT = $04C11DB7 represents the polynomial x^32 + x^26 + x^23 + x^22 + x^16 + x^12 + x^11 + x^10 + x^8 + x^7 + x^5 + x^4 + x^2 + x + 1 that is suggested by the CCITT and used by Ethernet and ZIP. Crc32PolynomXXXXX = $9DB11213 represents the polynomial x^32 + x^31 + x^28 + x^27 + x^26 + x^24 + x^23 + x^21 + x^20 + x^16 + x^12 + x^9 + x^4 + x + 1 which is another "appropriate" polynomial (as far as I know). Beware that not appropriate polynomials result in highly undesirable behaviour of the CRC. The starting value can by anything. $FFFFFFFF and 0 are usual definitions.

Parameters

Start: Cardinal

32 bit starting value to be used with subsequent calls to 32 bit CRC functions

polynomial

Generator polynomial to be used with subsequent calls to 32 bit CRC functions. The polynomial is given without the highest bit (bit x^32)

Notes

As a standard in the Jedi Code Library the compiler option {$J-} is set to prevent modifying typed constants. So the function CRC32Init only exists if JCLMath is recompiled with the compiler environment variable "CRCINIT" defined, which temporarily sets {$J+} for the CRC functions.

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

Crc32 CheckCrc32 InitCrc16


CheckCrc16 Function

See Also

Checks and, if possible, corrects the data protected by a 16 bit CRC.

Pascal

function CheckCrc16_P(X: PJclByteArray; N: Integer; Crc: Word): Integer;
function CheckCrc16(var X: array of Byte; N: Integer; Crc: Word): Integer;
function CheckCrc16_A(var X: array of Byte; Crc: Word): Integer;

Description

Checks and, if possible, corrects the data protected by the same 16 bit CRC the function Crc16 uses. With a 16 bit CRC a single bit error in 2^15-16 bit (2^12-2 = 4094 byte) of data can be corrected. Beware that when trying to correct an error in a greater array of bytes, you will not get an error indicator but an unwanted bit might be changed. In arrays small enough, multiple bit errors are not corrected, but by far most multiple bit errors are detected (see CRC16).

Parameters

X: PJclByteArray

The array which contains the data. With CheckCrc16 and CheckCrc16_A this is an open array parameter, with CheckCrC16_P this is a pointer to the first byte of the array of bytes.

N: Integer

The number of elements in X. CheckCrc16_A uses all bytes in the array X.

Crc: Word

Transmitted CRC value to check the data against.

Return Value

0 No CRC error.

1 Correctable error. If the false bit was in the data, it has been corrected.

-1 Uncorrectable error (more than one false bit).

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

Crc16 InitCrc16 CheckCrc32


Crc16 Function

See Also

Calculates or checks a 16 Bit CRC.

Pascal

function Crc16_P(X: PJclByteArray; N: Integer; Crc: Word = 0): Word;
function Crc16(const X: array of Byte; N: Integer; Crc: Word = 0): Word;
function Crc16_A(const X: array of Byte; Crc: Word = 0): Word;

Description

16 Bit CRC function. Calculates or checks a CRC. Independently from the size of the data array, with a 16 bit CRC any single and double bit error can be detected. By far most multiple bit errors are detected, too: E.g. all even (or odd) count of bit errors (depending on the polynomial used) and all burst errors with up to 16 bits length (so any sequence of up to two incorrect bytes) are detected. Burst error with a length of more than 16 are detected with a probability of 99,99998474 %. All this is true only if an appropriate polynomial is used. By default the 16 Bit CRC "generator polynomial" suggested by the CCITT is used: x^16 + x^12 + x^5 + 1 ($11021). This polynomial has a "maximum cycle" and is used to protect data on floppy disks, too. The default starting value is $FFFF. By InitCrc16 a different polynomial and starting value can be defined.

Parameters

X: PJclByteArray

The array which contains the data. With Crc16 and Crc16_A this is an open array parameter, with CrC16_P this is a pointer to the first byte of the array of bytes.

N: Integer

The number of elements in X. Crc16_A calculates the checksum of all bytes in the array X.

Crc: Word = 0

(optional) if not defined or = 0: Crc16 calculates the CRC for the data array transmitted; if CRC is defined: the CRC value is checked against the data and the result is 0 if the CRC was correct.

Return Value

If on input CRC not defined or = 0: The result is the created CRC.

If on input CRC is defined: The result is 0 if the CRC was OK,

otherwise the function returns the residuum for the correction function.

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

CheckCrc16 InitCrc16 Crc32


InitCrc16 Function

See Also

Defines a new polynomial and starting value for the 16 bit CRC functions.

Pascal

procedure InitCrc16(Polynom: Word; Start: Word);

Description

Defines a new "generator polynomial" and starting value for the 16 bit CRC functions. Beware that the check and the correction only works if the polynomial is "appropriate". Two of these polynomials are predefined: Crc16PolynomCCITT = $1021 represents the polynomial x^16 + x^12 + x^5 + 1 that is suggested by the CCITT and used to protect floppy disks. Crc16PolynomXXXXX = $8005 represents the polynomial x^16 + x^15 + x^2 + 1 which is another "appropriate" polynomial and used to protect magnetic tapes. Beware that not appropriate polynomials result in highly undesirable behaviour of the CRC. The starting value can by anything. $FFFF and 0 are usual definitions.

Parameters

Start: Word

16 bit starting value to be used with subsequent calls to 16 bit CRC functions

polynomial

Generator polynomial to be used with subsequent calls to 16 bit CRC functions. The polynomial is given without the highest bit (bit x^16)

Notes

As a standard in the Jedi Code Library the compiler option {$J-} is set to prevent modifying typed constants. So the function CRC32Init only exists if JCLMath is recompiled with the compiler environment variable "CRCINIT" defined, which temporarily sets {$J+} for the CRC functions.

Donator

Michael Schnell

Group

CRC

Unit

JclMath


See Also

Crc16 CheckCrc16 InitCrc32


Exponential

Math Routines

Functions

Exp

Calculates e raised to a power x.

Power

Returns Base to the power Exponent.

PowerInt

Returns X to the power N.

TenToY

Raises 10 to the power Y.

TwoToY

Raises 2 to the power Y.


Exponential Functions

Exponential

Functions

Exp

Calculates e raised to a power x.

Power

Returns Base to the power Exponent.

PowerInt

Returns X to the power N.

TenToY

Raises 10 to the power Y.

TwoToY

Raises 2 to the power Y.


Exp Function

Calculates e raised to a power x.

Pascal

function Exp(const X: Float): Float; overload;
function Exp(const Z: TRectComplex): TPolarComplex; overload;

Description

Calculates e raised to a power x.

Parameters

const X: Float

Value for which to calculate the exp.

Donator

Unknown

Group

Exponential

Unit

JclMath


Power Function

See Also

Returns Base to the power Exponent.

Pascal

function Power(const Base: Float; const Exponent: Float): Float; overload;
function Power(const Z: TPolarComplex; const Exponent: TRectComplex): TPolarComplex; overload;
function Power(const Z: TPolarComplex; const Exponent: Float): TPolarComplex; overload;

Description

Power calculates Base to the power Exponent. If Base equals 0 the result is 0, if Exponent equals 0 the result is 1. If the exponent is an integer as opposed to a floating point value you should use PowerInt instead.

Parameters

const Base: Float

Base value.

const Exponent: Float

Exponent value.

Return Value

Base to the power Exponent.

Donator

Clayton Collie

Group

Exponential

Unit

JclMath


See Also

PowerInt TenToY TwoToY


PowerInt Function

See Also

Returns X to the power N.

Pascal

function PowerInt(const X: Float; N: Integer): Float; overload;
function PowerInt(const Z: TPolarComplex; const Exponent: Integer): TPolarComplex; overload;

Description

PowerInt calculates X to the power N where N is an integer. This function uses multiplication to raise X to the power N which is faster than using the formal formula for Power (which uses Exp and Ln) and therefore you should favor this function over Power when the exponent is an integer.

Parameters

const X: Float

Base value

N: Integer

Exponent

Return Value

X to the power N

Donator

J. Debord

Group

Exponential

Unit

JclMath


See Also

Power TenToY TwoToY


TenToY Function

See Also

Raises 10 to the power Y.

Pascal

function TenToY(const Y: Float): Float;

Description

TenToY calculates 10 to the power Y.

Parameters

const Y: Float

The exponent to raise 10 to.

Return Value

10 to the power Y.

Donator

ESB Consultancy

Group

Exponential

Unit

JclMath


See Also

Power PowerInt TwoToY


TwoToY Function

See Also

Raises 2 to the power Y.

Pascal

function TwoToY(const Y: Float): Float;

Description

TenToY calculates 2 to the power Y.

Parameters

const Y: Float

The exponent to raise 2 to.

Return Value

2 to the power Y.

Donator

ESB Consultancy

Group

Exponential

Unit

JclMath


See Also

Power PowerInt TenToY


Float support

Legend

Math Routines

Enumerations

 TFloatingPointClass

Describes the hierarchy of floating point classes.

Functions

FloatingPointClass

Classifies the supplied floating point value.

GetNaNTag

Retrieves some numeric information tagged to the NaN value.

IsInfinite

Determines whether Value is infinite.

IsNaN

Determines whether Value is a NaN.

MakeQuietNaN

Makes X a quiet NaN.

MakeSignalingNaN

Makes X a signaling NaN.

ModFloat

Returns the modulus of two floating point numbers.

RemainderFloat

Returns the remainder of two floating point numbers.

FloatsEqual

Compares two floats for equality.

SwapFloats

Swaps two floating point values.

MinFloat

Returns the smaller of the arguments

MaxFloat

Returns the larger of the two arguments.

MineSingleBuffer

MineSingleBuffer fills the buffer with consecutive tagged signaling NaNs.

MineDoubleBuffer

MineDoubleBuffer fills the buffer with consecutive tagged signaling NaNs.

CalcMachineEps

Calculates the Machine Epsilon value for the current precision.

CalcMachineEpsSingle

Calculates the Machine Epsilon value for single precision.

CalcMachineEpsDouble

Calculates the Machine Epsilon value for double precision.

CalcMachineEpsExtended

Calculates the Machine Epsilon value for extended precision.

IsFloatZero

Determines whether value X is zero.

IsSpecialValue

Determines of a value is either NaN or infinite.

SetPrecisionTolerance

Set the precision tolerance to a new value.

SetPrecisionToleranceToEpsilon

Set the PrecisionTolerance variable to Epsilon.

Types

TNaNTag

The data type used by JCL routines for tagging numeric information to NaN values.

Variables

Epsilon

Epsilon and related variables hold the calculated machine Epsilon.

PrecisionTolerance

PrecisionTolerance holds the value of the tolerance used within the JCL.

Legend

Enumeration


Float support Functions

Float support

Functions

FloatingPointClass

Classifies the supplied floating point value.

GetNaNTag

Retrieves some numeric information tagged to the NaN value.

IsInfinite

Determines whether Value is infinite.

IsNaN

Determines whether Value is a NaN.

MakeQuietNaN

Makes X a quiet NaN.

MakeSignalingNaN

Makes X a signaling NaN.

ModFloat

Returns the modulus of two floating point numbers.

RemainderFloat

Returns the remainder of two floating point numbers.

FloatsEqual

Compares two floats for equality.

SwapFloats

Swaps two floating point values.

MinFloat

Returns the smaller of the arguments

MaxFloat

Returns the larger of the two arguments.

MineSingleBuffer

MineSingleBuffer fills the buffer with consecutive tagged signaling NaNs.

MineDoubleBuffer

MineDoubleBuffer fills the buffer with consecutive tagged signaling NaNs.

CalcMachineEps

Calculates the Machine Epsilon value for the current precision.

CalcMachineEpsSingle

Calculates the Machine Epsilon value for single precision.

CalcMachineEpsDouble

Calculates the Machine Epsilon value for double precision.

CalcMachineEpsExtended

Calculates the Machine Epsilon value for extended precision.

IsFloatZero

Determines whether value X is zero.

IsSpecialValue

Determines of a value is either NaN or infinite.

SetPrecisionTolerance

Set the precision tolerance to a new value.

SetPrecisionToleranceToEpsilon

Set the PrecisionTolerance variable to Epsilon.


Float support Enumerations

Float support	Legend

Enumerations

 TFloatingPointClass

Describes the hierarchy of floating point classes.


Legend

Enumeration


Float support Types

Float support

Types

TNaNTag

The data type used by JCL routines for tagging numeric information to NaN values.


Float support Variables

Float support

Variables

Epsilon

Epsilon and related variables hold the calculated machine Epsilon.

PrecisionTolerance

PrecisionTolerance holds the value of the tolerance used within the JCL.


Legend

Float support

Legend

Enumeration


FloatingPointClass Function

See Also

Classifies the supplied floating point value.

Pascal

function FloatingPointClass(const Value: Single): TFloatingPointClass; overload;
function FloatingPointClass(const Value: Double): TFloatingPointClass; overload;
function FloatingPointClass(const Value: Extended): TFloatingPointClass; overload;

Description

Classifies the supplied floating point value.

Parameters

const Value: Single

The value to classify.

Return Value

The result is the class to which Value belongs.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TFloatingPointClass


GetNaNTag Function

See Also

Retrieves some numeric information tagged to the NaN value.

Pascal

function GetNaNTag(const NaN: Single): TNaNTag; overload;
function GetNaNTag(const NaN: Double): TNaNTag; overload;
function GetNaNTag(const NaN: Extended): TNaNTag; overload;

Description

Retrieves some numeric information tagged to the NaN value.

Parameters

const NaN: Single

The NaN value to evaluate.

Return Value

The value encoded in the NaN.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TNaNTag MakeQuietNaN MakeSignalingNaN


IsInfinite Function

See Also

Determines whether Value is infinite.

Pascal

function IsInfinite(const Value: Single): Boolean; overload;
function IsInfinite(const Value: Double): Boolean; overload;
function IsInfinite(const Value: Extended): Boolean; overload;
function IsInfinite(const Z: TRectComplex): Boolean; overload;
function IsInfinite(const Z: TPolarComplex): Boolean; overload;

Description

Determines whether Value is infinite.

Parameters

const Value: Single

The floating point value to examine.

Return Value

The result is True when Value is infinite, False otherwise.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TFloatingPointClass FloatingPointClass


IsNaN Function

See Also

Determines whether Value is a NaN.

Pascal

function IsNaN(const Value: Single): Boolean; overload;
function IsNaN(const Value: Double): Boolean; overload;
function IsNaN(const Value: Extended): Boolean; overload;

Description

Determines whether Value is a NaN.

Parameters

const Value: Single

The floating point value to examine.

Return Value

The result is True when Value is a NaN, False otherwise.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TFloatingPointClass FloatingPointClass MakeQuietNaN MakeSignalingNaN TNaNTag


MakeQuietNaN Function

See Also

Makes X a quiet NaN.

Pascal

procedure MakeQuietNaN(var X: Single; Tag: TNaNTag = 0); overload;
procedure MakeQuietNaN(var X: Double; Tag: TNaNTag = 0); overload;
procedure MakeQuietNaN(var X: Extended; Tag: TNaNTag = 0); overload;

Description

Makes a floating point variable X a quiet NaN (QNaN). A QNaN is a NaN with the most significant fraction bit set. QNaNs, in contrast to signaling NaNs (SNaNs), are allowed to propagate through most arithmetic operations without signaling an exception.

Parameters

var X: Single

The floating point variable to change into a QNaN.

Tag: TNaNTag = 0

An integer value to be encoded in the resulting NaN value. It may be used to propagate some information through a sequence of arithmetic operations.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TFloatingPointClass TNaNTag MakeSignalingNaN GetNaNTag


MakeSignalingNaN Function

See Also

Makes X a signaling NaN.

Pascal

procedure MakeSignalingNaN(var X: Single; Tag: TNaNTag = 0); overload;
procedure MakeSignalingNaN(var X: Double; Tag: TNaNTag = 0); overload;
procedure MakeSignalingNaN(var X: Extended; Tag: TNaNTag = 0); overload;

Description

Makes a floating point variable X a signaling NaN (SNaN). An SNaN is a NaN with the most significant fraction bit clear. SNaNs generally signal an floating-point invalidoperation exception whenever they appear as operands in arithmetic operations. SNaNs are typically used to trap or invoke an exception handler. They must be inserted by software; that is, the processor never generates an SNaN as a result of a floating-point operation.

Parameters

var X: Single

The floating point variable to change into a SNaN.

Tag: TNaNTag = 0

An integer value to be encoded in the resulting NaN value.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TFloatingPointClass TNaNTag MakeQuietNaN GetNaNTag


ModFloat Function

See Also

Returns the modulus of two floating point numbers.

Pascal

function ModFloat(const X: Float; const Y: Float): Float;

Description

ModFloat calculates the modulus (remainder) of the two floating point numbers. For floating point numbers the modulus is calculated as: X - Floor(X / Y) * Y.

Parameters

const X: Float

The first float

const Y: Float

The second float

Return Value

Modulus of the two floating point numbers.

Donator

ESB Consultancy

Group

Float support

Unit

JclMath


See Also

RemainderFloat


RemainderFloat Function

See Also

Returns the remainder of two floating point numbers.

Pascal

function RemainderFloat(const X: Float; const Y: Float): Float;

Description

RemainderFloat calculates the remainder of the two floating point numbers. For floating point numbers the remainder is calculated as: X - Int(X / Y) * Y

Parameters

const X: Float

The first float

const Y: Float

The second float

Return Value

The remainder of the two floating point numbers.

Donator

ESB Consultancy

Group

Float support

Unit

JclMath


See Also

ModFloat


FloatsEqual Function

See Also

Compares two floats for equality.

Pascal

function FloatsEqual(const X: Float; const Y: Float): Boolean;

Description

FloatsEqual compares the two supplied floating point values for equality within the precision defined by the PrecisionTolerance global variable. Thus the two values are considered to be equal if the absolute difference between them is smaller than the value defined by PrecisionTolerance.

Parameters

X1

First value to compare

X2

Second value to compare

Return Value

If the two supplied values are equal within the precision defined by the PrecisionTolerance global variable, the function returns True, otherwise it returns False.

Donator

ESB Consultancy

Group

Float support

Unit

JclMath


See Also

FloatIsZero


SwapFloats Function

Swaps two floating point values.

Pascal

procedure SwapFloats(var X: Float; var Y: Float);

Description

SwapFloat swaps the two supplied floating point values. That is, at return from this subroutine X contains the value of Y and Y contains the value of X.

Parameters

var X: Float

First float

var Y: Float

Second float

Donator

Marcel van Brakel

Group

Float support

Unit

JclMath


MinFloat Function

Returns the smaller of the arguments

Pascal

function MinFloat(const X: Float; const Y: Float): Float;

Description

MinFloat returns the smaller value of the two arguments. I.e. if X < Y the result is X, otherwise the result is Y.

Parameters

const X: Float

Value 1.

const Y: Float

Value 2.

Return Value

The smaller of the two arguments.

Donator

Clayton Collie

Group

Float support

Unit

JclMath


MaxFloat Function

Returns the larger of the two arguments.

Pascal

function MaxFloat(const X: Float; const Y: Float): Float;

Description

MaxFloat returns the larger value of the two arguments. I.e. if X > Y the result is X, otherwise it's Y.

Parameters

const X: Float

Value 1.

const Y: Float

Value 2.

Return Value

The larger of the two arguments.

Donator

Clayton Collie

Group

Float support

Unit

JclMath


TFloatingPointClass Enumeration

See Also

Describes the hierarchy of floating point classes.

Pascal

TFloatingPointClass = (
  fpZero,
  fpNormal,
  fpDenormal,
  fpInfinite,
  fpNaN,
  fpInvalid
);

Description

Enumeration which describes the classes into which floating point encodings can be divided. Their relations are as follows: A floating point encoding can be either supported by the hardware or unsupported (fpInvalid). Supported encodings subdivide into numbers and non-numbers, denoted by the term NaN (Not a Number, fpNaN). A number is either finite or infinite (fpInfinite). If finite, it is either denormal (fpDenormal) or normal. If normal, it is either non-zero (fpNormal) or zero (fpZero).

Remarks

Only the Extended data type allows for unsupported encodings.

What separates NaNs from numbers is that the former are unordered. That is,

the result of relational operations (<, <=, =, >=, >) is not defined for NaNs.

Certain classes of floating point values may result from an exception

condition if the corresponding FPU exception is masked out. See table below.
Exception class	Result on masked exception	Result class
EInvalidOp	NaN (real indefinite)	fpNaN
EZeroDivide	Infinity/NegInfinity	fpInfinite
EOverflow	Infinity/NegInfinity	fpInfinite
EUnderflow	Denormal number	fpDenormal
fpZero

zero

fpNormal

non-zero normal finite number

fpDenormal

denormalized finite

fpInfinite

infinite

fpNaN

not a number

fpInvalid

unsupported floating point format

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

FloatingPointClass IsNaN IsInfinite


TNaNTag Type

See Also

The data type used by JCL routines for tagging numeric information to NaN values.

Pascal

TNaNTag = -$3FFFFF..$3FFFFE;

Description

The data type used by JCL routines for tagging numeric information to NaN values.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

GetNaNTag MakeQuietNaN MakeSignalingNaN


MineSingleBuffer Function

See Also

MineSingleBuffer fills the buffer with consecutive tagged signaling NaNs.

Pascal

procedure MineSingleBuffer(var Buffer; Count: Integer; StartTag: TNaNTag = 0);

Description

MineSingleBuffer fills the buffer with consecutive tagged signaling NaNs. This allows for real number arrays which enforce initialization: any attempt to load an uninitialized array element into the FPU will raise an exception either of class EJclNaNSignal (Windows NT) or EInvalidOp (else). Under Windows NT thus the violating array index can be derived from the EJclNaNSignal object's Tag property.

Parameters

var Buffer

The buffer to initialize with SNaN values.

Count: Integer

The number of array elements.

StartTag: TNaNTag = 0

The integer value assigned to the first array element. The tag is increased with each subsequent array element.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TNaNTag GetNaNTag MineDoubleBuffer MakeSignalingNaN


MineDoubleBuffer Function

See Also

MineDoubleBuffer fills the buffer with consecutive tagged signaling NaNs.

Pascal

procedure MineDoubleBuffer(var Buffer; Count: Integer; StartTag: TNaNTag = 0);

Description

MineDoubleBuffer fills the buffer with consecutive tagged signaling NaNs. This allows for real number arrays which enforce initialization: any attempt to load an uninitialized array element into the FPU will raise an exception either of class EJclNaNSignal (Windows NT) or EInvalidOp (else). Under Windows NT thus the violating array index can be derived from the EJclNaNSignal object's Tag property.

Parameters

var Buffer

The buffer to initialize with SNaN values.

Count: Integer

The number of array elements.

StartTag: TNaNTag = 0

The integer value assigned to the first array element. The tag is increased with each subsequent array element.

Donator

Robert Rossmair

Group

Float support

Unit

JclMath


See Also

TNaNTag GetNaNTag MineSingleBuffer MakeSignalingNaN


CalcMachineEps Function

See Also

Calculates the Machine Epsilon value for the current precision.

Pascal

procedure CalcMachineEps;

Description

This procedure calculates the Machine Epsilon value for the current precision and stores it in the variable Epsilon. Nontheless Epsilon is not used for any calculations. Per definition, all JCL functions which need a specific epsilon use the PrecisionTolerance variable instead. Therefor you need to call either SetPrecisionTolerance or SetPrecisionToleranceToEpsilon.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

CalcMachineEpsSingle CalcMachineEpsDouble CalcMachineEpsExtended SetPrecisionTolerance SetPrecisionToleranceToEpsilon


CalcMachineEpsSingle Function

See Also

Calculates the Machine Epsilon value for single precision.

Pascal

procedure CalcMachineEpsSingle;

Description

This procedure calculates the Machine Epsilon value for single precision and stores it within the variable EpsSingle. Both, the variable Epsilon as well as the variable PrecisionTolerance stay untouched.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

CalcMachineEps CalcMachineEpsDouble CalcMachineEpsExtended SetPrecisionTolerance SetPrecisionToleranceToEpsilon


CalcMachineEpsDouble Function

See Also

Calculates the Machine Epsilon value for double precision.

Pascal

procedure CalcMachineEpsDouble;

Description

This procedure calculates the Machine Epsilon value for double precision and stores it within the variable EpsDouble. Both, the variable Epsilon as well as the variable PrecisionTolerance stay untouched.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

CalcMachineEps CalcMachineEpsSingle CalcMachineEpsExtended SetPrecisionTolerance SetPrecisionToleranceToEpsilon


CalcMachineEpsExtended Function

See Also

Calculates the Machine Epsilon value for extended precision.

Pascal

procedure CalcMachineEpsExtended;

Description

This procedure calculates the Machine Epsilon value for extended precision and stores it within the variable EpsExtended. Both, the variable Epsilon as well as the variable PrecisionTolerance stay untouched.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

CalcMachineEps CalcMachineEpsSingle CalcMachineEpsDouble SetPrecisionTolerance SetPrecisionToleranceToEpsilon


IsFloatZero Function

See Also

Determines whether value X is zero.

Pascal

function IsFloatZero(const X: Float): Boolean;

Description

Determines whether value X is zero or near by zero. To determine if a value is near by zero the function takes advance of the PrecisionTolerance variable.

Parameters

const X: Float

Value to test.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

IsNaN IsInfinite IsSpecialValue


IsSpecialValue Function

See Also

Determines of a value is either NaN or infinite.

Pascal

function IsSpecialValue(const X: Float): Boolean;

Description

IsSpecialValue returns true if the value is either a NaN, positive Infinite or negative Infinite.

Parameters

const X: Float

The value to test.

Donator

Matthias Thoma

Group

Float support

Unit

JclMath


See Also

IsNaN IsInfinite


SetPrecisionTolerance Function

See Also

Set the precision tolerance to a new value.

Pascal

function SetPrecisionTolerance(NewTolerance: Float): Float;

Description

This function sets the PrecisionTolerance variable to a new value NewTolerance.

Parameters

NewTolerance: Float

The new tolerance to use.

Donator

Unknown

Group

Float support

Unit

JclMath


See Also

SetPrecisionToleranceToEpsilon


SetPrecisionToleranceToEpsilon Function

Set the PrecisionTolerance variable to Epsilon.

Pascal

procedure SetPrecisionToleranceToEpsilon;

Description

This procedure sets the PrecisionTolerance variable to Epsilon. Epsilon is (re-) calaculated using the CalcMachineEps function.

Donator

Unknown

Group

Float support

Unit

JclMath


Epsilon Variable

Epsilon and related variables hold the calculated machine Epsilon.

Pascal

EpsSingle: Single;
EpsDouble: Double;
EpsExtended: Extended;
Epsilon: Float;
ThreeEpsSingle: Single;
ThreeEpsDouble: Double;
ThreeEpsExtended: Extended;
ThreeEpsilon: Float;

Description

Epsilon holds the calculated machine Epsilon. If no Epsilon has been calaculated by the CalcMachineEps procedure the value of Epsilon is undetermined.

Nontheless Epsilon is not used for any calculations. Per definition, all JCL functions which need a specific epsilon use the PrecisionTolerance variable instead. Therefor you need to call either SetPrecisionTolerance or SetPrecisionToleranceToEpsilon.

Group

Float support

Unit

JclMath


PrecisionTolerance Variable

PrecisionTolerance holds the value of the tolerance used within the JCL.

Pascal

PrecisionTolerance: Float = 0.0000001;

Description

Several JCL functions and procedures are using PrecisionTolerance. For example, IsFloatZero uses this variable to determine if a value is zero or near by zero.

Group

Float support

Unit

JclMath


Hardware

Legend

Math Routines

Constants

All8087Exceptions

A set containing all FPU exception flags.

Enumerations

 T8087Exception

An enumeration describing the set of available FPU exception masks.

 T8087Precision

Used for retrieving and setting the FPU precision control.

 T8087Rounding

Enumeration used for retrieving and setting the FPU rounding control.

 T8087Infinity

Enumeration used for retrieving and setting the FPU infinity control.

Functions

ClearPending8087Exceptions

Clears all pending FPU exceptions.

GetPending8087Exceptions

Returns a set of pending FPU exception flags.

GetMasked8087Exceptions

Returns the set of masked FPU exceptions.

SetMasked8087Exceptions

Sets the FPU exception mask.

Mask8087Exceptions

Masks additional exceptions.

Unmask8087Exceptions

Unmasks the specified exceptions.

Set8087Infinity

Sets the infinity control of the FPU.

Set8087Precision

Sets the precision control of the FPU.

Set8087Rounding

Sets the rounding control of the FPU.

Get8087Infinity

Returns the infinity setting of the FPU.

Get8087Precision

Returns the precision setting of the FPU.

Get8087Rounding

Returns the rounding setting of the FPU.

Set8087ControlWord

Sets the 80x87 control word

Get8087ControlWord

Returns the 80x87 control word.

Get8087StatusWord

Returns the 80x87 status word.

Types

T8087Exceptions

An enumeration describing the set of available FPU exception masks.

Legend

Enumeration


Hardware Enumerations

Hardware	Legend

Enumerations

 T8087Exception

An enumeration describing the set of available FPU exception masks.

 T8087Precision

Used for retrieving and setting the FPU precision control.

 T8087Rounding

Enumeration used for retrieving and setting the FPU rounding control.

 T8087Infinity

Enumeration used for retrieving and setting the FPU infinity control.


Legend

Enumeration


Hardware Types

Hardware

Types

T8087Exceptions

An enumeration describing the set of available FPU exception masks.


Hardware Constants

Hardware

Constants

All8087Exceptions

A set containing all FPU exception flags.


Hardware Functions

Hardware

Functions

ClearPending8087Exceptions

Clears all pending FPU exceptions.

GetPending8087Exceptions

Returns a set of pending FPU exception flags.

GetMasked8087Exceptions

Returns the set of masked FPU exceptions.

SetMasked8087Exceptions

Sets the FPU exception mask.

Mask8087Exceptions

Masks additional exceptions.

Unmask8087Exceptions

Unmasks the specified exceptions.

Set8087Infinity

Sets the infinity control of the FPU.

Set8087Precision

Sets the precision control of the FPU.

Set8087Rounding

Sets the rounding control of the FPU.

Get8087Infinity

Returns the infinity setting of the FPU.

Get8087Precision

Returns the precision setting of the FPU.

Get8087Rounding

Returns the rounding setting of the FPU.

Set8087ControlWord

Sets the 80x87 control word

Get8087ControlWord

Returns the 80x87 control word.

Get8087StatusWord

Returns the 80x87 status word.


Legend

Hardware

Legend

Enumeration


T8087Exception Enumeration

An enumeration describing the set of available FPU exception masks.

Pascal

T8087Exception = (
  emInvalidOp,
  emDenormalizedOperand,
  emZeroDivide,
  emOverflow,
  emUnderflow,
  emPrecision
);
T8087Exceptions = set of T8087Exception;

Description

An enumeration which describes the set of available FPU exception masks. Note that you can use the All8087Exceptions constant whenever you need a set which includes all exception flags.

emInvalidOp

Invalid operation mask.

emDenormalizedOperand

Denormalized operation mask.

emZeroDivide

Division by zero mask.

emOverflow

Overflow mask.

emUnderflow

Underflow mask.

emPrecision

Precision error mask.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


All8087Exceptions Constant

A set containing all FPU exception flags.

Pascal

All8087Exceptions = [Low(T8087Exception)..High(T8087Exception)];

Description

All8087Exceptions is a pre-initialized set which contains all of the available FPU exception flags (from the T8087Exception enumeration).

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


ClearPending8087Exceptions Function

See Also

Clears all pending FPU exceptions.

Pascal

function ClearPending8087Exceptions: T8087Exceptions;

Description

The ClearPending8087Exceptions function clears all pending FPU exceptions.

Return Value

The result is the set of exception flags that were set before the entire mask was cleared.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions GetPending8087Exceptions


GetPending8087Exceptions Function

See Also

Returns a set of pending FPU exception flags.

Pascal

function GetPending8087Exceptions: T8087Exceptions;

Description

The GetPending8087Exceptions routine returns a set of flags representing the pending FPU exceptions. Note that the pending exceptions are not cleared. To get the pending exceptions and clear them use the ClearPending8087Exceptions routine.

Return Value

The result is the set of pending FPU exceptions.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions ClearPending8087Exceptions


GetMasked8087Exceptions Function

See Also

Returns the set of masked FPU exceptions.

Pascal

function GetMasked8087Exceptions: T8087Exceptions;

Description

GetMasked8087Exceptions returns a set of flags representing the FPU exceptions that are currently masked (i.e. the exceptions ignored by the FPU).

Return Value

The result is the set of masked FPU exceptions.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions SetMasked8087Exceptions Unmask8087Exceptions Mask8087Exceptions


SetMasked8087Exceptions Function

See Also

Sets the FPU exception mask.

Pascal

function SetMasked8087Exceptions(Exceptions: T8087Exceptions; ClearBefore: Boolean = True): T8087Exceptions;

Description

The SetMasked8087Exceptions routine sets the masked exception flags of the FPU's control word. In effect this means that afterwards the FPU no longer raises an exception of the kind included in the Exceptions parameter, instead it ignores the error situation. Note that by default exceptions previously masked are cleared if they do not appear in the Exception parameter.

Parameters

ClearBefore: Boolean = True

If set to True the routine clears pending exceptions, if any, before modifying the exception mask. This is the default behavior. If set to False the routine does not clear pending exceptions.

Return Value

The result is the exception mask before it was modified.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions GetMasked8087Exceptions Unmask8087Exceptions Mask8087Exceptions


Mask8087Exceptions Function

See Also

Masks additional exceptions.

Pascal

function Mask8087Exceptions(Exceptions: T8087Exceptions): T8087Exceptions;

Description

Mask8087Exceptions masks the exceptions specified by the Exceptions parameter. Unlike SetMasked8087Exceptions the original exception mask is left intact. For example, if the current exception mask equals [emInvalidOp, emDenormalizedOperand], and you call Mask8087Exceptions([emZeroDivide]), then upon return the exception mask equals [emInvalidOp, emDenormalizedOperand, emZeroDivide].

Return Value

The set of exceptions that were masked upon routine entry. Upon exit the set of masked exceptions equals Result plus Exceptions.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions Unmask8087Exceptions GetMasked8087Exceptions SetMasked8087Exceptions


Unmask8087Exceptions Function

See Also

Unmasks the specified exceptions.

Pascal

function Unmask8087Exceptions(Exceptions: T8087Exceptions; ClearBefore: Boolean = True): T8087Exceptions;

Description

The Unmask8087Exceptions routine unmasks the exceptions specified by the Exceptions parameter. Note that exceptions not included in the Exceptions parameter are left unchanged, unlike SetMasked8087Exceptions which modifies the entire mask.

Parameters

ClearBefore: Boolean = True

If set to True any pending exceptions are cleared before the routine returns, if set to False pending exceptions are not cleared.

Return Value

The set of exceptions that were masked upon routine entry. Upon exit the set of masked exceptions equals Result minus Exceptions.

Donator

Robert Rossmair

Group

Hardware

Unit

Jcl8087


See Also

T8087Exceptions Mask8087Exceptions GetMasked8087Exceptions SetMasked8087Exceptions


T8087Precision Enumeration

Used for retrieving and setting the FPU precision control.

Pascal

T8087Precision = (
  pcSingle,
  pcReserved,
  pcDouble,
  pcExtended
);

Description

T8087Precision is an enumeration used to set and retrieve the FPU precision control.

pcSingle

Single precision (short)

pcReserved

Reserved, never actually used (convenience)

pcDouble

Double precision (long)

pcExtended

Extended precision (temporary)

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


T8087Rounding Enumeration

See Also

Enumeration used for retrieving and setting the FPU rounding control.

Pascal

T8087Rounding = (
  rcNearestOrEven,
  rcDownInfinity,
  rcUpInfinity,
  rcChopOrTruncate
);

Description

T8087Rounding is an enumeration used to set and retrieve the FPU rounding control.

rcNearestOrEven

Rounds to the nearest or even

rcDownInfinity

Rounds down towards negative infinity

rcUpInfinity

Rounds up towards positive infinity

rcChopOrTruncate

Chops or truncates towards zero

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Get8087Rounding Set8087Rounding


T8087Infinity Enumeration

See Also

Enumeration used for retrieving and setting the FPU infinity control.

Pascal

T8087Infinity = (
  icProjective,
  icAffine
);

Description

T8087Infinity is an enumeration used to set and retrieve the FPU infinity control.

icProjective

Infinity is always assumed to be unsigned.

icAffine

Allows positive and negative infinity.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Set8087Precision


Set8087Infinity Function

See Also

Sets the infinity control of the FPU.

Pascal

function Set8087Infinity(const Infinity: T8087Infinity): T8087Infinity;

Description

Set8087Infinity adjusts the infinity control setting of the mathematical coprocessor.

Parameters

const Infinity: T8087Infinity

New value for the infinity control of the FPU. See T8087Infinity for the possible values and their meaning.

Return Value

The previous infinity setting of the FPU.

Notes

This setting doesn't actually affect the way the FPU works. The infinity control flag is provided for compatibility with the Intel 287 Math Coprocessor; it is not meaningful for later version x87 FPU coprocessors or 32 bit Intel architecture processors.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Set8087Precision, Set8087Rounding, Get8087Infinity, Get8087Precision, Get8087Rounding, Get8087ControlWord, Set8087ControlWord


Set8087Precision Function

See Also

Sets the precision control of the FPU.

Pascal

function Set8087Precision(const Precision: T8087Precision): T8087Precision;

Description

Set8087Precision adjusts the precision control setting of the mathematical coprocessor.

Parameters

const Precision: T8087Precision

New value for the precision control of the FPU. See T8087Precision for the possible values and their meaning.

Return Value

The previous precision setting of the FPU.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Set8087Infinity Set8087Rounding Get8087Infinity Get8087Precision Get8087Rounding Get8087ControlWord Set8087ControlWord


Set8087Rounding Function

See Also

Sets the rounding control of the FPU.

Pascal

function Set8087Rounding(const Rounding: T8087Rounding): T8087Rounding;

Description

Set8087Rounding adjusts the rounding control setting of the mathematical coprocessor.

Parameters

const Rounding: T8087Rounding

New value for the rounding control of the FPU. See T8087Rounding for the possible values and their meaning.

Return Value

The previous rounding setting of the FPU.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Set8087Infinity Set8087Precision Get8087Infinity Get8087Precision Get8087Rounding Get8087ControlWord Set8087ControlWord


Get8087Infinity Function

See Also

Returns the infinity setting of the FPU.

Pascal

function Get8087Infinity: T8087Infinity;

Description

Get8087Infinity returns the infinity control setting of the mathematical coprocessor. The infinity setting controls how the FPU interprets infinity values.

Return Value

The infinity setting of the FPU in the form of an enumerated type. See T8087Infinity for the possible values and their meaning.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Get8087Precision Get8087Rounding Set8087Infinity Set8087Precision Set8087Rounding Get8087ControlWord Set8087ControlWord


Get8087Precision Function

See Also

Returns the precision setting of the FPU.

Pascal

function Get8087Precision: T8087Precision;

Description

Get8087Precision returns the precision control setting of the mathematical coprocessor.

Return Value

The precision setting of the FPU. See T8087Precision for the possible values and their meaning.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Get8087Infinity Get8087Rounding Set8087Infinity Set8087Precision Set8087Rounding Get8087ControlWord Set8087ControlWord


Get8087Rounding Function

See Also

Returns the rounding setting of the FPU.

Pascal

function Get8087Rounding: T8087Rounding;

Description

Get8087Rounding returns the rounding control setting of the mathematical coprocessor.

Return Value

The rounding setting of the FPU. See T8087Rounding for more information about the possible values and their meaning.

Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Get8087Infinity Get8087Precision Set8087Infinity Set8087Precision Set8087Rounding Get8087ControlWord Set8087ControlWord


Set8087ControlWord Function

See Also

Sets the 80x87 control word

Pascal

function Set8087ControlWord(const Control: Word): Word;

Description

Set8087ControlWord sets the 80x87 control word (register). See Get8087ControlWord for details on the individual bits of the Control parameter.

Parameters

const Control: Word

New value for the 80x87 control word.

Return Value

Previous value of the control word.

Donator

ESB Consultancy

Group

Hardware

Unit

Jcl8087


See Also

Get8087ControlWord Get8087StatusWord


Get8087ControlWord Function

See Also

Returns the 80x87 control word.

Pascal

function Get8087ControlWord: Word;

Description

Get8087ControlWord returns the 80x87 control word (register). This is the FPU's register that controls how the FPU operates with regard to things such as precision, rounding and infinity control. See the table below for the meaning of the individual bits. Note that although this routine might be handy at times, the Get8087Infinity, Get8087Precision and Get8087Rounding functions are preferred as they shield you from the low level bit manipulation.
Bit(s)	Description
0 (IM)	Invalid operation mask
1 (DM)	Denormalized operand mask
2 (ZM)	Division by zero mask
3 (OM)	Overflow mask
4 (UM)	Underflow mask
5 (PM)	Precision error mask
8,9 (PC)	Precision control * 00 Single precision * 01 Reserved * 10 Double precision * 11 Extended precision
10,11 (RC)	Rounding control * 00 Round to nearest or even * 01 Round down * 10 Round up * Chop or truncate toward 0
12 (IC)	Infinity control * 0 projective * 1 affine
Return Value

The 80x87 control word.

Donator

ESB Consultancy

Group

Hardware

Unit

Jcl8087


See Also

Get8087StatusWord Set8087ControlWord


Get8087StatusWord Function

See Also

Returns the 80x87 status word.

Pascal

function Get8087StatusWord(ClearExceptions: Boolean): Word;

Description

Get8087StatusWord returns the 80x87 status word. This is the FPU's register that reflects it's overall status. The meaning of the individual bits are documented in the table below.

Parameters

ClearExceptions: Boolean

If True the function clears any pending floating point exceptions before returning the status word. If False the function does not clear pending exceptions (it's the difference between using FSTSW and FNSTSW).

Return Value

The contents of the 80x87 status word.
Bit(s)	Description
0 (IE)	Invalid error such as stack overflow/underflow.
1 (DE)	Denormalized error meaning at least one operand was denormalized
2 (ZE)	Zero error indicates the divisor was 0 while the dividend was non-zero or non-infinity
3 (OE)	Overflow error indicating the result of an operation was too large to be represented. If overflow error is masked a result of infinity was returned
4 (UE)	Underflow error indicating the result of an operation was too small to be represented.
5 (PE)	Precision error indicating an operand or the result exceeds the selected precision.
6 (SF)	Used in some newer coprocessors to denote overflow or underflow.
7 (ES)	Error summary is set if any of the unmasked error bits is set.
8-10, 14 (C0-C2,C3)	Condition code bits indicate certain conditions such as NAN. These are opcode dependent. See the Intel reference.
11-13 (TOP)	Stack top pointer. Register which functions as top of stack, usually 0.
15 (B)	Busy bit indicating the coprocessor is performing some task.
Donator

Marcel van Brakel

Group

Hardware

Unit

Jcl8087


See Also

Set8087ControlWord Get8087ControlWord


Hyperbolic

Math Routines

Functions

CosH

Returns the hyperbolic cosine of X.

CotH

Returns the hyperbolic cotangent of X.

CscH

Hyperbolic Cosecant (csc).

SecH

Returns the hyperbolic secant of the argument.

SinH

Returns the hyperbolic sine of the argument.

TanH

Returns the hyperbolic tangent of the argument.

ArcCosH

Calculates the inverse hyperbolic cosine.

ArcCotH

Calculates the inverse hyperbolic cotangent.

ArcCscH

Calculates the inverse hyperbolic cosecant.

ArcSecH

Calculates the inverse hyperbolic secant.

ArcSinH

Calculates the inverse hyperbolic sine.

ArcTanH

Returns the inverse hyperbolic tangent of X


Hyperbolic Functions

Hyperbolic

Functions

CosH

Returns the hyperbolic cosine of X.

CotH

Returns the hyperbolic cotangent of X.

CscH

Hyperbolic Cosecant (csc).

SecH

Returns the hyperbolic secant of the argument.

SinH

Returns the hyperbolic sine of the argument.

TanH

Returns the hyperbolic tangent of the argument.

ArcCosH

Calculates the inverse hyperbolic cosine.

ArcCotH

Calculates the inverse hyperbolic cotangent.

ArcCscH

Calculates the inverse hyperbolic cosecant.

ArcSecH

Calculates the inverse hyperbolic secant.

ArcSinH

Calculates the inverse hyperbolic sine.

ArcTanH

Returns the inverse hyperbolic tangent of X


CosH Function

Returns the hyperbolic cosine of X.

Pascal

function CosH(X: Float): Float; overload;
function CosH(const Z: TRectComplex): TRectComplex; overload;

Description

Returns the hyperbolic cosine of X. CosH is calculated as [Exp(X) + Exp(-X)] / 2.0.

Parameters

X: Float

Value whose CosH to calculate.

Return Value

Hyperbolic cosine of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


CotH Function

Returns the hyperbolic cotangent of X.

Pascal

function CotH(X: Float): Float; overload;
function CotH(const Z: TRectComplex): TRectComplex; overload;

Description

Returns the hyperbolic cotangent of X. CotH(x) equals cosh(x) / sinh(x).

Parameters

X: Float

Value whose hyperbolic cotangent to calculate.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


CscH Function

Hyperbolic Cosecant (csc).

Pascal

function CscH(X: Float): Float; overload;
function CscH(const Z: TRectComplex): TRectComplex; overload;

Description

Returns the hyperbolic cosecant of X. This is defined as 2.0 / (Exp(X) - Exp(-X)).

Parameters

X: Float

Value whose hyperbolic cosecant to calculate.

Return Value

Hyperbolic cosecant of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


SecH Function

Returns the hyperbolic secant of the argument.

Pascal

function SecH(X: Float): Float; overload;
function SecH(const Z: TRectComplex): TRectComplex; overload;

Description

SecH calculates the hyperbolic secant of X, which is defined as 2.0 / (Exp(X) + Exp(-X))

Parameters

X: Float

Value whose hyperbolic secant to calculate.

Return Value

Hyperbolic secant of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


SinH Function

Returns the hyperbolic sine of the argument.

Pascal

function SinH(X: Float): Float; overload;
function SinH(const Z: TRectComplex): TRectComplex; overload;

Description

SinH returns the hyperbolic sine of X. This is defined as [Exp(X) - Exp(-X)] / 2.0.

Parameters

X: Float

Value whose hyperbolic sine to calculate.

Return Value

Hyperbolic sine of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


TanH Function

Returns the hyperbolic tangent of the argument.

Pascal

function TanH(X: Float): Float; overload;
function TanH(const Z: TRectComplex): TRectComplex; overload;

Description

TanH calculates the hyperbolic tangent of X which is defined as [Sqr(Exp(X)) - 1.0] / [Sqr(Exp(X)) + 1.0].

Parameters

X: Float

Value whose hyperbolic tangent to calculate.

Return Value

Hyperbolic tangent of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcCosH Function

Calculates the inverse hyperbolic cosine.

Pascal

function ArcCosH(X: Float): Float;

Description

ArcCosH calculates the inverse hyperbolic cosine of X. ArcCosH is defined as Ln(X + Sqrt(X * X - 1).

Parameters

X: Float

Value for which to calculate the inverse hyperbolic cosine. Must be greater than or equal to 1.0.

Return Value

The inverse hyperbolic cosine of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcCotH Function

Calculates the inverse hyperbolic cotangent.

Pascal

function ArcCotH(X: Float): Float;

Description

ArcCotH calculates the inverse hyperbolic CotH. Meaning it returns the value whose hyperbolic cotangent equals X. It is defined as Ln((X + 1.0) / (X - 1.0)) / 2.0.

Parameters

X: Float

The value whose ArcCotH to calculate. Absolute value of X must be inequal to 1.0.

Return Value

ArcCoth of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcCscH Function

Calculates the inverse hyperbolic cosecant.

Pascal

function ArcCscH(X: Float): Float;

Description

ArcCscH calculates the inverse hyperbolic cosecant. Meaning, it returns the value whose hyperbolic cosecant equals X. ArcCscH is calculates as Ln((Sgn(X) * Sqrt (Sqr(X) + 1.0) + 1.0) / X)

Parameters

X: Float

Value whose ArcCscH to calculate, cannot be 0.0.

Return Value

ArcCscH of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcSecH Function

Calculates the inverse hyperbolic secant.

Pascal

function ArcSecH(X: Float): Float;

Description

Calculates the inverse hyperbolic secant. Meaning it returns the value whose hyperbolic secant equals X. ArcSecH is calculated as Ln((Sqrt(1.0 - Sqr(X)) + 1.0) / X).

Parameters

X: Float

Value whose ArcSecH to calculate. X must be smaller than or equal to 1.0.

Return Value

Inverse hyperbolic secant of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcSinH Function

Calculates the inverse hyperbolic sine.

Pascal

function ArcSinH(X: Float): Float;

Description

ArcSinH calculates the inverse hyperbolic sine of X. Meaning it returns the value whose hyperbolic sine equals X.

Parameters

X: Float

Value whose ArcSinH to calculate.

Return Value

ArcSinH of X

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


ArcTanH Function

Returns the inverse hyperbolic tangent of X

Pascal

function ArcTanH(X: Float): Float;

Description

Returns the inverse hyperbolic tangent of X.

Parameters

X: Float

Value whose inverse hyperbolic tangent to calculate.

Return Value

Inverse hyperbolic tangent of X.

Donator

Clayton Collie

Group

Hyperbolic

Unit

JclMath


Logarithmic

Math Routines

Functions

LogBaseN

Returns log base N.

LogBase2

Returns log base 2.

LogBase10

Returns log base 10.


Logarithmic Functions

Logarithmic

Functions

LogBaseN

Returns log base N.

LogBase2

Returns log base 2.

LogBase10

Returns log base 10.


LogBaseN Function

See Also

Returns log base N.

Pascal

function LogBaseN(Base: Float; X: Float): Float;

Description

LogBaseN returns the log base N of X. This is calculated as LogN(X) := Log.2(X) / Log.2(N)

Parameters

Base: Float

Base of log (N). Base must be larger than 0.0 and cannot be 1.0 or an exception is raised.

X: Float

Value whose log base N to calculate. N must be larger than 0.0.

Return Value

Log base N of X.

Donator

Clayton Collie

Group

Logarithmic

Unit

JclMath


See Also

LogBase2 LogBase10


LogBase2 Function

See Also

Returns log base 2.

Pascal

function LogBase2(X: Float): Float;

Description

LogBase2 returns the log base 2 of X.

Parameters

X: Float

Value whose log base 2 to calculate. X must be larger than 0.0.

Return Value

Log base 2 of X.

Donator

Clayton Collie

Group

Logarithmic

Unit

JclMath


See Also

LogBase10 LogBaseN


LogBase10 Function

See Also

Returns log base 10.

Pascal

function LogBase10(X: Float): Float;

Description

LogBase10 returns the log base 10 of X. This is calculated as Log10(X) := Log.2(X) * Log.10(2)

Parameters

X: Float

Value whose log base 10 to calculate. X must be larger than 0.0.

Return Value

Log base 10 of X.

Donator

Clayton Collie

Group

Logarithmic

Unit

JclMath


See Also

LogBase2 LogBaseN


Miscellaneous

Math Routines

Functions

ISqrt

Returns the integral part of the square root.

Pythagoras

Computes Sqrt(X^2 + Y^2)

NormalizeAngle

Normalizes the given angle

IsRelativePrime

Tests if two numbers are relatively prime.

LCM

Returns the Least Common Multiple of two integers.

GCD

Returns the greatest common divisor.

Ceiling

Return the nearest integer value above X.

CommercialRound

Performs symmetic arithmetic rounding.

Floor

Return the nearest integer value below X.

Factorial

Returns the factorial of the argument.

Sgn

Returns the sign of the argument.

Signe

Returns the value of X with the same sign as Y.

IsPrimeFactor

Determines if a specific value is a prime factor of another value.

IsPrimeRM

Determines whether a value is a prime number according the Rabin-Miller Strong Primality Test.

IsPrimeTD

Determines whether a Value is a prime number according the Trial Division primality test.

PrimeFactors

Determines all prime factors of a value.

SetPrimalityTest

Set the primality test to use within the JCL.

Variables

IsPrime

Determines whether a value is a prime number.


Miscellaneous Functions

Miscellaneous

Functions

ISqrt

Returns the integral part of the square root.

Pythagoras

Computes Sqrt(X^2 + Y^2)

NormalizeAngle

Normalizes the given angle

IsRelativePrime

Tests if two numbers are relatively prime.

LCM

Returns the Least Common Multiple of two integers.

GCD

Returns the greatest common divisor.

Ceiling

Return the nearest integer value above X.

CommercialRound

Performs symmetic arithmetic rounding.

Floor

Return the nearest integer value below X.

Factorial

Returns the factorial of the argument.

Sgn

Returns the sign of the argument.

Signe

Returns the value of X with the same sign as Y.

IsPrimeFactor

Determines if a specific value is a prime factor of another value.

IsPrimeRM

Determines whether a value is a prime number according the Rabin-Miller Strong Primality Test.

IsPrimeTD

Determines whether a Value is a prime number according the Trial Division primality test.

PrimeFactors

Determines all prime factors of a value.

SetPrimalityTest

Set the primality test to use within the JCL.


Miscellaneous Variables

Miscellaneous

Variables

IsPrime

Determines whether a value is a prime number.


ISqrt Function

Returns the integral part of the square root.

Pascal

function ISqrt(const I: Smallint): Smallint;

Description

ISqrt calculates the integral part of the square root of the argument. That is, it returns Int(Sqrt(I)). Valid values for I are 0..32767. The function does not check the validity of the argument, i.e. it must be within the aforementioned range.

Parameters

const I: Smallint

The value for which to calculate ISqrt(I). Must be greater than or equal to zero.

Return Value

The integral part of the square root of the argument.

Donator

ESB Consultancy

Group

Miscellaneous

Unit

JclMath


Pythagoras Function

Computes Sqrt(X^2 + Y^2)

Pascal

function Pythagoras(const X: Float; const Y: Float): Float;

Description

Computes Sqrt(X^2 + Y^2) without destructive underflow or overflow.

Parameters

const X: Float

First float

const Y: Float

Second float

Return Value

Sqrt(X^2 + Y^2)

Donator

J. Debord

Group

Miscellaneous

Unit

JclMath


NormalizeAngle Function

Normalizes the given angle

Pascal

function NormalizeAngle(const Angle: Float): Float;

Description

NormalizeAngle normalizes the given angle. That is, it makes sure that the angle falls in the interval -PI..PI by iteratively adding or subtracting 2*PI.

Parameters

const Angle: Float

The angle to normalize.

Return Value

The normalized angle.

Donator

J. Debord

Group

Miscellaneous

Unit

JclMath


IsRelativePrime Function

See Also

Tests if two numbers are relatively prime.

Pascal

function IsRelativePrime(const X: Cardinal; const Y: Cardinal): Boolean;

Description

IsRelativePrime returns whether the two supplied numbers are relatively prime to each other. Two numbers are said to be relatively prime if their greatest common divisor equals 1. Another term used for relative prime is coprime.

Parameters

const X: Cardinal

First of the two values.

const Y: Cardinal

Second of the two values.

Return Value

If the two numbers are relatively prime the result is True, otherwise the result is False.

Donator

ESB Consultancy

Group

Miscellaneous

Unit

JclMath


See Also

GCD LCM


LCM Function

See Also

Returns the Least Common Multiple of two integers.

Pascal

function LCM(const X: Cardinal; const Y: Cardinal): Cardinal;

Description

The LCM function returns the Least Common Multiple (LCM) of the two supplied integers.

Parameters

const X: Cardinal

First of the two values.

const Y: Cardinal

Second of the two values.

Return Value

The least common multiple of X and Y.

Donator

ESB Consultancy

Group

Miscellaneous

Unit

JclMath


See Also

GCD IsRelativePrime


GCD Function

See Also

Returns the greatest common divisor.

Pascal

function GCD(X: Cardinal; Y: Cardinal): Cardinal;

Description

The GCD function returns the greatest common divisor (GCD) of the two supplied integers. This is also sometimes referred to as the Highest Common Factor (HCF). The function is implemented using Euclid's algorithm.

Parameters

X: Cardinal

First of the two values.

Y: Cardinal

Second of the two values.

Return Value

The greatest common divisor of X and Y.

Donator

ESB Consultancy

Group

Miscellaneous

Unit

JclMath


See Also

LCM IsRelativePrime


Ceiling Function

Return the nearest integer value above X.

Pascal

function Ceiling(const X: Float): Integer;

Description

Return the nearest integer value above X.

Parameters

const X: Float

The value to return the ceiling of.

Return Value

Nearest integer value above X.

Donator

Clayton Collie

Group

Miscellaneous

Unit

JclMath


CommercialRound Function

Performs symmetic arithmetic rounding.

Pascal

function CommercialRound(const X: Float): Int64;

Description

CommercialRound returns the value of X rounded to the nearest whole number. If X is exactly halfway between two whole numbers, the result is always the larger absolute value. For example, -2.5 is rounded to -3.

Parameters

const X: Float

The value to round.

Return Value

The rounded value.

Donator

Ernesto Benestante

Group

Miscellaneous

Unit

JclMath


Floor Function

Return the nearest integer value below X.

Pascal

function Floor(const X: Float): Integer;

Description

Return the nearest integer value below X.

Parameters

const X: Float

The value to floor.

Return Value

Nearest integer value below X.

Donator

Clayton Collie

Group

Miscellaneous

Unit

JclMath


Factorial Function

Returns the factorial of the argument.

Pascal

function Factorial(const N: Integer): Float;

Description

Factorial returns the factorial of N. Factorial is defined as the product of 1..N, or 1 * 2 * 3 ... N. This value grows very rapidly; to avoid an overflow N must be smaller than 14.

Parameters

X

The value whose factorial to calculate. N must be smaller than 14.

Return Value

Factorial of N.

Donator

Clayton Collie

Group

Miscellaneous

Unit

JclMath


Sgn Function

Returns the sign of the argument.

Pascal

function Sgn(const X: Float): Integer;

Description

Sgn returns the sign of X. If X > 0 the result is 1, if X < 0 the result is -1, and finally if X = 0 the result is 0.

Parameters

const X: Float

Value whose sign to determine.

Return Value

Sign of X expressed as -1, 0 or +1.

Donator

Clayton Collie

Group

Miscellaneous

Unit

JclMath


Signe Function

Returns the value of X with the same sign as Y.

Pascal

function Signe(const X: Float; const Y: Float): Float;

Description

The result is the value of X with the same sign (positive or negative) as Y. If Y is zero, the result will be -X (the value of X with the sign reversed). If X is zero, the result will always be 0.

Parameters

const X: Float

The value you wish to assign a sign to.

const Y: Float

The value that has the desired sign to assign to X.

Return Value

The value of X with the sign (positive or negative) of Y.

Donator

Clayton Collie

Group

Miscellaneous

Unit

JclMath


IsPrimeFactor Function

See Also

Determines if a specific value is a prime factor of another value.

Pascal

function IsPrimeFactor(const F: Cardinal; const N: Cardinal): Boolean;

Description

IsPrimeFactor determines if a specific value F is a prime factor of another value N. F is a prime factor if (F mod N) = 0 and, of course, the value F is a prime number. To determine if F is a prime number the IsPrime function is used.

Parameters

const F: Cardinal

The value to test if it is a prime factor.

const N: Cardinal

The value for which to determine if F is a prime factor.

Donator

Unknown

Group

Miscellaneous

Unit

JclMath


See Also

IsPrime IsPrimeRM IsPrimeTD IsRelativePrime


IsPrimeRM Function

See Also

Determines whether a value is a prime number according the Rabin-Miller Strong Primality Test.

Pascal

function IsPrimeRM(N: Cardinal): Boolean;

Description

Determines whether the value N is a prime number according the Rabin-Miller Strong Primality Test. Instead of using this function directly you should set the Primality Test using the SetPrimalityTest function and use the function IsPrime to check if a value is prime.

Parameters

N: Cardinal

The value to test.

Donator

Unknown

Group

Miscellaneous

Unit

JclMath


See Also

SetPrimalityTest IsPrime


IsPrimeTD Function

Determines whether a Value is a prime number according the Trial Division primality test.

Pascal

function IsPrimeTD(N: Cardinal): Boolean;

Description

Determines whether the value N is a prime number according the Trial Division Primality Test. Instead of using this function directly you should set the Primality Test using the SetPrimalityTest function and use the function IsPrime to check if a value is prime.

Parameters

N: Cardinal

The value to test.

Donator

Unknown

Group

Miscellaneous

Unit

JclMath


PrimeFactors Function

See Also

Determines all prime factors of a value.

Pascal

function PrimeFactors(N: Cardinal): TDynCardinalArray;

Description

PrimeFactors determines all prime factors of a given value.

Parameters

N: Cardinal

The number for which the prime factors should be determined.

Donator

Unknown

Group

Miscellaneous

Unit

JclMath


SetPrimalityTest Function

Set the primality test to use within the JCL.

Pascal

procedure SetPrimalityTest(const Method: TPrimalityTestMethod);

Description

This procedures sets the primality test to use within the JCL. Currently two different algorithms are available: Rabin-Miller strong primality test and the more traditional and straight forward Trial Division method.

If you need to implement a new primality test please follow these rules:

First you need to add a function similar to IsPrimeRM. Per definition, each new primality test function name starts with IsPrime followed by the kind of primality test. A future function concerning the Lehmann primality test would be called, for example, IsPrimeLehmann.

function IsPrimeLehmann(X: Cardinal): Boolean;

begin

[...]

end;

The next step is to add your new test to the TPrimalityTestMethod set.

type

  TPrimalityTestMethod = (ptTrialDivision, ptRabinMiller, ptLehmann);

Furthermore you'll need to add a new case to SetPrimality test.

case Method of

  ptTrialDivision: IsPrime := IsPrimeTD;

  ptRabinMiller: IsPrime := IsPrimeRM;

  ptLehmann: IsPrime := IsPrimeLehmann;

end;

Now you are done. Anyway, please consider to donate your function to the main JCL branch.

Donator

Matthias Thoma

Group

Miscellaneous

Unit

JclMath


IsPrime Variable

See Also

Determines whether a value is a prime number.

Pascal

IsPrime: function(N: Cardinal): Boolean = IsPrimeTD;

Description

Determines whether the value N is a prime number according the currently active Primality Test. You should set the Primality Test using the SetPrimalityTest function.

Parameters

N

The value to test.

Donator

Matthias Thoma

Group

Miscellaneous

Unit

JclMath


See Also

SetPrimalityTest


Statistics

Math Routines

Functions

ArithmeticMean

Calculates the arithmetic mean of an array of floats.

BinomialCoeff

Returns nCr, i.e. Combination of R objects from N.

GeometricMean

Calculates the geometric mean of an array of floats.

HarmonicMean

Calculates the harmonic mean of an array of floats.

IsPositiveFloatArray

Tests whether an array contains only positive elements.

MaxFloatArray

Returns the maximum value in the array.

MaxFloatArrayIndex

Returns the index of element with the maximum value in the array.

Median

Returns the median of an (sorted) array of floats.

MedianUnsorted

Returns the median of an (unsorted) array of floats.

MinFloatArray

Returns the minimum value in the array.

MinFloatArrayIndex

Returns the index of element with the minimum value in the array.

Permutation

Returns nPr. i.e. permutation of R objects from N.

PopulationVariance

Calculates the variance of the values assuming a population.

PopulationVarianceAndMean

Calculates the variance and mean of the values assuming a population.

SampleVariance

Returns the variance of the value assuming a sample.

SampleVarianceAndMean

Calculates the variance and mean of the value assuming a sample.

SumFloatArray

Returns the sum of the array of values.

SumSquareDiffFloatArray

Returns the sum of the square of Diff subtracted from each elements value.

SumSquareFloatArray

Returns the sum of the square of the elements.

SumPairProductFloatArray

Returns the sum of the product of the elements.


Statistics Functions

Statistics

Functions

ArithmeticMean

Calculates the arithmetic mean of an array of floats.

BinomialCoeff

Returns nCr, i.e. Combination of R objects from N.

GeometricMean

Calculates the geometric mean of an array of floats.

HarmonicMean

Calculates the harmonic mean of an array of floats.

IsPositiveFloatArray

Tests whether an array contains only positive elements.

MaxFloatArray

Returns the maximum value in the array.

MaxFloatArrayIndex

Returns the index of element with the maximum value in the array.

Median

Returns the median of an (sorted) array of floats.

MedianUnsorted

Returns the median of an (unsorted) array of floats.

MinFloatArray

Returns the minimum value in the array.

MinFloatArrayIndex

Returns the index of element with the minimum value in the array.

Permutation

Returns nPr. i.e. permutation of R objects from N.

PopulationVariance

Calculates the variance of the values assuming a population.

PopulationVarianceAndMean

Calculates the variance and mean of the values assuming a population.

SampleVariance

Returns the variance of the value assuming a sample.

SampleVarianceAndMean

Calculates the variance and mean of the value assuming a sample.

SumFloatArray

Returns the sum of the array of values.

SumSquareDiffFloatArray

Returns the sum of the square of Diff subtracted from each elements value.

SumSquareFloatArray

Returns the sum of the square of the elements.

SumPairProductFloatArray

Returns the sum of the product of the elements.


ArithmeticMean Function

Calculates the arithmetic mean of an array of floats.

Pascal

function ArithmeticMean(const X: TDynFloatArray): Float;

Description

ArithmeticMean calculates the arithmetic mean of an array of floats. The arithmetic mean is defined as the sum of the elements divided by the number of elements.

Parameters

const X: TDynFloatArray

The array of floating point values for which to calculate the arithmetic mean.

Return Value

The arithmetic mean of the array of floats. If the array is empty the return value is 0.0.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


BinomialCoeff Function

Returns nCr, i.e. Combination of R objects from N.

Pascal

function BinomialCoeff(N: Cardinal; R: Cardinal): Float;

Description

BinomialCoeff returns nCr, i.e. Combination of R objects from N, also known as the binomial coefficient. A Combination is the number of non-order specific ways you can organize R items taken from a pool of N items. For example, [Red, Blue, Green] is the same combination as [Green, Blue, Red].

Parameters

N: Cardinal

TODO description. N is the total number of possible items from which R items will be selected. N must be greater than or equal to R but cannot exceed the value of the MaxFactorial constant (defined as 1754 if Float is Extended). N must be greater than 0, otherwise 0 is returned.

R: Cardinal

TODO description. R is the number of items taken from N which will be combined in result possible ways. R must be greater than 0 but less than or equal to N or 0 will be returned.

Return Value

The binomial coefficient of R objects from N.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


GeometricMean Function

Calculates the geometric mean of an array of floats.

Pascal

function GeometricMean(const X: TDynFloatArray): Float;

Description

GeometricMean calculates the geometric mean of an array of floats. The geometric mean is defined as the N-root (X^(1/N)) of the product of the elements. The array is not allowed to have 0 valued elements and cannot be empty. If either of these constraints are not met the function raises an EMathError exception.

Parameters

const X: TDynFloatArray

The array of floats for which to calculate the geometric mean. The array may not contain elements with a value equal to or smaller than 0. The comparison to 0 is made based on the PrecisionTolerance global variable. If any of the elements do not conform to this constraint the function raises an EMathError exception.

Return Value

The geometric mean of the array of floats.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


HarmonicMean Function

Calculates the harmonic mean of an array of floats.

Pascal

function HarmonicMean(const X: TDynFloatArray): Float;

Description

HarmonicMean calculates the harmonic mean of an array of floats. The harmonic mean is defined as the number of elements divided by the sum of the reciprocal of the elements. The supplied array may not be empty nor may it contain 0 valued elements. If either of these constraints are not met the function raises an EMathError exception.

Parameters

const X: TDynFloatArray

The array of floats for which to calculate the harmonic mean. The array cannot be empty and must contain only elements with a value greater than zero. The comparison to 0 is made based on the PrecisionTolerance global variable. If any of the elements do not conform to this constraint the function raises an EMathError exception.

Return Value

The harmonic mean of the array of floats.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


IsPositiveFloatArray Function

Tests whether an array contains only positive elements.

Pascal

function IsPositiveFloatArray(const X: TDynFloatArray): Boolean;

Description

IsPositiveFloatArray tests whether or not the supplied array contains only elements with a value greater than 0. The comparison is based on the

Return Value

If the supplied array contains only elements with a value greater than 0 the function returns True. If one or more elements is smaller than or equal to 0 the function returns False. If the array is empty an EMathError exception is raised.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


MaxFloatArray Function

Returns the maximum value in the array.

Pascal

function MaxFloatArray(const B: TDynFloatArray): Float;

Description

MaxFloatArray returns the maximum value found in the supplied array.

Parameters

const B: TDynFloatArray

The array for which you want to know the value of the maximum. The array cannot be empty or an EMathError exception is raised.

Return Value

The maximum value found in the array.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


MaxFloatArrayIndex Function

Returns the index of element with the maximum value in the array.

Pascal

function MaxFloatArrayIndex(const B: TDynFloatArray): Integer;

Description

MaxFloatArrayIndex returns the index of the element that contains the maximum value found in the supplied array.

Parameters

const B: TDynFloatArray

The array for which you want to know the value of the maximum. The array cannot be empty or an EMathError exception is raised.

Return Value

The index of the element which contains the maximum value in the array.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


Median Function

Returns the median of an (sorted) array of floats.

Pascal

function Median(const X: TDynFloatArray): Float;

Description

Median returns the median (2nd quartiles) of an array of floats. The supplied array must be sorted and cannot be empty. The median of a set of values is the value which evenly separates the set of values so that one half of the set is greater than the median.

Parameters

const X: TDynFloatArray

The array for which you want the median value.

Return Value

The median value of the supplied array. If the array is empty an EMathError exception is raised.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


MedianUnsorted Function

Returns the median of an (unsorted) array of floats.

Pascal

function MedianUnsorted(const X: TDynFloatArray): Float;

Description

Median returns the median (2nd quartiles) of an array of floats. The supplied array cannot be empty. The median of a set of values is the value which evenly separates the set of values so that one half of the set is greater than the median.

Parameters

const X: TDynFloatArray

The array for which you want the median value.

Return Value

The median value of the supplied array. If the array is empty an EMathError exception is raised.

Group

Statistics

Unit

JclStatistics


MinFloatArray Function

Returns the minimum value in the array.

Pascal

function MinFloatArray(const B: TDynFloatArray): Float;

Description

MinFloatArray returns the minimum value found in the supplied array.

Parameters

const B: TDynFloatArray

The array for which you want to know the value of the minimum. The array cannot be empty or an EMathError exception is raised.

Return Value

The minimum value found in the array.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


MinFloatArrayIndex Function

Returns the index of element with the minimum value in the array.

Pascal

function MinFloatArrayIndex(const B: TDynFloatArray): Integer;

Description

MinFloatArrayIndex returns the index of the element that contains the minimum value found in the supplied array.

Parameters

const B: TDynFloatArray

The array for which you want to know the value of the minimum. The array cannot be empty or an EMathError exception is raised.

Return Value

The index of the element which contains the minimum value in the array.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


Permutation Function

Returns nPr. i.e. permutation of R objects from N.

Pascal

function Permutation(N: Cardinal; R: Cardinal): Float;

Description

Permutation returns nPr, i.e. permutation of R objects from N. Note: N must be greater than 0, R must be smaller than or equal to N and N must be smaller than the global constant MaxPermutation (1754 when Float is Extended), otherwise the function returns 0. A permutation is the number of unique ways you can organize R items taken from a pool of N items. For example, [Red, Blue, Green] is not the same permutation as [Green, Blue, Red].

Parameters

N: Cardinal

TODO description. N is the total number of available items, from which R items will be taken at a time. N must be greater than R but cannot exceed the value of the MaxFactorial constant or 0 will be returned.

R: Cardinal

TODO description. R is the number of items that will be selected at a time from N total items. R must be smaller than or equal to N.

Return Value

If the above mentioned constraints are met the permutation of R objects from N is returned or 1.0 if R = 0.0.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


PopulationVariance Function

Calculates the variance of the values assuming a population.

Pascal

function PopulationVariance(const X: TDynFloatArray): Float;

Description

PopulationVariance calculates the variance of the values assuming a population.

Parameters

const X: TDynFloatArray

The array of values for which to calculate the variance. This array cannot be empty or an EMathError exception is raised.

Return Value

The variance of the values in X.

Notes

To calculate the standard deviation take the square root of the result of this function.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


PopulationVarianceAndMean Function

Calculates the variance and mean of the values assuming a population.

Pascal

procedure PopulationVarianceAndMean(const X: TDynFloatArray; var Variance: Float; var Mean: Float);

Description

PopulationVarianceAndMean calculates the variance and mean of the values assuming a population.

Parameters

const X: TDynFloatArray

The array of values for which to calculate the variance. This array cannot be empty or an EMathError exception is raised.

var Variance: Float

Receives the variance of the values.

var Mean: Float

Receives the (arithmetic) mean of the values.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SampleVariance Function

Returns the variance of the value assuming a sample.

Pascal

function SampleVariance(const X: TDynFloatArray): Float;

Description

SampleVariance returns the variance of the value assuming a sample.

Parameters

const X: TDynFloatArray

The array for which to calculate the sample variance. This array cannot be empty or an EMathError exception is raised.

Return Value

The sample variance of the values.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SampleVarianceAndMean Function

Calculates the variance and mean of the value assuming a sample.

Pascal

procedure SampleVarianceAndMean(const X: TDynFloatArray; var Variance: Float; var Mean: Float);

Description

SampleVarianceAndMean returns the variance and mean of the value assuming a sample.

Parameters

const X: TDynFloatArray

The array for which to calculate the sample variance. This array cannot be empty or an EMathError exception is raised.

var Variance: Float

Receives the sample variance of the values.

var Mean: Float

Receives the (arithmetic) mean of the values.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SumFloatArray Function

Returns the sum of the array of values.

Pascal

function SumFloatArray(const B: TDynFloatArray): Float;

Description

SumFloatArray calculates the sum of the elements of the supplied array.

Parameters

const B: TDynFloatArray

The array for which to calculate the sum. The array can be empty in which case the function returns 0.

Return Value

The sum of the elements or 0 if the array is empty.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SumSquareDiffFloatArray Function

Returns the sum of the square of Diff subtracted from each elements value.

Pascal

function SumSquareDiffFloatArray(const B: TDynFloatArray; Diff: Float): Float;

Description

SumSquareDiffFloatArray returns the sum of the square of Diff subtracted from the the elements value. Thus, it calculates Sqr(B[0] - Diff) + Sqr(B[1] - Diff) + .. + Sqr(B[N-1] - Diff).

Parameters

const B: TDynFloatArray

The array for which to calculate the sum of the square of diff subtracted from the elements. The array can be empty in which case 0 is returned.

Return Value

The sum of the square of Diff subtracted from the elements value or 0 if the array is empty.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SumSquareFloatArray Function

Returns the sum of the square of the elements.

Pascal

function SumSquareFloatArray(const B: TDynFloatArray): Float;

Description

SumSquareFloatArray calculates the sum of the square of the elements.

Parameters

const B: TDynFloatArray

The array for which to calculate the sum of the squares.

Return Value

The sum of the squares of the elements or 0 if the array is empty.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


SumPairProductFloatArray Function

Returns the sum of the product of the elements.

Pascal

function SumPairProductFloatArray(const X: TDynFloatArray; const Y: TDynFloatArray): Float;

Description

SumPairProductFloatArray returns the sum of the pairwise product of the elements of the two arrays. That is, it calculates: X[0]*Y[0] + X[1]*Y[1] + .. + X[N-1]*Y[N-1]. Note that N in the above formula is the highest common element of X and Y. Thus you can supply arrays with a different dimension in which case the function will only sum the product of the elements common to both arrays. For example, if X has a length 10 and Y has a length 20 then the summation will run from 0 to 9 only.

Parameters

const X: TDynFloatArray

The first array.

const Y: TDynFloatArray

The second array.

Return Value

The sum of the pairwise product of the elements or 0 if both arrays are empty.

Donator

ESB Consultancy

Group

Statistics

Unit

JclStatistics


Transcendental

Math Routines

Functions

Cos

Calculates the cosine of X

Cot

Returns the cotangent of the argument.

Csc

Returns the reciprocal of the sine of X.

Sec

Returns the reciprocal of the cosine of the argument.

Sin

Returns the sine of the argument.

Tan

Returns the tangent of the argument.

ArcCos

Calculates the inverse cosine of X.

ArcCot

Calculates the inverse of cotangent.

ArcCsc

Calculates the inverse cosecant.

ArcSec

Calculates the inverse Sec.

ArcSin

Calculates the inverse sine.

ArcTan

Calculates the inverse tangent

ArcTan2

Calculates the inverse tangent of Y / X

Haversine

Returns the haversine of the argument.

Coversine

Returns the coversine of the argument.

Versine

Returns the versine of the argument.

SinCos

Calculates the sine and cosine of the argument.


Transcendental Functions

Transcendental

Functions

Cos

Calculates the cosine of X

Cot

Returns the cotangent of the argument.

Csc

Returns the reciprocal of the sine of X.

Sec

Returns the reciprocal of the cosine of the argument.

Sin

Returns the sine of the argument.

Tan

Returns the tangent of the argument.

ArcCos

Calculates the inverse cosine of X.

ArcCot

Calculates the inverse of cotangent.

ArcCsc

Calculates the inverse cosecant.

ArcSec

Calculates the inverse Sec.

ArcSin

Calculates the inverse sine.

ArcTan

Calculates the inverse tangent

ArcTan2

Calculates the inverse tangent of Y / X

Haversine

Returns the haversine of the argument.

Coversine

Returns the coversine of the argument.

Versine

Returns the versine of the argument.

SinCos

Calculates the sine and cosine of the argument.


Cos Function

Calculates the cosine of X

Pascal

function Cos(X: Float): Float; overload;
function Cos(const Z: TRectComplex): TRectComplex; overload;

Description

Calculates the cosine of X.

Parameters

X: Float

Angle, in radians, whose cosine to calculate.

Return Value

Cosine of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Cot Function

Returns the cotangent of the argument.

Pascal

function Cot(X: Float): Float; overload;
function Cot(const Z: TRectComplex): TRectComplex; overload;

Description

Cot returns the cotangent of X. Cot(X) is defined as 1.0 / Tan(X).

Parameters

X: Float

Angle, in radians, whose cotangent to calculate.

Return Value

Cotangent of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Csc Function

Returns the reciprocal of the sine of X.

Pascal

function Csc(X: Float): Float; overload;
function Csc(const Z: TRectComplex): TRectComplex; overload;

Description

Returns the reciprocal of the sine of X (cosecant). Meaning, Csc(X) := 1.0 / Sin(X).

Parameters

X: Float

Angle, in radians, whose Csc to calculate.

Return Value

Cosecant of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Sec Function

Returns the reciprocal of the cosine of the argument.

Pascal

function Sec(X: Float): Float; overload;
function Sec(const Z: TRectComplex): TRectComplex; overload;

Description

Returns the reciprocal of the cosine of X, meaning: Sec(X) = 1.0 / Cos(X).

Parameters

X: Float

Angle, in radians, whose Sec to calculate.

Return Value

Secant of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Sin Function

Returns the sine of the argument.

Pascal

function Sin(X: Float): Float; overload;
function Sin(const Z: TRectComplex): TRectComplex; overload;

Description

Sin calculates the sine of X.

Parameters

X: Float

Angle, in radians, whose sine to calculate.

Return Value

Sine of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Tan Function

Returns the tangent of the argument.

Pascal

function Tan(X: Float): Float; overload;
function Tan(const Z: TRectComplex): TRectComplex; overload;

Description

Tan calculates the tangent of X. The tangent is defines as Sin(X) / Cos(X).

Parameters

X: Float

Angle, in radians, whose tangent to calculate.

Return Value

Tangent of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcCos Function

Calculates the inverse cosine of X.

Pascal

function ArcCos(X: Float): Float;

Description

ArcCos calculates the inverse cosine of X. Meaning it returns the angle whose cosine equals X. ArcCos is defined as ArcTan2(Sqrt(1.0 - X*X), X).

Parameters

X: Float

Value for which to calculate the inverse cosine. Absolute value of X must be smaller than 1.0.

Return Value

The inverse cosine of X in radians.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcCot Function

Calculates the inverse of cotangent.

Pascal

function ArcCot(X: Float): Float;

Description

ArcCot calculates the inverse cotangent. Meaning it returns the angle whose cotangent equals X. ArcCot is calculated as -Arctan(X) + PI_2.

Parameters

X: Float

Value whose ArcCot to calculate

Return Value

The angle whose cotangent equals X in radians.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcCsc Function

Calculates the inverse cosecant.

Pascal

function ArcCsc(X: Float): Float;

Description

ArcCsc calculates the inverse cosecant. Meaning it returns the angle whose cosecant equals X. ArcCsc is calculated as ArcTan(1.0 / Sqrt(1.0 - Sqr(X))) + (Sgn(X) - 1.0) * PI_2.

Parameters

X: Float

Value whose ArcCsc to calculate. Absolute value of X must be smaller than 1.0.

Return Value

The angle, in radians, whose cosecant equals X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcSec Function

Calculates the inverse Sec.

Pascal

function ArcSec(X: Float): Float;

Description

ArcSec calculates the inverse secant of X. Meaning it returns the angle whose secant equals X.

Parameters

X: Float

Value whose ArcSec to calculate. Absolute value of X must be smaller than 1.0.

Return Value

ArcSec of X in radians.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcSin Function

Calculates the inverse sine.

Pascal

function ArcSin(X: Float): Float;

Description

ArcSin calculates the inverse sine. Meaning it returns the angle whose sine equals X.

Parameters

X: Float

The value whose inverse sine to calculate. X must be smaller than or equal to 1.0.

Return Value

ArcSin of X in radians.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcTan Function

Calculates the inverse tangent

Pascal

function ArcTan(X: Float): Float;

Description

ArcTan calculates the inverse tangent of X. Meaning it returns the angle whose tangent equals X.

Parameters

X: Float

Value whose inverse tangent to calculate.

Return Value

Inverse tangent of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


ArcTan2 Function

Calculates the inverse tangent of Y / X

Pascal

function ArcTan2(Y: Float; X: Float): Float;

Description

ArcTan2 calculates the inverse tangent of Y / X. Meaning it returns the angle whose tangent equals Y / X.

Parameters

Y: Float

The value of Y in Y / X.

X: Float

The value of X in Y / X.

Return Value

The inverse tangent of Y / X in radians.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Haversine Function

Returns the haversine of the argument.

Pascal

function Haversine(X: Float): Float;

Description

Haversine calculates the aversine of X.

Parameters

X: Float

Angle, in radians, whose haversine to calculate.

Return Value

Haversine of X.

Donator

Matthias Thoma

Group

Transcendental

Unit

JclMath


Coversine Function

Returns the coversine of the argument.

Pascal

function Coversine(X: Float): Float;

Description

Coversine calculates the coversine of X.

Parameters

X: Float

Angle, in radians, whose coversine to calculate.

Return Value

Coersine of X.

Donator

Matthias Thoma

Group

Transcendental

Unit

JclMath


Versine Function

Returns the versine of the argument.

Pascal

function Versine(X: Float): Float;

Description

Versine calculates the versine of X.

Parameters

X: Float

Angle, in radians, whose versine to calculate.

Return Value

Versine of X.

Donator

Matthias Thoma

Group

Transcendental

Unit

JclMath


SinCos Function

Calculates the sine and cosine of the argument.

Pascal

procedure SinCos(X: Float; var Sin: Float; var Cos: Float);

Description

SinCos calculates both the sine and cosine of the angle X in one call. This is much faster than calling Sin() and Cos() separately.

Parameters

X: Float

The angle, in radians, whose sine and cosine to calculate.

var Sin: Float

Sine of X.

var Cos: Float

Cosine of X.

Donator

Clayton Collie

Group

Transcendental

Unit

JclMath


Memory, Classes and Objects

JEDI Code Library

Topics

Class Manipulation

Guards

Miscellanuous

Pointer manipulation


Topics

Memory, Classes and Objects

Topics

Class Manipulation

Guards

Miscellanuous

Pointer manipulation


Class Manipulation

Memory, Classes and Objects

Topics

DMT

Miscellanuous

VMT


Topics

Class Manipulation

Topics

DMT

Miscellanuous

VMT


DMT

Legend

Class Manipulation

Functions

GetDynamicMethodCount

Returns the number of dynamic methods of a class.

GetDynamicIndexList

Returns the list of indices of the dynamic methods.

GetDynamicAddressList

Returns the list of addresses for the dynamic methods of a class.

HasDynamicMethod

Test if the class (or one of its ancestors) has a dynamic method with the given index.

GetDynamicMethod

Returns a pointer to a specific dynamic method.

GetInitTable

Returns the initialization table of a class.

GetFieldTable

Returns the field table of a class.

GetMethodTable

Returns the method table of a class.

GetMethodEntry

Returns an entry from the method table.

Records

 TFieldTable

 TFieldClassTable

List of classes used by the fields entries.

 TFieldEntry

TFieldEntry contains information about a field of a class.

 TMethodTable

Structure for the Method Table

 TMethodEntry

Entry of a method table use by TMethodTable.

Types

TDynamicIndexList

List of valid indices in a dynamic method table.

PDynamicIndexList

List of valid indices in a dynamic method table.

TDynamicAddressList

List of addresses of a dynamic methods

PDynamicAddressList

List of addresses of a dynamic methods

PFieldTable

PFieldClassTable

List of classes used by the fields entries.

PFieldEntry

TFieldEntry contains information about a field of a class.

PMethodTable

Structure for the Method Table

PMethodEntry

Entry of a method table use by TMethodTable.

Legend

Record


DMT Functions

DMT

Functions

GetDynamicMethodCount

Returns the number of dynamic methods of a class.

GetDynamicIndexList

Returns the list of indices of the dynamic methods.

GetDynamicAddressList

Returns the list of addresses for the dynamic methods of a class.

HasDynamicMethod

Test if the class (or one of its ancestors) has a dynamic method with the given index.

GetDynamicMethod

Returns a pointer to a specific dynamic method.

GetInitTable

Returns the initialization table of a class.

GetFieldTable

Returns the field table of a class.

GetMethodTable

Returns the method table of a class.

GetMethodEntry

Returns an entry from the method table.


DMT Types

DMT

Types

TDynamicIndexList

List of valid indices in a dynamic method table.

PDynamicIndexList

List of valid indices in a dynamic method table.

TDynamicAddressList

List of addresses of a dynamic methods

PDynamicAddressList

List of addresses of a dynamic methods

PFieldTable

PFieldClassTable

List of classes used by the fields entries.

PFieldEntry

TFieldEntry contains information about a field of a class.

PMethodTable

Structure for the Method Table

PMethodEntry

Entry of a method table use by TMethodTable.


DMT Records

DMT	Legend

Records

 TFieldTable

 TFieldClassTable

List of classes used by the fields entries.

 TFieldEntry

TFieldEntry contains information about a field of a class.

 TMethodTable

Structure for the Method Table

 TMethodEntry

Entry of a method table use by TMethodTable.


Legend

Record


Legend

DMT

Legend

Record


GetDynamicMethodCount Function

Returns the number of dynamic methods of a class.

Pascal

function GetDynamicMethodCount(AClass: TClass): Integer;

Description

GetDynamicMethodCount returns the number of dynamic methods for the specified class (including abstract methods). This only includes dynamic methods declared in the class itself, not the methods delcared in ancestor classes.

Parameters

AClass: TClass

The class for which to get the number of dynamic methods.

Return Value

The number of dynamic methods of the specified class.

Donator

Python

Group

DMT

Unit

JclSysUtils


GetDynamicIndexList Function

See Also

Returns the list of indices of the dynamic methods.

Pascal

function GetDynamicIndexList(AClass: TClass): PDynamicIndexList;

Description

Returns the list of indices for the dynamic methods, not including the indices of the dynamic methods from inherited classes. Use this list in combination with GetDynamicAddressList and GetDynamicMethodCount to get all dynamic methods with their indices. The number of entries in the returned array that contain meaningful data is returned by GetDynamicMethodCount. The returned pointer points directly into the class structure and should not be modified.

Parameters

AClass: TClass

The class for which to get dynamic method index list.

Return Value

Pointer to an array containing the indices. Do not modify this array!

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TDynamicIndexList


TDynamicIndexList Type

List of valid indices in a dynamic method table.

Pascal

TDynamicIndexList = array [0..MaxInt div 16] of Word;
PDynamicIndexList = ^TDynamicIndexList;

Description

List of indices of valid entries in a dynamic method table. Use GetDynamicMethodCount to get the count of valid entries in this list.

Donator

Python

Group

DMT

Unit

JclSysUtils


GetDynamicAddressList Function

See Also

Returns the list of addresses for the dynamic methods of a class.

Pascal

function GetDynamicAddressList(AClass: TClass): PDynamicAddressList;

Description

Returns the list of addresses for the dynamic methods of the specified class. Use this list in combination with GetDynamicIndexList and GetDynamicMethodCount to get all dynamic methods and their indices. The number of entries in the returned array that contain meaningful data is returned by GetDynamicMethodCount. The returned pointer points directly into the class structure and should not be modified.

Parameters

AClass: TClass

The class for which to get dynamic method address list.

Return Value

Pointer to an array containing the addresses. Do not modify this array!

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TDynamicAddressList


TDynamicAddressList Type

List of addresses of a dynamic methods

Pascal

TDynamicAddressList = array [0..MaxInt div 16] of Pointer;
PDynamicAddressList = ^TDynamicAddressList;

Description

List of addresses of the dynamic methods, use GetDynamicMethodCount to get the indices of valid entries in the list.

Donator

Python

Group

DMT

Unit

JclSysUtils


HasDynamicMethod Function

Test if the class (or one of its ancestors) has a dynamic method with the given index.

Pascal

function HasDynamicMethod(AClass: TClass; Index: Integer): Boolean;

Description

Test if the class (or one of its ancestors) has a dynamic method with the given index.

Parameters

AClass: TClass

The class for which to test for the dynamic method.

Index: Integer

The index for which to test.

Return Value

If the class contains a dynamic method with the given index the result is True, otherwise the result is False.

Donator

Python

Group

DMT

Unit

JclSysUtils


GetDynamicMethod Function

Returns a pointer to a specific dynamic method.

Pascal

function GetDynamicMethod(AClass: TClass; Index: Integer): Pointer;

Description

Returns (the most recent version of) the dynamic method with the given index. If there is no dynamic method with the given index an abstract error will be raised, however, if the dynamic method is an abstract method, System._AbstractError is returned.

Parameters

AClass: TClass

The class for which to get the dynamic method.

Index: Integer

The index for which to get.

Return Value

Returns a pointer to the dynamic method, or System._AbstractError if the dynamic method is an abstract method.

Donator

Python

Group

DMT

Unit

JclSysUtils


GetInitTable Function

Returns the initialization table of a class.

Pascal

function GetInitTable(AClass: TClass): PTypeInfo;

Description

GetInitTable returns the initialization table of the specified class. TODO This is abracadabra to me :-) Need to contact author for further explanation about this (eg what does the init table look like). The initialization table is a record type info, from which the size is set to zero, but still has info about the fields which needs to be initialized, but only for the fields not already existing in an inherited class. It is used when a new object is created to initialize its fields.

Parameters

AClass: TClass

The class for which to get the initialization table.

Return Value

The result is a pointer to the initialization table. Do not modify this structure!

Donator

Python

Group

DMT

Unit

JclSysUtils


GetFieldTable Function

See Also

Returns the field table of a class.

Pascal

function GetFieldTable(AClass: TClass): PFieldTable;

Description

GetFieldTable returns a pointer to the field table of the specified class. A field table contains information about the published fields in a class.

Parameters

AClass: TClass

The class for which to retrieve the field table.

Return Value

Pointer to the field table. Do not modify this structure!

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TFieldTable


TFieldTable Record

PFieldTable = ^TFieldTable;
TFieldTable = packed record
  EntryCount: Word;
  FieldClassTable: PFieldClassTable;
  FirstEntry: TFieldEntry;
end;

EntryCount: Word;

Number of entries in the field table.

FieldClassTable: PFieldClassTable;

Table with classes, used by the entries IDX property.

FirstEntry: TFieldEntry;

First entry (if it exists), this is a variable length structure.

Donator

Python

Group

DMT

Unit

JclSysUtils


TFieldClassTable Record

See Also

List of classes used by the fields entries.

Pascal

PFieldClassTable = ^TFieldClassTable;
TFieldClassTable = packed record
  Count: Smallint;
  Classes: array [0..8191] of ^TPersistentClass;
end;

Description

List of classes used by the fields entries.

Count: Smallint;

Number of classes in the Classes array.

Classes: array [0..8191] of ^TPersistentClass;

array of classes. The highest valid index in this array is Count - 1.

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TFieldEntry


TFieldEntry Record

TFieldEntry contains information about a field of a class.

Pascal

PFieldEntry = ^TFieldEntry;
TFieldEntry = packed record
  OffSet: Integer;
  IDX: Word;
  Name: ShortString;
end;

Description

TFieldEntry contains information about a field of a class.

OffSet: Integer;

OffSet of the field. TODO relative to what?

IDX: Word;

Index for the classtype in the class list.

Name: ShortString;

Name of the field.

Donator

Python

Group

DMT

Unit

JclSysUtils


GetMethodTable Function

See Also

Returns the method table of a class.

Pascal

function GetMethodTable(AClass: TClass): PMethodTable;

Description

GetMethodTable returns a pointer to the method table of the specified class. The method table contains information about the published methods declared in the class.

Parameters

AClass: TClass

The class for which to retrieve the method table.

Return Value

Pointer to the method table. Do not modify this structure!

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TMethodTable


TMethodTable Record

See Also

Structure for the Method Table

Pascal

PMethodTable = ^TMethodTable;
TMethodTable = packed record
  Count: Word;
  FirstEntry: TMethodEntry;
end;

Description

Method Table Structure. Gives a description of method, with Count the number of methods, followed by count numbers of a variable length structure for each entry.

Count: Word;

Number of TMethodEntries after count.

FirstEntry: TMethodEntry;

First entry (if exists) of the method entries.

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

GetMethodTable GetMethodEntry TMethodEntry


GetMethodEntry Function

See Also

Returns an entry from the method table.

Pascal

function GetMethodEntry(MethodTable: PMethodTable; Index: Integer): PMethodEntry;

Description

GetMethodEntry returns the entry with the given index from the method table. There is no checking performed that the given Index is valid.

Parameters

MethodTable: PMethodTable

The method table to get the entry from

Index: Integer

The index of the entry to retrieve.

Return Value

Pointer to the method table entry from the method table with the given index. Do not modify this structure!

Donator

Python

Group

DMT

Unit

JclSysUtils


See Also

TMethodEntry GetMethodTable


TMethodEntry Record

Entry of a method table use by TMethodTable.

Pascal

PMethodEntry = ^TMethodEntry;
TMethodEntry = packed record
  EntrySize: Word;
  Address: Pointer;
  Name: ShortString;
end;

Description

Entry of a method table use by TMethodTable.

EntrySize: Word;

Size of the TMethodEntry. Use this to go to the next MethodEntry.

Address: Pointer;

Pointer to the method.

Name: ShortString;

Name of the method.

Donator

Python

Group

DMT

Unit

JclSysUtils


Miscellanuous

Class Manipulation

Functions

SetClassParent

Modifies the class parent for the given class.

GetClassParent

Returns the parent of the class.

IsClass

Returns whether a pointer points to a class.

IsObject

Returns whether a pointer points to an object.


Miscellanuous Functions

Miscellanuous

Functions

SetClassParent

Modifies the class parent for the given class.

GetClassParent

Returns the parent of the class.

IsClass

Returns whether a pointer points to a class.

IsObject

Returns whether a pointer points to an object.


SetClassParent Function

See Also

Modifies the class parent for the given class.

Pascal

procedure SetClassParent(AClass: TClass; NewClassParent: TClass);

Description

Changes the parent of AClass to become NewClassParent.

 Do NOT use this function.There should be no need to use this function unless you are implementing a very dirty hack.

This procedure changes the executable code (with the risk of completly destroying your application) and uses WriteProcessMemory for this. The function is multiprocessor safe.

Parameters

AClass: TClass

The class whose parent to change.

NewClassParent: TClass

The new parent for AClass.

Donator

Python

Group

Miscellanuous

Unit

JclSysUtils


See Also

GetClassParent


GetClassParent Function

See Also

Returns the parent of the class.

Pascal

function GetClassParent(AClass: TClass): TClass;

Description

Returns the parent class of the given class. That is, it returns the type of the immediate ancestor of the specified class. This is the same as TObject.ClassParent.

Parameters

AClass: TClass

The class for which to retrieve the parent class.

Return Value

The parent class (type of the immediate ancestor) of the specified class or nil of the specified class is TObject.

Donator

Python

Group

Miscellanuous

Unit

JclSysUtils


See Also

SetClassParent


IsClass Function

See Also

Returns whether a pointer points to a class.

Pascal

function IsClass(Address: Pointer): Boolean;

Description

IsClass tests whether the specified pointer points to a class. Currently the implementation only test whether the Self pointer actually points to the class itself.

Parameters

Address: Pointer

The address to test. Note that this should be the equivalent of Obj.ClassType where Obj is an instance of TObject or descendant class.

Return Value

The result is True if the Address is a class otherwise it is False.

Donator

Python

Group

Miscellanuous

Unit

JclSysUtils


See Also

IsObject


IsObject Function

See Also

Returns whether a pointer points to an object.

Pascal

function IsObject(Address: Pointer): Boolean;

Description

IsObject tests whether the specified pointer points to an object. Currently the implementation only test whether the Self pointer actually points to the object itself.

Parameters

Address: Pointer

The address to test. Note that this should be a TObject or TObject descendant.

Return Value

The result is True if the Address is an object otherwise it is False.

Donator

Python

Group

Miscellanuous

Unit

JclSysUtils


See Also

IsClass


VMT

Class Manipulation

Functions

GetVirtualMethodCount

Returns the number of virtual methods of a class.

GetVirtualMethod

Returns a pointer to the virtual method from the specified class with the given index.

SetVirtualMethod

Changes a virtual method to the given method.


VMT Functions

VMT

Functions

GetVirtualMethodCount

Returns the number of virtual methods of a class.

GetVirtualMethod

Returns a pointer to the virtual method from the specified class with the given index.

SetVirtualMethod

Changes a virtual method to the given method.


GetVirtualMethodCount Function

See Also

Returns the number of virtual methods of a class.

Pascal

function GetVirtualMethodCount(AClass: TClass): Integer;

Description

GetVirtualMethodCount returns the number of virtual methods of the specified class. This includes the methods declared in the class itself and all its parent classes. However, the result does not include the virtual methods declared in TObject. The result includes all abstract methods.

Parameters

AClass: TClass

The class for which to get the number of virtual methods.

Return Value

The number of virtual methods of the given class.

Donator

Python

Group

VMT

Unit

JclSysUtils


See Also

GetVirtualMethod SetVirtualMethod


GetVirtualMethod Function

See Also

Returns a pointer to the virtual method from the specified class with the given index.

Pascal

function GetVirtualMethod(AClass: TClass; const Index: Integer): Pointer;

Description

Returns the virtual method from the specified class with the given index. There is no checking performed that the given index actually is a virtual method, and the return value is undefined for invalid indices.

Parameters

AClass: TClass

The class for which to get a virtual method.

const Index: Integer

The index of the virtual method to be retrieved. If the index is invalid the result is undefined. Valid indices are 0 to GetVirtualMethodCount - 1.

Return Value

The result is a pointer to the virtual method. If the method is an abstract method the value returned is a pointer to System._AbstractError.

Donator

Python

Group

VMT

Unit

JclSysUtils


See Also

GetVirtualMethodCount SetVirtualMethod


SetVirtualMethod Function

See Also

Changes a virtual method to the given method.

Pascal

procedure SetVirtualMethod(AClass: TClass; const Index: Integer; const Method: Pointer);

Description

Changes a virtual method to the given method.

Do NOT use this function.There should be no need to use this function unless your implementing a very dirty hack.

There is no checking performed that the Index is a valid virtual method index. The function only changes the pointer in the VMT of the specified class, not the static references to this method, which are made when an anchestor uses inherited to call the virtual method. This procedure changes the executable code (with the risk of completly destroying your application) and uses WriteProcessMemory to accomplish that. The function is multiprocessor safe.

Parameters

AClass: TClass

The class for which to set a virtual method.

const Index: Integer

The index of the virtual method to be set.

const Method: Pointer

The new address of the virtual method.

Donator

Python

Group

VMT

Unit

JclSysUtils


See Also

GetVirtualMethodCount GetVirtualMethod


Guards

Memory, Classes and Objects

Topics

IMultiSafeGuard

ISafeGuard

Functions

Guard

Associates a resource, pointer or object reference, with a safeguard.

GuardGetMem

Allocates a specified amount of memory and associates it with a safeguard.

GuardAllocMem

Allocates a specified amount of memory and associates it with a safeguard.


Guards Functions

Guards

Functions

Guard

Associates a resource, pointer or object reference, with a safeguard.

GuardGetMem

Allocates a specified amount of memory and associates it with a safeguard.

GuardAllocMem

Allocates a specified amount of memory and associates it with a safeguard.


Topics

Guards

Topics

IMultiSafeGuard

ISafeGuard


Guard Function

See Also

Associates a resource, pointer or object reference, with a safeguard.

Pascal

function Guard(Mem: Pointer; out SafeGuard: ISafeGuard): Pointer; overload;
function Guard(Obj: TObject; out SafeGuard: ISafeGuard): TObject; overload;
function Guard(Mem: Pointer; var SafeGuard: IMultiSafeGuard): Pointer; overload;
function Guard(Obj: TObject; var SafeGuard: IMultiSafeGuard): TObject; overload;

Description

Associates a resource, pointer or object reference, with a safeguard. A safeguard is an interface which gets associated with the resource and ensures that when execution leaves the scope at which the safeguard variable is declared, the resource is released (e.g. memory freed or object destroyed). Since a safeguard is an interface and Delphi ensures that interfaces are released even when an exception is raised, you can use a safeguard to ensure that a resource always gets freed without having to explicitly code it. For example:

   var

  SafeGuard: ISafeGuard;

  Strings: TStrings;

begin

  Strings := TStrings(Guard(TStringList.Create, SafeGuard));

  String.ReadFromFile('d:delphijclsourceJclBase.pas');

  // code to manipulate strings goes here

  Strings.SaveToFile('d:delphijclsourceJclBase.pas');

end;

In the above code, the TStrings object is associated with the SafeGuard. No matter how the function terminates, the safeguard ensures that the TStrings object is destroyed. Usually you will simply store the returned safeguard interface pointer in a variable at the appropriate scope and forget about it. However, the ISafeGuard interface does provide some additional functionality which may be useful at times. See the ISafeGuard interface for more information.

Parameters

Mem: Pointer

The pointer (or object in the case of the overloaded Guard function) which to associate with the safeguard.

out SafeGuard: ISafeGuard

The guard variable to associate the resource with.

Return Value

Copy of the Mem (or Obj) parameter. This is merely a convenience which allows you to create the resource embedded inside the function call as demonstrated above.

Donator

Rudy Velthuis

Group

Guards

Unit

JclSysUtils


See Also

GuardGetMem GuardAllocMem ISafeGuardISafeGuard


GuardGetMem Function

See Also

Allocates a specified amount of memory and associates it with a safeguard.

Pascal

function GuardGetMem(Size: Cardinal; out SafeGuard: ISafeGuard): Pointer;

Description

GuardGetMem allocates the specified amount of memory and associates it with a safeguard. A pointer to the allocated memory is returned as the function result. By using GuardGetMem you ensure that no matter how the scope in which the memory is allocated is left (e.g. by an exception or explicit Exit), the memory will be freed. See Guard for a more detailed description.

Parameters

Size: Cardinal

Size, in bytes, of the memory to allocate. This memory is allocated using the standard GetMem function and as such is uninitialized.

out SafeGuard: ISafeGuard

Receives a pointer to the ISafeGuard interface which is associated with the allocated memory.

Return Value

Pointer to the block of allocated memory.

Donator

Rudy Velthuis

Group

Guards

Unit

JclSysUtils


See Also

Guard GuardAllocMem ISafeGuardISafeQuard


GuardAllocMem Function

See Also

Allocates a specified amount of memory and associates it with a safeguard.

Pascal

function GuardAllocMem(Size: Cardinal; out SafeGuard: ISafeGuard): Pointer;

Description

GuardGetMem allocates the specified amount of memory and associates it with a safeguard. This function is identical to GuardGetMem except that the function uses AllocMem internally, as opposed to GetMem. As such the allocated memory is initialized with all zeros. A pointer to the allocated memory is returned as the function result. By using GuardGetMem you ensure that no matter how the scope in which the memory is allocated is left (e.g. by an exception or explicit Exit), the memory will be freed. See Guard for a more detailed description.

Parameters

Size: Cardinal

Size, in bytes, of the memory to allocate. This memory is allocated using the standard AllocMem function and as such is initialized to all zeros.

out SafeGuard: ISafeGuard

Receives a pointer to the ISafeGuard interface which is associated with the allocated memory.

Return Value

Pointer to the block of allocated memory.

Donator

Rudy Velthuis

Group

Guards

Unit

JclSysUtils


See Also

Guard GuardGetMem ISafeGuardISafeGuard


IMultiSafeGuard

Legend

Guards

Interfaces

 IMultiSafeGuard

Interface used to provide automatic resource destruction for multiple resources.

Legend

Interface


IMultiSafeGuard Interfaces

IMultiSafeGuard	Legend

Interfaces

 IMultiSafeGuard

Interface used to provide automatic resource destruction for multiple resources.


Legend

Interface


Legend

IMultiSafeGuard

Legend

Interface


IMultiSafeGuard Interface

Properties	Methods	See Also	Legend

Interface used to provide automatic resource destruction for multiple resources.

Pascal

IMultiSafeGuard = interface(IInterface);

Description

IMultiSafeGuard is the interface used by the Guard functions to provide automatic resource destruction for multiple resources. A safeguard is an interface which gets associated with the resources and ensures that when execution leaves the scope at which the safeguard variable is declared, the resources are released (e.g. memory freed or objects destroyed). Since a safeguard is an interface and Delphi ensures that interfaces are released even when an exception is raised, you can use a safeguard to ensure that a resource always gets freed without having to explicitly code it. For example:

   var

  SafeGuard: IMultiSafeGuard;

  O1, O2: TObject;

begin

  O1 := Guard(TObject.Create, SafeGuard);

  O2 := Guard(TObject.Create, SafeGuard);

  // use O1 and O2 here

end;

In the above code, the objects are associated with the SafeGuard. No matter how the function terminates, the safeguard ensures that the objects are destroyed. Usually you will simply store the returned safeguard interface pointer in a variable at the appropriate scope and forget about it. However, the ISafeGuard interface does provide some additional functionality which may be useful at times.

Notes

You can use IMultiSafeGuard to guard multiple memory allocations or multiple objects. However, a single IMultiSafeGuard interface can only store one or the other, you can not mix memory and objects in a single IMultiSafeGuard.

Donator

Team JEDI

Group

IMultiSafeGuard

Legend

read only

Unit

JclSysUtils


IMultiSafeGuard Interface Properties

IMultiSafeGuard Interface	Legend

Properties

 Count

Returns the number of items guarded by the interface.

 Items

Returns a pointer to the protected resource.


Legend

read only


IMultiSafeGuard Interface Methods

IMultiSafeGuard Interface

Methods

AddItem

FreeItem

Frees the memory of the associated resource.

GetCount

GetItem

Returns a pointer to the resource associated with the safeguard.

ReleaseItem

Disassociates the resource from the safeguard.


Legend

IMultiSafeGuard Interface

Legend

read only


IMultiSafeGuard Interface Members

IMultiSafeGuard Interface	Legend

Members

Properties

 Count

Returns the number of items guarded by the interface.

 Items

Returns a pointer to the protected resource.

Methods

AddItem

FreeItem

Frees the memory of the associated resource.

GetCount

GetItem

Returns a pointer to the resource associated with the safeguard.

ReleaseItem

Disassociates the resource from the safeguard.


Legend

read only


See Also

..Guard ..ISafeGuard


IMultiSafeGuard.Count Property

IMultiSafeGuard Interface

Returns the number of items guarded by the interface.

Pascal

property Count: Integer;

Description

The Count property returns the number of items guarded by the interface.

Donator

Team JEDI

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.Items Property

IMultiSafeGuard Interface

Returns a pointer to the protected resource.

Pascal

property Items [Index: Integer]: Pointer;

Description

The Items property provides zero-based indexed access to the items guarded by the interface. The total numer of items can be learned from the Count property. You'll have to cast the pointer to the appropriate type.

Donator

Team JEDI

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.AddItem Method

IMultiSafeGuard Interface

function AddItem(Item: Pointer): Pointer;

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.FreeItem Method

IMultiSafeGuard Interface

Frees the memory of the associated resource.

Pascal

procedure FreeItem(Index: Integer);

Description

The FreeItem method frees the resource associated with the safeguard. You should never call this method directly, it is called automatically when execution leaves the scope in which the interface variable is declared.

Donator

Team JEDI

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.GetCount Method

IMultiSafeGuard Interface

function GetCount: Integer;

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.GetItem Method

IMultiSafeGuard Interface

Returns a pointer to the resource associated with the safeguard.

Pascal

function GetItem(Index: Integer): Pointer;

Description

The GetItem method returns a pointer to the resource associated with the safeguard. Usually you will hold on to this pointer when you associated it with the safeguard, however you can use the safeguard as the storage for the resource pointer itself.

Return Value

Pointer to the resource associated with the safeguard.

Donator

Team JEDI

Interface

IMultiSafeGuard Interface


IMultiSafeGuard.ReleaseItem Method

IMultiSafeGuard Interface

Disassociates the resource from the safeguard.

Pascal

function ReleaseItem(Index: Integer): Pointer;

Description

ReleaseItem returns a pointer to the associated resource and then disassociates it with the safeguard. This means that when execution leaves the scope in which the interface variable is declared, the resource will not be automatically freed. By using ReleaseItem you are handed back the responsibility to explicitly release the resource.

Return Value

Pointer to the resource associated with the safeguard.

Donator

Team JEDI

Interface

IMultiSafeGuard Interface


ISafeGuard

Legend

Guards

Interfaces

 ISafeGuard

Interface used to provide automatic resource destruction.

Legend

Interface


ISafeGuard Interfaces

ISafeGuard	Legend

Interfaces

 ISafeGuard

Interface used to provide automatic resource destruction.


Legend

Interface


Legend

ISafeGuard

Legend

Interface


ISafeGuard Interface

Properties	Methods	See Also	Legend

Interface used to provide automatic resource destruction.

Pascal

ISafeGuard = interface;

Description

ISafeGuard is the interface used by the Guard functions to provide automatic resource destruction. A safeguard is an interface which gets associated with the resource and ensures that when execution leaves the scope at which the safeguard variable is declared, the resource is released (e.g. memory freed or object destroyed). Since a safeguard is an interface and Delphi ensures that interfaces are released even when an exception is raised, you can use a safeguard to ensure that a resource always gets freed without having to explicitly code it. For example:

   var

  SafeGuard: ISafeGuard;

  Strings: TStrings;

begin

  Strings := TStrings(Guard(TStringList.Create, SafeGuard));

  String.ReadFromFile('d:delphijclsourceJclBase.pas');

  // code to manipulate strings goes here

  Strings.SaveToFile('d:delphijclsourceJclBase.pas');

end;

In the above code, the TStrings object is associated with the SafeGuard. No matter how the function terminates, the safeguard ensures that the TStrings object is destroyed. Usually you will simply store the returned safeguard interface pointer in a variable at the appropriate scope and forget about it. However, the ISafeGuard interface does provide some additional functionality which may be useful at times.

Donator

Rudy Velthuis

Group

ISafeGuard

Legend

read only

Unit

JclSysUtils


ISafeGuard Interface Properties

ISafeGuard Interface	Legend

Properties

 Item

Returns a pointer to the protected resource.


Legend

read only


ISafeGuard Interface Methods

ISafeGuard Interface

Methods

FreeItem

Frees the memory of the associated resource.

GetItem

Returns a pointer to the resource associated with the safeguard.

ReleaseItem

Disassociates the resource from the safeguard.


Legend

ISafeGuard Interface

Legend

read only


ISafeGuard Interface Members

ISafeGuard Interface	Legend

Members

Properties

 Item

Returns a pointer to the protected resource.

Methods

FreeItem

Frees the memory of the associated resource.

GetItem

Returns a pointer to the resource associated with the safeguard.

ReleaseItem

Disassociates the resource from the safeguard.


Legend

read only


See Also

..Guard ..GuardGetMem ..GuardAllocMem


ISafeGuard.Item Property

ISafeGuard Interface

Returns a pointer to the protected resource.

Pascal

property Item: Pointer;

Description

The Item property returns a pointer to the associated resource protected by the safeguard. You'll have to cast the pointer to the appropriate type.

Donator

Rudy Velthuis

Interface

ISafeGuard Interface


ISafeGuard.FreeItem Method

ISafeGuard Interface

Frees the memory of the associated resource.

Pascal

procedure FreeItem;

Description

The FreeItem method frees the resource associated with the safeguard. You should never call this method directly, it is called automatically when execution leaves the scope in which the interface variable is declared.

Donator

Rudy Velthuis

Interface

ISafeGuard Interface


ISafeGuard.GetItem Method

ISafeGuard Interface

Returns a pointer to the resource associated with the safeguard.

Pascal

function GetItem: Pointer;

Description

The GetItem method returns a pointer to the resource associated with the safeguard. Usually you will hold on to this pointer when you associated it with the safeguard, however you can use the safeguard as the storage for the resource pointer itself.

Return Value

Pointer to the resource associated with the safeguard.

Donator

Rudy Velthuis

Interface

ISafeGuard Interface


ISafeGuard.ReleaseItem Method

ISafeGuard Interface

Disassociates the resource from the safeguard.

Pascal

function ReleaseItem: Pointer;

Description

ReleaseItem returns a pointer to the associated resource and then disassociates it with the safeguard. This means that when execution leaves the scope in which the interface variable is declared, the resource will not be automatically freed. By using ReleaseItem you are handed back the responsibility to explicitly release the resource.

Return Value

Pointer to the resource associated with the safeguard.

Donator

Rudy Velthuis

Interface

ISafeGuard Interface


Miscellanuous

Memory, Classes and Objects

Functions

ClearObjectList

Clears the contents of a TList which contains objects.

FreeObjectList

Clears the contents of a TList which contains objects.


Miscellanuous Functions

Miscellanuous

Functions

ClearObjectList

Clears the contents of a TList which contains objects.

FreeObjectList

Clears the contents of a TList which contains objects.


ClearObjectList Function

See Also

Clears the contents of a TList which contains objects.

Pascal

procedure ClearObjectList(List: TList);

Description

ClearObjectList clears the contents of the specified list. The routine assumes that each item in the list is a TObject descendant and frees these objects before removing them from the list. If the list contains items other than TObject descendants, the result is unpredictable (likely an access violation will occur).

Parameters

List: TList

The list to clear.

Donator

Heri Bender

Group

Miscellanuous

Unit

JclSysUtils


See Also

FreeObjectList


FreeObjectList Function

See Also

Clears the contents of a TList which contains objects.

Pascal

procedure FreeObjectList(var List: TList);

Description

FreeObjectList clears the contents of the specified list and then frees the list itself. The routine assumes that each item in the list is a TObject descendant and frees these objects before removing them from the list. If the list contains items other than TObject descendants, the result is unpredictable (likely an access violation will occur).

Parameters

var List: TList

The list to free.

Donator

Heri Bender

Group

Miscellanuous

Unit

JclSysUtils


See Also

ClearObjectList


Pointer manipulation

Memory, Classes and Objects

Topics

FreeAndNil

Frees an object reference and replaces it with nil.

Functions

SizeOfMem

Returns the size of a memory block given a pointer.

FreeMemAndNil

Frees a block of memory and sets the reference to nil.

GetAndFillMem

Allocates memory and fills it with the specified value.


Pointer manipulation Functions

Pointer manipulation

Functions

SizeOfMem

Returns the size of a memory block given a pointer.

FreeMemAndNil

Frees a block of memory and sets the reference to nil.

GetAndFillMem

Allocates memory and fills it with the specified value.


Topics

Pointer manipulation

Topics

FreeAndNil

Frees an object reference and replaces it with nil.


SizeOfMem Function

Returns the size of a memory block given a pointer.

Pascal

function SizeOfMem(const APointer: Pointer): Integer;

Description

SizeOfMem returns the size of the memory block pointed to by the specified pointer. This routine depends on information peeked from the standard Delphi memory manager implemention (in GetMem.inc) and will not work when a custom memory manager replacement is in use. Also, it will only work for memory allocated using the AllocMem, GetMem and New routines; that is, using the Delphi memory manager.

Parameters

P

Pointer to the memory block whose size to retrieve.

Return Value

The total size of the memory block pointed to by P. Note that the current implementation uses a 4 byte header to store some additonal information (such as the size) about the memory block. These 4 bytes are included in the result. To get the size of the block available to the user (the size specified when the block was allocated) simply subtract 4. If the function fails to determine the size of the memory, for example because it detected that the Delphi memory manager was replaced by a custom memory manager, it returns -1.

Donator

Robert R. Marsh

Group

Pointer manipulation

Unit

JclSysUtils


FreeAndNil

See Also

Frees an object reference and replaces it with nil.

Description

FreeAndNil frees the object instance pointed to by Obj and replaces the reference with nil. This ensures that the reference is nil after the object has been destroyed and helps debugging. Do not use this routine on objects or generic pointers which are not TObject descendants. For generic pointers you can use the FreeMemAndNil procedure.

Parameters

Obj

Reference to an instance of a TObject descendant to free. Upon return the Obj variable has been reset to nil so future references ensure a relatively easy to understand access violation.

Donator

Marcel van Brakel

Group

Pointer manipulation


See Also

FreeMemAndNil


FreeMemAndNil Function

See Also

Frees a block of memory and sets the reference to nil.

Pascal

procedure FreeMemAndNil(var P: Pointer);

Description

FreeMemAndNil frees the memory pointed to by P and replaces the reference with nil. This ensures that the reference is nil after the memory has been released and helps debugging. Do not use this routine on objects or TObject descendants. For TObject (descendants) you can use the FreeAndNil procedure.

Parameters

var P: Pointer

Reference to the memory block to release. Upon return the P variable has been reset to nil so future references ensure a relatively easy to understand access violation.

Donator

Marcel van Brakel

Group

Pointer manipulation

Unit

JclSysUtils


See Also

FreeAndNil


GetAndFillMem Function

Allocates memory and fills it with the specified value.

Pascal

procedure GetAndFillMem(var P: Pointer; const Size: Integer; const Value: Byte);

Description

GetAndFillMem allocates a block of memory from the heap of the specified size and fills each byte in that block with the specified value.

Parameters

var P: Pointer

Receives a pointer to the allocated memory block.

const Size: Integer

Size, in bytes, of the block of memory to allocate.

const Value: Byte

Value with which to fill the memory block.

Donator

Marcel van Brakel

Group

Pointer manipulation

Unit

JclSysUtils


MIME

JEDI Code Library

Topics

EJclMimeError

Base class for exceptions raised in response to MIME encoding/decoding errors.

Functions

MimeDecode

The primary Mime decoding routine

MimeDecodePartial

MIME decode a chunk of data in a multi-phase decoding routine

MimeDecodePartialEnd

MIME decode the last chunk of data in a multi-phase decoding routine

MimeEncode

The primary Mime encoding routine

MimeEncodeString

MIME-Encodes a string

MimeDecodeString

MIME-Decodes a string

MimeEncodeStream

MIME-Encodes a stream

MimeDecodeStream

Decodes a MIME-encoded stream

MimeEncodedSize

Calculates the output size for encoding

MimeDecodedSize

Calculates the output size for decoding


Topics

MIME

Topics

EJclMimeError

Base class for exceptions raised in response to MIME encoding/decoding errors.


MIME Functions

MIME

Functions

MimeDecode

The primary Mime decoding routine

MimeDecodePartial

MIME decode a chunk of data in a multi-phase decoding routine

MimeDecodePartialEnd

MIME decode the last chunk of data in a multi-phase decoding routine

MimeEncode

The primary Mime encoding routine

MimeEncodeString

MIME-Encodes a string

MimeDecodeString

MIME-Decodes a string

MimeEncodeStream

MIME-Encodes a stream

MimeDecodeStream

Decodes a MIME-encoded stream

MimeEncodedSize

Calculates the output size for encoding

MimeDecodedSize

Calculates the output size for decoding


EJclMimeError

Base class for exceptions raised in response to MIME encoding/decoding errors.

Description

The EJclMimeError class is the exception class that is raised when an error occurs within one of MIME-routines.

Donator

Ralf Junker

Group

MIME


MimeDecode Function

See Also

The primary Mime decoding routine

Pascal

function MimeDecode(const InputBuffer: TDynByteArray; InputOffset: Cardinal; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; OutputOffset: Cardinal = 0): Cardinal; overload;
function MimeDecode(const InputBuffer: TDynByteArray; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray): Cardinal; overload;
function MimeDecode(const InputBuffer; const InputByteCount: Cardinal; out OutputBuffer): Cardinal;

Description

MimeDecode is the primary MIME-decoding routine and can also be used directly. CAUTION: OutputBuffer must have enough memory allocated to take all output. MimeDecodedSize(InputBytesCount) calculates this amount in bytes. There is no guarantee that all output will be filled after decoding. MimeDecode therefore returns the actual number of bytes written to OutputBuffer. Preallocating all memory at once (as is required by MimeDecode) avoids the time-consuming process of reallocation. After calling MimeDecode, simply cut the allocated memory down to OutputBytesCount, i.e. SetLength(OutString, OutputBytesCount).

Parameters

const InputBuffer: TDynByteArray

Points to the memory block to encode

out OutputBuffer: TDynByteArray

Points to the output buffer

InputBytesCount

Number of bytes to encode

Return Value

Number of bytes actually written to the OutputBuffer

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecodedSize MimeEncode


MimeDecodePartial Function

See Also

MIME decode a chunk of data in a multi-phase decoding routine

Pascal

function MimeDecodePartial(const InputBuffer: TDynByteArray; InputOffset: Cardinal; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; OutputOffset: Cardinal; var ByteBuffer: Cardinal; var ByteBufferSpace: Cardinal): Cardinal; overload;
function MimeDecodePartial(const InputBuffer: TDynByteArray; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; var ByteBuffer: Cardinal; var ByteBufferSpace: Cardinal): Cardinal; overload;
function MimeDecodePartial(const InputBuffer; const InputByteCount: Cardinal; out OutputBuffer; var ByteBuffer: Cardinal; var ByteBufferSpace: Cardinal): Cardinal;

Description

MIME decodes a chunk of data in a mutli-phase decoding routine. It is used within MimeDecodeString, MimeDecodeStream, and MimeDecode, but can also be used directly.

Parameters

const InputBuffer: TDynByteArray

Buffer to decode

out OutputBuffer: TDynByteArray

Points to the output buffer

var ByteBuffer: Cardinal

Bytes of buffer from previous call

var ByteBufferSpace: Cardinal

Number of bytes to read before ByteBuffer is full

InputBytesCount

Number of bytes to decode

Return Value

Number of bytes actually written to the OutputBuffer

Notes

On first call ByteBuffer should be 0 (zero) and ByteBufferSpace should be 4. The values returned in these parameters should be used in the next call to MimeDecodePartial or MimeDecodePartialEnd.

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecodePartialEnd


MimeDecodePartialEnd Function

See Also

MIME decode the last chunk of data in a multi-phase decoding routine

Pascal

function MimeDecodePartialEnd(out OutputBuffer: TDynByteArray; OutputOffset: Cardinal; const ByteBuffer: Cardinal; const ByteBufferSpace: Cardinal): Cardinal; overload;
function MimeDecodePartialEnd(out OutputBuffer: TDynByteArray; const ByteBuffer: Cardinal; const ByteBufferSpace: Cardinal): Cardinal; overload;
function MimeDecodePartialEnd(out OutputBuffer; const ByteBuffer: Cardinal; const ByteBufferSpace: Cardinal): Cardinal;

Description

MIME decodes the last chunk of data in a mutli-phase decoding routine. It is used within MimeDecodeString, MimeDecodeStream,/REF> and MimeDecode, but can also be used directly.

Parameters

out OutputBuffer: TDynByteArray

Points to the output buffer

const ByteBuffer: Cardinal

Bytes of buffer from previous call

const ByteBufferSpace: Cardinal

Number of bytes to read before ByteBuffer is full

Return Value

Number of bytes actually written to the OutputBuffer

Notes

ByteBuffer and ByteBufferSpace are the values returned in the last call to MimeDecodePartial.

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecodePartial


MimeEncode Function

See Also

The primary Mime encoding routine

Pascal

procedure MimeEncode(const InputBuffer: TDynByteArray; InputOffset: Cardinal; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray; OutputOffset: Cardinal = 0); overload;
procedure MimeEncode(const InputBuffer: TDynByteArray; const InputByteCount: Cardinal; out OutputBuffer: TDynByteArray); overload;
procedure MimeEncode(const InputBuffer; const InputByteCount: Cardinal; out OutputBuffer);

Description

MimeEncode is the primary MIME-encoding routine and is used by MimeEncodeString and MimeEncodeStream but can also be used directly. CAUTION: OutputBuffer must have enough memory allocated to take all encoded output. MimeEncodedSize(InputBytesCount) calculates this amount in bytes. MimeEncode will then fill the entire OutputBuffer, so there is no OutputBytesCount result for this procedure. Preallocating all memory at once (as required by MimeEncode) avoids the time-consuming process of reallocation.

Parameters

const InputBuffer: TDynByteArray

Points to the memory block to encode

const InputByteCount: Cardinal

Number of bytes to encode

out OutputBuffer: TDynByteArray

Points to the output buffer

Notes

If not all data fits into memory at once, you can use MimeEncode multiple times, but you must be very careful about the size of the InputBuffer. It should be set to a number that is a multiple of 3.

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeEncodedSize MimeDecode


MimeEncodeString Function

See Also

MIME-Encodes a string

Pascal

function MimeEncodeString(const S: AnsiString): AnsiString;

Description

MimeEncodeString encodes the supplied string with a MIME64 encoding algorithm.

Parameters

const S: AnsiString

String to be encoded

Return Value

MIME encoded string

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecodeString MimeEncodeStream MimeEncode MimeEncodedSize


MimeDecodeString Function

See Also

MIME-Decodes a string

Pascal

function MimeDecodeString(const S: AnsiString): AnsiString;

Description

MimeDecodeString decodes the supplied MIME64-encoded string.

Parameters

const S: AnsiString

MIME64-encoded string to be decoded

Return Value

Decoded string

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeEncodeString MimeDecodeStream MimeDecode MimeDecodedSize


MimeEncodeStream Function

See Also

MIME-Encodes a stream

Pascal

procedure MimeEncodeStream(const InputStream: TStream; const OutputStream: TStream);

Description

MimeEncodeStream encodes InputStream starting at the current position up to the end and writes the result to OutputStream, again starting at the current position. When done, it will not reset either stream's positions, but leave InputStream at the last read position (i.e. the end) and OutputStream at the last write position (which can, but is not always the end). To encode the entire InputStream from beginning to end, make sure that its offset is positioned at the beginning of the stream. You can force this by issuing Seek (0, soFromBeginning) before calling this function.

Parameters

const InputStream: TStream

Input stream to be encoded

const OutputStream: TStream

Output stream

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecodeStream MimeEncodeString MimeEncode MimeEncodedSize


MimeDecodeStream Function

See Also

Decodes a MIME-encoded stream

Pascal

procedure MimeDecodeStream(const InputStream: TStream; const OutputStream: TStream);

Description

MimeDecodeStream decodes InputStream starting at the current position up to the end and writes the result to OutputStream, again starting at the current position. When done, it will not reset either stream's positions, but leave InputStream at the last read position (i.e. the end) and OutputStream at the last write position (which can, but is not always the end). To decode the entire InputStream from beginning to end, make sure that its offset is positioned at the beginning of the stream. You can force this by issuing Seek (0, soFromBeginning) before calling this function.

Parameters

const InputStream: TStream

Input stream to be decoded

const OutputStream: TStream

Output stream

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeEncodeStream MimeDecodeString MimeDecode MimeDecodedSize


MimeEncodedSize Function

See Also

Calculates the output size for encoding

Pascal

function MimeEncodedSize(const InputSize: Cardinal): Cardinal;

Description

MimeEncodedSize calculates the output size of I MimeEncoded bytes. Use for MimeEncode only.

Parameters

I

Number of bytes to encode

Return Value

Number of bytes needed for encoding

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeEncode MimeDecodedSize


MimeDecodedSize Function

See Also

Calculates the output size for decoding

Pascal

function MimeDecodedSize(const InputSize: Cardinal): Cardinal;

Description

MimeDecodedSize calculates the maximum output size of I MimeDecoded bytes. You may use it for MimeDecode to calculate the maximum amount of memory required for decoding in one single pass.

Parameters

I

Number of bytes to decode

Return Value

Maximum number of bytes needed for decoding

Donator

Ralf Junker

Group

MIME

Unit

JclMime


See Also

MimeDecode MimeEncodedSize


Miscellaneous

JEDI Code Library

Classes

EJclCreateProcessError

Class for exceptions raised due to errors in the CreateProcAsUser / CreateProcAsUserEx procedure pair.

Functions

SetDisplayResolution

Changes the resolution of the screen.

CreateProcAsUserEx

Spawns a new process in the context of the specified user account.

CreateProcAsUser

Spawns a new process in the context of the specified user account.

LogOffOS

Shuts down all running processes and logs the user off.

ExitWindows

Exits windows

ShutDownOS

Shuts down the operating system.

PowerOffOS

Shuts down the system and turns off the power.

RebootOS

Shuts down the system and reboots.


Miscellaneous Functions

Miscellaneous

Functions

SetDisplayResolution

Changes the resolution of the screen.

CreateProcAsUserEx

Spawns a new process in the context of the specified user account.

CreateProcAsUser

Spawns a new process in the context of the specified user account.

LogOffOS

Shuts down all running processes and logs the user off.

ExitWindows

Exits windows

ShutDownOS

Shuts down the operating system.

PowerOffOS

Shuts down the system and turns off the power.

RebootOS

Shuts down the system and reboots.


Miscellaneous Classes

Miscellaneous

Classes

EJclCreateProcessError

Class for exceptions raised due to errors in the CreateProcAsUser / CreateProcAsUserEx procedure pair.


SetDisplayResolution Function

Changes the resolution of the screen.

Pascal

function SetDisplayResolution(const XRes: DWORD; const YRes: DWORD): Longint;

Description

Dynamically changes the resolution (width and height) of the visible device surface of the default display device. In simpler terms, changes the width and height of the screen. If the function succeeds the system automatically sends a WM_DISPLAYCHANGE message to all running applications.

Parameters

const XRes: DWORD

New Width of the screen, in pixels.

const YRes: DWORD

New Height of the screen, in pixels.

Return Value

Internally the ChangeDisplaySettings function is used to obtain the result. The possible return values are:
Value	Meaning
DISP_CHANGE_SUCCESSFUL	The settings change was successful.
DISP_CHANGE_RESTART	The computer must be restarted in order for the graphics mode to work.
DISP_CHANGE_BADFLAGS	An invalid set of flags was passed in.
DISP_CHANGE_BADPARAM	An invalid parameter was passed in. This can include an invalid flag or combination of flags.
DISP_CHANGE_FAILED	The display driver failed the specified graphics mode.
DISP_CHANGE_BADMODE	The graphics mode is not supported.
DISP_CHANGE_NOTUPDATED	Windows NT/2000: Unable to write settings to the registry.
Donator

John C Molyneux

Group

Miscellaneous

Unit

JclMiscel


CreateProcAsUserEx Function

See Also

Spawns a new process in the context of the specified user account.

Pascal

procedure CreateProcAsUserEx(const UserDomain: string; const UserName: string; const Password: string; const CommandLine: string; const Environment: PChar);

Description

CreateProcessAsUserEx launches a new process in the context of the specified user. This user does not neccessarily have to be the same user as the currently logged in user. You can use this function to run a child process in an adminstrative context, although the calling process is running in a normal (i.e.:restricted) user context.

Parameters

const UserDomain: string

Name of the domain the user account is contained in. If this parameter is '.', then the procedure will search only the local account database to look up the user account. If the parameter is nil, then the procedure will first search the local account database and then the trusted domain account databases until the specified account is found.

const UserName: string

The name of the user account the new process is to be run in.

const Password: string

The password for the specified user account.

const CommandLine: string

This string specifies the command line for the application to be executed.

const Environment: PChar

Points to an environment block for the new process. If this parameter is nil, the new process uses the environment of the calling process. You can create a new environment block using the CreateEnvironmentBlock function.

Donator

Peter Friese

Group

Miscellaneous

Unit

JclMiscel


See Also

CreateProcAsUser CreateEnvironmentBlock


CreateProcAsUser Function

See Also

Spawns a new process in the context of the specified user account.

Pascal

procedure CreateProcAsUser(const UserDomain: string; const UserName: string; const PassWord: string; const CommandLine: string);

Description

CreateProcessAsUserEx launches a new process in the context of the specified user. This user does not neccessarily have to be the same user as the currently logged in user. You can use this function to run a child process in an adminstrative context, although the calling process is running in a normal (i.e.:restricted) user context.

Parameters

const UserDomain: string

Name of the domain the user account is contained in. If this parameter is '.', then the procedure will search only the local account database to look up the user account. If the parameter is nil, then the procedure will first search the local account database and then the trusted domain account databases until the specified account is found.

const UserName: string

The name of the user account the new process is to be run in.

const PassWord: string

The password for the specified user account.

const CommandLine: string

This string specifies the command line for the application to be executed.

Donator

Peter Friese

Group

Miscellaneous

Unit

JclMiscel


See Also

CreateProcAsUserEx CreateEnvironmentBlock


EJclCreateProcessError Class

Properties	Methods	Legend

Class for exceptions raised due to errors in the CreateProcAsUser / CreateProcAsUserEx procedure pair.

Pascal

EJclCreateProcessError = class(EJclWin32Error);

Donator

Peter Friese

Group

Miscellaneous

Legend

read only

Constructor

Unit

JclMiscel


EJclCreateProcessError Class Properties

EJclCreateProcessError Class	Legend

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.


Legend

read only


EJclCreateProcessError Class Methods

EJclCreateProcessError Class	Legend

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

Constructor


Legend

EJclCreateProcessError Class

Legend

read only

Constructor


EJclCreateProcessError Class Members

EJclCreateProcessError Class	Legend

Members

Properties

EJclWin32Error Class

 LastError

Contains the LastError.

 LastErrorMsg

Error string corresponding to LastError.

Methods

EJclWin32Error Class

 Create

Instantiates an EJclWin32Error with a simple string.

 CreateFmt

Instantiates an EJclWin32Error with a formatted string.

 CreateRes

Instantiates an instance of EJclWin32Error with a string loaded from the application's resource.


Legend

read only

Constructor


LogOffOS Function

See Also

Shuts down all running processes and logs the user off.

Pascal

function LogOffOS: Boolean;

Description

This function shuts down all running processes and afterwards logs the user off. On Windows this function utilizes the ExitWindowsEx function call.

Return Value

False if the function was not able to log off the user.

Donator

Team JCL

Group

Miscellaneous

Unit

JclMiscel


See Also

ExitWindows, PowerOffOS, ShutDownOS, RebootOS


ExitWindows Function

See Also

Exits windows

Pascal

function ExitWindows(ExitCode: Cardinal): Boolean;

Description

This function exits windows in a way defined by the ExitCode parameter.

Parameters

ExitCode: Cardinal

Either EWX_LOGOFF, EWX_POWEROFF, EWX_REBOOT or EWX_SHUTDOWN.

Return Value

False if the function was not able to shutn down the system and turn the power off.

Donator

Team JCL

Group

Miscellaneous

Unit

JclMiscel


See Also

LogOffOS, PowerOffOS, ShutDownOS, RebootOS


ShutDownOS Function

See Also

Shuts down the operating system.

Pascal

function ShutDownOS: Boolean;

Description

This function shuts down the operating system.

Return Value

False if the function was not able to shutn down the system and turn the power off.

Donator

Team JCL

Group

Miscellaneous

Unit

JclMiscel


See Also

ExitWindows, LogOffOS, PowerOffOS, ShutDownOS, RebootOS


PowerOffOS Function

See Also

Shuts down the system and turns off the power.

Pascal

function PowerOffOS: Boolean;

Description

This function shuts down the system and turns the power off (the hardware and the operating system must support the power off feature).

Return Value

False if the function was not able to shutn down the system and turn the power off.

Donator

Team JCL

Group

Miscellaneous

Unit

JclMiscel


See Also

ExitWindows, LogOffOS, PowerOffOS, ShutDownOS, RebootOS


RebootOS Function

See Also

Shuts down the system and reboots.

Pascal

function RebootOS: Boolean;

Description

This function shuts down the system and initiates a system reboot.

Return Value

False if the function was not able to shutn down the system and turn the power off.

Donator

Team JCL

Group

Miscellaneous

Unit

JclMiscel


See Also

ExitWindows, LogOffOS, PowerOffOS, ShutDownOS, RebootOS


MultiMedia

JEDI Code Library

Topics

Audio Mixers

MCI

MIDI

MIDI is an acronym for Musical Instrument Digital Interface, a standard to communicate musical information.

Waveform Audio

CD-Drive Functions


Topics

MultiMedia

Topics

Audio Mixers

MCI

MIDI

MIDI is an acronym for Musical Instrument Digital Interface, a standard to communicate musical information.

Waveform Audio

CD-Drive Functions


Audio Mixers

MultiMedia


MCI

MultiMedia

Functions

GetMciErrorMessage

Wrapper for mciGetErrorString API.


MCI Functions

MCI

Functions

GetMciErrorMessage

Wrapper for mciGetErrorString API.


GetMciErrorMessage Function

Wrapper for mciGetErrorString API.

Pascal

function GetMciErrorMessage(const MciErrNo: MCIERROR): string;

Description

GetMciErrorMessage is a simple wrapper function for the mciGetErrorString API. The function returns an error message for the specified error code.

Parameters

ErrorCode

The errorcode for which you want the error message.

Return Value

Error message for the specified error code.

Donator

Bernhard Berger

Group

MCI

Unit

JclMultimedia


MIDI

Legend

MIDI is an acronym for Musical Instrument Digital Interface, a standard to communicate musical information.

Description

MIDI is an acronym for Musical Instrument Digital Interface, a standard to communicate musical information (in contrast to sound), as defined by the MIDI Manufacturers Association (MMA). The standard is threefold: it defines a protocol (language), a connector (hardware interface) and a distribution format called Standard MIDI Files.

For more information about MIDI, look up the MMA's website.

We also recommend George Hansper's MIDI introduction.

Group

MultiMedia

Interfaces

 IJclMIDIOut

Legend

Interface


MIDI Interfaces

MIDI	Legend

Interfaces

 IJclMIDIOut


Legend

Interface


Legend

MIDI

Legend

Interface


IJclMIDIOut Interface

Properties	Methods	Legend

IJclMIDIOut = interface;

Donator

Robert Rossmair

Group

MIDI

Legend

read only

write only

Unit

JclMIDI


IJclMIDIOut Interface Properties

IJclMIDIOut Interface	Legend

Properties

 ActiveNotes

 LocalControl

 MIDIStatus

 Name

The name of the MIDI receiver.

RunningStatusEnabled


Legend

read only

write only


IJclMIDIOut Interface Methods

IJclMIDIOut Interface

Methods

GetMIDIStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain


Legend

IJclMIDIOut Interface

Legend

read only

write only


IJclMIDIOut Interface Members

IJclMIDIOut Interface	Legend

Members

Properties

 ActiveNotes

 LocalControl

 MIDIStatus

 Name

The name of the MIDI receiver.

RunningStatusEnabled

Methods

GetMIDIStatus

NoteIsOn

ResetAllControllers

SelectProgram

SendBalanceChange

SendBalanceChangeHR

SendBreathControlChange

SendBreathControlChangeHR

SendChannelPressure

SendChannelVolumeChange

SendChannelVolumeChangeHR

SendControlChange

SendControlChangeHR

SendDataEntry

SendDataEntryHR

SendExpressionChange

SendExpressionChangeHR

SendFootControllerChange

SendFootControllerChangeHR

SendMessage

SendModulationWheelChange

SendModulationWheelChangeHR

SendNoteOff

SendNoteOn

SendPanChange

SendPanChangeHR

SendPitchWheelChange

SendPitchWheelPos

SendPolyphonicKeyPressure

SendPortamentoTimeChange

SendPortamentoTimeChangeHR

SendProgramChange

SendSingleNoteTuningChange

SendSwitchChange

SwitchActiveNotesOff

SwitchAllNotesOff

SwitchAllSoundOff

SwitchHold2

SwitchLegato

SwitchLocalControl

SwitchMonoModeOn

SwitchOmniModeOff

SwitchOmniModeOn

SwitchPolyModeOn

SwitchPortamento

SwitchSoftPedal

SwitchSostenuto

SwitchSustain


Legend

read only

write only


IJclMIDIOut.ActiveNotes Property

IJclMIDIOut Interface

property ActiveNotes [Channel: TMIDIChannel]: TMIDINotes;

Interface

IJclMIDIOut Interface


IJclMIDIOut.LocalControl Property

IJclMIDIOut Interface

property LocalControl [Channel: TMIDIChannel]: Boolean;

Interface

IJclMIDIOut Interface


IJclMIDIOut.MIDIStatus Property

IJclMIDIOut Interface

property MIDIStatus: TMIDIStatusByte;

Interface

IJclMIDIOut Interface


IJclMIDIOut.Name Property

IJclMIDIOut Interface

The name of the MIDI receiver.

Pascal

property Name: string;

Description

Name is used to get the name of the MIDI receiver associated with the interface.

Donator

Robert Rossmair

Interface

IJclMIDIOut Interface


IJclMIDIOut.RunningStatusEnabled Property

IJclMIDIOut Interface

property RunningStatusEnabled: Boolean;

Interface

IJclMIDIOut Interface


IJclMIDIOut.GetMIDIStatus Method

IJclMIDIOut Interface

function GetMIDIStatus: TMIDIStatusByte;

Interface

IJclMIDIOut Interface


IJclMIDIOut.NoteIsOn Method

IJclMIDIOut Interface

function NoteIsOn(Channel: TMIDIChannel; Key: TMIDINote): Boolean;

Interface

IJclMIDIOut Interface


IJclMIDIOut.ResetAllControllers Method

IJclMIDIOut Interface

procedure ResetAllControllers(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SelectProgram Method

IJclMIDIOut Interface

procedure SelectProgram(Channel: TMIDIChannel; BankNum: TMIDIDataWord; ProgramNum: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendBalanceChange Method

IJclMIDIOut Interface

procedure SendBalanceChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendBalanceChangeHR Method

IJclMIDIOut Interface

procedure SendBalanceChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendBreathControlChange Method

IJclMIDIOut Interface

procedure SendBreathControlChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendBreathControlChangeHR Method

IJclMIDIOut Interface

procedure SendBreathControlChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendChannelPressure Method

IJclMIDIOut Interface

procedure SendChannelPressure(Channel: TMIDIChannel; Value: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendChannelVolumeChange Method

IJclMIDIOut Interface

procedure SendChannelVolumeChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendChannelVolumeChangeHR Method

IJclMIDIOut Interface

procedure SendChannelVolumeChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendControlChange Method

IJclMIDIOut Interface

procedure SendControlChange(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendControlChangeHR Method

IJclMIDIOut Interface

procedure SendControlChangeHR(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: TMIDIDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendDataEntry Method

IJclMIDIOut Interface

procedure SendDataEntry(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendDataEntryHR Method

IJclMIDIOut Interface

procedure SendDataEntryHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendExpressionChange Method

IJclMIDIOut Interface

procedure SendExpressionChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendExpressionChangeHR Method

IJclMIDIOut Interface

procedure SendExpressionChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendFootControllerChange Method

IJclMIDIOut Interface

procedure SendFootControllerChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendFootControllerChangeHR Method

IJclMIDIOut Interface

procedure SendFootControllerChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendMessage Method

IJclMIDIOut Interface

procedure SendMessage(const Data: array of Byte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendModulationWheelChange Method

IJclMIDIOut Interface

procedure SendModulationWheelChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendModulationWheelChangeHR Method

IJclMIDIOut Interface

procedure SendModulationWheelChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendNoteOff Method

IJclMIDIOut Interface

procedure SendNoteOff(Channel: TMIDIChannel; Key: TMIDINote; Velocity: TMIDIDataByte = $40);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendNoteOn Method

IJclMIDIOut Interface

procedure SendNoteOn(Channel: TMIDIChannel; Key: TMIDINote; Velocity: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPanChange Method

IJclMIDIOut Interface

procedure SendPanChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPanChangeHR Method

IJclMIDIOut Interface

procedure SendPanChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPitchWheelChange Method

IJclMIDIOut Interface

procedure SendPitchWheelChange(Channel: TMIDIChannel; Value: TMIDIDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPitchWheelPos Method

IJclMIDIOut Interface

procedure SendPitchWheelPos(Channel: TMIDIChannel; Value: Single);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPolyphonicKeyPressure Method

IJclMIDIOut Interface

procedure SendPolyphonicKeyPressure(Channel: TMIDIChannel; Key: TMIDINote; Value: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPortamentoTimeChange Method

IJclMIDIOut Interface

procedure SendPortamentoTimeChange(Channel: TMIDIChannel; Value: TMidiDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendPortamentoTimeChangeHR Method

IJclMIDIOut Interface

procedure SendPortamentoTimeChangeHR(Channel: TMIDIChannel; Value: TMidiDataWord);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendProgramChange Method

IJclMIDIOut Interface

procedure SendProgramChange(Channel: TMIDIChannel; ProgramNum: TMIDIDataByte);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendSingleNoteTuningChange Method

IJclMIDIOut Interface

procedure SendSingleNoteTuningChange(const TargetDeviceID: TMidiDataByte; const TuningProgramNum: TMidiDataByte; const TuningData: array of TSingleNoteTuningData);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SendSwitchChange Method

IJclMIDIOut Interface

procedure SendSwitchChange(Channel: TMIDIChannel; ControllerNum: TMIDIDataByte; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchActiveNotesOff Method ()

IJclMIDIOut Interface

procedure SwitchActiveNotesOff; overload;

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchActiveNotesOff Method (TMIDIChannel)

IJclMIDIOut Interface

procedure SwitchActiveNotesOff(Channel: TMIDIChannel); overload;

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchAllNotesOff Method

IJclMIDIOut Interface

procedure SwitchAllNotesOff(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchAllSoundOff Method

IJclMIDIOut Interface

procedure SwitchAllSoundOff(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchHold2 Method

IJclMIDIOut Interface

procedure SwitchHold2(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchLegato Method

IJclMIDIOut Interface

procedure SwitchLegato(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchLocalControl Method

IJclMIDIOut Interface

procedure SwitchLocalControl(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchMonoModeOn Method

IJclMIDIOut Interface

procedure SwitchMonoModeOn(Channel: TMIDIChannel; ChannelCount: Integer);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchOmniModeOff Method

IJclMIDIOut Interface

procedure SwitchOmniModeOff(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchOmniModeOn Method

IJclMIDIOut Interface

procedure SwitchOmniModeOn(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchPolyModeOn Method

IJclMIDIOut Interface

procedure SwitchPolyModeOn(Channel: TMIDIChannel);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchPortamento Method

IJclMIDIOut Interface

procedure SwitchPortamento(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchSoftPedal Method

IJclMIDIOut Interface

procedure SwitchSoftPedal(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchSostenuto Method

IJclMIDIOut Interface

procedure SwitchSostenuto(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


IJclMIDIOut.SwitchSustain Method

IJclMIDIOut Interface

procedure SwitchSustain(Channel: TMIDIChannel; Value: Boolean);

Interface

IJclMIDIOut Interface


Waveform Audio

MultiMedia


CD-Drive Functions

MultiMedia

Functions

OpenCloseCdDrive

Opens or closes the CD drive.


CD-Drive Functions Functions

CD-Drive Functions

Functions

OpenCloseCdDrive

Opens or closes the CD drive.


OpenCloseCdDrive Function

Opens or closes the CD drive.

Pascal

procedure OpenCloseCdDrive(OpenMode: Boolean; Drive: Char = #0);

Description

OpenCloseCdDrive opens or closes the CD drive. If an error occurs an EJclMciError exception is raised.

Notes

Currently this function can only handle a single CD drive.

Donator

Bernhard Berger

Group

CD-Drive Functions

Unit

JclMultimedia


Ordinal Math and Logic

JEDI Code Library

Topics

Arithmetic

Bit Manipulation

Conversion


Topics

Ordinal Math and Logic

Topics

Arithmetic

Bit Manipulation

Conversion


Arithmetic

Ordinal Math and Logic

Functions

DecLimit

Decrements an ordinal up to limit.

DecLimitClamp

Decrements an ordinal up to limit.

IncLimit

Increments an ordinal up to limit.

IncLimitClamp

Increments an ordinal up to limit.

Max

Returns the larger of two values.

Min

Returns the smaller of two values.

SwapOrd

Swaps two integer-typed variables.


Arithmetic Functions

Arithmetic

Functions

DecLimit

Decrements an ordinal up to limit.

DecLimitClamp

Decrements an ordinal up to limit.

IncLimit

Increments an ordinal up to limit.

IncLimitClamp

Increments an ordinal up to limit.

Max

Returns the larger of two values.

Min

Returns the smaller of two values.

SwapOrd

Swaps two integer-typed variables.


DecLimit Function

See Also

Decrements an ordinal up to limit.

Pascal

function DecLimit(var B: Byte; const Limit: Byte; const Decr: Byte = 1): Byte; overload;
function DecLimit(var B: Shortint; const Limit: Shortint; const Decr: Shortint = 1): Shortint; overload;
function DecLimit(var B: Smallint; const Limit: Smallint; const Decr: Smallint = 1): Smallint; overload;
function DecLimit(var B: Word; const Limit: Word; const Decr: Word = 1): Word; overload;
function DecLimit(var B: Integer; const Limit: Integer; const Decr: Integer = 1): Integer; overload;
function DecLimit(var B: Cardinal; const Limit: Cardinal; const Decr: Cardinal = 1): Cardinal; overload;
function DecLimit(var B: Int64; const Limit: Int64; const Decr: Int64 = 1): Int64; overload;

Description

DecLimit decrements the specified ordinal variable by the specified value if and only if the operation will not decrement beyond the limit. For example, suppose that X equals 10, now calling DecLimit(X, 5, 2) will decrement X by 2 leaving it with 8 on return. However, calling DecLimit(X, 5, 6) will not decrement X by 6 because that would decrement X beyond the limit. On return X still contains 10.

Parameters

var B: Byte

The value to conditionally decrement.

const Limit: Byte

The decrementation limit, this is inclusive.

const Decr: Byte = 1

The amount to decrement.

Return Value

B contains the decremented value if within limit, otherwise it contains the original value. This same value is returned as the function result.

Donator

ESB Consultancy

Group

Arithmetic

Unit

JclLogic


See Also

IncLimit IncLimitClamp DecLimitClamp


DecLimitClamp Function

See Also

Decrements an ordinal up to limit.

Pascal

function DecLimitClamp(var B: Byte; const Limit: Byte; const Decr: Byte = 1): Byte; overload;
function DecLimitClamp(var B: Shortint; const Limit: Shortint; const Decr: Shortint = 1): Shortint; overload;
function DecLimitClamp(var B: Smallint; const Limit: Smallint; const Decr: Smallint = 1): Smallint; overload;
function DecLimitClamp(var B: Word; const Limit: Word; const Decr: Word = 1): Word; overload;
function DecLimitClamp(var B: Integer; const Limit: Integer; const Decr: Integer = 1): Integer; overload;
function DecLimitClamp(var B: Cardinal; const Limit: Cardinal; const Decr: Cardinal = 1): Cardinal; overload;
function DecLimitClamp(var B: Int64; const Limit: Int64; const Decr: Int64 = 1): Int64; overload;

Description

DecLimitClamp decrements the specified ordinal variable by the specified value. If this decrement would decrease the value beyond the specified limit, the variable is clamped to the limit. For example, suppose that X equals 10, now calling DecLimitClamp(X, 5, 2) will decrement X by 2 leaving it with 8 on return. However, calling DecLimitClamp(X, 5, 6) will not decrement X by 6 because that would decrement X beyond the limit. X is set to 5 (the limit) instead.

Parameters

var B: Byte

The value to conditionally decrement.

const Limit: Byte

The decrementation limit, this is inclusive.

const Decr: Byte = 1

The amount to decrement.

Return Value

B contains the decremented value if within limit, otherwise it is set to the limit value. This same value is returned as the function result.

Notes

If upon entry the B variable is already smaller than the limit the variable is set to Limit.

Donator

Marcel van Brakel

Group

Arithmetic

Unit

JclLogic


See Also

IncLimit DecLimit IncLimitClamp


IncLimit Function

See Also

Increments an ordinal up to limit.

Pascal

function IncLimit(var B: Byte; const Limit: Byte; const Incr: Byte = 1): Byte; overload;
function IncLimit(var B: Shortint; const Limit: Shortint; const Incr: Shortint = 1): Shortint; overload;
function IncLimit(var B: Smallint; const Limit: Smallint; const Incr: Smallint = 1): Smallint; overload;
function IncLimit(var B: Word; const Limit: Word; const Incr: Word = 1): Word; overload;
function IncLimit(var B: Integer; const Limit: Integer; const Incr: Integer = 1): Integer; overload;
function IncLimit(var B: Cardinal; const Limit: Cardinal; const Incr: Cardinal = 1): Cardinal; overload;
function IncLimit(var B: Int64; const Limit: Int64; const Incr: Int64 = 1): Int64; overload;

Description

IncLimit increments the specified ordinal variable by the specified value if and only if the operation will not increment beyond the limit. For example, suppose that X equals 5, now calling IncLimit(X, 10, 2) will increment X by 2 leaving it with 7 on return. However, calling IncLimit(X, 10, 6) will not increment X by 6 because that would increment X beyond the limit. On return X still contains 5.

Parameters

var B: Byte

The value to conditionally increment.

const Limit: Byte

The incrementation limit.

const Incr: Byte = 1

The amount to increment.

Return Value

B contains the incremented value if within limit, otherwise it contains the original value. This same value is returned as the function result.

Donator

ESB Consultancy

Group

Arithmetic

Unit

JclLogic


See Also

DecLimit DecLimitClamp IncLimitClamp


IncLimitClamp Function

See Also

Increments an ordinal up to limit.

Pascal

function IncLimitClamp(var B: Byte; const Limit: Byte; const Incr: Byte = 1): Byte; overload;
function IncLimitClamp(var B: Shortint; const Limit: Shortint; const Incr: Shortint = 1): Shortint; overload;
function IncLimitClamp(var B: Smallint; const Limit: Smallint; const Incr: Smallint = 1): Smallint; overload;
function IncLimitClamp(var B: Word; const Limit: Word; const Incr: Word = 1): Word; overload;
function IncLimitClamp(var B: Integer; const Limit: Integer; const Incr: Integer = 1): Integer; overload;
function IncLimitClamp(var B: Cardinal; const Limit: Cardinal; const Incr: Cardinal = 1): Cardinal; overload;
function IncLimitClamp(var B: Int64; const Limit: Int64; const Incr: Int64 = 1): Int64; overload;

Description

IncLimitClamp increments the specified ordinal variable by the specified value. If this increment would increase the value beyond the specified limit, the variable is clamped to the limit. For example, suppose that X equals 5, now calling IncLimitClamp(X, 10, 2) will increment X by 2 leaving it with 7 on return. However, calling IncLimitClamp(X, 10, 6) will not increment X by 6 because that would increment X beyond the limit. X is set to 10 (the limit) instead.

Parameters

var B: Byte

The value to conditionally increment.

const Limit: Byte

The incrementation limit.

const Incr: Byte = 1

The amount to increment.

Return Value

B contains the incremented value if within limit, otherwise it is set to the limit value. This same value is returned as the function result.

Notes

If upon entry the B variable is already larger than the limit the variable is set to Limit.

Donator

Marcel van Brakel

Group

Arithmetic

Unit

JclLogic


See Also

DecLimit IncLimit DecLimitClamp


Max Function

See Also

Returns the larger of two values.

Pascal

function Max(const B1: Byte; const B2: Byte): Byte; overload;
function Max(const B1: Shortint; const B2: Shortint): Shortint; overload;
function Max(const B1: Smallint; const B2: Smallint): Smallint; overload;
function Max(const B1: Word; const B2: Word): Word; overload;
function Max(const B1: Integer; const B2: Integer): Integer; overload;
function Max(const B1: Cardinal; const B2: Cardinal): Cardinal; overload;
function Max(const B1: Int64; const B2: Int64): Int64; overload;

Description

Max returns the larger of the two passed values.

Parameters

const B1: Byte

The first value.

const B2: Byte

The second value.

Return Value

The larger of the two values.

Donator

ESB Consultancy

Group

Arithmetic

Unit

JclLogic


See Also

Min


Min Function

See Also

Returns the smaller of two values.

Pascal

function Min(const B1: Byte; const B2: Byte): Byte; overload;
function Min(const B1: Shortint; const B2: Shortint): Shortint; overload;
function Min(const B1: Smallint; const B2: Smallint): Smallint; overload;
function Min(const B1: Word; const B2: Word): Word; overload;
function Min(const B1: Integer; const B2: Integer): Integer; overload;
function Min(const B1: Cardinal; const B2: Cardinal): Cardinal; overload;
function Min(const B1: Int64; const B2: Int64): Int64; overload;

Description

Min returns the smaller of the two passed values.

Parameters

const B1: Byte

The first value.

const B2: Byte

The second value.

Return Value

The smaller of the two values.

Donator

ESB Consultancy

Group

Arithmetic

Unit

JclLogic


See Also

Max


SwapOrd Function

Swaps two integer-typed variables.

Pascal

procedure SwapOrd(var X: Integer; var Y: Integer);
procedure SwapOrd(var I: Byte; var J: Byte); overload;
procedure SwapOrd(var I: Shortint; var J: Shortint); overload;
procedure SwapOrd(var I: Smallint; var J: Smallint); overload;
procedure SwapOrd(var I: Word; var J: Word); overload;
procedure SwapOrd(var I: Cardinal; var J: Cardinal); overload;
procedure SwapOrd(var I: Int64; var J: Int64); overload;

Description

The Swap function swaps the two supplied arguments. When the function returns I has the value of J and J has the value of I. This function exist in 7 forms, one for each Integer type. A function to swap floating point values exists as well in the JclMath unit, see SwapFloat.

Parameters

var I: Byte

First of the two variables to swap.

var J: Byte

Second of the two variables to swap.

Return Value

At the end of this routine I will contain the original value of J and J will contain the original value of I.

Donator

Marcel van Brakel

Group

Arithmetic

Unit

JclLogic


Bit Manipulation

Ordinal Math and Logic

Functions

BitsHighest

Returns the highest bit set in the supplied value.

BitsLowest

Returns the lowest bit set in the supplied value.

BitsNeeded

Returns the number of Bits needed to represent a given positive integer.

BitsToBooleans

Unpacks a set of bits into an array of booleans.

BooleansToBits

Packs an array of booleans into a set of bits.

ClearBit

Clears a bit in an integer-type value.

CountBitsCleared

Returns the number of cleared bits in the supplied value.

CountBitsSet

Returns the number of set bits in the passed value.

LRot

Left rotates bits.

ReverseBits

Reverses the bits of Value.

ReverseBytes

Reverses the bytes of Value.

RRot

Right rotates bits.

Sar

Performs an arithmetic right shift.

SetBit

Sets a bit in an integer-type value.

TestBit

Tests a bit in an integer-type value.

TestBits

Test multiple bits.

ToggleBit

Toggles a bit in an integer-type value.

Digits

Returns the number of digits in a given positive integer.


Bit Manipulation Functions

Bit Manipulation

Functions

BitsHighest

Returns the highest bit set in the supplied value.

BitsLowest

Returns the lowest bit set in the supplied value.

BitsNeeded

Returns the number of Bits needed to represent a given positive integer.

BitsToBooleans

Unpacks a set of bits into an array of booleans.

BooleansToBits

Packs an array of booleans into a set of bits.

ClearBit

Clears a bit in an integer-type value.

CountBitsCleared

Returns the number of cleared bits in the supplied value.

CountBitsSet

Returns the number of set bits in the passed value.

LRot

Left rotates bits.

ReverseBits

Reverses the bits of Value.

ReverseBytes

Reverses the bytes of Value.

RRot

Right rotates bits.

Sar

Performs an arithmetic right shift.

SetBit

Sets a bit in an integer-type value.

TestBit

Tests a bit in an integer-type value.

TestBits

Test multiple bits.

ToggleBit

Toggles a bit in an integer-type value.

Digits

Returns the number of digits in a given positive integer.


BitsHighest Function

See Also

Returns the highest bit set in the supplied value.

Pascal

function BitsHighest(X: Byte): Integer; overload;
function BitsHighest(X: ShortInt): Integer; overload;
function BitsHighest(X: SmallInt): Integer; overload;
function BitsHighest(X: Word): Integer; overload;
function BitsHighest(X: Integer): Integer; overload;
function BitsHighest(X: Cardinal): Integer; overload;
function BitsHighest(X: Int64): Integer; overload;

Description

BitsHighest returns the index of the highest bit which is set in the supplied value. Note that bits are numbered right to left starting with 0. For example, BitsHighest(5) returns 2 (5 equals 00000101 in binary).

Parameters

X: Byte

The value for which to return the highest set bit.

Return Value

The index of the highest bit set, or -1 if no bits are set.

Donator

Michael Schnell

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsLowest CountBitsSet


BitsLowest Function

See Also

Returns the lowest bit set in the supplied value.

Pascal

function BitsLowest(X: Byte): Integer; overload;
function BitsLowest(X: Shortint): Integer; overload;
function BitsLowest(X: Smallint): Integer; overload;
function BitsLowest(X: Word): Integer; overload;
function BitsLowest(X: Cardinal): Integer; overload;
function BitsLowest(X: Integer): Integer; overload;
function BitsLowest(X: Int64): Integer; overload;

Description

BitsLowest returns the index of the lowest bit which is set in the supplied value. Note that bits are numbered right to left starting with 0. For example, BitsLowest(9) returns 2 (9 is 00001100 in binary).

Parameters

X: Byte

The value for which to return the lowest set bit.

Return Value

The index of the lowest bit set, or -1 if no bits are set.

Donator

Michael Schnell

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsHighest CountBitsSet


BitsNeeded Function

See Also

Returns the number of Bits needed to represent a given positive integer.

Pascal

function BitsNeeded(const X: Byte): Integer; overload;
function BitsNeeded(const X: Word): Integer; overload;
function BitsNeeded(const X: Integer): Integer; overload;
function BitsNeeded(const X: Int64): Integer; overload;

Description

Returns the number of Bits needed to represent a given positive integer.

Parameters

const X: Byte

The value for which you want to now how many bits are needed to represent it.

Return Value

The number of bits needed to represent the value.

Donator

ESB Consultancy

Group

Bit Manipulation

Unit

JclLogic


See Also

Digits


BitsToBooleans Function

See Also

Unpacks a set of bits into an array of booleans.

Pascal

procedure BitsToBooleans(const Bits: Byte; var B: TBooleanArray; AllBits: Boolean = False); overload;
procedure BitsToBooleans(const Bits: Word; var B: TBooleanArray; AllBits: Boolean = False); overload;
procedure BitsToBooleans(const Bits: Integer; var B: TBooleanArray; AllBits: Boolean = False); overload;
procedure BitsToBooleans(const Bits: Int64; var B: TBooleanArray; AllBits: Boolean = False); overload;

Description

BitsToBooleans unpacks a set of bits into an array of Booleans. Each set bit in the Bits parameter results in a True valued Boolean while each cleared bit results in a False valued boolean. The resulting array has one element for each bit in the Bits parameter where bit 0 corresponds to B[0], bit 1 to B[1] etc. See also BooleansToBits for the inverse operation. If the AllBits parameter is True, the number of elements in the resulting array is the same as the number of bits in the Bits parameter, if set to False (the default) the resulting array has only as many elements as is required to hold the highest set bit position. For example, if Bits equals 2 than the highest set bit is bit 1 and the resulting array has only two elements: [True, False].

Parameters

const Bits: Byte

The set of bits to unpack to an array of Booleans.

var B: TBooleanArray

Array which receives the bits in Bits unpacked as Booleans.

AllBits: Boolean = False

If set to True the number of elements in the resulting array equals the number of bits in the Bits parameter (ie 8 for Byte, 16 for Word, etc). If False the number of elements in the resulting array equals the position of the highest set bit.

Donator

Robert Marquardt

Group

Bit Manipulation

Unit

JclLogic


See Also

BooleansToBits


BooleansToBits Function

See Also

Packs an array of booleans into a set of bits.

Pascal

procedure BooleansToBits(var Dest: Byte; const B: TBooleanArray); overload;
procedure BooleansToBits(var Dest: Word; const B: TBooleanArray); overload;
procedure BooleansToBits(var Dest: Integer; const B: TBooleanArray); overload;
procedure BooleansToBits(var Dest: Int64; const B: TBooleanArray); overload;

Description

BooleansToBits packs the array of booleans into a set of bits. Each boolean in the array which is set to True results in a 1 bit in the Dest variable while each False valued boolean results in a 0 bit. The BitsToBooleans routine performs the inverse operation. Note that if the array contains more elements than can fit into the destination variable, the elements in the array with index larger than the highest bit (i.e. 7 for a byte) in the destination variable will be ignored.

Parameters

var Dest: Byte

Integer type variable in which the appropriate bits are set/cleared.

const B: TBooleanArray

The array of Booleans to pack into a set of bits. Note that the upper bound of this array must not be larger then the size of the Dest parameters, in bits. Thus, for the Byte variant this array must not be larger then 8 elements.

Donator

Robert Marquardt

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsToBooleans


ClearBit Function

See Also

Clears a bit in an integer-type value.

Pascal

function ClearBit(const Value: Byte; const Bit: TBitRange): Byte; overload;
function ClearBit(const Value: Shortint; const Bit: TBitRange): Shortint; overload;
function ClearBit(const Value: Smallint; const Bit: TBitRange): Smallint; overload;
function ClearBit(const Value: Word; const Bit: TBitRange): Word; overload;
function ClearBit(const Value: Integer; const Bit: TBitRange): Integer; overload;
function ClearBit(const Value: Cardinal; const Bit: TBitRange): Cardinal; overload;
function ClearBit(const Value: Int64; const Bit: TBitRange): Int64; overload;

Description

ClearBit clears the specified bit position of the passed integer typed variable. In other words, it sets the bit at position Bit for Value to 0. This function exists in 7 different forms, one for each integer type.

Parameters

const Value: Byte

The integer-typed variable for which to clear a bit.

const Bit: TBitRange

The 0 based bit position of the bit to clear. This is a modulo N bit position where N is the number of bits in the Value parameter. For example, if Value is a Byte, then Bit position is interpreted as Bit mod 8.

Return Value

Copy of Value with the bit at position Bit cleared.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

TestBit TestBits ToggleBit SetBit


CountBitsCleared Function

See Also

Returns the number of cleared bits in the supplied value.

Pascal

function CountBitsCleared(X: Byte): Integer; overload;
function CountBitsCleared(X: Shortint): Integer; overload;
function CountBitsCleared(X: Smallint): Integer; overload;
function CountBitsCleared(X: Word): Integer; overload;
function CountBitsCleared(X: Integer): Integer; overload;
function CountBitsCleared(X: Cardinal): Integer; overload;
function CountBitsCleared(X: Int64): Integer; overload;

Description

CountBitsCleared returns the number of bits that are cleared (value 0) in the binary representation of the supplied Value. Note that signed integers are stored in two's complement form and therefore, for example, CountBitsCleared(Integer(-1)) will return 0!

Parameters

X: Byte

The value for which to determine the number of bits that are cleared. This can be an Integer, Cardinal, Byte, Word or Int64.

Return Value

The number of cleared bits or 0 if no bits are cleared.

Donator

Robert Marquardt

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsLowest BitsHighest


CountBitsSet Function

See Also

Returns the number of set bits in the passed value.

Pascal

function CountBitsSet(X: Byte): Integer; overload;
function CountBitsSet(X: Word): Integer; overload;
function CountBitsSet(X: Smallint): Integer; overload;
function CountBitsSet(X: ShortInt): Integer; overload;
function CountBitsSet(X: Integer): Integer; overload;
function CountBitsSet(X: Cardinal): Integer; overload;
function CountBitsSet(X: Int64): Integer; overload;
function CountBitsSet(P: Pointer; Count: Cardinal): Cardinal; overload;

Description

CountBitsSet returns the number of bits that are set (value 1) in the binary representation of the supplied Value. For example, CountBitsSet(1) returns 1, CountBitsSet(3) returns 2 etc. Note that signed integers are stored in two's complement form and therefore, for example, CountBitsSet(-1) will return 32!

Parameters

X: Byte

The value for which to determine the number of bits that are set.

Return Value

The number of set bits or 0 if no bits are set.

Donator

Michael Schnell

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsLowest BitsHighest


LRot Function

See Also

Left rotates bits.

Pascal

function LRot(const Value: Byte; const Count: TBitRange): Byte; overload;
function LRot(const Value: Word; const Count: TBitRange): Word; overload;
function LRot(const Value: Integer; const Count: TBitRange): Integer; overload;

Description

LRot shifts the bits in Value the specified number (Count) of times to the left. On each shift the bit in the highest bit position wraps around into the lowest.

Parameters

const Value: Byte

The Value whose bits to rotate.

Mask

The number of times to rotate.

Return Value

The resulting integer after the rotation is performed.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

RRot


ReverseBits Function

Reverses the bits of Value.

Pascal

function ReverseBits(Value: Byte): Byte; overload;
function ReverseBits(Value: Shortint): Shortint; overload;
function ReverseBits(Value: Smallint): Smallint; overload;
function ReverseBits(Value: Word): Word; overload;
function ReverseBits(Value: Integer): Integer; overload;
function ReverseBits(Value: Cardinal): Cardinal; overload;
function ReverseBits(Value: Int64): Int64; overload;
function ReverseBits(P: Pointer; Count: Integer): Pointer; overload;

Description

ReverseBits reverses the bits in the passed parameter. That is, assuming a byte, bit 0 is swapped with bit 7, bit 1 is swapped with bit 6 and so on. This function exists in 5 forms, one for each Integer type. The last overload is a generalisation of this which reverses the bits in the supplied buffer. Note that all overloads use a table based approach to reversing the bits. The simple types overloads use only a 15 byte table while the pointer overload uses a 255 byte table. Due to this the pointer overload is much faster when used on large buffers.

Parameters

Value: Byte

The integer type whose bits to reverse.

P: Pointer

Address of a buffer whose bits to reverse.

Count: Integer

Size of the buffer, in bytes, specified by P.

Return Value

Copy of Value with it's bits reversed.

Notes

Warning Keep in mind that some of the ReverseBits overloads accept signed integers as their argument but that reversing the bits of a signed integer is somewhat akward. Be sure that you understand the meaning of reversing the bits in a signed integer and that's what you want. The pointer returned by the Pointer overload points to the same buffer passed in as it's argument, iow it's not a newly allocated buffer. The ReverseBits(Pointer, Integer) overload was originally written by Mike Lischke. Reversing is not the same as toggling. To toggle bits use the ToggleBit function.

Donator

Team JCL

Group

Bit Manipulation

Unit

JclLogic


ReverseBytes Function

Reverses the bytes of Value.

Pascal

function ReverseBytes(Value: Word): Word; overload;
function ReverseBytes(Value: Smallint): Smallint; overload;
function ReverseBytes(Value: Integer): Integer; overload;
function ReverseBytes(Value: Cardinal): Cardinal; overload;
function ReverseBytes(Value: Int64): Int64; overload;
function ReverseBytes(P: Pointer; Count: Integer): Pointer; overload;

Description

ReverseBytes reverses the bytes in the supplied parameter. That is, assuming an Integer, byte 0 is swapped with byte 3, byte 1 is swapped with byte 2. This function exists in 5 forms, one for each Integer type. The last overload is a generalisation of this which reverses the bytes in the supplied buffer.

Parameters

Value: Word

The integer type whose bytes to reverse.

P: Pointer

Address of a buffer whose bytes to reverse.

Count: Integer

Size of the buffer, in bytes, specified by P.

Return Value

Copy of Value with it's bits reversed.

Notes

The pointer returned by the Pointer overload points to the same buffer passed in as it's argument, iow it's not a newly allocated buffer. The ReverseBytes function was inspired by code from Liran Shahar

Donator

Team JCL

Group

Bit Manipulation

Unit

JclLogic


RRot Function

See Also

Right rotates bits.

Pascal

function RRot(const Value: Byte; const Count: TBitRange): Byte; overload;
function RRot(const Value: Word; const Count: TBitRange): Word; overload;
function RRot(const Value: Integer; const Count: TBitRange): Integer; overload;

Description

RRot shifts the bits in Value the specified number (Count) of times to the right. On each shift the bit in the lowest bit position wraps around into the highest.

Parameters

const Value: Byte

The Value whose bits to rotate.

Mask

The number of times to rotate.

Return Value

The resulting integer after the rotation is performed.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

LRot


Sar Function

Performs an arithmetic right shift.

Pascal

function Sar(const Value: Shortint; const Count: TBitRange): Shortint; overload;
function Sar(const Value: Smallint; const Count: TBitRange): Smallint; overload;
function Sar(const Value: Integer; const Count: TBitRange): Integer; overload;

Description

Sar performs an arithmetic right shift on the operand. An arithmetic right shift is similar to a logical right shift (shr) except that shr operates on unsigned values while Sar operates on signed values (and as such preserves the sign).

Parameters

const Value: Shortint

The Value whose bits to arithmetically shift.

const Count: TBitRange

Number of positions to right shift.

Return Value

A copy of value after the arithmetic right shift operation.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


SetBit Function

See Also

Sets a bit in an integer-type value.

Pascal

function SetBit(const Value: Byte; const Bit: TBitRange): Byte; overload;
function SetBit(const Value: Shortint; const Bit: TBitRange): Shortint; overload;
function SetBit(const Value: Smallint; const Bit: TBitRange): Smallint; overload;
function SetBit(const Value: Word; const Bit: TBitRange): Word; overload;
function SetBit(const Value: Cardinal; const Bit: TBitRange): Cardinal; overload;
function SetBit(const Value: Integer; const Bit: TBitRange): Integer; overload;
function SetBit(const Value: Int64; const Bit: TBitRange): Int64; overload;

Description

SetBit sets the specified bit position of the supplied integer typed variable. In other words it sets the bit at position Bit for Value to 1.

Parameters

const Value: Byte

The integer-typed variable for which to set a bit.

const Bit: TBitRange

The 0 based bit position of the bit to set. This is a modulo N bit position where N is the number of bits in the Value parameter. For example, if Value is a Byte, then Bit position is interpreted as Bit mod 8.

Return Value

Copy of Value with the bit at position Bit set.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

TestBit ClearBit ToggleBit TestBits


TestBit Function

See Also

Tests a bit in an integer-type value.

Pascal

function TestBit(const Value: Byte; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Shortint; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Smallint; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Word; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Cardinal; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Integer; const Bit: TBitRange): Boolean; overload;
function TestBit(const Value: Int64; const Bit: TBitRange): Boolean; overload;

Description

TestBit tests the specified bit position of the passed integer typed variable. In other words if the bit at the specified position is 1 then the function returns True, if it is 0 the function returns False.

Parameters

const Value: Byte

The integer-typed variable for which to test a bit.

const Bit: TBitRange

The 0 based bit position of the bit to test. This is a modulo N bit position where N is the number of bits in the Value parameter. For example, if Value is a Byte then Bit position is interpreted as Bit mod 8. Warning:  When calling this function you must cast a value passed to this parameter to a TBitRange as in: "TestBit(Value, TBitRange(1))" otherwise Delphi will incorrectly use the TestBit(Byte, TBitRange) overload instead of the correct overload. This is a known problem in the compiler, not an error in the JCL.

Return Value

True if the bit at the specified position is set, False if it is cleared.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

TestBits ClearBit ToggleBit SetBit


TestBits Function

See Also

Test multiple bits.

Pascal

function TestBits(const Value: Byte; const Mask: Byte): Boolean; overload;
function TestBits(const Value: Shortint; const Mask: Shortint): Boolean; overload;
function TestBits(const Value: Smallint; const Mask: Smallint): Boolean; overload;
function TestBits(const Value: Word; const Mask: Word): Boolean; overload;
function TestBits(const Value: Cardinal; const Mask: Cardinal): Boolean; overload;
function TestBits(const Value: Integer; const Mask: Integer): Boolean; overload;
function TestBits(const Value: Int64; const Mask: Int64): Boolean; overload;

Description

TestBits performs a bitwise and operation on Value and Mask. This in effect tests whether all bits that are set in Mask are also set in Value.

Parameters

const Value: Byte

The Value whose bits to test.

const Mask: Byte

The Mask containing the bits to test.

Return Value

If all the bits in the Mask are also set in Value the result is True, otherwise it's False.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

TestBit ClearBit ToggleBit SetBit


ToggleBit Function

See Also

Toggles a bit in an integer-type value.

Pascal

function ToggleBit(const Value: Byte; const Bit: TBitRange): Byte; overload;
function ToggleBit(const Value: Shortint; const Bit: TBitRange): Shortint; overload;
function ToggleBit(const Value: Smallint; const Bit: TBitRange): Smallint; overload;
function ToggleBit(const Value: Word; const Bit: TBitRange): Word; overload;
function ToggleBit(const Value: Cardinal; const Bit: TBitRange): Cardinal; overload;
function ToggleBit(const Value: Integer; const Bit: TBitRange): Integer; overload;
function ToggleBit(const Value: Int64; const Bit: TBitRange): Int64; overload;

Description

ToggleBit toggles the specified bit position of the supplied integer typed variable. In other words, if the bit at the specified position is 0, then it is set to 1, if it's 1 then it is set to 0.

Parameters

const Value: Byte

The integer-typed variable for which to toggle a bit.

const Bit: TBitRange

The 0 based bit position of the bit to toggle. This is a modulo N bit position where N is the number of bits in the Value parameter. For example, if Value is a Byte then Bit position is interpreted as Bit mod 8.

Return Value

Copy of Value with the bit at position Bit toggled.

Donator

Marcel van Brakel

Group

Bit Manipulation

Unit

JclLogic


See Also

TestBit ClearBit TestBits SetBit


Digits Function

See Also

Returns the number of digits in a given positive integer.

Pascal

function Digits(const X: Cardinal): Integer;

Description

Returns the number of digits in a given positive integer.

Parameters

const X: Cardinal

The value for which you want to know how many digits it has.

Return Value

The number of digits in the specified value.

Donator

ESB Consultancy

Group

Bit Manipulation

Unit

JclLogic


See Also

BitsNeeded


Conversion

Ordinal Math and Logic

Functions

OrdToBinary

Returns the supplied value in its binary form.


Conversion Functions

Conversion

Functions

OrdToBinary

Returns the supplied value in its binary form.


OrdToBinary Function

Returns the supplied value in its binary form.

Pascal

function OrdToBinary(Value: Byte): string; overload;
function OrdToBinary(Value: ShortInt): string; overload;
function OrdToBinary(Value: SmallInt): string; overload;
function OrdToBinary(Value: Word): string; overload;
function OrdToBinary(Value: Integer): string; overload;
function OrdToBinary(Value: Cardinal): string; overload;
function OrdToBinary(Value: Int64): string; overload;

Description

OrdToBinary returns a string representation of the specified value in its binary form. That is, a string of '1' and '0' characters representing the bits in the supplied value. The resulting string length is always equal to the number of bits in the supplied value (leading 0's aren't stripped).

Parameters

Value: Byte

The value whose binary string representation to retrieve.

Return Value

Binary string representation of the supplied value. The string has a length equal to the number of bits in the supplied value and each character in the string represents a single bit. The highest bit is placed in Result[1] and the lowest bit in Result[Length(Result)].

Donator

Marcel van Brakel

Group

Conversion

Unit

JclLogic


Registry and Ini files

JEDI Code Library

Topics

Ini files

Registry


Topics

Registry and Ini files

Topics

Ini files

Registry


Ini files

Registry and Ini files

Functions

IniWriteBool

Writes a boolean key to an ini file.

IniWriteInteger

Writes an integer key to an ini file.

IniWriteString

Writes a string key to an ini file.

IniReadBool

Reads a boolean key from an ini file.

IniReadInteger

Reads an integer key from an ini file.

IniReadString

Reads a string key from an ini file.


Ini files Functions

Ini files

Functions

IniWriteBool

Writes a boolean key to an ini file.

IniWriteInteger

Writes an integer key to an ini file.

IniWriteString

Writes a string key to an ini file.

IniReadBool

Reads a boolean key from an ini file.

IniReadInteger

Reads an integer key from an ini file.

IniReadString

Reads a string key from an ini file.


IniWriteBool Function

See Also

Writes a boolean key to an ini file.

Pascal

procedure IniWriteBool(const FileName: string; const Section: string; const Line: string; Value: Boolean);

Description

IniWriteBool writes a single boolean key to the specified section in the specified ini file. If the function fails it raises an exception.

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file to which to write a value

const Line: string

The name of the key to write

Value: Boolean

The value to write

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadBool IniReadInteger IniReadString IniWriteInteger IniWriteString


IniWriteInteger Function

See Also

Writes an integer key to an ini file.

Pascal

procedure IniWriteInteger(const FileName: string; const Section: string; const Line: string; Value: Integer);

Description

IniWriteInteger writes a single integer key to the specified section in the specified ini file. If the function fails it raises an exception.

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file to which to write a value

const Line: string

The name of the key to write

Value: Integer

The value to write

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadBool IniReadInteger IniReadString IniWriteBool IniWriteString


IniWriteString Function

See Also

Writes a string key to an ini file.

Pascal

procedure IniWriteString(const FileName: string; const Section: string; const Line: string; const Value: string);

Description

IniWriteString writes a single string key to the specified section in the specified ini file. If the function fails it raises an exception.

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file to which to write a value

const Line: string

The name of the key to write

const Value: string

The value to write

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadBool IniReadInteger IniReadString IniWriteBool IniWriteInteger


IniReadBool Function

See Also

Reads a boolean key from an ini file.

Pascal

function IniReadBool(const FileName: string; const Section: string; const Line: string): Boolean;

Description

IniReadBool reads a single boolean value within the specified section from the specified ini file. If the function fails it returns the default value False.

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file from which to read a value

const Line: string

The name of the key to read

Return Value

The key within section, default value returned on failure is False.

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadInteger IniReadString IniWriteBool IniWriteInteger IniWriteString


IniReadInteger Function

See Also

Reads an integer key from an ini file.

Pascal

function IniReadInteger(const FileName: string; const Section: string; const Line: string): Integer;

Description

IniReadInteger reads a single integer value within the specified section from the specified ini file. If the function fails it returns the default value 0.

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file from which to read a value

const Line: string

The name of the key to read

Return Value

The key within section, default value returned on failure is 0.

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadBool IniReadString IniWriteBool IniWriteInteger IniWriteString


IniReadString Function

See Also

Reads a string key from an ini file.

Pascal

function IniReadString(const FileName: string; const Section: string; const Line: string): string;

Description

IniReadString reads a single string value within the specified section from the specified ini file. If the function fails it returns the default value '' (empty string).

Parameters

const FileName: string

The fully qualified filename of the ini file.

const Section: string

The section in the ini file from which to read a value

const Line: string

The name of the key to read

Return Value

The key within section, default value returned on failure is an empty string.

Donator

John C Molyneux

Group

Ini files

Unit

JclIniFiles


See Also

IniReadBool IniReadInteger IniWriteBool IniWriteInteger IniWriteString


Registry

Legend

Registry and Ini files

Topics

RegWriteMultiString

Writes a string key to the registry.

RegReadBinaryAsAnsiString

RegReadBinaryAsAnsiStringDef

RegReadBinaryAsWideString

RegReadBinaryAsWideStringDef

RegReadMultiString

RegReadMultiStringDef

RegReadMultiAnsiString

RegReadMultiAnsiStringDef

RegReadMultiWideString

RegReadMultiWideStringDef

Classes

EJclRegistryError

Error class, the instance of which is raised by functions from Registry.pas JCL unit.

Enumerations

 TExecKind

Enumeration used by RegisterAutoExec to specify the desired autoexec kind.

Functions

RegCreateKey

Creates and initializes a key.

RegWriteAnsiString

Writes a string key to the registry.

RegWriteBool

Writes a boolean key to the registry.

RegWriteCardinal

Writes an unsigned integer key to the registry.

RegWriteDWORD

Obsolete, RegWriteDWORD creates invalid 8 byte REG_DWORD keys. Use RegWriteInt64 instead (which creates REG_QWORD values).

RegWriteInt64

Writes an 64 bit integer key to the registry.

RegWriteInteger

Writes an integer key to the registry.

RegWriteString

Writes a string key to the registry.

RegWriteUInt64

Writes an unsigned 64 bit integer key to the registry.

RegWriteWideString

RegDeleteKeyTree

Deletes a registry key including all subkeys.

RegReadBoolDef

Reads a boolean key from the registry.

RegReadIntegerDef

Reads an integer key from the registry.

RegReadStringDef

Reads a string key from the registry.

RegDeleteEntry

Deletes an entry from the registry.

RegWriteBinary

Writes binary data to the registry.

RegReadBool

Reads a boolean key from the registry.

RegReadInteger

Reads an integer key from the registry.

RegReadString

Reads a string key from the registry.

RegReadBinary

Reads binary data from the registry.

RegReadBinaryDef

Reads binary data from the registry.

UnregisterAutoExec

Unregisters the specified application for execution at logon.

RegisterAutoExec

Registers the specified application for execution at logon.

RegGetValueNames

Reads a list of value names from the registry.

RegGetKeyNames

Reads a list of key names from the registry.

RegHasSubKeys

Checks whether the specified key has any children.

RegSaveList

Saves a stringlist to the registry.

RegLoadList

Reads a stringlist from the registry.

RegDelList

Deletes a stringlist from the registry.

RegKeyExists

The function RegKeyExists checks if the specified registry key exists.

RegGetDataSize

RegGetDataType

RegReadCardinal

RegReadCardinalDef

RegReadInt64

RegReadInt64Def

RegReadUInt64

RegReadUInt64Def

RegReadAnsiString

RegReadAnsiStringDef

RegReadWideString

RegReadWideStringDef

RegReadDWORD

This functions read invalid 8 byte REG_DWORD values. Obsolete, use RegReadInt64 instead.

RegReadDWORDDef

This functions read invalid 8 byte REG_DWORD values. Obsolete, use RegReadInt64 instead.

Legend

Enumeration


Registry Functions

Registry

Functions

RegCreateKey

Creates and initializes a key.

RegWriteAnsiString

Writes a string key to the registry.

RegWriteBool

Writes a boolean key to the registry.

RegWriteCardinal

Writes an unsigned integer key to the registry.

RegWriteDWORD

Obsolete, RegWriteDWORD creates invalid 8 byte REG_DWORD keys. Use RegWriteInt64 instead (which creates REG_QWORD values).

RegWriteInt64

Writes an 64 bit integer key to the registry.

RegWriteInteger

Writes an integer key to the registry.

RegWriteString

Writes a string key to the registry.

RegWriteUInt64

Writes an unsigned 64 bit integer key to the registry.

RegWriteWideString

RegDeleteKeyTree

Deletes a registry key including all subkeys.

RegReadBoolDef

Reads a boolean key from the registry.

RegReadIntegerDef

Reads an integer key from the registry.

RegReadStringDef

Reads a string key from the registry.

RegDeleteEntry

Deletes an entry from the registry.

RegWriteBinary

Writes binary data to the registry.

RegReadBool

Reads a boolean key from the registry.

RegReadInteger

Reads an integer key from the registry.

RegReadString

Reads a string key from the registry.

RegReadBinary

Reads binary data from the registry.

RegReadBinaryDef

Reads binary data from the registry.

UnregisterAutoExec

Unregisters the specified application for execution at logon.

RegisterAutoExec

Registers the specified application for execution at logon.

RegGetValueNames

Reads a list of value names from the registry.

RegGetKeyNames

Reads a list of key names from the registry.

RegHasSubKeys

Checks whether the specified key has any children.

RegSaveList

Saves a stringlist to the registry.

RegLoadList

Reads a stringlist from the registry.

RegDelList

Deletes a stringlist from the registry.

RegKeyExists

The function RegKeyExists checks if the specified registry key exists.

RegGetDataSize

RegGetDataType

RegReadCardinal

RegReadCardinalDef

RegReadInt64

RegReadInt64Def

RegReadUInt64

RegReadUInt64Def

RegReadAnsiString

RegReadAnsiStringDef

RegReadWideString

RegReadWideStringDef

RegReadDWORD

This functions read invalid 8 byte REG_DWORD values. Obsolete, use RegReadInt64 instead.

RegReadDWORDDef

This functions read invalid 8 byte REG_DWORD values. Obsolete, use RegReadInt64 instead.


Topics

Registry

Topics

RegWriteMultiString

Writes a string key to the registry.

RegReadBinaryAsAnsiString

RegReadBinaryAsAnsiStringDef

RegReadBinaryAsWideString

RegReadBinaryAsWideStringDef

RegReadMultiString

RegReadMultiStringDef

RegReadMultiAnsiString

RegReadMultiAnsiStringDef

RegReadMultiWideString

RegReadMultiWideStringDef


Registry Enumerations

Registry	Legend

Enumerations

 TExecKind

Enumeration used by RegisterAutoExec to specify the desired autoexec kind.


Legend

Enumeration


Registry Classes

Registry

Classes

EJclRegistryError

Error class, the instance of which is raised by functions from Registry.pas JCL unit.


Legend

Registry

Legend

Enumeration


RegCreateKey Function

Creates and initializes a key.

Pascal

function RegCreateKey(const RootKey: DelphiHKEY; const Key: string): Longint; overload;
function RegCreateKey(const RootKey: DelphiHKEY; const Key: string; const Value: string): Longint; overload;

Description

RegCreateKey creates the specified key under the HKEY_CLASSES_ROOT and writes the specified value to the default value of this key.

Parameters

const Key: string

Subkey of HKEY_CLASSES_ROOT to create.

const Value: string

The value to write to the default value of the specified key.

Return Value

If the function succeeds it returns ERROR_SUCCESS as defined in Windows.pas. If it fails it returns a non-zero error code. You can use the Windows FormatMessage API call to get a description for the error code.

Donator

Charlie Calvert

Group

Registry

Unit

JclRegistry


RegWriteBool Function

See Also

Writes a boolean key to the registry.

Pascal

procedure RegWriteBool(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Boolean); overload;
procedure RegWriteBool(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Boolean); overload;

Description

RegWriteBool writes a single boolean value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist. The value is written as REG_DWORD of either 0 or 1.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value: Boolean

Value to write.

Donator

John C Molyneux

Group

Registry

Unit

JclRegistry


See Also

RegWriteInteger RegWriteString RegWriteBinary


RegWriteCardinal Function

See Also

Writes an unsigned integer key to the registry.

Pascal

procedure RegWriteCardinal(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Cardinal); overload;
procedure RegWriteCardinal(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Cardinal); overload;

Description

RegWriteCardinal writes a single unsigned integer value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value: Cardinal

Value to write.

Donator

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteBool RegWriteString RegWriteBinary


RegWriteDWORD Function

Obsolete, RegWriteDWORD creates invalid 8 byte REG_DWORD keys. Use RegWriteInt64 instead (which creates REG_QWORD values).

Pascal

procedure RegWriteDWORD(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: DWORD); overload;
procedure RegWriteDWORD(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: DWORD); overload;

Donator

Unknown

Group

Registry

Unit

JclRegistry


RegWriteInt64 Function

See Also

Writes an 64 bit integer key to the registry.

Pascal

procedure RegWriteInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Int64); overload;
procedure RegWriteInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Int64); overload;

Description

RegWriteInteger writes a single 64 bit integer value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value: Int64

Value to write.

Donator

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteUInt64 RegWriteBool RegWriteString RegWriteBinary


RegWriteInteger Function

See Also

Writes an integer key to the registry.

Pascal

procedure RegWriteInteger(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: Integer); overload;
procedure RegWriteInteger(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: Integer); overload;

Description

RegWriteInteger writes a single integer value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value: Integer

Value to write.

Donator

John C Molyneux

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteBool RegWriteString RegWriteBinary


RegWriteString Function

See Also

Writes a string key to the registry.

Pascal

procedure RegWriteString(const RootKey: DelphiHKEY; const Key: string; const Name: string; const Value: string); overload;
procedure RegWriteString(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: string); overload;
procedure RegWriteAnsiString(const RootKey: DelphiHKEY; const Key: AnsiString; const Name: AnsiString; const Value: AnsiString); overload;
procedure RegWriteWideString(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: WideString); overload;

Description

RegWriteString writes a single string value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

const Value: string

Value to write.

Donator

John C Molyneux

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteBool RegWriteInteger RegWriteBinary


RegWriteUInt64 Function

See Also

Writes an unsigned 64 bit integer key to the registry.

Pascal

procedure RegWriteUInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: UInt64); overload;
procedure RegWriteUInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: UInt64); overload;

Description

RegWriteInteger writes a single unsigned 64 bit integer value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value: UInt64

Value to write.

Donator

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteInt64 RegWriteBool RegWriteString RegWriteBinary


RegWriteWideString Function

procedure RegWriteWideString(const RootKey: DelphiHKEY; const Key: string; const Name: string; Value: WideString); overload;
procedure RegWriteWideString(const RootKey: DelphiHKEY; const Key: string; const Name: string; DataType: Cardinal; Value: WideString); overload;

Group

Registry

Unit

JclRegistry


RegDeleteKeyTree Function

Deletes a registry key including all subkeys.

Pascal

function RegDeleteKeyTree(const RootKey: DelphiHKEY; const Key: string): Boolean;

Description

RegDeleteKeyTree deletes the specified key under RootKey. This function deletes all subkeys first thus working also on Windows NT.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to delete, one of the HKEY_XXX constants.

const Key: string

Subkey of rootkey to delete.

Return Value

If the function succeeds it returns True else False. The failure may happen somewhere in the recursive deletion leaving you with only some remaining keys. Think twice before using this function. It will happily delete vital parts of the registry without complaining.

Donator

Charlie Calvert

Group

Registry

Unit

JclRegistry


RegReadBoolDef Function

See Also

Reads a boolean key from the registry.

Pascal

function RegReadBoolDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Boolean): Boolean;

Description

RegReadBool reads a single boolean value from the registry. If the function fails it returns the value specified by Def. The function only accepts key values of type REG_DWORD.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Def: Boolean

The value to return in case of failure.

Return Value

The value of the specified key, or the specified default value in case of failure.

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


See Also

RegReadIntegerDef RegReadStringDef RegReadBinaryDef


RegReadIntegerDef Function

See Also

Reads an integer key from the registry.

Pascal

function RegReadIntegerDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Integer): Integer;

Description

RegReadInteger reads a single integer value from the registry. If the function fails it returns the specified default value. The function accepts only key values of type REG_DWORD.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Def: Integer

The value to return in case of failure.

Return Value

The value of the specified key, or the specified default value in case of failure.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegReadBoolDef RegReadStringDef RegReadBinaryDef


RegReadStringDef Function

See Also

Reads a string key from the registry.

Pascal

function RegReadStringDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: string): string;

Description

RegReadStringDef reads a single string value from the registry. If the function fails it returns the value specified by Def. The function accepts only key values of type REG_SZ and REG_EXPAND_SZ.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Def: string

Value to return in case of failure.

Return Value

The value of the specified key, or the specified default value on failure.

Donator

Marcel van Brakel

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegReadBoolDef RegReadIntegerDef RegReadBinaryDef


RegDeleteEntry Function

Deletes an entry from the registry.

Pascal

function RegDeleteEntry(const RootKey: DelphiHKEY; const Key: string; const Name: string): Boolean;

Description

RegDeleteEntry deletes a single value from the registry.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to delete.

Return Value

The function return True if it succeeds else False. The most probable failure reasons are a nonexistent key or name or insufficient permissions on Windows NT.

Donator

John C Molyneux

Group

Registry

Unit

JclRegistry


RegWriteMultiString

See Also

Writes a string key to the registry.

Description

RegWriteMultiString writes a single string value to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

RootKey

The rootkey which to write to, one of the HKEY_XXX constants.

Key

The key (path) where the desired value is located, relative to RootKey.

Name

Name of the value to write.

Value

Value to write.

Donator

Anonymous

Group

Registry


See Also

RegWriteString RegReadMultiString


RegWriteBinary Function

See Also

Writes binary data to the registry.

Pascal

procedure RegWriteBinary(const RootKey: DelphiHKEY; const Key: string; const Name: string; const Value; const ValueSize: Cardinal);

Description

RegWriteBinary writes binary data to the registry. If the function fails it raises an EJclRegistryError exception. The specified Key must already exist.

Parameters

const RootKey: DelphiHKEY

The rootkey which to write to, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to write.

Value of any type to write.

const ValueSize: Cardinal

Size of data to write.

Donator

Stephane Fillon

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegWriteBool RegWriteInteger RegWriteString


RegReadBool Function

See Also

Reads a boolean key from the registry.

Pascal

function RegReadBool(const RootKey: DelphiHKEY; const Key: string; const Name: string): Boolean;

Description

RegReadBool reads a single boolean value from the registry. If the function fails it raises an EJclRegistryError exception.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Return Value

The value of the specified key.

Donator

John C Molyneux

Group

Registry

Unit

JclRegistry


See Also

RegReadInteger RegReadString RegReadBinary


RegReadInteger Function

See Also

Reads an integer key from the registry.

Pascal

function RegReadInteger(const RootKey: DelphiHKEY; const Key: string; const Name: string): Integer;

Description

RegReadInteger reads a single integer value from the registry. If the function fails it raises an EJclRegistryError exception.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Return Value

The value of the specified key.

Donator

John C Molyneux

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegReadBool RegReadString RegReadBinary


RegReadString Function

See Also

Reads a string key from the registry.

Pascal

function RegReadString(const RootKey: DelphiHKEY; const Key: string; const Name: string): string;

Description

RegReadString reads a single string value from the registry. If the function fails it raises an EJclRegistryError exception.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Return Value

The value of the specified key.

Donator

John C Molyneux

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegReadBool RegReadInteger RegReadBinary


RegReadBinary Function

See Also

Reads binary data from the registry.

Pascal

function RegReadBinary(const RootKey: DelphiHKEY; const Key: string; const Name: string; var Value; const ValueSize: Cardinal): Cardinal;
function RegReadBinaryDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; var Value; const ValueSize: Cardinal; const Def: Byte): Cardinal;

Description

RegReadBinary reads binary data from the registry. Value is untyped to allow to hand in a variable of any type. ValueSize should give the size of Value in bytes. The function accepts only key values of type REG_BINARY. If the function fails it raises an EJclRegistryError exception.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value is located, relative to RootKey.

const Name: string

Name of the value to read.

Destination for the data of any type.

const ValueSize: Cardinal

Size of Value in bytes.

Return Value

The return value is not the data itself but the amount of data read. The value is never bigger than ValueSize.

Donator

Stephane Fillon

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


See Also

RegReadBool RegReadInteger RegReadString


RegReadBinaryAsAnsiString

Donator

Anonymous

Group

Registry


RegReadBinaryAsWideString

Donator

Anonymous

Group

Registry


UnregisterAutoExec Function

See Also

Unregisters the specified application for execution at logon.

Pascal

function UnregisterAutoExec(ExecKind: TExecKind; const Name: string): Boolean;

Description

UnregisterAutoExec unregisters an application that is registered for autoexecution. You can use this function to remove an application that was registered as run always, or 'run once' if you change your mind (before reboot). If a file is registered as 'run once' and the system was rebooted there is no need to unregister because the system automatically removes the entry from the registry.

Parameters

ExecKind: TExecKind

Specifies how the file was registered. See TExecKind for more information.

const Name: string

Name of registry value to delete.

Return Value

The return value is that of a RegDeleteEntry except for calling UnregisterAutoExec with ekServiceRun or ekServiceRunOnce on Windows NT/2000 which causes the function to return False and do nothing.

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


See Also

RegisterAutoExec TExecKind


RegisterAutoExec Function

See Also

Registers the specified application for execution at logon.

Pascal

function RegisterAutoExec(ExecKind: TExecKind; const Name: string; const Cmdline: string): Boolean;

Description

RegisterAutoExec registers the file specified by Path in the system registry so that it will automatically be executed by the system at the next logon. The ExecKind parameter specifies the details about user vs. machine and once vs. always. You can have an application executed once at the next logon (ekMachineRunOnce, ekUserRunOnce) or at each logon (ekMachineRun, ekUserRun). The Machine and User specify for 'all users' or the 'current user only' respectively. Note that except for ekMachineRun and ekMachineRunOnce, all registered executables execute asynchronously. The ekServiceRun and ekServiceRunOnce exist to simulate NT services on Windows 9x and are probably of not much use. You can use the UnregisterAutoExec function to remove the entry for the registry when autoexecution is no longer desired.

Parameters

ExecKind: TExecKind

Specifies how to register the executable. See TExecKind for more information.

const Name: string

Name of the registry value to add.

Path

The command line of an executable file including command line parameters to register for auto execution.

Return Value

If the function succeeds it returns True, otherwise it returns False. Note that calling RegisterAutoExec with ekServiceRun or ekServiceRunOnce on Windows NT/2000 always causes the function to return False (the file is not registered).

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


See Also

UnregisterAutoExec TExecKind


TExecKind Enumeration

See Also

Enumeration used by RegisterAutoExec to specify the desired autoexec kind.

Pascal

TExecKind = (
  ekMachineRun,
  ekMachineRunOnce,
  ekUserRun,
  ekUserRunOnce,
  ekServiceRun,
  ekServiceRunOnce
);

Description

Enumeration used by RegisterAutoExec to specify the desired autoexec kind.

ekMachineRun

Register under HKLM..Run. This will execute the specified file each time at logon for each user, until it is unregistered.

ekMachineRunOnce

Register under HKLM..RunOnce. This will execute the specified file once at the next logon independent of which user logs on.

ekUserRun

Register under HKCU..Run. This will execute the specified file each time at logon for the current user, until it is unregistered.

ekUserRunOnce

Register under HKCU..RunOnce. This will execute the specified file once at the next logon for the current user.

ekServiceRun

Register under HKCU..RunServices. Not supported on NT - simulates services on Windows 9x. The specified file is executed before each logon untl it is unregistered.

ekServiceRunOnce

Register under HKCU..RunServicesOnce. Not supported on NT - simulates services on Windows 9x. The specified file is executed once before the next logon.

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


See Also

UnregisterAutoExec RegisterAutoExec


RegGetValueNames Function

See Also

Reads a list of value names from the registry.

Pascal

function RegGetValueNames(const RootKey: DelphiHKEY; const Key: string; const List: TStrings): Boolean;

Description

Use RegGetValueNames to obtain a list of values contained in the specified registry key. The string list is cleared before the values are added.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value list is located, relative to RootKey.

const List: TStrings

This string list will contain the names of the values.

Return Value

If the function succeeds it returns True. If it fails it returns False. Failure is normally caused by either a nonexistent key or insufficient permissions on Windows NT. No values gives success not failure.

Donator

Peter Friese

Group

Registry

Unit

JclRegistry


See Also

RegGetKeyNames


RegGetKeyNames Function

See Also

Reads a list of key names from the registry.

Pascal

function RegGetKeyNames(const RootKey: DelphiHKEY; const Key: string; const List: TStrings): Boolean;

Description

RegGetKeyNames returns a list of the specified key's subkeys. The string list is cleared before the values are added.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) where the desired value list is located, relative to RootKey.

const List: TStrings

On exit, this string list will contain the names of the values. The caller is responsible for creating and destroying this list.

Return Value

If the function succeeds it returns True. If it fails it returns False. Failure is normally caused by either a nonexistent key or insufficient permissions on Windows NT. No subkeys gives success not failure.

Donator

Peter Friese

Group

Registry

Unit

JclRegistry


See Also

RegGetValueNames RegHasSubKeys


RegHasSubKeys Function

See Also

Checks whether the specified key has any children.

Pascal

function RegHasSubKeys(const RootKey: DelphiHKEY; const Key: string): Boolean;

Description

RegHasSubKeys checks whether the subkey specified by Key has any subkeys. Use this function when you want to browse the registry hierarchically.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

The key (path) that is to be checked, relative to RootKey.

Return Value

If there are any children of the specified key, the function will return True. If there are no children, it will return False.

Donator

Peter Friese

Group

Registry

Unit

JclRegistry


See Also

RegGetKeyNames RegGetValueNames


RegSaveList Function

See Also

Saves a stringlist to the registry.

Pascal

function RegSaveList(const RootKey: DelphiHKEY; const Key: string; const ListName: string; const Items: TStrings): Boolean;

Description

The list of strings is saved in the registry as under the key "RootKeyKeyListName" with each string stored as registry value named "1", "2", etc. The number of items in the list is stored as DWORD value 'Items'.

Parameters

const RootKey: DelphiHKEY

The rootkey to write the list to, one of the HKEY_XXX constants.

const Key: string

The key (path) to write the list to, relative to RootKey.

const ListName: string

Name of the subkey relative to Key to write the list to.

const Items: TStrings

List of the items to store in the registry.

Return Value

The function returns True if the key "RootKeyKeyListName" could be created False otherwise.

Donator

Robert Marquardt

Group

Registry

Unit

JclRegistry


See Also

RegLoadList


RegLoadList Function

See Also

Reads a stringlist from the registry.

Pascal

function RegLoadList(const RootKey: DelphiHKEY; const Key: string; const ListName: string; const SaveTo: TStrings): Boolean;

Description

RegLoadList reads a list of strings from the registry which was stored with RegSaveList. The function expects to find a DWORD value named 'Items' under the key "RootKeyKeyListName" and reads in the amount of entries stored therein.

Parameters

const RootKey: DelphiHKEY

The rootkey to read the list from, one of the HKEY_XXX constants.

const Key: string

The key (path) to read the list from, relative to RootKey.

const ListName: string

Name of the subkey relative to Key to read the list from.

const SaveTo: TStrings

List of the items to load from the registry.

Return Value

The function returns True if a list with at least one element is read in. If 'Items' does not exist the function throws an exception.

Donator

Robert Marquardt

Group

Registry

Unit

JclRegistry


See Also

RegSaveList RegDelList


RegDelList Function

See Also

Deletes a stringlist from the registry.

Pascal

function RegDelList(const RootKey: DelphiHKEY; const Key: string; const ListName: string): Boolean;

Description

RegDelList deletes a list of strings from the registry which was stored with RegSaveList. The function expects to find a DWORD value named 'Items' under the key "RootKeyKeyListName" and deletes the values named "1", "2", etc. If 'Items' is negative then nothing is deleted.

Parameters

const RootKey: DelphiHKEY

The rootkey to delete the list from, one of the HKEY_XXX constants.

const Key: string

The key (path) to delete the list from, relative to RootKey.

const ListName: string

Name of the subkey relative to Key to delete the list from.

Return Value

The function returns True if it finds a value named 'Items' and all the values of the list False otherwise. If the number of items is 0 then 'Items' is deleted, but the function returns False.

Donator

Robert Marquardt

Group

Registry

Unit

JclRegistry


See Also

RegSaveList RegLoadList


RegKeyExists Function

The function RegKeyExists checks if the specified registry key exists.

Pascal

function RegKeyExists(const RootKey: DelphiHKEY; const Key: string): Boolean;

Description

The function RegKeyExists checks if the specified registry key exists.

Parameters

const RootKey: DelphiHKEY

The rootkey from which to read, one of the HKEY_XXX constants.

const Key: string

Registry key (path) to be checked, relative to RootKey.

Return Value

If the key specified the function returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


EJclRegistryError Class

Error class, the instance of which is raised by functions from Registry.pas JCL unit.

Pascal

EJclRegistryError = class(EJclError);

Description

Error class, the instance of which is raised by functions from Registry.pas JCL unit.

Donator

Marcel van Brakel

Group

Registry

Unit

JclRegistry


RegGetDataSize Function

function RegGetDataSize(const RootKey: DelphiHKEY; const Key: string; const Name: string; out DataSize: Cardinal): Boolean;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegGetDataType Function

function RegGetDataType(const RootKey: DelphiHKEY; const Key: string; const Name: string; out DataType: Cardinal): Boolean;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadCardinal Function

function RegReadCardinal(const RootKey: DelphiHKEY; const Key: string; const Name: string): Cardinal;
function RegReadCardinalDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Cardinal): Cardinal;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadInt64 Function

function RegReadInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string): Int64;
function RegReadInt64Def(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: Int64): Int64;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadUInt64 Function

function RegReadUInt64(const RootKey: DelphiHKEY; const Key: string; const Name: string): UInt64;
function RegReadUInt64Def(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: UInt64): UInt64;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadAnsiString Function

function RegReadAnsiString(const RootKey: DelphiHKEY; const Key: AnsiString; const Name: AnsiString): AnsiString;
function RegReadAnsiStringDef(const RootKey: DelphiHKEY; const Key: AnsiString; const Name: AnsiString; Def: AnsiString): AnsiString;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadWideString Function

function RegReadWideString(const RootKey: DelphiHKEY; const Key: string; const Name: string): WideString;
function RegReadWideStringDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: WideString): WideString;

Description

TODO

Donator

Anonymous

Group

Registry

Unit

JclRegistry


RegReadMultiString

TODO

Donator

Anonymous

Group

Registry


RegReadMultiAnsiString

TODO

Donator

Anonymous

Group

Registry


RegReadMultiWideString

TODO

Donator

Anonymous

Group

Registry


RegReadDWORD Function

This functions read invalid 8 byte REG_DWORD values. Obsolete, use RegReadInt64 instead.

Pascal

function RegReadDWORD(const RootKey: DelphiHKEY; const Key: string; const Name: string): DWORD;
function RegReadDWORDDef(const RootKey: DelphiHKEY; const Key: string; const Name: string; Def: DWORD): DWORD;

Contributors

Anonymous

Group

Registry

Unit

JclRegistry


Runtime Type Information

JEDI Code Library

Topics

Class operator hooking

Conversions

RTTI generation

RTTI retrieval


Topics

Runtime Type Information

Topics

Class operator hooking

Conversions

RTTI generation

RTTI retrieval


Class operator hooking

Runtime Type Information

Functions

JclIsClass

Is class operator replacement

JclIsClassByName

Is class operator replacement


Class operator hooking Functions

Class operator hooking

Functions

JclIsClass

Is class operator replacement

JclIsClassByName

Is class operator replacement


JclIsClass Function

Is class operator replacement

Pascal

function JclIsClass(const AnObj: TObject; const AClass: TClass): Boolean;

Description

JclIsClass is an is class operator replacement. This implementation is an exact copy of the one in the system.pas unit.

JclIsClass is primarily intended to be used by the JclIsHook function. Because JclIsClass is an exact copy of the version in system.pas it's probably not very usefull to hook the is operator to an exact copy. It was used during testing.

Return Value

If AnObj's class is AClass or inherits from AClass the function returns True, otherwise it returns False.

Donator

Borland

Group

Class operator hooking

Unit

JclRTTI


JclIsClassByName Function

Is class operator replacement

Pascal

function JclIsClassByName(const AnObj: TObject; const AClass: TClass): Boolean;

Description

JclIsClassByName is an is class operator replacement. This implementation checks the class by it's name.

JclIsClassByName checks the name of AnObj's class with the name of AClass. If they're not equal (case insensitive), the parent tree is checked. If an equal name is found, the entire path to the root is checked as well. Only if the path exactly matches AnObj is AClass is assumed to be True.

Return Value

If AnObj's class is AClass or inherits from AClass the function returns True, otherwise it returns False.

Notes

Although the names of all classes upto the root matches, it's not certain that AnObj actually is of AClass. To increase certainty, one should also check the unit name where the class is declared and possibly also it's InstanceSize.

Donator

Marcel Bestebroer

Group

Class operator hooking

Unit

JclRTTI


Conversions

Runtime Type Information

Functions

JclSetToList

Converts a set to a list of enumeration values.

JclSetToStr

Converts a set to a string of enumeration values.

JclStrToSet

Converts a string to a set value.

JclIntToSet

Converts an integer value to a set.

JclSetToInt

Converts a set value to an integer.

JclGUIDToString

Converts a GUID to a string.

JclStringToGUID

Converts a string to a GUID.

JclEnumValueToIdent

Converts an enumeration value to it's identifier.

JclStrToTypedInt

Converts a string to an integer.

JclTypedIntToStr

Converts a Integer to a string.


Conversions Functions

Conversions

Functions

JclSetToList

Converts a set to a list of enumeration values.

JclSetToStr

Converts a set to a string of enumeration values.

JclStrToSet

Converts a string to a set value.

JclIntToSet

Converts an integer value to a set.

JclSetToInt

Converts a set value to an integer.

JclGUIDToString

Converts a GUID to a string.

JclStringToGUID

Converts a string to a GUID.

JclEnumValueToIdent

Converts an enumeration value to it's identifier.

JclStrToTypedInt

Converts a string to an integer.

JclTypedIntToStr

Converts a Integer to a string.


JclSetToList Function

Converts a set to a list of enumeration values.

Pascal

function JclSetToList(TypeInfo: PTypeInfo; const Value; const WantBrackets: Boolean; const WantRanges: Boolean; const Strings: TStrings): string;

Description

JclSetToList converts a set to a list of enumeration values. Additionally the set value is returned as a string optionally surrounded by brackets and optionally using ranges if adjacent values are set.

Parameters

TypeInfo: PTypeInfo

RTTI of the set as returned by System.TypeInfo(set type).

const Value

Set value.

const WantBrackets: Boolean

Flag to surround the result with brackets ('[' and ']'). When set to True, brackets will be present in the resulting string but not in the list.

const WantRanges: Boolean

Flag to use range specifiers for adjacent values. When set to True adjacent values will be specified as 'First value .. Last value'. Ranges will be used in both the list as well as the resulting string.

const Strings: TStrings

TStrings decendant to receive a list of values. Caller is responsible of creating/destroying the list. The list is not cleared on entry to JclSetToList.

Return Value

The string will be the concatenation of all added values in the Strings parameter, optionally surrounded by '['and ']' depending on the value of WantBrackets.

Donator

Theo Bebekis

Group

Conversions

Unit

JclRTTI


JclSetToStr Function

Converts a set to a string of enumeration values.

Pascal

function JclSetToStr(TypeInfo: PTypeInfo; const Value; const WantBrackets: Boolean = False; const WantRanges: Boolean = False): string;

Description

JclSetToStr converts a set to a string representing the set, optionally surrounded by brackets and optionally using ranges if adjacent values are set.

JclSetToStr uses JclSetToList to do the conversion.

Parameters

TypeInfo: PTypeInfo

RTTI of the set as returned by System.TypeInfo(set type).

const Value

Set value.

const WantBrackets: Boolean = False

Flag to surround the result with brackets ('[' and ']'). When set to True, brackets will be present in the resulting string but not in the list.

const WantRanges: Boolean = False

Flag to use range specifiers for adjacent values. When set to True adjacent values will be specified as 'First value .. Last value'.

Return Value

The string will be the concatenation of all added values in the Strings parameter, optionally surrounded by '['and ']' depending on the value of WantBrackets.

Donator

Theo Bebekis

Group

Conversions

Unit

JclRTTI


JclStrToSet Function

Converts a string to a set value.

Pascal

procedure JclStrToSet(TypeInfo: PTypeInfo; var SetVar; const Value: string);

Description

JclStrToSet converts a string to a set value. The string may or may not contain brackets ('[' and ']') and/or ranges ('First value .. Last value'). Value/ranges must be seperated by a comma (','). If the string contains illegal values an exception is raised.

Parameters

TypeInfo: PTypeInfo

RTTI of the set as returned by System.TypeInfo(set type).

var SetVar

Set value.

const Value: string

String representing a set value.

Donator

Marcel Bestebroer

Group

Conversions

Unit

JclRTTI


JclIntToSet Function

Converts an integer value to a set.

Pascal

procedure JclIntToSet(TypeInfo: PTypeInfo; var SetVar; const Value: Integer);

Description

JclIntToSet converts an integer to a set value. Each bit in the integer value represents a value in the set. Note that the set variable in memory might be shifted up to 7 bits left. The actual number of bits shifted is equal to the ordinal of the first value modulo 8

Parameters

TypeInfo: PTypeInfo

RTTI of the set as returned by System.TypeInfo(set type).

var SetVar

Set value.

const Value: Integer

Integer representing a set value.

Donator

Theo Bebekis

Group

Conversions

Unit

JclRTTI


JclSetToInt Function

Converts a set value to an integer.

Pascal

function JclSetToInt(TypeInfo: PTypeInfo; const SetVar): Integer;

Description

JclSetToInt converts a set value to an integer. Each bit in the integer value represents a value in the set. Note that the set variable in memory might be shifted up to 7 bits left. The actual number of bits shifted is equal to the ordinal of the first value modulo 8

Parameters

TypeInfo: PTypeInfo

RTTI of the set as returned by System.TypeInfo(set type).

const SetVar

Set value.

Return Value

The return value is an Integer representing the set.

Donator

Theo Bebekis

Group

Conversions

Unit

JclRTTI


JclGUIDToString Function

Converts a GUID to a string.

Pascal

function JclGUIDToString(const GUID: TGUID): string;

Description

JclGUIDToString converts a GUID to a string. Note that the ComObj unit also has a GUIDToString function but it requires the ole.dll to do the conversion.

Parameters

const GUID: TGUID

GUID to convert to a string.

Return Value

A string representing the GUID.

Donator

Marcel Bestebroer

Group

Conversions

Unit

JclSysUtils


JclStringToGUID Function

Converts a string to a GUID.

Pascal

function JclStringToGUID(const S: string): TGUID;

Description

JclStringToGUID converts a string to a GUID. Note that the ComObj unit also has a StringToGUID function but it requires the ole.dll to do the conversion.

Parameters

const S: string

String representing a GUID.

Return Value

The GUID the string is representing.

Donator

Marcel Bestebroer

Group

Conversions

Unit

JclSysUtils


JclEnumValueToIdent Function

Converts an enumeration value to it's identifier.

Pascal

function JclEnumValueToIdent(TypeInfo: PTypeInfo; const Value): string;

Description

JclEnumValueToIdent converts an enumeration value to it's identifier. JclEnumValueToIdent does exactly the same as GetEnumName but doesn't require an ordinal value. In addition JclEnumValueToIdent will do a range check on the value and return a "Value out of range" string if it's out of range.

Parameters

TypeInfo: PTypeInfo

RTTI of the enumeration as returned by System.TypeInfo(enum type), JclGenerateEnum* or JclGenerateSubRange function.

const Value

Enumeration value.

Return Value

The identifier name of the value if the value is in range. If it's out of range the resulting string will contain "Value out of range (ordinal=Ord(Value))."

Donator

Theo Bebekis

Group

Conversions

Unit

JclRTTI


JclStrToTypedInt Function

Converts a string to an integer.

Pascal

function JclStrToTypedInt(Value: string; TypeInfo: PTypeInfo): Integer;

Description

JclStrToTypedInt converts a string to an integer. Besides the normal StrToInt, JclStrToTypedInt will first check if a conversion function for the integer type exists (ie. if RegisterIntegerConsts is called for the type). If such a function exists the string may also contain identifiers. An example of a typed Integer is TCursor.

Parameters

Value: string

Value to convert

TypeInfo: PTypeInfo

Pointer to the RTTI for the integer type. This pointer can be obtained through a call to System.TypeInfo(type) or JclGenerateSubRange.

Return Value

The Integer value the string represents.

Donator

Marcel Bestebroer

Group

Conversions

Unit

JclRTTI


JclTypedIntToStr Function

Converts a Integer to a string.

Pascal

function JclTypedIntToStr(Value: Integer; TypeInfo: PTypeInfo): string;

Description

JclTypedIntToStr converts an integer to a string. Besides the normal IntToStr, JclTypedIntToStr will first check if a conversion function for the Integer type exists (ie. if RegisterIntegerConsts is called for the type). If such a function exists the resulting string may contain an identifier instead of a number. An example of a typed Integer is TCursor.

Parameters

Value: Integer

Value to convert

TypeInfo: PTypeInfo

Pointer to the RTTI for the integer type. This pointer can be obtained through a call to System.TypeInfo(type) or JclGenerateSubRange.

Return Value

A string representing the given value.

Donator

Marcel Bestebroer

Group

Conversions

Unit

JclRTTI


RTTI generation

Runtime Type Information

Functions

JclGenerateSetType

Generates the RTTI structure for a new set.

JclGenerateEnumType

Generates the RTTI structure for a new enumeration base type.

JclGenerateEnumTypeBasedOn

Generates the RTTI structure for a new enumeration base type based on an existing enumeration.

JclGenerateSubRange

Generates the RTTI structure for a new sub range type.

RemoveTypeInfo

Removes a generated RTTI structure.


RTTI generation Functions

RTTI generation

Functions

JclGenerateSetType

Generates the RTTI structure for a new set.

JclGenerateEnumType

Generates the RTTI structure for a new enumeration base type.

JclGenerateEnumTypeBasedOn

Generates the RTTI structure for a new enumeration base type based on an existing enumeration.

JclGenerateSubRange

Generates the RTTI structure for a new sub range type.

RemoveTypeInfo

Removes a generated RTTI structure.


JclGenerateSetType Function

Generates the RTTI structure for a new set.

Pascal

function JclGenerateSetType(BaseType: PTypeInfo; const TypeName: ShortString): PTypeInfo;

Description

JclGenerateSetType generates the RTTI structure for a new set type.

Parameters

BaseType: PTypeInfo

RTTI of the ordinal type (as returned by System.TypeInfo(ordinal type), JclGenerateEnum* or JclGenerateSubRange).

const TypeName: ShortString

Name of the newly generated RTTI.

Return Value

The return value is a pointer to the RTTI info.

Notes

All generated types are stored in a list and get freed on finalization of the JclRTTI unit. Optionally you can use RemoveTypeInfo to remove a specific type.

Donator

Marcel Bestebroer

Group

RTTI generation

Unit

JclRTTI


JclGenerateEnumType Function

Generates the RTTI structure for a new enumeration base type.

Pascal

function JclGenerateEnumType(const TypeName: ShortString; const Literals: array of string): PTypeInfo;

Description

JclGenerateEnumType generates the RTTI structure for a new enumeration type.

Parameters

const TypeName: ShortString

Name of the newly generated RTTI.

const Literals: array of string

Array of literals. Opposed to the Delphi syntax, literals can contain any ASCII character. Literals can be a maximum of 256 characters long.

Return Value

The return value is a pointer to the RTTI info.

Notes

All generated types are stored in a list and get freed on finalization of the JclRTTI unit. Optionally you can use RemoveTypeInfo to remove a specific type.

Donator

Marcel Bestebroer

Group

RTTI generation

Unit

JclRTTI


JclGenerateEnumTypeBasedOn Function

Generates the RTTI structure for a new enumeration base type based on an existing enumeration.

Pascal

function JclGenerateEnumTypeBasedOn(const TypeName: ShortString; BaseType: PTypeInfo; const PrefixCut: Byte): PTypeInfo;

Description

JclGenerateEnumTypeBasedOn generates the RTTI structure for a new enumeration type, based on an existing enumeration.

Parameters

const TypeName: ShortString

Name of the newly generated RTTI.

BaseType: PTypeInfo

Pointer to RTTI of enumeration type to base the new type on. The pointer can be obtained from a call to System.TypeInfo(ordinal type), JclGenerateEnum* or JclGenerateSubRange.

const PrefixCut: Byte

Number of characters to skip from the left. Additionally this value can be set to PREFIX_CUT_LOWERCASE (skip all leading lowercase characters) or PREFIX_CUT_EQUAL (skip all common leading characters).

Return Value

The return value is a pointer to the RTTI info.

Notes

All generated types are stored in a list and get freed on finalization of the JclRTTI unit. Optionally you can use RemoveTypeInfo to remove a specific type.

Donator

Marcel Bestebroer

Group

RTTI generation

Unit

JclRTTI


JclGenerateSubRange Function

Generates the RTTI structure for a new sub range type.

Pascal

function JclGenerateSubRange(BaseType: PTypeInfo; const TypeName: string; const MinValue: Integer; const MaxValue: Integer): PTypeInfo;

Description

JclGenerateSubRange generates the RTTI structure for a new sub range type.

Parameters

BaseType: PTypeInfo

Pointer to RTTI of ordinal type to base the new type on. The pointer can be obtained from a call to System.TypeInfo(ordinal type), JclGenerateEnum* or JclGenerateSubRange.

const TypeName: string

Name of the newly generated RTTI.

const MinValue: Integer

Minium value for the sub range.

const MaxValue: Integer

Maximum value for the sub range.

Return Value

The return value is a pointer to the RTTI info.

Notes

All generated types are stored in a list and get freed on finalization of the JclRTTI unit. Optionally you can use RemoveTypeInfo to remove a specific type.

Donator

Marcel Bestebroer

Group

RTTI generation

Unit

JclRTTI


RemoveTypeInfo Function

Removes a generated RTTI structure.

Pascal

procedure RemoveTypeInfo(TypeInfo: PTypeInfo);

Description

RemoveTypeInfo removes a user generated RTTI structure.

Parameters

TypeInfo: PTypeInfo

Pointer to the user generated RTTI as returned by JclGenerateEnumType, JclGenerateEnumTypeBasedOn or JclGenerateSubRange.

Notes

All generated types are stored in a list and get freed on finalization of the JclRTTI unit. Optionally you can use RemoveTypeInfo to remove a specific type.

Donator

Marcel Bestebroer

Group

RTTI generation

Unit

JclRTTI


RTTI retrieval

Legend

Runtime Type Information

Topics

IJclBaseInfo

IJclClassTypeInfo

IJclDynArrayTypeInfo

IJclEnumerationTypeInfo

IJclEventTypeInfo

IJclFloatTypeInfo

IJclInt64TypeInfo

IJclInterfaceTypeInfo

IJclOrdinalRangeTypeInfo

IJclOrdinalTypeInfo

IJclSetTypeInfo

IJclStringTypeInfo

IJclTypeInfo

Functions

JclTypeInfo

Retrieve RTTI information

Interfaces

 IJclInfoWriter

Interface to an output stream for RTTI information or declaration.

Legend

Interface


RTTI retrieval Functions

RTTI retrieval

Functions

JclTypeInfo

Retrieve RTTI information


RTTI retrieval Interfaces

RTTI retrieval	Legend

Interfaces

 IJclInfoWriter

Interface to an output stream for RTTI information or declaration.


Legend

Interface


Topics

RTTI retrieval

Topics

IJclBaseInfo

IJclClassTypeInfo

IJclDynArrayTypeInfo

IJclEnumerationTypeInfo

IJclEventTypeInfo

IJclFloatTypeInfo

IJclInt64TypeInfo

IJclInterfaceTypeInfo

IJclOrdinalRangeTypeInfo

IJclOrdinalTypeInfo

IJclSetTypeInfo

IJclStringTypeInfo

IJclTypeInfo


Legend

RTTI retrieval

Legend

Interface


JclTypeInfo Function

Retrieve RTTI information

Pascal

function JclTypeInfo(ATypeInfo: PTypeInfo): IJclTypeInfo;

Description

JclTypeInfo retrieves and interface to RTTI information given a pointer to the type info structure. ATypeInfo can be obtained through a call to System.TypeInfo(type identifier) or through one of the JclGenerate* functions.

Return Value

An interface reference to the RTTI info for the specified type.

Donator

Marcel Bestebroer

Group

RTTI retrieval

Unit

JclRTTI


IJclInfoWriter Interface

Properties	Methods

Interface to an output stream for RTTI information or declaration.

Pascal

IJclInfoWriter = interface;

Description

IJclInfoWriter is an interface that's used as an output stream for the WriteTo and DeclarationTo of the RTTI interface. The interface provides methods and properties to allow for:

automatic word wrapping at a given column

set indentation levels

write a line to the underlaying object.

The JclRTTI unit provides you with an abstract base implementation and a descendant implementation that uses a TStrings descendant as output.

Donator

Marcel Bestebroer

Group

RTTI retrieval

Unit

JclRTTI


IJclInfoWriter Interface Properties

IJclInfoWriter Interface

Properties

Wrap

Word wrap column


IJclInfoWriter Interface Methods

IJclInfoWriter Interface

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF


IJclInfoWriter Interface Members

IJclInfoWriter Interface

Members

Properties

Wrap

Word wrap column

Methods

GetWrap

Returns the column at which wrapping will take place.

Indent

Increment the indentation level by 1.

Outdent

Decrement the indentation level by 1.

SetWrap

Sets a new word wrap column

Write

Outputs a string to the underlaying object.

Writeln

Writes the specified text and appends a CR/LF


IJclInfoWriter.Wrap Property

IJclInfoWriter Interface

Word wrap column

Pascal

property Wrap: Integer;

Description

Wrap holds the word wrap column. Read Wrap to determine the column at which text will word wrap or set Wrap to a new wrapping column.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


IJclInfoWriter.GetWrap Method

IJclInfoWriter Interface

Returns the column at which wrapping will take place.

Pascal

function GetWrap: Integer;

Description

GetWrap returns the column at which the output should be wrapped. GetWrap is the read method for the Wrap property.

Return Value

The column at which wrapping will take place.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


IJclInfoWriter.Indent Method

IJclInfoWriter Interface

Increment the indentation level by 1.

Pascal

procedure Indent;

Description

Indent will increment the indentation level by 1. Each identation level will result in two spaces.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


IJclInfoWriter.Outdent Method

See Also	IJclInfoWriter Interface

Decrement the indentation level by 1.

Pascal

procedure Outdent;

Description

Outdent will decrement the indentation level by 1.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


See Also

Indent


IJclInfoWriter.SetWrap Method

IJclInfoWriter Interface

Sets a new word wrap column

Pascal

procedure SetWrap(const Value: Integer);

Description

SetWrap sets the column at which output will be word wrapped. SetWrap is the write specifier for the Wrap property.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


IJclInfoWriter.Write Method

IJclInfoWriter Interface

Outputs a string to the underlaying object.

Pascal

procedure Write(const S: string);

Description

Write will write the specified string to the underlaying object. Just as Write in Object Pascal, there will be no CR/LF appended to the string. Use Writeln if you want an CR/LF appended when the string is outputed. If the string contains CR/LF, it will be seen as a separate string for which indentation level is taken into consideration.

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


IJclInfoWriter.Writeln Method

See Also	IJclInfoWriter Interface

Writes the specified text and appends a CR/LF

Pascal

procedure Writeln(const S: string = '');

Description

Writeln will output the specified string and appends a CR/LF. Each CR/LF in the text will be considered a new line for which indentation will be performed.

Parameters

const S: string = ''

Text to be outputed. Each CR/LF will be considered a new line for which indentation will be performed

Donator

Marcel Bestebroer

Interface

IJclInfoWriter Interface


See Also

Write,Indent,Outdent,Wrap


IJclBaseInfo

Legend

RTTI retrieval

Interfaces

 IJclBaseInfo

Basic type info interface

Legend

Interface


IJclBaseInfo Interfaces

IJclBaseInfo	Legend

Interfaces

 IJclBaseInfo

Basic type info interface


Legend

Interface


Legend

IJclBaseInfo

Legend

Interface


IJclBaseInfo Interface

Methods

Basic type info interface

Pascal

IJclBaseInfo = interface;

Description

IJclBaseInfo is the base interface of type information retrieval. It provides two method for outputting the RTTI

Donator

Marcel Bestebroer

Group

IJclBaseInfo

Unit

JclRTTI


IJclBaseInfo Interface Methods

IJclBaseInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.


IJclBaseInfo Interface Members

IJclBaseInfo Interface

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.


IJclBaseInfo.DeclarationTo Method

IJclBaseInfo Interface

Writes the Pascal declaration of the type to the info writer.

Pascal

procedure DeclarationTo(const Dest: IJclInfoWriter);

Description

DeclarationTo writes the Pascal declaration to the info writer. Note that the declaration for some types is not exact, more specifically the declarations for interface and class types. That is because not all information needed is in the RTTI.

Parameters

const Dest: IJclInfoWriter

Info writer object to write to.

Donator

Marcel Bestebroer

Interface

IJclBaseInfo Interface


IJclBaseInfo.WriteTo Method

IJclBaseInfo Interface

Write RTTI information to the info writer.

Pascal

procedure WriteTo(const Dest: IJclInfoWriter);

Description

WriteTo writes the RTTI information to the info writer.

Parameters

const Dest: IJclInfoWriter

Info writer object to write to.

Donator

Marcel Bestebroer

Interface

IJclBaseInfo Interface


IJclClassTypeInfo

Legend

RTTI retrieval

Topics

IJclPropInfo

Enumerations

 TJclPropSpecKind

Property access specifier kind

Interfaces

 IJclClassTypeInfo

Class RTTI interface.

Legend

Enumeration

Interface


IJclClassTypeInfo Enumerations

IJclClassTypeInfo	Legend

Enumerations

 TJclPropSpecKind

Property access specifier kind


Legend

Enumeration


IJclClassTypeInfo Interfaces

IJclClassTypeInfo	Legend

Interfaces

 IJclClassTypeInfo

Class RTTI interface.


Legend

Interface


Topics

IJclClassTypeInfo

Topics

IJclPropInfo


Legend

IJclClassTypeInfo

Legend

Enumeration

Interface


TJclPropSpecKind Enumeration

Property access specifier kind

Pascal

TJclPropSpecKind = (
  pskNone,
  pskStaticMethod,
  pskVirtualMethod,
  pskField,
  pskConstant
);

Description

TJclPropSpecKind is the access specifier kind for the read, write or stored specifier of a given property.

pskNone

Specifier does not exist.

pskStaticMethod

Specifier uses a static method. The specifier value holds the address of the method.

pskVirtualMethod

Specifier uses a virtual method. The specifier value holds the VMT slot of the method.

pskField

Specifier uses a field. The specifier value holds the offset (relative to the start of the instance) to the field.

pskConstant

Specifier uses a constant. The specifier value holds the constant. Note that constants are used for the stored specifier only.

Donator

Marcel Bestebroer

Group

IJclClassTypeInfo

Unit

JclRTTI


IJclClassTypeInfo Interface

Properties	Methods	Legend

Class RTTI interface.

Pascal

IJclClassTypeInfo = interface(IJclTypeInfo);

Description

IJclClassTypeInfo is the interface for class types. It provides methods and properties to query the class reference, parent info, property info and unit of declaration.

Donator

Marcel Bestebroer

Group

IJclClassTypeInfo

Legend

read only

Unit

JclRTTI


IJclClassTypeInfo Interface Methods

IJclClassTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclClassTypeInfo Interface

GetClassRef

Retrieve a class reference

GetParent

Retrieve an interface to the RTTI of the parent class

GetProperties

Retrieve an interface to the property.

GetPropertyCount

Retrieve the number of published properties declared in this class

GetPropNames

GetTotalPropertyCount

Retrieve the number of published properties.

GetUnitName

Retrieve the unit name where the class is declared


IJclClassTypeInfo Interface Properties

IJclClassTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclClassTypeInfo Interface

 ClassRef

Class reference

 Parent

Retrieve an interface to the RTTI of the parent class

 Properties

Array of interfaces to the properties.

 PropertyCount

Number of published properties declared in this class

 PropNames

 TotalPropertyCount

Number of published properties.

 UnitName

Unit name where the class is declared


Legend

read only


Legend

IJclClassTypeInfo Interface

Legend

read only


IJclClassTypeInfo Interface Members

IJclClassTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclClassTypeInfo Interface

GetClassRef

Retrieve a class reference

GetParent

Retrieve an interface to the RTTI of the parent class

GetProperties

Retrieve an interface to the property.

GetPropertyCount

Retrieve the number of published properties declared in this class

GetPropNames

GetTotalPropertyCount

Retrieve the number of published properties.

GetUnitName

Retrieve the unit name where the class is declared

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclClassTypeInfo Interface

 ClassRef

Class reference

 Parent

Retrieve an interface to the RTTI of the parent class

 Properties

Array of interfaces to the properties.

 PropertyCount

Number of published properties declared in this class

 PropNames

 TotalPropertyCount

Number of published properties.

 UnitName

Unit name where the class is declared


Legend

read only


IJclClassTypeInfo.ClassRef Property

IJclClassTypeInfo Interface

Class reference

Pascal

property ClassRef: TClass;

Description

ClassRef holds the class reference to the class.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.Parent Property

IJclClassTypeInfo Interface

Retrieve an interface to the RTTI of the parent class

Pascal

property Parent: IJclClassTypeInfo;

Description

Parent holds an interface to the RTTI of the parent class. If the class has no parent, Parent will be nil.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.Properties Property

IJclClassTypeInfo Interface

Array of interfaces to the properties.

Pascal

property Properties [const PropIdx: Integer]: IJclPropInfo;

Description

Properties is an array of interfaces to the properties. Valid index values run from 0 up to TotalPropertyCount-1. Up to PropertyCount-1 are properties declared by this class.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.PropertyCount Property

IJclClassTypeInfo Interface

Number of published properties declared in this class

Pascal

property PropertyCount: Integer;

Description

PropertyCount holds the number of properties published by this class. To find the number of published properties in this class and it's ancestors, query the TotalPropertyCount property.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.PropNames Property

IJclClassTypeInfo Interface

property PropNames [const Name: string]: IJclPropInfo;

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.TotalPropertyCount Property

IJclClassTypeInfo Interface

Number of published properties.

Pascal

property TotalPropertyCount: Integer;

Description

TotalPropertyCount holds the number of published properties. This number includes all published properties of the ancestor tree. To find the number of properties declared by the class, query the PropertyCount property.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.UnitName Property

IJclClassTypeInfo Interface

Unit name where the class is declared

Pascal

property UnitName: string;

Description

UnitName holds the name of the unit where the class is declared.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetClassRef Method

IJclClassTypeInfo Interface

Retrieve a class reference

Pascal

function GetClassRef: TClass;

Description

GetClassRef retrieves the class reference to the class. GetClassRef is the read specifier for the ClassRef property.

Return Value

A class reference to the class.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetParent Method

IJclClassTypeInfo Interface

Retrieve an interface to the RTTI of the parent class

Pascal

function GetParent: IJclClassTypeInfo;

Description

GetParent retrieves an interface to the RTTI of the parent class. If the class has no parent, GetParent will return nil. GetParent is the read specifier for the Parent property.

Return Value

If the class has a parent the function will return an interface to the RTTI of the parent, otherwise the function returns nil.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetProperties Method

IJclClassTypeInfo Interface

Retrieve an interface to the property.

Pascal

function GetProperties(const PropIdx: Integer): IJclPropInfo;

Description

GetProperties retrieves an interface to the property at the given index. Valid index values run from 0 up to TotalPropertyCount-1. Up to PropertyCount are properties declared by this class. GetProperties is the read specifier for the Properties property.

Parameters

const PropIdx: Integer

Index of property to retrieve.

Return Value

An interface to the requested property.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetPropertyCount Method

IJclClassTypeInfo Interface

Retrieve the number of published properties declared in this class

Pascal

function GetPropertyCount: Integer;

Description

GetPropertyCount retrieves the number of properties published by this class. To find the number of published properties in this class and it's ancestors, query the TotalPropertyCount property. GetPropertyCount is the read specifier for the PropertyCount property.

Return Value

The number of published properties declared by the class.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetPropNames Method

IJclClassTypeInfo Interface

function GetPropNames(const Name: string): IJclPropInfo;

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetTotalPropertyCount Method

IJclClassTypeInfo Interface

Retrieve the number of published properties.

Pascal

function GetTotalPropertyCount: Integer;

Description

GetTotalPropertyCount retrieves the number of published properties. This number includes all published properties of the parent tree. To find the number of properties declared by the class, query the PropertyCount property. GetTotalPropertyCount is the read specifier for the TotalPropertyCount property.

Return Value

The number of published properties declared by the class and it's ancestors.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclClassTypeInfo.GetUnitName Method

IJclClassTypeInfo Interface

Retrieve the unit name where the class is declared

Pascal

function GetUnitName: string;

Description

GetUnitName retrieves the name of the unit where the class is declared. GetUnitName is the read specifier for the UnitName property.

Return Value

The name of the unit where the class is declared.

Donator

Marcel Bestebroer

Interface

IJclClassTypeInfo Interface


IJclPropInfo

Legend

IJclClassTypeInfo

Interfaces

 IJclPropInfo

Class RTTI property interface.

Legend

Interface


IJclPropInfo Interfaces

IJclPropInfo	Legend

Interfaces

 IJclPropInfo

Class RTTI property interface.


Legend

Interface


Legend

IJclPropInfo

Legend

Interface


IJclPropInfo Interface

Properties	Methods	Legend

Class RTTI property interface.

Pascal

IJclPropInfo = interface;

Description

IJclPropInfo is the interface for properties of class types. It provides methods and properties to query the read, write and stored specifier values / types, property name and index, default value and index specifier.

Donator

Marcel Bestebroer

Group

IJclPropInfo

Legend

read only

Unit

JclRTTI


IJclPropInfo Interface Properties

IJclPropInfo Interface	Legend

Properties

 Default

Default property value.

 Index

Holds the Index specifier value.

 Name

Holds the property's name

 NameIndex

Holds the property's declarative index.

 PropType

References the RTTI interface for the property.

 Reader

Raw read specifier value.

 ReaderType

The read specifier type.

 ReaderValue

Parsed read specifier value

 StoredProc

The raw stored specifier value.

 StoredType

Type of stored specifier.

 StoredValue

Parsed stored specifier value.

 Writer

The raw write specifier value

 WriterType

Type of write specifier.

 WriterValue

Parsed write specifier value.


Legend

read only


IJclPropInfo Interface Methods

IJclPropInfo Interface

Methods

GetDefault

Retrieve default property value.

GetIndex

Retrieves the index specifier value

GetName

Retrieve the property's name.

GetNameIndex

Retrieve the property's name/declaration index

GetPropType

Retrieve an RTTI interface for the property's type.

GetReader

Retrieves the raw reader pointer.

GetReaderType

Retrieves the read specifier type.

GetReaderValue

Retrieves the parsed read specifier value.

GetStoredProc

Retrieves the raw stored specifier value.

GetStoredType

Retrieves the stored specifier type.

GetStoredValue

Retrieves the parsed store specifier value.

GetWriter

Retrieves the raw write specifier value.

GetWriterType

Determines the write specifier type.

GetWriterValue

Retrieves the parsed write specifier value.

HasDefault

Determines if the property has a default value.

HasIndex

Determines if the property has an index specifier.

IsStored

Determines if the property is stored for a given instance.


Legend

IJclPropInfo Interface

Legend

read only


IJclPropInfo Interface Members

IJclPropInfo Interface	Legend

Members

Properties

 Default

Default property value.

 Index

Holds the Index specifier value.

 Name

Holds the property's name

 NameIndex

Holds the property's declarative index.

 PropType

References the RTTI interface for the property.

 Reader

Raw read specifier value.

 ReaderType

The read specifier type.

 ReaderValue

Parsed read specifier value

 StoredProc

The raw stored specifier value.

 StoredType

Type of stored specifier.

 StoredValue

Parsed stored specifier value.

 Writer

The raw write specifier value

 WriterType

Type of write specifier.

 WriterValue

Parsed write specifier value.

Methods

GetDefault

Retrieve default property value.

GetIndex

Retrieves the index specifier value

GetName

Retrieve the property's name.

GetNameIndex

Retrieve the property's name/declaration index

GetPropType

Retrieve an RTTI interface for the property's type.

GetReader

Retrieves the raw reader pointer.

GetReaderType

Retrieves the read specifier type.

GetReaderValue

Retrieves the parsed read specifier value.

GetStoredProc

Retrieves the raw stored specifier value.

GetStoredType

Retrieves the stored specifier type.

GetStoredValue

Retrieves the parsed store specifier value.

GetWriter

Retrieves the raw write specifier value.

GetWriterType

Determines the write specifier type.

GetWriterValue

Retrieves the parsed write specifier value.

HasDefault

Determines if the property has a default value.

HasIndex

Determines if the property has an index specifier.

IsStored

Determines if the property is stored for a given instance.


Legend

read only


IJclPropInfo.Default Property

IJclPropInfo Interface

Default property value.

Pascal

property Default: Longint;

Description

Default holds the default property value. If the property has no default value, $80000000 will be returned (as done by the Delphi compiler).

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.Index Property

IJclPropInfo Interface

Holds the Index specifier value.

Pascal

property Index: Integer;

Description

Index holds the index specifier value. If the property has no index specifier, this property holds $80000000 and HasIndex will be False.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.Name Property

IJclPropInfo Interface

Holds the property's name

Pascal

property Name: string;

Description

Name holds the property's name.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.NameIndex Property

IJclPropInfo Interface

Holds the property's declarative index.

Pascal

property NameIndex: Smallint;

Description

NameIndex is the property index in the class declaration hierarchie.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.PropType Property

IJclPropInfo Interface

References the RTTI interface for the property.

Pascal

property PropType: IJclTypeInfo;

Description

PropType holds a reference to the RTTI interface for the property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.Reader Property

IJclPropInfo Interface

Raw read specifier value.

Pascal

property Reader: MethodInfo;

Description

Reader is the raw read specifier value. The meaning of this value depends on the value of the ReadType property. Use ReadValue to find out the interpreted value.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.ReaderType Property

IJclPropInfo Interface

The read specifier type.

Pascal

property ReaderType: TJclPropSpecKind;

Description

ReaderType holds the type of read specifier. The specifier type determines how the Reader property should be interpreted.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.ReaderValue Property

IJclPropInfo Interface

Parsed read specifier value

Pascal

property ReaderValue: Integer;

Description

ReaderValue is the parsed read specifier value. Depending on ReaderType this value could be a pointer to a static method, a VMT slot index or a field offset.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.StoredProc Property

IJclPropInfo Interface

The raw stored specifier value.

Pascal

property StoredProc: MethodInfo;

Description

StoredProc holds the raw stored specifier value. Use StoredType and StoredValue to retrieve the parsed stored specifier value.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.StoredType Property

IJclPropInfo Interface

Type of stored specifier.

Pascal

property StoredType: TJclPropSpecKind;

Description

StoredType holds the type of stored specifier. This determines how the StoredProc value should be interpreted. Use StoredValue to determine the parsed value for the stored specifier.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.StoredValue Property

See Also	IJclPropInfo Interface

Parsed stored specifier value.

Pascal

property StoredValue: Integer;

Description

StoredValue holds the parsed value for the stored specifier. Depending on the value of the StoredType property, this value could be either a constant (ordinal of a boolean), a pointer to a static method, a VMT slot index or a field offset.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


See Also

IsStored,StoredProc,StoredValue


IJclPropInfo.Writer Property

See Also	IJclPropInfo Interface

The raw write specifier value

Pascal

property Writer: MethodInfo;

Description

Writer holds the raw srite specifier value. How this value should be interpreted depends on the value of the WriterType property. You can also use WriterValue to retrieve a parsed value.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


See Also

Reader,StoredProc,WriterType,WriterValue


IJclPropInfo.WriterType Property

See Also	IJclPropInfo Interface

Type of write specifier.

Pascal

property WriterType: TJclPropSpecKind;

Description

WriterType holds the type of the write specifier. WriterValue uses this value to determine how to parse the Writer property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


See Also

ReaderType,StoredType,Writer,WriterValue


IJclPropInfo.WriterValue Property

See Also	IJclPropInfo Interface

Parsed write specifier value.

Pascal

property WriterValue: Integer;

Description

WriterValue holds the parsed value of the write specifier. Depending on the value of WriterType this value can be either a pointer to a static method, a VMT slot index or a field offset.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


See Also

ReaderValue,StoredValue,Writer,WriterType


IJclPropInfo.GetDefault Method

IJclPropInfo Interface

Retrieve default property value.

Pascal

function GetDefault: Longint;

Description

GetDefault retrieves the property's default value. GetDefault is the read method for the Default property

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetIndex Method

IJclPropInfo Interface

Retrieves the index specifier value

Pascal

function GetIndex: Integer;

Description

GetIndex retrieves the property's index value. GetIndex is the read method for the Index property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetName Method

IJclPropInfo Interface

Retrieve the property's name.

Pascal

function GetName: string;

Description

GetName retrieves the name of the property. GetName is the read method for the Name property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetNameIndex Method

IJclPropInfo Interface

Retrieve the property's name/declaration index

Pascal

function GetNameIndex: Smallint;

Description

GetNameIndex retrieves the property's declaration or name index. GetNameIndex is the read method for the NameIndex property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetPropType Method

IJclPropInfo Interface

Retrieve an RTTI interface for the property's type.

Pascal

function GetPropType: IJclTypeInfo;

Description

GetPropType retrieves an interface to the RTTI for the property's type. GetPropType is the read method for the PropType property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetReader Method

IJclPropInfo Interface

Retrieves the raw reader pointer.

Pascal

function GetReader: MethodInfo;

Description

GetReader retrieves the raw reader pointer. GetReader is the read method for the Reader property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetReaderType Method

IJclPropInfo Interface

Retrieves the read specifier type.

Pascal

function GetReaderType: TJclPropSpecKind;

Description

GetReaderType retrieves the property's read specifier type. GetReaderType is the read method for the ReaderType property.

Donator

Marcel Bestebroer

Interface

IJclPropInfo Interface


IJclPropInfo.GetReaderValue Method

IJclPropInfo Interface

Retrieves the parsed read specifier value.

Pascal

function GetReaderValue: Integer;

Description

GetReaderValue retrieves the parsed read specifier value. GetReaderValue is the read method for the ReaderValue property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetStoredProc Method

IJclPropInfo Interface

Retrieves the raw stored specifier value.

Pascal

function GetStoredProc: MethodInfo;

Description

GetStoredProc retrieves the raw stored specifier value. GetStoredProc is the read method for the StoredProc property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetStoredType Method

IJclPropInfo Interface

Retrieves the stored specifier type.

Pascal

function GetStoredType: TJclPropSpecKind;

Description

GetStoredType retrieves the stored specifier type. GetStoredType is the read method for the StoredType property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetStoredValue Method

IJclPropInfo Interface

Retrieves the parsed store specifier value.

Pascal

function GetStoredValue: Integer;

Description

GetStoredValue retrieves the parsed stored specifier value. GetStoredValue is the read method for the StoredValue property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetWriter Method

IJclPropInfo Interface

Retrieves the raw write specifier value.

Pascal

function GetWriter: MethodInfo;

Description

GetWriter retrieves the raw write specifier value. GetWriter is the read method for the Writer property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetWriterType Method

IJclPropInfo Interface

Determines the write specifier type.

Pascal

function GetWriterType: TJclPropSpecKind;

Description

GetWriterType determines the write specifier type. GetWriterType is the read method for the WriterType property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.GetWriterValue Method

IJclPropInfo Interface

Retrieves the parsed write specifier value.

Pascal

function GetWriterValue: Integer;

Description

GetWriteValue retrieves the parsed write specifier value. GetWriterValue is the read method for the WriterValue property.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.HasDefault Method

IJclPropInfo Interface

Determines if the property has a default value.

Pascal

function HasDefault: Boolean;

Description

HasDefault checks if the property has a default value. A property has a default value if it's of an ordinal type and Default <> $80000000.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.HasIndex Method

IJclPropInfo Interface

Determines if the property has an index specifier.

Pascal

function HasIndex: Boolean;

Description

HasIndex determines if the property has an index specifier.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclPropInfo.IsStored Method

IJclPropInfo Interface

Determines if the property is stored for a given instance.

Pascal

function IsStored(const AInstance: TObject): Boolean;

Description

IsStored determines if the property is stored for the given instance. The instance must be specifier to resolve the cases where the stored specifier is a function and not a constant.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclPropInfo Interface


IJclDynArrayTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclDynArrayTypeInfo

Dynamic array RTTI interface.

Legend

Interface


IJclDynArrayTypeInfo Interfaces

IJclDynArrayTypeInfo	Legend

Interfaces

 IJclDynArrayTypeInfo

Dynamic array RTTI interface.


Legend

Interface


Legend

IJclDynArrayTypeInfo

Legend

Interface


IJclDynArrayTypeInfo Interface

Properties	Methods	Legend

Dynamic array RTTI interface.

Pascal

IJclDynArrayTypeInfo = interface(IJclTypeInfo);

Description

IJclDynArrayTypeInfo is the interface for dynamic array types. RTTI for dynamic arrays is available as of Delphi 6. The interface provides methods and properties to query the element size, it's type (both RTTI as well as varType), the unit name of it's declaration and if the elements require clean-up.

Donator

Marcel Bestebroer

Group

IJclDynArrayTypeInfo

Legend

read only

Unit

JclRTTI


IJclDynArrayTypeInfo Interface Methods

IJclDynArrayTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclDynArrayTypeInfo Interface

GetElementSize

The element size.

GetElementsNeedCleanup

Determines if elements need cleanup.

GetElementType

Retreives the interface to the element RTTI.

GetUnitName

Retrieves the unit name of the dynamic array

GetVarType

Retreives the OLE Automation varType equivalent.


IJclDynArrayTypeInfo Interface Properties

IJclDynArrayTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclDynArrayTypeInfo Interface

 ElementSize

Element size of an array item.

 ElementsNeedCleanup

Elements cleanup flag.

 ElementType

IJclTypeInfo for an array element

 UnitName

The unit name of the dynamic array

 VarType

The OLE Automation varType equivalent.


Legend

read only


Legend

IJclDynArrayTypeInfo Interface

Legend

read only


IJclDynArrayTypeInfo Interface Members

IJclDynArrayTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclDynArrayTypeInfo Interface

GetElementSize

The element size.

GetElementsNeedCleanup

Determines if elements need cleanup.

GetElementType

Retreives the interface to the element RTTI.

GetUnitName

Retrieves the unit name of the dynamic array

GetVarType

Retreives the OLE Automation varType equivalent.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclDynArrayTypeInfo Interface

 ElementSize

Element size of an array item.

 ElementsNeedCleanup

Elements cleanup flag.

 ElementType

IJclTypeInfo for an array element

 UnitName

The unit name of the dynamic array

 VarType

The OLE Automation varType equivalent.


Legend

read only


IJclDynArrayTypeInfo.ElementSize Property

IJclDynArrayTypeInfo Interface

Element size of an array item.

Pascal

property ElementSize: Longint;

Description

ElementSize holds the element size of an array element.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.ElementsNeedCleanup Property

IJclDynArrayTypeInfo Interface

Elements cleanup flag.

Pascal

property ElementsNeedCleanup: Boolean;

Description

ElementsNeedCleanup is the element cleanup flag.

Notes

The decision is made by examining the elType member of the type data. If it's not nil cleanup is required. For constructions that do not create RTTI for the elements this decision might be wrong (notably with record constructs containing long strings as in TMyArray = array of record x: Integer; y: string; end).

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.ElementType Property

IJclDynArrayTypeInfo Interface

IJclTypeInfo for an array element

Pascal

property ElementType: IJclTypeInfo;

Description

ElementType holds a reference to the IJclTypeInfo for an element.

Notes

For some dynamic array constructions the RTTI info is not generated. For these constructions the ElementType returns nil.

Donator

Marcel Bestebroer Delphi Versions: 6, 7 Kylix Versions: 1 - 3

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.UnitName Property

IJclDynArrayTypeInfo Interface

The unit name of the dynamic array

Pascal

property UnitName: string;

Description

UnitName holds the unit name where the type is declared.

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.VarType Property

IJclDynArrayTypeInfo Interface

The OLE Automation varType equivalent.

Pascal

property VarType: Integer;

Description

VarType holds the OLE Automation varType equivalent.

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.GetElementSize Method

IJclDynArrayTypeInfo Interface

The element size.

Pascal

function GetElementSize: Longint;

Description

ElementSize holds the size of each element.

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.GetElementsNeedCleanup Method

IJclDynArrayTypeInfo Interface

Determines if elements need cleanup.

Pascal

function GetElementsNeedCleanup: Boolean;

Description

GetElementsNeedCleanup determines if the elements require cleanup when elements are discarded. GetElementsNeedCleanup is the read specifier for the ElementsNeedCleanup property.

Return Value

If the elements of the array need cleanup the function returns True, otherwise it returns false.

Notes

The decision is made by examining the elType member of the type data. If it's not nil cleanup is required. For constructions that do not create RTTI for the elements this decision might be wrong (notably with record constructs containing long strings as in TMyArray = array of record x: Integer; y: string; end).

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.GetElementType Method

IJclDynArrayTypeInfo Interface

Retreives the interface to the element RTTI.

Pascal

function GetElementType: IJclTypeInfo;

Description

ElementType holds a reference to the interface for the RTTI of the elements. Note that declarations as in TMyArray = array of record x: Integer; y: string; end do not generate RTTI for the elements.

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.GetUnitName Method

IJclDynArrayTypeInfo Interface

Retrieves the unit name of the dynamic array

Pascal

function GetUnitName: string;

Description

GetUnitName retrieves the unit name where the type is declared. GetUnitName is the read specifier for the UnitName property.

Return Value

Name of the unit where the type is declared.

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclDynArrayTypeInfo.GetVarType Method

IJclDynArrayTypeInfo Interface

Retreives the OLE Automation varType equivalent.

Pascal

function GetVarType: Integer;

Description

GetVarType retrieves the OLE Automation varType equivalent. GetVarType is the read specifier for the VarType property.

Return Value

The OLE Automation varType equivalent

Donator

Marcel Bestebroer

Interface

IJclDynArrayTypeInfo Interface


IJclEnumerationTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclEnumerationTypeInfo

Enumeration RTTI interface.

Legend

Interface


IJclEnumerationTypeInfo Interfaces

IJclEnumerationTypeInfo	Legend

Interfaces

 IJclEnumerationTypeInfo

Enumeration RTTI interface.


Legend

Interface


Legend

IJclEnumerationTypeInfo

Legend

Interface


IJclEnumerationTypeInfo Interface

Properties	Methods	Legend

Enumeration RTTI interface.

Pascal

IJclEnumerationTypeInfo = interface(IJclOrdinalRangeTypeInfo);

Description

IJclEnumerationTypeInfo is the interface for enumeration types. It provides methods and properties to query the base type, the name list and locating a name.

Donator

Marcel Bestebroer

Group

IJclEnumerationTypeInfo

Legend

read only

Unit

JclRTTI


IJclEnumerationTypeInfo Interface Methods

IJclEnumerationTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.

IJclEnumerationTypeInfo Interface

GetBaseType

Retrieves an interface to the base type

GetNames

Retrieves a name of the enumeration

GetUnitName

Retrieves the unit name of the enumeration

IndexOfName

Retrieves a the inbdex of a name of the enumeration


IJclEnumerationTypeInfo Interface Properties

IJclEnumerationTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.

IJclEnumerationTypeInfo Interface

 BaseType

An interface to the base type

 Names

A name of an enumeration value

 UnitName

The unit name of the enumeration


Legend

read only


Legend

IJclEnumerationTypeInfo Interface

Legend

read only


IJclEnumerationTypeInfo Interface Members

IJclEnumerationTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.

IJclEnumerationTypeInfo Interface

GetBaseType

Retrieves an interface to the base type

GetNames

Retrieves a name of the enumeration

GetUnitName

Retrieves the unit name of the enumeration

IndexOfName

Retrieves a the inbdex of a name of the enumeration

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.

IJclEnumerationTypeInfo Interface

 BaseType

An interface to the base type

 Names

A name of an enumeration value

 UnitName

The unit name of the enumeration


Legend

read only


IJclEnumerationTypeInfo.BaseType Property

IJclEnumerationTypeInfo Interface

An interface to the base type

Pascal

property BaseType: IJclEnumerationTypeInfo;

Description

BaseType holds a reference to an interface to the base type for the enumeration. If the enumeration is the base type an interface to the object is returned.

Under normal circumstances an enumeration can have at most 1 base type (a sub range is always the sub range of the base type, never a sub range of a sub range).

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.Names Property

IJclEnumerationTypeInfo Interface

A name of an enumeration value

Pascal

property Names [const I: Integer]: string;

Description

Names retrieves a name given an ordinal value. No range check is performed and it is possible to retrieve names of ordinals that are not part of the sub range.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.UnitName Property

IJclEnumerationTypeInfo Interface

The unit name of the enumeration

Pascal

property UnitName: string;

Description

UnitName holds the unit name where the type is declared.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.GetBaseType Method

IJclEnumerationTypeInfo Interface

Retrieves an interface to the base type

Pascal

function GetBaseType: IJclEnumerationTypeInfo;

Description

GetBaseType retrieves an interface to the base type for the enumeration. If the enumeration is the base type an interface to the object is returned.

Under normal circumstances an enumeration can have at most 1 base type (a sub range is always the sub range of the base type, never a sub range of a sub range). GetBaseType is the read specifier for the BaseType property.

Return Value

An interface pointer to the base type for this enumeration. If this enumeration is the base type, a pointer to the same object is returned.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.GetNames Method

IJclEnumerationTypeInfo Interface

Retrieves a name of the enumeration

Pascal

function GetNames(const I: Integer): string;

Description

GetNames retrieves a name given an ordinal value. No range check is performed and it is possible to retrieve names of ordinals that are not part of the sub range. GetNames is the read specifier for the Names property.

Parameters

const I: Integer

Ordinal value to get the name of.

Return Value

Enumeration name of the given ordinal.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.GetUnitName Method

IJclEnumerationTypeInfo Interface

Retrieves the unit name of the enumeration

Pascal

function GetUnitName: string;

Description

GetUnitName retrieves the unit name where the type is declared. GetUnitName is the read specifier for the UnitName property.

Return Value

Name of the unit where the type is declared.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEnumerationTypeInfo.IndexOfName Method

IJclEnumerationTypeInfo Interface

Retrieves a the inbdex of a name of the enumeration

Pascal

function IndexOfName(const Name: string): Integer;

Description

IndexOfName retrieves the index for a given name. If the names does not exist within the sub range -1 is returned.

Parameters

const Name: string

Enumeration name to get the ordinal for.

Return Value

If the enumeration name exists within the sub range, it's ordinal value is returned, otherwise -1 is returned.

Donator

Marcel Bestebroer

Interface

IJclEnumerationTypeInfo Interface


IJclEventTypeInfo

Legend

RTTI retrieval

Topics

IJclEventParamInfo

Interfaces

 IJclEventTypeInfo

Event RTTI interface.

Legend

Interface


IJclEventTypeInfo Interfaces

IJclEventTypeInfo	Legend

Interfaces

 IJclEventTypeInfo

Event RTTI interface.


Legend

Interface


Topics

IJclEventTypeInfo

Topics

IJclEventParamInfo


Legend

IJclEventTypeInfo

Legend

Interface


IJclEventTypeInfo Interface

Properties	Methods	Legend

Event RTTI interface.

Pascal

IJclEventTypeInfo = interface(IJclTypeInfo);

Description

IJclEventTypeInfo is the interface for event types. It provides methods and properties to query the method type (function or procedure), parameter info and the result type name (for functions).

Donator

Marcel Bestebroer

Group

IJclEventTypeInfo

Legend

read only

Unit

JclRTTI


IJclEventTypeInfo Interface Methods

IJclEventTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclEventTypeInfo Interface

GetMethodKind

Method kind.

GetParameterCount

Retrieves the number of parameters

GetParameters

Retrieves an interface to the parameter info.

GetResultTypeName

Retrieves the result type name.


IJclEventTypeInfo Interface Properties

IJclEventTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclEventTypeInfo Interface

 MethodKind

Method kind

 ParameterCount

Number of parameters

 Parameters

An array of interface's to the parameter info

 ResultTypeName

Result type name.


Legend

read only


Legend

IJclEventTypeInfo Interface

Legend

read only


IJclEventTypeInfo Interface Members

IJclEventTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclEventTypeInfo Interface

GetMethodKind

Method kind.

GetParameterCount

Retrieves the number of parameters

GetParameters

Retrieves an interface to the parameter info.

GetResultTypeName

Retrieves the result type name.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclEventTypeInfo Interface

 MethodKind

Method kind

 ParameterCount

Number of parameters

 Parameters

An array of interface's to the parameter info

 ResultTypeName

Result type name.


Legend

read only


IJclEventTypeInfo.MethodKind Property

IJclEventTypeInfo Interface

Method kind

Pascal

property MethodKind: TMethodKind;

Description

MethodKind holds the method type (either a procedure or a function).

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.ParameterCount Property

IJclEventTypeInfo Interface

Number of parameters

Pascal

property ParameterCount: Integer;

Description

ParameterCount holds the number of parameters declared.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.Parameters Property

IJclEventTypeInfo Interface

An array of interface's to the parameter info

Pascal

property Parameters [const ParamIdx: Integer]: IJclEventParamInfo;

Description

Parameters is an array to parameter info interfaces. The index is 0-based.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.ResultTypeName Property

IJclEventTypeInfo Interface

Result type name.

Pascal

property ResultTypeName: string;

Description

ResultTypeName holds the result type name. If the MethodKind = mkProcedure, ResultTypeName will be an empty string.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.GetMethodKind Method

IJclEventTypeInfo Interface

Method kind.

Pascal

function GetMethodKind: TMethodKind;

Description

GetMethodKind retrieves the method type (either a procedure or a function). GetMethodKind is the read specifier of the MethodKind property.

Return Value

If the event is a procedure the function will return mkProcedure, otherwise mkFunction is returned.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.GetParameterCount Method

IJclEventTypeInfo Interface

Retrieves the number of parameters

Pascal

function GetParameterCount: Integer;

Description

GetParameterCount retrieves the number of parameters declared. GetParameterCount is the read specifier of the ParameterCount property.

Return Value

The number of parameters declared in the event.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.GetParameters Method

IJclEventTypeInfo Interface

Retrieves an interface to the parameter info.

Pascal

function GetParameters(const ParamIdx: Integer): IJclEventParamInfo;

Description

GetParameters retrieves an interface to parameter info. GetParameters is the read specifier of the Parameters property.

Parameters

const ParamIdx: Integer

Index (0-based) of parameter to retrieve.

Return Value

An interface to the requested parameter.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventTypeInfo.GetResultTypeName Method

IJclEventTypeInfo Interface

Retrieves the result type name.

Pascal

function GetResultTypeName: string;

Description

GetResultTypeName retrieves the result type name. If the MethodKind = mkProcedure, GetResultTypeName will return an empty string. GetResultTypeName is the read specifier of the ResultTypeName property.

Return Value

If MethodKind = mkFunction teh function returns the name of result type, otherwise the function returns an empty string.

Donator

Marcel Bestebroer

Interface

IJclEventTypeInfo Interface


IJclEventParamInfo

Legend

IJclEventTypeInfo

Interfaces

 IJclEventParamInfo

Event RTTI parameter interface.

Legend

Interface


IJclEventParamInfo Interfaces

IJclEventParamInfo	Legend

Interfaces

 IJclEventParamInfo

Event RTTI parameter interface.


Legend

Interface


Legend

IJclEventParamInfo

Legend

Interface


IJclEventParamInfo Interface

Properties	Methods	Legend

Event RTTI parameter interface.

Pascal

IJclEventParamInfo = interface;

Description

IJclEventParamInfo is the interface for parameters of event types. It provides methods and properties to obtain parameter flags, name and type name for the parameter. Note that for event parameters the type name is stored, not a pointer to the RTTI and it's therefor impossible to get RTTI info for parameters.

Donator

Marcel Bestebroer

Group

IJclEventParamInfo

Legend

read only

Unit

JclRTTI


IJclEventParamInfo Interface Properties

IJclEventParamInfo Interface	Legend

Properties

 Flags

Parameter flags.

 Name

Parameter name.

 Param

Pointer to the parameter record.

 RecSize

Parameter RTTI record size.

 TypeName

Parameter type name.


Legend

read only


IJclEventParamInfo Interface Methods

IJclEventParamInfo Interface

Methods

GetFlags

Retrieve parameter flags.

GetName

Retrieve parameter name.

GetParam

Retrieve pointer to the parameter record.

GetRecSize

Retrieve parameter RTTI record size.

GetTypeName

Retrieve parameter type name.


Legend

IJclEventParamInfo Interface

Legend

read only


IJclEventParamInfo Interface Members

IJclEventParamInfo Interface	Legend

Members

Properties

 Flags

Parameter flags.

 Name

Parameter name.

 Param

Pointer to the parameter record.

 RecSize

Parameter RTTI record size.

 TypeName

Parameter type name.

Methods

GetFlags

Retrieve parameter flags.

GetName

Retrieve parameter name.

GetParam

Retrieve pointer to the parameter record.

GetRecSize

Retrieve parameter RTTI record size.

GetTypeName

Retrieve parameter type name.


Legend

read only


IJclEventParamInfo.Flags Property

IJclEventParamInfo Interface

Parameter flags.

Pascal

property Flags: TParamFlags;

Description

Flags holds the parameter flags that show if a given parameter is specified using const, var or out and if the parameter is an array of the specified type.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.Name Property

IJclEventParamInfo Interface

Parameter name.

Pascal

property Name: string;

Description

Name holds the parameter name.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.Param Property

IJclEventParamInfo Interface

Pointer to the parameter record.

Pascal

property Param: ParameterInfo;

Description

Param holds the pointer to the parameter record.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.RecSize Property

IJclEventParamInfo Interface

Parameter RTTI record size.

Pascal

property RecSize: Integer;

Description

RecSize holds the parameter RTTI record size.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.TypeName Property

IJclEventParamInfo Interface

Parameter type name.

Pascal

property TypeName: string;

Description

TypeName holds the parameter type name. For event parameters there's no RTTI pointer to the type, just the name.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.GetFlags Method

IJclEventParamInfo Interface

Retrieve parameter flags.

Pascal

function GetFlags: TParamFlags;

Description

GetFlags retrieves the parameter flags that show if a given parameter is specified using const, var or out and if the parameter is an array of the specified type. GetFlags is the read specifier for the Flags property.

Return Value

A set of parameter flags for this parameter.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.GetName Method

IJclEventParamInfo Interface

Retrieve parameter name.

Pascal

function GetName: string;

Description

GetName retrieves the parameter name. GetName is the read specifier for the Name property.

Return Value

The parameter name.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.GetParam Method

IJclEventParamInfo Interface

Retrieve pointer to the parameter record.

Pascal

function GetParam: ParameterInfo;

Description

GetParam retrieves the pointer to the parameter record. GetParam is the read specifier for the Param property.

Return Value

A pointer to the parameters' record in the RTTI structure.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.GetRecSize Method

IJclEventParamInfo Interface

Retrieve parameter RTTI record size.

Pascal

function GetRecSize: Integer;

Description

GetRecSize retrieves the parameter RTTI record size. GetRecSize is the read specifier for the RecSize property.

Return Value

The size of the record for this parameter in the RTTI structure.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclEventParamInfo.GetTypeName Method

IJclEventParamInfo Interface

Retrieve parameter type name.

Pascal

function GetTypeName: string;

Description

GetTypeName retrieves the parameter type name. For event parameters there's no RTTI pointer to the type, just the name. GetTypeName is the read specifier for the TypeName property.

Return Value

If it's a typed parameter the function will return the name of that type, otherwise an empty string is returned.

Donator

Marcel Bestebroer

Interface

IJclEventParamInfo Interface


IJclFloatTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclFloatTypeInfo

Float RTTI interface.

Legend

Interface


IJclFloatTypeInfo Interfaces

IJclFloatTypeInfo	Legend

Interfaces

 IJclFloatTypeInfo

Float RTTI interface.


Legend

Interface


Legend

IJclFloatTypeInfo

Legend

Interface


IJclFloatTypeInfo Interface

Properties	Methods	Legend

Float RTTI interface.

Pascal

IJclFloatTypeInfo = interface(IJclTypeInfo);

Description

IJclFloatTypeInfo is the interface for float types. It provides methods and properties to query the float type.

Donator

Marcel Bestebroer

Group

IJclFloatTypeInfo

Legend

read only

Unit

JclRTTI


IJclFloatTypeInfo Interface Methods

IJclFloatTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclFloatTypeInfo Interface

GetFloatType

Retrieve float type.


IJclFloatTypeInfo Interface Properties

IJclFloatTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclFloatTypeInfo Interface

 FloatType

The float type.


Legend

read only


Legend

IJclFloatTypeInfo Interface

Legend

read only


IJclFloatTypeInfo Interface Members

IJclFloatTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclFloatTypeInfo Interface

GetFloatType

Retrieve float type.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclFloatTypeInfo Interface

 FloatType

The float type.


Legend

read only


IJclFloatTypeInfo.FloatType Property

IJclFloatTypeInfo Interface

The float type.

Pascal

property FloatType: TFloatType;

Description

FloatType holds the float type. See TFloatType in the TypInfo unit for more information.

Donator

Marcel Bestebroer

Interface

IJclFloatTypeInfo Interface


IJclFloatTypeInfo.GetFloatType Method

IJclFloatTypeInfo Interface

Retrieve float type.

Pascal

function GetFloatType: TFloatType;

Description

GetFloatType retrieves the float type. See TFloatType in the TypInfo unit for more information. GetFloatType is the read specifier for the FloatType property

Return Value

The float type of this float info object.

Donator

Marcel Bestebroer

Interface

IJclFloatTypeInfo Interface


IJclInt64TypeInfo

Legend

RTTI retrieval

Interfaces

 IJclInt64TypeInfo

Int64 RTTI interface.

Legend

Interface


IJclInt64TypeInfo Interfaces

IJclInt64TypeInfo	Legend

Interfaces

 IJclInt64TypeInfo

Int64 RTTI interface.


Legend

Interface


Legend

IJclInt64TypeInfo

Legend

Interface


IJclInt64TypeInfo Interface

Properties	Methods	Legend

Int64 RTTI interface.

Pascal

IJclInt64TypeInfo = interface(IJclTypeInfo);

Description

IJclInt64TypeInfo is the interface for Int64 types. It provides methods and properties to query the minimum and maximum values.

Donator

Marcel Bestebroer

Group

IJclInt64TypeInfo

Legend

read only

Unit

JclRTTI


IJclInt64TypeInfo Interface Methods

IJclInt64TypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclInt64TypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.


IJclInt64TypeInfo Interface Properties

IJclInt64TypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclInt64TypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.


Legend

read only


Legend

IJclInt64TypeInfo Interface

Legend

read only


IJclInt64TypeInfo Interface Members

IJclInt64TypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclInt64TypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclInt64TypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.


Legend

read only


IJclInt64TypeInfo.MaxValue Property

IJclInt64TypeInfo Interface

Retreives the maximum value.

Pascal

property MaxValue: Int64;

Description

MaxValue retrieves the maximum value.

Donator

Marcel Bestebroer

Interface

IJclInt64TypeInfo Interface


IJclInt64TypeInfo.MinValue Property

IJclInt64TypeInfo Interface

Retreives the minimum value.

Pascal

property MinValue: Int64;

Description

MinValue retrieves the minimum value.

Donator

Marcel Bestebroer

Interface

IJclInt64TypeInfo Interface


IJclInt64TypeInfo.GetMaxValue Method

IJclInt64TypeInfo Interface

Retreives the maximum value.

Pascal

function GetMaxValue: Int64;

Description

GetMaxValue retrieves the maximum value. GetMaxValue is the read specifier for the MaxValue property.

Return Value

The maximum value of the range.

Donator

Marcel Bestebroer

Interface

IJclInt64TypeInfo Interface


IJclInt64TypeInfo.GetMinValue Method

IJclInt64TypeInfo Interface

Retreives the minimum value.

Pascal

function GetMinValue: Int64;

Description

GetMinValue retrieves the minimum value. GetMinValue is the read specifier for the MinValue property.

Return Value

The minimum value of the range.

Donator

Marcel Bestebroer

Interface

IJclInt64TypeInfo Interface


IJclInterfaceTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclInterfaceTypeInfo

Interface RTTI interface.

Legend

Interface


IJclInterfaceTypeInfo Interfaces

IJclInterfaceTypeInfo	Legend

Interfaces

 IJclInterfaceTypeInfo

Interface RTTI interface.


Legend

Interface


Legend

IJclInterfaceTypeInfo

Legend

Interface


IJclInterfaceTypeInfo Interface

Properties	Methods	Legend

Interface RTTI interface.

Pascal

IJclInterfaceTypeInfo = interface(IJclTypeInfo);

Description

IJclInterfaceTypeInfo is the RTTI interface for interface types. It provides methods and properties to query the parent interface, the interface GUID, it's flags unit name of declaration and number of properties (Delphi 6 only).

Donator

Marcel Bestebroer

Group

IJclInterfaceTypeInfo

Legend

read only

Unit

JclRTTI


IJclInterfaceTypeInfo Interface Methods

IJclInterfaceTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclInterfaceTypeInfo Interface

GetFlags

Retrieve the interface flags.

GetGUID

Retrieve the interface GUID.

GetParent

Retrieve a reference to the parent interface.

GetPropertyCount

Retrieve the number of properties in the interface.

GetUnitName

Retrieve the unit name of the interface.


IJclInterfaceTypeInfo Interface Properties

IJclInterfaceTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclInterfaceTypeInfo Interface

 Flags

The interface flags.

 GUID

The interface GUID.

 Parent

A reference to the parent interface.

 PropertyCount

The number of properties in the interface.

 UnitName

The unit name of the interface.


Legend

read only


Legend

IJclInterfaceTypeInfo Interface

Legend

read only


IJclInterfaceTypeInfo Interface Members

IJclInterfaceTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclInterfaceTypeInfo Interface

GetFlags

Retrieve the interface flags.

GetGUID

Retrieve the interface GUID.

GetParent

Retrieve a reference to the parent interface.

GetPropertyCount

Retrieve the number of properties in the interface.

GetUnitName

Retrieve the unit name of the interface.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclInterfaceTypeInfo Interface

 Flags

The interface flags.

 GUID

The interface GUID.

 Parent

A reference to the parent interface.

 PropertyCount

The number of properties in the interface.

 UnitName

The unit name of the interface.


Legend

read only


IJclInterfaceTypeInfo.Flags Property

IJclInterfaceTypeInfo Interface

The interface flags.

Pascal

property Flags: TIntfFlagsBase;

Description

Flags hold the interface flags. There are three possible flags: ifHasGUID - Interface has a GUIDifDispInterface - Interface is an dispinterface ifDispatch - Interface supports the IDispatch interface

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GUID Property

IJclInterfaceTypeInfo Interface

The interface GUID.

Pascal

property GUID: TGUID;

Description

GUID holds the interface GUID. If the interface has no GUID the property will hold the null GUID.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.Parent Property

IJclInterfaceTypeInfo Interface

A reference to the parent interface.

Pascal

property Parent: IJclInterfaceTypeInfo;

Description

Parent holds a reference to the parent interface of this type. If the interface has no parent, Parent holds nil.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.PropertyCount Property

IJclInterfaceTypeInfo Interface

The number of properties in the interface.

Pascal

property PropertyCount: Integer;

Description

PropertyCount holds the number of properties declared in the interface. Although the number of properties is stored, there's no information on individual properties.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.UnitName Property

IJclInterfaceTypeInfo Interface

The unit name of the interface.

Pascal

property UnitName: string;

Description

UnitName holds the unit name where the interface is declared.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GetFlags Method

IJclInterfaceTypeInfo Interface

Retrieve the interface flags.

Pascal

function GetFlags: TIntfFlagsBase;

Description

GetFlags retrieves the interface flags. There are three possible flags: ifHasGUID - Interface has a GUIDifDispInterface - Interface is an dispinterface ifDispatch - Interface supports the IDispatch interface GetFlags is the read specifier of the Flags property.

Return Value

A set of flags that apply to the interface.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GetGUID Method

IJclInterfaceTypeInfo Interface

Retrieve the interface GUID.

Pascal

function GetGUID: TGUID;

Description

GetGUID retrieves the interface GUID. If the interface has no GUID the null GUID is returned. GetGUID is the read specifier of the GUID property.

Return Value

The GUID of the interface or the null GUID if the interface has no GUID.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GetParent Method

IJclInterfaceTypeInfo Interface

Retrieve a reference to the parent interface.

Pascal

function GetParent: IJclInterfaceTypeInfo;

Description

GetParent retrieves an interface to the parent interface of this type. If the interface has no parent nil is returned. GetParent is the read specifier of the Parent property.

Return Value

A reference to the parent interface RTTI. If the interface has no parent nil will be returned instead.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GetPropertyCount Method

IJclInterfaceTypeInfo Interface

Retrieve the number of properties in the interface.

Pascal

function GetPropertyCount: Integer;

Description

GetPropertyCount retrieves the number of properties declared in the interface. Although the number of properties is stored, there's no information on individual properties. GetPropertyCount is the read specifier of the PropertyCount property.

Return Value

The number of properties declared in the interface.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclInterfaceTypeInfo.GetUnitName Method

IJclInterfaceTypeInfo Interface

Retrieve the unit name of the interface.

Pascal

function GetUnitName: string;

Description

GetUnitName retrieves the unit name where the interface is declared. GetUnitName is the read specifier of the UnitName property.

Return Value

The unit name where the interface is declared.

Donator

Marcel Bestebroer

Interface

IJclInterfaceTypeInfo Interface


IJclOrdinalRangeTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclOrdinalRangeTypeInfo

Ordinal range RTTI interface.

Legend

Interface


IJclOrdinalRangeTypeInfo Interfaces

IJclOrdinalRangeTypeInfo	Legend

Interfaces

 IJclOrdinalRangeTypeInfo

Ordinal range RTTI interface.


Legend

Interface


Legend

IJclOrdinalRangeTypeInfo

Legend

Interface


IJclOrdinalRangeTypeInfo Interface

Properties	Methods	Legend

Ordinal range RTTI interface.

Pascal

IJclOrdinalRangeTypeInfo = interface(IJclOrdinalTypeInfo);

Description

IJclOrdinalRangeTypeInfo is the base interface for ranged ordinal types. It provides methods and properties to query the minimum and maximum values.

Donator

Marcel Bestebroer

Group

IJclOrdinalRangeTypeInfo

Legend

read only

Unit

JclRTTI


IJclOrdinalRangeTypeInfo Interface Methods

IJclOrdinalRangeTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.


IJclOrdinalRangeTypeInfo Interface Properties

IJclOrdinalRangeTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.


Legend

read only


Legend

IJclOrdinalRangeTypeInfo Interface

Legend

read only


IJclOrdinalRangeTypeInfo Interface Members

IJclOrdinalRangeTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

GetMaxValue

Retreives the maximum value.

GetMinValue

Retreives the minimum value.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclOrdinalRangeTypeInfo Interface

 MaxValue

Retreives the maximum value.

 MinValue

Retreives the minimum value.


Legend

read only


IJclOrdinalRangeTypeInfo.MaxValue Property

IJclOrdinalRangeTypeInfo Interface

Retreives the maximum value.

Pascal

property MaxValue: Int64;

Description

MaxValue retrieves the maximum value for the ordinal type.

Notes

Although Int64 is not an ordinal type, it is used in this interface for the min and max values because it allows for all possible ranges (signed or unsigned 32-bit Integer values). This is not the case for Delphi 4 because Delphi 4 doesn't indicate that a type is an unsigned long.

Donator

Marcel Bestebroer

Interface

IJclOrdinalRangeTypeInfo Interface


IJclOrdinalRangeTypeInfo.MinValue Property

IJclOrdinalRangeTypeInfo Interface

Retreives the minimum value.

Pascal

property MinValue: Int64;

Description

MinValue retrieves the minimum value for the ordinal type.

Notes

Although Int64 is not an ordinal type, it is used in this interface for the min and max values because it allows for all possible ranges (signed or unsigned 32-bit Integer values). This is not the case for Delphi 4 because Delphi 4 doesn't indicate that a type is an unsigned long.

Donator

Marcel Bestebroer

Interface

IJclOrdinalRangeTypeInfo Interface


IJclOrdinalRangeTypeInfo.GetMaxValue Method

IJclOrdinalRangeTypeInfo Interface

Retreives the maximum value.

Pascal

function GetMaxValue: Int64;

Description

GetMaxValue retrieves the maximum value for the ordinal type. GetMaxValue is the read specifier for the MaxValue property.

Return Value

The maximum value of the range.

Notes

Although Int64 is not an ordinal type, it is used in this interface for the min and max values because it allows for all possible ranges (signed or unsigned 32-bit Integer values). This is not the case for Delphi 4 because Delphi 4 doesn't indicate that a type is an unsigned long.

Donator

Marcel Bestebroer

Interface

IJclOrdinalRangeTypeInfo Interface


IJclOrdinalRangeTypeInfo.GetMinValue Method

IJclOrdinalRangeTypeInfo Interface

Retreives the minimum value.

Pascal

function GetMinValue: Int64;

Description

GetMinValue retrieves the minimum value for the ordinal type. GetMinValue is the read specifier for the MinValue property.

Return Value

The minimum value of the range.

Notes

Although Int64 is not an ordinal type, it is used in this interface for the min and max values because it allows for all possible ranges (signed or unsigned 32-bit Integer values). This is not the case for Delphi 4 because Delphi 4 doesn't indicate that a type is an unsigned long.

Donator

Marcel Bestebroer

Interface

IJclOrdinalRangeTypeInfo Interface


IJclOrdinalTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclOrdinalTypeInfo

Ordinal RTTI interface.

Legend

Interface


IJclOrdinalTypeInfo Interfaces

IJclOrdinalTypeInfo	Legend

Interfaces

 IJclOrdinalTypeInfo

Ordinal RTTI interface.


Legend

Interface


Legend

IJclOrdinalTypeInfo

Legend

Interface


IJclOrdinalTypeInfo Interface

Properties	Methods	Legend

Ordinal RTTI interface.

Pascal

IJclOrdinalTypeInfo = interface(IJclTypeInfo);

Description

IJclOrdinalTypeInfo is the base interface for ordinal types. It provides methods and properties to query the ordinal type.

Donator

Marcel Bestebroer

Group

IJclOrdinalTypeInfo

Legend

read only

Unit

JclRTTI


IJclOrdinalTypeInfo Interface Methods

IJclOrdinalTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.


IJclOrdinalTypeInfo Interface Properties

IJclOrdinalTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.


Legend

read only


Legend

IJclOrdinalTypeInfo Interface

Legend

read only


IJclOrdinalTypeInfo Interface Members

IJclOrdinalTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.


Legend

read only


IJclOrdinalTypeInfo.OrdinalType Property

IJclOrdinalTypeInfo Interface

Retrieves the ordinal type.

Pascal

property OrdinalType: TOrdType;

Description

OrdinalType retrieves the ordinal type. See Delphi's help on TOrdType.

Donator

Marcel Bestebroer

Interface

IJclOrdinalTypeInfo Interface


IJclOrdinalTypeInfo.GetOrdinalType Method

IJclOrdinalTypeInfo Interface

Retrieves the ordinal type.

Pascal

function GetOrdinalType: TOrdType;

Description

GetOrdinalType retrieves the ordinal type. GetOrdinalType is the read specifier for the OrdinalType property. See Delphi's help on TOrdType.

Donator

Marcel Bestebroer

Interface

IJclOrdinalTypeInfo Interface


IJclSetTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclSetTypeInfo

Set RTTI interface.

Legend

Interface


IJclSetTypeInfo Interfaces

IJclSetTypeInfo	Legend

Interfaces

 IJclSetTypeInfo

Set RTTI interface.


Legend

Interface


Legend

IJclSetTypeInfo

Legend

Interface


IJclSetTypeInfo Interface

Properties	Methods	Legend

Set RTTI interface.

Pascal

IJclSetTypeInfo = interface(IJclOrdinalTypeInfo);

Description

IJclSetTypeInfo is the interface for set types. It provides methods and properties to query the base type and convert values from/to a string list.

Donator

Marcel Bestebroer

Group

IJclSetTypeInfo

Legend

read only

Unit

JclRTTI


IJclSetTypeInfo Interface Methods

IJclSetTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclSetTypeInfo Interface

GetAsList

Convert a set value to a list of strings.

GetBaseType

Retrieves an interface to the base type

SetAsList

Convert a a list of strings to a set value.


IJclSetTypeInfo Interface Properties

IJclSetTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclSetTypeInfo Interface

 BaseType

An interface to the base type


Legend

read only


Legend

IJclSetTypeInfo Interface

Legend

read only


IJclSetTypeInfo Interface Members

IJclSetTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

GetOrdinalType

Retrieves the ordinal type.

IJclSetTypeInfo Interface

GetAsList

Convert a set value to a list of strings.

GetBaseType

Retrieves an interface to the base type

SetAsList

Convert a a list of strings to a set value.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclOrdinalTypeInfo Interface

 OrdinalType

Retrieves the ordinal type.

IJclSetTypeInfo Interface

 BaseType

An interface to the base type


Legend

read only


IJclSetTypeInfo.BaseType Property

IJclSetTypeInfo Interface

An interface to the base type

Pascal

property BaseType: IJclOrdinalTypeInfo;

Description

BaseType is an interface to the base type for the set

Background: When the compiler finds a set declaration similar to TMySet = set of (

Donator

Marcel Bestebroer

Interface

IJclSetTypeInfo Interface


IJclSetTypeInfo.GetAsList Method

IJclSetTypeInfo Interface

Convert a set value to a list of strings.

Pascal

procedure GetAsList(const Value; const WantRanges: Boolean; const Strings: TStrings);

Description

Convert a set value to a list of members. Optionally adjacent members in the set are specified as a range instead of separate strings.

Parameters

const Value

Set variable to convert to a list of member values.

const WantRanges: Boolean

Flag to determine if ranges are to be used for adjacent members.

const Strings: TStrings

TStrings descendant to retrieve the list of values/ranges set in Value. Caller is responsible for instantiating, clearing and freeing the list object.

Donator

Marcel Bestebroer

Interface

IJclSetTypeInfo Interface


IJclSetTypeInfo.GetBaseType Method

IJclSetTypeInfo Interface

Retrieves an interface to the base type

Pascal

function GetBaseType: IJclOrdinalTypeInfo;

Description

GetBaseType retrieves an interface to the base type for the set. GetBaseType is the read specifier for the BaseType property.

Background: When the compiler finds a set declaration similar to TMySet = set of (

Return Value

An interface pointer to the base type for this set.

Donator

Marcel Bestebroer

Interface

IJclSetTypeInfo Interface


IJclSetTypeInfo.SetAsList Method

IJclSetTypeInfo Interface

Convert a a list of strings to a set value.

Pascal

procedure SetAsList(out Value; const Strings: TStrings);

Description

Convert a list of string values to a set value. Strings can be any valid set member or ranges of set members.

Parameters

out Value

Set variable to retrieve the the set value.

const Strings: TStrings

TStrings descendant holding the list of members/ranges. Caller is responsible for instantiating and freeing the list object.

Donator

Marcel Bestebroer

Interface

IJclSetTypeInfo Interface


IJclStringTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclStringTypeInfo

Short string RTTI interface.

Legend

Interface


IJclStringTypeInfo Interfaces

IJclStringTypeInfo	Legend

Interfaces

 IJclStringTypeInfo

Short string RTTI interface.


Legend

Interface


Legend

IJclStringTypeInfo

Legend

Interface


IJclStringTypeInfo Interface

Properties	Methods	Legend

Short string RTTI interface.

Pascal

IJclStringTypeInfo = interface(IJclTypeInfo);

Description

IJclStringTypeInfo is the interface for short string types. It provides methods and properties to query the maximum string length.

Donator

Marcel Bestebroer

Group

IJclStringTypeInfo

Legend

read only

Unit

JclRTTI


IJclStringTypeInfo Interface Methods

IJclStringTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclStringTypeInfo Interface

GetMaxLength

Retrieve teh maximum length.


IJclStringTypeInfo Interface Properties

IJclStringTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclStringTypeInfo Interface

 MaxLength

The maximum string length.


Legend

read only


Legend

IJclStringTypeInfo Interface

Legend

read only


IJclStringTypeInfo Interface Members

IJclStringTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

IJclStringTypeInfo Interface

GetMaxLength

Retrieve teh maximum length.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.

IJclStringTypeInfo Interface

 MaxLength

The maximum string length.


Legend

read only


IJclStringTypeInfo.MaxLength Property

IJclStringTypeInfo Interface

The maximum string length.

Pascal

property MaxLength: Integer;

Description

MaxLength holds the maximum string length for this ShortString type.

Donator

Marcel Bestebroer

Interface

IJclStringTypeInfo Interface


IJclStringTypeInfo.GetMaxLength Method

IJclStringTypeInfo Interface

Retrieve teh maximum length.

Pascal

function GetMaxLength: Integer;

Description

GetMaxLength retrieves the maximum string length. GetMaxLength is the read specifier for the MaxLength property

Return Value

The float type of this float info object.

Donator

Marcel Bestebroer

Interface

IJclStringTypeInfo Interface


IJclTypeInfo

Legend

RTTI retrieval

Interfaces

 IJclTypeInfo

Generic RTTI interface.

Legend

Interface


IJclTypeInfo Interfaces

IJclTypeInfo	Legend

Interfaces

 IJclTypeInfo

Generic RTTI interface.


Legend

Interface


Legend

IJclTypeInfo

Legend

Interface


IJclTypeInfo Interface

Properties	Methods	Legend

Generic RTTI interface.

Pascal

IJclTypeInfo = interface(IJclBaseInfo);

Description

IJclTypeInfo is the generic interface of RTTI. It provides for methods and properties to query the type name, type kind, pointer to the type info and a pointer to the type data.

Donator

Marcel Bestebroer

Group

IJclTypeInfo

Legend

read only

Unit

JclRTTI


IJclTypeInfo Interface Methods

IJclTypeInfo Interface

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.


IJclTypeInfo Interface Properties

IJclTypeInfo Interface	Legend

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.


Legend

read only


Legend

IJclTypeInfo Interface

Legend

read only


IJclTypeInfo Interface Members

IJclTypeInfo Interface	Legend

Members

Methods

DeclarationTo

Writes the Pascal declaration of the type to the info writer.

WriteTo

Write RTTI information to the info writer.

IJclTypeInfo Interface

GetName

Retrieves the name of the type.

GetTypeData

Retrieves a pointer to the type data.

GetTypeInfo

Retrieves a pointer to the type info.

GetTypeKind

Retrieves the type kind.

Properties

IJclTypeInfo Interface

 Name

Retrieves the name of the type.

 TypeData

Retrieves a pointer to the type data.

 TypeInfo

Retrieves a pointer to the type info.

 TypeKind

Retrieves the type kind.


Legend

read only


IJclTypeInfo.Name Property

IJclTypeInfo Interface

Retrieves the name of the type.

Pascal

property Name: string;

Description

Name retrieves the name of the type.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.TypeData Property

IJclTypeInfo Interface

Retrieves a pointer to the type data.

Pascal

property TypeData: PTypeData;

Description

TypeData retrieves a pointer to the type data of the type.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.TypeInfo Property

IJclTypeInfo Interface

Retrieves a pointer to the type info.

Pascal

property TypeInfo: PTypeInfo;

Description

TypeInfo retrieves a pointer to the type info of the type.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.TypeKind Property

IJclTypeInfo Interface

Retrieves the type kind.

Pascal

property TypeKind: TTypeKind;

Description

TypeKind retrieves the type kind of the type. For more information please refer to the Delphi help on TTypeKind.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.GetName Method

IJclTypeInfo Interface

Retrieves the name of the type.

Pascal

function GetName: string;

Description

GetName retrieves the name of the type. GetName is the read specifier for the Name property.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.GetTypeData Method

IJclTypeInfo Interface

Retrieves a pointer to the type data.

Pascal

function GetTypeData: PTypeData;

Description

GetTypeData retrieves a pointer to the type data of the type. GetTypeData is the read specifier for the TypeData property.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.GetTypeInfo Method

IJclTypeInfo Interface

Retrieves a pointer to the type info.

Pascal

function GetTypeInfo: PTypeInfo;

Description

GetTypeInfo retrieves a pointer to the type info of the type. GetTypeInfo is the read specifier for the TypeInfo property.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


IJclTypeInfo.GetTypeKind Method

IJclTypeInfo Interface

Retrieves the type kind.

Pascal

function GetTypeKind: TTypeKind;

Description

GetTypeKind retrieves the type kind of the type. GetTypeKind is the read specifier for the TypeKind property. For more information please refer to the Delphi help on TTypeKind.

Donator

Marcel Bestebroer

Interface

IJclTypeInfo Interface


String manipulation

JEDI Code Library

Topics

Character Search and Replace

Character Test Routines

Character Transformation Routines

Miscellaneous

MultiSz

PCharVector

String Extraction

String Management

String Search and Replace Routines

String Test Routines

String Transformation Routines

TStrings Manipulation


Topics

String manipulation

Topics

Character Search and Replace

Character Test Routines

Character Transformation Routines

Miscellaneous

MultiSz

PCharVector

String Extraction

String Management

String Search and Replace Routines

String Test Routines

String Transformation Routines

TStrings Manipulation


Character Search and Replace

String manipulation

Functions

CharPos

Finds the position of a character in a string.

CharIPos

Finds the position of a character in a string.

CharReplace

Replaces all occurrences of a character in a string.


Character Search and Replace Functions

Character Search and Replace

Functions

CharPos

Finds the position of a character in a string.

CharIPos

Finds the position of a character in a string.

CharReplace

Replaces all occurrences of a character in a string.


CharPos Function

Finds the position of a character in a string.

Pascal

function CharPos(const S: string; const C: Char; const Index: Integer = 1): Integer;

Description

CharPos returns the 1-based index of the first occurrence of the supplied character in the string. The search starts at the supplied index and is case sensitive.

Parameters

const S: string

String to search.

const C: Char

The character to search for.

const Index: Integer = 1

The character index where CharPos begins searching.

Return Value

The 1-based index of the first occurrence found, or 0 if the character was not found.

Donator

Azret Botash

Group

Character Search and Replace

Unit

JclStrings


CharIPos Function

Finds the position of a character in a string.

Pascal

function CharIPos(const S: string; C: Char; const Index: Integer = 1): Integer;

Description

CharPos returns the 1-based index of the first occurrence of the supplied character in the string. The search starts at the supplied index and is case insensitive.

Parameters

const S: string

String to search.

C: Char

The character to search for.

const Index: Integer = 1

The character index where CharPos begins searching.

Return Value

The 1-based index of the first occurrence found, or 0 if the character was not found.

Donator

Azret Botash

Group

Character Search and Replace

Unit

JclStrings


CharReplace Function

Replaces all occurrences of a character in a string.

Pascal

function CharReplace(var S: string; const Search: Char; const Replace: Char): Integer;

Description

CharReplace replaces all occurrences of the specified search character with the supplied replace character. It returns the number of replacements performed. Note that the replacement is case-sensitive.

Parameters

var S: string

The string in which to replace characters.

const Search: Char

The character to replace.

const Replace: Char

The character to use as a replacement of Search.

Return Value

CharReplace returns the number of replacements performed.

Donator

Azret Botash

Group

Character Search and Replace

Unit

JclStrings


Character Test Routines

String manipulation

Functions

CharEqualNoCase

Test whether two characters are equal except possibly for case.

CharIsAlpha

Tests whether C is an alpha character.

CharIsAlphaNum

Test whether C is an alphanumeric character.

CharIsBlank

Test whether C is a blank character.

CharIsControl

Tests whether C is a control character.

CharIsDelete

Tests whether C is a delete character.

CharIsDigit

Test whether C is a digit.

CharIsLower

Tests whether a character is lowercase.

CharIsNumberChar

Tests whether C is a number.

CharIsPrintable

Tests whether a character is printable.

CharIsPunctuation

Tests whether a character is a punctuation character.

CharIsReturn

Tests whether C is a return character.

CharIsSpace

Tests whether C represents space.

CharIsUpper

Tests whether a character is uppercase.

CharIsWhiteSpace

Tests whether C represents space.

CharType

Returns character type information.


Character Test Routines Functions

Character Test Routines

Functions

CharEqualNoCase

Test whether two characters are equal except possibly for case.

CharIsAlpha

Tests whether C is an alpha character.

CharIsAlphaNum

Test whether C is an alphanumeric character.

CharIsBlank

Test whether C is a blank character.

CharIsControl

Tests whether C is a control character.

CharIsDelete

Tests whether C is a delete character.

CharIsDigit

Test whether C is a digit.

CharIsLower

Tests whether a character is lowercase.

CharIsNumberChar

Tests whether C is a number.

CharIsPrintable

Tests whether a character is printable.

CharIsPunctuation

Tests whether a character is a punctuation character.

CharIsReturn

Tests whether C is a return character.

CharIsSpace

Tests whether C represents space.

CharIsUpper

Tests whether a character is uppercase.

CharIsWhiteSpace

Tests whether C represents space.

CharType

Returns character type information.


CharEqualNoCase Function

Test whether two characters are equal except possibly for case.

Pascal

function CharEqualNoCase(const C1: Char; const C2: Char): Boolean;

Description

CharEqualNoCase determines whether two characters are equal except possibly for case differences. For example, 'a' and 'a' are obviously equal but so are 'a' and 'A'.

Parameters

const C1: Char

The first character to test. The second character to test.

Return Value

If the supplied characters are equal except for case, the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


CharIsAlpha Function

See Also

Tests whether C is an alpha character.

Pascal

function CharIsAlpha(const C: Char): Boolean;

Description

CharIsAlpha returns whether or not the supplied character is an alpha character. That is, if C comes from the ['a'..'z', 'A'..'Z'] set.

Parameters

const C: Char

The character to test

Return Value

If C is an alpha character the return value is True, otherwise the return value is False.

Donator

Marcel van Brakel

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsDigit CharIsNumberChar CharIsAlphaNum


CharIsAlphaNum Function

See Also

Test whether C is an alphanumeric character.

Pascal

function CharIsAlphaNum(const C: Char): Boolean;

Description

CharIsAlphaNum returns whether or not C is an alphanumerical character. That is, if C comes from the ['a'..'z', 'A'..'Z', '0'..'9'] set.

Parameters

const C: Char

The character to test.

Return Value

If C is an alphanumerical character the return value is True, otherwise the return value is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsAlpha CharIsNumberChar CharIsDigit


CharIsBlank Function

Test whether C is a blank character.

Pascal

function CharIsBlank(const C: Char): Boolean;

Description

CharIsBlank returns whether or not C is a blank character.

Parameters

const C: Char

The character to test.

Return Value

If C is a blank character the return value is True, otherwise the return value is False.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


CharIsControl Function

Tests whether C is a control character.

Pascal

function CharIsControl(const C: Char): Boolean;

Description

CharIsControl tests whether C is a control character. That is, if it has an ordinal value smaller than 32.

Parameters

const C: Char

Character to test.

Return Value

If C is a control character the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


CharIsDelete Function

Tests whether C is a delete character.

Pascal

function CharIsDelete(const C: Char): Boolean;

Description

CharIsDelete tests whether C is a delete character. That is, if it has an ordinal value of 8.

Parameters

const C: Char

Character to test.

Return Value

If C is a delete character the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


CharIsDigit Function

See Also

Test whether C is a digit.

Pascal

function CharIsDigit(const C: Char): Boolean;

Description

CharIsDigit returns whether or not C is a digit. That is, if C comes from the ['0'..'9'] set.

Parameters

const C: Char

The character to test.

Return Value

If C is a digit the return value is True, otherwise the return value is False.

Donator

Marcel van Brakel

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsAlpha CharIsNumberChar CharIsAlphaNum


CharIsLower Function

Tests whether a character is lowercase.

Pascal

function CharIsLower(const C: Char): Boolean;

Description

CharIsLower returns whether the specified character is lowercase.

Parameters

const C: Char

The character to test.

Return Value

If C is lowercase the return value is True, otherwise the return value is False.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


CharIsNumberChar Function

See Also

Tests whether C is a number.

Pascal

function CharIsNumberChar(const C: Char): Boolean;

Description

CharIsNumberChar returns whether or not the supplied character can occur in a number. That is, if it comes from the ['0'..'9', '+', '-', '.'] set where the dot is replaced by the system's decimal separator character.

Parameters

const C: Char

Character to test.

Return Value

If C is a number the result is True, otherwise the result is False.

Donator

Anthony Steele Windows NT/2000: Requires Windows NT 4 or later. Windows 95/98: Requires Windows 95 or later. Requirements: Shell32 Version 4.00 or later.

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsAlpha CharIsAlphaNum CharIsDigit


CharIsPrintable Function

Tests whether a character is printable.

Pascal

function CharIsPrintable(const C: Char): Boolean;

Description

CharIsPrintable returns whether the specified character is printable. A printable character is any character which is not a control character and as such has an ordinal value larger than 31.

Parameters

const C: Char

The character to test.

Return Value

If C is printable the return value is True, otherwise the return value is False.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


CharIsPunctuation Function

Tests whether a character is a punctuation character.

Pascal

function CharIsPunctuation(const C: Char): Boolean;

Description

CharIsPunctuation returns whether the specified character is a punctuation character. An example would be '.'.

Parameters

const C: Char

The character to test.

Return Value

If C is a punctuation character the return value is True, otherwise the return value is False.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


CharIsReturn Function

Tests whether C is a return character.

Pascal

function CharIsReturn(const C: Char): Boolean;

Description

CharIsReturn returns whether C is a return character. In this context both the carriage return (#13) as well as the linefeed (#10) are considered return. characters.

Parameters

const C: Char

Character to test.

Return Value

If C is a return character the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


CharIsSpace Function

See Also

Tests whether C represents space.

Pascal

function CharIsSpace(const C: Char): Boolean;

Description

CharIsSpace returns whether or not the C character represents space(s). In this context that means the character is tested against the space (' '), tab (#9), line feed (#10), vertical tab (#11), form feed (#12) and carriage return (#13) characters.

Parameters

const C: Char

Character to test.

Return Value

If the character represents a space the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsWhiteSpace


CharIsUpper Function

Tests whether a character is uppercase.

Pascal

function CharIsUpper(const C: Char): Boolean;

Description

CharIsUpper returns whether the specified character is uppercase.

Parameters

const C: Char

The character to test.

Return Value

If C is uppercase the return value is True, otherwise the return value is False.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


CharIsWhiteSpace Function

See Also

Tests whether C represents space.

Pascal

function CharIsWhiteSpace(const C: Char): Boolean;

Description

CharIsWhiteSpace returns whether or not the C character represents a space. Unlike CharIsSpace this function returns True if the specified character comes from the AnsiWhiteSpace set which is defined as: AnsiWhiteSpace = [AnsiTab, AnsiLineFeed, AnsiVerticalTab, AnsiFormFeed, AnsiCarriageReturn, AnsiSpace];

Parameters

const C: Char

Character to test.

Return Value

If the character represents a space the result is True, otherwise the result is False.

Donator

Anthony Steele

Group

Character Test Routines

Unit

JclStrings


See Also

CharIsSpace


CharType Function

Returns character type information.

Pascal

function CharType(const C: Char): Word;

Description

The CharType function returns character type information about the specified character. This routine returns the same information as routines such as IsCharControl. For further information about character type information see the documentation for the GetStringTypeEx routine in the Platform SDK.

Parameters

const C: Char

The character for which to retriev type information.

Return Value

The type of the character, this can be one of the following values.
Name	Value	Meaning
C1_UPPER	0x0001	Uppercase
C1_LOWER	0x0002	Lowercase
C1_DIGIT	0x0004	Decimal digits
C1_SPACE	0x0008	Space characters
C1_PUNCT	0x0010	Punctuation
C1_CNTRL	0x0020	Control characters
C1_BLANK	0x0040	Blank characters
C1_XDIGIT	0x0080	Hexadecimal digits
C1_ALPHA	0x0100	Any linguistic character: alphabetic, syllabary, or ideographic
Notes

In a future Linux version the values may differ.

Donator

Azret Botash

Group

Character Test Routines

Unit

JclStrings


Character Transformation Routines

String manipulation

Functions

CharHex

Converts a hex digit character to its binary value.

CharLower

Lowercases a character.

CharUpper

Uppercases a character.

CharToggleCase

Reverses the case of a character.


Character Transformation Routines Functions

Character Transformation Routines

Functions

CharHex

Converts a hex digit character to its binary value.

CharLower

Lowercases a character.

CharUpper

Uppercases a character.

CharToggleCase

Reverses the case of a character.


CharHex Function

Converts a hex digit character to its binary value.

Pascal

function CharHex(const C: Char): Byte;

Description

Converts a hex digit character to its binary value, ie $0 to $f. If the character is no hex digit then $ff is returned.

Parameters

const C: Char

A hex digit to convert

Return Value

The binary value of the hex digit or $ff if it was no hex digit.

Donator

Azret Botash

Group

Character Transformation Routines

Unit

JclStrings


CharLower Function

See Also

Lowercases a character.

Pascal

function CharLower(const C: Char): Char;

Description

CharLower converts the supplied character to lowercase. For example 'A' becomes 'a'. If the character is already lowercase the function does nothing.

Parameters

const C: Char

Character to convert to lowercase.

Return Value

Copy of character converted to lowercase.

Donator

Azret Botash

Group

Character Transformation Routines

Unit

JclStrings


See Also

CharUpper CharToggleCase


CharUpper Function

See Also

Uppercases a character.

Pascal

function CharUpper(const C: Char): Char;

Description

CharUpper converts the supplied character to uppercase. For example 'a' becomes 'A'. If the character is already uppercase the function does nothing.

Parameters

const C: Char

The character to convert to upper case.

Return Value

Copy of the character converted to uppercase.

Donator

Azret Botash

Group

Character Transformation Routines

Unit

JclStrings


See Also

CharLower CharToggleCase


CharToggleCase Function

Reverses the case of a character.

Pascal

function CharToggleCase(const C: Char): Char;

Description

CharToggleCase reverses the case of the supplied character. That is, if you pass an uppercase character the function converts it to lowercase, if you pass a lowercase character the function converts it to uppercase.

Parameters

const C: Char

Character whose case to reverse.

Return Value

Copy of the character with the case reversed.

Donator

Azret Botash

Group

Character Transformation Routines

Unit

JclStrings


Miscellaneous

String manipulation

Topics

AnsiSameText

AnsiSameText compares two strings.

Functions

StrWord

BooleanToStr

Returns a string representation of the boolean values True and False.

StrTokenToStrings

Breaks apart S using a specified delimiter into a StringList.

StrToken

Returns a sub-string from S which is followed by Separator and deletes the sub-string from S including the separator.

StrTokens

FileToString

Reads the contents of a file into a string.

StringToFile

Writes a string to a file.

StrNormIndex

Normalizes Index and count parameter.


Miscellaneous Functions

Miscellaneous

Functions

StrWord

BooleanToStr

Returns a string representation of the boolean values True and False.

StrTokenToStrings

Breaks apart S using a specified delimiter into a StringList.

StrToken

Returns a sub-string from S which is followed by Separator and deletes the sub-string from S including the separator.

StrTokens

FileToString

Reads the contents of a file into a string.

StringToFile

Writes a string to a file.

StrNormIndex

Normalizes Index and count parameter.


Topics

Miscellaneous

Topics

AnsiSameText

AnsiSameText compares two strings.


StrWord Function

function StrWord(const S: string; var Index: Integer; out Word: string): Boolean;
function StrWord(var S: PChar; out Word: string): Boolean;

Donator

Azret Botash

Group

Miscellaneous

Unit

JclStrings


BooleanToStr Function

Returns a string representation of the boolean values True and False.

Pascal

function BooleanToStr(B: Boolean): string;

Description

BooleanToStr returns a string representation of the boolean values True or False. Thus, if B equals True the string 'True' is returned, if B equals False the string 'False' is returned.

Parameters

B: Boolean

The boolean value for which you want the string representation.

Return Value

If B is True the result is the string 'True', if B is False the result is the string 'False'.

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclStrings


StrTokenToStrings Function

See Also

Breaks apart S using a specified delimiter into a StringList.

Pascal

procedure StrTokenToStrings(S: string; Separator: Char; const List: TStrings);

Description

Use StrTokenToStrings for breaking apart a string with parts delimited by a separator. For example, if you passed 'C:Windows;C:Delphi;C:JEDI;' List would contain 'C:Windows', 'C:Delphi', 'C:JEDI'. You must create the StringList prior to passing it to StrTokenToString and Free the StringList once finished with it.

Parameters

S: string

A string which contains one or more Separators (see List parameter).

Separator: Char

Any character you want to use to separate S.

const List: TStrings

Returns separated parts or the entire string if no separator occurs.

Donator

Huanlin Tsai

Group

Miscellaneous

Unit

JclStrings


See Also

StrToken


StrToken Function

See Also

Returns a sub-string from S which is followed by Separator and deletes the sub-string from S including the separator.

Pascal

function StrToken(var S: string; Separator: Char): string;

Description

Splits a string into the part preceding the separator, which is returned as function result, and the part following the separator which is placed in S. If no separator is contained in the string then the string is returned as the function result and S becomes an empty string.

Parameters

var S: string

The string you want to return the part after the Separator.

Separator: Char

A character which determines where to break the string up at.

Return Value

Any part of S in front of Separator, or the original string if Separator was not located in S. S returns the remaining portion of the string after (but not including) Separator. If Separator was not found, S is an empty string.

Donator

Huanlin Tsai

Group

Miscellaneous

Unit

JclStrings


See Also

StrTokenToStrings


StrTokens Function

procedure StrTokens(const S: string; const List: TStrings);

Parameters

const S: string

List

Donator

Azret Botash

Group

Miscellaneous

Unit

JclStrings


FileToString Function

See Also

Reads the contents of a file into a string.

Pascal

function FileToString(const FileName: string): AnsiString;

Description

The FileToString routine reads the contents of the specified file into a string and returns it as the function result. Note that the function doesn't care about the contents of the file, it simply treats the string as a buffer and copies the entire file contents into it.

Parameters

const FileName: string

Full qualified name of the file whose contents to read.

Return Value

The contents of the file as a string buffer. Note that if the file contains null terminating characters, the string will contain the entire contents but for example displaying the string will only show the part of the string up to the first null terminator.

Donator

Anthony Steele

Group

Miscellaneous

Unit

JclStrings


See Also

StringToFile


StringToFile Function

See Also

Writes a string to a file.

Pascal

procedure StringToFile(const FileName: string; const Contents: AnsiString);

Description

The StringToFile routine writes the contents of the specified string to a file. Note that the full content is written to the file, including any null terminating characters. The string is considered a generic buffer and can contains anything.

Parameters

const FileName: string

Fully qualified name of the file.

const Contents: AnsiString

The string whose contents to write to the file.

Donator

Anthony Steele

Group

Miscellaneous

Unit

JclStrings


See Also

FileToString


AnsiSameText

AnsiSameText compares two strings.

Description

AnsiSameText compares the two supplied ANSI strings and returns whether or not they are identical. AnsiSameText is case insensitive and uses the users local settings for comparisation. For more information please refer to the Windows API CompareString function.

Parameters

S1

First string to compare

S2

Second string to compare

Return Value

AnsiSameText returns 0 (CSTR_EQUAL) if the two strings match.

Donator

JCL Team

Group

Miscellaneous


StrNormIndex Function

Normalizes Index and count parameter.

Pascal

procedure StrNormIndex(const StrLen: Integer; var Index: Integer; var Count: Integer); overload;

Description

StrNormIndex is a auxiliary function for normalizations of Index and Count parameters transfered in string functions. Index and Count parameters are normalized as in standard Delphi function System.Delete.

Str Index Count => Index Count '12345' 2 3 2 3 '12345' 2 <0 2 0 '12345' 2 >4 2 4 '12345' <1 3 1 3 '12345' <1 <0 1 0 '12345' <1 >5 1 5 '12345' >5 Any 6 0

Donator

Alexander Radchenko

Group

Miscellaneous

Unit

JclStrings


MultiSz

String manipulation

Topics

StringsToMultiString

Assembles a single string from multiple strings

StringsToMultiWideString

Assembles a single string from multiple strings

MultiStringToStrings

Parses a string by separating into substrings whenever a NULL character is encountered.

MultiWideStringToStrings

Parses a string by separating into substrings whenever a NULL character is encountered.

Functions

StringsToMultiSz

Converts a stringlist to a list of null terminated strings.

MultiSzToStrings

Converts a list of null terminated strings to a string list.

FreeMultiSz

Frees the memory pointed to by Dest.


MultiSz Functions

MultiSz

Functions

StringsToMultiSz

Converts a stringlist to a list of null terminated strings.

MultiSzToStrings

Converts a list of null terminated strings to a string list.

FreeMultiSz

Frees the memory pointed to by Dest.


Topics

MultiSz

Topics

StringsToMultiString

Assembles a single string from multiple strings

StringsToMultiWideString

Assembles a single string from multiple strings

MultiStringToStrings

Parses a string by separating into substrings whenever a NULL character is encountered.

MultiWideStringToStrings

Parses a string by separating into substrings whenever a NULL character is encountered.


StringsToMultiSz Function

See Also

Converts a stringlist to a list of null terminated strings.

Pascal

function StringsToMultiSz(var Dest: PMultiSz; const Source: TStrings): PMultiSz;

Description

StringsToMultiSz concatenates the strings in Source into a single PChar string, terminating each individual string with a NULL character and the last string with a double NULL character. For example, if Source contains the items 'Project', 'JEDI' and 'Rules' Dest will point to a string with the contents 'Project#0JEDI#0Rules#0#0'

Parameters

var Dest: PMultiSz

PChar receives a pointer to the resulting string.

const Source: TStrings

List of strings to pack into a single string. This list may not contain empty items (items with the value '') or an EJclStringError is raised.

Return Value

On success the function returns the value of Dest. If the function fails to allocate memory for the result string it (implicitly) raises an EOutOfMemory exception. The caller is responsible for releasing the memory pointed to by Dest.

Donator

Marcel van Brakel

Group

MultiSz

Unit

JclStrings


See Also

MultiSzToStrings FreeMultiSz


MultiSzToStrings Function

See Also

Converts a list of null terminated strings to a string list.

Pascal

procedure MultiSzToStrings(const Dest: TStrings; const Source: PMultiSz);

Description

Source is assumed to be a list of strings, separated by a NULL character, terminated by a double NULL character. For example 'Project#0JEDI#0Rules#0#0'. The function takes this string and copies the individual strings to the string list. Thus, after executing this function with the above string the Dest list will contain the items 'Project', 'JEDI' and 'Rules'.

Parameters

const Dest: TStrings

The string list to receive the individual strings.

const Source: PMultiSz

The source string to extract the items from.

Notes

This function does not release the memory associated with Source.

Donator

Marcel van Brakel

Group

MultiSz

Unit

JclStrings


See Also

StringsToMultiSz FreeMultiSz


FreeMultiSz Function

See Also

Frees the memory pointed to by Dest.

Pascal

procedure FreeMultiSz(var Dest: PMultiSz);

Description

FreeMultiSz frees the memory pointed to by Dest which is assumed to be a list of strings, each terminated by a NULL character, terminated by a double NULL character.

Parameters

var Dest: PMultiSz

The memory to free. Is set to nil before return.

Donator

Marcel van Brakel

Group

MultiSz

Unit

JclStrings


See Also

StringsToMultiSz MultiSzToStrings


StringsToMultiString

See Also

Assembles a single string from multiple strings

Description

StringsToMultiString concatenates the strings in Value into a single ANSI string, terminating each individual string with a NULL character and the last string with a double NULL character. For example, if Source contains the items 'Project', 'JEDI' and 'Rules' the result will be a string with the contents 'Project#0JEDI#0Rules#0#0'.

Parameters

Value

List resp. array of strings to pack into a single string. If assertions are enabled, an EAssertionFailed exception is raised when an empty string is encountered; otherwise it will be skipped.

Return Value

The string concatenated from the list or array of strings.

Donator

Anonymous

Group

MultiSz


See Also

StringsToMultiWideString StringsToMultiSz MultiStringToStrings


StringsToMultiWideString

See Also

Assembles a single string from multiple strings

Description

StringsToMultiWideString concatenates the strings in Value into a single wide string, terminating each individual string with a NULL character and the last string with a double NULL character. For example, if Source contains the items 'Project', 'JEDI' and 'Rules' the result will be a string with the contents 'Project#0JEDI#0Rules#0#0'.

Parameters

Value

List resp. array of strings to pack into a single string. If assertions are enabled, an EAssertionFailed exception is raised when an empty string is encountered; otherwise it will be skipped.

Return Value

The string concatenated from the list or array of strings.

Donator

Anonymous

Group

MultiSz


See Also

StringsToMultiString StringsToMultiSz MultiWideStringToStrings


MultiStringToStrings

See Also

Parses a string by separating into substrings whenever a NULL character is encountered.

Description

Value is assumed to be a list of strings, separated by a NULL character, terminated by a double NULL character. For example 'Project#0JEDI#0Rules#0#0'. The function takes this string and copies the individual strings to Dest. Thus, after executing this function with the above string the Dest list/array will contain the items 'Project', 'JEDI' and 'Rules'.

Parameters

Dest

The string list resp. dynamic array to receive the individual strings.

Value

The source string to extract the items from.

Donator

Anonymous

Group

MultiSz


See Also

MultiWideStringToStrings StringsToMultiString


MultiWideStringToStrings

See Also

Parses a string by separating into substrings whenever a NULL character is encountered.

Description

Value is assumed to be a list of strings, separated by a NULL character, terminated by a double NULL character. For example 'Project#0JEDI#0Rules#0#0'. The function takes this string and copies the individual strings to Dest. Thus, after executing this function with the above string the Dest list/array will contain the items 'Project', 'JEDI' and 'Rules'.

Parameters

Dest

The string list resp. dynamic array to receive the individual strings.

Value

The source string to extract the items from.

Donator

Anonymous

Group

MultiSz


See Also

MultiStringToStrings StringsToMultiWideString


PCharVector

String manipulation

Functions

StringsToPCharVector

Converts a stringlist into a PCharVector.

PCharVectorCount

Returns the number of elements in a PCharVector.

PCharVectorToStrings

Converts a PCharVector to a stringlist.

FreePCharVector

Frees a PCharVector


PCharVector Functions

PCharVector

Functions

StringsToPCharVector

Converts a stringlist into a PCharVector.

PCharVectorCount

Returns the number of elements in a PCharVector.

PCharVectorToStrings

Converts a PCharVector to a stringlist.

FreePCharVector

Frees a PCharVector


StringsToPCharVector Function

See Also

Converts a stringlist into a PCharVector.

Pascal

function StringsToPCharVector(var Dest: PCharVector; const Source: TStrings): PCharVector;

Description

A PCharVector is an array of PChar's where each PChar points to a null terminated string. The array is delimited by a nil (NULL) pointer. In the Windows API this is usually typed as a PPSTR. This function takes a string list and builds a PCharVector from it. The memory allocated to store the PCharVector must eventually be released by the caller, preferably using FreePCharVector.

Parameters

var Dest: PCharVector

On return receives a pointer to the PCharVector.

const Source: TStrings

String list to convert to a PCharVector.

Return Value

The value placed in Dest to allow using the function on parameter position.

Donator

Marcel van Brakel

Group

PCharVector

Unit

JclStrings


See Also

PCharVectorToStrings PCharVectorCount FreePCharVector


PCharVectorCount Function

See Also

Returns the number of elements in a PCharVector.

Pascal

function PCharVectorCount(Source: PCharVector): Integer;

Description

PCharVectorCount returns the number of items, PChar's, in the supplied PCharVector excluding the NULL terminator.

Return Value

The number of elements in the PCharVector excluding the NULL terminator.

Donator

Marcel van Brakel

Group

PCharVector

Unit

JclStrings


See Also

PCharVectorToStrings StringsToPCharVector FreePCharVector


PCharVectorToStrings Function

See Also

Converts a PCharVector to a stringlist.

Pascal

procedure PCharVectorToStrings(const Dest: TStrings; Source: PCharVector);

Description

A PCharVector is an array of PChar's where each PChar points to a null terminated string. The array is delimited by a nil (NULL) pointer. In the Windows API this is usually typed as a PPSTR. This function takes such a PCharVector and converts it to a stringlist. Note that the memory for the PCharVector is not freed by this function.

Parameters

const Dest: TStrings

List which recieves the elements in the PCharVector.

Source: PCharVector

PCharVector from which to retrieve the elements.

Donator

Marcel van Brakel

Group

PCharVector

Unit

JclStrings


See Also

PCharVectorCount StringsToPCharVector FreePCharVector


FreePCharVector Function

See Also

Frees a PCharVector

Pascal

procedure FreePCharVector(var Dest: PCharVector);

Description

FreePCharVector frees the memory pointed to by Dest and sets Dest to nil. Only hand in memory allocated by StringsToPCharVector. Freeing a PCharVector allocated by a Windows API function will crash your program.

Parameters

var Dest: PCharVector

The PCharVector whose memory to free.

Donator

Marcel van Brakel

Group

PCharVector

Unit

JclStrings


See Also

PCharVectorCount StringsToPCharVector PCharVectorToStrings


String Extraction

String manipulation

Functions

StrAfter

Returns the portion of the string after a specific sub-string.

StrBefore

Returns the portion of the string before a specific sub-string.

StrBetween

Returns the sub-string between the first occurences of Start and Stop.

StrChopRight

Removes the last N characters from the string.

StrLeft

Returns the Count leftmost characters from the string.

StrMid

Copies part of a string.

StrRestOf

Returns the remainder of a string starting at the specified index.

StrRight

Returns the Count rightmost characters from the string.


String Extraction Functions

String Extraction

Functions

StrAfter

Returns the portion of the string after a specific sub-string.

StrBefore

Returns the portion of the string before a specific sub-string.

StrBetween

Returns the sub-string between the first occurences of Start and Stop.

StrChopRight

Removes the last N characters from the string.

StrLeft

Returns the Count leftmost characters from the string.

StrMid

Copies part of a string.

StrRestOf

Returns the remainder of a string starting at the specified index.

StrRight

Returns the Count rightmost characters from the string.


StrAfter Function

See Also

Returns the portion of the string after a specific sub-string.

Pascal

function StrAfter(const SubStr: string; const S: string): string;

Description

The StrAfter routine returns that portion of the specified string that appears after a specified sub-string. For example, StrAfter('Hello', 'Hello world') returns the string ' world'.

Parameters

const SubStr: string

The sub-string to search for.

const S: string

The source string.

Return Value

The portion of the string after the specified sub-string. If the sub-string does not appear in the source string the result is an empty string.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


See Also

StrBefore


StrBefore Function

See Also

Returns the portion of the string before a specific sub-string.

Pascal

function StrBefore(const SubStr: string; const S: string): string;

Description

The StrBefore routine returns that portion of the specified string that appears before a specified sub-string. For example, StrBefore('world', 'Hello world') returns the string 'Hello '.

Parameters

const SubStr: string

The sub-string to search for.

const S: string

The source string.

Return Value

The portion of the string before the specified sub-string. If the sub-string does not appear in the source string the result is the source string.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


See Also

StrAfter


StrBetween Function

Returns the sub-string between the first occurences of Start and Stop.

Pascal

function StrBetween(const S: string; const Start: Char; const Stop: Char): string;

Description

The StrBetween routine returns the that portion of the string that appears between the first occurences of the Start and Stop characters. For example, StrBetween('Hello world', 'e', 'r') returns 'llo wo'. Note that if the position of Start is greater than Stop, or either of these characters is not found in the source string, the result is an empty string. If the Start and Stop symbols are equal StrBetween returns the string between the first and second occurence of that particular symbol.

Parameters

const S: string

The source string from which to extract the sub-string

const Start: Char

The character which denotes the start of the sub-string to extract.

const Stop: Char

The character which denotes the end of the sub-string to extract.

Return Value

If the function succeeds, it returns the sub-string between the first occurence of Start and Stop, not including either of these characters. If the function fails it returns an empty string, for example if the Start and/or Stop character doesn't appear in the sources string.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


StrChopRight Function

Removes the last N characters from the string.

Pascal

function StrChopRight(const S: string; N: Integer): string;

Description

StrChopRight removes the last N characters from the specified string and returns the resulting string.

Parameters

const S: string

The source string from which the characters are removed.

N: Integer

The number of characters to remove from the end of the string.

Return Value

The string with the last N characters cut off. Note that when N is larger than the string length, the result is an empty string.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


StrLeft Function

See Also

Returns the Count leftmost characters from the string.

Pascal

function StrLeft(const S: string; Count: Integer): string;

Description

StrLeft returns the Count number of leftmost characters from the supplied string. Note that if the supplied string contains fewer than Count characters, the function returns the entire string.

Parameters

const S: string

The string from which to copy.

Count: Integer

The number of characters to copy.

Return Value

The Count leftmost characters from S.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


See Also

StrRight


StrMid Function

Copies part of a string.

Pascal

function StrMid(const S: string; Start: Integer; Count: Integer): string;

Description

StrMid copies the part of the source string defined by Start and Count. If Start exceeds the length of the string then an empty string is returned. The extracted sub-string can be shorter than Count if Start+Count exceed the string length.

Parameters

const S: string

Source string.

Start: Integer

Index of the first character to copy.

Count: Integer

Number of characters to copy.

Return Value

The string copied from S starting at offset Start and with length Count.

Donator

John C Molyneux

Group

String Extraction

Unit

JclStrings


StrRestOf Function

Returns the remainder of a string starting at the specified index.

Pascal

function StrRestOf(const S: string; N: Integer): string;

Description

StrRestOf returns the remainder of the the string starting at index N. For example, StrRestOf('Project JEDI', 9) returns 'JEDI' (index 9 through Length(S)).

Parameters

const S: string

The source string from which to copy.

N: Integer

The starting index of the characters to copy.

Return Value

The remainder of the string starting at the specified index.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


StrRight Function

See Also

Returns the Count rightmost characters from the string.

Pascal

function StrRight(const S: string; Count: Integer): string;

Description

StrRight returns the Count number of rightmost characters from the supplied string. Note that if the supplied string contains fewer than Count characters, the function returns the entire string.

Parameters

const S: string

The string from which to copy.

Count: Integer

The number of characters to copy.

Return Value

The Count of rightmost characters from S.

Donator

Anthony Steele

Group

String Extraction

Unit

JclStrings


See Also

StrLeft


String Management

String manipulation

Functions

StrResetLength

Resets the length of the supplied string.

StrAddRef

Increments the reference count of a long string.

StrAllocSize

Returns the memory allocated to store the string.

StrDecRef

Decrements the reference count of a long string.

StrLen

Returns the length of the supplied string.

StrLength

Returns the length of the supplied string.

StrRefCount

Returns the reference count of the supplied string.


String Management Functions

String Management

Functions

StrResetLength

Resets the length of the supplied string.

StrAddRef

Increments the reference count of a long string.

StrAllocSize

Returns the memory allocated to store the string.

StrDecRef

Decrements the reference count of a long string.

StrLen

Returns the length of the supplied string.

StrLength

Returns the length of the supplied string.

StrRefCount

Returns the reference count of the supplied string.


StrResetLength Function

Resets the length of the supplied string.

Pascal

procedure StrResetLength(var S: string); overload;
procedure StrResetLength(S: StringBuilder); overload;

Description

StrResetLength resets the length of the string to encompass only the actual number of used characters. This is particularly useful when passing strings to API functions which accept PChar's. These kind of functions do modify the string but since they are unaware of how Delphi manages strings, the length is not changed on return. Depending on how you use the string from that point on the results may be incorrect if you do not apply StrResetLength. The function resets the length to the C string length, i. e. the length up to the first #0 byte.

Parameters

var S: string

The string whose length to reset.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


StrAddRef Function

See Also

Increments the reference count of a long string.

Pascal

procedure StrAddRef(var S: string);

Description

The StrAddRef routine increments the reference count of the specified long string. Explicitly incrementing a strings reference count forces Delphi to keep the string in memory even if the variable itself goes out of scope and all other references were removed already. Note that if the string points to a string constant this routine will call UniqueString on it forcing a string copy, after which the reference count becomes 1.

Parameters

var S: string

The long string whose reference count to increment.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


See Also

StrDecRef


StrAllocSize Function

See Also

Returns the memory allocated to store the string.

Pascal

function StrAllocSize(const S: string): Longint;

Description

A long string variable is a 4 byte pointer to a dynamically allocated block of memory. This block of memory holds the actual string data, including a NULL character. In addition this block of memory has, at a negative offset, a number of 32 bit values used to manage the string. The StringAllocSize function looks at this negative offset to determine the total amount of dynamic memory reserved to hold the string and management data.

Note that this function will always return 0 for string literals, string constants and string variables that are assigned to string constants, but haven't been modified yet. This is not a bug but a result of the way in which Delphi manages string constants.

Parameters

const S: string

The string for which to determine the total amount of used memory.

Return Value

The amount of dynamic memory allocated for the string or 0 in the exceptions noted above. Note that, at least in Delphi 5, the result will always be a multiple of 4.

Notes

This function relies on pseudo-undocumented knowledge and should only be used for debugging purposes.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


See Also

StrRefCount


StrDecRef Function

See Also

Decrements the reference count of a long string.

Pascal

procedure StrDecRef(var S: string);

Description

The StrDecRef routine decrements the reference count of the specified long string. Note that if decrementing the reference count will set it to 0 the string is released and the string pointer is set to nil. Therefore the string may be inaccessible after calling this routine.

Parameters

var S: string

The long string whose reference count to increment. Upon return the string may have been freed.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


See Also

StrDecRef


StrLen Function

Returns the length of the supplied string.

Pascal

function StrLen(S: PChar): Integer;

Description

StrLen returns the length of the supplied string, in characters, excluding the null terminating character. This function is identical to the StrLen routine from SysUtils.pas except that it is much faster.

Parameters

S: PChar

Pointer to the null terminated string for which to determine the length.

Return Value

The length of the string, in characters.

Donator

Robert Lee

Group

String Management

Unit

JclStrings


StrLength Function

See Also

Returns the length of the supplied string.

Pascal

function StrLength(const S: string): Longint;

Description

StrLength returns the length of the supplied string. This is a duplication of the standard Delphi Length function and is only supplied for completeness. You should prefer the Length function over StrLength.

Parameters

const S: string

The string for which to determine the length.

Return Value

The length of the string in characters.

Notes

This function relies on pseudo undocumented knowledge.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


See Also

StrAllocSize StrRefCount


StrRefCount Function

See Also

Returns the reference count of the supplied string.

Pascal

function StrRefCount(const S: string): Longint;

Description

StrRefCount returns the reference count of the string. Note that this function will always return -1 for string literals, string constants and string variables that are assigned to string constants, but haven't been modified yet. This is not a bug but a result of the way in which Delphi manages string constants.

Parameters

const S: string

String for which to determine the reference count.

Return Value

The reference count of the string or -1 if the string ultimately points to a string constant.

Notes

This function relies on pseudo-undocumented knowledge and should only be used for debugging purposes.

Donator

Marcel van Brakel

Group

String Management

Unit

JclStrings


See Also

StrAllocSize


String Search and Replace Routines

String manipulation

Functions

StrCharCount

Counts the occurrences of a character in a string.

StrCompareRange

Compares two (sub) strings.

StrFillChar

Creates a string consisting of the specified character repeated Count times.

StrFind

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrHasPrefix

Returns whether a string is prefixed by one of the supplied strings.

StrIndex

Returns the index of a string in an array of strings.

StrILastPos

Returns the index of the last occurrence of SubStr in S.

StrLastPos

Returns the index of the last occurrence of SubStr in S.

StrIPos

Returns the index of the first occurrence of SubStr in S.

StrIsOneOf

Tests whether the supplied string exists in the list of strings.

StrNPos

Returns the position of the N-th occurence of a sub-string within a string.

StrNIPos

Returns the position of the N-th occurence of a sub-string within a string.

StrMatch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrPrefixIndex

Returns the index at which a string appears which is used as a prefix.

StrSearch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrKeepChars

Keeps all occurences of specified characters within a string and removes the others.

StrReplace

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string.

StrReplaceChar

Replaces all occurrences of a character with another character

StrReplaceChars

Replaces all occurrences of one or more characters with another character.

StrReplaceButChars

Replaces all occurrences of one or more characters with another character.

StrStrCount

Counts the occurrences of a substring in a string.


String Search and Replace Routines Functions

String Search and Replace Routines

Functions

StrCharCount

Counts the occurrences of a character in a string.

StrCompareRange

Compares two (sub) strings.

StrFillChar

Creates a string consisting of the specified character repeated Count times.

StrFind

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrHasPrefix

Returns whether a string is prefixed by one of the supplied strings.

StrIndex

Returns the index of a string in an array of strings.

StrILastPos

Returns the index of the last occurrence of SubStr in S.

StrLastPos

Returns the index of the last occurrence of SubStr in S.

StrIPos

Returns the index of the first occurrence of SubStr in S.

StrIsOneOf

Tests whether the supplied string exists in the list of strings.

StrNPos

Returns the position of the N-th occurence of a sub-string within a string.

StrNIPos

Returns the position of the N-th occurence of a sub-string within a string.

StrMatch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrPrefixIndex

Returns the index at which a string appears which is used as a prefix.

StrSearch

Returns the index of the first character in a specified sub-string that occurs in a given string.

StrKeepChars

Keeps all occurences of specified characters within a string and removes the others.

StrReplace

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string.

StrReplaceChar

Replaces all occurrences of a character with another character

StrReplaceChars

Replaces all occurrences of one or more characters with another character.

StrReplaceButChars

Replaces all occurrences of one or more characters with another character.

StrStrCount

Counts the occurrences of a substring in a string.


StrCharCount Function

Counts the occurrences of a character in a string.

Pascal

function StrCharCount(const S: string; C: Char): Integer;

Description

StrCharCount returns the number of occurrences of the specified character in the supplied string.

Parameters

const S: string

Source string.

C: Char

The character whose occurrences to count.

Return Value

The number of occurrences of C in S.

Donator

Massimo Maria Ghisalberti

Group

String Search and Replace Routines

Unit

JclStrings


StrCompareRange Function

See Also

Compares two (sub) strings.

Pascal

function StrCompareRange(const S1: string; const S2: string; const Index: Integer; const Count: Integer): Integer;

Description

StrCompareRange compares, case-sensitive, a sub-string from the first supplied string with the second string. If the two strings are identical the function returns 0 otherwise it returns an indication of difference between the two strings, Te result is equal to the result returned by StrCompare. This function is particularly useful to avoid code such as: "if Copy(S, 1, 4) = 'JEDI' then ..." which is quite inefficient. This code would be rewritten to: "if StrCompareRange(S1, 'JEDI', 1, 4) = 0 then ...".

Parameters

const S1: string

First string to compare.

const S2: string

Second string to compare.

const Index: Integer

Starting index of sub-string in S1 to.

const Count: Integer

Number of characters of the sub-string in S1 to compare to S2.

Return Value

StrCompareRange returns 0 if the two strings match or the number of different characters in case of a mismatch.

Donator

Azret Botash

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrCompare


StrFillChar Function

Creates a string consisting of the specified character repeated Count times.

Pascal

function StrFillChar(const C: Char; Count: Integer): string;

Description

The StrFillChar routine returns a string consisting of the specified character repeated Count number of times.

Parameters

const C: Char

The character to repeat.

Count: Integer

The number of times to repeat the character.

Return Value

A string consisting of the specified character repeated Count times.

Donator

Marcel van Brakel

Group

String Search and Replace Routines

Unit

JclStrings


StrFind Function

See Also

Returns the index of the first character in a specified sub-string that occurs in a given string.

Pascal

function StrFind(const Substr: string; const S: string; const Index: Integer = 1): Integer;

Description

StrFind returns the index of the first character in a specified sub-string that occurs in a given string. The search starts at the supplied index and is case-insensitive.

Parameters

const Substr: string

The sub-string to search for.

const Index: Integer = 1

The index in Str at which to start the search.

Str

The string in which to search.

Return Value

One-based index of the first character of SubStr in Str or 0 if SubStr does not occur in the supplied string.

Donator

Azret Botash

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrSearch


StrHasPrefix Function

See Also

Returns whether a string is prefixed by one of the supplied strings.

Pascal

function StrHasPrefix(const S: string; const Prefixes: array of string): Boolean;

Description

StrHasPrefix returns whether the string is prefixed with at least one of the strings supplied in the Prefixes array. In other words, for each string in the Prefixes array it determined if the supplied string starts with that prefix. Note that the routine exits as soon as a match is found.

Parameters

const S: string

The string to test.

const Prefixes: array of string

Array of prefixes to test for.

Return Value

If the supplied string is prefixed with one of the supplied prefixes the routine returns True, otherwise it returns False.

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrPrefixIndex


StrIndex Function

Returns the index of a string in an array of strings.

Pascal

function StrIndex(const S: string; const List: array of string): Integer;

Description

StrIndex returns the index into the List array at which S is positioned. This is particularly useful to create a case statement based on string labels. For example:

    case StrIndex(S, ['zero', 'one', 'two']) of

  0: // handle case where S = 'zero'

  1: // handle case where S = 'one'

  2: // handle case where S = 'two'

else

  //

end;

Parameters

const S: string

The string to test.

const List: array of string

Array of strings to search in.

Return Value

If the supplied string exists in the List array the zero based index of the position at which it appears is returned. If the string doesn't exist in the array -1 is returned. Note that the string comparison is case insensitive but is based on the current locale (ie it uses AnsiSameText).

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


StrILastPos Function

See Also

Returns the index of the last occurrence of SubStr in S.

Pascal

function StrILastPos(const SubStr: string; const S: string): Integer;

Description

StrILastPos scans the supplied string and returns the index of the first character of the last occurrence of the supplied sub-string. The comparison is case-insensitive.

Parameters

const SubStr: string

The sub-string to find the last occurrence of.

const S: string

The string in which to search.

Return Value

The index of the last occurrence of SubStr in S. If the sub-string does not exist at all the result is 0.

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrLastPos


StrLastPos Function

See Also

Returns the index of the last occurrence of SubStr in S.

Pascal

function StrLastPos(const SubStr: string; const S: string): Integer;

Description

StrLastPos scans the supplied string and returns the index of the first character of the last occurrence of the supplied sub-string. The comparison is case-sensitive.

Parameters

const SubStr: string

The sub-string to find the last occurrence of.

const S: string

The string in which to search.

Return Value

The index of the last occurrence of SubStr in S. If the sub-string does not exist at all the result is 0.

Donator

Marcel van Brakel

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrILastPos


StrIPos Function

Returns the index of the first occurrence of SubStr in S.

Pascal

function StrIPos(const SubStr: string; const S: string): Integer;

Description

StrIPos scans the supplied string and returns the index of the first character of the first occurrence of the supplied sub-string. The comparison is case-insensitive.

Parameters

const SubStr: string

The sub-string to find the first occurrence of.

const S: string

The string in which to search.

Return Value

The index of the first occurrence of SubStr in S. If the sub-string does not exist at all the result is 0.

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


StrIsOneOf Function

Tests whether the supplied string exists in the list of strings.

Pascal

function StrIsOneOf(const S: string; const List: array of string): Boolean;

Description

StrIsOneOf tests whether the supplied string exists in the list of strings. Note that the comparison is case-insensitive.

Parameters

const S: string

The string to test.

const List: array of string

The list of string in which to search.

Return Value

If the string exists in the supplied list the result is True, otherwise it's False.

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


StrNPos Function

See Also

Returns the position of the N-th occurence of a sub-string within a string.

Pascal

function StrNPos(const S: string; const SubStr: string; N: Integer): Integer;

Description

StrNPos returns the index into S of the N-th occurence of the specified sub-string. This function is case-sensitive and does not work with multibyte character sets. If the specified sub-string does not have N occurence in S the function returns 0.

Parameters

const S: string

The string in which to search for N occurences of SubStr.

const SubStr: string

The sub-string to search for.

Index

The number of occurences of sub-string in S.

Return Value

Index into S where the N-th occurence of SubStr is located. If SubStr has less than N occurences in S the result is 0.

Notes

This function was inspired by code submitted by George Tasker

Donator

JCL Team

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrNIPos


StrNIPos Function

See Also

Returns the position of the N-th occurence of a sub-string within a string.

Pascal

function StrNIPos(const S: string; const SubStr: string; N: Integer): Integer;

Description

StrNPos returns the index into S of the N-th occurence of the specified sub-string. This function is case-insensitive and does not work with multibyte character sets. If the specified sub-string does not have N occurence in S the function returns 0.

Parameters

const S: string

The string in which to search for N occurences of SubStr.

const SubStr: string

The sub-string to search for.

Index

The number of occurences of sub-string in S.

Return Value

Index into S where the N-th occurence of SubStr is located. If SubStr has less than N occurences in S the result is 0.

Notes

This function was inspired by code submitted by George Tasker

Donator

JCL Team

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrNPos


StrMatch Function

See Also

Returns the index of the first character in a specified sub-string that occurs in a given string.

Pascal

function StrMatch(const Substr: string; const S: string; const Index: Integer = 1): Integer;

Description

StrMatch returns the index of the first character in a specified sub-string that occurs in a given string. The search starts at the supplied index and is case-insensitive. The specified sub-string may contain wildcards. The '?' wildcard matches 1 character while the '*' wildcard matches 0 or more occurrences of a character. For example, 'J?DI' will find 'JEDI', 'JZDI' and 'JODI' (and more) while 'J*I' will find 'JEDI' and 'JI'.

Parameters

const Substr: string

The sub-string to search for. May contain wildcards.

const Index: Integer = 1

The index in Str at which to start the search.

Str

The string in which to search.

Return Value

One-based index of the first character of SubStr in Str or 0 if SubStr does not occur in the supplied string.

Notes

The '*' wildcard currently doesn't work correctly, it produces the same result as '?'.

Donator

Azret Botash

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrSearch


StrPrefixIndex Function

Returns the index at which a string appears which is used as a prefix.

Pascal

function StrPrefixIndex(const S: string; const Prefixes: array of string): Integer;

Description

StrPrefixIndex returns the index into the prefixes array at which a string appears with which the supplied string is prefixed. For example, StrPrefixIndex('banana', ['call', 'ban', 'bana']) will return 1. Note that as can be seen from the example, as soon as a prefix is found the routine stops and doesn't attempt to find a better (longer) match.

Parameters

const S: string

The string to test.

const Prefixes: array of string

The list of prefixes.

Return Value

The zero based index into Prefixes at which the first string appears that is used as a prefix in the supplied string. If none of the Prefixes array strings qualifies the result is -1.

Donator

Anthony Steele

Group

String Search and Replace Routines

Unit

JclStrings


StrSearch Function

See Also

Returns the index of the first character in a specified sub-string that occurs in a given string.

Pascal

function StrSearch(const Substr: string; const S: string; const Index: Integer = 1): Integer;

Description

StrSearch returns the index of the first character in a specified sub-string that occurs in a given string. The search starts at the supplied index and is case-sensitive.

Parameters

const Substr: string

The sub-string to search for.

const Index: Integer = 1

The index in Str at which to start the search.

Str

The string in which to search.

Return Value

One-based index of the first character of SubStr in Str or 0 if SubStr does not occur in the supplied string.

Donator

Azret Botash

Group

String Search and Replace Routines

Unit

JclStrings


See Also

StrFind


StrKeepChars Function

Keeps all occurences of specified characters within a string and removes the others.

Pascal

function StrKeepChars(const S: string; const Chars: TSysCharSet): string;

Description

StrKeepChars keeps all occurences of the characters specified in the Chars set and removes any other characters from the string. For example, if you pass in 'Joint Endeavour of Delphi Innovators' and specify ['e', 'a', 'o', 'u', 'i', ' '] the resulting string will be 'oi eaou o ei oao'.

Parameters

const S: string

The source string from which to remove the characters.

const Chars: TSysCharSet

The set of characters to keep within S.

Return Value

A string containing only characters which are within Chars.

Donator

Unknown

Group

String Search and Replace Routines

Unit

JclStrings


StrReplace Function

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string.

Pascal

procedure StrReplace(var S: string; const Search: string; const Replace: string; Flags: TReplaceFlags = []);

Description

StrReplace replaces one or all occurrences of the specified search pattern with the supplied replace string. The flags determine how the search is done and if only one or if all occurrences should be replaced.

TReplaceFlags = [rfIgnoreCase, rfReplaceAll]

If rfIgnoreCase is is within the flags the search is performed case insenitive, otherwise it is case sensitive. If rfReplaceAll is specified StrReplace replaces all occurrences otherwise only the first one.

Parameters

var S: string

The source string.

const Search: string

The substring to replace.

const Replace: string

The string to use as a replacement of Search.

Donator

Robert Lee

Contributors

Robert Rossmair

Group

String Search and Replace Routines

Unit

JclStrings


StrReplaceChar Function

Replaces all occurrences of a character with another character

Pascal

function StrReplaceChar(const S: string; const Source: Char; const Replace: Char): string;

Description

StrReplaceChar replaces all occurrences of the specified search character with the supplied replace character. Note that the replacement is case-sensitive.

Parameters

const S: string

The source string.

const Replace: Char

The character to use as a replacement of Search.

Search

The character to replace.

Return Value

The string with all replacements performed.

Donator

Unknown

Group

String Search and Replace Routines

Unit

JclStrings


StrReplaceChars Function

Replaces all occurrences of one or more characters with another character.

Pascal

function StrReplaceChars(const S: string; const Chars: TSysCharSet; Replace: Char): string;

Description

StrReplaceChars replaces all occurrences of the specified search character(s) with the supplied replace character. Note that the replacement is case-sensitive.

Parameters

const S: string

The string in which to replace characters.

const Chars: TSysCharSet

The character(s) to replace.

Replace: Char

The character to use as a replacement of the characters definied in Chars.

Return Value

The string with all replacements performed.

Donator

Unknown

Group

String Search and Replace Routines

Unit

JclStrings


StrReplaceButChars Function

Replaces all occurrences of one or more characters with another character.

Pascal

function StrReplaceButChars(const S: string; const Chars: TSysCharSet; Replace: Char): string;

Description

StrReplaceButChars replaces all occurrences of characters which are not within the specified search character(s) with the supplied replace character. Note that the replacement is case-sensitive.

Parameters

const S: string

The string in which to replace characters.

const Chars: TSysCharSet

The characters which should not be replaced.

Replace: Char

The character to use as replacement.

Return Value

The string with all replacements performed.

Donator

Unknown

Group

String Search and Replace Routines

Unit

JclStrings


StrStrCount Function

Counts the occurrences of a substring in a string.

Pascal

function StrStrCount(const S: string; const SubS: string): Integer;

Description

StrStrCount returns the number of occurrences of the specified substring in the supplied string.

Parameters

const S: string

Source string.

const SubS: string

The character whose occurrences to count.

Return Value

The number of occurrences of SubS in S.

Donator

Unknown

Group

String Search and Replace Routines

Unit

JclStrings


String Test Routines

String manipulation

Functions

StrIsAlpha

Tests whether S contains only alpha characters.

StrIsAlphaNum

Tests whether S contains only alpha-numerical characters.

StrIsAlphaNumUnderscore

Tests whether S contains only alpha-numerical and underscore characters.

StrContainsChars

Determines whether a string contains a specified set of characters.

StrIsDigit

Tests whether S contains only numerical characters.

StrConsistsOfNumberChars

Tests whether S contains only numerical characters.

StrIsSubset

Tests whether S contains only characters from the supplied set.

StrSame

Tests two strings for equality.

StrCompare

Compares two strings.

StrMatches

Compares two strings.


String Test Routines Functions

String Test Routines

Functions

StrIsAlpha

Tests whether S contains only alpha characters.

StrIsAlphaNum

Tests whether S contains only alpha-numerical characters.

StrIsAlphaNumUnderscore

Tests whether S contains only alpha-numerical and underscore characters.

StrContainsChars

Determines whether a string contains a specified set of characters.

StrIsDigit

Tests whether S contains only numerical characters.

StrConsistsOfNumberChars

Tests whether S contains only numerical characters.

StrIsSubset

Tests whether S contains only characters from the supplied set.

StrSame

Tests two strings for equality.

StrCompare

Compares two strings.

StrMatches

Compares two strings.


StrIsAlpha Function

See Also

Tests whether S contains only alpha characters.

Pascal

function StrIsAlpha(const S: string): Boolean;

Description

StrIsAlpha tests whether the supplied string consists only of alpha characters. That is, whether or not all individual characters come from the ['a'..'z', 'A'..'Z'] set.

Parameters

const S: string

The string to test

Return Value

If S contains only alpha characters the result is True, otherwise the result is False.

Notes

If S is an empty string the result is False.

Donator

Nick Hodges

Group

String Test Routines

Unit

JclStrings


See Also

StrConsistsOfNumberChars StrIsAlphaNum


StrIsAlphaNum Function

See Also

Tests whether S contains only alpha-numerical characters.

Pascal

function StrIsAlphaNum(const S: string): Boolean;

Description

StrIsAlphaNum tests whether the supplied string consists only of alpha-numerical characters. That is, whether or not all individual characters come from the ['a'..'z', 'A'..'Z', '0'..'9'] set.

Parameters

const S: string

The string to test

Return Value

If S contains only alpha-numerical characters the result is True, otherwise the result is False.

Notes

If S is an empty string the result is False.

Donator

Marcel van Brakel

Group

String Test Routines

Unit

JclStrings


See Also

StrIsAlpha StrConsistsOfNumberChars StrIsAlphaNumUnderscore


StrIsAlphaNumUnderscore Function

See Also

Tests whether S contains only alpha-numerical and underscore characters.

Pascal

function StrIsAlphaNumUnderscore(const S: string): Boolean;

Description

StrIsAlphaNum tests whether the supplied string consists only of alpha-numerical and underscore characters. That is, whether or not all individual characters come from the ['a'..'z', 'A'..'Z', '0'..'9', '_'] set.

Parameters

const S: string

The string to test

Return Value

If S contains only alpha-numerical and underscore characters the result is True, otherwise the result is False.

Notes

If S is an empty string the result is False.

Donator

Anthony Steele

Group

String Test Routines

Unit

JclStrings


See Also

StrIsAlpha StrConsistsOfNumberChars


StrContainsChars Function

Determines whether a string contains a specified set of characters.

Pascal

function StrContainsChars(const S: string; Chars: TSysCharSet; CheckAll: Boolean): Boolean;

Description

StrContainsChars checks whether the specified string contains at least one character that matches one of the characters in the Chars set. If CheckAll is True, the function checks whether all characters in the Chars set appear at least once in the specified string.

Parameters

const S: string

The string to test.

Chars: TSysCharSet

The characters for which to test.

CheckAll: Boolean

If True, all characters from Chars must appear at least once in the specified string. If False, at least one of the characters in Chars must appear at least once in the specified string.

Return Value

Returns True if the condition is met, otherwise it returns False.

Donator

Petr Vones

Group

String Test Routines

Unit

JclStrings


StrIsDigit Function

See Also

Tests whether S contains only numerical characters.

Pascal

function StrIsDigit(const S: string): Boolean;

Description

StrConsistsOfNumberChars tests whether the supplied string consists only of numerical characters. That is, whether or not all individual characters come from the ['0'..'9'] set. The test does not include the decimal separator. To include it in the test use StrConsistsOfNumberChars instead.

Parameters

const S: string

The string to test

Return Value

If S contains only numerical characters the result is True, otherwise the result is False.

Notes

If S is an empty string the result is False.

Donator

Martin Kubecka

Group

String Test Routines

Unit

JclStrings


See Also

StrIsAlpha StrIsAlphaNum StrConsistsOfNumberChars


StrConsistsOfNumberChars Function

See Also

Tests whether S contains only numerical characters.

Pascal

function StrConsistsOfNumberChars(const S: string): Boolean;

Description

StrConsistsOfNumberChars tests whether the supplied string consists only of numerical characters. That is, whether or not all individual characters come from the ['0'..'9'] set including the decimal separator. To test for numerical characters without the decimal separator, use StrIsDigit instead;

Parameters

const S: string

The string to test

Return Value

If S contains only numerical characters the result is True, otherwise the result is False.

Notes

If S is an empty string the result is False.

Donator

Nick Hodges

Group

String Test Routines

Unit

JclStrings


See Also

StrIsAlpha StrIsAlphaNum StrIsDigit


StrIsSubset Function

Tests whether S contains only characters from the supplied set.

Pascal

function StrIsSubset(const S: string; const ValidChars: TSysCharSet): Boolean;

Description

StrIsSubset tests whether the supplied string contains only characters from the supplied character set. Keep in mind that the test is case-sensitive.

Parameters

const S: string

The string to test.

const ValidChars: TSysCharSet

The set of characters allowed in S.

Return Value

If the string contains only characters from the supplied set the result is True, otherwise the result is False.

Notes

If the supplied string is empty, the result is always True. If the supplied character set is empty, the result is always False. Empty string overules empty set.

Donator

Marcel van Brakel

Group

String Test Routines

Unit

JclStrings


StrSame Function

See Also

Tests two strings for equality.

Pascal

function StrSame(const S1: string; const S2: string): Boolean;

Description

StrSame compares the two supplied strings and returns whether or not they are identical.

Parameters

const S1: string

First string to compare

const S2: string

Second string to compare

Return Value

If the two strings are identical the return value is True, if they are not the return value is False.

Donator

Azret Botash

Group

String Test Routines

Unit

JclStrings


See Also

StrCompare


StrCompare Function

Compares two strings.

Pascal

function StrCompare(const S1: string; const S2: string): Integer;

Description

StrCompare implements a case-insensitive comparison between the two supplied strings. If the two strings match the function returns 0 otherwise it returns the number of different characters. If the supplied strings are of equal length but are not identical the function returns the difference of the first mismatched character. The table below demonstrates this:
S1	S2	Result
jedi	jedi	0
jedi	je	2
di	jedi	-2
project jedi	jedi	8
jedi	project jedi	-8
jedi	judi	Ord('e') - Ord('u')
JEDI	Judi	Ord(LowerCase('E')) - Ord('u')
Parameters

const S1: string

First string to compare

const S2: string

Second string to compare

Return Value

StrCompare returns 0 if the two strings match or the number of different characters in case of a mismatch.

Donator

Azret Botash

Group

String Test Routines

Unit

JclStrings


StrMatches Function

See Also

Compares two strings.

Pascal

function StrMatches(const Substr: string; const S: string; const Index: Integer = 1): Boolean;

Description

StrMatches compares two given strings. The search starts at the supplied index and is case-sensitive. The specified sub-string may contain wildcards. The '?' wildcard matches 1 character while the '*' wildcard matches 0 or more occurrences of a character. For example, 'J?DI' will find 'JEDI', 'JZDI' and 'JODI' (and more) while 'J*I' will find 'JEDI' and 'JI'.

Parameters

const Substr: string

The sub-string to search for. May contain wildcards.

const Index: Integer = 1

The index in Str at which to start the search.

Str

The string in which to search.

Return Value

True if Str and Substr are equal.

Donator

Michael Winter

Group

String Test Routines

Unit

JclStrings


See Also

StrSearch


String Transformation Routines

String manipulation

Topics

StrRepeatLength@AnsiString@Integer

Repeats a string until a specified length L has been reached.

StrCharPosLower@AnsiString@Integer

Lowercases a character within a string.

StrCharPosUpper@AnsiString@Integer

Uppercases a character within a string.

Functions

StrCenter

Centers a string.

StrDoubleQuote

Returns a double-quoted version of the string.

StrEnsurePrefix

Forces Text to start with Prefix.

StrEnsureNoPrefix

Eventually removes Prefix from Text.

StrEnsureSuffix

Forces Text to end with Suffix.

StrEnsureNoSuffix

Eventually removes Suffix from Text.

StrEscapedToString

Converts an escaped string to a string.

StrLower

Lowercases all characters in a string

StrLowerInPlace

Lowercases all characters in a string

StrLowerBuff

Lowercases all characters in a string

StrMove

Copies a sub-string from one string to another.

StrPadLeft

Left pads a string with characters.

StrPadRight

Right pads a string with characters.

StrProper

Lowercases the supplied string and uppercases the first character.

StrProperBuff

Lowercases the supplied string and uppercases the first character.

StrQuote

Quotes a string with a specific character.

StrRemoveChars

Removes a set of characters from a string.

StrRepeat

Repeats a string Count number of times.

StrReverse

Reverses a string.

StrReverseInPlace

Reverses a string.

StrSingleQuote

Returns a single-quoted version of the string.

StrSmartCase

Converts a string to 'smartcase' or 'camelcase'.

StrStringToEscaped

Converts a string to an escaped string.

StrStripNonNumberChars

Removes all non-number characters from a string.

StrTrimQuotes

Removes surrounding quotes from the supplied string.

StrToHex

Converts a string of hex digit pairs to the corresponding bytes.

StrTrimCharLeft

Removes leading characters from a string.

StrTrimCharRight

Removes trailing characters from a string.

StrUpper

Uppercases all characters in a string

StrUpperInPlace

Uppercases all characters in a string

StrUpperBuff

Uppercases all characters in a string

StrTrimCharsLeft

Removes characters from the left side of supplied string.

StrTrimCharsRight

Removes characters from the right side of supplied string.

StrAnsiToOem

Translates an ANSI string into a string using the OEM character set.

StrOemToAnsi

Translates an OEM string into an ansi string.

StrCharsCount

Counts the occurrences of characters in a string.


String Transformation Routines Functions

String Transformation Routines

Functions

StrCenter

Centers a string.

StrDoubleQuote

Returns a double-quoted version of the string.

StrEnsurePrefix

Forces Text to start with Prefix.

StrEnsureNoPrefix

Eventually removes Prefix from Text.

StrEnsureSuffix

Forces Text to end with Suffix.

StrEnsureNoSuffix

Eventually removes Suffix from Text.

StrEscapedToString

Converts an escaped string to a string.

StrLower

Lowercases all characters in a string

StrLowerInPlace

Lowercases all characters in a string

StrLowerBuff

Lowercases all characters in a string

StrMove

Copies a sub-string from one string to another.

StrPadLeft

Left pads a string with characters.

StrPadRight

Right pads a string with characters.

StrProper

Lowercases the supplied string and uppercases the first character.

StrProperBuff

Lowercases the supplied string and uppercases the first character.

StrQuote

Quotes a string with a specific character.

StrRemoveChars

Removes a set of characters from a string.

StrRepeat

Repeats a string Count number of times.

StrReverse

Reverses a string.

StrReverseInPlace

Reverses a string.

StrSingleQuote

Returns a single-quoted version of the string.

StrSmartCase

Converts a string to 'smartcase' or 'camelcase'.

StrStringToEscaped

Converts a string to an escaped string.

StrStripNonNumberChars

Removes all non-number characters from a string.

StrTrimQuotes

Removes surrounding quotes from the supplied string.

StrToHex

Converts a string of hex digit pairs to the corresponding bytes.

StrTrimCharLeft

Removes leading characters from a string.

StrTrimCharRight

Removes trailing characters from a string.

StrUpper

Uppercases all characters in a string

StrUpperInPlace

Uppercases all characters in a string

StrUpperBuff

Uppercases all characters in a string

StrTrimCharsLeft

Removes characters from the left side of supplied string.

StrTrimCharsRight

Removes characters from the right side of supplied string.

StrAnsiToOem

Translates an ANSI string into a string using the OEM character set.

StrOemToAnsi

Translates an OEM string into an ansi string.

StrCharsCount

Counts the occurrences of characters in a string.


Topics

String Transformation Routines

Topics

StrRepeatLength@AnsiString@Integer

Repeats a string until a specified length L has been reached.

StrCharPosLower@AnsiString@Integer

Lowercases a character within a string.

StrCharPosUpper@AnsiString@Integer

Uppercases a character within a string.


StrCenter Function

Centers a string.

Pascal

function StrCenter(const S: string; L: Integer; C: Char = ' '): string;

Description

The StrCenter routine takes the specified string and pads it on both the left and right side with the specified character until the resulting string is of the specified length. While doing this the original string is kept centered. That is, there is the same amount of padding at the left side as there is on the right side.

If the specified length is smaller than the length of the original the string remains unchanged. In cases where an odd number of padding chars have to be inserted there is always one more padding char on the right side than on the left side.

Parameters

const S: string

The string to center.

L: Integer

The desired length of the resulting string.

C: Char = ' '

The character to use for padding.

Return Value

The centered string.

Donator

Alexander Radchenko

Group

String Transformation Routines

Unit

JclStrings


StrDoubleQuote Function

See Also

Returns a double-quoted version of the string.

Pascal

function StrDoubleQuote(const S: string): string;

Description

StrDoubleQuote returns a copy of the string encapsulated in double quotes ("). That is, if you pass in 'Project JEDI' you'll get '"Project JEDI"' back. If double quotes (") are already at the beginning and the end of the string they are added again. If they should be added only if they are not already there use StrQuote instead.

Parameters

const S: string

The string to encapsulate in quotes. Even an empty string.

Return Value

The double-quoted version of the string.

Donator

Anthony Steele

Group

String Transformation Routines

Unit

JclStrings


See Also

StrQuote StrSingleQuote StrTrimQuotes


StrEnsurePrefix Function

See Also

Forces Text to start with Prefix.

Pascal

function StrEnsurePrefix(const Prefix: string; const Text: string): string;

Description

StrEnsurePrefix tests whether the supplied text start with the supplied prefix. If it doesn't then the prefix is prepended to the string otherwise the function does nothing. Note that if Text is an empty string then the result will be Prefix.

Parameters

const Prefix: string

The prefix to test for and apply

const Text: string

The string which must be forced to have a prefix

Return Value

The function result is a copy of the supplied Text, prefixed with Prefix.

Donator

Nick Hodges

Group

String Transformation Routines

Unit

JclStrings


See Also

StrEnsureNoPrefix StrEnsureSuffix


StrEnsureNoPrefix Function

See Also

Eventually removes Prefix from Text.

Pascal

function StrEnsureNoPrefix(const Prefix: string; const Text: string): string;

Description

StrEnsureNoPrefix tests whether the supplied text start with the supplied prefix. If it does then the prefix is deleted from the string otherwise the function does nothing.

Parameters

const Prefix: string

The prefix to test for and apply

const Text: string

The string which must not have a prefix

Return Value

The function result is a copy of the supplied Text, eventually minus the prefix.

Donator

Olivier Sannier

Group

String Transformation Routines

Unit

JclStrings


See Also

StrEnsurePrefix StrEnsureNoSuffix


StrEnsureSuffix Function

See Also

Forces Text to end with Suffix.

Pascal

function StrEnsureSuffix(const Suffix: string; const Text: string): string;

Description

StrEnsureSuffix tests whether the supplied text ends in the supplied suffix. If it doesn't then the suffix is appended to the string otherwise the function does nothing. Note that if Text is an empty string then the result will be Suffix.

Parameters

const Suffix: string

The suffix to test for and apply

const Text: string

The string which must be forced to have a suffix

Return Value

The function result is a copy of the supplied Text, with the suffix.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


See Also

StrEnsureNoSuffix StrEnsurePrefix


StrEnsureNoSuffix Function

See Also

Eventually removes Suffix from Text.

Pascal

function StrEnsureNoSuffix(const Suffix: string; const Text: string): string;

Description

StrEnsureSuffix tests whether the supplied text ends in the supplied suffix. If it does then the suffix is deleted from the string otherwise the function does nothing.

Parameters

const Suffix: string

The suffix to test for and apply

const Text: string

The string which must not have a suffix

Return Value

The function result is a copy of the supplied Text, eventually minus the suffix.

Donator

Olivier Sannier

Group

String Transformation Routines

Unit

JclStrings


See Also

StrEnsureSuffix StrEnsureNoPrefix


StrEscapedToString Function

See Also

Converts an escaped string to a string.

Pascal

function StrEscapedToString(const S: string): string;

Description

StrEscapedToString converts a string which contains escape characters to a string without escape characters by replacing all escape characters with their string counterparts. For example, a string which contains a 'a' sequence will have the 'a' sequence replaced with the BELL character #7. The supported escape characters are:
Character	Value	Constant	Description
a	#7	BELL	Bell
b	#8	BACKSPACE	Backspace
f	#12	FF	Form Feed
n	#10	LR	Line Feed
r	#13	CR	Carrage Return
t	#9	TAB	Tabulator
v	#11	VT	Vertical Tabulator
\	N/A	N/A	Backslash
"	N/A	N/A	Double quotes

In addition it supports hexadecimal escape sequences (sequences that start with x) and octal escape sequences (sequences starting with '0', '1' ... '9'). The StrStringToEscaped is the "inverse" of this function.

Parameters

const S: string

The "escaped" string to convert to a "normal" string.

Return Value

The string with all escape characters replaced with their string counterparts.

Donator

Robert Marquardt

Group

String Transformation Routines

Unit

JclStrings


See Also

StrStringToEscaped


StrLower Function

See Also

Lowercases all characters in a string

Pascal

function StrLower(const S: string): string;

Description

StrLower returns a copy of the string, converted to lowercase. That is, if you pass in 'Project JEDI' you'll get 'project jedi'.

Parameters

const S: string

String to convert to lowercase.

Donator

Pelle F. S. Liljendal

Group

String Transformation Routines

Unit

JclStrings


See Also

StrLowerInPLace StrLowerBuff StrUpper StrUpperInPlace StrUpperBuff


StrLowerInPlace Function

See Also

Lowercases all characters in a string

Pascal

procedure StrLowerInPlace(var S: string);

Description

StrLower converts all characters in the supplied string to lowercase.

Parameters

var S: string

String to convert to lowercase.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


See Also

StrLower StrLowerBuff StrUpper StrUpperInPlace StrUpperBuff


StrLowerBuff Function

See Also

Lowercases all characters in a string

Pascal

procedure StrLowerBuff(S: PChar);

Description

StrLowerBuff converts all characters in the supplied string to lowercase.

Parameters

P

String to convert to lowercase.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


See Also

StrLower StrLowerInPlace StrUpper StrUpperInPlace StrUpperBuff


StrMove Function

Copies a sub-string from one string to another.

Pascal

procedure StrMove(var Dest: string; const Source: string; const ToIndex: Integer; const FromIndex: Integer; const Count: Integer);

Description

StrMove copies Count characters starting at FromIndex in the source string to the destination string starting at ToIndex. The function checks the passed parameters and if any is illegal the function does nothing. This includes illegal indices and, for example, a zero-length destination string.

Parameters

var Dest: string

The destination string which the sub-string is copied to.

const Source: string

The source string from which the sub-string is copied.

const ToIndex: Integer

The index into the destination string at which the sub-string is copied.

const FromIndex: Integer

The starting index into the source string from which count characters are copied.

const Count: Integer

Length of the sub-string to copy in characters.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


StrPadLeft Function

See Also

Left pads a string with characters.

Pascal

function StrPadLeft(const S: string; Len: Integer; C: Char = AnsiSpace): string;

Description

StrPadLeft left pads a string with the specified character until the resulting string is Len characters long. If the source string is already greater than or equal in length to Len the function does nothing.

Parameters

const S: string

Source string to left pad.

Len: Integer

The length of the resulting string.

C: Char = AnsiSpace

The character to pad the string with.

Return Value

The string left padded with the specified character.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


See Also

StrPadRight StrCenter


StrPadRight Function

See Also

Right pads a string with characters.

Pascal

function StrPadRight(const S: string; Len: Integer; C: Char = AnsiSpace): string;

Description

StrPadRight right pads a string with the specified character until the resulting string is Len characters long. If the source string is already greater than or equal in length to Len the function does nothing.

Parameters

const S: string

Source string to right pad.

Len: Integer

The length of the resulting string.

C: Char = AnsiSpace

The character to pad the string with.

Return Value

The string right padded with the specified character.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


See Also

StrPadLeft StrCenter


StrProper Function

Lowercases the supplied string and uppercases the first character.

Pascal

function StrProper(const S: string): string;

Description

The StrProper routine lowercases the entire string and subsequently uppercases the first character.

Parameters

const S: string

The string to transform.

Return Value

The transformed string.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


StrProperBuff Function

Lowercases the supplied string and uppercases the first character.

Pascal

procedure StrProperBuff(S: PChar);

Description

The StrProper routine lowercases the entire string and subsequently uppercases the first character.

Parameters

S: PChar

The string to transform.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


StrQuote Function

Quotes a string with a specific character.

Pascal

function StrQuote(const S: string; C: Char): string;

Description

StrQuote quotes the string with a specified character. Upon return the string is guarenteed to begin and end with the specified character. Note that if the string already starts or ends with this character, it is not added again.

Parameters

const S: string

The string to quote.

C: Char

The character with which to quote the string.

Return Value

The quoted string.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


StrRemoveChars Function

Removes a set of characters from a string.

Pascal

function StrRemoveChars(const S: string; const Chars: TSysCharSet): string;

Description

StrRemoveChars removes all instances of the characters in the set from the source string. For example, if you pass in 'Joint Endeavour of Delphi Innovators' and specify ['e', 'a', 'o', 'u', 'i'] the resulting string will be 'Jnt Endvr f Dlph Innvtrs'.

Parameters

const S: string

The source string from which to remove the characters.

const Chars: TSysCharSet

The set of characters which are removed from S.

Return Value

The string with all characters from the supplied set removed.

Notes

The function is case sensitive. That is, specifying 'e' will not remove 'E'.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


StrRepeat Function

Repeats a string Count number of times.

Pascal

function StrRepeat(const S: string; Count: Integer): string;

Description

The StrRepeat routine returns a string consisting of the specified string, repeated Count number of times. For example, StrRepeat('He', 3) returns 'HeHeHe'.

Parameters

const S: string

The string to repeat.

Count: Integer

The number of times to repeat the specified string.

Return Value

The specified string, repeated Count number of times.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


StrReverse Function

See Also

Reverses a string.

Pascal

function StrReverse(const S: string): string;

Description

StrReverse returns a reversed copy of S. That is, if you pass in 'Delphi' the function result will be 'ihpleD'. Note that the original string remains unmodified, as the const modifier indicates. If you don't need the original string after reversing it, then do not write code like S := StrReverse(S) but instead use the StrReverseInPlace function because it's much faster.

Parameters

const S: string

The string to reverse

Return Value

A reversed copy of the supplied string.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


See Also

StrReverseInPlace


StrReverseInPlace Function

See Also

Reverses a string.

Pascal

procedure StrReverseInPlace(var S: string);

Description

StrReverse reverses S. That is, if you pass in 'Delphi' then after the function returns S contains the string 'ihpleD'. If you need to retain the original string then use the StrReverse function instead.

Parameters

var S: string

The string to reverse.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


See Also

StrReverse


StrSingleQuote Function

See Also

Returns a single-quoted version of the string.

Pascal

function StrSingleQuote(const S: string): string;

Description

StrSingleQuote returns a copy of the string encapsulated in single quotes ('). That is, if you pass in 'Project JEDI' you'll get ''Project JEDI'' back.

Parameters

const S: string

The string to encapsulate in quotes. Even an empty string.

Return Value

The single-quoted version of the string.

Donator

Anthony Steele

Group

String Transformation Routines

Unit

JclStrings


See Also

StrDoubleQuote StrTrimQuotes


StrSmartCase Function

Converts a string to 'smartcase' or 'camelcase'.

Pascal

function StrSmartCase(const S: string; Delimiters: TSysCharSet): string;

Description

StrSmartCase converts specified characters within the supplied source string to uppercase. The characters that are uppercased are determined by the Delimiters character set. Each time the function finds a character in the source string that is also present in the Delimiters set it uppercases the next character in the source string. In addition, the function always converts the first character to uppercase. For example, if you call StrSmartCase('project jedi rules', [' ']) the function returns 'Project Jedi Rules'. As you can see, all characters that immediately follow a space (as specified by Delimiters) are uppercased.

Parameters

const S: string

Source string.

Delimiters: TSysCharSet

Set of characters to use as delimiters. These characters determine which other characters are uppercased. If you supply an empty set the function assumes you want to use a space only. That is, it sets Delimiters to [' '].

Return Value

The string converted to smart case.

Notes

Original author is John C Molyneux (jaymol@hotmail.com). Function was rewritten by Marcel van Brakel.

Donator

Marcel van Brakel

Group

String Transformation Routines

Unit

JclStrings


StrStringToEscaped Function

See Also

Converts a string to an escaped string.

Pascal

function StrStringToEscaped(const S: string): string;

Description

StrStringToEscaped converts a string to an escaped string by replacing non-visual character sequences with their escape characters. For example, if a string contains the character #7 the resulting string will have the #7 character replaced with the 'a' sequence. This function is the inverse of StrEscapedToString. The function supports the following escape characters:
Character	Value	Constant	Description
a	#7	BELL	Bell
b	#8	BACKSPACE	Backspace
f	#12	FF	Form Feed
n	#10	LR	Line Feed
r	#13	CR	Carrage Return
t	#9	TAB	Tabulator
v	#11	VT	Vertical Tabulator
\	N/A	N/A	Backslash
"	N/A	N/A	Double quotes

All other characters whose ordinal value are smaller than Ord(' ') are escaped as a hexadecimal sequence like 'x01'. The StrEscapedToString is the "inverse" of this function.

Parameters

const S: string

The string to convert to an escaped string.

Return Value

The "escaped" string.

Donator

Robert Marquardt

Group

String Transformation Routines

Unit

JclStrings


See Also

StrEscapedToString


StrStripNonNumberChars Function

Removes all non-number characters from a string.

Pascal

function StrStripNonNumberChars(const S: string): string;

Description

StrStripNonNumberChars removes all non-number characters from the specified string. Hence the resulting string will contain only number characters. Testing whether the individual characters are numbers is done using the CharIsNumberChar routine and therefore characters that qualify are all digits (0..9), signs (+, -) and decimal separators.

Parameters

const S: string

The string from which to remove non-number characters.

Return Value

The string after all non-number characters are removed.

Donator

Anthony Steele

Group

String Transformation Routines

Unit

JclStrings


StrTrimQuotes Function

See Also

Removes surrounding quotes from the supplied string.

Pascal

function StrTrimQuotes(const S: string): string;

Description

StrTrimQuotes removes surrounding quotes, either single or double-quotes, from the string. For example if you pass in ''Project JEDI'' you'll get 'Project JEDI' back. Note that this function only removes quotes if the string both begins and ends with the same quote character.

Parameters

const S: string

The string to unquote.

Return Value

The unquoted string.

Donator

Anthony Steele

Group

String Transformation Routines

Unit

JclStrings


See Also

StrSingleQuote StrDoubleQuote


StrToHex Function

Converts a string of hex digit pairs to the corresponding bytes.

Pascal

function StrToHex(const Source: string): string;

Description

The Source string is expected to contain pairs of hex digit characters ['0'..'9', 'a'..'f', 'A'..'F']. Each pair is converted to a single byte thus converting '40' to '@'. Any character not from the hex set results in an empty string. If the string length of the Source is odd then a '0' is prepended internally to make up the first byte.

Parameters

S

A string of hex digit pairs to be converted

Return Value

The string of converted bytes.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


StrTrimCharLeft Function

See Also

Removes leading characters from a string.

Pascal

function StrTrimCharLeft(const S: string; C: Char): string;

Description

The StrTrimCharLeft routine removes leading characters from the specified string. For example, StrTrimCharLeft('000123', '0') returns '123'.

Parameters

const S: string

The source string from which the leading characters need to be removed.

C: Char

The character to remove

Return Value

The function returns the source string S without any leading characters C.

Donator

Jack N.A. Bakker

Group

String Transformation Routines

Unit

JclStrings


See Also

StrTrimCharRight


StrTrimCharRight Function

See Also

Removes trailing characters from a string.

Pascal

function StrTrimCharRight(const S: string; C: Char): string;

Description

The StrTrimCharRight routine removes trailing characters from the specified string. For example, StrTrimCharRight('123000', '0') returns '123'.

Parameters

const S: string

The source string from which the trailing characters need to be removed.

C: Char

The character to remove

Return Value

The function returns the source string S without any trailing characters C.

Donator

Jack N.A. Bakker

Group

String Transformation Routines

Unit

JclStrings


See Also

StrTrimCharLeft


StrUpper Function

See Also

Uppercases all characters in a string

Pascal

function StrUpper(const S: string): string;

Description

StrUpper returns a copy of the string, converted to uppercase. That is, if you pass in 'Project JEDI' you'll get 'PROJECT JEDI'.

Parameters

const S: string

String to convert to uppercase.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


See Also

StrUpperInPlace StrUpperBuff StrLower StrLowerInPlace StrLowerBuff


StrUpperInPlace Function

See Also

Uppercases all characters in a string

Pascal

procedure StrUpperInPlace(var S: string);

Description

StrUpper converts all characters in the supplied string to uppercase.

Parameters

var S: string

String to convert to uppercase.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


See Also

StrUpper StrUpperBuff StrLower StrLowerInPlace StrLowerBuff


StrUpperBuff Function

See Also

Uppercases all characters in a string

Pascal

procedure StrUpperBuff(S: PChar);

Description

StrUpper converts all characters in the supplied string to uppercase.

Parameters

S: PChar

String to convert to uppercase.

Donator

Azret Botash

Group

String Transformation Routines

Unit

JclStrings


See Also

StrUpper StrUpperInPlace StrLower StrLowerInPlace StrLowerBuff


StrRepeatLength_AnsiString_Integer
StrRepeatLength@AnsiString@Integer

Repeats a string until a specified length L has been reached.

Description

The StrRepeatLength routine returns a string consisting of the specified string, repeated until the length of the string is exactly L. For example StrRepeatLength('JEDI!', 12) returns 'JEDI!JEDI!JE'.

Parameters

S

The string to repeat.

L

Length of the resulting string.

Return Value

A string consisting of the specified string, repeated until the length of the string is exactly L.

Donator

Unknown

Group

String Transformation Routines


StrCharPosLower_AnsiString_Integer
StrCharPosLower@AnsiString@Integer

Lowercases a character within a string.

Description

The StrCharPosLower routine returns a string with the specified character in lowercase. If the character is already lowercase the function does nothing.

Parameters

S

The string which contains the character.

CharPos

The position of the character within the string to convert.

Donator

Jean-Fabien Connault

Group

String Transformation Routines


StrCharPosUpper_AnsiString_Integer
StrCharPosUpper@AnsiString@Integer

Uppercases a character within a string.

Description

The StrCharPosUpper routine returns a string with the specified character in uppercase. If the character is already uppercase the function does nothing.

Parameters

S

The string which contains the character.

CharPos

The position of the character within the string to convert.

Donator

Jean-Fabien Connault

Group

String Transformation Routines


StrTrimCharsLeft Function

Removes characters from the left side of supplied string.

Pascal

function StrTrimCharsLeft(const S: string; const Chars: TSysCharSet): string;

Description

StrTrimCharsLeft removes all characters defined in the "Chars" set from the left side of the string.

Parameters

const S: string

The string to trim.

Return Value

The trimmed string.

Donator

Leonard Wennekers

Group

String Transformation Routines

Unit

JclStrings


StrTrimCharsRight Function

Removes characters from the right side of supplied string.

Pascal

function StrTrimCharsRight(const S: string; const Chars: TSysCharSet): string;

Description

StrTrimCharsLeft removes all characters defined in the "Chars" set from the right side of the string.

Parameters

const S: string

The string to trim.

Return Value

The trimmed string.

Donator

Leonard Wennekers

Group

String Transformation Routines

Unit

JclStrings


StrAnsiToOem Function

Translates an ANSI string into a string using the OEM character set.

Pascal

function StrAnsiToOem(const S: string): string;

Description

The StrAnsiToOem function translates an ansi string into a string using the OEM defined character set.

Parameters

const S: string

The string to translate.

Return Value

The translated string.

Donator

Unknown

Group

String Transformation Routines

Unit

JclStrings


StrOemToAnsi Function

Translates an OEM string into an ansi string.

Pascal

function StrOemToAnsi(const S: string): string;

Description

The StrOemToAnsi function translated a string using the OEM defined character set into an ansi string.

Parameters

const S: string

The string to translate.

Return Value

The translated string.

Donator

Unknown

Group

String Transformation Routines

Unit

JclStrings


StrCharsCount Function

Counts the occurrences of characters in a string.

Pascal

function StrCharsCount(const S: string; Chars: TSysCharSet): Integer;

Description

StrCharsCount returns the number of occurrences of the specified characters in the supplied string.

Parameters

const S: string

Source string.

Chars: TSysCharSet

The characters which occurrences to count.

Return Value

The number of occurrences of Chars in S.

Donator

Unknown

Group

String Transformation Routines

Unit

JclStrings


TStrings Manipulation

String manipulation

Functions

StrToStrings

Converts a string into a list of strings using the specified separator character.

StringsToStr

Converts a stringlist to a single string.

TrimStrings

Trims all strings in a string list.

TrimStringsRight

Right trims all strings in a stringlist.

TrimStringsLeft

Left trims all strings in a stringlist.


TStrings Manipulation Functions

TStrings Manipulation

Functions

StrToStrings

Converts a string into a list of strings using the specified separator character.

StringsToStr

Converts a stringlist to a single string.

TrimStrings

Trims all strings in a string list.

TrimStringsRight

Right trims all strings in a stringlist.

TrimStringsLeft

Left trims all strings in a stringlist.


StrToStrings Function

See Also

Converts a string into a list of strings using the specified separator character.

Pascal

procedure StrToStrings(S: string; Sep: string; const List: TStrings; const AllowEmptyString: Boolean = True);

Description

StrToStrings converts the supplied string, which supposedly is a list of strings packed into a single string variable, to a TStrings. The function uses the supplied separator string to separate the string into its individual elements.

For example, if you call the function like this: StrToStrings('Project JEDI Rules', ' ', List) then on return list will contain three items, namely 'Project', 'JEDI', and 'Rules'. As this example shows, the last string doesn't have to be terminated by the separator string although it is allowed.

Parameters

S: string

The string to split into elements

Sep: string

The string that separates the individual elements

const List: TStrings

A TStrings derivative that receives the individual elements

Notes

The list will be cleared by this function before adding the elements.

Donator

Anthony Steele

Group

TStrings Manipulation

Unit

JclStrings


See Also

StringsToStr


StringsToStr Function

See Also

Converts a stringlist to a single string.

Pascal

function StringsToStr(const List: TStrings; const Sep: string; const AllowEmptyString: Boolean = True): string;

Description

StringsToStr concatenates the items in List, separating them with the specified separator string and returns the resulting string. The last element is not terminated with the separator (its a separator not a terminator after all).

Parameters

const List: TStrings

Stringlist which contains the strings to concatenate.

const Sep: string

String to separate the individual strings with.

Donator

Marcel van Brakel

Group

TStrings Manipulation

Unit

JclStrings


See Also

StrToStrings


TrimStrings Function

See Also

Trims all strings in a string list.

Pascal

procedure TrimStrings(const List: TStrings; DeleteIfEmpty: Boolean = True);

Description

TrimStrings trims all strings in the specified stringlist using the standard Delphi Trim procedure. If an entry in the list is empty or trimming it causes it to become empty, the entry is optionally deleted from the list depending the DeleteIfEmpty parameter.

Parameters

const List: TStrings

The stringlist whose contents to trim.

DeleteIfEmpty: Boolean = True

If True and a list entry is empty, or trimming it results in an empty string, the entry is deleted from the list.

Donator

Anthony Steele

Group

TStrings Manipulation

Unit

JclStrings


See Also

TrimStringsRight TrimStringsLeft


TrimStringsRight Function

See Also

Right trims all strings in a stringlist.

Pascal

procedure TrimStringsRight(const List: TStrings; DeleteIfEmpty: Boolean = True);

Description

TrimStringsRight right trims all strings in the specified stringlist using the standard Delphi TrimRight procedure. If an entry in the list is empty or trimming it causes it to become empty, the entry is optionally deleted from the list depending on the DeleteIfEmpty parameter.

Parameters

const List: TStrings

The stringlist whose contents to right trim.

DeleteIfEmpty: Boolean = True

If True and a list entry is empty, or trimming it results in an empty string, the entry is deleted from the list.

Donator

Anthony Steele

Group

TStrings Manipulation

Unit

JclStrings


See Also

TrimStrings TrimStringsLeft


TrimStringsLeft Function

See Also

Left trims all strings in a stringlist.

Pascal

procedure TrimStringsLeft(const List: TStrings; DeleteIfEmpty: Boolean = True);

Description

TrimStringsLeft left trims all strings in the specified stringlist using the standard Delphi TrimLeft procedure. If an entry in the list is empty or trimming it causes it to become empty, the entry is optionally deleted from the list depending on the DeleteIfEmpty parameter.

Parameters

const List: TStrings

The stringlist whose contents to left trim.

DeleteIfEmpty: Boolean = True

If True and a list entry is empty, or trimming it results in an empty string, the entry is deleted from the list.

Donator

Anthony Steele

Group

TStrings Manipulation

Unit

JclStrings


See Also

TrimStrings TrimStringsRight


System Information Routines

JEDI Code Library

Topics

Common Folders

Environment

Hardware

Identification

Keyboard

Memory

Power Management

Processes, Tasks and Modules

Version Information

Functions

RoundToAllocGranularityPtr

Rounds an address to an allocation boundary.


System Information Routines Functions

System Information Routines

Functions

RoundToAllocGranularityPtr

Rounds an address to an allocation boundary.


Topics

System Information Routines

Topics

Common Folders

Environment

Hardware

Identification

Keyboard

Memory

Power Management

Processes, Tasks and Modules

Version Information


RoundToAllocGranularityPtr Function

Rounds an address to an allocation boundary.

Pascal

procedure RoundToAllocGranularityPtr(var Value: Pointer; Up: Boolean);

Description

Some Win32 API routines that take pointer parameters require that the specified address is a multiple of the allocation granularity. On current Intel platforms (x86) this is 64K. RoundToAllocGranularityPtr rounds the given 32 bit address to a system defined allocation granularity boundary. You can have the function round upwards or downwards by specifying True or False for the Up parameter respectively. This function also exists for 64 bit pointers.

Parameters

var Value: Pointer

The address to adjust.

Up: Boolean

If True the function rounds the address up to the next multiple of the allocation granularity, if False it rounds the address down to the previous multiple of the allocation granularity.

Donator

Wim De Cleen

Group

System Information Routines

Unit

JclSysInfo


Common Folders

System Information Routines

Functions

GetCommonAppdataFolder

Returns the application data folder for all users.

GetCurrentFolder

Returns the current directory.

GetCommonFilesFolder

Returns the Windows Common Files directory.

GetProgramFilesFolder

Returns the Windows Program Files directory.

GetWindowsFolder

Returns the Windows folder.

GetWindowsSystemFolder

Returns the Windows system directory.

GetWindowsTempFolder

Returns the Windows temp folder.

GetDesktopFolder

Returns the name of the virtual folder representing the Windows desktop.

GetProgramsFolder

Returns the name of the file system directory containing the current user's program groups.

GetPersonalFolder

Returns the name of the directory that serves as a common repository for documents.

GetFavoritesFolder

Returns the name of the directory that serves as a common repository for the user's favorite items.

GetStartupFolder

Returns the name of the directory that corresponds to the user's Startup program group.

GetRecentFolder

Returns the name of the file system directory that contains the user's most recently used documents.

GetSendToFolder

Returns the name of the file system directory that contains Send To menu items.

GetStartmenuFolder

Returns the name of the file system directory containing Start menu items.

GetDesktopDirectoryFolder

Returns the name of the file system directory used to physically store file objects on the desktop.

GetNethoodFolder

Returns the name of the file system directory containing objects that appear in the network neighborhood.

GetFontsFolder

Returns the name of the file system directory containing fonts.

GetCommonStartmenuFolder

Returns the name of the file system directory that contains the programs and folders that appear on the Start menu for all users.

GetCommonProgramsFolder

Returns the name of the file system directory that contains the directories for the common program groups that appear on the Start menu for all users.

GetCommonStartupFolder

Returns the name of the file system directory that contains the programs that appear in the Startup folder for all users.

GetCommonDesktopdirectoryFolder

Returns the name of the file system directory that contains files and folders that appear on the desktop for all users.

GetAppdataFolder

Returns the name of the file system directory that serves as a common repository for application-specific data.

GetPrinthoodFolder

Returns the name of the file system directory that serves as a common repository for printer links.

GetCommonFavoritesFolder

Returns the name of the file system directory that serves as a common repository for all users' favorite items.

GetTemplatesFolder

Returns the name of the file system directory that serves as a common repository for document templates.

GetInternetCacheFolder

Returns the name of the file system directory that serves as a common repository for temporary Internet files.

GetCookiesFolder

Returns the name of the file system directory that serves as a common repository for Internet cookies.

GetHistoryFolder

Returns the name of the file system directory that serves as a common repository for Internet history items.


Common Folders Functions

Common Folders

Functions

GetCommonAppdataFolder

Returns the application data folder for all users.

GetCurrentFolder

Returns the current directory.

GetCommonFilesFolder

Returns the Windows Common Files directory.

GetProgramFilesFolder

Returns the Windows Program Files directory.

GetWindowsFolder

Returns the Windows folder.

GetWindowsSystemFolder

Returns the Windows system directory.

GetWindowsTempFolder

Returns the Windows temp folder.

GetDesktopFolder

Returns the name of the virtual folder representing the Windows desktop.

GetProgramsFolder

Returns the name of the file system directory containing the current user's program groups.

GetPersonalFolder

Returns the name of the directory that serves as a common repository for documents.

GetFavoritesFolder

Returns the name of the directory that serves as a common repository for the user's favorite items.

GetStartupFolder

Returns the name of the directory that corresponds to the user's Startup program group.

GetRecentFolder

Returns the name of the file system directory that contains the user's most recently used documents.

GetSendToFolder

Returns the name of the file system directory that contains Send To menu items.

GetStartmenuFolder

Returns the name of the file system directory containing Start menu items.

GetDesktopDirectoryFolder

Returns the name of the file system directory used to physically store file objects on the desktop.

GetNethoodFolder

Returns the name of the file system directory containing objects that appear in the network neighborhood.

GetFontsFolder

Returns the name of the file system directory containing fonts.

GetCommonStartmenuFolder

Returns the name of the file system directory that contains the programs and folders that appear on the Start menu for all users.

GetCommonProgramsFolder

Returns the name of the file system directory that contains the directories for the common program groups that appear on the Start menu for all users.

GetCommonStartupFolder

Returns the name of the file system directory that contains the programs that appear in the Startup folder for all users.

GetCommonDesktopdirectoryFolder

Returns the name of the file system directory that contains files and folders that appear on the desktop for all users.

GetAppdataFolder

Returns the name of the file system directory that serves as a common repository for application-specific data.

GetPrinthoodFolder

Returns the name of the file system directory that serves as a common repository for printer links.

GetCommonFavoritesFolder

Returns the name of the file system directory that serves as a common repository for all users' favorite items.

GetTemplatesFolder

Returns the name of the file system directory that serves as a common repository for document templates.

GetInternetCacheFolder

Returns the name of the file system directory that serves as a common repository for temporary Internet files.

GetCookiesFolder

Returns the name of the file system directory that serves as a common repository for Internet cookies.

GetHistoryFolder

Returns the name of the file system directory that serves as a common repository for Internet history items.


GetCommonAppdataFolder Function

See Also

Returns the application data folder for all users.

Pascal

function GetCommonAppdataFolder: string;

Description

GetCommonAppdataFolder returns the folder holding application data shared by all users. A typical path is C:Documents and SettingsAll UsersApplication Data.

Return Value

The current directory for the calling process or an empty string on failure.

Notes

Requires shell v 5.00 and upwards.

Donator

Jean-Fabien Connault

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCurrentFolder Function

Returns the current directory.

Pascal

function GetCurrentFolder: string;

Description

GetCurrentFolder returns the current directory (folder) for the calling process.

Return Value

The current directory for the calling process or an empty string on failure.

Donator

Robert Marquardt (Win32), Robert Rossmair (Unix)

Group

Common Folders

Unit

JclSysInfo


GetCommonFilesFolder Function

See Also

Returns the Windows Common Files directory.

Pascal

function GetCommonFilesFolder: string;

Description

GetCommonFilesFolder returns the Windows Common Files folder as read from the registry. On a default installation of Windows 2000 this is a string such as c:Program FilesCommon Files.

Return Value

The Windows Common Files folder. If the function fails it returns an empty string.

Notes

You can use the SHGetFolderPath API function to get many more common directories.

Donator

Carl Clark

Group

Common Folders

Unit

JclSysInfo


See Also

GetProgramFilesFolder


GetProgramFilesFolder Function

See Also

Returns the Windows Program Files directory.

Pascal

function GetProgramFilesFolder: string;

Description

GetProgramFilesFolder returns the Windows Program Files folder as read from the registry. On a default installation of Windows 2000 this is a string such as c:Program Files.

Return Value

The Windows Program Files folder. If the function fails it returns an empty string.

Notes

You can use the SHGetFolderPath API function to get many more common directories.

Donator

Carl Clark

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder


GetWindowsFolder Function

See Also

Returns the Windows folder.

Pascal

function GetWindowsFolder: string;

Description

The GetWindowsFolder function retrieves the path of the Windows directory. The Windows directory contains such files as Win32-based applications, initialization files, and help files. On a default installation of Windows 2000 this is c:winnt.

Return Value

The Windows directory or an empty string on failure.

Donator

Petr Vones

Group

Common Folders

Unit

JclSysInfo


See Also

GetWindowsSystemFolder


GetWindowsSystemFolder Function

See Also

Returns the Windows system directory.

Pascal

function GetWindowsSystemFolder: string;

Description

The GetWindowsSystemFolder function retrieves the path of the system directory. The system directory contains such files as dynamic-link libraries, drivers, and font files. On a default installation of Windows 2000 this is c:winntsystem32.

Return Value

The Windows system directory or an empty string on failure.

Donator

Petr Vones

Group

Common Folders

Unit

JclSysInfo


See Also

GetWindowsFolder


GetWindowsTempFolder Function

Returns the Windows temp folder.

Pascal

function GetWindowsTempFolder: string;

Description

The GetWindowsTempFolder function retrieves the path of the directory designated for temporary files. Normally this is the folder specified by the TMP or TEMP environment variable. If TMP and TEMP do not exist then for Windows 95/98 the result is the current directory and for Windows NT/2000 the result is the Windows directory.

Return Value

The Windows folder designated for temporary files.

Donator

Nick Hodges

Group

Common Folders

Unit

JclSysInfo


GetDesktopFolder Function

See Also

Returns the name of the virtual folder representing the Windows desktop.

Pascal

function GetDesktopFolder: string;

Description

GetDesktopFolder returns the name of the virtual folder (directory) representing the Windows desktop. On a standard Windows NT 4.0 installation, this is equivalent to "C:WINNTProfiles%Username%Desktop".

Return Value

A string containing the local path to the desktop directory.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetProgramsFolder Function

See Also

Returns the name of the file system directory containing the current user's program groups.

Pascal

function GetProgramsFolder: string;

Description

GetProgramsFolder returns the name of the file system directory containing the user's program groups (which are in fact file system directories themselves) and program shortcuts (which are special files). On a standard Windows NT 4.0 installation, this is equivalent to "C:WINNTProfiles%Username%Start MenuProgram Files".

Return Value

A string containing the local path to the programs directory.

Notes

Applications that need to add program groups and program shortcuts should place them into the directory returned by this function.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder


GetPersonalFolder Function

See Also

Returns the name of the directory that serves as a common repository for documents.

Pascal

function GetPersonalFolder: string;

Description

GetPersonalFolder returns the name of the directory that serves as a common repository for documents. On a standard Windows NT 4.0 installation, this is equivalent to "C:WINNTProfiles%Username%freterPersonal Files".

Return Value

A string containing the local path to the current user's personal files folder.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetFavoritesFolder Function

See Also

Returns the name of the directory that serves as a common repository for the user's favorite items.

Pascal

function GetFavoritesFolder: string;

Description

GetFavoritesFolder returns the name of the directory that serves as a common repository for the user's favorite items. On a standard Windows NT 4.0 installation, this is equivalent to "C:WINNTProfiles%Username%Favorites".

Return Value

A string containing the local path to the current user's favorite files folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetStartupFolder Function

See Also

Returns the name of the directory that corresponds to the user's Startup program group.

Pascal

function GetStartupFolder: string;

Description

GetStartupFolder returns the name of the directory that corresponds to the user's Startup program group. The system starts these programs whenever any user logs onto Windows NT or starts Windows 95. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Start MenuProgram FilesStartup".

Return Value

A string containing the local path to the current user's startup files folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetRecentFolder Function

See Also

Returns the name of the file system directory that contains the user's most recently used documents.

Pascal

function GetRecentFolder: string;

Description

GetRecentFolder returns the name of the file system directory that contains the user's most recently used documents. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Recent".

Return Value

A string containing the local path to the current user's recently used files folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetSendToFolder Function

See Also

Returns the name of the file system directory that contains Send To menu items.

Pascal

function GetSendToFolder: string;

Description

GetSendToFolder returns the name of the file system directory that contains Send To menu items. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%SendTo".

Return Value

A string containing the local path to the current user's Send To files folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetStartmenuFolder Function

See Also

Returns the name of the file system directory containing Start menu items.

Pascal

function GetStartmenuFolder: string;

Description

GetStartmenuFolder returns the name of the file system directory containing Start menu items. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%SendTo".

Return Value

A string containing the local path to the current user's Start menu folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetDesktopDirectoryFolder Function

See Also

Returns the name of the file system directory used to physically store file objects on the desktop.

Pascal

function GetDesktopDirectoryFolder: string;

Description

GetDesktopDirectoryFolder returns the name of the file system directory used to physically store file objects on the desktop (not to be confused with the desktop folder itself). On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Desktop".

Return Value

A string containing the local path to the current user's desktop folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetNethoodFolder Function

See Also

Returns the name of the file system directory containing objects that appear in the network neighborhood.

Pascal

function GetNethoodFolder: string;

Description

GetNetHoodFolder returns the name of the file system directory containing objects that appear in the network neighborhood. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Nethood".

Return Value

A string containing the local path to the current user's nethood folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetFontsFolder Function

See Also

Returns the name of the file system directory containing fonts.

Pascal

function GetFontsFolder: string;

Description

GetFontsFolder returns the name of the file system directory containing fonts. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTFonts".

Return Value

A string containing the local path to the system's fonts folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCommonStartmenuFolder Function

See Also

Returns the name of the file system directory that contains the programs and folders that appear on the Start menu for all users.

Pascal

function GetCommonStartmenuFolder: string;

Description

GetCommonStartmenuFolder returns the name of the file system directory that contains the programs and folders that appear on the Start menu for all users. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfilesAll UsersStart Menu".

Return Value

A string containing the local path to the system's Start menu folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCommonProgramsFolder Function

See Also

Returns the name of the file system directory that contains the directories for the common program groups that appear on the Start menu for all users.

Pascal

function GetCommonProgramsFolder: string;

Description

Returns the name of the file system directory that contains the directories for the common program groups that appear on the Start menu for all users. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfilesAll UsersStart MenuProgram Files".

Return Value

A string containing the local path to the system's programs folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCommonStartupFolder Function

See Also

Returns the name of the file system directory that contains the programs that appear in the Startup folder for all users.

Pascal

function GetCommonStartupFolder: string;

Description

GetCommonStartupFolder returns the name of the file system directory that contains the programs that appear in the Startup folder for all users. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfilesAll UsersStart MenuProgram FileStartup".

Return Value

A string containing the local path to the system's Startup folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonDesktopdirectoryFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCommonDesktopdirectoryFolder Function

See Also

Returns the name of the file system directory that contains files and folders that appear on the desktop for all users.

Pascal

function GetCommonDesktopdirectoryFolder: string;

Description

GetCommonDesktopdirectoryFolder returns the name of the file system directory that contains files and folders that appear on the desktop for all users. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfilesAll UsersDesktop".

Return Value

A string containing the local path to the system's desktop folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonAppdataFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetAppdataFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for application-specific data.

Pascal

function GetAppdataFolder: string;

Description

GetAppdataFolder Returns the name of the file system directory that serves as a common repository for application-specific data. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Application Data".

Return Value

A string containing the local path to the current user's application data folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetPrinthoodFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for printer links.

Pascal

function GetPrinthoodFolder: string;

Description

GetPrinthoodFolder Returns the name of the file system directory that serves as a common repository for printer links. On a standard Windows NT 4.0 installation, this directory is equivalent to "C:WINNTProfiles%Username%Printhood".

Return Value

A string containing the local path to the current user's printhood folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCommonFavoritesFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for all users' favorite items.

Pascal

function GetCommonFavoritesFolder: string;

Description

GetCommonFavoritesFolder returns the name of the file system directory that serves as a common repository for all users' favorite items.

Return Value

A string containing the local path to the systems's favorites files folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetPrinthoodFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetTemplatesFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for document templates.

Pascal

function GetTemplatesFolder: string;

Description

GetTemplatesFolder returns the name of the file system directory that serves as a common repository for document templates.

Return Value

A string containing the local path to the current user's templates folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetInternetCacheFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetInternetCacheFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for temporary Internet files.

Pascal

function GetInternetCacheFolder: string;

Description

GetInternetCacheFolder returns the name of the file system directory that serves as a common repository for temporary Internet files.

Return Value

A string containing the local path to the current user's internet cache folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetCookiesFolder GetHistoryFolder GetProgramsFolder


GetCookiesFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for Internet cookies.

Pascal

function GetCookiesFolder: string;

Description

GetCookiesFolder returns the name of the file system directory that serves as a common repository for Internet cookies.

Return Value

A string containing the local path to the current user's internet cookies folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetHistoryFolder GetProgramsFolder


GetHistoryFolder Function

See Also

Returns the name of the file system directory that serves as a common repository for Internet history items.

Pascal

function GetHistoryFolder: string;

Description

GetHistoryFolder returns the name of the file system directory that serves as a common repository for Internet history items.

Return Value

A string containing the local path to the current user's internet history folder.

Donator

Peter Friese

Group

Common Folders

Unit

JclSysInfo


See Also

GetCommonFilesFolder GetCurrentFolder GetProgramFilesFolder GetWindowsFolder GetWindowsSystemFolder GetWindowsTempFolder GetDesktopFolder GetPersonalFolder GetFavoritesFolder GetStartupFolder GetRecentFolder GetSendToFolder GetStartmenuFolder GetDesktopDirectoryFolder GetNethoodFolder GetFontsFolder GetCommonStartmenuFolder GetCommonProgramsFolder GetCommonStartupFolder GetCommonDesktopdirectoryFolder GetAppdataFolder GetPrinthoodFolder GetCommonFavoritesFolder GetTemplatesFolder GetInternetCacheFolder GetCookiesFolder GetProgramsFolder


Environment

Legend

System Information Routines

Enumerations

 TEnvironmentOption

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.

Functions

GetEnvironmentVar

Retrieves the value of an environment variable.

GetEnvironmentVars

Retrieves a list of all environment variables.

DelEnvironmentVar

Deletes a environment variable.

ExpandEnvironmentVar

Expands the environment variable.

SetEnvironmentVar

Sets the value of an environment variable.

CreateEnvironmentBlock

Prepares a new environment block for CreateProcAsUserEx

Types

TEnvironmentOptions

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.

Legend

Enumeration


Environment Functions

Environment

Functions

GetEnvironmentVar

Retrieves the value of an environment variable.

GetEnvironmentVars

Retrieves a list of all environment variables.

DelEnvironmentVar

Deletes a environment variable.

ExpandEnvironmentVar

Expands the environment variable.

SetEnvironmentVar

Sets the value of an environment variable.

CreateEnvironmentBlock

Prepares a new environment block for CreateProcAsUserEx


Environment Enumerations

Environment	Legend

Enumerations

 TEnvironmentOption

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.


Legend

Enumeration


Environment Types

Environment

Types

TEnvironmentOptions

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.


Legend

Environment

Legend

Enumeration


GetEnvironmentVar Function

See Also

Retrieves the value of an environment variable.

Pascal

function GetEnvironmentVar(const Name: string; var Value: string): Boolean; overload;
function GetEnvironmentVar(const Name: string; var Value: string; Expand: Boolean): Boolean; overload;

Description

GetEnvironmentVar retrieves the value of the specified environment variable from the process environment block. Depending on the value of the Expand parameter, the returned string may contain environment variable strings such as %systemroot%. To expand the string, thereby replacing the strings with their system defined value, use ExpandEnvironmentVar.

Parameters

const Name: string

Name of the environment variable to retrieve.

var Value: string

Receives the value of the specified environment variable, if it exists.

Expand: Boolean

If True the returned value has the embedded environment strings expanded. If False these string are left unexpanded.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel (Win32), André Snepvangers (Unix)

Group

Environment

Unit

JclSysInfo


See Also

DelEnvironmentVar ExpandEnvironmentVar GetEnvironmentVars SetEnvironmentVar


GetEnvironmentVars Function

See Also

Retrieves a list of all environment variables.

Pascal

function GetEnvironmentVars(const Vars: TStrings): Boolean; overload;
function GetEnvironmentVars(const Vars: TStrings; Expand: Boolean): Boolean; overload;

Description

GetEnvironmentVars is similar to GetEnvironmentVar except that it retrieves a list of environment variables in the process environment block and their values. If Expand is set to True any embedded environment strings, such as %systemroot% are replaced by their system defined value before exit. Use of this function is not recommended by Microsoft. Instead you should use GetEnvironmentVar to query the value of specific environment variables.

Parameters

const Vars: TStrings

Receives the list of environment variables and their values.

Expand: Boolean

If True the individual items have the embedded environment strings expanded to their system defined value before exit. If False this expansion is not done.

Return Value

If the function succeeds in retrieving the environment strings it returns True, on failure it returns False. Note that a result of True does not necessarily mean that environment string expansion was successful for all variables.

Donator

Marcel van Brakel (Win32), Robert Rossmair (Unix)

Group

Environment

Unit

JclSysInfo


See Also

DelEnvironmentVar ExpandEnvironmentVar GetEnvironmentVar SetEnvironmentVar


DelEnvironmentVar Function

See Also

Deletes a environment variable.

Pascal

function DelEnvironmentVar(const Name: string): Boolean;

Description

DelEnvironmentVar deletes the environment variable specified by Name in the calling process's environment block.

Parameters

const Name: string

Name of the environment variable to delete.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel (Win32), André Snepvangers (Unix)

Group

Environment

Unit

JclSysInfo


See Also

ExpandEnvironmentVar GetEnvironmentVar GetEnvironmentVars SetEnvironmentVar


ExpandEnvironmentVar Function

See Also

Expands the environment variable.

Pascal

function ExpandEnvironmentVar(var Value: string): Boolean;

Description

ExpandEnvironmentVar expands an environment variable. If the variable contains environment variable strings, for example %systemroot%, then these are replaced by the system defined values for that specific variable. If the variable does not exist it is left intact.

Parameters

var Value: string

On input the string which may contain environment variable strings that you want to expand. On exit a copy of the input with environment variables replaced by their system defined value, if they exist.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the content of Value is undefined.

Donator

Marcel van Brakel (Win32), André Snepvangers (Unix)

Group

Environment

Unit

JclSysInfo


See Also

DelEnvironmentVar GetEnvironmentVar GetEnvironmentVars SetEnvironmentVar


SetEnvironmentVar Function

See Also

Sets the value of an environment variable.

Pascal

function SetEnvironmentVar(const Name: string; const Value: string): Boolean;

Description

SetEnvironmentVar sets the value of the specified environment variable to the supplied value. If the variable does not exists it is created first.

Parameters

const Name: string

Name of the environment variable to set.

const Value: string

New value for the specified environment variable.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel (Win32), André Snepvangers (Unix)

Group

Environment

Unit

JclSysInfo


See Also

DelEnvironmentVar ExpandEnvironmentVar GetEnvironmentVar GetEnvironmentVars


CreateEnvironmentBlock Function

See Also

Prepares a new environment block for CreateProcAsUserEx

Pascal

function CreateEnvironmentBlock(const Options: TEnvironmentOptions; const AdditionalVars: TStrings): PChar;

Description

CreateEnvironmentBlock prepares a process environment block. It is used by CreateProcAsUserEx, which launches a new process with a new environment block. By setting the appropriate options, you can determine whether the function will include the current environment block within the new environment block. Also, you can add a customized set of environment variables by supplying the AdditionalVars parameter.

Parameters

const Options: TEnvironmentOptions

Determines whether the global and / or user related environment variables will be included in the result.

const AdditionalVars: TStrings

This list contains additional strings for the new environment block. The entries in this list must be name / value pairs (e.g. 'name=value'). You may pass a nil value in this parameter, which makes the function behave exactly as CreateProcAsUser.

Return Value

As the result, you will receive a PChar containing a list of environment variables. This PChar can directly be used with functions like CreateProcAsUserEx.

Notes

The caller is responsible to release the returned PChar when it is no longer needed.

Donator

Peter Friese

Group

Environment

Unit

JclSysInfo


See Also

CreateProcAsUserEx CreateProcAsUser TEnvironmentOptions


TEnvironmentOption Enumeration

See Also

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.

Pascal

TEnvironmentOption = (
  eoLocalMachine,
  eoCurrentUser,
  eoAdditional
);
TEnvironmentOptions = set of TEnvironmentOption;

Description

This set of options for CreateEnvironmentBlock will determine which environment variables will be copied to the new environemt block.

eoLocalMachine

Copy the environment block defined globally for the local machine.

eoCurrentUser

Copy the environment of the user that is running the process.

eoAdditional

Copy additional name / value pairs to the new environment block. These additional pairs must be passed in the AdditionalVars parameter of the CreateEnvironmentBlock function.

Donator

Peter Friese

Group

Environment

Unit

JclSysInfo


See Also

CreateEnvironmentBlock


Hardware

Legend

System Information Routines

Topics

GetCpuSpeed

Returns information about the processor speed.

Functions

TestFDIVInstruction

Tests the processor for the flawed FDIV instruction.

CPUID

Returns information about the processor.

RoundFrequency

Normalizes a frequency.

GetMacAddresses

Retrieves the MAC addresses for a computer.

ReadTimeStampCounter

Reads the time stamp counter.

GetCpuInfo

Returns information about the CPU.

GetIntelCacheDescription

Returns a descriptive string for an Intel cache descriptor.

Records

 TIntelSpecific

Describes the cache of an Intel processor.

 TCyrixSpecific

Describes the cache of a Cyrix processor.

 TAMDSpecific

Describes the cache of an AMD processor.

 TCacheInfo

The IntelCacheDescription global variable uses this type to provide a mapping from a cache descriptor to a cache entry description.

 TFreqInfo

Record used as a field in the TCpuInfo record which contains frequency information about the CPU. This information is calculated when you call GetCpuInfo.

 TCpuInfo

The TCpuInfo record is used by GetCpuInfo and returns the requested processor information.

Variables

ProcessorCount

Number of processors.

Legend

Record


Hardware Variables

Hardware

Variables

ProcessorCount

Number of processors.


Hardware Functions

Hardware

Functions

TestFDIVInstruction

Tests the processor for the flawed FDIV instruction.

CPUID

Returns information about the processor.

RoundFrequency

Normalizes a frequency.

GetMacAddresses

Retrieves the MAC addresses for a computer.

ReadTimeStampCounter

Reads the time stamp counter.

GetCpuInfo

Returns information about the CPU.

GetIntelCacheDescription

Returns a descriptive string for an Intel cache descriptor.


Topics

Hardware

Topics

GetCpuSpeed

Returns information about the processor speed.


Hardware Records

Hardware	Legend

Records

 TIntelSpecific

Describes the cache of an Intel processor.

 TCyrixSpecific

Describes the cache of a Cyrix processor.

 TAMDSpecific

Describes the cache of an AMD processor.

 TCacheInfo

The IntelCacheDescription global variable uses this type to provide a mapping from a cache descriptor to a cache entry description.

 TFreqInfo

Record used as a field in the TCpuInfo record which contains frequency information about the CPU. This information is calculated when you call GetCpuInfo.

 TCpuInfo

The TCpuInfo record is used by GetCpuInfo and returns the requested processor information.


Legend

Record


Legend

Hardware

Legend

Record


ProcessorCount Variable

Number of processors.

Pascal

ProcessorCount: Cardinal = 0;

Description

ProcessorCount contains the number of processors in the system. Initialized during unit initialization.

Donator

Marcel van Brakel

Group

Hardware

Unit

JclSysInfo


TestFDIVInstruction Function

See Also

Tests the processor for the flawed FDIV instruction.

Pascal

function TestFDIVInstruction: Boolean;

Description

TestFDIVInstruction tests the processor for the correctness of the FDIV instruction. Older pentium processors had a bug in this instruction that caused incorrect results under specific circumstances. Modern processors do not exhibit this bug.

Return Value

If the FDIV instruction is OK the function returns True, if it is flawed the function returns False.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


See Also

GetCpuInfo TCpuInfo TestFDIVInstruction GetCpuSpeed


CPUID Function

See Also

Returns information about the processor.

Pascal

function CPUID: TCpuInfo;

Description

CPUID is used by GetCpuInfo for obtaining information about the processor. You can call this function directly but it is recommend you use GetCpuInfo instead. If you do call CPUID then keep in mind that the ISFDIVOK, FrequencyInfo and MMX fields of the returned TCpuInfo record contain undefined data.

Return Value

CPUID returns information about the processor through a TCpuInfo record.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


See Also

GetCpuInfo TCpuInfo TestFDIVInstruction GetCpuSpeed


GetCpuSpeed

See Also

Returns information about the processor speed.

Description

GetCpuSpeed calculates the speed (frequency) of a processor. It returns the information in a TFreqInfo record which includes the actual calculated speed as well as a normalized speed.

Parameters

CpuSpeed

Receives the CPU speed. See the description of TFreqInfo for more information about the members of this record.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the content of the CpuSpeed parameter is undefined.

Donator

Bryan Coutch

Group

Hardware


See Also

GetCpuInfo TFreqInfo


RoundFrequency Function

Normalizes a frequency.

Pascal

function RoundFrequency(const Frequency: Integer): Integer;

Description

RoundFrequency rounds a frequency as obtained from GetCpuSpeed to a normalized frequency. For example, if GetCpuSpeed returns a calculated frequency of 266.13 MHz then RoundFrequency will return the normalized 266 MHz.

Parameters

const Frequency: Integer

The frequency to round (normalize) in MHz.

Return Value

The normalized frequency in MHz.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


GetMacAddresses Function

Retrieves the MAC addresses for a computer.

Pascal

function GetMacAddresses(const Machine: string; const Addresses: TStrings): Integer;

Description

GetMacAddresses returns a list of all MAC addresses for the specified computer. The computer can be the local computer or a computer on the network.

Parameters

const Machine: string

Netbios name of the computer who's MAC addresses you want. This can be the 'standard' computer name of a computer on the network or a '*' for the local computer (you can also use the local computer name or an empty string).

const Addresses: TStrings

On output a list of all MAC address found.

Return Value

The function returns the number of MAC addresses that are available for the specified computer. The Addresses list may contain fewer addresses though. The function attempts to get all the addresses but might fail for some of them, in which case it continues to retrieve the remaining addresses. In case of complete failure the function returns -1 and the Addresses list will be empty.

Notes

This function is an adapted conversion from the Platform SDK example described in knowledge base article Q118623.

Donator

Marcel van Brakel

Group

Hardware

Unit

JclSysInfo


ReadTimeStampCounter Function

Reads the time stamp counter.

Pascal

function ReadTimeStampCounter: Int64;

Description

The ReadTimeStampCounter function reads and returns the current value of the time stamp counter. The time-stamp counter counts CPU clocks from the time the processor is reset, where it is initialized to an unknown count. This is a 64 bit count and therefore it can accumulate counts for almost 2500 years (based on a 200MHz processor) before a rollover occurs. You may want to consider inlining this instruction as opposed to calling this function. If you do, the resulting 64 bit integer containing the count is returned in the combination EDX:EAX.

Return Value

The current value of the time stamp counter.

Notes

This instruction is only available on Pentium (and higher) processors.

Donator

Azret Botash

Group

Hardware

Unit

JclSysInfo


TIntelSpecific Record

Describes the cache of an Intel processor.

Pascal

TIntelSpecific = record
  L2Cache: Cardinal;
  CacheDescriptors: array [0..15] of Byte;
  BrandID: Byte;
  ExFeatures: Cardinal;
  Ex64Features: Cardinal;
end;

Description

Describes the cache of an Intel processor.

L2Cache: Cardinal;

Size of the level 2 cache in Kb.

CacheDescriptors: array [0..15] of Byte;

Detailed information about the data and instruction caches. You can map these entries to a descriptive string by using the IntelCacheDescription global variable. The entry in that array for which the D member matches the value in the CacheDescriptors array is the entry who's I member contains the descriptive string. You can use the IntelCacheDescription function to get that string.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


TCyrixSpecific Record

Describes the cache of a Cyrix processor.

Pascal

TCyrixSpecific = record
  L1CacheInfo: array [0..3] of Byte;
  TLBInfo: array [0..3] of Byte;
end;

Description

Describes the cache of a Cyrix processor.

L1CacheInfo: array [0..3] of Byte;

Describes the level 1 cache. If an entry contains the value $80 it denotes a '16KB L1 Cache, 4-way set associative, 16 byte line size' cache.

TLBInfo: array [0..3] of Byte;

Describes the TLB. If an entry contains the value $70 it denotes a 'TLB, 4Kb pages, 4-way set associative, 32 entries' TLB.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


TAMDSpecific Record

Describes the cache of an AMD processor.

Pascal

TAMDSpecific = record
  ExFeatures: Cardinal;
  MByteDataTLB: array [TTLBInformation] of Byte;
  MByteInstructionTLB: array [TTLBInformation] of Byte;
  KByteDataTLB: array [TTLBInformation] of Byte;
  KByteInstructionTLB: array [TTLBInformation] of Byte;
  L1DataCache: array [TCacheInformation] of Byte;
  L1InstructionCache: array [TCacheInformation] of Byte;
  L2MByteDataTLB: array [TTLBInformation] of Byte;
  L2MByteInstructionTLB: array [TTLBInformation] of Byte;
  L2KByteDataTLB: array [TTLBInformation] of Byte;
  L2KByteInstructionTLB: array [TTLBInformation] of Byte;
  L2Cache: Cardinal;
  AdvancedPowerManagement: Cardinal;
  PhysicalAddressSize: Byte;
  VirtualAddressSize: Byte;
end;

Description

Describes the cache of an AMD processor.

L1DataCache: array [TCacheInformation] of Byte;

Describes the level 1 data cache. The entries have the following meaning: * L1DataCache[0] Line size in bytes * L1DataCache[1] Lines per tag * L1DataCache[2] Associativity ($FF is fully associative) * L1DataCache[3] Size in Kb

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


TCacheInfo Record

The IntelCacheDescription global variable uses this type to provide a mapping from a cache descriptor to a cache entry description.

Pascal

TCacheInfo = record
  D: Byte;
  Family: TCacheFamily;
  Size: Cardinal;
  WaysOfAssoc: Byte;
  LineSize: Byte;
  LinePerSector: Byte;
  Entries: Cardinal;
  I: string;
end;

Description

The IntelCacheDescription global variable uses this type to provide a mapping from a cache descriptor to a cache entry description.

D: Byte;

Descriptor used to match a cache descriptor to it's representative string.

I: string;

Description of cache.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


TFreqInfo Record

Record used as a field in the TCpuInfo record which contains frequency information about the CPU. This information is calculated when you call GetCpuInfo.

Pascal

TFreqInfo = record
  RawFreq: Cardinal;
  NormFreq: Cardinal;
  InCycles: Cardinal;
  ExTicks: Cardinal;
end;

Description

Record used as a field in the TCpuInfo record which contains frequency information about the CPU. This information is calculated when you call GetCpuInfo.

RawFreq: Cardinal;

The raw frequency of the CPU in MHz.

NormFreq: Cardinal;

The normalized frequency of the CPU in MHz.

InCycles: Cardinal;

The elapsed, internal clock cycles during the test.

ExTicks: Cardinal;

The time, in microseconds, that elapsed during the test.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


TCpuInfo Record

The TCpuInfo record is used by GetCpuInfo and returns the requested processor information.

Pascal

TCpuInfo = record
  HasInstruction: Boolean;
  MMX: Boolean;
  ExMMX: Boolean;
  _3DNow: Boolean;
  Ex3DNow: Boolean;
  SSE: Byte;
  IsFDIVOK: Boolean;
  Is64Bits: Boolean;
  HasCacheInfo: Boolean;
  HasExtendedInfo: Boolean;
  PType: Byte;
  Family: Byte;
  ExtendedFamily: Byte;
  Model: Byte;
  ExtendedModel: Byte;
  Stepping: Byte;
  Features: Cardinal;
  FrequencyInfo: TFreqInfo;
  VendorIDString: array [0..11] of Char;
  Manufacturer: array [0..9] of Char;
  CpuName: array [0..47] of Char;
  L1DataCacheSize: Cardinal;
  L1DataCacheLineSize: Byte;
  L1DataCacheAssociativity: Byte;
  L1InstructionCacheSize: Cardinal;
  L1InstructionCacheLineSize: Byte;
  L1InstructionCacheAssociativity: Byte;
  L2CacheSize: Cardinal;
  L2CacheLineSize: Byte;
  L2CacheAssociativity: Byte;
  L3CacheSize: Cardinal;
  L3CacheLineSize: Byte;
  L3CacheAssociativity: Byte;
  L3LinesPerSector: Byte;
  CpuType: Byte;
  case Byte of
    CPU_TYPE_AMD: (AMDSpecific: TAMDSpecific;);
    CPU_TYPE_CYRIX: (CyrixSpecific: TCyrixSpecific;);
    CPU_TYPE_INTEL: (IntelSpecific: TIntelSpecific;);
    CPU_TYPE_TRANSMETA: (TransmetaSpecific: TTransmetaSpecific;);
    CPU_TYPE_VIA: (ViaSpecific: TViaSpecific;);
end;

Description

The TCpuInfo record is used by GetCpuInfo and returns the requested processor information.

HasInstruction: Boolean;

True if the processor supports CPU identification instructions. If False the MMX, Features and FrequencyInfo fields do not contain valid data.

MMX: Boolean;

True if the processor supports the MMX extension instructions.

IsFDIVOK: Boolean;

True if the FDIV instruction is OK, False if it's flawed.

HasCacheInfo: Boolean;

True if the processor specific subrecords contain valid cache information data. If False the IntelSpecific, CyrixSpecific and AMDSpecific subrecords do not contain valid data.

HasExtendedInfo: Boolean;

Denotes whether or not the AMD or Cyrix processors have the extended CPUID instruction. This affects the possible flags in the Features field. If False the Features member does not contain any of the extended Cyrix and AMD flags (the ones starting with an 'E').

PType: Byte;

Denotes the CPU: Type 0 = Normal, 1 = Overdrive

Family: Byte;

Processor family. For example, for Intel processors a value of 4 denotes a 486, 5 a Pentium and 6 a Pentium Pro. The family and model members are used together to form a descriptive string in the CpuName member.

Model: Byte;

The specific model within a processor family. For example, for an Intel processor with family 6 (Pentium Pro) a value of 1 denotes a Pentium Pro while a 3 denotes a Pentium II. The family and model members are used together to form a descriptive string in the CpuName member.

Features: Cardinal;

Contains a set of flags detailing the features of the processor. The possible flags are processor specific. See Flags for more information.

FrequencyInfo: TFreqInfo;

Contains processor freqeuncy information.

VendorIDString: array [0..11] of Char;

Contains a string describing the processor's vendor.

Manufacturer: array [0..9] of Char;

Contains a string describing the processor's manufacturer.

CpuName: array [0..47] of Char;

Contains a descriptive string for the processor (for example "Pentium II Xeon").

CpuType: Byte;

Denotes the CPU vendor, can be one of the following values: CPU_TYPE_INTEL, CPU_TYPE_CYRIX, CPU_TYPE_AMD.

IntelSpecific: TIntelSpecific;

Contains Intel processor specific information. Only valid if HasCacheInfo is True.

CyrixSpecific: TCyrixSpecific;

Contains Cyrix processor specific information. Only valid if HasCacheInfo is True.

AMDSpecific: TAMDSpecific;

Contains AMD processor specific information. Only valid if HasCacheInfo is True.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


GetCpuInfo Function

Returns information about the CPU.

Pascal

procedure GetCpuInfo(var CpuInfo: TCpuInfo);

Description

GetCpuInfo returns extensive information about the CPU (Central Processing Unit). It returns 'generic' information such as type, speed and manufacturer information as well as brand specific information for Intel, AMD, Cyrix, and Transmeta processors. This function includes support for the Intel 486 to Pentium 4, AMD AM486 to Athlon, Cyrix Media GX to 6x86MX, and Crusoe.

Parameters

var CpuInfo: TCpuInfo

Record to receive processor information.

Donator

Bryan Coutch

Group

Hardware

Unit

JclSysInfo


GetIntelCacheDescription Function

See Also

Returns a descriptive string for an Intel cache descriptor.

Pascal

function GetIntelCacheDescription(const D: Byte): string;

Description

GetIntelCacheDescription returns a descriptive string for an Intel cache descriptor. This is something like: 'Instruction TLB, 4Kb pages, 4-way set associative, 32 entries'.

Parameters

const D: Byte

The descriptor for which you want a descriptive string. This is usually one of the entries in the TIntelSpecific.CacheDescriptors array.

Return Value

The descriptive string for the specified descriptor. If a description isn't available the function returns an empty string.

Donator

Marcel van Brakel

Group

Hardware

Unit

JclSysInfo


See Also

TIntelSpecific


Identification

System Information Routines

Functions

GetVolumeSerialNumber

Returns the volume serial number for the specified drive.

GetVolumeFileSystem

Returns the name of the filesystem of the specified volume.

GetVolumeName

Returns the name for the specified drive.

GetIPAddress

Returns the IP address of a host.

GetLocalComputerName

Returns the name of the local computer.

GetLocalUserName

Returns the name of the current user.

GetRegisteredCompany

Returns the registered company.

GetRegisteredOwner

Returns the registered owner.

GetBIOSDate

Returns the BIOS date.

GetBIOSName

Returns the BIOS name.

GetBIOSCopyright

Returns the BIOS copyright string.

GetBIOSExtendedInfo

Returns extended information on the BIOS.

GetUserDomainName

Returns the name of the domain where a user account resides.

GetDomainName

Returns the name of the domain where the current user account resides.


Identification Functions

Identification

Functions

GetVolumeSerialNumber

Returns the volume serial number for the specified drive.

GetVolumeFileSystem

Returns the name of the filesystem of the specified volume.

GetVolumeName

Returns the name for the specified drive.

GetIPAddress

Returns the IP address of a host.

GetLocalComputerName

Returns the name of the local computer.

GetLocalUserName

Returns the name of the current user.

GetRegisteredCompany

Returns the registered company.

GetRegisteredOwner

Returns the registered owner.

GetBIOSDate

Returns the BIOS date.

GetBIOSName

Returns the BIOS name.

GetBIOSCopyright

Returns the BIOS copyright string.

GetBIOSExtendedInfo

Returns extended information on the BIOS.

GetUserDomainName

Returns the name of the domain where a user account resides.

GetDomainName

Returns the name of the domain where the current user account resides.


GetVolumeSerialNumber Function

Returns the volume serial number for the specified drive.

Pascal

function GetVolumeSerialNumber(const Drive: string): string;

Description

GetVolumeSerialNumber returns the serial number for the specified volume. You may specify a volume (e.g. 'c:') or a UNC name.

Parameters

const Drive: string

The volume for which to retrieve the serial number. You must specify the root-directory of a drive (e.g. 'c:') or a full UNC name in which case you must follow it with an additional backslash.

Return Value

If the function succeeds it returns the serial number of the specified volume. If the function fails it returns an empty string.

Donator

John C Molyneux

Group

Identification

Unit

JclSysInfo


GetVolumeFileSystem Function

Returns the name of the filesystem of the specified volume.

Pascal

function GetVolumeFileSystem(const Drive: string): string;

Description

GetVolumeFileSystem returns the name of the filesystem of the specified volume. This can be a string such as 'FAT' or 'NTFS'. You may specify a volume (e.g. 'c:') or a UNC name.

Parameters

const Drive: string

The volume for which to filesystem name. You must specify the root-directory of a drive (e.g. 'c:') or a full UNC name in which case you must follow it with an additional backslash.

Return Value

If the function succeeds it returns the name of the filesystem of the specified volume. If the function fails it returns an empty string.

Donator

John C Molyneux

Group

Identification

Unit

JclSysInfo


GetVolumeName Function

Returns the name for the specified drive.

Pascal

function GetVolumeName(const Drive: string): string;

Description

GetVolumeName returns the name of the specified volume. You may specify a volume (e.g. 'c:') or a UNC name.

Parameters

const Drive: string

The volume for which to retrieve the name. You must specify the root-directory of a drive (e.g. 'c:') or a full UNC name in which case you must follow it with an additional backslash.

Return Value

If the function succeeds it returns the name of the specified volume. If the function fails it returns an empty string.

Donator

John C Molyneux

Group

Identification

Unit

JclSysInfo


GetIPAddress Function

Returns the IP address of a host.

Pascal

function GetIPAddress(const HostName: string): string;

Description

GetIPAddress attempts to resolve a hostname to an IP address. If the function succeeds it returns the IP address in dotted decimal notation. You can call GetIPAddress with GetLocalComputerName or an empty string as the HostName parameter to get the IP address of the local computer. This function assumes IPv4 addresses and only returns one IP address, even if the specified host has more then one.

Parameters

const HostName: string

The name of the host computer who's IP address you want. If an empty string is passed the function returns the IP address of the local computer.

Return Value

If the function succeeds it returns the IP address of the specified host in the dotted decimal notation. If the function fails it returns an empty string.

Donator

John C Molyneux

Group

Identification

Unit

JclSysInfo


GetLocalComputerName Function

See Also

Returns the name of the local computer.

Pascal

function GetLocalComputerName: string;

Description

The GetLocalComputerName function retrieves the NetBIOS name of the local computer. This name is established at system startup, when the system reads it from the registry. If the local computer is a node in a cluster, GetLocalComputerName returns the name of the cluster.

Return Value

The local computer name or an empty string on failure.

Notes

If you're running Windows 2000 you can use the GetComputerNameEx function for more detailed control over exactly which name you want.

Donator

Nick Hodges (Win32), André Snepvangers (Unix)

Group

Identification

Unit

JclSysInfo


See Also

GetLocalUserName


GetLocalUserName Function

See Also

Returns the name of the current user.

Pascal

function GetLocalUserName: string;

Description

Returns the name of the user associated with the current thread. That is the user currently logged on to the system. If the current thread is impersonating a client, the function returns the name of that client.

Return Value

The local user name or an empty string on failure.

Notes

If you're running Windows 2000 you can use the GetUserNameEx function to control the format of the returned name.

Donator

Nick Hodges (Win32), André Snepvangers (Unix)

Group

Identification

Unit

JclSysInfo


See Also

GetLocalComputerName


GetRegisteredCompany Function

See Also

Returns the registered company.

Pascal

function GetRegisteredCompany: string;

Description

Returns the registered company string for the local computer as read from the registry.

Return Value

The registered company string or an empty string on failure.

Donator

Nick Hodges

Group

Identification

Unit

JclSysInfo


See Also

GetRegisteredOwner


GetRegisteredOwner Function

See Also

Returns the registered owner.

Pascal

function GetRegisteredOwner: string;

Description

Returns the registered owner string for the local computer as read from the registry.

Return Value

The registered owner string or an empty string on failure.

Donator

Nick Hodges

Group

Identification

Unit

JclSysInfo


See Also

GetRegisteredCompany


GetBIOSDate Function

See Also

Returns the BIOS date.

Pascal

function GetBIOSDate: TDateTime;

Description

Returns the date the BIOS release date.

Return Value

The BIOS release date, if successful. The system base date (12/30/1899), if there has been a problem.

Notes

This information is accurate only if you have not updated or changed the BIOS since you last ran Windows Setup.

Donator

Peter Friese

Group

Identification

Unit

JclSysInfo


See Also

GetBIOSName GetBIOSCopyright GetBIOSExtendedInfo


GetBIOSName Function

See Also

Returns the BIOS name.

Pascal

function GetBIOSName: string;

Description

Returns the name of the BIOS.

Return Value

The BIOS name, if successful. An empty string otherwise.

Notes

This information is accurate only if you have not updated or changed the BIOS since you last ran Windows 95/98 or Windows Millennium Edition (Me) Setup. The result is valid for Win9x/ME only; under Windows NT/2000/XP/2003, an empty string is returned.

Donator

James Azarja

Group

Identification

Unit

JclSysInfo


See Also

GetBIOSDate GetBIOSCopyright GetBIOSExtendedInfo


GetBIOSCopyright Function

See Also

Returns the BIOS copyright string.

Pascal

function GetBIOSCopyright: string;

Description

Returns the BIOS copyright string.

Return Value

The BIOS copyright, if successful. An empty string otherwise.

Donator

James Azarja

Group

Identification

Unit

JclSysInfo


See Also

GetBIOSDate GetBIOSName GetBIOSExtendedInfo


GetBIOSExtendedInfo Function

See Also

Returns extended information on the BIOS.

Pascal

function GetBIOSExtendedInfo: string;

Description

Returns extended information on the BIOS.

Return Value

The BIOS extended information, if successful. An empty string otherwise.

Donator

James Azarja

Group

Identification

Unit

JclSysInfo


See Also

GetBIOSDate GetBIOSName GetBIOSCopyright


GetUserDomainName Function

See Also

Returns the name of the domain where a user account resides.

Pascal

function GetUserDomainName(const CurUser: string): string;

Description

GetUserDomainName returns the name of the domain where a user account resides. Under Win9x/ME, an empty string will be returned.

Parameters

const CurUser: string

The name of the user account to look up.

Return Value

As the result, you will receive the name of the domain the user is defined in, or an empty string if the function fails.

Notes

The function tries to find the user account on the local system first. Next, the primary domain is checked. If the name is not found there, trusted domains are checked. GetUserDomainName relies on LookupAccountName, which is not implemented by Win9x/ME, and will return an empty result string on these platforms.

Donator

Peter Friese

Group

Identification

Unit

JclSysInfo


See Also

GetDomainName GetLocalUserName


GetDomainName Function

See Also

Returns the name of the domain where the current user account resides.

Pascal

function GetDomainName: string;

Description

GetDomainName returns the name of the domain where the user account associated with the calling thread resides. In client application this will usually be the interactively logged on user, but in server applications this could be any user that is currently impersonated.

Return Value

The name of the domain where the user account resides, or an empty string if the function fails.

Notes

The function determines the name of the domain by checking which domain the currently logged in user is belonging to. Under Win9x/ME, the result will be an empty string.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Identification

Unit

JclSysInfo


See Also

GetUserDomainName GetLocalUserName


Keyboard

System Information Routines

Functions

GetKeyState

Returns the state of a key.

GetNumLockKeyState

Returns the state of the Numlock key.

GetScrollLockKeyState

Returns the state of the ScrollLock key.

GetCapsLockKeyState

Returns the state of the CapsLock key.


Keyboard Functions

Keyboard

Functions

GetKeyState

Returns the state of a key.

GetNumLockKeyState

Returns the state of the Numlock key.

GetScrollLockKeyState

Returns the state of the ScrollLock key.

GetCapsLockKeyState

Returns the state of the CapsLock key.


GetKeyState Function

See Also

Returns the state of a key.

Pascal

function GetKeyState(const VirtualKey: Cardinal): Boolean;

Description

Returns the state of the virtual key passed. You can use any of the VK_* constants defined in Windows.pas.

Parameters

const VirtualKey: Cardinal

Any virtual key code, for example VK_NUMLOCK. See Windows.pas for more constants.

Return Value

True, if the key is pressed or toggled. False otherwise.

Donator

Peter Friese

Group

Keyboard

Unit

JclSysInfo


See Also

GetNumLockKeyState GetScrollLockKeyState GetCapsLockKeyState


GetNumLockKeyState Function

See Also

Returns the state of the Numlock key.

Pascal

function GetNumLockKeyState: Boolean;

Description

Returns the state of the Numlock key. If Numlock is on, true will be returned and false otherwise.

Return Value

True, if the NumLock toggled. False otherwise.

Donator

Peter Friese

Group

Keyboard

Unit

JclSysInfo


See Also

GetKeyState GetScrollLockKeyState GetCapsLockKeyState


GetScrollLockKeyState Function

See Also

Returns the state of the ScrollLock key.

Pascal

function GetScrollLockKeyState: Boolean;

Description

Returns the state of the ScrollLock key. If ScrollLock is on, true will be returned and false otherwise.

Return Value

True, if the ScrollLock toggled. False otherwise.

Donator

Peter Friese

Group

Keyboard

Unit

JclSysInfo


See Also

GetKeyState GetNumLockKeyState GetCapsLockKeyState


GetCapsLockKeyState Function

See Also

Returns the state of the CapsLock key.

Pascal

function GetCapsLockKeyState: Boolean;

Description

Returns the state of the CapsLock key. If CapsLock is on, true will be returned and false otherwise.

Return Value

True, if the CapsLock toggled. False otherwise.

Donator

Peter Friese

Group

Keyboard

Unit

JclSysInfo


See Also

GetKeyState GetNumLockKeyState GetScrollLockKeyState


Memory

System Information Routines

Functions

GetMaxAppAddress

Returns a pointer to the highest memory address available to applications and DLLs.

GetMinAppAddress

Returns a pointer to the lowest memory address available to applications and DLLs.

GetMemoryLoad

Returns the current system memory load.

GetSwapFileSize

Returns the current pagefile size.

GetSwapFileUsage

Returns the percentage of swap file space occupied.

GetTotalPhysicalMemory

Returns the total size of physical memory.

GetFreePhysicalMemory

Returns the size of free physical memory.

GetTotalPageFileMemory

Returns the amount of pagefile memory.

GetFreePageFileMemory

Returns the amount of free pagefile memory.

GetTotalVirtualMemory

Returns the amount of virtual memory.

GetFreeVirtualMemory

Returns the amount of free virtual memory.

Variables

AllocGranularity

Systems memory allocation granularity.

PageSize

Holds the value of the system's virtual memory page size


Memory Variables

Memory

Variables

AllocGranularity

Systems memory allocation granularity.

PageSize

Holds the value of the system's virtual memory page size


Memory Functions

Memory

Functions

GetMaxAppAddress

Returns a pointer to the highest memory address available to applications and DLLs.

GetMinAppAddress

Returns a pointer to the lowest memory address available to applications and DLLs.

GetMemoryLoad

Returns the current system memory load.

GetSwapFileSize

Returns the current pagefile size.

GetSwapFileUsage

Returns the percentage of swap file space occupied.

GetTotalPhysicalMemory

Returns the total size of physical memory.

GetFreePhysicalMemory

Returns the size of free physical memory.

GetTotalPageFileMemory

Returns the amount of pagefile memory.

GetFreePageFileMemory

Returns the amount of free pagefile memory.

GetTotalVirtualMemory

Returns the amount of virtual memory.

GetFreeVirtualMemory

Returns the amount of free virtual memory.


AllocGranularity Variable

Systems memory allocation granularity.

Pascal

AllocGranularity: Cardinal = 0;

Description

AllocGranularity contains the systems virtual memory allocation granularity.

Donator

Marcel van Brakel

Group

Memory

Unit

JclSysInfo


PageSize Variable

Holds the value of the system's virtual memory page size

Pascal

PageSize: Cardinal = 0;

Description

Specifies the page size and the granularity of page protection and commitment. This is the page size used by the VirtualAlloc function.

Platforms

Windows

Group

Memory

Unit

JclSysInfo


GetMaxAppAddress Function

See Also

Returns a pointer to the highest memory address available to applications and DLLs.

Pascal

function GetMaxAppAddress: Cardinal;

Description

Returns a pointer to the highest memory address available to applications and DLLs. You can typecast the return value to a pointer to directly point to the specified memory address.

Return Value

The highest memory address available to applications and DLLs, casted into an integer.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetMinAppAddress


GetMinAppAddress Function

See Also

Returns a pointer to the lowest memory address available to applications and DLLs.

Pascal

function GetMinAppAddress: Cardinal;

Description

Returns a pointer to the lowest memory address available to applications and DLLs. You can typecast the return value to a pointer to directly point to the specified memory address.

Return Value

The lowest memory address available to applications and DLLs, casted into an integer.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetMaxAppAddress


GetMemoryLoad Function

See Also

Returns the current system memory load.

Pascal

function GetMemoryLoad: Byte;

Description

This function returns the current system memory load. The result is a value between 0 and 100.

Return Value

The current system memory load.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Memory

Unit

JclSysInfo


See Also

GetSwapFileUsage


GetSwapFileSize Function

See Also

Returns the current pagefile size.

Pascal

function GetSwapFileSize: Cardinal;

Description

Returns the current system pagefile size in bytes.

Return Value

The current system pagefile size in bytes.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Memory

Unit

JclSysInfo


See Also

GetSwapFileUsage


GetSwapFileUsage Function

See Also

Returns the percentage of swap file space occupied.

Pascal

function GetSwapFileUsage: Byte;

Description

Returns the percentage of swap file space occupied. This is a value between 0 and 100.

Return Value

The percentage of swap file space occupied.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Memory

Unit

JclSysInfo


See Also

GetMemoryLoad GetSwapFileSize


GetTotalPhysicalMemory Function

See Also

Returns the total size of physical memory.

Pascal

function GetTotalPhysicalMemory: Cardinal;

Description

Returns the total size of physical memory in bytes.

Return Value

The total size of physical memory.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Memory

Unit

JclSysInfo


See Also

GetFreePhysicalMemory


GetFreePhysicalMemory Function

See Also

Returns the size of free physical memory.

Pascal

function GetFreePhysicalMemory: Cardinal;

Description

Returns the size of free physical memory in bytes.

Return Value

The size of free physical memory.

Donator

Peter Friese (Win32), André Snepvangers (Unix)

Group

Memory

Unit

JclSysInfo


See Also

GetTotalPhysicalMemory


GetTotalPageFileMemory Function

See Also

Returns the amount of pagefile memory.

Pascal

function GetTotalPageFileMemory: Cardinal;

Description

Returns the total size of pagefile memory available to the system.

Return Value

The total size of pagefile memory.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetFreePageFileMemory


GetFreePageFileMemory Function

See Also

Returns the amount of free pagefile memory.

Pascal

function GetFreePageFileMemory: Cardinal;

Description

Returns the amount of free pagefile memory.

Return Value

The amount of free pagefile memory.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetTotalPageFileMemory


GetTotalVirtualMemory Function

See Also

Returns the amount of virtual memory.

Pascal

function GetTotalVirtualMemory: Cardinal;

Description

Returns the total size of virtual memory available to the system.

Return Value

The total size of virtual memory.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetFreeVirtualMemory


GetFreeVirtualMemory Function

See Also

Returns the amount of free virtual memory.

Pascal

function GetFreeVirtualMemory: Cardinal;

Description

Returns the amount of free virtual memory.

Return Value

The amount of free virtual memory.

Donator

Peter Friese

Group

Memory

Unit

JclSysInfo


See Also

GetTotalVirtualMemory


Power Management

Legend

System Information Routines

Enumerations

 TAPMLineStatus

Enumeration of APM line stati. Used as function result by

 TAPMBatteryFlag

Enumeration of APM battery flags. Used as function result by

Functions

GetAPMLineStatus

Returns the line status of the APM system.

GetAPMBatteryFlag

Returns the charge status of the system battery.

GetAPMBatteryLifePercent

Returns the percentage of full battery charge remaining.

GetAPMBatteryLifeTime

Returns the number of seconds of battery life reamining, or -1 if this time is unknown.

GetAPMBatteryFullLifeTime

Returns the number of seconds of battery life minutes when at full charge, or -1 if full batery lifetime is unknown.

Legend

Enumeration


Power Management Functions

Power Management

Functions

GetAPMLineStatus

Returns the line status of the APM system.

GetAPMBatteryFlag

Returns the charge status of the system battery.

GetAPMBatteryLifePercent

Returns the percentage of full battery charge remaining.

GetAPMBatteryLifeTime

Returns the number of seconds of battery life reamining, or -1 if this time is unknown.

GetAPMBatteryFullLifeTime

Returns the number of seconds of battery life minutes when at full charge, or -1 if full batery lifetime is unknown.


Power Management Enumerations

Power Management	Legend

Enumerations

 TAPMLineStatus

Enumeration of APM line stati. Used as function result by

 TAPMBatteryFlag

Enumeration of APM battery flags. Used as function result by


Legend

Enumeration


Legend

Power Management

Legend

Enumeration


GetAPMLineStatus Function

See Also

Returns the line status of the APM system.

Pascal

function GetAPMLineStatus: TAPMLineStatus;

Description

This function checks the line status of the APM system. If the PC is connected to a power plug, it is considered "online", otherwise "offline".

Return Value

The status of the APM system, see TAPMLineStatus for possible values.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


See Also

TAPMLineStatus GetAPMBatteryFlag TAPMBatteryFlag


TAPMLineStatus Enumeration

See Also

Enumeration of APM line stati. Used as function result by

Pascal

TAPMLineStatus = (
  alsOffline,
  alsOnline,
  alsUnknown
);

Description

Enumeration of APM line stati. Used as function result by

alsOffline

The PC is not connected to a power plug. That is, it is using the built-in battery.

alsOnline

The PC is connected to a power plug.

alsUnknown

Unknown line status. This will be the result if the function could not determine the current line status.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


See Also

GetAPMLineStatus GetAPMBatteryFlag TAPMBatteryFlag


TAPMBatteryFlag Enumeration

See Also

Enumeration of APM battery flags. Used as function result by

Pascal

TAPMBatteryFlag = (
  abfHigh,
  abfLow,
  abfCritical,
  abfCharging,
  abfNoBattery,
  abfUnknown
);

Description

Enumeration of APM battery flags. Used as function result by

abfHigh

The battery is charged.

abfLow

The battery is semi-charged.

abfCritical

The battery is almost empty. The user should close all applications and shut down the system in order to prevent loss of data.

abfCharging

The battery is being charged.

abfNoBattery

No battery present. Under normal circumstances, the system is attached to a power plug when you get this result.

abfUnknown

Unknown battery status. The system could not read the battery status.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


See Also

GetAPMLineStatus GetAPMBatteryFlag TAPMLineStatus


GetAPMBatteryFlag Function

See Also

Returns the charge status of the system battery.

Pascal

function GetAPMBatteryFlag: TAPMBatteryFlag;

Description

This function returns the charge status of the system battery.

Return Value

The status of the system battery, see TAPMBatteryFlag for possible values.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


See Also

TAPMBatteryFlag GetAPMLineStatus TAPMLineStatus


GetAPMBatteryLifePercent Function

Returns the percentage of full battery charge remaining.

Pascal

function GetAPMBatteryLifePercent: Integer;

Description

Returns the percentage of full battery charge remaining. The range of this value may be within 0 to 100, or 255 if the percentage is unknown.

Return Value

The percentage of full battery charge remaining.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


GetAPMBatteryLifeTime Function

Returns the number of seconds of battery life reamining, or -1 if this time is unknown.

Pascal

function GetAPMBatteryLifeTime: DWORD;

Description

Returns the number of seconds of battery life reamining, or -1 if this time is unknown.

Return Value

The remaining battery life time in seconds.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


GetAPMBatteryFullLifeTime Function

Returns the number of seconds of battery life minutes when at full charge, or -1 if full batery lifetime is unknown.

Pascal

function GetAPMBatteryFullLifeTime: DWORD;

Description

Returns the number of seconds of battery life minutes when at full charge, or -1 if full batery lifetime is unknown.

Return Value

The number of seconds of battery life time when at full charge.

Donator

Peter Friese

Group

Power Management

Unit

JclSysInfo


Processes, Tasks and Modules

System Information Routines

Functions

RunningProcessesList

Returns a list of all running processes.

LoadedModulesList

Returns the list of modules loaded by a process.

GetTasksList

Returns a list of running tasks.

IsWindowResponding

Determines whether a windows is responding to messages.

GetWindowIcon

Returns the icon of a window.

TerminateTask

Terminates the application which owns the specified window.

TerminateApp

Terminates the application specified by ProcessID.

GetProcessNameFromWnd

Returns the name of the process which owns a specific window.

GetProcessNameFromPid

Returns the name of the process which is identified by PID.

GetShellProcessName

Returns the name of the shell process.

GetShellProcessHandle

Returns a handle to the shell process.

GetPidFromProcessName

Returns the process identifier (PID) for the process identified by processname.


Processes, Tasks and Modules Functions

Processes, Tasks and Modules

Functions

RunningProcessesList

Returns a list of all running processes.

LoadedModulesList

Returns the list of modules loaded by a process.

GetTasksList

Returns a list of running tasks.

IsWindowResponding

Determines whether a windows is responding to messages.

GetWindowIcon

Returns the icon of a window.

TerminateTask

Terminates the application which owns the specified window.

TerminateApp

Terminates the application specified by ProcessID.

GetProcessNameFromWnd

Returns the name of the process which owns a specific window.

GetProcessNameFromPid

Returns the name of the process which is identified by PID.

GetShellProcessName

Returns the name of the shell process.

GetShellProcessHandle

Returns a handle to the shell process.

GetPidFromProcessName

Returns the process identifier (PID) for the process identified by processname.


RunningProcessesList Function

Returns a list of all running processes.

Pascal

function RunningProcessesList(const List: TStrings; FullPath: Boolean = True): Boolean;

Description

RunningProcessesList fills the List parameter with a list of all running processes.

Parameters

const List: TStrings

The list which is filled with the names of all running processes. Note that if this function is executed NT 3 or NT 4 the Objects property of the list contains INVALID_HANDLE_VALUE, on all other systems the Objects property is filled with the ToolHelp Process ID which you can use to further investigate the process.

FullPath: Boolean = True

If True the names of processes in the list are expanded to include the full path of the executable file. If False only the process name (filename of the executable) is put in the list.

Return Value

If the function succeeds it returns True, otherwise it returns False. In the latter case the contents of the list is undefined.

Notes

On Windows NT/2000 there exists two processes with PIDs 0 and 2 (8 on Windows 2000) which do not map to an executable image file. The names of these processes are fabricated by the routine as "System Idle Process" and "System Process" respectively.

Donator

Petr Vones (Windows), Robert Rossmair (Unix)

Group

Processes, Tasks and Modules

Unit

JclSysInfo


LoadedModulesList Function

Returns the list of modules loaded by a process.

Pascal

function LoadedModulesList(const List: TStrings; ProcessID: DWORD; HandlesOnly: Boolean = False): Boolean;

Description

Returns a list of modules (dynamic link libraries) which are in use (loaded) by the process specified by ProcessID.

Parameters

const List: TStrings

List which receives the name of each loaded module. Each entry contains the full path to the modules image file.

ProcessID: DWORD

Process ID of the process for which you want a list of loaded modules. To get the list of modules for the current process pass in the return value of the GetCurrentProcessID API function.

Return Value

If the function it returns True, otherwise it returns False. In this latter case the contents of the list are undefined.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


GetTasksList Function

Returns a list of running tasks.

Pascal

function GetTasksList(const List: TStrings): Boolean;

Description

Returns a list of running tasks. This is similar to the items visible on the Applications tab of the Windows NT task manager. The routine uses a similar method to discover all running tasks (described on http://msdn.microsoft.com/library/periodic/period97/win321197.htm) but is not always accurate.

Parameters

const List: TStrings

List which receives the running tasks.

Return Value

If the function succeeds it returns True, otherwise it returns False. In this latter case the contents of the list are undefined.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


IsWindowResponding Function

Determines whether a windows is responding to messages.

Pascal

function IsWindowResponding(Wnd: THandle; Timeout: Integer): Boolean;

Description

The IsWindowResponding function determines whether the window specified by the Wnd parameter is still responding to messages. In effect this determines whether the window "is hung" by the user perception. In reality the thread which "owns" the window may not actually be hung but is too busy (in some kind of loop or by a blocking wait operation) to receive messages.

Parameters

Wnd: THandle

Handle to the window which you want to test.

Timeout: Integer

Timeout in milliseconds. The function send a bogus message to the window and then waits the specified time out value before returning. If the window responds to the message within the timeout value or Windows itself detects, by some other means, that the specified window is hung, the function may return earlier.

Return Value

If the window is not responding the function returns False, otherwise it returns True.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


GetWindowIcon Function

Returns the icon of a window.

Pascal

function GetWindowIcon(Wnd: THandle; LargeIcon: Boolean): HICON;

Description

Returns a handle to the icon of the specified window.

Parameters

Wnd: THandle

Handle to the window for which to retrieve an icon.

LargeIcon: Boolean

If True the function returns the large icon. If False the function returns the small icon. Note that the dimension of large and small can be retrieved by the GetSystemMetrics API function using the SM_CICON and SM_CSMICON flags respectively (where is either X or Y for the width and height respectively).

Return Value

If the function succeeds it returns a handle to the requested icon, otherwise it returns 0. In case of success you must release the handle by calling the DestroyIcon API function.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


TerminateTask Function

Terminates the application which owns the specified window.

Pascal

function TerminateTask(Wnd: THandle; Timeout: Integer): TJclTerminateAppResult;

Description

Terminates the application which owns the specified window. For further details see the TerminateApp function

Parameters

Wnd: THandle

Handle to a top-level window owned by the application you wish to terminate.

Timeout: Integer

Timeout value, in milliseconds, indicating the time to wait between sending the WM_CLOSE message and forcefully terminating the application. You should set this timeout value to at least 5 seconds.

Return Value

If the function succeeds to normally terminate the application (through the WM_CLOSE message) it returns taClean. If the function had to terminate the application by a call to TerminateProcess it returns taKill. If the function fails to terminate the application it returns taError.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


TerminateApp Function

Terminates the application specified by ProcessID.

Pascal

function TerminateApp(ProcessID: DWORD; Timeout: Integer): TJclTerminateAppResult;

Description

Terminates the application specified by ProcessID. The function first attempts to terminate the application normally by sending it a WM_CLOSE message. If the application doesn't terminate itself in response to that message and within the specified timeout period, the function continues to forcefully terminate the application using the TerminateProcess function. In this latter case the application gets no change whatsoever to clean up it's resources and as such this may lead to data loss. Be carefull and very sure there's no other way! The logic used by this function is described in knowledge base article Q178893.

Parameters

ProcessID: DWORD

Process ID of the application to terminate.

Timeout: Integer

Timeout value, in milliseconds, indicating the time to wait between sending the WM_CLOSE message and forcefully terminating the application. You should set this timeout value to at least 5 seconds.

Return Value

If the function succeeds to normally terminate the application (through the WM_CLOSE message) it returns taClean. If the function had to terminate the application by a call to TerminateProcess it returns taKill. If the function fails to terminate the application it returns taError.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


GetProcessNameFromWnd Function

See Also

Returns the name of the process which owns a specific window.

Pascal

function GetProcessNameFromWnd(Wnd: THandle): string;

Description

GetProcessNameFrmWnd returns the name of the process which owns the window as specified by the window's handle. Note that in order to find the process identifier of the process that owns the specified window, you can use the GetWindowThreadProcessId API function.

Parameters

Wnd: THandle

Handle of the window for which to return the process name. This can be any type of window, including child windows such as buttons or edit boxes.

Return Value

If the function succeeds it returns the name of the process that owns the windows, if it fails the result is an empty string.

Donator

Petr Vones

Group

Processes, Tasks and Modules

Unit

JclSysInfo


See Also

GetPidFromProcessName GetProcessNameFromPid


GetProcessNameFromPid Function

See Also

Returns the name of the process which is identified by PID.

Pascal

function GetProcessNameFromPid(PID: DWORD): string;

Description

GetProcessNameFromPid returns the name of the process specified by it's process identifier (PID).

Parameters

PID: DWORD

Process identifier of the process whose name to retrieve.

Return Value

If the function succeeds it returns the name of the process, if it fails it returns an empty string.

Donator

Marcel van Brakel

Group

Processes, Tasks and Modules

Unit

JclSysInfo


See Also

GetProcessNameFromWnd GetPidFromProcessName


GetShellProcessName Function

See Also

Returns the name of the shell process.

Pascal

function GetShellProcessName: string;

Description

GetShellProcessName returns the name of the shell process as defined in the registry. If the registry does not explicitly specify a shell process "explorer.exe" is returned as a default.

Return Value

The name of the shell process executable.

Donator

Marcel van Brakel

Group

Processes, Tasks and Modules

Unit

JclSysInfo


See Also

GetShellProcessHandle


GetShellProcessHandle Function

See Also

Returns a handle to the shell process.

Pascal

function GetShellProcessHandle: THandle;

Description

GetShellProcessHandle returns a handle to the shell process, if any. The handle is opened with full access (PROCESS_ALL_ACCESS) and must be closed by the caller using the CloseHandle Windows API function.

Return Value

If the function succeeds it returns a handle to the shell process. Upon failure the function raises an exception (EOSError).

Donator

Marcel van Brakel

Group

Processes, Tasks and Modules

Unit

JclSysInfo


See Also

GetShellProcessName


GetPidFromProcessName Function

See Also

Returns the process identifier (PID) for the process identified by processname.

Pascal

function GetPidFromProcessName(const ProcessName: string): DWORD;

Description

GetPidFromProcessName returns the process identifier (PID) of the process identifier by ProcessName. The specified ProcessName must be the full name of the process, that is including the extension, as it appears in task manager for example.

Parameters

const ProcessName: string

Name of the process, including extension, of the process for which to retrieve the process identifier.

Return Value

If the function succeeds it returns the process identifier of the specified process. If the function fails it returns INVALID_HANDLE_VALUE. Most common reason of failure is that the specified process doesn't exist (isn't running) or you didn't specify the full name of the process.

Donator

Marcel van Brakel

Group

Processes, Tasks and Modules

Unit

JclSysInfo


See Also

GetProcessNameFromWnd GetProcessNameFromPid


Version Information

Legend

System Information Routines

Topics

GetOpenGLVersionBitmapRendering

Returns the current OpenGL library version string

Enumerations

 TWindowsVersion

Enumeration of Windows versions. Used as function result by GetWindowsVersion

Functions

GetWindowsVersion

Returns the Windows version.

GetOSVersionString

Returns the operation system version as a string.

GetWindowsVersionString

Returns the Windows version as a string.

GetWindowsServicePackVersion

Returns the installed service pack

NtProductType

Returns the Windows NT product type.

NtProductTypeString

Returns the Windows NT product type as a string.

GetOpenGLVersion

Returns the current OpenGL library version string (for window rendering)

Variables

IsWinXP

Returns whether the system is running Windows XP

IsWin95

Returns whether the system is running Windows 95

IsWin95OSR2

Returns whether the system is running Windows 95 OSR 2

IsWin98

Returns whether the system is running Windows 98

IsWin98SE

Returns whether the system is running Windows 98 SE

IsWinME

Returns whether the system is running Windows Millenium

IsWinNT

Returns whether the system is running Windows NT

IsWinNT3

Returns whether the system is running Windows NT 3

IsWinNT31

Returns whether the system is running Windows NT 3.1

IsWinNT35

Returns whether the system is running Windows NT 3.5

IsWinNT351

Returns whether the system is running Windows NT 3.5.1

IsWinNT4

Returns whether the system is running Windows NT 4.

IsWin2K

Returns whether the system is running Windows 2000

IsWin2003

Returns whether the system is running Windows Server 2003.

Legend

Enumeration


Version Information Enumerations

Version Information	Legend

Enumerations

 TWindowsVersion

Enumeration of Windows versions. Used as function result by GetWindowsVersion


Legend

Enumeration


Version Information Functions

Version Information

Functions

GetWindowsVersion

Returns the Windows version.

GetOSVersionString

Returns the operation system version as a string.

GetWindowsVersionString

Returns the Windows version as a string.

GetWindowsServicePackVersion

Returns the installed service pack

NtProductType

Returns the Windows NT product type.

NtProductTypeString

Returns the Windows NT product type as a string.

GetOpenGLVersion

Returns the current OpenGL library version string (for window rendering)


Version Information Variables

Version Information

Variables

IsWinXP

Returns whether the system is running Windows XP

IsWin95

Returns whether the system is running Windows 95

IsWin95OSR2

Returns whether the system is running Windows 95 OSR 2

IsWin98

Returns whether the system is running Windows 98

IsWin98SE

Returns whether the system is running Windows 98 SE

IsWinME

Returns whether the system is running Windows Millenium

IsWinNT

Returns whether the system is running Windows NT

IsWinNT3

Returns whether the system is running Windows NT 3

IsWinNT31

Returns whether the system is running Windows NT 3.1

IsWinNT35

Returns whether the system is running Windows NT 3.5

IsWinNT351

Returns whether the system is running Windows NT 3.5.1

IsWinNT4

Returns whether the system is running Windows NT 4.

IsWin2K

Returns whether the system is running Windows 2000

IsWin2003

Returns whether the system is running Windows Server 2003.


Topics

Version Information

Topics

GetOpenGLVersionBitmapRendering

Returns the current OpenGL library version string


Legend

Version Information

Legend

Enumeration


TWindowsVersion Enumeration

See Also

Enumeration of Windows versions. Used as function result by GetWindowsVersion

Pascal

TWindowsVersion = (
  wvUnknown,
  wvWin95,
  wvWin95OSR2,
  wvWin98,
  wvWin98SE,
  wvWinME,
  wvWinNT31,
  wvWinNT35,
  wvWinNT351,
  wvWinNT4,
  wvWin2000,
  wvWinXP,
  wvWin2003,
  wvWinXP64,
  wvWin2003R2,
  wvWinVista,
  wvWinLonghorn
);

Description

Enumeration of Windows versions. Used as function result by GetWindowsVersion

wvUnknown

Unknown Windows version. This can happen when a new Windows version is released after JCL or if you are running a Windows version with a different build number then expected. For example a beta version.

wvWin95

Windows 95

wvWin95OSR2

Windows 95 OSR 2 Windows 98

wvWin98SE

Windows 98 Second Edition

wvWinME

Windows Millenium

wvWinNT31

Windows NT 3.1

wvWinNT35

Windows NT 3.5

wvWinNT351

Windows NT 3.51

wvWinNT4

Windows NT 4.0

wvWin2000

Windows 2000

wvWinXP

Windows XP

wvWin2003

Windows Server 2003

Donator

Marcel van Brakel

Group

Version Information

Unit

JclSysInfo


See Also

GetWindowsVersion


GetWindowsVersion Function

See Also

Returns the Windows version.

Pascal

function GetWindowsVersion: TWindowsVersion;

Description

GetWindowsVersion returns the Windows version as an enumerated type.

Return Value

The Windows version, see TWindowsVersion for the possible values.

Donator

Marcel van Brakel

Group

Version Information

Unit

JclSysInfo


See Also

IsWin95 IsWin98 IsWinNT IsWinNT3 IsWinNT4 IsWin2K IsWinXP NtProductType


GetOSVersionString Function

See Also

Returns the operation system version as a string.

Pascal

function GetOSVersionString: string;

Description

GetOSVersionString returns the operation system version and release/service pack information as a string. For example, 'Linux 2.6.5' or 'Windows 2000 SP4'.

Return Value

The operating sytem version and release/service pack information as a string, or an empty string if the OS is not recognized.

Donator

Robert Rossmair

Group

Version Information

Unit

JclSysInfo


See Also

GetWindowsVersionString, GetWindowsServicePackVersionString


GetWindowsVersionString Function

See Also

Returns the Windows version as a string.

Pascal

function GetWindowsVersionString: string;

Description

GetWindowsVersionString returns the Windows version as a string. For example, 'Windows 2000'.

Return Value

The Windows version as a string or an empty string if the OS is not recognized.

Donator

Jean-Fabien Connault

Group

Version Information

Unit

JclSysInfo


See Also

GetWindowsVersion


GetWindowsServicePackVersion Function

See Also

Returns the installed service pack

Pascal

function GetWindowsServicePackVersion: Integer;

Description

Returns the major version number of the latest installed Windows Service Pack.

Return Value

The major version number of the latest installed Service Pack. In case of failure, or it no Service Pack is installed, the function returns 0.

Donator

Jean-Fabien Connault

Group

Version Information

Unit

JclSysInfo


See Also

GetWindowsVersion, GetWindowsServicePackVersionString


IsWinXP Variable

See Also

Returns whether the system is running Windows XP

Pascal

IsWinXP: Boolean = False;

Description

IsWin95 returns whether or not the system is running Windows XP.

Return Value

If the system is running Windows XP the result is True otherwise the result is False.

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin98 IsWinNT4


IsWin95 Variable

See Also

Returns whether the system is running Windows 95

Pascal

IsWin95: Boolean = False;

Description

IsWin95 returns whether or not the system is running Windows 95.

Return Value

If the system is running Windows 95 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin98 IsWinNT4


IsWin95OSR2 Variable

See Also

Returns whether the system is running Windows 95 OSR 2

Pascal

IsWin95OSR2: Boolean = False;

Description

IsWin95OSR2 returns whether or not the system is running Windows 95 OSR 2.

Return Value

If the system is running Windows 95 OSR 2 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin98 IsWinNT4


IsWin98 Variable

See Also

Returns whether the system is running Windows 98

Pascal

IsWin98: Boolean = False;

Description

IsWin98 returns whether or not the system is running Windows 98.

Return Value

If the system is running Windows 98 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWinXP IsWinNT4


IsWin98SE Variable

See Also

Returns whether the system is running Windows 98 SE

Pascal

IsWin98SE: Boolean = False;

Description

IsWin98SE returns whether or not the system is running Windows 98 Second Edition.

Return Value

If the system is running Windows 98 SE the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWinXP IsWinNT4


IsWinME Variable

See Also

Returns whether the system is running Windows Millenium

Pascal

IsWinME: Boolean = False;

Description

IsWin98SE returns whether or not the system is running Windows Millenium.

Return Value

If the system is running Windows Millenium the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWinXP IsWinNT4


IsWinNT Variable

See Also

Returns whether the system is running Windows NT

Pascal

IsWinNT: Boolean = False;

Description

IsWinNT returns whether or not the system is running Windows NT.

Return Value

If the system is running Windows NT the result is True otherwise the result is False. You can use the IsWinNT3, IsWinNT4 and IsWin2K to further distinguish between the different NT versions.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWin98 NtProductType IsWinNT3 IsWinNT4 IsWinXP


IsWinNT3 Variable

See Also

Returns whether the system is running Windows NT 3

Pascal

IsWinNT3: Boolean = False;

Description

IsWinNT3 returns whether or not the system is running Windows NT 3.

Return Value

If the system is running Windows NT 3 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWin98 IsWinXP NtProductType IsWinNT4


IsWinNT31 Variable

See Also

Returns whether the system is running Windows NT 3.1

Pascal

IsWinNT31: Boolean = False;

Description

IsWinNT3 returns whether or not the system is running Windows NT 3.1.

Return Value

If the system is running Windows NT 3.1 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin3 IsWin35 NtProductType


IsWinNT35 Variable

See Also

Returns whether the system is running Windows NT 3.5

Pascal

IsWinNT35: Boolean = False;

Description

IsWinNT3 returns whether or not the system is running Windows NT 3.5.

Return Value

If the system is running Windows NT 3.5 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin3 IsWin31 NtProductType


IsWinNT351 Variable

See Also

Returns whether the system is running Windows NT 3.5.1

Pascal

IsWinNT351: Boolean = False;

Description

IsWinNT3 returns whether or not the system is running Windows NT 3.5.1.

Return Value

If the system is running Windows NT 3.5.1 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin3 IsWin35 NtProductType


IsWinNT4 Variable

See Also

Returns whether the system is running Windows NT 4.

Pascal

IsWinNT4: Boolean = False;

Description

IsWinNT4 returns whether or not the system is running Windows NT 4.

Return Value

If the system is running Windows NT 4 the result is True otherwise the result is False.

Donator

Nick Hodges

Group

Version Information

Unit

JclSysInfo


See Also

IsWin2K IsWin95 IsWin98 IsWinNT3 IsWinXP NtProductType


IsWin2K Variable

See Also

Returns whether the system is running Windows 2000

Pascal

IsWin2K: Boolean = False;

Description

IsWin2K returns whether or not the system is running Windows 2000.

Return Value

If the system is running Windows 2000 the result is True otherwise the result is False.

Donator

Marcel van Brakel

Group

Version Information

Unit

JclSysInfo


See Also

IsWinNT3 IsWin95 IsWin98 NtProductType IsWinNT4 IsWinXP IsWin2003


IsWin2003 Variable

See Also

Returns whether the system is running Windows Server 2003.

Pascal

IsWin2003: Boolean = False;

Description

IsWin2003 returns whether or not the system is running Windows Server 2003.

Return Value

If the system is running Windows Server 2003 the result is True otherwise the result is False.

Donator

Petr Vones

Group

Version Information

Unit

JclSysInfo


See Also

IsWinNT3 IsWin95 IsWin98 IsWinNT4 IsWin2K IsWinXP NtProductType


NtProductType Function

See Also

Returns the Windows NT product type.

Pascal

function NtProductType: TNtProductType;

Description

NtProductType returns which edition of Windows NT is running on the system.

Return Value

The edition of Windows NT. This is one of the values in the TNtProductType enumeration which is defined as: TNtProductType = (ptUnknown, ptWorkStation, ptServer, ptAdvancedServer, ptPersonal, ptProfessional, ptDatacenterServer);

ptUnknown Edition could not be determined. Most likely the system is not running NT

ptWorkStation The system is running Windows NT workstation or Windows 2000 professional.

ptServer The system is running Windows NT/2000Windows 2000 Server

ptAdvancedServer The system is running Windows NT/2000 Server as a (primary or backup) domain controller.

ptPersonal The system is running Windows XP Personal

ptProfessional The system is running Windows 2000/XP Professional

ptDatacenterServer The system is running Windows 2000 DataCenter server

Notes

On platforms other then Windows NT/2000 this function always returns ptUnknown.

Donator

Marcel van Brakel

Contributors

Scott Price, Jean-Fabien Connault

Group

Version Information

Unit

JclSysInfo


See Also

IsWinNT IsWin2K


NtProductTypeString Function

See Also

Returns the Windows NT product type as a string.

Pascal

function NtProductTypeString: string;

Description

NtProductTypeString returns the NT product type as a string. For example 'Workstation'.

Return Value

The NT product type as a string or an empty string if the product type is not recognized.

Donator

Jean-Fabien Connault

Group

Version Information

Unit

JclSysInfo


See Also

NtProductType


GetOpenGLVersion Function

Returns the current OpenGL library version string (for window rendering)

Pascal

function GetOpenGLVersion(const Win: THandle; out Version: AnsiString; out Vendor: AnsiString): Boolean;

Description

Takes a WinControl against which to perform the tests, and then returns the information provided by the OpenGL library (if any) relating to the version and vendor in the parameters passed.

Parameters

const Win: THandle

Handle of the window to use for rendering Version - the string to receive the library version information

out Vendor: AnsiString

the string to receive the library vendor information

Return Value

Surfaces the information provided by the OpenGL library (if any) relating to the version and vendor of the OpenGL library in the parameters passed.

Donator

Scott Price

Contributors

Anonymous

Group

Version Information

Unit

JclSysInfo


GetOpenGLVersionBitmapRendering

Returns the current OpenGL library version string

Description

Takes a WinControl against which to perform the tests, and then returns the Version String information provided by the current OpenGL library.

Parameters

Win

Handle of the window to use for rendering Version - the string to receive the library version information

Vendor

the string to receive the library vendor information

Return Value

Surfaces the information provided by the OpenGL library (if any) relating to the version and vendor of the OpenGL library in the parameters passed.

Donator

Anonymous

Group

Version Information


Unicode

Legend

JEDI Code Library

Topics

Character test routines

Directionality

Low level character routines

Null terminated strings

TSearchEngine

TURESearch

TUTBMSearch

TWideStringList

TWideStrings

Utility functions

WideString conversion routines

WideString routines

Enumerations

 TCharacterCategory

Various predefined or otherwise useful character property categories

 TNormalizationForm

Normalization form to use.

 TUnicodeBlock

Unicode block enumeration.

Records

 TUcNumber

Record type for number-related Unicode functions.

Types

TCharacterCategories

Various predefined or otherwise useful character property categories

UTF7

Unicode transformation format data type UTF7

PUTF7

Unicode transformation format data type UTF7

UTF8

Unicode transformation format data type UTF8

PUTF8

Unicode transformation format data type UTF8

UTF16

Unicode transformation format data type UTF16

PUTF16

Unicode transformation format data type UTF16

UTF32

Unicode transformation format data type UTF32

PUTF32

Unicode transformation format data type UTF32

UCS4

UTF conversion scheme data type UCS4

PUCS4

UTF conversion scheme data type UCS4

PUCS2

UTF conversion scheme data type UCS2

Legend

Enumeration

Record


Unicode Enumerations

Unicode	Legend

Enumerations

 TCharacterCategory

Various predefined or otherwise useful character property categories

 TNormalizationForm

Normalization form to use.

 TUnicodeBlock

Unicode block enumeration.


Legend

Enumeration


Unicode Types

Unicode

Types

TCharacterCategories

Various predefined or otherwise useful character property categories

UTF7

Unicode transformation format data type UTF7

PUTF7

Unicode transformation format data type UTF7

UTF8

Unicode transformation format data type UTF8

PUTF8

Unicode transformation format data type UTF8

UTF16

Unicode transformation format data type UTF16

PUTF16

Unicode transformation format data type UTF16

UTF32

Unicode transformation format data type UTF32

PUTF32

Unicode transformation format data type UTF32

UCS4

UTF conversion scheme data type UCS4

PUCS4

UTF conversion scheme data type UCS4

PUCS2

UTF conversion scheme data type UCS2


Unicode Records

Unicode	Legend

Records

 TUcNumber

Record type for number-related Unicode functions.


Legend

Record


Topics

Unicode

Topics

Character test routines

Directionality

Low level character routines

Null terminated strings

TSearchEngine

TURESearch

TUTBMSearch

TWideStringList

TWideStrings

Utility functions

WideString conversion routines

WideString routines


Legend

Unicode

Legend

Enumeration

Record


TCharacterCategory Enumeration

Various predefined or otherwise useful character property categories

Pascal

TCharacterCategory = (
  ccLetterUppercase,
  ccLetterLowercase,
  ccLetterTitlecase,
  ccMarkNonSpacing,
  ccMarkSpacingCombining,
  ccMarkEnclosing,
  ccNumberDecimalDigit,
  ccNumberLetter,
  ccNumberOther,
  ccSeparatorSpace,
  ccSeparatorLine,
  ccSeparatorParagraph,
  ccOtherControl,
  ccOtherFormat,
  ccOtherSurrogate,
  ccOtherPrivate,
  ccOtherUnassigned,
  ccLetterModifier,
  ccLetterOther,
  ccPunctuationConnector,
  ccPunctuationDash,
  ccPunctuationOpen,
  ccPunctuationClose,
  ccPunctuationInitialQuote,
  ccPunctuationFinalQuote,
  ccPunctuationOther,
  ccSymbolMath,
  ccSymbolCurrency,
  ccSymbolModifier,
  ccSymbolOther,
  ccLeftToRight,
  ccLeftToRightEmbedding,
  ccLeftToRightOverride,
  ccRightToLeft,
  ccRightToLeftArabic,
  ccRightToLeftEmbedding,
  ccRightToLeftoverride,
  ccPopDirectionalFormat,
  ccEuropeanNumber,
  ccEuropeanNumberSeparator,
  ccEuropeanNumberTerminator,
  ccArabicNumber,
  ccCommonNumberSeparator,
  ccBoundaryNeutral,
  ccSegmentSeparator,
  ccWhiteSpace,
  ccOtherNeutrals,
  ccComposed,
  ccNonBreaking,
  ccSymmetric,
  ccHexDigit,
  ccQuotationMark,
  ccMirroring,
  ccSpaceOther,
  ccAssigned
);
TCharacterCategories = set of TCharacterCategory;

Description

Various predefined or otherwise useful character property categories

ccLetterUppercase

Uppercased letter

ccLetterLowercase

Lowercased letter

ccLetterTitlecase

Titlecased letter

ccMarkNonSpacing

Nonspacing mark

ccMarkSpacingCombining

Combining spacing mark

ccMarkEnclosing

Enclosing mark

ccNumberDecimalDigit

Decimal digit

ccNumberLetter

Letter representing a number

ccNumberOther

Other characters representing a number

ccSeparatorSpace

Space seperator

ccSeparatorLine

Line seperator

ccSeparatorParagraph

Paragraph seperator

ccOtherControl

Control character

ccOtherFormat

Format character

ccOtherSurrogate

Surrogate character

ccOtherPrivate

Private character

ccOtherUnassigned

Unassigned character

ccLetterModifier

Modifier character

ccLetterOther

Unclassified character

ccPunctuationConnector

Connecting punctuation character

ccPunctuationDash

Dash punctuation character

ccPunctuationOpen

Open punctuation character

ccPunctuationClose

Close punctuation character

ccPunctuationInitialQuote

Initial quote character

ccPunctuationFinalQuote

Final quote character

ccPunctuationOther

Undefined punctuation character

ccSymbolMath

Mathematical symbol

ccSymbolCurrency

Currency symbol

ccSymbolModifier

Modifier symbol

ccSymbolOther

Undefined symbol

ccSymmetric

Has left and right forms

ccHexDigit

Hexadecimal digit

ccQuotationMark

Quotation mark

ccSpaceOther

Undefined spacing character

ccAssigned

Defined character in Unicode-standard

Notes

Categories ccComposed upto ccAssigned are self-defined categories and do not appear in the Unicode data file. They are useful in the TURESearch-class.

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


UTF7 Type

Unicode transformation format data type UTF7

Pascal

PUTF7 = ^UTF7;
UTF7 = Char;

Description

Unicode transformation format data type UTF7

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


UTF8 Type

Unicode transformation format data type UTF8

Pascal

PUTF8 = ^UTF8;
UTF8 = Char;

Description

Unicode transformation format data type UTF8

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


UTF16 Type

Unicode transformation format data type UTF16

Pascal

PUTF16 = ^UTF16;
UTF16 = WideChar;

Description

Unicode transformation format data type UTF16

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


UTF32 Type

Unicode transformation format data type UTF32

Pascal

PUTF32 = ^UTF32;
UTF32 = Cardinal;

Description

Unicode transformation format data type UTF32

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


UCS4 Type

UTF conversion scheme data type UCS4

Pascal

PUCS4 = ^UCS4;
UCS4 = Cardinal;

Description

UTF conversion scheme data type UCS4

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


PUCS2 Type

UTF conversion scheme data type UCS2

Pascal

PUCS2 = PWideChar;

Description

UTF conversion scheme data type UCS2

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


TUcNumber Record

See Also

Record type for number-related Unicode functions.

Pascal

TUcNumber = record
  Denominator: Integer;
  Numerator: Integer;
end;

Description

TUcNumber is a record used for number-related Unicode functions. '1/6' (U+2159) would be converted to Numerator=1 and Denominator=6 by the UnicodeNumberLookup function

Denominator: Integer;

Denominator of a number

Numerator: Integer;

Numerator of a number

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


See Also

UnicodeNumberLookup


TNormalizationForm Enumeration

See Also

Normalization form to use.

Pascal

TNormalizationForm = (
  nfNone,
  nfC,
  nfD,
  nfKC,
  nfKD
);

Description

Normalization form used in WideNormalize.

nfNone

Do not normalize

nfC

canonical decomposition followed by canonical composition

nfD

canonical decomposition

nfKC

compatibility decomposition followed by a canonical composition

nfKD

compatibility decomposition

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


See Also

WideNormalize


TUnicodeBlock Enumeration

Unicode block enumeration.

Pascal

TUnicodeBlock = (
  ubUndefined,
  ubBasicLatin,
  ubLatin1Supplement,
  ubLatinExtendedA,
  ubLatinExtendedB,
  ubIPAExtensions,
  ubSpacingModifierLetters,
  ubCombiningDiacriticalMarks,
  ubGreek,
  ubCyrillic,
  ubCyrillicSupplement,
  ubArmenian,
  ubHebrew,
  ubArabic,
  ubSyriac,
  ubArabicSupplement,
  ubThaana,
  ubDevanagari,
  ubBengali,
  ubGurmukhi,
  ubGujarati,
  ubOriya,
  ubTamil,
  ubTelugu,
  ubKannada,
  ubMalayalam,
  ubSinhala,
  ubThai,
  ubLao,
  ubTibetan,
  ubMyanmar,
  ubGeorgian,
  ubHangulJamo,
  ubEthiopic,
  ubEthiopicSupplement,
  ubCherokee,
  ubUnifiedCanadianAboriginalSyllabics,
  ubOgham,
  ubRunic,
  ubTagalog,
  ubHanunoo,
  ubBuhid,
  ubTagbanwa,
  ubKhmer,
  ubMongolian,
  ubLimbu,
  ubTaiLe,
  ubNewTaiLue,
  ubKhmerSymbols,
  ubBuginese,
  ubPhoneticExtensions,
  ubPhoneticExtensionsSupplement,
  ubCombiningDiacriticalMarksSupplement,
  ubLatinExtendedAdditional,
  ubGreekExtended,
  ubGeneralPunctuation,
  ubSuperscriptsandSubscripts,
  ubCurrencySymbols,
  ubCombiningMarksforSymbols,
  ubLetterlikeSymbols,
  ubNumberForms,
  ubArrows,
  ubMathematicalOperators,
  ubMiscellaneousTechnical,
  ubControlPictures,
  ubOpticalCharacterRecognition,
  ubEnclosedAlphanumerics,
  ubBoxDrawing,
  ubBlockElements,
  ubGeometricShapes,
  ubMiscellaneousSymbols,
  ubDingbats,
  ubMiscellaneousMathematicalSymbolsA,
  ubSupplementalArrowsA,
  ubBraillePatterns,
  ubSupplementalArrowsB,
  ubMiscellaneousMathematicalSymbolsB,
  ubSupplementalMathematicalOperators,
  ubMiscellaneousSymbolsandArrows,
  ubGlagolitic,
  ubCoptic,
  ubGeorgianSupplement,
  ubTifinagh,
  ubEthiopicExtended,
  ubSupplementalPunctuation,
  ubCJKRadicalsSupplement,
  ubKangxiRadicals,
  ubIdeographicDescriptionCharacters,
  ubCJKSymbolsandPunctuation,
  ubHiragana,
  ubKatakana,
  ubBopomofo,
  ubHangulCompatibilityJamo,
  ubKanbun,
  ubBopomofoExtended,
  ubCJKStrokes,
  ubKatakanaPhoneticExtensions,
  ubEnclosedCJKLettersandMonths,
  ubCJKCompatibility,
  ubCJKUnifiedIdeographsExtensionA,
  ubYijingHexagramSymbols,
  ubCJKUnifiedIdeographs,
  ubYiSyllables,
  ubYiRadicals,
  ubModifierToneLetters,
  ubSylotiNagri,
  ubHangulSyllables,
  ubHighSurrogates,
  ubHighPrivateUseSurrogates,
  ubLowSurrogates,
  ubPrivateUse,
  ubCJKCompatibilityIdeographs,
  ubAlphabeticPresentationForms,
  ubArabicPresentationFormsA,
  ubVariationSelectors,
  ubVerticalForms,
  ubCombiningHalfMarks,
  ubCJKCompatibilityForms,
  ubSmallFormVariants,
  ubArabicPresentationFormsB,
  ubHalfwidthandFullwidthForms,
  ubSpecials,
  ubLinearBSyllabary,
  ubLinearBIdeograms,
  ubAegeanNumbers,
  ubAncientGreekNumbers,
  ubOldItalic,
  ubGothic,
  ubUgaritic,
  ubOldPersian,
  ubDeseret,
  ubShavian,
  ubOsmanya,
  ubCypriotSyllabary,
  ubKharoshthi,
  ubByzantineMusicalSymbols,
  ubMusicalSymbols,
  ubAncientGreekMusicalNotation,
  ubTaiXuanJingSymbols,
  ubMathematicalAlphanumericSymbols,
  ubCJKUnifiedIdeographsExtensionB,
  ubCJKCompatibilityIdeographsSupplement,
  ubTags,
  ubVariationSelectorsSupplement,
  ubSupplementaryPrivateUseAreaA,
  ubSupplementaryPrivateUseAreaB
);

Description

An Unicode block usually corresponds to a particular language script but can also represent special characters, musical symbols and the like.

ubUndefined

Undefined block

Donator

Mike Lischke

Group

Unicode

Unit

JclUnicode


Character test routines

Unicode

Functions

UnicodeIsAlpha

Tests whether the codepoint is an alphabetic character.

UnicodeIsDigit

Tests whether the codepoint is a digit.

UnicodeIsAlphaNum

Tests whether the codepoint is an alphanumerical character.

UnicodeIsControl

Tests whether the codepoint is a control character.

UnicodeIsSpace

Tests whether the codepoint is a spacing character.

UnicodeIsWhiteSpace

Tests whether the codepoint is a white space character.

UnicodeIsBlank

Tests whether the codepoint is a space character.

UnicodeIsPunctuation

Tests whether the codepoint is a punctuation mark.

UnicodeIsGraph

Tests whether the codepoint is a graphical character.

UnicodeIsPrintable

Tests whether the codepoint is a printable character.

UnicodeIsUpper

Tests whether the codepoint is uppercase.

UnicodeIsLower

Tests whether the codepoint is lowercase.

UnicodeIsTitle

Tests whether the codepoint is a titlecased character.

UnicodeIsHexDigit

Tests whether the codepoint is a hexadecimal digit.

UnicodeIsIsoControl

Tests whether the codepoint is an ISO control character.

UnicodeIsFormatControl

Tests whether the codepoint is a format control character.

UnicodeIsSymbol

Tests whether the codepoint is a symbol.

UnicodeIsNumber

Tests whether the codepoint is a number or digit.

UnicodeIsNonSpacing

Tests whether the codepoint is non-spacing.

UnicodeIsOpenPunctuation

Tests whether the codepoint is an open/left punctuation.

UnicodeIsClosePunctuation

Tests whether the codepoint is a closing/right punctuation character.

UnicodeIsInitialPunctuation

Tests whether the codepoint is an initial punctuation character.

UnicodeIsFinalPunctuation

Tests whether the codepoint is a final punctuation character.

UnicodeIsCased

Tests whether the codepoint is a cased character.

UnicodeIsComposed

Tests whether the codepoint is a composite character.

UnicodeIsQuotationMark

Tests whether the codepoint is a quotation mark.

UnicodeIsSymmetric

Tests whether the codepoint is symmetric.

UnicodeIsMirroring

Tests whether the codepoint is a final mirroring character.

UnicodeIsNonBreaking

Tests whether the codepoint is a non breaking character.

UnicodeIsMark

Tests whether the codepoint is a mark of some kind.

UnicodeIsModifier

Tests whether the codepoint is a modifier.

UnicodeIsLetterNumber

Tests whether the codepoint is a number represented by a letter.

UnicodeIsConnectionPunctuation

Tests whether the codepoint is a connection punctuation.

UnicodeIsMath

Tests whether the codepoint is a math character.

UnicodeIsDash

Tests whether the codepoint is a dash punctuation.

UnicodeIsCurrency

Tests whether the codepoint is a currency symbol.

UnicodeIsModifierSymbol

Tests whether the codepoint is a modifier symbol.

UnicodeIsNonSpacingMark

Tests whether the codepoint is a non-spacing mark.

UnicodeIsSpacingMark

Tests whether the codepoint is a spacing mark.

UnicodeIsEnclosing

Tests whether the codepoint is enclosing.

UnicodeIsPrivate

Tests whether the codepoint is from the private use area.

UnicodeIsSurrogate

Tests whether the codepoint is one of the surrogate codes.

UnicodeIsLineSeparator

Tests whether the codepoint is a line separator character.

UnicodeIsParagraphSeparator

Tests whether the codepoint is a paragraph separator character.

UnicodeIsIdentifierStart

Tests whether the codepoint is allowed as initial character of an identifier.

UnicodeIsIdentifierPart

Tests whether the codepoint is allowed as part of an identifier.

UnicodeIsDefined

Tests whether the codepoint is defined.

UnicodeIsUndefined

Tests whether the codepoint is undefined.

UnicodeIsHan

Tests whether the codepoint is a Han ideograph.

UnicodeIsHangul

Tests whether the codepoint is a Hangul syllable.


Character test routines Functions

Character test routines

Functions

UnicodeIsAlpha

Tests whether the codepoint is an alphabetic character.

UnicodeIsDigit

Tests whether the codepoint is a digit.

UnicodeIsAlphaNum

Tests whether the codepoint is an alphanumerical character.

UnicodeIsControl

Tests whether the codepoint is a control character.

UnicodeIsSpace

Tests whether the codepoint is a spacing character.

UnicodeIsWhiteSpace

Tests whether the codepoint is a white space character.

UnicodeIsBlank

Tests whether the codepoint is a space character.

UnicodeIsPunctuation

Tests whether the codepoint is a punctuation mark.

UnicodeIsGraph

Tests whether the codepoint is a graphical character.

UnicodeIsPrintable

Tests whether the codepoint is a printable character.

UnicodeIsUpper

Tests whether the codepoint is uppercase.

UnicodeIsLower

Tests whether the codepoint is lowercase.

UnicodeIsTitle

Tests whether the codepoint is a titlecased character.

UnicodeIsHexDigit

Tests whether the codepoint is a hexadecimal digit.

UnicodeIsIsoControl

Tests whether the codepoint is an ISO control character.

UnicodeIsFormatControl

Tests whether the codepoint is a format control character.

UnicodeIsSymbol

Tests whether the codepoint is a symbol.

UnicodeIsNumber

Tests whether the codepoint is a number or digit.

UnicodeIsNonSpacing

Tests whether the codepoint is non-spacing.

UnicodeIsOpenPunctuation

Tests whether the codepoint is an open/left punctuation.

UnicodeIsClosePunctuation

Tests whether the codepoint is a closing/right punctuation character.

UnicodeIsInitialPunctuation

Tests whether the codepoint is an initial punctuation character.

UnicodeIsFinalPunctuation

Tests whether the codepoint is a final punctuation character.

UnicodeIsCased

Tests whether the codepoint is a cased character.

UnicodeIsComposed

Tests whether the codepoint is a composite character.

UnicodeIsQuotationMark

Tests whether the codepoint is a quotation mark.

UnicodeIsSymmetric

Tests whether the codepoint is symmetric.

UnicodeIsMirroring

Tests whether the codepoint is a final mirroring character.

UnicodeIsNonBreaking

Tests whether the codepoint is a non breaking character.

UnicodeIsMark

Tests whether the codepoint is a mark of some kind.

UnicodeIsModifier

Tests whether the codepoint is a modifier.

UnicodeIsLetterNumber

Tests whether the codepoint is a number represented by a letter.

UnicodeIsConnectionPunctuation

Tests whether the codepoint is a connection punctuation.

UnicodeIsMath

Tests whether the codepoint is a math character.

UnicodeIsDash

Tests whether the codepoint is a dash punctuation.

UnicodeIsCurrency

Tests whether the codepoint is a currency symbol.

UnicodeIsModifierSymbol

Tests whether the codepoint is a modifier symbol.

UnicodeIsNonSpacingMark

Tests whether the codepoint is a non-spacing mark.

UnicodeIsSpacingMark

Tests whether the codepoint is a spacing mark.

UnicodeIsEnclosing

Tests whether the codepoint is enclosing.

UnicodeIsPrivate

Tests whether the codepoint is from the private use area.

UnicodeIsSurrogate

Tests whether the codepoint is one of the surrogate codes.

UnicodeIsLineSeparator

Tests whether the codepoint is a line separator character.

UnicodeIsParagraphSeparator

Tests whether the codepoint is a paragraph separator character.

UnicodeIsIdentifierStart

Tests whether the codepoint is allowed as initial character of an identifier.

UnicodeIsIdentifierPart

Tests whether the codepoint is allowed as part of an identifier.

UnicodeIsDefined

Tests whether the codepoint is defined.

UnicodeIsUndefined

Tests whether the codepoint is undefined.

UnicodeIsHan

Tests whether the codepoint is a Han ideograph.

UnicodeIsHangul

Tests whether the codepoint is a Hangul syllable.


UnicodeIsAlpha Function

Tests whether the codepoint is an alphabetic character.

Pascal

function UnicodeIsAlpha(C: UCS4): Boolean;

Description

UnicodeIsAlpha tests whether the specified unicode codepoint is an alphabetic character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an alphabetical character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsDigit Function

Tests whether the codepoint is a digit.

Pascal

function UnicodeIsDigit(C: UCS4): Boolean;

Description

UnicodeIsDigit tests whether the specified unicode codepoint is a digit.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a digit the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsAlphaNum Function

Tests whether the codepoint is an alphanumerical character.

Pascal

function UnicodeIsAlphaNum(C: UCS4): Boolean;

Description

UnicodeIsAlphaNum tests whether the specified unicode codepoint is an alphanumerical character. That is, it tests for both alphabetical characters and numbers.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an alphanumerical character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsControl Function

Tests whether the codepoint is a control character.

Pascal

function UnicodeIsControl(C: UCS4): Boolean;

Description

UnicodeIsControl tests whether the specified unicode codepoint is a control character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a control character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsSpace Function

Tests whether the codepoint is a spacing character.

Pascal

function UnicodeIsSpace(C: UCS4): Boolean;

Description

UnicodeIsSpace tests whether the specified unicode codepoint is a spacing character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a spacing character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsWhiteSpace Function

Tests whether the codepoint is a white space character.

Pascal

function UnicodeIsWhiteSpace(C: UCS4): Boolean;

Description

UnicodeIsWhiteSpace tests whether the specified unicode codepoint is a white space character. This is similar to UnicodeIsSpace with the addition of tabulator, new line and so forth.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a white space character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsBlank Function

Tests whether the codepoint is a space character.

Pascal

function UnicodeIsBlank(C: UCS4): Boolean;

Description

UnicodeIsBlank tests whether the specified unicode codepoint is a space character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a space character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsPunctuation Function

Tests whether the codepoint is a punctuation mark.

Pascal

function UnicodeIsPunctuation(C: UCS4): Boolean;

Description

UnicodeIsPunctuation tests whether the specified unicode codepoint is a punctuation mark.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a punctuation mark the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsGraph Function

Tests whether the codepoint is a graphical character.

Pascal

function UnicodeIsGraph(C: UCS4): Boolean;

Description

UnicodeIsGraph tests whether the specified unicode codepoint is a graphical character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a graphical character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsPrintable Function

Tests whether the codepoint is a printable character.

Pascal

function UnicodeIsPrintable(C: UCS4): Boolean;

Description

UnicodeIsPrintable tests whether the specified unicode codepoint is a printable character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a printable character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsUpper Function

Tests whether the codepoint is uppercase.

Pascal

function UnicodeIsUpper(C: UCS4): Boolean;

Description

UnicodeIsUpper tests whether the specified unicode codepoint is an uppercase character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an uppercase character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsLower Function

Tests whether the codepoint is lowercase.

Pascal

function UnicodeIsLower(C: UCS4): Boolean;

Description

UnicodeIsLower tests whether the specified unicode codepoint is a lowercase character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a lowercase character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsTitle Function

Tests whether the codepoint is a titlecased character.

Pascal

function UnicodeIsTitle(C: UCS4): Boolean;

Description

UnicodeIsTitle tests whether the specified unicode codepoint is a titlecase character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a titlecased character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsHexDigit Function

Tests whether the codepoint is a hexadecimal digit.

Pascal

function UnicodeIsHexDigit(C: UCS4): Boolean;

Description

UnicodeIsHexDigit tests whether the specified unicode codepoint is a hexadecimal digit.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a hexadecimal digit the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsIsoControl Function

Tests whether the codepoint is an ISO control character.

Pascal

function UnicodeIsIsoControl(C: UCS4): Boolean;

Description

UnicodeIsIsoControl tests whether the specified unicode codepoint is an ISO control character (ordinal value smaller than 32).

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an ISO control character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsFormatControl Function

Tests whether the codepoint is a format control character.

Pascal

function UnicodeIsFormatControl(C: UCS4): Boolean;

Description

UnicodeIsFormatControl tests whether the specified unicode codepoint is a format control character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a format control character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsSymbol Function

Tests whether the codepoint is a symbol.

Pascal

function UnicodeIsSymbol(C: UCS4): Boolean;

Description

UnicodeIsSymbol tests whether the specified unicode codepoint is a symbol character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a symbol character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsNumber Function

Tests whether the codepoint is a number or digit.

Pascal

function UnicodeIsNumber(C: UCS4): Boolean;

Description

UnicodeIsNumber tests whether the specified unicode codepoint is a number or digit.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a number or digit the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsNonSpacing Function

Tests whether the codepoint is non-spacing.

Pascal

function UnicodeIsNonSpacing(C: UCS4): Boolean;

Description

UnicodeIsNonSpacing tests whether the specified unicode codepoint is a non-spacing character.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a non-spacing character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsOpenPunctuation Function

Tests whether the codepoint is an open/left punctuation.

Pascal

function UnicodeIsOpenPunctuation(C: UCS4): Boolean;

Description

UnicodeIsOpenPunctuation tests whether the specified unicode codepoint is an open/left punctuation character. For example '['.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an open/left punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsClosePunctuation Function

Tests whether the codepoint is a closing/right punctuation character.

Pascal

function UnicodeIsClosePunctuation(C: UCS4): Boolean;

Description

UnicodeIsClosePunctuation tests whether the specified unicode codepoint is a closing/right punctuation character. For example ']'.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a closing/right punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsInitialPunctuation Function

Tests whether the codepoint is an initial punctuation character.

Pascal

function UnicodeIsInitialPunctuation(C: UCS4): Boolean;

Description

UnicodeIsInitialPunctuation tests whether the specified unicode codepoint is an initial punctuation character. For example U+2018 LEFT SINGLE QUOTATION MARK.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is an initial punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsFinalPunctuation Function

Tests whether the codepoint is a final punctuation character.

Pascal

function UnicodeIsFinalPunctuation(C: UCS4): Boolean;

Description

UnicodeIsFinalPunctuation tests whether the specified unicode codepoint is a final punctuation control character. For example U+2019 RIGHT SINGLE QUOTATION MARK.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a final punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsCased Function

Tests whether the codepoint is a cased character.

Pascal

function UnicodeIsCased(C: UCS4): Boolean;

Description

UnicodeIsCased tests whether the specified unicode codepoint is a cased character, i.e. either lower case, title case, upper case or unique upper case.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a cased character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsComposed Function

Tests whether the codepoint is a composite character.

Pascal

function UnicodeIsComposed(C: UCS4): Boolean;

Description

UnicodeIsComposed tests whether the specified unicode codepoint is a composite character. That is it returns whether the character can be decomposed into a set of other characters (eg an Ü u umlaut is a composite character).

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a composite character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsQuotationMark Function

Tests whether the codepoint is a quotation mark.

Pascal

function UnicodeIsQuotationMark(C: UCS4): Boolean;

Description

UnicodeIsQuotationMark tests whether the specified unicode codepoint is a quotation mark. For example ', " etc.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a quotation mark the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsSymmetric Function

Tests whether the codepoint is symmetric.

Pascal

function UnicodeIsSymmetric(C: UCS4): Boolean;

Description

UnicodeIsSymmetric tests whether the specified unicode codepoint is a symmetric character. That is, whether it has an opposite form. An example of a symmetric character is '<' (the opposite would be '>').

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a symmetric character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsMirroring Function

Tests whether the codepoint is a final mirroring character.

Pascal

function UnicodeIsMirroring(C: UCS4): Boolean;

Description

UnicodeIsMirroring tests whether the specified unicode codepoint is a mirroring character (superset of symmetric).

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a mirroring character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsNonBreaking Function

Tests whether the codepoint is a non breaking character.

Pascal

function UnicodeIsNonBreaking(C: UCS4): Boolean;

Description

UnicodeIsNonBreaking tests whether the specified unicode codepoint is a non breaking character, for example a non breaking space.

Parameters

Code

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a non breaking character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsMark Function

Tests whether the codepoint is a mark of some kind.

Pascal

function UnicodeIsMark(C: UCS4): Boolean;

Description

UnicodeIsMark tests whether the specified unicode codepoint is a mark of some kind.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a mark character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsModifier Function

Tests whether the codepoint is a modifier.

Pascal

function UnicodeIsModifier(C: UCS4): Boolean;

Description

UnicodeIsModifier tests whether the specified unicode codepoint is a modifier.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a modifier character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsLetterNumber Function

Tests whether the codepoint is a number represented by a letter.

Pascal

function UnicodeIsLetterNumber(C: UCS4): Boolean;

Description

UnicodeIsLetterNumber tests whether the specified unicode codepoint is a number by a letter.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a letter character representing a number the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsConnectionPunctuation Function

Tests whether the codepoint is a connection punctuation.

Pascal

function UnicodeIsConnectionPunctuation(C: UCS4): Boolean;

Description

UnicodeIsConnectionPunctuation tests whether the specified unicode codepoint is a connection punctuation, for example an underscore.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a connection punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsMath Function

Tests whether the codepoint is a math character.

Pascal

function UnicodeIsMath(C: UCS4): Boolean;

Description

UnicodeIsMath tests whether the specified unicode codepoint is a math character, for example a hyphen.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a math character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsDash Function

Tests whether the codepoint is a dash punctuation.

Pascal

function UnicodeIsDash(C: UCS4): Boolean;

Description

UnicodeIsDash tests whether the specified unicode codepoint is a dash punctuation, for example a plus sign.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a dash punctuation character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsCurrency Function

Tests whether the codepoint is a currency symbol.

Pascal

function UnicodeIsCurrency(C: UCS4): Boolean;

Description

UnicodeIsCurrency tests whether the specified unicode codepoint is a currency symbol, for example the dollar sign.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a currency symbol the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsModifierSymbol Function

Tests whether the codepoint is a modifier symbol.

Pascal

function UnicodeIsModifierSymbol(C: UCS4): Boolean;

Description

UnicodeIsModifierSymbol tests whether the specified unicode codepoint is a modifier symbol, for example the grave accent.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a modifier symbol the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsNonSpacingMark Function

Tests whether the codepoint is a non-spacing mark.

Pascal

function UnicodeIsNonSpacingMark(C: UCS4): Boolean;

Description

UnicodeIsNonSpacingMark tests whether the specified unicode codepoint is a non-spacing mark, for example the combining grave accent.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a non-spacing mark the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsSpacingMark Function

Tests whether the codepoint is a spacing mark.

Pascal

function UnicodeIsSpacingMark(C: UCS4): Boolean;

Description

UnicodeIsSpacingMark tests whether the specified unicode codepoint is a spacing mark, for example the Bengali vowel sign AA.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a spacing mark the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsEnclosing Function

Tests whether the codepoint is enclosing.

Pascal

function UnicodeIsEnclosing(C: UCS4): Boolean;

Description

UnicodeIsEnclosing tests whether the specified unicode codepoint is enclosing, for example the enclosing box.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is enclosing the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsPrivate Function

Tests whether the codepoint is from the private use area.

Pascal

function UnicodeIsPrivate(C: UCS4): Boolean;

Description

UnicodeIsPrivate tests whether the specified unicode codepoint is from the private use area.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is from the private use area the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsSurrogate Function

Tests whether the codepoint is one of the surrogate codes.

Pascal

function UnicodeIsSurrogate(C: UCS4): Boolean;

Description

UnicodeIsSurrogate tests whether the specified unicode codepoint is one of the surrogate codes.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is one of the surrogate codes the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsLineSeparator Function

Tests whether the codepoint is a line separator character.

Pascal

function UnicodeIsLineSeparator(C: UCS4): Boolean;

Description

UnicodeIsLineSeparator tests whether the specified unicode codepoint is a line separator character.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a line separator character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsParagraphSeparator Function

Tests whether the codepoint is a paragraph separator character.

Pascal

function UnicodeIsParagraphSeparator(C: UCS4): Boolean;

Description

UnicodeIsParagraphSeparator tests whether the specified unicode codepoint is a paragraph separator character.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a paragraph separator character the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsIdentifierStart Function

Tests whether the codepoint is allowed as initial character of an identifier.

Pascal

function UnicodeIsIdentifierStart(C: UCS4): Boolean;

Description

UnicodeIsIdentifierStart tests whether the specified unicode codepoint is a character that can begin an identifier, ie. the character must be a letter (upper-, lower- or titlecase or other) or a letter representing a number.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint can begin an identifier the function returns True, otherwise the function returns False.

Notes

UnicodeIsIdentifierStart could be replaced by (UnicodeIsAlpha or UnicodeIsLetterNumber) and not UnicodeIsModifier

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsIdentifierPart Function

Tests whether the codepoint is allowed as part of an identifier.

Pascal

function UnicodeIsIdentifierPart(C: UCS4): Boolean;

Description

UnicodeIsIdentifierPart tests whether the specified unicode codepoint is a character that can be in an identifier, ie. the character must be a letter (upper-, lower- or titlecase or other), a letter representing a number, a mark (non-spacing or spacing combining), a decimal digit, a connecting punctuation or a format control character.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint can be in an identifier the function returns True, otherwise the function returns False.

Notes

UnicodeIsIdentifierPart could be replaced by (UnicodeIsIdentifierStart or UnicodeIsNonSpacingMark or UnicodeIsSpacingMark or UnicodeIsDigit or UnicodeIsConnectionPunctuation or UnicodeIsFormatControl

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsDefined Function

Tests whether the codepoint is defined.

Pascal

function UnicodeIsDefined(C: UCS4): Boolean;

Description

UnicodeIsDefined tests whether the specified unicode codepoint is defined (ie. it appears in one of the data files).

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is defined the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsUndefined Function

Tests whether the codepoint is undefined.

Pascal

function UnicodeIsUndefined(C: UCS4): Boolean;

Description

UnicodeIsUndefined tests whether the specified unicode codepoint is undefined (ie. a non-unicode character).

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is undefined the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsHan Function

Tests whether the codepoint is a Han ideograph.

Pascal

function UnicodeIsHan(C: UCS4): Boolean;

Description

UnicodeIsHan tests whether the specified unicode codepoint is a Han ideograph.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a Han ideograph the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


UnicodeIsHangul Function

Tests whether the codepoint is a Hangul syllable.

Pascal

function UnicodeIsHangul(C: UCS4): Boolean;

Description

UnicodeIsHangul tests whether the specified unicode codepoint is a pre-composed Hangul syllable.

Parameters

C: UCS4

The unicode codepoint (character) to test.

Return Value

If the specified codepoint is a Hangul syllable the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Character test routines

Unit

JclUnicode


Directionality

Unicode

Functions

UnicodeIsRightToLeft

Tests a Unicode character against right-to-left directionality.

UnicodeIsLeftToRight

Tests a Unicode character against left-to-right directionality.

UnicodeIsStrong

Tests a Unicode character for strong directionality.

UnicodeIsWeak

Tests a Unicode character for weak directionality.

UnicodeIsNeutral

Tests a Unicode character for neutral directionality.

UnicodeIsSeparator

Tests a Unicode character against separator directionality.


Directionality Functions

Directionality

Functions

UnicodeIsRightToLeft

Tests a Unicode character against right-to-left directionality.

UnicodeIsLeftToRight

Tests a Unicode character against left-to-right directionality.

UnicodeIsStrong

Tests a Unicode character for strong directionality.

UnicodeIsWeak

Tests a Unicode character for weak directionality.

UnicodeIsNeutral

Tests a Unicode character for neutral directionality.

UnicodeIsSeparator

Tests a Unicode character against separator directionality.


UnicodeIsRightToLeft Function

See Also

Tests a Unicode character against right-to-left directionality.

Pascal

function UnicodeIsRightToLeft(C: UCS4): Boolean;

Description

UnicodeIsRightToLeft returns whether the specified character has (strong) right-to-left directionality. Examples of characters that have right-to-left directionality are the Arabic and Hebrew alphabet and punctuation specific to those scripts.

Parameters

C: UCS4

The Unicode character to test.

Return Value

If the specified unicode character has right-to-left directionality the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsLeftToRight UnicodeIsStrong UnicodeIsWeak UnicodeIsNeutral UnicodeIsSeparator


UnicodeIsLeftToRight Function

See Also

Tests a Unicode character against left-to-right directionality.

Pascal

function UnicodeIsLeftToRight(C: UCS4): Boolean;

Description

UnicodeIsLeftToRight returns whether the specified character has (strong) left-to-right directionality. Most alphabetic and syllabic, as well as all Han ideographic characters, have left-to-right directionality.

Parameters

C: UCS4

The Unicode character to test.

Return Value

If the specified unicode character has left-to-right directionality the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsRightToLeft UnicodeIsStrong UnicodeIsWeak UnicodeIsNeutral UnicodeIsSeparator


UnicodeIsStrong Function

See Also

Tests a Unicode character for strong directionality.

Pascal

function UnicodeIsStrong(C: UCS4): Boolean;

Description

UnicodeIsStrong returns whether the specified character has strong directionality. Strong directionality means that it has either left-to-right or right-to-left directionality. In contrast there are also characters that exhibit weak or neutral directionality. Examples of characters with strong directionality are the Arabic and Hebrew alphabets as well as most alphabetic, syllable, and Han ideographic characters.

Parameters

C: UCS4

The Unicode character to test.

Return Value

If the specified unicode character has strong directionality the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsRightToLeft UnicodeIsLeftToRight UnicodeIsWeak UnicodeIsNeutral UnicodeIsSeparator


UnicodeIsWeak Function

See Also

Tests a Unicode character for weak directionality.

Pascal

function UnicodeIsWeak(C: UCS4): Boolean;

Description

UnicodeIsWeak returns whether the specified character has weak directionality. Examples of characters with weak directionality are numbers and number separators and terminators. In contrast there are also characters that exhibit strong or neutral directionality.

Parameters

C: UCS4

The Unicode character to test

Return Value

If the specified unicode character has weak directionality the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsRightToLeft UnicodeIsLeftToRight UnicodeIsStrong UnicodeIsNeutral UnicodeIsSeparator


UnicodeIsNeutral Function

See Also

Tests a Unicode character for neutral directionality.

Pascal

function UnicodeIsNeutral(C: UCS4): Boolean;

Description

UnicodeIsNeutral returns whether the specified character has neutral directionality. Examples of characters with neutral directionality are spaces, punctuation and symbols. In contrast there are also characters that exhibit strong or weak directionality.

Parameters

C: UCS4

The Unicode character to test

Return Value

If the specified unicode character has neutral directionality the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsRightToLeft UnicodeIsLeftToRight UnicodeIsStrong UnicodeIsWeak UnicodeIsSeparator


UnicodeIsSeparator Function

See Also

Tests a Unicode character against separator directionality.

Pascal

function UnicodeIsSeparator(C: UCS4): Boolean;

Description

UnicodeIsSeparator tests whether the specified character is a block or segment separator. Examples of separators are the line separator (U+2028) and the horizontal tab (U+0009).

Parameters

C: UCS4

The Unicode character to test

Return Value

If the specified unicode character is a block or segment separator the function returns True, otherwise the function returns False.

Donator

Mike Lischke

Group

Directionality

Unit

JclUnicode


See Also

UnicodeIsRightToLeft UnicodeIsLeftToRight UnicodeIsStrong UnicodeIsWeak UnicodeIsNeutral


Low level character routines

Unicode

Functions

UnicodeNumberLookup

Searches for the given code and returns its number equivalent (if there is one).

UnicodeToUpper

Converts a codepoint to uppercase.

UnicodeToLower

Converts a codepoint to lowercase.

UnicodeToTitle

Converts a codepoint to title case.

UnicodeComposePair

Map two sequences into a composed codepoint.


Low level character routines Functions

Low level character routines

Functions

UnicodeNumberLookup

Searches for the given code and returns its number equivalent (if there is one).

UnicodeToUpper

Converts a codepoint to uppercase.

UnicodeToLower

Converts a codepoint to lowercase.

UnicodeToTitle

Converts a codepoint to title case.

UnicodeComposePair

Map two sequences into a composed codepoint.


UnicodeNumberLookup Function

See Also

Searches for the given code and returns its number equivalent (if there is one).

Pascal

function UnicodeNumberLookup(Code: UCS4; var Number: TUcNumber): Boolean;

Description

UnicodeNumberLookup searches for the given code and returns its number equivalent (if there is one). Typical cases are: '1/6' (U+2159), '3/8' (U+215C), 'XII' (U+216B) etc.

Parameters

Code: UCS4

The unicode codepoint (character) to locate number equivalent of.

Return Value

True if a number could be found.

Donator

Mike Lischke

Group

Low level character routines

Unit

JclUnicode


See Also

UnicodeToUpper UnicodeToLower UnicodeToTitle


UnicodeToUpper Function

See Also

Converts a codepoint to uppercase.

Pascal

function UnicodeToUpper(Code: UCS4): TUCS4Array;

Description

UnicodeToUpper converts the specified unicode codepoint (character) to uppercase.

Parameters

Code: UCS4

The codepoint to convert.

Return Value

The uppercased codepoint(s).

Donator

Mike Lischke

Group

Low level character routines

Unit

JclUnicode


See Also

UnicodeNumberLookup UnicodeToLower UnicodeToTitle


UnicodeToLower Function

See Also

Converts a codepoint to lowercase.

Pascal

function UnicodeToLower(Code: UCS4): TUCS4Array;

Description

UnicodeToLower converts the specified unicode codepoint (character) to lowercase.

Parameters

Code: UCS4

The codepoint to convert.

Return Value

The lowercased codepoint(s).

Donator

Mike Lischke

Group

Low level character routines

Unit

JclUnicode


See Also

UnicodeNumberLookup UnicodeToUpper UnicodeToTitle


UnicodeToTitle Function

See Also

Converts a codepoint to title case.

Pascal

function UnicodeToTitle(Code: UCS4): TUCS4Array;

Description

UnicodeToUpper converts the specified unicode codepoint (character) to title case.

Parameters

Code: UCS4

The codepoint to convert.

Return Value

The title cased codepoint(s).

Donator

Mike Lischke

Group

Low level character routines

Unit

JclUnicode


See Also

UnicodeNumberLookup UnicodeToUpper UnicodeToLower


UnicodeComposePair Function

Map two sequences into a composed codepoint.

Pascal

function UnicodeComposePair(First: UCS4; Second: UCS4; var Composite: UCS4): Boolean;

Description

UnicodeComposePair maps the sequence of First and Second to a composed codepoint.

Parameters

First: UCS4

The first sequence.

Second: UCS4

The second sequence.

var Composite: UCS4

Composed version of the First and Second sequence.

Return Value

UnicodeComposePair returns True if there was a mapping (in which case Composite is the composed version of First and Second) otherwise it returns False.

Donator

Mike Lischke

Group

Low level character routines

Unit

JclUnicode


Null terminated strings

Unicode

Functions

StrICompW

Case-insensitive, binary comparison of two null terminated strings.

StrNewW

Duplicates a wide character string.

StrScanW

Scans the specified string for an occurrence of Chr.

StrRNScanW

StrRNScan returns the length of the consecutive characters from the end of S1 which do not appear in S2.

StrNScanW

StrNScan returns the length of the consecutive characters in S1 which do not appear in S2.

StrSwapByteOrder

For each character in the string StrSwapByteOrder exchanges the low order and high order byte to go from LSB to MSB and vice versa.

StrDisposeW

Release the memory of a wide character string.

StrAllocW

Allocates a buffer for a null-terminated wide string.

StrBufSizeW

Returns the buffer size for a null-terminated wide string.

StrPosW

StrRScanW

Scans the specified string for the occurrences of Chr.

StrLICompW

Case-insensitive, binary comparison of two null terminated strings.

StrLCompW

Case-sensitive, binary comparison of two null terminated strings.

StrCompW

Case-sensitive, binary comparison of two null terminated strings.

StrLCatW

Concatenates two strings enforcing a maximum for the total length.

StrCatW

Concatenates two strings.

StrPLCopyW

Copies up to MaxLen characters from Source into Dest.

StrPCopyW

Copies a Pascal style string to a null terminated wide string.

StrLCopyW

Copies MaxLen characters from Source to Dest.

StrECopyW

StrCopyW

Copies the source string into the destination string.

StrMoveW

Copies a string from Source to Dest.

StrEndW

Returns a pointer to the end of the string.

StrLenW

Returns the length of the string in characters.


Null terminated strings Functions

Null terminated strings

Functions

StrICompW

Case-insensitive, binary comparison of two null terminated strings.

StrNewW

Duplicates a wide character string.

StrScanW

Scans the specified string for an occurrence of Chr.

StrRNScanW

StrRNScan returns the length of the consecutive characters from the end of S1 which do not appear in S2.

StrNScanW

StrNScan returns the length of the consecutive characters in S1 which do not appear in S2.

StrSwapByteOrder

For each character in the string StrSwapByteOrder exchanges the low order and high order byte to go from LSB to MSB and vice versa.

StrDisposeW

Release the memory of a wide character string.

StrAllocW

Allocates a buffer for a null-terminated wide string.

StrBufSizeW

Returns the buffer size for a null-terminated wide string.

StrPosW

StrRScanW

Scans the specified string for the occurrences of Chr.

StrLICompW

Case-insensitive, binary comparison of two null terminated strings.

StrLCompW

Case-sensitive, binary comparison of two null terminated strings.

StrCompW

Case-sensitive, binary comparison of two null terminated strings.

StrLCatW

Concatenates two strings enforcing a maximum for the total length.

StrCatW

Concatenates two strings.

StrPLCopyW

Copies up to MaxLen characters from Source into Dest.

StrPCopyW

Copies a Pascal style string to a null terminated wide string.

StrLCopyW

Copies MaxLen characters from Source to Dest.

StrECopyW

StrCopyW

Copies the source string into the destination string.

StrMoveW

Copies a string from Source to Dest.

StrEndW

Returns a pointer to the end of the string.

StrLenW

Returns the length of the string in characters.


StrICompW Function

Case-insensitive, binary comparison of two null terminated strings.

Pascal

function StrICompW(const Str1: PWideChar; const Str2: PWideChar; MaxLen: Cardinal): Integer;
function StrICompW(const Str1: PWideChar; const Str2: PWideChar): Integer;

Description

Case-insensitive, binary comparison of two null terminated strings.

Parameters

const Str1: PWideChar

First string

const Str2: PWideChar

Second string

Return Value

The return value should be interpreted as described in the table below. The actual value indicates the ordinal difference between the first mismatching character in the strings.
Value	Description
<0	Str1 < Str2
0	Str1 equals Str2
>0	Str1 > Str2
Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrNewW Function

Duplicates a wide character string.

Pascal

function StrNewW(const Str: PWideChar): PWideChar; overload;
function StrNewW(const Str: WideString): PWideChar; overload;

Description

StrNewW makes a copy of the specified string, if not nil, and returns a pointer to the duplicated string. The function makes an actual copy of the string not just the pointer. When you are done using the string you must deallocate the memory by using StrDisposeW. Do not simply pass it to FreeMem.

Parameters

const Str: PWideChar

The string to duplicate (copy).

Return Value

Pointer to the first character of the duplicated string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrScanW Function

See Also

Scans the specified string for an occurrence of Chr.

Pascal

function StrScanW(Str: PWideChar; Chr: WideChar): PWideChar; overload;
function StrScanW(Str: PWideChar; Chr: WideChar; StrLen: Cardinal): PWideChar; overload;

Description

Scans at most StrLen characters in the specified string for an occurrence of Chr. The comparison between Str and Chr is case-sensitive. Caller is responsible for ensuring that StrLen never exceeds the length of the strings. The overloaded routines without the StrLen parameter scans the string until it finds the character or the end of the string. You should prefer the routine with the StrLen parameter because it is much faster.

Parameters

Str: PWideChar

The string to scan for an occurrence of Chr.

Chr: WideChar

The character to scan for in Str.

StrLen: Cardinal

Maximum number of characters to scan.

Return Value

Pointer to the first occurrence of Chr in Str or nil if the specified character does not occur in Str.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrPosW StrRScanW


StrRNScanW Function

See Also

StrRNScan returns the length of the consecutive characters from the end of S1 which do not appear in S2.

Pascal

function StrRNScanW(const Str1: PWideChar; const Str2: PWideChar): Integer;

Description

StrRNScanW is identical to StrNScanW with 2 small differences. The first one is that the number of consecutive characters at the END of S1 is returned (not from the start). Secondly, S1 is traversed in backward direction, so it should point to the end of the actual string to be determined and there should a #0 character at the beginning of S1 to terminate the loop. S2 is used as it is in StrNScanW and points to the beginning of a sequence of characters. This function is useful for buffers which contain a string in reversed order. This is often the case for macro buffers which get the content of a string a single character at a time, ending with #0 which is then at the physical start of the string.

Parameters

S1

Pointer to the end of the source string which must have have a #0 character at the start.

S2

The sequence (set) of characters to test against.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrNScan


StrNScanW Function

See Also

StrNScan returns the length of the consecutive characters in S1 which do not appear in S2.

Pascal

function StrNScanW(const Str1: PWideChar; const Str2: PWideChar): Integer;

Description

StrNScan returns the length of the consecutive characters in S1, from the start of the string, which do not appear in S2. In other words: StrNScan returns the length of the longest sequence in S1 for which the predicate "not (S1^ in S2)" holds true if S2 were to be considered a set of characters. As an example consider S1 to hold 'Project JEDI' and S2 to hold 'abcdef'. Calling StrNScan with these parameters will return 4 since the fifth character, an 'e', appears in S2.

Parameters

S1

The source string.

S2

The sequence (set) of characters to test against.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrRNScan


StrSwapByteOrder Function

For each character in the string StrSwapByteOrder exchanges the low order and high order byte to go from LSB to MSB and vice versa.

Pascal

procedure StrSwapByteOrder(Str: PWideChar);

Description

For each character in the string StrSwapByteOrder exchanges the low order and high order byte to go from LSB to MSB and vice versa.

Parameters

Str: PWideChar

The string for which to swap the byte order of the individual characters.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrDisposeW Function

Release the memory of a wide character string.

Pascal

procedure StrDisposeW(Str: PWideChar);

Description

Release the memory of a wide character string previously allocated by StrNewW or StrAllocW.

Parameters

Str: PWideChar

The string to release.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrAllocW Function

Allocates a buffer for a null-terminated wide string.

Pascal

function StrAllocW(WideSize: Cardinal): PWideChar;

Description

Allocates a buffer for a null-terminated wide string and returns a pointer to the first character. The string is initially empty and initialized to all zeros. When you are done using the string you must deallocate the memory by using StrDisposeW. Do not simply pass it to FreeMem.

Parameters

Size

Size of the string to allocate in terms of characters. This indicates the total number of characters, including the null terminator. Thus, to allocate a buffer to hold the string 'Project JEDI' you must use at least 13 as the Size argument.

Return Value

Pointer to the first character of the allocated string.

Notes

The function allocates SizeOf(Cardinal) more memory then you requested. This additional Cardinal is stored at offset -4 of the returned pointer and is used to hold the size of the buffer. You can use the StrBufSizeW function to query for this value.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrBufSizeW Function

Returns the buffer size for a null-terminated wide string.

Pascal

function StrBufSizeW(const Str: PWideChar): Cardinal;

Description

Returns the buffer size allocated for the specified null-terminated wide string.

Parameters

const Str: PWideChar

Null-terminated wide string

Return Value

Size of the buffer allocated for the null-terminated wide string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrPosW Function

See Also

function StrPosW(Str: PWideChar; SubStr: PWideChar): PWideChar;

Description

StrPosW returns a pointer to the first character of the first occurrence of SubStr in Str. If SubStr does not occur in Str nil is returned.

Parameters

Str: PWideChar

String to search for the first occurrence of SubStr.

SubStr: PWideChar

Substring to search for in Str.

Return Value

Pointer to the first character of the first occurrence of SubStr in Str or nil if SubStr does not occur in Str.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrRScanW


StrRScanW Function

See Also

Scans the specified string for the occurrences of Chr.

Pascal

function StrRScanW(Str: PWideChar; Chr: WideChar): PWideChar;

Description

Scans the string for occurrences of the specified character and returns a pointer to the last occurrence. The comparison between Str and Chr is case-sensitive.

Parameters

Str: PWideChar

The string to scan for an occurrence of Chr.

Chr: WideChar

The character to scan for in Str.

Return Value

Pointer to the last occurrence of Chr in Str or nil if the character does not occur in Str.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrPosW StrScanW


StrLICompW Function

Case-insensitive, binary comparison of two null terminated strings.

Pascal

function StrLICompW(const Str1: PWideChar; const Str2: PWideChar; MaxLen: Cardinal): Integer;

Description

Case-insensitive, binary comparison of two null terminated strings.

Parameters

const Str1: PWideChar

First string

const Str2: PWideChar

Second string

MaxLen: Cardinal

The maximum number of characters to compare.

Return Value

The return value should be interpreted as described in the table below. The actual value indicates the ordinal difference between the first mismatching character in the strings.
Value	Description
<0	Str1 < Str2
0	Str1 equals Str2
>0	Str1 > Str2
Notes

Only ANSI characters are compared case insensitively.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrLCompW Function

Case-sensitive, binary comparison of two null terminated strings.

Pascal

function StrLCompW(const Str1: PWideChar; const Str2: PWideChar; MaxLen: Cardinal): Integer;

Description

Case-sensitive, binary comparison of two null terminated strings.

Parameters

const Str1: PWideChar

First string

const Str2: PWideChar

Second string

MaxLen: Cardinal

The maximum number of characters to compare.

Return Value

The return value should be interpreted as described in the table below. The actual value indicates the ordinal difference between the first mismatching character in the strings.
Value	Description
<0	Str1 < Str2
0	Str1 equals Str2
>0	Str1 > Str2
Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrCompW Function

Case-sensitive, binary comparison of two null terminated strings.

Pascal

function StrCompW(const Str1: PWideChar; const Str2: PWideChar): Integer;

Description

Case-sensitive, binary comparison of two null terminated strings.

Parameters

const Str1: PWideChar

First string

const Str2: PWideChar

Second string

Return Value

The return value should be interpreted as described in the table below. The actual value indicates the ordinal difference between the first mismatching character in the strings.
Value	Description
<0	Str1 < Str2
0	Str1 equals Str2
>0	Str1 > Str2
Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrLCatW Function

See Also

Concatenates two strings enforcing a maximum for the total length.

Pascal

function StrLCatW(Dest: PWideChar; Source: PWideChar; MaxLen: Cardinal): PWideChar;

Description

StrLCatW concatenates two strings and ensures that the resulting string is at maximum MaxLen characters long. Thus, it appends at most MaxLen - StrLenW(Dest) characters from Source to Dest.

Parameters

Dest: PWideChar

Pointer to a string buffer to which to append characters from Source. This buffer must have room to hold at least MaxLen + 1 characters.

Source: PWideChar

The string which is (partially) appended to Source.

MaxLen: Cardinal

Maximum length of the resulting string.

Return Value

Pointer to the destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrCatW


StrCatW Function

See Also

Concatenates two strings.

Pascal

function StrCatW(Dest: PWideChar; const Source: PWideChar): PWideChar;

Description

StrCatW appends Source to Dest and returns a pointer to the concatenated string. The Dest buffer must have enough room to hold the concatenated string, no length checking is performed. See StrLCatW for a length checking StrCatW.

Parameters

Dest: PWideChar

Pointer to a string buffer to append Dest to.

const Source: PWideChar

The string which is appended to Dest.

Return Value

Pointer to the Destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrLCatW


StrPLCopyW Function

See Also

Copies up to MaxLen characters from Source into Dest.

Pascal

function StrPLCopyW(Dest: PWideChar; const Source: string; MaxLen: Cardinal): PWideChar;

Description

Copies up to MaxLen characters from the Pascal style source string into a null terminated wide string. The Dest buffer must have enough room to hold at least MaxLen + 1 characters.

Parameters

Dest: PWideChar

Pointer to a buffer which receives a (partial) copy of Source.

const Source: string

Source string from which to copy up to MaxLen characters.

MaxLen: Cardinal

Maximum number of characters to copy from Source to Dest.

Return Value

Pointer to the destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrPCopyW


StrPCopyW Function

See Also

Copies a Pascal style string to a null terminated wide string.

Pascal

function StrPCopyW(Dest: PWideChar; const Source: string): PWideChar;

Description

StrPCopyW copies a Pascal style string to a null terminated wide string. The Dest buffer must have enough room to hold at least Length(Source) + 1 wide characters.

Parameters

Dest: PWideChar

Pointer to a buffer which receives a copy of the source string.

const Source: string

Source string to copy into Dest.

Return Value

Pointer to the destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrPLCopyW


StrLCopyW Function

Copies MaxLen characters from Source to Dest.

Pascal

function StrLCopyW(Dest: PWideChar; Source: PWideChar; MaxLen: Cardinal): PWideChar;

Description

StrLCopyW copies up to MaxLen characters from Source to Dest and returns a pointer to Dest. The Dest buffer must have enough room to hold at least MaxLen + 1 characters.

Parameters

Dest: PWideChar

Buffer which receives a (partial) copy of Source

Source: PWideChar

Source string

MaxLen: Cardinal

Maximum number of characters to copy from Source to Dest.

Return Value

Pointer to the Destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrECopyW Function

See Also

function StrECopyW(Dest: PWideChar; Source: PWideChar): PWideChar;

Description

StrECopyW copies the source string into the destination string and returns a pointer to the null terminating character at the end of the destination string. The function performs no length checking, the destination buffer must have room for at least StrLenW(Source) + 1 characters.

Parameters

Dest: PWideChar

Buffer which receives a copy of the source string.

Source: PWideChar

Source string to copy.

Return Value

Pointer to the null terminating character at the end of the destination string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrCopyW StrMoveW


StrCopyW Function

See Also

Copies the source string into the destination string.

Pascal

function StrCopyW(Dest: PWideChar; Source: PWideChar): PWideChar;

Description

StrCopyW copies the source string into the destination string and returns a pointer to the destination string. Dest must have been preallocated with enough room to hold a copy of the source string (it must be at least StrLenW(Source) + 1 characters in length).

Parameters

Dest: PWideChar

Pointer to a buffer that receives a copy of the source string. The buffer have enough room to hold StrLenW(Source) + 1 characters.

Source: PWideChar

The string to copy.

Return Value

Pointer to the Dest string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrMoveW StrECopyW


StrMoveW Function

See Also

Copies a string from Source to Dest.

Pascal

function StrMoveW(Dest: PWideChar; Source: PWideChar; Count: Cardinal): PWideChar;

Description

StrMoveW copies Count characters from Source to Destination. Dest must have enough room to hold at least Count + 1 characters.

Parameters

Dest: PWideChar

Pointer to a buffer that receives a copy of the source string.

Source: PWideChar

Source string from which to copy.

Count: Cardinal

The number of characters to copy from Source to Dest.

Return Value

Copy of the Dest pointer.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


See Also

StrCopyW


StrEndW Function

Returns a pointer to the end of the string.

Pascal

function StrEndW(Str: PWideChar): PWideChar;

Description

StrEndW returns a pointer to the null terminating character at the end of the specified string.

Parameters

Str: PWideChar

Source string.

Return Value

Pointer to the end of the source string.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


StrLenW Function

Returns the length of the string in characters.

Pascal

function StrLenW(Str: PWideChar): Cardinal;

Description

StrLenW returns the length of the specified string, in characters, excluding the null terminator.

Parameters

Str: PWideChar

The string for which to determine the length

Return Value

The length of the specified string, in characters.

Donator

Mike Lischke

Group

Null terminated strings

Unit

JclUnicode


TSearchEngine

Legend

Unicode

Classes

TSearchEngine

Abstract base class for the search engine.

Enumerations

 TSearchFlag

Flags used in the search class.

Types

TSearchFlags

Flags used in the search class.

Legend

Enumeration


TSearchEngine Enumerations

TSearchEngine	Legend

Enumerations

 TSearchFlag

Flags used in the search class.


Legend

Enumeration


TSearchEngine Types

TSearchEngine

Types

TSearchFlags

Flags used in the search class.


TSearchEngine Classes

TSearchEngine

Classes

TSearchEngine

Abstract base class for the search engine.


Legend

TSearchEngine

Legend

Enumeration


TSearchFlag Enumeration

See Also

Flags used in the search class.

Pascal

TSearchFlag = (
  sfCaseSensitive,
  sfIgnoreNonSpacing,
  sfSpaceCompress,
  sfWholeWordOnly
);
TSearchFlags = set of TSearchFlag;

Description

Flags used in the search class.

sfCaseSensitive

Match letter case

sfIgnoreNonSpacing

Ignore non-spacing characters in search

sfSpaceCompress

Handle several consecutive white spaces as one white space (this applies to the pattern as well as the search text)

sfWholeWordOnly

Match only text at end/start and/or surrounded by white spaces

Donator

Mike Lischke

Group

TSearchEngine

Unit

JclUnicode


See Also

TSearchEngine


TSearchEngine Class

Properties	Methods	Legend

Abstract base class for the search engine.

Pascal

TSearchEngine = class(TObject);

Description

TSearchEngine is a generic search class defininition used for tuned Boyer-Moore and Unicode regular expression searches.

Donator

Mike Lischke

Group

TSearchEngine

Legend

read only

Constructor

protected

Unit

JclUnicode


TSearchEngine Class Properties

TSearchEngine Class	Legend

Properties

 Count

Indicates the number of matches found.


Legend

read only


TSearchEngine Class Methods

TSearchEngine Class	Legend

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.


Legend

Constructor

protected


Legend

TSearchEngine Class

Legend

read only

Constructor

protected


TSearchEngine Class Members

TSearchEngine Class	Legend

Members

Properties

 Count

Indicates the number of matches found.

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.


Legend

read only

Constructor

protected


TSearchEngine.Count Property

TSearchEngine Class

Indicates the number of matches found.

Pascal

property Count: Integer;

Description

Count determines the number of matches found after the last search (with either FindFirst or FindAll).

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.AddResult Method

TSearchEngine Class

Adds a new match result.

Pascal

procedure AddResult(Start: Cardinal; Stop: Cardinal); virtual;

Description

AddResult adds a new match result to the list.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.Clear Method

TSearchEngine Class

Resets the search engine.

Pascal

procedure Clear; virtual;

Description

Clear resets the search engine. TSearchEngine just calls ClearResult to clear the match result list, but derivatives will also clear search patterns.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.ClearResults Method

TSearchEngine Class

Clear the match results.

Pascal

procedure ClearResults; virtual;

Description

ClearResults clears the match result list.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.Create Constructor

TSearchEngine Class

Instantiates a TSearchEngine object.

Pascal

constructor Create(AOwner: TWideStrings); virtual;

Description

Creates an instance of TSearchEngine and initializes the object for use. Since TSearchEngine is an abstract base class you cannot actually instantiate it, instead use a derived class such as TUTBMSearch or TURESearch. The TSearchEngine constructor only initializes the results list and sets the Owner.

Parameters

AOwner: TWideStrings

Owner of the search engine.

Notes

The AOwner parameter, although assigned to the engine, is not used at all and can therefore be nil. It's possible, however, that it will be used in the future.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.DeleteResult Method

TSearchEngine Class

Removes a match from the result list.

Pascal

procedure DeleteResult(Index: Cardinal); virtual;

Description

DeleteResult removes the specified match from the result list.

Parameters

Index: Cardinal

Index of match to remove.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.Destroy Destructor

TSearchEngine Class

Destroys a TSearchEngine object.

Pascal

destructor Destroy; override;

Description

Destroys the search engine after clearing all results and freeing the results list.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.FindAll Method (PWideChar, Cardinal)

See Also	TSearchEngine Class

Finds all occurences of a search pattern.

Pascal

function FindAll(const Text: WideString): Boolean; virtual; abstract; overload;
function FindAll(Text: PWideChar; TextLen: Cardinal): Boolean; virtual; abstract; overload;

Description

FindAll finds all occurences of the pattern passed to FindPrepare in Text and returns True if any could be found otherwise False.

Parameters

const Text: WideString

Text to be searched

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True is the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TSearchEngine Class


See Also

FindFirst GetResult


TSearchEngine.FindFirst Method (PWideChar, Cardinal, Cardinal, Cardinal)

See Also	TSearchEngine Class

Finds the first occurence of a search pattern.

Pascal

function FindFirst(const Text: WideString; var Start: Cardinal; var Stop: Cardinal): Boolean; virtual; abstract; overload;
function FindFirst(Text: PWideChar; TextLen: Cardinal; var Start: Cardinal; var Stop: Cardinal): Boolean; virtual; abstract; overload;

Description

FindFirst finds the first occurence of the pattern passed to FindPrepare in Text and returns True if one could be found (in which case Start and Stop are set to the according indices) otherwise False. This function is in particular of interest if only one occurence needs to be found.

Parameters

const Text: WideString

Text to be searched

var Start: Cardinal

Start index of match if the function returned True, otherwise undefined.

var Stop: Cardinal

End index of match if the function returned True, otherwise undefined.

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True is the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TSearchEngine Class


See Also

FindAll


TSearchEngine.FindPrepare Method (PWideChar, Cardinal, TSearchFlags)

TSearchEngine Class

Prepares the engine for a pattern search.

Pascal

procedure FindPrepare(const Pattern: WideString; Options: TSearchFlags); virtual; abstract; overload;
procedure FindPrepare(Pattern: PWideChar; PatternLength: Cardinal; Options: TSearchFlags); virtual; abstract; overload;

Description

FindPrepare prepares the engine for pattern search. There are 2 versions of FindPrepare a WideString and a PWideChar version.

Parameters

const Pattern: WideString

Search pattern

Options: TSearchFlags

Search options. See TSearchFlags for more information on this parameter.

PatternLength: Cardinal

Length of pattern (available only in the PWideChar version)

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.GetCount Method

TSearchEngine Class

Returns the number of matches.

Pascal

function GetCount: Integer; virtual;

Description

GetCount returns the number of matches and is used by the Count property.

Return Value

The number of matches found.

Donator

Mike Lischke

Class

TSearchEngine Class


TSearchEngine.GetResult Method

See Also	TSearchEngine Class

Returns a match result.

Pascal

procedure GetResult(Index: Cardinal; var Start: Integer; var Stop: Integer); virtual;

Description

GetResult returns the specified match result in the Start and Stop parameters.

Parameters

Index: Cardinal

Index (0-based) of match result to return.

var Start: Integer

Start position of match result. End position of match result.

Donator

Mike Lischke

Class

TSearchEngine Class


See Also

FindAll Count


TURESearch

Unicode

Classes

TURESearch

Unicode regular expression Search class.


TURESearch Classes

TURESearch

Classes

TURESearch

Unicode regular expression Search class.


TURESearch Class

Properties	Methods	Legend

Unicode regular expression Search class.

Pascal

TURESearch = class(TSearchEngine);

Description

TURESearch is a Unicode Regular Expression (URE) search implementation. The class handles low and high surrogates, case-(in)sensitivity, can ignore non-spacing characters and optionally returns whole words only.

Assumptions:

Regular expression and text already normalized.

Conversion to lower case assumes a 1-1 mapping.

Definitions:

Separator - any one of U+2028, U+2029, NL, CR.

Operators:
Operator	Description
.	match any character
*	match zero or more of the last subexpression
+	match one or more of the last subexpression
?	match zero or one of the last subexpression
()	subexpression grouping
{m, n}	match at least m occurences and up to n occurences Note: both values can be 0 (zero) or ommitted which denotes an unlimiting bound {,} and {0,} and {0, 0} corresponds to * {, 1} and {0, 1} corresponds to ? {1,} and {1, 0} corresponds to +
{m}	match exactly m occurences

Literals and Constants:
Literal/Constant	Description
c	literal UCS2 character
x....	hexadecimal number of up to 4 digits
X....	hexadecimal number of up to 4 digits
u....	hexadecimal number of up to 4 digits
U....	hexadecimal number of up to 4 digits

Character classes:

[...] denotes a character class.

[^...] denotes a negated character class.

Character classes can contain literals, POSIX classes and/or character property classes.

POSIX classes are delimited by :POSIX:

Character property classes are p or P (the latter denotes a negated property class) followed by a comma separated list of integers between 0 and the maximum entry index in TCharacterCategory. These integers directly correspond to the TCharacterCategory enumeration entries. Note: upper, lower and title case classes need to have case sensitive search enabled to match correctly!

Notes

This implementation is an improved translation from the URE package written by Mark Leisher (mleisher@crl.nmsu.edu) who used a variation of the RE->DFA algorithm done by Mark Hopkins (markh@csd4.csd.uwm.edu).

Donator

Mike Lischke

Group

TURESearch

Legend

read only

Constructor

protected

Unit

JclUnicode


TURESearch Class Properties

TURESearch Class	Legend

Properties

 Count

Indicates the number of matches found.


Legend

read only


TURESearch Class Methods

TURESearch Class	Legend

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.

TURESearch Class

 AddEquivalentPair

 AddRange

 AddState

 AddSymbolState

 BuildCharacterClass

Clear

Resets the search engine.

 ClearDFA

 ClearUREBuffer

 CollectPendingOperations

 CompileSymbol

 CompileURE

 ConvertRegExpToNFA

 ExecuteURE

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 HexDigitSetup

 MakeExpression

 MakeHexNumber

 MakeSymbol

 MergeEquivalents

 ParsePropertyList

 Peek

 Pop

 PosixCCL

 ProbeLowSurrogate

 Push

 Reduce

 SpaceSetup

 SymbolsAreDifferent


Legend

Constructor

protected


Legend

TURESearch Class

Legend

read only

Constructor

protected


TURESearch Class Members

TURESearch Class	Legend

Members

Properties

 Count

Indicates the number of matches found.

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.

TURESearch Class

 AddEquivalentPair

 AddRange

 AddState

 AddSymbolState

 BuildCharacterClass

Clear

Resets the search engine.

 ClearDFA

 ClearUREBuffer

 CollectPendingOperations

 CompileSymbol

 CompileURE

 ConvertRegExpToNFA

 ExecuteURE

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 HexDigitSetup

 MakeExpression

 MakeHexNumber

 MakeSymbol

 MergeEquivalents

 ParsePropertyList

 Peek

 Pop

 PosixCCL

 ProbeLowSurrogate

 Push

 Reduce

 SpaceSetup

 SymbolsAreDifferent


Legend

read only

Constructor

protected


TURESearch.AddEquivalentPair Method

TURESearch Class

procedure AddEquivalentPair(L: Cardinal; R: Cardinal);

Class

TURESearch Class


TURESearch.AddRange Method

TURESearch Class

procedure AddRange(var CCL: TUcCClass; Range: TUcRange);

Class

TURESearch Class


TURESearch.AddState Method

TURESearch Class

function AddState(NewStates: array of Cardinal): Cardinal;

Class

TURESearch Class


TURESearch.AddSymbolState Method

TURESearch Class

procedure AddSymbolState(Symbol: Cardinal; State: Cardinal);

Class

TURESearch Class


TURESearch.BuildCharacterClass Method

TURESearch Class

function BuildCharacterClass(CP: PUCS2; Limit: Cardinal; Symbol: PUcSymbolTableEntry): Cardinal;

Class

TURESearch Class


TURESearch.Clear Method

TURESearch Class

Resets the search engine.

Pascal

procedure Clear; override;

Description

Clear resets the search engine. TSearchEngine just calls ClearResult to clear the match result list, but derivatives will also clear search patterns.

Donator

Mike Lischke

Class

TURESearch Class


TURESearch.ClearDFA Method

TURESearch Class

procedure ClearDFA;

Class

TURESearch Class


TURESearch.ClearUREBuffer Method

TURESearch Class

procedure ClearUREBuffer;

Class

TURESearch Class


TURESearch.CollectPendingOperations Method

TURESearch Class

procedure CollectPendingOperations(var State: Cardinal);

Class

TURESearch Class


TURESearch.CompileSymbol Method

TURESearch Class

function CompileSymbol(S: PUCS2; Limit: Cardinal; Symbol: PUcSymbolTableEntry): Cardinal;

Class

TURESearch Class


TURESearch.CompileURE Method

TURESearch Class

procedure CompileURE(RE: PWideChar; RELength: Cardinal; Casefold: Boolean);

Class

TURESearch Class


TURESearch.ConvertRegExpToNFA Method

TURESearch Class

function ConvertRegExpToNFA(RE: PWideChar; RELength: Cardinal): Cardinal;

Class

TURESearch Class


TURESearch.ExecuteURE Method

TURESearch Class

function ExecuteURE(Flags: Cardinal; Text: PUCS2; TextLen: Cardinal; var MatchStart: Cardinal; var MatchEnd: Cardinal): Boolean;

Class

TURESearch Class


TURESearch.FindAll Method (PWideChar, Cardinal)

See Also	TURESearch Class

Finds all occurences of a search pattern.

Pascal

function FindAll(const Text: WideString): Boolean; override; overload;
function FindAll(Text: PWideChar; TextLen: Cardinal): Boolean; override; overload;

Description

FindAll finds all occurences of the pattern passed to FindPrepare in Text and returns True if any could be found otherwise False.

Parameters

const Text: WideString

Text to be searched

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True is the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TURESearch Class


See Also

FindFirst GetResult


TURESearch.FindFirst Method (PWideChar, Cardinal, Cardinal, Cardinal)

See Also	TURESearch Class

Finds the first occurence of a search pattern.

Pascal

function FindFirst(const Text: WideString; var Start: Cardinal; var Stop: Cardinal): Boolean; override; overload;
function FindFirst(Text: PWideChar; TextLen: Cardinal; var Start: Cardinal; var Stop: Cardinal): Boolean; override; overload;

Description

FindFirst finds the first occurence of the pattern passed to FindPrepare in Text and returns True if one could be found (in which case Start and Stop are set to the according indices) otherwise False. This function is in particular of interest if only one occurence needs to be found.

Parameters

const Text: WideString

Text to be searched

var Start: Cardinal

Start index of match if the function returned True, otherwise undefined.

var Stop: Cardinal

End index of match if the function returned True, otherwise undefined.

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True if the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TURESearch Class


See Also

FindAll


TURESearch.FindPrepare Method (PWideChar, Cardinal, TSearchFlags)

TURESearch Class

Prepares the engine for a pattern search.

Pascal

procedure FindPrepare(const Pattern: WideString; Options: TSearchFlags); override; overload;
procedure FindPrepare(Pattern: PWideChar; PatternLength: Cardinal; Options: TSearchFlags); override; overload;

Description

FindPrepare prepares the engine for pattern search. There are 2 versions of FindPrepare a WideString and a PWideChar version.

Parameters

const Pattern: WideString

Search pattern

Options: TSearchFlags

Search options. See TSearchFlags for more information on this parameter.

PatternLength: Cardinal

Length of pattern (available only in the PWideChar version)

Donator

Mike Lischke

Class

TURESearch Class


TURESearch.HexDigitSetup Method

TURESearch Class

procedure HexDigitSetup(Symbol: PUcSymbolTableEntry);

Class

TURESearch Class


TURESearch.MakeExpression Method

TURESearch Class

function MakeExpression(AType: Cardinal; LHS: Cardinal; RHS: Cardinal): Cardinal;

Class

TURESearch Class


TURESearch.MakeHexNumber Method

TURESearch Class

function MakeHexNumber(NP: PUCS2; Limit: Cardinal; var Number: Cardinal): Cardinal;

Class

TURESearch Class


TURESearch.MakeSymbol Method

TURESearch Class

function MakeSymbol(S: PUCS2; Limit: Cardinal; var Consumed: Cardinal): Cardinal;

Class

TURESearch Class


TURESearch.MergeEquivalents Method

TURESearch Class

procedure MergeEquivalents;

Class

TURESearch Class


TURESearch.ParsePropertyList Method

TURESearch Class

function ParsePropertyList(Properties: PUCS2; Limit: Cardinal; var Categories: TCharacterCategories): Cardinal;

Class

TURESearch Class


TURESearch.Peek Method

TURESearch Class

function Peek: Cardinal;

Class

TURESearch Class


TURESearch.Pop Method

TURESearch Class

function Pop: Cardinal;

Class

TURESearch Class


TURESearch.PosixCCL Method

TURESearch Class

function PosixCCL(CP: PUCS2; Limit: Cardinal; Symbol: PUcSymbolTableEntry): Cardinal;

Class

TURESearch Class


TURESearch.ProbeLowSurrogate Method

TURESearch Class

function ProbeLowSurrogate(LeftState: PUCS2; Limit: Cardinal; var Code: UCS4): Cardinal;

Class

TURESearch Class


TURESearch.Push Method

TURESearch Class

procedure Push(V: Cardinal);

Class

TURESearch Class


TURESearch.Reduce Method

TURESearch Class

procedure Reduce(Start: Cardinal);

Class

TURESearch Class


TURESearch.SpaceSetup Method

TURESearch Class

procedure SpaceSetup(Symbol: PUcSymbolTableEntry; Categories: TCharacterCategories);

Class

TURESearch Class


TURESearch.SymbolsAreDifferent Method

TURESearch Class

function SymbolsAreDifferent(A: PUcSymbolTableEntry; B: PUcSymbolTableEntry): Boolean;

Class

TURESearch Class


TUTBMSearch

Unicode

Classes

TUTBMSearch

Unicode Tuned Boyer-Moore Search class.


TUTBMSearch Classes

TUTBMSearch

Classes

TUTBMSearch

Unicode Tuned Boyer-Moore Search class.


TUTBMSearch Class

Properties	Methods	Legend

Unicode Tuned Boyer-Moore Search class.

Pascal

TUTBMSearch = class(TSearchEngine);

Description

TUTBMSearch is a Unicode Tuned Boyer-Moore (UTBM) search implementation. The class handles low and high surrogates, case-(in)sensitivity, can ignore non-spacing characters and optionally returns whole words only.

Notes

This implementation is an extended translation from a free package written by Mark Leisher (mleisher@crl.nmsu.edu).

Donator

Mike Lischke

Group

TUTBMSearch

Legend

read only

Constructor

protected

Unit

JclUnicode


TUTBMSearch Class Properties

TUTBMSearch Class	Legend

Properties

 Count

Indicates the number of matches found.


Legend

read only


TUTBMSearch Class Methods

TUTBMSearch Class	Legend

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.

TUTBMSearch Class

Clear

Resets the search engine.

 ClearPattern

Deletes the search pattern.

 Compile

Compiles the pattern.

 Find

Main matching routine using a tuned Boyer-Moore algorithm.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetSkipValue

Gets the skip value to use.

 Match

Checks wether the Text at Start matches the pattern.


Legend

Constructor

protected


Legend

TUTBMSearch Class

Legend

read only

Constructor

protected


TUTBMSearch Class Members

TUTBMSearch Class	Legend

Members

Properties

 Count

Indicates the number of matches found.

Methods

AddResult

Adds a new match result.

Clear

Resets the search engine.

ClearResults

Clear the match results.

 Create

Instantiates a TSearchEngine object.

DeleteResult

Removes a match from the result list.

 Destroy

Destroys a TSearchEngine object.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetCount

Returns the number of matches.

GetResult

Returns a match result.

TUTBMSearch Class

Clear

Resets the search engine.

 ClearPattern

Deletes the search pattern.

 Compile

Compiles the pattern.

 Find

Main matching routine using a tuned Boyer-Moore algorithm.

FindAll

Finds all occurences of a search pattern.

FindFirst

Finds the first occurence of a search pattern.

FindPrepare

Prepares the engine for a pattern search.

 GetSkipValue

Gets the skip value to use.

 Match

Checks wether the Text at Start matches the pattern.


Legend

read only

Constructor

protected


TUTBMSearch.Clear Method

TUTBMSearch Class

Resets the search engine.

Pascal

procedure Clear; override;

Description

Clear resets the search engine by calling ClearPattern and then calling the inherited Clear method.

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.ClearPattern Method

TUTBMSearch Class

Deletes the search pattern.

Pascal

procedure ClearPattern;

Description

ClearPattern deletes the current search pattern. Gets called by Clear.

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.Compile Method

TUTBMSearch Class

Compiles the pattern.

Pascal

procedure Compile(Pattern: PUCS2; PatternLength: Integer; Flags: TSearchFlags);

Description

Compile converts the pattern to an optimized internal structure. Compile gets called by FindPrepare.

Parameters

Pattern: PUCS2

Pattern to find

PatternLength: Integer

Length of pattern to find

Flags: TSearchFlags

Search options. See TSearchFlags for more information on this parameter.

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.Find Method

TUTBMSearch Class

Main matching routine using a tuned Boyer-Moore algorithm.

Pascal

function Find(Text: PUCS2; TextLen: Cardinal; var MatchStart: Cardinal; var MatchEnd: Cardinal): Boolean;

Description

Find is the main matching routine that implements a tuned Boyer-Moore algorithm. Find gets called by FindFirst and FindAll.

Parameters

Text: PUCS2

Text to search in.

TextLen: Cardinal

Length of text to search in.

var MatchStart: Cardinal

Start of the match or undefined if no match.

var MatchEnd: Cardinal

End of the match or undefined if no match.

Return Value

If the pattern can be found in Text the function returns True (in that case MatchStart and MatchEnd point to the match) otherwise it returns False.

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.FindAll Method (PWideChar, Cardinal)

See Also	TUTBMSearch Class

Finds all occurences of a search pattern.

Pascal

function FindAll(const Text: WideString): Boolean; override; overload;
function FindAll(Text: PWideChar; TextLen: Cardinal): Boolean; override; overload;

Description

FindAll finds all occurences of the pattern passed to FindPrepare in Text and returns True if any could be found otherwise False.

Parameters

const Text: WideString

Text to be searched

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True is the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TUTBMSearch Class


See Also

FindFirst GetResult


TUTBMSearch.FindFirst Method (PWideChar, Cardinal, Cardinal, Cardinal)

See Also	TUTBMSearch Class

Finds the first occurence of a search pattern.

Pascal

function FindFirst(const Text: WideString; var Start: Cardinal; var Stop: Cardinal): Boolean; override; overload;
function FindFirst(Text: PWideChar; TextLen: Cardinal; var Start: Cardinal; var Stop: Cardinal): Boolean; override; overload;

Description

FindFirst finds the first occurence of the pattern passed to FindPrepare in Text and returns True if one could be found (in which case Start and Stop are set to the according indices) otherwise False. This function is in particular of interest if only one occurence needs to be found.

Parameters

const Text: WideString

Text to be searched

var Start: Cardinal

Start index of match if the function returned True, otherwise undefined.

var Stop: Cardinal

End index of match if the function returned True, otherwise undefined.

TextLen: Cardinal

Length of text (available only in the PWideChar version)

Return Value

True if the pattern provided in FindPrepare was found in the Text parameter, False otherwise.

Donator

Mike Lischke

Class

TUTBMSearch Class


See Also

FindAll


TUTBMSearch.FindPrepare Method (PWideChar, Cardinal, TSearchFlags)

TUTBMSearch Class

Prepares the engine for a pattern search.

Pascal

procedure FindPrepare(const Pattern: WideString; Options: TSearchFlags); override; overload;
procedure FindPrepare(Pattern: PWideChar; PatternLength: Cardinal; Options: TSearchFlags); override; overload;

Description

FindPrepare prepares the engine for pattern search. There are 2 versions of FindPrepare a WideString and a PWideChar version.

Parameters

const Pattern: WideString

Search pattern

Options: TSearchFlags

Search options. See TSearchFlags for more information on this parameter.

PatternLength: Cardinal

Length of pattern (available only in the PWideChar version)

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.GetSkipValue Method

TUTBMSearch Class

Gets the skip value to use.

Pascal

function GetSkipValue(TextStart: PUCS2; TextEnd: PUCS2): Cardinal;

Description

GetSkipValue determines the skip value to use to advance to the next possible match.

Parameters

TextStart: PUCS2

Start of text to search

TextEnd: PUCS2

End of text to search

Return Value

Number of bytes to skip to restart matching. If this result is 0 (zero), we can end the search algorithm.

Donator

Mike Lischke

Class

TUTBMSearch Class


TUTBMSearch.Match Method

TUTBMSearch Class

Checks wether the Text at Start matches the pattern.

Pascal

function Match(Text: PUCS2; Start: PUCS2; Stop: PUCS2; var MatchStart: Cardinal; var MatchEnd: Cardinal): Boolean;

Description

Match checks wether the text at Start matches the Pattern. It will also check the borders if whole words are required.

Parameters

Text: PUCS2

Complete Text to search in.

Start: PUCS2

First character to check.

Stop: PUCS2

Last character to check.

var MatchStart: Cardinal

Start of the match or undefined if no match.

var MatchEnd: Cardinal

End of the match or undefined if no match.

Return Value

If the Text at Start matches the pattern the function returns True (in that case MatchStart and MatchEnd point to the match) otherwise it returns False.

Notes

If whole words only are allowed then the left and right border tests are done here too. The keypoint for the right border is that the next character after the search string is either the text end or a space character. For the left side this is similar, but there is nothing like a string start marker (like the string end marker #0).

It seems not obvious, but we still can use the passed Text pointer to do the left check. Although this pointer might not point to the real string start (e.g. in TUTBMSearch.FindAll Text is incremented as needed) it is still a valid check mark. The reason is that Text either points to the real string start or a previous match (happened already, keep in mind the search options do not change in the FindAll loop) and the character just before Text is a space character. This fact implies, though, that strings passed to Find (or FindFirst, FindAll in TUTBMSearch) always really start at the given address. Although this might not be the case in some circumstances (e.g. if you pass only the selection from an editor) it is still assumed that a pattern matching from the first position on (from the search string start) also matches when whole words only are allowed.

Donator

Mike Lischke

Class

TUTBMSearch Class


TWideStringList

Unicode

Topics

OnChange

Occurs immediately after the list of strings has changed.

OnChanging

Occurs immediately before the list of strings is changed.

Classes

TWideStringList


TWideStringList Classes

TWideStringList

Classes

TWideStringList


Topics

TWideStringList

Topics

OnChange

Occurs immediately after the list of strings has changed.

OnChanging

Occurs immediately before the list of strings is changed.


TWideStringList Class

Properties	Methods	Events	Legend

TWideStringList = class(TWideStrings);

Description

TWideStringList is a TWideStrings descendant which maintains a list of WideStrings. The class implements the abstract methods of TWideStrings and introduces some new methods and properties to:

Search for WideStrings in the list.

Sort the WideStrings in the list.

Prohibit duplicates from being inserted into the list.

Respond to changes in the list.

Donator

Mike Lischke

Group

TWideStringList

Events

OnConfirmConversion

Legend

read only

Constructor

protected

Unit

JclUnicode


TWideStringList Class Properties

TWideStringList Class	Legend

Properties

Capacity

Indicates the number of items the list can hold.

CommaText

Lists the WideStrings in the TWideStrings in system data format (SDF).

 Count

Represents the number of strings in the list.

Language

 Names

Retrieves the Name part if the list contains strings of the form Name=Value.

NormalizationForm

Determines in which form Unicode strings should be stored

Objects

Represents the set of objects associated with the strings.

 Saved

Reflects the result of saving the list to a file or stream.

SaveFormat

SaveUnicode

Determines if the class saves data as Unicode or ANSI.

Strings

Represents the set of WideStrings managed by the class.

Text

Lists the strings in the TStrings object as a single string with the individual strings delimited by carriage returns and line feeds.

Values

Retrieves the Value part if the list contains strings of the form Name=Value.

TWideStringList Class

Duplicates

Specifies whether duplicate items can be added to the list.

OnChange

OnChanging

Sorted

Specifies whether the strings in the list should be sorted.


Legend

read only


TWideStringList Class Events

TWideStringList Class

Events

OnConfirmConversion


TWideStringList Class Methods

TWideStringList Class	Legend

Methods

Add

Adds a WideString to the end of the list.

AddObject

Adds a WideString and associated object to the end of the list.

AddStrings

Copies strings from another TStrings or TWideStrings into this object.

Append

Appends a WideString to the list.

Assign

Assign sets the list of WideStrings based on the Source parameter.

AssignTo

AssignTo assigns itself to the specified object.

BeginUpdate

Marks the beginning of modifications to the list.

Clear

Clears the list of WideStrings and associated objects.

 Create

 DefineProperties

DefineProperties registers the Text property as a private property for streaming.

Delete

Deletes the item at a specified position.

 DoConfirmConversion

EndUpdate

Marks the end of an update sequence.

Equals

Compares two TWideStrings for equality.

 Error

Utility method which raises an EStringListError exception.

Exchange

Swaps the WideStrings at the specified positions.

 Get

Abstract property read method for the Strings property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

GetSeparatedText

Returns the contents of the list in a single buffer with customizable separator.

GetText

Property read method of the Text property.

 GetTextStr

IndexOf

Returns the position of a string in the list.

IndexOfName

Returns the position of the first string with the form Name=Value with the specified name part.

IndexOfObject

Returns the index of the string associated with a given object.

Insert

Inserts a WideString at a specific position.

InsertObject

Inserts a WideString at a specified position and associates it with an object.

LoadFromFile

Loads the lines from a textfile into the list.

LoadFromStream

Loads the lines from a stream into the list.

Move

Moves a WideString from one position to another.

 Put

Property write method of the Strings property.

 PutObject

Property write method of the Objects property.

SaveToFile

Saves the contents of the list to a file.

SaveToStream

Writes the contents of the list to a stream.

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

SetText

Sets the text property.

 SetUpdateState

Called whenever the update state of the class changes.

TWideStringList Class

Add

Adds a WideString to the end of the list.

 Changed

Called every time after a change has occurred to the list.

 Changing

Clear

Clears the list of WideStrings and associated objects.

Delete

Deletes the item at a specified position.

 Destroy

Exchange

Swaps the WideStrings at the specified positions.

Find

Locates the position of a string in a sorted list and whether the string exists.

 Get

Property read method for the Items property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

IndexOf

Returns the position of a string in the list.

Insert

Inserts a WideString at a specific position.

 Put

Property write method of the Items property.

 PutObject

Property write method of the Objects property

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

TODO The property write method of Language property.

 SetUpdateState

Called when the update state changes.

Sort

Sorts the strings in the list.


Legend

Constructor

protected


Legend

TWideStringList Class

Legend

read only

Constructor

protected


TWideStringList Class Members

TWideStringList Class	Legend

Members

Properties

Capacity

Indicates the number of items the list can hold.

CommaText

Lists the WideStrings in the TWideStrings in system data format (SDF).

 Count

Represents the number of strings in the list.

Language

 Names

Retrieves the Name part if the list contains strings of the form Name=Value.

NormalizationForm

Determines in which form Unicode strings should be stored

Objects

Represents the set of objects associated with the strings.

 Saved

Reflects the result of saving the list to a file or stream.

SaveFormat

SaveUnicode

Determines if the class saves data as Unicode or ANSI.

Strings

Represents the set of WideStrings managed by the class.

Text

Lists the strings in the TStrings object as a single string with the individual strings delimited by carriage returns and line feeds.

Values

Retrieves the Value part if the list contains strings of the form Name=Value.

TWideStringList Class

Duplicates

Specifies whether duplicate items can be added to the list.

OnChange

OnChanging

Sorted

Specifies whether the strings in the list should be sorted.

Events

OnConfirmConversion

Methods

Add

Adds a WideString to the end of the list.

AddObject

Adds a WideString and associated object to the end of the list.

AddStrings

Copies strings from another TStrings or TWideStrings into this object.

Append

Appends a WideString to the list.

Assign

Assign sets the list of WideStrings based on the Source parameter.

AssignTo

AssignTo assigns itself to the specified object.

BeginUpdate

Marks the beginning of modifications to the list.

Clear

Clears the list of WideStrings and associated objects.

 Create

 DefineProperties

DefineProperties registers the Text property as a private property for streaming.

Delete

Deletes the item at a specified position.

 DoConfirmConversion

EndUpdate

Marks the end of an update sequence.

Equals

Compares two TWideStrings for equality.

 Error

Utility method which raises an EStringListError exception.

Exchange

Swaps the WideStrings at the specified positions.

 Get

Abstract property read method for the Strings property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

GetSeparatedText

Returns the contents of the list in a single buffer with customizable separator.

GetText

Property read method of the Text property.

 GetTextStr

IndexOf

Returns the position of a string in the list.

IndexOfName

Returns the position of the first string with the form Name=Value with the specified name part.

IndexOfObject

Returns the index of the string associated with a given object.

Insert

Inserts a WideString at a specific position.

InsertObject

Inserts a WideString at a specified position and associates it with an object.

LoadFromFile

Loads the lines from a textfile into the list.

LoadFromStream

Loads the lines from a stream into the list.

Move

Moves a WideString from one position to another.

 Put

Property write method of the Strings property.

 PutObject

Property write method of the Objects property.

SaveToFile

Saves the contents of the list to a file.

SaveToStream

Writes the contents of the list to a stream.

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

SetText

Sets the text property.

 SetUpdateState

Called whenever the update state of the class changes.

TWideStringList Class

Add

Adds a WideString to the end of the list.

 Changed

Called every time after a change has occurred to the list.

 Changing

Clear

Clears the list of WideStrings and associated objects.

Delete

Deletes the item at a specified position.

 Destroy

Exchange

Swaps the WideStrings at the specified positions.

Find

Locates the position of a string in a sorted list and whether the string exists.

 Get

Property read method for the Items property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

IndexOf

Returns the position of a string in the list.

Insert

Inserts a WideString at a specific position.

 Put

Property write method of the Items property.

 PutObject

Property write method of the Objects property

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

TODO The property write method of Language property.

 SetUpdateState

Called when the update state changes.

Sort

Sorts the strings in the list.


Legend

read only

Constructor

protected


TWideStringList.Duplicates Property

TWideStringList Class

Specifies whether duplicate items can be added to the list.

Pascal

property Duplicates: TDuplicates;

Description

Set Duplicates to specify what should happen when an attempt is made to add duplicate strings to the list. Duplicates can have the following values:

dupIgnore Ignores attempts to add duplicate strings to the list.

dupAccept Permits duplicate strings in the list.

dupError Raises an exception when an attempt is made to add a string that already exists.

Note that setting Duplicates when the list is not empty does not affect those strings already in the list. Therefore you should set Duplicates before adding items or clear the list first. Also note that Duplicates has no effect on a list which is not sorted.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.OnChange Property

TWideStringList Class

property OnChange: TNotifyEvent;

Class

TWideStringList Class


TWideStringList.OnChanging Property

TWideStringList Class

property OnChanging: TNotifyEvent;

Class

TWideStringList Class


TWideStringList.Sorted Property

TWideStringList Class

Specifies whether the strings in the list should be sorted.

Pascal

property Sorted: Boolean;

Description

Setting sorted to True causes the strings in the list to be sorted in ascending order. Using Add to insert a string into a sorted list automatically inserts it at the appropriate position. Setting sorted to False will enforce no ordering on the strings in the list. You can use the Insert method to insert items into an unsorted list at an arbitrary position or Add to add a string to the end of the list.

Notes

Do not use Insert to add an item into a sorted list. The order of the strings in a sorted list is determined using the Language property.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Add Method

TWideStringList Class

Adds a WideString to the end of the list.

Pascal

function Add(const S: WideString): Integer; override;

Description

Adds a WideString to the list and returns the index of the new WideString. If the list is unsorted the string is appended to the list. If the list is sorted and the specified string does not exist in the list yet, the string is inserted at the correct position. If the string does exist the request is either ignored or an exception is raised depending on the value of the Duplicates property.

Parameters

const S: WideString

The WideString to add at the end of the list.

Return Value

Zero based index of the newly inserted WideString.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Changed Method

See Also	TWideStringList Class

Called every time after a change has occurred to the list.

Pascal

procedure Changed; virtual;

Description

Changed is called every time after a change has occurred to the list. If the list is being updated Changed does nothing, otherwise it fires the OnChange event.

Donator

Mike Lischke

Class

TWideStringList Class


See Also

Changing OnChange OnChanging


TWideStringList.Changing Method

See Also	TWideStringList Class

procedure Changing; virtual;

Description

Changing is called every time before a change is about to be made to the list. If the list is being updated Changing does nothing, otherwise it fires the OnChanging event.

Donator

Mike Lischke

Class

TWideStringList Class


See Also

Changed OnChange OnChanging


TWideStringList.Clear Method

TWideStringList Class

Clears the list of WideStrings and associated objects.

Pascal

procedure Clear; override;

Description

Clear clears the list of WideStrings and associated objects. Note that references to associated objects are removed, but the objects themselves are not destroyed.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Delete Method

TWideStringList Class

Deletes the item at a specified position.

Pascal

procedure Delete(Index: Integer); override;

Description

Delete is an abstract method implemented by descendant classes to delete an item at a specified position from the list. If the WideString has an associated object, the reference to that object (but not the object itself) is deleted as well.

Parameters

Index: Integer

Zero based index of the WideString to delete from the list.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Destroy Destructor

TWideStringList Class

destructor Destroy; override;

Class

TWideStringList Class


TWideStringList.Exchange Method

TWideStringList Class

Swaps the WideStrings at the specified positions.

Pascal

procedure Exchange(Index1: Integer; Index2: Integer); override;

Description

Exchange swaps the strings at the specified positions. If either string has an associated object the objects are exchanged as well.

Parameters

Index1: Integer

Index of the first WideString to exchange.

Index2: Integer

Index of the second WideString to exchange.

Notes

Do not call Exchange on a sorted list except to exchange two identical strings with different associated objects. Exchange does not check whether the list is sorted and as such calling it may destroy the sort order.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Find Method

TWideStringList Class

Locates the position of a string in a sorted list and whether the string exists.

Pascal

function Find(const S: WideString; var Index: Integer): Boolean; virtual;

Description

Find returns the position in a sorted list where S should be inserted. If the specified string already exists the method returns True and Index contains its zero based index, if the string does not exist in the list the method returns False and Index contains the zero based index where S should be inserted. Note that you should use Find only for sorted lists. For an unsorted list use IndexOf instead.

Parameters

const S: WideString

The string to search for.

var Index: Integer

The zero based index of S or the position in the list where S should be inserted if it does not exist in the list yet.

Return Value

If the specified string exists in the list the method returns True, otherwise it returns False.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Get Method

TWideStringList Class

Property read method for the Items property.

Pascal

function Get(Index: Integer): WideString; override;

Description

Get is the property read method for the Items property. Get returns the string at the specified index or raises an exception if the Index is invalid.

Parameters

Index: Integer

Zero based index of the string to retrieve. Must be in the range 0 to Count - 1 or an exception is raised.

Return Value

The string at the specified index. If the index is invalid an exception is raised.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.GetCapacity Method

TWideStringList Class

Property read method of the Capacity property.

Pascal

function GetCapacity: Integer; override;

Description

GetCapacity is the property read method of the Capacity property. GetCapacity returns the current capacity of the list which equals the maximum number of strings the list can hold without having to resize its internal data structures.

Return Value

Capacity of the list.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.GetCount Method

TWideStringList Class

Property read method of the Count property.

Pascal

function GetCount: Integer; override;

Description

GetCount is the property read method of the Count property. GetCount returns the number of strings that are currently in the list.

Return Value

The number of strings in the list.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.GetObject Method

TWideStringList Class

Property read method of the Objects property.

Pascal

function GetObject(Index: Integer): TObject; override;

Description

GetObject is the property read method of the Objects property. GetObject returns the object reference associated with the string at the specified Index. If no object is associated with that string GetObject returns nil.

Parameters

Index: Integer

Zero based index of the string for which you want to retrieve the associated object. Index must be within the range 0 to Count - 1 or an exception is raised.

Return Value

The object associated with the string at the specified index or nil if the string has no associated object.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.IndexOf Method

TWideStringList Class

Returns the position of a string in the list.

Pascal

function IndexOf(const S: WideString): Integer; override;

Description

IndexOf Returns the zero-based index of the first occurrence of S in the list. If S is not found the method returns -1.

Parameters

const S: WideString

The string for which you want to know the index of the first occurrence.

Return Value

Zero based index of the first occurrence of S in the list. If S does not exist in the list -1 is returned.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Insert Method

TWideStringList Class

Inserts a WideString at a specific position.

Pascal

procedure Insert(Index: Integer; const S: WideString); override;

Description

Insert inserts a WideString at a specific position within the list. Index denotes the zero based position at which to insert, specifying 0 will insert at the beginning (first position) of the list, 1 will insert at the second position etc. Note that you cannot insert a string into a sorted list. An attempt to do so raises an exception.

Parameters

Index: Integer

The zero based index at which to insert the new string.

const S: WideString

The string to insert at the specified position.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Put Method

TWideStringList Class

Property write method of the Items property.

Pascal

procedure Put(Index: Integer; const S: WideString); override;

Description

Put is the property write method of the Items property. Put sets the value of the string at the specified index which must be in the range 0 to Count - 1 or an exception is raised. Note that Put cannot be used to insert a string into a sorted list.

Parameters

Index: Integer

Zero based index of the string whose value you want to change.

const S: WideString

The new value for the string at the specified index.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.PutObject Method

TWideStringList Class

Property write method of the Objects property

Pascal

procedure PutObject(Index: Integer; AObject: TObject); override;

Description

PutObject is the property write method of the Objects property. PutObject associates the string at the specified index with the supplied object. Index must be in the range 0 to Count - 1 or an exception is raised.

Parameters

Index: Integer

Zero based index of the string with which the specified object should be associated.

AObject: TObject

The object with which to associate the string at the specified index.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.SetCapacity Method

TWideStringList Class

Property write method of the Capacity property.

Pascal

procedure SetCapacity(NewCapacity: Integer); override;

Description

SetCapacity is the property write method of the Capacity property. SetCapacity resizes the internal data structures used by TWideStringList to store its items so that subsequent additions to the list do not need to resize them until the Capacity is reached. This can significantly increase overall performance when adding strings to the list.

Parameters

NewCapacity: Integer

The new capacity for the list.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.SetLanguage Method

TWideStringList Class

TODO The property write method of Language property.

Pascal

procedure SetLanguage(Value: LCID); override;

Description

TODO SetLanguage is the property write method of Language property. The TWideStringList implementation does nothing except store the new value and re-sort the list.

Parameters

Value: LCID

The locale of the new language.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.SetUpdateState Method

TWideStringList Class

Called when the update state changes.

Pascal

procedure SetUpdateState(Updating: Boolean); override;

Description

SetUpdateState is called whenever the update state of the list changes. The update state of the list is considered changed when the update count either becomes zero or changes from zero to non-zero. The update count is changed by the user calling BeginUpdate or EndUpdate.

Parameters

Updating: Boolean

True if the list enters the update state (update count larger than 0) otherwise False.

Donator

Mike Lischke

Class

TWideStringList Class


TWideStringList.Sort Method

TWideStringList Class

Sorts the strings in the list.

Pascal

procedure Sort; virtual;

Description

Sorts the strings in the list in ascending order. Note that the sort procedure uses the Language property to determine the sort order of the strings.

Donator

Mike Lischke

Class

TWideStringList Class


OnChange

See Also

Occurs immediately after the list of strings has changed.

Description

The OnChange event is fired immediately after the list of strings has changed. The changes that cause an OnChange event are addition, deletion, moving (e.g. exchange) and the modification of a string. Note that before the modification is made the OnChanging event is fired.

Notes

This event is only fired when the UpdateCount is 0 (BeginUpdate and EndUpdate calls are balanced).

Donator

Mike Lischke

Group

TWideStringList


See Also

OnChanging


OnChanging

See Also

Occurs immediately before the list of strings is changed.

Description

The OnChanging event is fired immediately before changes are made to the list of strings. Changes that cause an OnChange event are addition, deletion, moving (e.g. exchange) and the modification of a string. Note that after the modification is made the OnChange event is fired.

Notes

This event is only fired when the UpdateCount is 0 (BeginUpdate and EndUpdate calls are balanced).

Donator

Mike Lischke

Group

TWideStringList


See Also

OnChange


TWideStrings

Unicode

Topics

OnConfirmConversion

Classes

TWideStrings

TWideStrings is the abstract base class for objects that represent a list of WideStrings.


TWideStrings Classes

TWideStrings

Classes

TWideStrings

TWideStrings is the abstract base class for objects that represent a list of WideStrings.


Topics

TWideStrings

Topics

OnConfirmConversion


TWideStrings Class

Properties	Methods	Events	Legend

TWideStrings is the abstract base class for objects that represent a list of WideStrings.

Pascal

TWideStrings = class(TPersistent);

Description

TWideStrings is the abstract base class for objects that represent a list of WideStrings. It is very similar to the Delphi TStrings class with the one fundamental difference; instead of storing a list of strings it stores a list of WideStrings. TWideStrings introduces properties and methods to:

Add or delete WideStrings at specified positions in the list.

Access the WideStrings at specified positions.

Rearrange the WideStrings in the list.

Persistence (load from and save to a file).

Associate an object with an item in the list.

Donator

Mike Lischke

Group

TWideStrings

Events

OnConfirmConversion

Legend

read only

Constructor

protected

Unit

JclUnicode


TWideStrings Class Properties

TWideStrings Class	Legend

Properties

Capacity

Indicates the number of items the list can hold.

CommaText

Lists the WideStrings in the TWideStrings in system data format (SDF).

 Count

Represents the number of strings in the list.

Language

 Names

Retrieves the Name part if the list contains strings of the form Name=Value.

NormalizationForm

Determines in which form Unicode strings should be stored

Objects

Represents the set of objects associated with the strings.

 Saved

Reflects the result of saving the list to a file or stream.

SaveFormat

SaveUnicode

Determines if the class saves data as Unicode or ANSI.

Strings

Represents the set of WideStrings managed by the class.

Text

Lists the strings in the TStrings object as a single string with the individual strings delimited by carriage returns and line feeds.

Values

Retrieves the Value part if the list contains strings of the form Name=Value.


Legend

read only


TWideStrings Class Events

TWideStrings Class

Events

OnConfirmConversion


TWideStrings Class Methods

TWideStrings Class	Legend

Methods

Add

Adds a WideString to the end of the list.

AddObject

Adds a WideString and associated object to the end of the list.

AddStrings

Copies strings from another TStrings or TWideStrings into this object.

Append

Appends a WideString to the list.

Assign

Assign sets the list of WideStrings based on the Source parameter.

AssignTo

AssignTo assigns itself to the specified object.

BeginUpdate

Marks the beginning of modifications to the list.

Clear

Clears the list of WideStrings and associated objects.

 Create

 DefineProperties

DefineProperties registers the Text property as a private property for streaming.

Delete

Deletes the item at a specified position.

 DoConfirmConversion

EndUpdate

Marks the end of an update sequence.

Equals

Compares two TWideStrings for equality.

 Error

Utility method which raises an EStringListError exception.

Exchange

Swaps the WideStrings at the specified positions.

 Get

Abstract property read method for the Strings property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

GetSeparatedText

Returns the contents of the list in a single buffer with customizable separator.

GetText

Property read method of the Text property.

 GetTextStr

IndexOf

Returns the position of a string in the list.

IndexOfName

Returns the position of the first string with the form Name=Value with the specified name part.

IndexOfObject

Returns the index of the string associated with a given object.

Insert

Inserts a WideString at a specific position.

InsertObject

Inserts a WideString at a specified position and associates it with an object.

LoadFromFile

Loads the lines from a textfile into the list.

LoadFromStream

Loads the lines from a stream into the list.

Move

Moves a WideString from one position to another.

 Put

Property write method of the Strings property.

 PutObject

Property write method of the Objects property.

SaveToFile

Saves the contents of the list to a file.

SaveToStream

Writes the contents of the list to a stream.

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

SetText

Sets the text property.

 SetUpdateState

Called whenever the update state of the class changes.


Legend

Constructor

protected


Legend

TWideStrings Class

Legend

read only

Constructor

protected


TWideStrings Class Members

TWideStrings Class	Legend

Members

Properties

Capacity

Indicates the number of items the list can hold.

CommaText

Lists the WideStrings in the TWideStrings in system data format (SDF).

 Count

Represents the number of strings in the list.

Language

 Names

Retrieves the Name part if the list contains strings of the form Name=Value.

NormalizationForm

Determines in which form Unicode strings should be stored

Objects

Represents the set of objects associated with the strings.

 Saved

Reflects the result of saving the list to a file or stream.

SaveFormat

SaveUnicode

Determines if the class saves data as Unicode or ANSI.

Strings

Represents the set of WideStrings managed by the class.

Text

Lists the strings in the TStrings object as a single string with the individual strings delimited by carriage returns and line feeds.

Values

Retrieves the Value part if the list contains strings of the form Name=Value.

Events

OnConfirmConversion

Methods

Add

Adds a WideString to the end of the list.

AddObject

Adds a WideString and associated object to the end of the list.

AddStrings

Copies strings from another TStrings or TWideStrings into this object.

Append

Appends a WideString to the list.

Assign

Assign sets the list of WideStrings based on the Source parameter.

AssignTo

AssignTo assigns itself to the specified object.

BeginUpdate

Marks the beginning of modifications to the list.

Clear

Clears the list of WideStrings and associated objects.

 Create

 DefineProperties

DefineProperties registers the Text property as a private property for streaming.

Delete

Deletes the item at a specified position.

 DoConfirmConversion

EndUpdate

Marks the end of an update sequence.

Equals

Compares two TWideStrings for equality.

 Error

Utility method which raises an EStringListError exception.

Exchange

Swaps the WideStrings at the specified positions.

 Get

Abstract property read method for the Strings property.

 GetCapacity

Property read method of the Capacity property.

 GetCount

Property read method of the Count property.

 GetObject

Property read method of the Objects property.

GetSeparatedText

Returns the contents of the list in a single buffer with customizable separator.

GetText

Property read method of the Text property.

 GetTextStr

IndexOf

Returns the position of a string in the list.

IndexOfName

Returns the position of the first string with the form Name=Value with the specified name part.

IndexOfObject

Returns the index of the string associated with a given object.

Insert

Inserts a WideString at a specific position.

InsertObject

Inserts a WideString at a specified position and associates it with an object.

LoadFromFile

Loads the lines from a textfile into the list.

LoadFromStream

Loads the lines from a stream into the list.

Move

Moves a WideString from one position to another.

 Put

Property write method of the Strings property.

 PutObject

Property write method of the Objects property.

SaveToFile

Saves the contents of the list to a file.

SaveToStream

Writes the contents of the list to a stream.

 SetCapacity

Property write method of the Capacity property.

 SetLanguage

SetText

Sets the text property.

 SetUpdateState

Called whenever the update state of the class changes.


Legend

read only

Constructor

protected


TWideStrings.Capacity Property

TWideStrings Class

Indicates the number of items the list can hold.

Pascal

property Capacity: Integer;

Description

Capacity determines the number of strings that the list can hold without having to resize/reallocate the internal storage. For TWideStrings reading Capacity returns the Count property and setting Capacity does nothing. Descendant classes can, and usually will, override this behavior in an appropriate manner.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.CommaText Property

TWideStrings Class

Lists the WideStrings in the TWideStrings in system data format (SDF).

Pascal

property CommaText: WideString;

Description

CommaText gets or sets all the strings in the TWideStrings object in a single comma-delimited string. Strings in the list that include spaces, commas or quotes will be contained in double quotes; any double quotes in a string will be repeated. For example, if the list contains the following strings: Hell,o 1 Hel"lo 2 Hello 3 Hello4 CommaText will return: "Hell,o 1","Hel""lo 2","Hello 3",Hello4 To assign CommaText, create the string as SDF formatted text. The SDF format specifies strings are to be separated by commas or spaces and optionally enclosed in double quotes. Double quote marks that occur within the string are repeated to distinguish them from the quotes that surround the string. If a space or comma occurs within the string, the string must be enclosed in double quotes or the space or comma will be treated as a delimiter. To indicate an empty string, enter two commas next to each other. Spaces that appear next to another delimiter are ignored (white space). For example, suppose CommaText is set to: "Hel,lo 1", "He""llo 2" , Hello 3,Hello4 The list will then contain: Hel,lo 1 He"llo 2 Hello 3 Hello4

Notes

TODO Description is copied from VCL helpfile. Rewrite to avoid cp issues!!! BLW -Check rewrite

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Count Property

TWideStrings Class

Represents the number of strings in the list.

Pascal

property Count: Integer;

Description

Abstract property which indicates the number of WideStrings in the list. You can use this property to iterate over all the items in the list. When doing so keep in mind that the Strings property accepts a zero based index and as such the last string in the list is at index Count - 1.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Language Property

TWideStrings Class

property Language: LCID;

Class

TWideStrings Class


TWideStrings.Names Property

See Also	TWideStrings Class

Retrieves the Name part if the list contains strings of the form Name=Value.

Pascal

property Names [Index: Integer]: WideString;

Description

When the list contains strings of the form Name=Value you can use the Names property to access the Name part of these strings. Index is the zero based index of the string whose name part to retrieve. If the string is not of the form Name=Value the property will return an empty string.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Values Items


TWideStrings.NormalizationForm Property

TWideStrings Class

Determines in which form Unicode strings should be stored

Pascal

property NormalizationForm: TNormalizationForm;

Description

NormalizationForm determines in which form Unicode strings should be stored.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Objects Property

TWideStrings Class

Represents the set of objects associated with the strings.

Pascal

property Objects [Index: Integer]: TObject;

Description

Objects contains a set of objects associated with the strings contained in the list. Reading the Objects property in TWideStrings returns nil and setting this property does nothing. Descendant classes can, and usually will, override this behavior to allow you to associate objects with the strings. The Objects and Strings properties are in synch, that is, the object at index zero is the object associated with the string at index 0, the same goes for index 1, 2, ... Count - 1. If a string is not associated with an object, reading the Objects property returns nil.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.OnConfirmConversion Event

TWideStrings Class

property OnConfirmConversion: TConfirmConversionEvent;

Class

TWideStrings Class


TWideStrings.Saved Property

TWideStrings Class

Reflects the result of saving the list to a file or stream.

Pascal

property Saved: Boolean;

Description

The Saved property reflects the result of the last SaveToFile and/or SaveToStream method call. If that call actually wrote the list to a file or stream, this property is set to True, in all other cases it is set to False.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.SaveFormat Property

TWideStrings Class

property SaveFormat: TSaveFormat;

Class

TWideStrings Class


TWideStrings.SaveUnicode Property

TWideStrings Class

Determines if the class saves data as Unicode or ANSI.

Pascal

property SaveUnicode: Boolean;

Description

Determines whether the SaveToFile and SaveToStream methods write the data as Unicode or ANSI. If set to True these methods save the data as Unicode, if set to False the data is implicitly converted to and saved as ANSI. In the latter case the OnConfirmConversion event may be fired if the conversion would have the potential of information loss.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Strings Property

TWideStrings Class

Represents the set of WideStrings managed by the class.

Pascal

property Strings [Index: Integer]: WideString;

Description

Partial abstract property which contains the set of strings managed by the class. Descendant classes must implement the Get method (Put is implemented through Delete and Insert). Reading the Strings property returns the WideString at the position indicated by the zero based index. Setting the property sets the WideString at the specified index. Note that a possibly associated object is not affected by this. Note that Strings is the default property for TWideStrings and as such can be omitted when reading the Strings property. For example MyWideStrings.Strings[0] is equivalent to MyWideStrings[0]

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Text Property

See Also	TWideStrings Class

Lists the strings in the TStrings object as a single string with the individual strings delimited by carriage returns and line feeds.

Pascal

property Text: WideString;

Description

The Text property enables you the get or set the contents of the string in the list as a single WideString. Reading the Text property returns a WideString with the individual strings separated by a carriage-return linefeed pair, setting the Text property replaces the list with the contents of the supplied WideString. The supplied string is separated into individual strings based on the presence of a carriage-return or linefeed (they don't have to appear in pairs). An alternative to the Text property is the CommaText property.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

CommaText


TWideStrings.Values Property

See Also	TWideStrings Class

Retrieves the Value part if the list contains strings of the form Name=Value.

Pascal

property Values [const Name: WideString]: WideString;

Description

When the list contains strings of the form Name=Value you can use the Values property to get or set the Value part of these strings. Name is the name part of the string whose Value you want to get or set. If the list does not contain a string with the specified Name, reading this property will return an empty string and writing will cause the string to be added to the list. Setting the Value part to an empty string causes the entire WideString to be deleted from the list.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Names Items


TWideStrings.Add Method

See Also	TWideStrings Class

Adds a WideString to the end of the list.

Pascal

function Add(const S: WideString): Integer; virtual;

Description

Adds a WideString to the end of the list and returns the index of the new WideString.

Parameters

const S: WideString

The WideString to add at the end of the list.

Return Value

Zero based index of the newly inserted WideString.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Insert InsertObject Append AddObject


TWideStrings.AddObject Method

See Also	TWideStrings Class

Adds a WideString and associated object to the end of the list.

Pascal

function AddObject(const S: WideString; AObject: TObject): Integer; virtual;

Description

AddObject adds a WideString to the end of the list and associates an object with the WideString.

Parameters

const S: WideString

The WideString to add to the end of the list.

AObject: TObject

The object to associate with the WideString. You can later retrieve the object by using the Objects property.

Return Value

Zero based index at which the object is inserted.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Insert InsertObject Append Add


TWideStrings.AddStrings Method (TStrings)

See Also	TWideStrings Class

Copies strings from another TStrings or TWideStrings into this object.

Pascal

procedure AddStrings(Strings: TStrings); virtual; overload;
procedure AddStrings(Strings: TWideStrings); virtual; overload;

Description

Use AddStrings to add the strings from a TStrings or TWideStrings descendant to this list. If the source list has objects associated with its items a reference to these objects is copied as well (only a reference, no deep copy is made). Note that the strings in the source list are implicitly converted to WideStrings based on the systems locale for the overloaded method that accepts a TStrings.

Parameters

Strings: TStrings

The source list from which to copy the items to this list.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Assign AssignTo


TWideStrings.Append Method

See Also	TWideStrings Class

Appends a WideString to the list.

Pascal

procedure Append(const S: WideString);

Description

Appends a WideString to the list. This method is identical to the Add method except that it does not return the index at which the WideString was inserted. Use this method rather than Add when the index is not needed or for descendant classes for which the index does not have any meaning.

Parameters

const S: WideString

The WideString to add to the list.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

Insert InsertObject Add AddObject


TWideStrings.Assign Method

TWideStrings Class

Assign sets the list of WideStrings based on the Source parameter.

Pascal

procedure Assign(Source: TPersistent); override;

Description

Assign sets the list of WideStrings based on the Source parameter. If the Source parameter is of type TStrings or TWideStrings, Assign first clears the list and then copies the items from the Source object including associated objects, if any. If Source is not of the correct type Assign simply calls inherited. Note that, as with the AddStrings method, if the Source is of type TStrings the strings are implicitly converted to WideStrings based on the systems locale.

Parameters

Source: TPersistent

An object from which to assign the list. This object must be of type TStrings or TWideStrings.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.AssignTo Method

TWideStrings Class

AssignTo assigns itself to the specified object.

Pascal

procedure AssignTo(Dest: TPersistent); override;

Description

AssignTo assigns itself to the specified Dest(ination) object. For AssignTo to do anything the Dest object must be of type TStrings or TWideStrings. Conceptually AssignTo is equivalent to Dest.Assign(Self) except that this method enables a TWideStrings to be assigned to a TStrings which otherwise wouldn't be possible.

Parameters

Dest: TPersistent

The TStrings or TWideStrings descendant to which to assign this list.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.BeginUpdate Method

See Also	TWideStrings Class

Marks the beginning of modifications to the list.

Pascal

procedure BeginUpdate;

Description

Call BeginUpdate immediately before you modify the list and EndUpdate immediately after. All properties and methods that modify the list automatically call BeginUpdate and EndUpdate. BeginUpdate calls SetUpdateState which can be overridden by descendants to receive a notification of updates. This way descendants can optimize updates such as refreshing/repainting visible controls.

Notes

Calls to BeginUpdate and EndUpdate can be nested in all imaginable ways, but eventually the calls must be balanced.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

EndUpdate


TWideStrings.Clear Method

TWideStrings Class

Clears the list of WideStrings and associated objects.

Pascal

procedure Clear; virtual; abstract;

Description

Clear is an abstract method implemented by descendants to clear the list of WideStrings and associated objects. Note that, unless otherwise stated in the documentation for the descendant class, clearing the list of objects does not free the objects, it only removes the references to the objects.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Create Constructor

TWideStrings Class

constructor Create;

Description

Creates an instance of TWideStrings and initializes the object for use. Since TWideStrings is an abstract base class you cannot actually instantiate it, instead use a derived class such as TWideStringList. The TWideStrings constructor only initializes the language used by the class to the users default language.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.DefineProperties Method

TWideStrings Class

DefineProperties registers the Text property as a private property for streaming.

Pascal

procedure DefineProperties(Filer: TFiler); override;

Description

DefineProperties registers the Text property as a private property for streaming. This is necessary due to a bug in the handling of text DFM's in Classes.pas which prevents WideStrings from loading under certain circumstances. Zbysek Hlinka (zhlinka@login.cz) brought this to my attention and also supplied a solution. See ReadData and WriteData methods for implementation details.

Parameters

Filer: TFiler

The TFiler object. See TPersistent.DefineProperties in the VCL help for information.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Delete Method

TWideStrings Class

Deletes the item at a specified position.

Pascal

procedure Delete(Index: Integer); virtual; abstract;

Description

Delete is an abstract method implemented by descendant classes to delete an item at a specified position from the list. If the WideString has an associated object, the reference to that object is deleted as well.

Parameters

Index: Integer

Zero based index of the WideString to delete from the list.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.DoConfirmConversion Method

TWideStrings Class

procedure DoConfirmConversion(var Allowed: Boolean); virtual;

Class

TWideStrings Class


TWideStrings.EndUpdate Method

See Also	TWideStrings Class

Marks the end of an update sequence.

Pascal

procedure EndUpdate;

Description

Call BeginUpdate immediately before you modify the list and EndUpdate immediately after. All properties methods that modify the list automatically call BeginUpdate and EndUpdate. When the UpdateCount managed by BeginUpdate and EndUpdate reaches zero, EndUpdate calls SetUpdateState which can be overridden by descendants to receive a notification of updates. This way descendants can optimize updates such as refreshing/repainting visible controls.

Notes

Calls to BeginUpdate and EndUpdate can be nested in all imaginable ways, but eventually the calls must be balanced.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

BeginUpdate


TWideStrings.Equals Method

TWideStrings Class

Compares two TWideStrings for equality.

Pascal

function Equals(Strings: TWideStrings): Boolean;

Description

Equals compares the list for which it is called with the list supplied as the argument. The function compares all strings in the lists and if they are all equal the function returns True. If one or more strings are not equal or the number of strings in the two lists differ, the function returns False. Note that the function only compares the strings in both lists, it ignores the associated objects, if any.

Parameters

Strings: TWideStrings

The list with which to compare.

Return Value

If the strings in two lists are identical, that is all individual strings are equal and both lists have the same number of strings, the function returns True, in all other cases the function returns False.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Error Method

TWideStrings Class

Utility method which raises an EStringListError exception.

Pascal

procedure Error(const Msg: string; Data: Integer);

Description

Error is a utility method used by various other methods for raising an EStringListError exception.

Parameters

const Msg: string

The runtime error message to display in the exception dialog box. The exception object is created with the CreateFmt constructor and as such this message can contain an integer format specifier.

Data: Integer

The Data argument is passed to the CreateFmt constructor of the EStringListError constructor as its Args parameter and as such replaces the first format specifier found in the Msg argument.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Exchange Method

TWideStrings Class

Swaps the WideStrings at the specified positions.

Pascal

procedure Exchange(Index1: Integer; Index2: Integer); virtual;

Description

Exchange swaps the strings at the specified positions. If either string has an associated object the objects are exchanged as well.

Parameters

Index1: Integer

Index of the first WideString to exchange.

Index2: Integer

Index of the second WideString to exchange.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Get Method

TWideStrings Class

Abstract property read method for the Strings property.

Pascal

function Get(Index: Integer): WideString; virtual; abstract;

Description

Get is the abstract property read method for the Strings property. Descendant classes must implement this method and return a WideString given an Index.

Parameters

Index: Integer

Zero based Index of the WideString. The Index must be between 0 and Count - 1 (inclusive).

Return Value

The WideString at the specified Index. If the specified Index is invalid an exception is raised.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetCapacity Method

TWideStrings Class

Property read method of the Capacity property.

Pascal

function GetCapacity: Integer; virtual;

Description

Property read method of the Capacity property. Capacity determines the number of strings that the list can hold without having to resize/reallocate the internal storage. The TWideStrings implementation simply returns the number of strings in the list by querying the Count property. However, descendant classes can, and usually will, override this method to return the actual capacity of the list.

Return Value

The capacity of the list.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetCount Method

TWideStrings Class

Property read method of the Count property.

Pascal

function GetCount: Integer; virtual; abstract;

Description

GetCount is the abstract property read method of the Count property. Descendant classes must implement this method and return the number of items in the Strings list.

Return Value

The number of strings in the list.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetObject Method

TWideStrings Class

Property read method of the Objects property.

Pascal

function GetObject(Index: Integer): TObject; virtual;

Description

GetObject is the abstract property read method of the Objects property. Descendant classes must implement this method and return the Object at the specified Index.

Parameters

Index: Integer

The zero based index of the object to retrieve. The index must be between 0 and Count - 1 (inclusive).

Return Value

The TObject at the specified index. If the index is invalid an exception is raised. If no object exists at the specified index the method returns nil.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetSeparatedText Method

TWideStrings Class

Returns the contents of the list in a single buffer with customizable separator.

Pascal

function GetSeparatedText(Separators: WideString): WideString; virtual;

Description

GetSeparatedText returns a dynamically allocated buffer which contains a concatenation of the individual strings in the list. The individual strings are terminated with the specified Separators string. As such this is identical to GetText except that the separator characters are customizable.

Return Value

WideString holding the concatenation of the individual strings in the list. If the list is empty the returned string is empty.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetText Method

TWideStrings Class

Property read method of the Text property.

Pascal

function GetText: PWideChar; virtual;

Description

GetText is the property read method of the Text property. Its purpose is to list the strings in the TWideStrings object as a single string with the individual WideStrings delimited by carriage returns and line feeds. The default implementation of this method is usually sufficient, however, descendant classes can override this method to provide a faster implementation. Note that this method is also called internally by the GetText method.

Return Value

The WideStrings in the list as a single string with the individual strings delimited by a carriage return - linefeed.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.GetTextStr Method

TWideStrings Class

function GetTextStr: WideString; virtual;

Class

TWideStrings Class


TWideStrings.IndexOf Method

See Also	TWideStrings Class

Returns the position of a string in the list.

Pascal

function IndexOf(const S: WideString): Integer; virtual;

Description

IndexOf Returns the zero-based index of the first occurrence of S in the list. If S is not found the method returns -1.

Parameters

const S: WideString

The string for which you want to know the index of the first occurrence.

Return Value

Zero based index of the first occurrence of S in the list. If S does not exist in the list -1 is returned.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

IndexOfName IndexOfObject


TWideStrings.IndexOfName Method

See Also	TWideStrings Class

Returns the position of the first string with the form Name=Value with the specified name part.

Pascal

function IndexOfName(const Name: WideString): Integer;

Description

IndexOfName returns the zero based index of the first occurrence of the string of the form Name=Value where the Name part matches the specified Name. If no such occurrence exists in the list the function returns -1. This kind of strings is commonly found in .ini files which are usually not Unicode based but can be loaded into TWideStrings anyway.

Parameters

const Name: WideString

The Name for which to search in the list.

Return Value

Zero based index of the first occurrence of a string whose Name part matches the specified name. If no occurrence is found -1 is returned.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

IndexOf IndexOfObject


TWideStrings.IndexOfObject Method

TWideStrings Class

Returns the index of the string associated with a given object.

Pascal

function IndexOfObject(AObject: TObject): Integer;

Description

IndexOfObject returns the zero based index of the first string associated with the specified object. Note that the object comparison is simply a pointer comparison since this class has no knowledge of the object stored in it.

Parameters

AObject: TObject

The object to search for.

Return Value

Zero based index of the first string associated with the specified object or -1 if the object is not associated with any of the strings.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Insert Method

See Also	TWideStrings Class

Inserts a WideString at a specific position.

Pascal

procedure Insert(Index: Integer; const S: WideString); virtual; abstract;

Description

Abstract method implemented by descendants to insert a WideString at a specific position within the list. Index denotes the zero based position at which to insert, specifying 0 will insert at the beginning (first position) of the list, 1 will insert at the second position etc.

Parameters

Index: Integer

The zero based index at which to insert the new string.

const S: WideString

The string to insert at the specified position.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

InsertObject Add AddObject Append


TWideStrings.InsertObject Method

TWideStrings Class

Inserts a WideString at a specified position and associates it with an object.

Pascal

procedure InsertObject(Index: Integer; const S: WideString; AObject: TObject);

Description

InsertObject inserts the supplied string at the specified position in the list and associates the supplied object with it. Index denotes the zero based position at which to insert, specifying 0 will insert at the beginning (first position) of the list, 1 will insert at the second position etc.

Parameters

Index: Integer

The zero based index at which to insert the new string.

const S: WideString

The string to insert at the specified position.

AObject: TObject

The object to associate with the string.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.LoadFromFile Method

See Also	TWideStrings Class

Loads the lines from a textfile into the list.

Pascal

procedure LoadFromFile(const FileName: string); virtual;

Description

Loads a text from a file into the list. Each line in the file, as indicated by a WideNull, LineFeed, CarriageReturn, VerticalTab, FormFeed, LineSeparator or ParagraphSeparator, is appended as a string in the list. If a byte-order mark is present in the file it is assumed to be a Unicode textfile and read as such. If no byte-order mark is present it is assumed to be an ANSI textfile.

Parameters

const FileName: string

The fully qualified name of the file containing the text to load.

Notes

The class remembers whether an opened file originally contained Unicode by setting the SaveUnicode property appropriately.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

LoadFromStream SaveToFile SaveToStream


TWideStrings.LoadFromStream Method

See Also	TWideStrings Class

Loads the lines from a stream into the list.

Pascal

procedure LoadFromStream(Stream: TStream); virtual;

Description

Loads the text from a stream into the list. Each line in the stream, as indicated by a WideNull, LineFeed, CarriageReturn, VerticalTab, FormFeed, LineSeparator or ParagraphSeparator, is appended as a string in the list. If a byte-order mark is present in the stream it is assumed to be a Unicode text and read as such. If no byte-order mark is present it is assumed to be a ANSI text.

Parameters

Stream: TStream

The TStream from which to load the text.

Notes

The class remembers whether an opened stream originally contained Unicode by setting the SaveUnicode property appropriately.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

LoadFromFile SaveToFile SaveToStream


TWideStrings.Move Method

TWideStrings Class

Moves a WideString from one position to another.

Pascal

procedure Move(CurIndex: Integer; NewIndex: Integer); virtual;

Description

Move moves the string at position CurIndex to position NewIndex. Both indices are zero based and if the WideString has an associated object, that object remains associated with it. The remaining strings are reshuffled as appropriate.

Parameters

CurIndex: Integer

Zero based index of the WideString to move.

NewIndex: Integer

Zero based index of the position to move the WideString to.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.Put Method

TWideStrings Class

Property write method of the Strings property.

Pascal

procedure Put(Index: Integer; const S: WideString); virtual; abstract;

Description

Put is the property write method of the Strings property. In TWideStrings Put does nothing. It is up to descendant classes to override this method and implement it in an appropriate manner.

Parameters

Index: Integer

The zero based index of the WideString to set.

const S: WideString

New value for the WideString at the specified Index.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.PutObject Method

TWideStrings Class

Property write method of the Objects property.

Pascal

procedure PutObject(Index: Integer; AObject: TObject); virtual; abstract;

Description

PutObject is the property write method of the Objects property. In TWideStrings PutObject does nothing. It is up to descendant classes to override this method and implement it in an appropriate manner.

Parameters

Index: Integer

The zero based Index of the object to set.

AObject: TObject

The object to place at the specified index.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.SaveToFile Method

See Also	TWideStrings Class

Saves the contents of the list to a file.

Pascal

procedure SaveToFile(const FileName: string); virtual;

Description

SaveToFile writes the contents of the list to the specified file. The individual strings are separated by a carriage-return linefeed pair. SaveToFile uses the value of the SaveUnicode property to determine whether to save the contents as Unicode or ANSI text. If SaveUnicode is False the text is saved as ANSI and in the process is implicitly converted using the systems locale. However, if there exists a potential information loss the user is notified through the OnConfirmConversion event. If SaveUnicode is True the text is saved as Unicode but is first prepended with the BOM_LSB_FIRST value to identify the text as Unicode appearing in with the least-significant-byte first byte-order mark.

Parameters

const FileName: string

Fully qualified name of the file to save the strings to.

Notes

Upon exit the Saved property is updated to reflect the result of the method.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

SaveToStream OnConfirmConversion


TWideStrings.SaveToStream Method

See Also	TWideStrings Class

Writes the contents of the list to a stream.

Pascal

procedure SaveToStream(Stream: TStream; WithBOM: Boolean = True); virtual;

Description

SaveToStream writes the contents of the list to the specified stream. The individual strings are separated by a carriage-return linefeed pair. SaveToStream uses the value of the SaveUnicode property to determine whether to save the contents as Unicode or ANSI text. If SaveUnicode is False the text is saved as ANSI and in the process is implicitly converted using the systems locale. However, if there exists a potential information loss the user is notified through the OnConfirmConversion event. If SaveUnicode is True the text is saved as Unicode but is first prepended with the BOM_LSB_FIRST value to identify the text as Unicode appearing in with the least-significant-byte first byte-order mark.

Parameters

Stream: TStream

TStream descendant to write the strings to.

WithBOM: Boolean = True

WithBOM determines whether to write a Byte Order Mark or not. Note: when saved as ANSI text there will never be a BOM.

Notes

Upon exit the Saved property is updated to reflect the result of the method.

Donator

Mike Lischke

Class

TWideStrings Class


See Also

SaveToFile OnConfirmConversion


TWideStrings.SetCapacity Method

TWideStrings Class

Property write method of the Capacity property.

Pascal

procedure SetCapacity(NewCapacity: Integer); virtual;

Description

SetCapacity is the property write method of the Capacity property. In TWideStrings the SetCapacity does not do anything. Descendant classes can optionally override this method to implement a capacity scheme. In this case the SetCapacity method should take steps to ensure that the list of WideStrings is expanded in such a manner that the list will not have to be reallocated again until the list holds more than Capacity number of strings.

Parameters

NewCapacity: Integer

The new capacity for the list.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.SetLanguage Method

TWideStrings Class

procedure SetLanguage(Value: LCID); virtual;

Description

SetLanguage is the property write method of the Language property. The TWideStrings implementation does nothing except store the new value. Descendant classes may override this method to respond to language changes such as re-sorting the list.

Parameters

Value: LCID

The new language locale.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.SetText Method

TWideStrings Class

Sets the text property.

Pascal

procedure SetText(const Value: WideString); virtual;

Description

SetText replaces the list with the strings specified by the Value parameter. This method assumes that the individual strings are separated by a WideNull, LineFeed, CarriageReturn, VerticalTab, FormFeed, LineSeparator or ParagraphSeparator.

Parameters

const Value: WideString

WideString containing the strings with which to replace the current contents.

Donator

Mike Lischke

Class

TWideStrings Class


TWideStrings.SetUpdateState Method

TWideStrings Class

Called whenever the update state of the class changes.

Pascal

procedure SetUpdateState(Updating: Boolean); virtual;

Description

SetUpdateState is called whenever the update state of the class changes. Thus, it is called for each first BeginUpdate and for each last EndUpdate. SetUpdateState in TWideStrings is merely a place-holder and does nothing. Descendant classes can override this method to receive notification of changes to the update state.

Parameters

Updating: Boolean

Denotes the current state of the class. If True the state has just switched to the update state, if False the state just changed to normal (non-update). Thus, when BeginUpdate is called, SetUpdateState is called with True as its argument.

Donator

Mike Lischke

Class

TWideStrings Class


OnConfirmConversion

See Also

When saving the list to a file or stream the class uses the SaveUnicode property to determine whether to save the list as Unicode or ANSI. If the SaveUnicode property is False the list is implicitly converted to and saved as ANSI. However, this potentially results in information loss if the list contains strings with characters that are not from the ANSI set (e.g. with values above $00FF). In this case the Save methods fire the OnConfirmConversion event to allow the user to reconsider the decision on how to save the data. Usually you will want to either save as Unicode instead or abort entirely. To save as Unicode instead you can set the SaveUnicode property from within the event handler. To abort the saving you can set the Allowed parameter of the event to False (it is True when the event is triggered so there is no need to explicitly assign True). If there is no event handler attached the save is implicitly aborted. You can use the Saved property to check whether the list was actually saved.

Donator

Mike Lischke

Group

TWideStrings


See Also

CommaText


Utility functions

Unicode

Functions

CharSetFromLocale

Returns character set information for a given locale.

CodePageFromLocale

Returns the ANSI code page for a specific locale.

CodeBlockFromChar

Returns the character block (code block) for a character.

KeyboardCodePage

Returns the codepage based on the thread input locale.

KeyUnicode

StringToWideStringEx

Converts a string to a WideString.

TranslateString

Translates a string from one codepage to another.

WideStringToStringEx

WideStringToStringEx maps a WideString to a string based on the specified codepage.


Utility functions Functions

Utility functions

Functions

CharSetFromLocale

Returns character set information for a given locale.

CodePageFromLocale

Returns the ANSI code page for a specific locale.

CodeBlockFromChar

Returns the character block (code block) for a character.

KeyboardCodePage

Returns the codepage based on the thread input locale.

KeyUnicode

StringToWideStringEx

Converts a string to a WideString.

TranslateString

Translates a string from one codepage to another.

WideStringToStringEx

WideStringToStringEx maps a WideString to a string based on the specified codepage.


CharSetFromLocale Function

See Also

Returns character set information for a given locale.

Pascal

function CharSetFromLocale(Language: LCID): TFontCharSet;

Description

The CharSetFromLocale function returns character set information for the specified locale. The returned TFontCharSet record contains information such as the ANSI code-page identifier. See the Platform SDK entries for CHARSETINFO and FONTSIGNATURE for more information.

Parameters

Language: LCID

The locale for which to retrieve character set information.

Return Value

A TFontCharSet record which describes the character set.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


See Also

CodePageFromLocale


CodePageFromLocale Function

Returns the ANSI code page for a specific locale.

Pascal

function CodePageFromLocale(Language: LCID): Integer;

Description

CodePageFromLocale returns the ANSI code page associated with the specified locale. If the locale does not use an ANSI code page, the system's current ANSI code page is returned.

Parameters

Langauge

Locale for which to retrieve the ANSI code page.

Return Value

The ANSI code page of the specified locale, or the system's current code page if the locale does not use an ANSI code page.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


CodeBlockFromChar Function

Returns the character block (code block) for a character.

Pascal

function CodeBlockFromChar(const C: UCS4): TUnicodeBlock;

Description

The CodeBlockFromChar returns the code block (or character block) in which the specified character exists. If the character does not belong to any defined block, ubUndefined is returned.

Parameters

const C: UCS4

The unicode character for which you want to know the character block in which it resides.

Return Value

The character block for the specified character. If the character does not belong to any defined block, ubUndefined is returned.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


KeyboardCodePage Function

See Also

Returns the codepage based on the thread input locale.

Pascal

function KeyboardCodePage: Word;

Description

Returns the codepage for the calling thread based on the threads input locale identifier (formerly called the keyboard layout). This effectively returns the codepage associated with the keyboard and all other forms of input such as a speech-to-text converter.

Return Value

Codepage for the calling thread, based on the keyboard layout.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


See Also

CodePageFromLocale


KeyUnicode Function

See Also

function KeyUnicode(C: Char): WideChar;

Description

Converts the specified character (as it comes with a WM_CHAR message) into its corresponding Unicode character. The conversion is based upon the active keyboard layout.

Parameters

C: Char

The character to convert.

Return Value

The converted character.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


See Also

KeyboardCodePage


StringToWideStringEx Function

See Also

Converts a string to a WideString.

Pascal

function StringToWideStringEx(const S: string; CodePage: Word): WideString;

Description

StringToWideStringEx maps a string to a Wide (unicode) string for the specified codepage. This is merely a convenient wrapper for the MultiByteToWideChar API function.

Parameters

const S: string

The string to convert to unicode

CodePage: Word

The code page to be used by the conversion. You can specify the value of any available code page or one of the following values:

Return Value

The converted string.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


See Also

WideStringToStringEx TranslateString


TranslateString Function

Translates a string from one codepage to another.

Pascal

function TranslateString(const S: string; CP1: Word; CP2: Word): string;

Description

The TranslateString function translates the specified string from one codepage to another.

Parameters

const S: string

The string to translate.

CP1: Word

Source code page.

CP2: Word

Destination code page.

Return Value

The translated string.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


WideStringToStringEx Function

See Also

WideStringToStringEx maps a WideString to a string based on the specified codepage.

Pascal

function WideStringToStringEx(const WS: WideString; CodePage: Word): string;

Description

WideStringToStringEx maps a WideString to a string based on the specified codepage.

Parameters

const WS: WideString

The WideString to convert.

CodePage: Word

The code page to be used by the conversion. You can specify the value of any available code page or one of the following values:

Return Value

The converted string.

Donator

Mike Lischke

Group

Utility functions

Unit

JclUnicode


See Also

StringToWideStringEx TranslateString


WideString conversion routines

Unicode

Functions

WideStringToUTF8

Converts the given WideString to a UTF8 based AnsiString.

UTF8ToWideString

Converts the given UTF8 based AnsiString to a WideString.


WideString conversion routines Functions

WideString conversion routines

Functions

WideStringToUTF8

Converts the given WideString to a UTF8 based AnsiString.

UTF8ToWideString

Converts the given UTF8 based AnsiString to a WideString.


WideStringToUTF8 Function

See Also

Converts the given WideString to a UTF8 based AnsiString.

Pascal

function WideStringToUTF8(S: WideString): AnsiString;

Description

Converts the given WideString to a UTF8 based AnsiString.

Parameters

S: WideString

The unciode string to convert

Return Value

The string in UTF8 format.

Donator

Mike Lischke

Group

WideString conversion routines

Unit

JclUnicode


See Also

UTF8ToWideString


UTF8ToWideString Function

See Also

Converts the given UTF8 based AnsiString to a WideString.

Pascal

function UTF8ToWideString(S: AnsiString): WideString;

Description

Converts the given UTF8 based AnsiString to a WideString.

Parameters

S: AnsiString

The UTF8 based AnsiString to convert to a WideString

Return Value

The string converted to a WideString.

Donator

Mike Lischke

Group

WideString conversion routines

Unit

JclUnicode


See Also

WideStringToUTF8


WideString routines

Unicode

Topics

WideTitleCaseString

Converts the supplied WideString or WideChar to titlecase.

Functions

WideLowerCase

Converts the supplied WideString or WideChar to lowercase.

WideSameText

WideUpperCase

Converts the supplied WideString or WideChar to uppercase.

WideStringOfChar

WideQuotedStr

Returns a quoted string.

WideExtractQuotedStr

Extracts a string enclosed in quote characters.

WideTrim

Trims leading and trailing spaces and control characters.

WideTrimRight

Trims trailing spaces and control characters.

WideTrimLeft

Trims leading spaces and control characters.

WideDecompose

Performs a decomposition of all characters in the supplied string.

WideCompose

Transforms a string into a composed string.

WideCharPos

Returns the index of the first occurrence of Ch in S.

WideAdjustLineBreaks

Standardizes linebreak characters to lineseparator characters.

WideNormalize

Normalize a WideString.

ExpandANSIString

Expands an ANSI string to a Widestring.


WideString routines Functions

WideString routines

Functions

WideLowerCase

Converts the supplied WideString or WideChar to lowercase.

WideSameText

WideUpperCase

Converts the supplied WideString or WideChar to uppercase.

WideStringOfChar

WideQuotedStr

Returns a quoted string.

WideExtractQuotedStr

Extracts a string enclosed in quote characters.

WideTrim

Trims leading and trailing spaces and control characters.

WideTrimRight

Trims trailing spaces and control characters.

WideTrimLeft

Trims leading spaces and control characters.

WideDecompose

Performs a decomposition of all characters in the supplied string.

WideCompose

Transforms a string into a composed string.

WideCharPos

Returns the index of the first occurrence of Ch in S.

WideAdjustLineBreaks

Standardizes linebreak characters to lineseparator characters.

WideNormalize

Normalize a WideString.

ExpandANSIString

Expands an ANSI string to a Widestring.


Topics

WideString routines

Topics

WideTitleCaseString

Converts the supplied WideString or WideChar to titlecase.


WideLowerCase Function

Converts the supplied WideString or WideChar to lowercase.

Pascal

function WideLowerCase(C: WideChar): WideString; overload;
function WideLowerCase(const S: WideString): WideString; overload;

Description

Converts the supplied WideString or WideChar to lowercase.

Parameters

C: WideChar

The character to convert to lowercase.

const S: WideString

The string to convert to lowercase.

Return Value

The lowercased string.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideSameText Function

function WideSameText(const Str1: WideString; const Str2: WideString): Boolean;

Description

WideSameText compares the two strings case insensitively and returns True if the strings are equal.

Parameters

const Str1: WideString

The first string.

const Str2: WideString

The second string.

Return Value

If both strings are equal (case insensitive) the function returns True, otherwise False is returned.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideUpperCase Function

Converts the supplied WideString or WideChar to uppercase.

Pascal

function WideUpperCase(C: WideChar): WideString; overload;
function WideUpperCase(const S: WideString): WideString; overload;

Description

Converts the supplied WideString or WideChar to uppercase.

Parameters

C: WideChar

The character to convert to uppercase.

const S: WideString

The string to convert to uppercase.

Return Value

The uppercased string.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideStringOfChar Function

function WideStringOfChar(C: WideChar; Count: Cardinal): WideString;

Description

WideStringOfChar returns a string of length Count with each character initialized to the specified character C.

Parameters

C: WideChar

The character to initialize the string with.

Count: Cardinal

The length of the string.

Return Value

A string of length Count with all characters set to C.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideQuotedStr Function

Returns a quoted string.

Pascal

function WideQuotedStr(const S: WideString; Quote: WideChar): WideString;

Description

WideQuotedStr returns a copy of S with the specified Quote character inserted at the beginning and end of the string.

Parameters

const S: WideString

The string to convert to a quoted string.

Quote: WideChar

The character to use as quote.

Return Value

The quoted version of the supplied string.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideExtractQuotedStr Function

Extracts a string enclosed in quote characters.

Pascal

function WideExtractQuotedStr(var Src: PWideChar; Quote: WideChar): WideString;

Description

WideExtractQuotedStr removes the Quote characters from the beginning and end of a quoted string, and reduces pairs of Quote characters within the quoted string to a single character. If the first character in Src is not the Quote character, the function returns an empty string. The function copies characters from the Src to the result string until the second solitary Quote character or the first null character in Src. The Src parameter is updated to point to the first character following the quoted string. If the Src string does not contain a matching end Quote character, the Src parameter is updated to point to the terminating null character in Src.

Parameters

var Src: PWideChar

The source string from which to remove quotes.

Quote: WideChar

Denotes the character used as a quote.

Return Value

The string without the quotes.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideTrim Function

See Also

Trims leading and trailing spaces and control characters.

Pascal

function WideTrim(const S: WideString): WideString;

Description

WideTrim returns a copy of the supplied string with all leading and trailing spaces and control characters removed. See UnicodeIsWhiteSpace and UnicodeIsControl for what constitutes a space and control character respectively.

Parameters

const S: WideString

The string to trim.

Return Value

Copy of the supplied string without leading and trailing spaces and control characters.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


See Also

WideTrimLeft WideTrimRight


WideTrimRight Function

See Also

Trims trailing spaces and control characters.

Pascal

function WideTrimRight(const S: WideString): WideString;

Description

WideTrimRight returns a copy of the supplied string with all trailing spaces and control characters removed. See UnicodeIsWhiteSpace and UnicodeIsControl for what constitutes a space and control character respectively.

Parameters

const S: WideString

The string to trim.

Return Value

Copy of the supplied string without trailing spaces and control characters.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


See Also

WideTrimLeft WideTrim


WideTrimLeft Function

See Also

Trims leading spaces and control characters.

Pascal

function WideTrimLeft(const S: WideString): WideString;

Description

WideTrimLeft returns a copy of the supplied string with all leading spaces and control characters removed. See UnicodeIsWhiteSpace and UnicodeIsControl for what constitutes a space and control character respectively.

Parameters

const S: WideString

The string to trim.

Return Value

Copy of the supplied string without leading spaces and control characters.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


See Also

WideTrim WideTrimRight


WideTitleCaseString

Converts the supplied WideString or WideChar to titlecase.

Description

Converts the supplied WideString or WideChar to titlecase.

Parameters

C

The character to convert to titlecase.

S

The string to convert to titlecase.

Return Value

The titlecased string.

Donator

Mike Lischke

Group

WideString routines


WideDecompose Function

Performs a decomposition of all characters in the supplied string.

Pascal

function WideDecompose(const S: WideString; Compatible: Boolean): WideString;

Description

Returns a copy of the string but with all individual characters decomposed into their respective base characters. For example, the composite character Ê is broken up into the two base characters E and ^.

Parameters

const S: WideString

The string for which to decompose the individual characters.

Compatible: Boolean

Flag to determine if compatibilty decomposition should be used (True) or not (False).

Return Value

The decomposed string.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideCompose Function

Transforms a string into a composed string.

Pascal

function WideCompose(const S: WideString): WideString;

Description

Returns a string with all the characters of S, but if it is possible to combine characters then they are composed. For example, the two base characters E and ^ are combined into the composite character Ê.

Parameters

const S: WideString

The string for which to compose the individual characters.

Return Value

The string with all characters composed, where possible.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideCharPos Function

Returns the index of the first occurrence of Ch in S.

Pascal

function WideCharPos(const S: WideString; const Ch: WideChar; const Index: Integer): Integer;

Description

WideCharPos returns the index of the first occurrence of the specified character in the supplied string. Note that this is a search for the binary pattern, no attempt is made to interpret either the given character or the string (ligatures, modifiers, surrogates etc.).

Parameters

const S: WideString

The string which to scan for the Ch character.

const Ch: WideChar

The character to search for.

const Index: Integer

The index at which to start searching in S. Usually you'll pass 1 to search the entire string (Note: the string is one based, not zero based!).

Return Value

Index of the first occurrence of the specified character in the supplied string. This index is relative to the first character of the string, not relative to the specified index.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideAdjustLineBreaks Function

Standardizes linebreak characters to lineseparator characters.

Pascal

function WideAdjustLineBreaks(const S: WideString): WideString;

Description

Standardizes linebreak characters to lineseparator characters by adjusting all occurrences of CarriageReturn, LineFeed or a combination thereof into LineSeparators. The function changes all occurrences of CarriageReturn and LineFeed into a LineSeparator and turns the sequence LineFeed + CarriageReturn into two LineSeparators. Only the CarriageReturn + LineFeed sequence is unaffected.

Parameters

const S: WideString

The string for which to adjust linebreaks.

Return Value

The linebreak adjusted string. This is a true copy of the string, the source string is not affected.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


WideNormalize Function

Normalize a WideString.

Pascal

function WideNormalize(const S: WideString; Form: TNormalizationForm): WideString;

Description

Returns a normalized string.

Parameters

const S: WideString

The string to normalize.

Form: TNormalizationForm

Type of normalization to use.

Return Value

The string normalized.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


ExpandANSIString Function

Expands an ANSI string to a Widestring.

Pascal

procedure ExpandANSIString(const Source: PChar; Target: PWideChar; Count: Cardinal);

Description

Expands an ANSI string to a Widestring.

Parameters

const Source: PChar

Points to the ANSI string to be expanded

Target: PWideChar

Points to a WideString to receive the expanded string. Make sure that Target is large enough to hold the expanded ANSI string (ie. must be able to hold at least 2*Count bytes).

Count: Cardinal

Number of characters to expand.

Donator

Mike Lischke

Group

WideString routines

Unit

JclUnicode


Unit Conversions

JEDI Code Library

Topics

Angle Conversion

Coordinate Conversion

Length Conversion

Mass Conversion

Power

Pressure Conversion

Temperature Conversion

Velocity

Volume Conversion

Volume Conversion


Topics

Unit Conversions

Topics

Angle Conversion

Coordinate Conversion

Length Conversion

Mass Conversion

Power

Pressure Conversion

Temperature Conversion

Velocity

Volume Conversion

Volume Conversion


Angle Conversion

Unit Conversions

Functions

DegToGrad

Converts an angle from degrees to gradians.

DegToRad

Converts an angle from degrees to radians.

GradToDeg

Converts an angle from gradians to degrees.

GradToRad

Converts an angle from gradians to radians.

RadToDeg

Converts an angle from radians to degrees.

RadToGrad

Converts an angle from radians to gradians.

CycleToDeg

Converts an angle from cycles to degrees.

CycleToGrad

Converts an angle from cycles to gradians.

CycleToRad

Converts an angle from cycles to radians.

DegToCycle

Converts an angle from degrees to cycles.

GradToCycle

Converts an angle from gradians to cycles.

RadToCycle

Converts an angle from radians to cycles.

DmsToDeg

Converts an angle given in DMS representation to degrees.

DmsToRad

Converts an angle given in DMS representation to radians.

DegToDms

Converts an angle given in degrees to DMS representation.

DegToDmsStr

Returns a string representation of a given angle in degrees.


Angle Conversion Functions

Angle Conversion

Functions

DegToGrad

Converts an angle from degrees to gradians.

DegToRad

Converts an angle from degrees to radians.

GradToDeg

Converts an angle from gradians to degrees.

GradToRad

Converts an angle from gradians to radians.

RadToDeg

Converts an angle from radians to degrees.

RadToGrad

Converts an angle from radians to gradians.

CycleToDeg

Converts an angle from cycles to degrees.

CycleToGrad

Converts an angle from cycles to gradians.

CycleToRad

Converts an angle from cycles to radians.

DegToCycle

Converts an angle from degrees to cycles.

GradToCycle

Converts an angle from gradians to cycles.

RadToCycle

Converts an angle from radians to cycles.

DmsToDeg

Converts an angle given in DMS representation to degrees.

DmsToRad

Converts an angle given in DMS representation to radians.

DegToDms

Converts an angle given in degrees to DMS representation.

DegToDmsStr

Returns a string representation of a given angle in degrees.


DegToGrad Function

Converts an angle from degrees to gradians.

Pascal

function DegToGrad(const Degrees: Float): Float;
function DegToGrad(const Value: Extended): Extended; overload;
function DegToGrad(const Value: Double): Double; overload;
function DegToGrad(const Value: Single): Single; overload;

Description

The DegToGrad routine converts the specified angle, in degrees, to the corresponding angle in gradians.

Parameters

const Degrees: Float

The angle, in degrees, to convert to gradians.

Return Value

The angle after conversion to gradians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


DegToRad Function

Converts an angle from degrees to radians.

Pascal

function DegToRad(const Degrees: Float): Float;
function DegToRad(const Value: Extended): Extended; overload;
function DegToRad(const Value: Double): Double; overload;
function DegToRad(const Value: Single): Single; overload;

Description

The DegToRad routine converts the specified angle, in degrees, to the corresponding angle in radians.

Parameters

const Degrees: Float

The angle, in degrees, to convert to radians.

Return Value

The angle after conversion to radians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


GradToDeg Function

Converts an angle from gradians to degrees.

Pascal

function GradToDeg(const Grads: Float): Float;
function GradToDeg(const Value: Extended): Extended; overload;
function GradToDeg(const Value: Double): Double; overload;
function GradToDeg(const Value: Single): Single; overload;

Description

The GradToDeg routine converts the specified angle, in gradians, to the corresponding angle in degrees.

Parameters

const Grads: Float

The angle, in gradians, to convert to degrees.

Return Value

The angle after conversion to degrees.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


GradToRad Function

Converts an angle from gradians to radians.

Pascal

function GradToRad(const Grads: Float): Float;
function GradToRad(const Value: Extended): Extended; overload;
function GradToRad(const Value: Double): Double; overload;
function GradToRad(const Value: Single): Single; overload;

Description

The GradToRad routine converts the specified angle, in gradians, to the corresponding angle in radians.

Parameters

const Grads: Float

The angle, in gradians, to convert to radians.

Return Value

The angle after conversion to radians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


RadToDeg Function

Converts an angle from radians to degrees.

Pascal

function RadToDeg(const Radians: Float): Float;
function RadToDeg(const Value: Extended): Extended; overload;
function RadToDeg(const Value: Double): Double; overload;
function RadToDeg(const Value: Single): Single; overload;

Description

The RadToDeg routine converts the specified angle, in radians, to the corresponding angle in degrees.

Parameters

const Radians: Float

The angle, in radians, to convert to degrees.

Return Value

The angle after conversion to degrees.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


RadToGrad Function

Converts an angle from radians to gradians.

Pascal

function RadToGrad(const Radians: Float): Float;
function RadToGrad(const Value: Extended): Extended; overload;
function RadToGrad(const Value: Double): Double; overload;
function RadToGrad(const Value: Single): Single; overload;

Description

The RadToGrad routine converts the specified angle, in radians, to the corresponding angle in gradians.

Parameters

const Radians: Float

The angle, in radians, to convert to gradians.

Return Value

The angle after conversion to gradians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclMath


CycleToDeg Function

Converts an angle from cycles to degrees.

Pascal

function CycleToDeg(const Cycles: Float): Float;

Description

The CycleToDeg routine converts the specified angle, in cycles, to the corresponding angle in degrees.

Parameters

const Cycles: Float

The angle, in cycles, to convert to degrees.

Return Value

The angle after conversion to degrees.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


CycleToGrad Function

Converts an angle from cycles to gradians.

Pascal

function CycleToGrad(const Cycles: Float): Float;

Description

The CycleToGrad routine converts the specified angle, in cycles, to the corresponding angle in gradians.

Parameters

const Cycles: Float

The angle, in cycles, to convert to gradians.

Return Value

The angle after conversion to gradians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


CycleToRad Function

Converts an angle from cycles to radians.

Pascal

function CycleToRad(const Cycles: Float): Float;

Description

The CycleToRad routine converts the specified angle, in cycles, to the corresponding angle in radians.

Parameters

const Cycles: Float

The angle, in cycles, to convert to radians.

Return Value

The angle after conversion to radians.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


DegToCycle Function

Converts an angle from degrees to cycles.

Pascal

function DegToCycle(const Degrees: Float): Float;

Description

The DegToCycle routine converts the specified angle, in degrees, to the corresponding angle in cycles.

Parameters

const Degrees: Float

The angle, in degrees, to convert to cycles.

Return Value

The angle after conversion to cycles.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


GradToCycle Function

Converts an angle from gradians to cycles.

Pascal

function GradToCycle(const Grads: Float): Float;

Description

The GradToCycle routine converts the specified angle, in gradians, to the corresponding angle in cycles.

Parameters

const Grads: Float

The angle, in gradians, to convert to cycles.

Return Value

The angle after conversion to cycles.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


RadToCycle Function

Converts an angle from radians to cycles.

Pascal

function RadToCycle(const Radians: Float): Float;

Description

The RadToCycle routine converts the specified angle, in radians, to the corresponding angle in cycles.

Parameters

const Radians: Float

The angle, in radians, to convert to cycles.

Return Value

The angle after conversion to cycles.

Donator

Marcel van Brakel

Group

Angle Conversion

Unit

JclUnitConv


DmsToDeg Function

See Also

Converts an angle given in DMS representation to degrees.

Pascal

function DmsToDeg(const D: Integer; const M: Integer; const S: Float): Float;

Description

The DmsToDeg function converts an angle given in DMS (degrees, minutes, seconds) representation to degrees. This is the inverse function to DegToDms.

The M and S arguments are required to be not less than zero and not greater than 60, otherwise the function will yield an domain error exception.

Parameters

const D: Integer

Arc degrees.

const M: Integer

Arc minutes.

const S: Float

Arc seconds.

Return Value

The angle in degrees.

Donator

Robert Rossmair

Group

Angle Conversion

Unit

JclUnitConv


See Also

DegToDms, DmsToRad


DmsToRad Function

Converts an angle given in DMS representation to radians.

Pascal

function DmsToRad(const D: Integer; const M: Integer; const S: Float): Float;

Description

The DmsToRad function converts an angle given in DMS (degrees, minutes, seconds) representation to radians.

The M and S arguments are required to be not less than zero and not greater than 60, otherwise the function will yield an domain error exception.

Parameters

const D: Integer

Arc degrees.

const M: Integer

Arc minutes.

const S: Float

Arc seconds.

Return Value

The angle in radians.

Donator

Robert Rossmair

Group

Angle Conversion

Unit

JclUnitConv


DegToDms Function

See Also

Converts an angle given in degrees to DMS representation.

Pascal

procedure DegToDms(const Degrees: Float; out D: Integer; out M: Integer; out S: Float);

Description

The DegToDms routine converts an angle given in arc degrees to DMS (degrees, minutes, seconds) representation.

Note that the output of this routine is not intended to be fed to calculations (since the sign of the minute and second fractions is not preserved), but for display only.

Parameters

const Degrees: Float

The angle (in degrees) to split into integral degrees, minutes and seconds.

out D: Integer

Receives the degrees.

out M: Integer

Receives the minutes.

out S: Float

Receives the seconds.

Donator

Robert Rossmair

Group

Angle Conversion

Unit

JclUnitConv


See Also

DmsToDeg, DegToDmsStr


DegToDmsStr Function

Returns a string representation of a given angle in degrees.

Pascal

function DegToDmsStr(const Degrees: Float; const SecondPrecision: Cardinal = 3): string;

Description

The DegToDmsStr routine returns a string representation of the input angle as used e.g. in cartography.

Parameters

const Degrees: Float

The angle in degrees.

const SecondPrecision: Cardinal = 3

Specifies the number of digits after the decimal point for the arc seconds component; default is 3 decimal digits.

Return Value

A string representation composed as follows: ° ' "

Donator

Robert Rossmair

Group

Angle Conversion

Unit

JclUnitConv


Coordinate Conversion

Unit Conversions

Functions

CartesianToPolar

Converts cartesian to polar coordinates.

PolarToCartesian

Converts polar to cartesian coordinates

CartesianToCylinder

Converts cartesian to cylinder coordinates.

CartesianToSpheric

Converts cartesian to spheric coordinates.

CylinderToCartesian

Converts cylinder to cartesian coordinates.

SphericToCartesian

Converts spheric to cartesian coordinates.


Coordinate Conversion Functions

Coordinate Conversion

Functions

CartesianToPolar

Converts cartesian to polar coordinates.

PolarToCartesian

Converts polar to cartesian coordinates

CartesianToCylinder

Converts cartesian to cylinder coordinates.

CartesianToSpheric

Converts cartesian to spheric coordinates.

CylinderToCartesian

Converts cylinder to cartesian coordinates.

SphericToCartesian

Converts spheric to cartesian coordinates.


CartesianToPolar Function

See Also

Converts cartesian to polar coordinates.

Pascal

procedure CartesianToPolar(const X: Float; const Y: Float; out R: Float; out Phi: Float);

Description

CartesianToPolar converts the supplied coordinates from the cartesian (or rectangular) system to the corresponding coordinates in the polar coordinate system.

Parameters

const X: Float

X element of the coordinate in the cartesian system to convert

const Y: Float

Y element of the coordinate in the cartesian system to convert

Rho

Receives the Rho part of the converted coordinate

Theta

Receives the Theta part of the converted coordinate

Donator

ESB Consultancy

Group

Coordinate Conversion

Unit

JclUnitConv


See Also

PolarToCartesian


PolarToCartesian Function

See Also

Converts polar to cartesian coordinates

Pascal

procedure PolarToCartesian(const R: Float; const Phi: Float; out X: Float; out Y: Float);

Description

PolarToCartesion converts the supplied coordinates from the polar coordinate system to the corresponding coordinates in the cartesian (or rectangular) system.

Parameters

out X: Float

Receives the X element of the converted coordinate

out Y: Float

Receives the Y element of the converted coordinate

Rho

Rho part of the coordinate in the polar system to convert

Theta

Theta part of the coordinate in the polar system to convert

Donator

ESB Consultancy

Group

Coordinate Conversion

Unit

JclUnitConv


See Also

CartesianToPolar


CartesianToCylinder Function

Converts cartesian to cylinder coordinates.

Pascal

procedure CartesianToCylinder(const X: Float; const Y: Float; const Z: Float; out R: Float; out Phi: Float; out Zeta: Float);

Description

CartesianToCylinder converts the supplied coordinates from the cartesian coordinate system to the corresponding coordinates in the cylinder coordinate system.

Parameters

const X: Float

TODO

const Y: Float

TODO

const Z: Float

TODO

out R: Float

TODO

out Phi: Float

TODO

out Zeta: Float

TODO

Donator

Marcel van Brakel

Group

Coordinate Conversion

Unit

JclUnitConv


CartesianToSpheric Function

Converts cartesian to spheric coordinates.

Pascal

procedure CartesianToSpheric(const X: Float; const Y: Float; const Z: Float; out Rho: Float; out Phi: Float; out Theta: Float);

Description

CartesianToSpheric converts the supplied coordinates from the cartesian coordinate system to the corresponding coordinates in the spheric coordinate system.

Parameters

const X: Float

X element of the coordinate in the cartesian system to convert

const Y: Float

Y element of the coordinate in the cartesian system to convert

const Z: Float

Z element of the coordinate in the cartesian system to convert

out Rho: Float

TODO

out Phi: Float

TODO

out Theta: Float

TODO

Donator

Marcel van Brakel

Group

Coordinate Conversion

Unit

JclUnitConv


CylinderToCartesian Function

Converts cylinder to cartesian coordinates.

Pascal

procedure CylinderToCartesian(const R: Float; const Phi: Float; const Zeta: Float; out X: Float; out Y: Float; out Z: Float);

Description

CylinderToCartesian converts the supplied coordinates from the cylinder coordinate system to the corresponding coordinates in the cartesian coordinate system.

Parameters

const R: Float

TODO

const Phi: Float

TODO

const Zeta: Float

TODO

out X: Float

TODO

out Y: Float

TODO

out Z: Float

TODO

Donator

Marcel van Brakel

Group

Coordinate Conversion

Unit

JclUnitConv


SphericToCartesian Function

Converts spheric to cartesian coordinates.

Pascal

procedure SphericToCartesian(const Rho: Float; const Theta: Float; const Phi: Float; out X: Float; out Y: Float; out Z: Float);

Description

SphericToCartesian converts the supplied coordinates from the spheric coordinate system to the corresponding coordinates in the cartesian coordinate system.

Parameters

const Rho: Float

TODO

const Theta: Float

TODO

const Phi: Float

TODO

out X: Float

TODO

out Y: Float

TODO

out Z: Float

TODO

Donator

Marcel van Brakel

Group

Coordinate Conversion

Unit

JclUnitConv


Length Conversion

Unit Conversions

Functions

CmToInch

Converts a length from centimeters to inches.

InchToCm

Converts a length from inches to centimeters.

FeetToMetre

Converts a length from feet to meters.

MetreToFeet

Converts a length from meters to feet.

YardToMetre

Converts a length from yards to meters.

MetreToYard

Converts a length from meters to yards.

NmToKm

Converts a length from nautic miles to kilometers.

KmToNm

Converts a length from kilometers to nautic miles.

KmToSm

Converts a length from kilometers to statute miles.

SmToKm

Converts a length from statute miles to kilometers.


Length Conversion Functions

Length Conversion

Functions

CmToInch

Converts a length from centimeters to inches.

InchToCm

Converts a length from inches to centimeters.

FeetToMetre

Converts a length from feet to meters.

MetreToFeet

Converts a length from meters to feet.

YardToMetre

Converts a length from yards to meters.

MetreToYard

Converts a length from meters to yards.

NmToKm

Converts a length from nautic miles to kilometers.

KmToNm

Converts a length from kilometers to nautic miles.

KmToSm

Converts a length from kilometers to statute miles.

SmToKm

Converts a length from statute miles to kilometers.


CmToInch Function

Converts a length from centimeters to inches.

Pascal

function CmToInch(const Cm: Float): Float;

Description

The CmToInch routine converts the specified length, in centimeters, to the corresponding length in inches.

Parameters

const Cm: Float

The length, in centimeters, to convert to inches.

Return Value

The length after conversion to inches.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


InchToCm Function

Converts a length from inches to centimeters.

Pascal

function InchToCm(const Inch: Float): Float;

Description

The InchToCm routine converts the specified length, in inches, to the corresponding length in centimeters.

Parameters

const Inch: Float

The length, in inches, to convert to centimeters.

Return Value

The length after conversion to centimeters.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


FeetToMetre Function

Converts a length from feet to meters.

Pascal

function FeetToMetre(const Feet: Float): Float;

Description

The FeetToMetre routine converts the specified length, in feet, to the corresponding length in meters.

Parameters

const Feet: Float

The length, in feet, to convert to meters.

Return Value

The length after conversion to meters.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


MetreToFeet Function

Converts a length from meters to feet.

Pascal

function MetreToFeet(const Metre: Float): Float;

Description

The MetreToFeet routine converts the specified length, in meters, to the corresponding length in feet.

Parameters

const Metre: Float

The length, in meters, to convert to feet.

Return Value

The length after conversion to feet.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


YardToMetre Function

Converts a length from yards to meters.

Pascal

function YardToMetre(const Yard: Float): Float;

Description

The YardToMetre routine converts the specified length, in yards, to the corresponding length in meters.

Parameters

const Yard: Float

The length, in yards, to convert to meters.

Return Value

The length after conversion to meters.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


MetreToYard Function

Converts a length from meters to yards.

Pascal

function MetreToYard(const Metre: Float): Float;

Description

The MetreToYard routine converts the specified length, in meters, to the corresponding length in yards.

Parameters

const Metre: Float

The length, in meters, to convert to yards.

Return Value

The length after conversion to yards.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


NmToKm Function

Converts a length from nautic miles to kilometers.

Pascal

function NmToKm(const Nm: Float): Float;

Description

The NmToKm routine converts the specified length, in nautic miles, to the corresponding length in kilometers.

Parameters

const Nm: Float

The length, in nautic miles, to convert to kilometers.

Return Value

The length after conversion to kilometers.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


KmToNm Function

Converts a length from kilometers to nautic miles.

Pascal

function KmToNm(const Km: Float): Float;

Description

The KmToNm routine converts the specified length, in kilometers, to the corresponding length in nautic miles.

Parameters

const Km: Float

The length, in kilometers, to convert to nautic miles.

Return Value

The length after conversion to nautic miles.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


KmToSm Function

Converts a length from kilometers to statute miles.

Pascal

function KmToSm(const Km: Float): Float;

Description

The KmToSm routine converts the specified length, in kilometers, to the corresponding length in statute miles.

Parameters

const Km: Float

The length, in kilometers, to convert to statute miles.

Return Value

The length after conversion to statute miles.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


SmToKm Function

Converts a length from statute miles to kilometers.

Pascal

function SmToKm(const Sm: Float): Float;

Description

The SmToKm routine converts the specified length, in statute miles, to the corresponding length in kilometers.

Parameters

const Sm: Float

The length, in statute miles, to convert to kilometers.

Return Value

The length after conversion to kilometers.

Donator

Marcel van Brakel

Group

Length Conversion

Unit

JclUnitConv


Mass Conversion

Unit Conversions

Functions

KgToLb

Converts a mass from kilograms to pounds.

KgToKarat

Converts a mass from kilograms to karat.

LbToKg

Converts a mass from pounds to kilograms.

KgToOz

Converts a mass from kilograms to ounce.

OzToKg

Converts a mass from pounds to kilograms.

QrUsToKg

Converts a mass from quarter(US) to kilograms.

QrUkToKg

Converts a mass from quarter(UK) to kilograms.

KaratToKg

Converts a mass from karat to kilograms.

CwtUsToKg

Converts a mass from centweight to kilograms.

CwtUkToKg

Converts a mass from centweight to kilograms.

StonToKg

Converts a mass from short ton to kilograms.

LtonToKg

Converts a mass from long ton to kilograms.

KgToCwtUs

Converts a mass from kilograms to centweight.

KgToCwtUk

Converts a mass from kilograms to centweight.

KgToQrUs

Converts a mass from kilograms to quarter.

KgToQrUk

Converts a mass from kilograms to quarter.

KgToSton

Converts a mass from kilograms to short ton.

KgToLton

Converts a mass from kilograms to long ton.


Mass Conversion Functions

Mass Conversion

Functions

KgToLb

Converts a mass from kilograms to pounds.

KgToKarat

Converts a mass from kilograms to karat.

LbToKg

Converts a mass from pounds to kilograms.

KgToOz

Converts a mass from kilograms to ounce.

OzToKg

Converts a mass from pounds to kilograms.

QrUsToKg

Converts a mass from quarter(US) to kilograms.

QrUkToKg

Converts a mass from quarter(UK) to kilograms.

KaratToKg

Converts a mass from karat to kilograms.

CwtUsToKg

Converts a mass from centweight to kilograms.

CwtUkToKg

Converts a mass from centweight to kilograms.

StonToKg

Converts a mass from short ton to kilograms.

LtonToKg

Converts a mass from long ton to kilograms.

KgToCwtUs

Converts a mass from kilograms to centweight.

KgToCwtUk

Converts a mass from kilograms to centweight.

KgToQrUs

Converts a mass from kilograms to quarter.

KgToQrUk

Converts a mass from kilograms to quarter.

KgToSton

Converts a mass from kilograms to short ton.

KgToLton

Converts a mass from kilograms to long ton.


KgToLb Function

Converts a mass from kilograms to pounds.

Pascal

function KgToLb(const Kg: Float): Float;

Description

The KgToLb routine converts the specified mass, in kilograms, to the corresponding mass in pounds.

Parameters

const Kg: Float

The mass, in kilograms, to convert to pounds.

Return Value

The mass after conversion to pounds.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToKarat Function

Converts a mass from kilograms to karat.

Pascal

function KgToKarat(const Kg: Float): Float;

Description

The KgToKarat routine converts the specified mass, in kilograms, to the corresponding mass in karat.

Parameters

const Kg: Float

The mass, in kilograms, to convert to karat.

Return Value

The mass after conversion to karat.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


LbToKg Function

Converts a mass from pounds to kilograms.

Pascal

function LbToKg(const Lb: Float): Float;

Description

The LbToKg routine converts the specified mass, in pounds, to the corresponding mass in kilograms.

Parameters

Kg

The mass, in pounds, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToOz Function

Converts a mass from kilograms to ounce.

Pascal

function KgToOz(const Kg: Float): Float;

Description

The KgToOz routine converts the specified mass, in kilograms, to the corresponding mass in ounces.

Parameters

const Kg: Float

The mass, in kilograms, to convert to ounces.

Return Value

The mass after conversion to ounces.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


OzToKg Function

Converts a mass from pounds to kilograms.

Pascal

function OzToKg(const Oz: Float): Float;

Description

The OzToKg routine converts the specified mass, in ounces, to the corresponding mass in kilograms.

Parameters

Kg

The mass, in ounces, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


QrUsToKg Function

Converts a mass from quarter(US) to kilograms.

Pascal

function QrUsToKg(const Qr: Float): Float;

Description

The QrUsToKg routine converts the specified mass, in quarters, to the corresponding mass in kilograms.

Parameters

nQr

The mass, in quarters, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


QrUkToKg Function

Converts a mass from quarter(UK) to kilograms.

Pascal

function QrUkToKg(const Qr: Float): Float;

Description

The QrUkToKg routine converts the specified mass, in quarters, to the corresponding mass in kilograms.

Parameters

nQr

The mass, in quarters, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KaratToKg Function

Converts a mass from karat to kilograms.

Pascal

function KaratToKg(const Karat: Float): Float;

Description

The KaratToKg routine converts the specified mass, in karat, to the corresponding mass in kilograms.

Parameters

nQr

The mass, in karat, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


CwtUsToKg Function

Converts a mass from centweight to kilograms.

Pascal

function CwtUsToKg(const Cwt: Float): Float;

Description

The CwtUsToKg routine converts the specified mass, in centweight, to the corresponding mass in kilograms.

Parameters

nCwt

The mass, in centweight, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


CwtUkToKg Function

Converts a mass from centweight to kilograms.

Pascal

function CwtUkToKg(const Cwt: Float): Float;

Description

The CwtUkToKg routine converts the specified mass, in centweight, to the corresponding mass in kilograms.

Parameters

nCwt

The mass, in centweight, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


StonToKg Function

Converts a mass from short ton to kilograms.

Pascal

function StonToKg(const STon: Float): Float;

Description

The StonToKg routine converts the specified mass, in short ton, to the corresponding mass in kilograms.

Parameters

nSTon

The mass, in short ton, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


LtonToKg Function

Converts a mass from long ton to kilograms.

Pascal

function LtonToKg(const Lton: Float): Float;

Description

The LtonToKg routine converts the specified mass, in long ton, to the corresponding mass in kilograms.

Parameters

nLTon

The mass, in long ton, to convert to kilograms.

Return Value

The mass after conversion to kilograms.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToCwtUs Function

Converts a mass from kilograms to centweight.

Pascal

function KgToCwtUs(const Kg: Float): Float;

Description

The KgToCwtUs routine converts the specified mass, in kilograms, to the corresponding mass in centweight.

Parameters

const Kg: Float

The mass, in kilograms, to convert to centweight.

Return Value

The mass after conversion to centweight.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToCwtUk Function

Converts a mass from kilograms to centweight.

Pascal

function KgToCwtUk(const Kg: Float): Float;

Description

The KgToCwtUk routine converts the specified mass, in kilograms, to the corresponding mass in centweight.

Parameters

const Kg: Float

The mass, in kilograms, to convert to centweight.

Return Value

The mass after conversion to centweight.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToQrUs Function

Converts a mass from kilograms to quarter.

Pascal

function KgToQrUs(const Kg: Float): Float;

Description

The KgToQrUs routine converts the specified mass, in kilograms, to the corresponding mass in quarter.

Parameters

const Kg: Float

The mass, in kilograms, to convert to quarter.

Return Value

The mass after conversion to quarter.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToQrUk Function

Converts a mass from kilograms to quarter.

Pascal

function KgToQrUk(const Kg: Float): Float;

Description

The KgToQrUk routine converts the specified mass, in kilograms, to the corresponding mass in quarter.

Parameters

const Kg: Float

The mass, in kilograms, to convert to quarter.

Return Value

The mass after conversion to quarter.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToSton Function

Converts a mass from kilograms to short ton.

Pascal

function KgToSton(const Kg: Float): Float;

Description

The KgToSton routine converts the specified mass, in kilograms, to the corresponding mass in short ton.

Parameters

const Kg: Float

The mass, in kilograms, to convert to short ton.

Return Value

The mass after conversion to short ton.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


KgToLton Function

Converts a mass from kilograms to long ton.

Pascal

function KgToLton(const Kg: Float): Float;

Description

The KgToLton routine converts the specified mass, in kilograms, to the corresponding mass in long ton.

Parameters

const Kg: Float

The mass, in kilograms, to convert to long ton.

Return Value

The mass after conversion to long ton.

Donator

Marcel van Brakel

Group

Mass Conversion

Unit

JclUnitConv


Power

Unit Conversions

Functions

HpElectricToWatt

Converts a power from horsepower to Watt.

HpMetricToWatt

Converts a power from metric horsepower to Watt.

WattToHpElectric

Converts a power from Watt to horsepower.

WattToHpMetric

Converts a power from Watt to metric horsepower.


Power Functions

Power

Functions

HpElectricToWatt

Converts a power from horsepower to Watt.

HpMetricToWatt

Converts a power from metric horsepower to Watt.

WattToHpElectric

Converts a power from Watt to horsepower.

WattToHpMetric

Converts a power from Watt to metric horsepower.


HpElectricToWatt Function

Converts a power from horsepower to Watt.

Pascal

function HpElectricToWatt(const HpE: Float): Float;

Description

The HpElectricToWatt routine converts the specified power, in horsepower, to the corresponding power in Watt.

Parameters

const HpE: Float

The power, in horsepower, to convert to Watt.

Return Value

The power after conversion to Watt.

Donator

Manlio Laschena

Group

Power

Unit

JclUnitConv


HpMetricToWatt Function

Converts a power from metric horsepower to Watt.

Pascal

function HpMetricToWatt(const HpM: Float): Float;

Description

The HpMetricToWatt routine converts the specified power, in metric horsepower, to the corresponding power in Watt.

Parameters

const HpM: Float

The power, in metric horsepower, to convert to Watt.

Return Value

The power after conversion to Watt.

Donator

Manlio Laschena

Group

Power

Unit

JclUnitConv


WattToHpElectric Function

Converts a power from Watt to horsepower.

Pascal

function WattToHpElectric(const W: Float): Float;

Description

The WattToHpElectric routine converts the specified power, in Watt, to the corresponding power in horsepower.

Parameters

const W: Float

The power, in Watt, to convert to horsepower.

Return Value

The power after conversion to horsepower.

Donator

Manlio Laschena

Group

Power

Unit

JclUnitConv


WattToHpMetric Function

Converts a power from Watt to metric horsepower.

Pascal

function WattToHpMetric(const W: Float): Float;

Description

The WattToHpMetric routine converts the specified power, in Watt, to the corresponding power in metric horsepower.

Parameters

const W: Float

The power, in Watt, to convert to metric horsepower.

Return Value

The power after conversion to metric horsepower.

Donator

Manlio Laschena

Group

Power

Unit

JclUnitConv


Pressure Conversion

Unit Conversions

Functions

PascalToBar

Converts a pressure from Pascal to bar.

PascalToAt

Converts a pressure from Pascal to at.

PascalToTorr

Converts a pressure from Pascal to torr.

BarToPascal

Converts a pressure from bar to Pascal.

AtToPascal

Converts a pressure from at to Pascal.

TorrToPascal

Converts a pressure from torr to Pascal.


Pressure Conversion Functions

Pressure Conversion

Functions

PascalToBar

Converts a pressure from Pascal to bar.

PascalToAt

Converts a pressure from Pascal to at.

PascalToTorr

Converts a pressure from Pascal to torr.

BarToPascal

Converts a pressure from bar to Pascal.

AtToPascal

Converts a pressure from at to Pascal.

TorrToPascal

Converts a pressure from torr to Pascal.


PascalToBar Function

Converts a pressure from Pascal to bar.

Pascal

function PascalToBar(const Pa: Float): Float;

Description

The PascalToBar routine converts the specified pressure, in Pascal, to the corresponding pressure in bar.

Parameters

const Pa: Float

The pressure, in Pascal, to convert to bar.

Return Value

The pressure after conversion to bar.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


PascalToAt Function

Converts a pressure from Pascal to at.

Pascal

function PascalToAt(const Pa: Float): Float;

Description

The PascalToAt routine converts the specified pressure, in Pascal, to the corresponding pressure in at.

Parameters

const Pa: Float

The pressure, in Pascal, to convert to at.

Return Value

The pressure after conversion to at.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


PascalToTorr Function

Converts a pressure from Pascal to torr.

Pascal

function PascalToTorr(const Pa: Float): Float;

Description

The PascalToTorr routine converts the specified pressure, in Pascal, to the corresponding pressure in torr.

Parameters

const Pa: Float

The pressure, in Pascal, to convert to torr.

Return Value

The pressure after conversion to torr.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


BarToPascal Function

Converts a pressure from bar to Pascal.

Pascal

function BarToPascal(const Bar: Float): Float;

Description

The BarToPascal routine converts the specified pressure, in bar, to the corresponding pressure in Pascal.

Parameters

const Bar: Float

The pressure, in bar, to convert to Pascal.

Return Value

The pressure after conversion to Pascal.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


AtToPascal Function

Converts a pressure from at to Pascal.

Pascal

function AtToPascal(const At: Float): Float;

Description

The AtToPascal routine converts the specified pressure, in at, to the corresponding pressure in Pascal.

Parameters

const At: Float

The pressure, in at, to convert to Pascal.

Return Value

The pressure after conversion to Pascal.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


TorrToPascal Function

Converts a pressure from torr to Pascal.

Pascal

function TorrToPascal(const Torr: Float): Float;

Description

The TorrToPascal routine converts the specified pressure, in torr, to the corresponding pressure in Pascal.

Parameters

const Torr: Float

The pressure, in torr, to convert to Pascal.

Return Value

The pressure after conversion to Pascal.

Donator

Matthias Thoma

Group

Pressure Conversion

Unit

JclUnitConv


Temperature Conversion

Unit Conversions

Functions

CelsiusToKelvin

Converts a temperature from celsius to kelvin.

CelsiusToFahrenheit

Converts a temperature from Celsius to Fahrenheit.

KelvinToCelsius

Converts a temperature from Kelvin to Celsius.

KelvinToFahrenheit

Converts a temperature from Kelvin to Fahrenheit.

FahrenheitToCelsius

Converts a temperature from Fahrenheit to Celsius.

FahrenheitToKelvin

Converts a temperature from Fahrenheit to Kelvin.


Temperature Conversion Functions

Temperature Conversion

Functions

CelsiusToKelvin

Converts a temperature from celsius to kelvin.

CelsiusToFahrenheit

Converts a temperature from Celsius to Fahrenheit.

KelvinToCelsius

Converts a temperature from Kelvin to Celsius.

KelvinToFahrenheit

Converts a temperature from Kelvin to Fahrenheit.

FahrenheitToCelsius

Converts a temperature from Fahrenheit to Celsius.

FahrenheitToKelvin

Converts a temperature from Fahrenheit to Kelvin.


CelsiusToKelvin Function

Converts a temperature from celsius to kelvin.

Pascal

function CelsiusToKelvin(const Temperature: Float): Float;

Description

The CelsiusToKelvin routine converts the specified temperature from degrees Celsius to degrees Kelvin.

Parameters

T

The temperature, in Celsius, to convert to Kelvin.

Return Value

The temperature after conversion to degrees Kelvin.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


CelsiusToFahrenheit Function

Converts a temperature from Celsius to Fahrenheit.

Pascal

function CelsiusToFahrenheit(const Temperature: Float): Float;

Description

The CelsiusToFahrenheit routine converts the specified temperature from degrees Celsius to degrees Fahrenheit. Have a look at the source. It has been implemented to be an example of selfdocumenting code.

Parameters

T

The temperature, in Celsius, to convert to Fahrenheit.

Return Value

The temperature after conversion to degrees Fahrenheit.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


KelvinToCelsius Function

Converts a temperature from Kelvin to Celsius.

Pascal

function KelvinToCelsius(const Temperature: Float): Float;

Description

The KelvinToCelsius routine converts the specified temperature from degrees Kelvin to degrees Celsius.

Parameters

T

The temperature, in Kelvin, to convert to Celsius.

Return Value

The temperature after conversion to degrees Celsius.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


KelvinToFahrenheit Function

Converts a temperature from Kelvin to Fahrenheit.

Pascal

function KelvinToFahrenheit(const Temperature: Float): Float;

Description

The KelvinToFahrenheit routine converts the specified temperature from degrees Kelvin to degrees Fahrenheit.

Parameters

T

The temperature, in Kelvin, to convert to Fahrenheit.

Return Value

The temperature after conversion to degrees Fahrenheit.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


FahrenheitToCelsius Function

Converts a temperature from Fahrenheit to Celsius.

Pascal

function FahrenheitToCelsius(const Temperature: Float): Float;

Description

The FahrenheitToCelsius routine converts the specified temperature from degrees Fahrenheit to degrees Celsius. Have a look at the source. It has been implemented to be an example of selfdocumenting code.

Parameters

T

The temperature, in Fahrenheit, to convert to Celsius.

Return Value

The temperature after conversion to degrees Celsius.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


FahrenheitToKelvin Function

Converts a temperature from Fahrenheit to Kelvin.

Pascal

function FahrenheitToKelvin(const Temperature: Float): Float;

Description

The FahrenheitToKelvin routine converts the specified temperature from degrees Fahrenheit to degrees Kelvin.

Parameters

T

The temperature, in Fahrenheit, to convert to Kelvin.

Return Value

The temperature after conversion to degrees Kelvin.

Donator

Marcel van Brakel

Group

Temperature Conversion

Unit

JclUnitConv


Velocity

Unit Conversions

Functions

KnotToMs

Converts a velocity from knot to meters per second.

MsToKnot

Converts a velocity from meters per second to knots.


Velocity Functions

Velocity

Functions

KnotToMs

Converts a velocity from knot to meters per second.

MsToKnot

Converts a velocity from meters per second to knots.


KnotToMs Function

Converts a velocity from knot to meters per second.

Pascal

function KnotToMs(const Knot: Float): Float;

Description

The KnotToMs routine converts the specified velocity, in knots, to the corresponding velocity in meters per second.

Parameters

const Knot: Float

The velocity, in Knot, to convert to meters per second.

Return Value

The velocity after conversion to meters per second.

Donator

Manlio Laschena

Group

Velocity

Unit

JclUnitConv


MsToKnot Function

Converts a velocity from meters per second to knots.

Pascal

function MsToKnot(const Ms: Float): Float;

Description

The MsToKnot routine converts the specified velocity, in meters per second, to the corresponding velocity in knots.

Parameters

const Ms: Float

The velocity, in meters per second, to convert to knots.

Return Value

The velocity after conversion to knots.

Donator

Manlio Laschena

Group

Velocity

Unit

JclUnitConv


Volume Conversion

Unit Conversions

Functions

LitreToGalUs

Converts a volume from litres to US Gallons.

GalUsToLitre

Converts a volume from US Gallons to Litres.

GalUsToGalCan

Converts a volume from US Gallons to Canadian Gallons.

GalCanToGalUs

Converts a volume from Canadian Gallons to US Gallons.

GalUsToGalUk

Converts a volume from US Gallons to UK Gallons.

GalUkToGalUs

Converts a volume from UK Gallons to US Gallons.

LitreToGalCan

Converts a volume from litres to Canadian Gallons.

GalCanToLitre

Converts a volume from Canadian Gallons to Litres.

LitreToGalUk

Converts a volume from litres to UK Gallons.

GalUkToLitre

Converts a volume from UK Gallons to Litres.


Volume Conversion Functions

Volume Conversion

Functions

LitreToGalUs

Converts a volume from litres to US Gallons.

GalUsToLitre

Converts a volume from US Gallons to Litres.

GalUsToGalCan

Converts a volume from US Gallons to Canadian Gallons.

GalCanToGalUs

Converts a volume from Canadian Gallons to US Gallons.

GalUsToGalUk

Converts a volume from US Gallons to UK Gallons.

GalUkToGalUs

Converts a volume from UK Gallons to US Gallons.

LitreToGalCan

Converts a volume from litres to Canadian Gallons.

GalCanToLitre

Converts a volume from Canadian Gallons to Litres.

LitreToGalUk

Converts a volume from litres to UK Gallons.

GalUkToLitre

Converts a volume from UK Gallons to Litres.


LitreToGalUs Function

Converts a volume from litres to US Gallons.

Pascal

function LitreToGalUs(const Litre: Float): Float;

Description

The LitreToGalUs routine converts the specified volume, in litres, to the corresponding volume in US Gallons.

Parameters

const Litre: Float

The volume, in litres, to convert to US Gallons.

Return Value

The volume after conversion to US Gallons.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


GalUsToLitre Function

Converts a volume from US Gallons to Litres.

Pascal

function GalUsToLitre(const GalUs: Float): Float;

Description

The GalUsToLitre routine converts the specified volume, in US Gallons, to the corresponding volume in Litres.

Parameters

const GalUs: Float

The volume, in US Gallons, to convert to Litres.

Return Value

The volume after conversion to Litres.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


GalUsToGalCan Function

Converts a volume from US Gallons to Canadian Gallons.

Pascal

function GalUsToGalCan(const GalUs: Float): Float;

Description

The GalUsToGalCan routine converts the specified volume, in US Gallons, to the corresponding volume in Canadian Gallons.

Parameters

const GalUs: Float

The volume, in US Gallons, to convert to Canadian Gallons.

Return Value

The volume after conversion to Canadian Gallons.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


GalCanToGalUs Function

Converts a volume from Canadian Gallons to US Gallons.

Pascal

function GalCanToGalUs(const GalCan: Float): Float;

Description

The GalCanToGalUs routine converts the specified volume, in Canadian Gallons, to the corresponding volume in US Gallons.

Parameters

const GalCan: Float

The volume, in Canadian Gallons, to convert to US Gallons.

Return Value

The volume after conversion to US Gallons.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


GalUsToGalUk Function

Converts a volume from US Gallons to UK Gallons.

Pascal

function GalUsToGalUk(const GalUs: Float): Float;

Description

The GalUsToGalUk routine converts the specified volume, in US Gallons, to the corresponding volume in UK Gallons.

Parameters

const GalUs: Float

The volume, in US Gallons, to convert to UK Gallons.

Return Value

The volume after conversion to UK Gallons.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


GalUkToGalUs Function

Converts a volume from UK Gallons to US Gallons.

Pascal

function GalUkToGalUs(const GalUk: Float): Float;

Description

The GalUkToGalUs routine converts the specified volume, in UK Gallons, to the corresponding volume in US Gallons.

Parameters

const GalUk: Float

The volume, in UK Gallons, to convert to US Gallons.

Return Value

The volume after conversion to US Gallons.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


LitreToGalCan Function

Converts a volume from litres to Canadian Gallons.

Pascal

function LitreToGalCan(const Litre: Float): Float;

Description

The LitreToGalCan routine converts the specified volume, in litres, to the corresponding volume in Canadian Gallons.

Parameters

const Litre: Float

The volume, in litres, to convert to Canadian Gallons.

Return Value

The volume after conversion to Canadian Gallons.

Donator

Allan Lyons

Group

Volume Conversion

Unit

JclUnitConv


GalCanToLitre Function

Converts a volume from Canadian Gallons to Litres.

Pascal

function GalCanToLitre(const GalCan: Float): Float;

Description

The GalCanToLitre routine converts the specified volume, in Canadian Gallons, to the corresponding volume in Litres.

Parameters

const GalCan: Float

The volume, in Canadian Gallons, to convert to Litres.

Return Value

The volume after conversion to Litres.

Donator

Allan Lyons

Group

Volume Conversion

Unit

JclUnitConv


LitreToGalUk Function

Converts a volume from litres to UK Gallons.

Pascal

function LitreToGalUk(const Litre: Float): Float;

Description

The LitreToGalUk routine converts the specified volume, in litres, to the corresponding volume in UK Gallons.

Parameters

const Litre: Float

The volume, in litres, to convert to UK Gallons.

Return Value

The volume after conversion to UK Gallons.

Donator

Allan Lyons

Group

Volume Conversion

Unit

JclUnitConv


GalUkToLitre Function

Converts a volume from UK Gallons to Litres.

Pascal

function GalUkToLitre(const GalUk: Float): Float;

Description

The GalUkToLitre routine converts the specified volume, in UK Gallons, to the corresponding volume in Litres.

Parameters

GalUs

The volume, in UK Gallons, to convert to Litres.

Return Value

The volume after conversion to Litres.

Donator

Allan Lyons

Group

Volume Conversion

Unit

JclUnitConv


Volume Conversion

Unit Conversions

Functions

MakePercentage

Hehe, no way...


Volume Conversion Functions

Volume Conversion

Functions

MakePercentage

Hehe, no way...


MakePercentage Function

Hehe, no way...

Pascal

function MakePercentage(const Step: Longint; const Max: Longint): Longint;

Description

I dare not describe this function's purpose. See the Notes section below. As a tribute to that wonderful article this function has been designated the alias HowAOneLinerCanBiteYou. You are encouraged to use that alias in your applications as opposed to the much more readable and self-explanatory name MakePercentage :-)

Parameters

const Step: Longint

Sorry, no can do.

const Max: Longint

No idea, but I do know that passing 0 will trigger an assertion if you have assertions enabled or a runtime error (EDivByZero) if not.

Return Value

All I have to say about this is that it is very well possible that the result may be larger than 100 and that the sign of the arguments is preserved so it is possible that the result is negative.

Notes

For a very educational dissection of this function have a look at the article written by Robert Marquardt entitled " Lessons in good programming or how a one liner can bite you" available at the Voyager section on the JEDI website.

Donator

Marcel van Brakel

Group

Volume Conversion

Unit

JclUnitConv


Windows

JEDI Code Library

Topics

Win32 API

Component Object Model

LAN Manager

Security

Shell

Windows NT Service control


Topics

Windows

Topics

Win32 API

Component Object Model

LAN Manager

Security

Shell

Windows NT Service control


Win32 API

Legend

Windows

Records

 _FILE_ALLOCATED_RANGE_BUFFER

The FILE_ALLOCATED_RANGE_BUFFER structure is used to indicate a range of bytes in a file.

 _DLLVERSIONINFO

Receives dynamic-link library (DLL)-specific version information.

Legend

Record


Win32 API Records

Win32 API	Legend

Records

 _FILE_ALLOCATED_RANGE_BUFFER

The FILE_ALLOCATED_RANGE_BUFFER structure is used to indicate a range of bytes in a file.

 _DLLVERSIONINFO

Receives dynamic-link library (DLL)-specific version information.


Legend

Record


Legend

Win32 API

Legend

Record


_FILE_ALLOCATED_RANGE_BUFFER Record

The FILE_ALLOCATED_RANGE_BUFFER structure is used to indicate a range of bytes in a file.

Pascal

_FILE_ALLOCATED_RANGE_BUFFER = record
  FileOffset: LARGE_INTEGER;
  Length: LARGE_INTEGER;
end;

Description

The FILE_ALLOCATED_RANGE_BUFFER structure is used with the FSCTL_QUERY_ALLOCATED_RANGES control code to indicate a range of bytes in a file. On input to the FSCTL_QUERY_ALLOCATED_RANGES control code, the structure indicates the range of the file to search. On output, the operation retrieves an array of FILE_ALLOCATED_RANGE_BUFFER structures to indicate the allocated ranges within the search range.

Length: LARGE_INTEGER;

Size in bytes of the range

Donator

Marcel van Brakel

Group

Win32 API

Unit

JclWin32


_DLLVERSIONINFO Record

See Also

Receives dynamic-link library (DLL)-specific version information.

Pascal

_DLLVERSIONINFO = packed record
  cbSize: DWORD;
  dwMajorVersion: DWORD;
  dwMinorVersion: DWORD;
  dwBuildNumber: DWORD;
end;
TDllVersionInfo = _DLLVERSIONINFO;
DLLVERSIONINFO = _DLLVERSIONINFO;

Description

This record is used by SHDllGetVersion to return version information about a specified DLL.

cbSize: DWORD;

Set to the size of this record. Initialize is done by SHDllGetVersion.

dwMajorVersion: DWORD;

Major version of the DLL

dwMinorVersion: DWORD;

Minor version of the DLL

dwBuildNumber: DWORD;

Build number of the DLL

Donator

Marcel van Brakel

Group

Win32 API

Unit

JclWin32


See Also

SHDllGetVersion


Component Object Model

Windows

Topics

Version Utilities


Topics

Component Object Model

Topics

Version Utilities


Version Utilities

Component Object Model

Functions

IsDCOMInstalled

Returns whether DCOM is installed.

IsDCOMEnabled

Returns whether DCOM is enabled.

GetDCOMVersion

Returns the version of DCOM installed.

GetMDACVersion

Returns the version of MDAC (Microsoft Data Access) installed.


Version Utilities Functions

Version Utilities

Functions

IsDCOMInstalled

Returns whether DCOM is installed.

IsDCOMEnabled

Returns whether DCOM is enabled.

GetDCOMVersion

Returns the version of DCOM installed.

GetMDACVersion

Returns the version of MDAC (Microsoft Data Access) installed.


IsDCOMInstalled Function

See Also

Returns whether DCOM is installed.

Pascal

function IsDCOMInstalled: Boolean;

Description

IsDCOMInstalled returns whether DCOM is installed on the target computer. This routine works on all versions of Windows but since DCOM is installed by default on all operating systems except Windows 95 (in it's various incarnations) the routine only performs an actual test on Windows 95. Note that DCOM being installed does not necessarily mean it's all enabled. To determine that use the IsDCOMEnabled routine.

Return Value

If DCOM is installed the routine returns True, otherwise it returns False.

Donator

Kevin S. Gallagher

Group

Version Utilities

Unit

JclCOM


See Also

IsDCOMEnabled GetDCOMVersion


IsDCOMEnabled Function

See Also

Returns whether DCOM is enabled.

Pascal

function IsDCOMEnabled: Boolean;

Description

IsDCOMEnabled returns whether or not DCOM is enabled on the target machine. Note that enabled and installed are two different things. To test whether DCOM is installed use the IsDCOMInstalled routine.

Return Value

If DCOM is installed the routine returns True, otherwise it returns False.

Donator

Kevin S. Gallagher

Group

Version Utilities

Unit

JclCOM


See Also

IsDCOMInstalled


GetDCOMVersion Function

See Also

Returns the version of DCOM installed.

Pascal

function GetDCOMVersion: string;

Description

GetDCOMVersion returns the version of DCOM installed on the target computer. To determine the actual version from the result use the table as provided on the Microsoft website http://support.microsoft.com/support/kb/articles/Q235/6/38.ASP.

Return Value

Returns the DCOM version in the form a.b.c.d.

Donator

Kevin S. Gallagher

Group

Version Utilities

Unit

JclCOM


See Also

IsDCOMEnabled IsDCOMInstalled


GetMDACVersion Function

Returns the version of MDAC (Microsoft Data Access) installed.

Pascal

function GetMDACVersion: string;

Description

GetMDACVersion returns the version of MDAC (Microsoft Data Access) installed on the target system.

Return Value

The MDAC version in the form a.b.c.d

Donator

Kevin S. Gallagher

Group

Version Utilities

Unit

JclCOM


LAN Manager

Windows

Topics

Auxilliary functions

Group Management

User Management


Topics

LAN Manager

Topics

Auxilliary functions

Group Management

User Management


Auxilliary functions

LAN Manager

Functions

ParseAccountName

Split up a qualified account name.

IsLocalAccount

Checks whether an accoun is a local account.


Auxilliary functions Functions

Auxilliary functions

Functions

ParseAccountName

Split up a qualified account name.

IsLocalAccount

Checks whether an accoun is a local account.


ParseAccountName Function

Split up a qualified account name.

Pascal

procedure ParseAccountName(const QualifiedName: string; var Domain: string; var UserName: string);

Description

ParseAccountName splits up a qualified account name (like DOMAIN-JEDIPeterF) into it's two parts domain and user name.

Parameters

const QualifiedName: string

The qualified name to split up.

var Domain: string

Returns the name of the domain specified in the qualified name.

var UserName: string

Returns the name of the user specified in the qualified name.

Notes

If the parameter QualifiedName does not contain a fully qualified account name, the function will assume that the QualifiedName is the user's name.

Donator

Peter Friese

Group

Auxilliary functions

Unit

JclLANMan


IsLocalAccount Function

Checks whether an accoun is a local account.

Pascal

function IsLocalAccount(const AccountName: string): Boolean;

Description

IsLocalAccount whether the account name specified in AccountName is a local account.

Parameters

const AccountName: string

The name of the account to be checked.

Return Value

If the account is a local account, the functin returns True, otherwise it returns False.

Donator

Peter Friese

Group

Auxilliary functions

Unit

JclLANMan


Group Management

Legend

LAN Manager

Enumerations

 TNetWellKnownRID

Well-known group accounts.

Functions

CreateLocalGroup

Creates a local group on a Windows NT machine.

CreateGlobalGroup

Creates a global group on a Windows NT machine.

DeleteLocalGroup

Deletes a local group from a Windows NT machine.

GetLocalGroups

Retrieves a list of local groups on a Windows NT machine.

GetGlobalGroups

Retrieves a list of global groups on a Windows NT machine.

LocalGroupExists

Checks whether a given group exists in the local account database.

GlobalGroupExists

Checks whether a given group exists in the local account database of the given server.

AddAccountToLocalGroup

Adds an account to a local group.

LookupGroupName

Returns the textual representation of a well-know account.

Legend

Enumeration


Group Management Functions

Group Management

Functions

CreateLocalGroup

Creates a local group on a Windows NT machine.

CreateGlobalGroup

Creates a global group on a Windows NT machine.

DeleteLocalGroup

Deletes a local group from a Windows NT machine.

GetLocalGroups

Retrieves a list of local groups on a Windows NT machine.

GetGlobalGroups

Retrieves a list of global groups on a Windows NT machine.

LocalGroupExists

Checks whether a given group exists in the local account database.

GlobalGroupExists

Checks whether a given group exists in the local account database of the given server.

AddAccountToLocalGroup

Adds an account to a local group.

LookupGroupName

Returns the textual representation of a well-know account.


Group Management Enumerations

Group Management	Legend

Enumerations

 TNetWellKnownRID

Well-known group accounts.


Legend

Enumeration


Legend

Group Management

Legend

Enumeration


CreateLocalGroup Function

See Also

Creates a local group on a Windows NT machine.

Pascal

function CreateLocalGroup(const Server: string; const Groupname: string; const Description: string): Boolean;

Description

CreateLocalGroup creates a local group in the acount database on the Windows NT machine specified by Server.

A description for the group.

Parameters

const Server: string

The name of the machine to create the group account on.

const Groupname: string

The name of the group to be created.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

CreateGlobalGroup DeleteLocalGroup


CreateGlobalGroup Function

See Also

Creates a global group on a Windows NT machine.

Pascal

function CreateGlobalGroup(const Server: string; const Groupname: string; const Description: string): Boolean;

Description

CreateGlobalGroup creates a global group in the acount database on the Windows NT machine specified by Server.

A description for the group.

Parameters

const Server: string

The name of the machine to create the group account on.

const Groupname: string

The name of the group to be created.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

CreateLocalGroup DeleteLocalGroup


DeleteLocalGroup Function

See Also

Deletes a local group from a Windows NT machine.

Pascal

function DeleteLocalGroup(const Server: string; const Groupname: string): Boolean;

Description

DeleteLocalGroup deletes a local group from the acount database on the Windows NT machine specified by Server.

Parameters

const Server: string

The name of the machine to delete the group account from.

const Groupname: string

The name of the group to be deleted.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

CreateLocalGroup CreateGlobalGroup


GetLocalGroups Function

See Also

Retrieves a list of local groups on a Windows NT machine.

Pascal

function GetLocalGroups(const Server: string; const Groups: TStrings): Boolean;

Description

GetLocalGroups retrieves a list of local groups from the account database specified by Server.

Parameters

const Server: string

The name of the machine retrieve the list of groups from.

const Groups: TStrings

This string list will contain the group names.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

GetGlobalGroups


GetGlobalGroups Function

See Also

Retrieves a list of global groups on a Windows NT machine.

Pascal

function GetGlobalGroups(const Server: string; const Groups: TStrings): Boolean;

Description

GetLocalGroups retrieves a list of global groups from the account database specified by Server.

Parameters

const Server: string

The name of the machine to retrieve the list of groups from.

const Groups: TStrings

This string list will contain the group names.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

GetLocalGroups


LocalGroupExists Function

See Also

Checks whether a given group exists in the local account database.

Pascal

function LocalGroupExists(const Group: string): Boolean;

Description

LocalGroupExists checks whether the group specified in the parameter Group exists in the local account database.

Parameters

const Group: string

The name of the account to check for.

Return Value

If the account exists, the function returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

GlobalGroupExists


GlobalGroupExists Function

See Also

Checks whether a given group exists in the local account database of the given server.

Pascal

function GlobalGroupExists(const Server: string; const Group: string): Boolean;

Description

GlobalGroupExists checks whether the group specified in the parameter Group exists in the local account database of the server specified in the parameter Server.

Parameters

const Server: string

The name of the server to check.

const Group: string

The name of the account to check for.

Return Value

If the account exists, the function returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

LocalGroupExists


AddAccountToLocalGroup Function

Adds an account to a local group.

Pascal

function AddAccountToLocalGroup(const Accountname: string; const Groupname: string): Boolean;

Description

AddAccountToLocalGroup adds an existing account to a local group in the local account database. The account can be a local or global account.

Parameters

const Accountname: string

The name of the account to add to the local group. This can be a global or local account.

const Groupname: string

The name of the group the account is added to.

Return Value

If the function succeeds, the result is True, otherwise it is False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


LookupGroupName Function

See Also

Returns the textual representation of a well-know account.

Pascal

function LookupGroupName(const Server: string; const RID: TNetWellKnownRID): string;

Description

LookupGroupName returns the textual description of a well-known group account.

Parameters

const Server: string

This server's account database will be scanned.

const RID: TNetWellKnownRID

A well known group name.

Return Value

Textual represantation of the well known group name.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


See Also

TNetWellKnownRID


TNetWellKnownRID Enumeration

Well-known group accounts.

Pascal

TNetWellKnownRID = (
  wkrAdmins,
  wkrUsers,
  wkrGuests,
  wkrPowerUsers,
  wkrBackupOPs,
  wkrReplicator,
  wkrEveryone
);

Description

TNetWellKnownRID is an enumeration of well-known group accounts on Windows NT and Windows 2000 machines. It is used in conjunction with LookupGroupName.

wkrAdmins

The administrators' group.

wkrUsers

The users' group.

wkrGuests

The guests' group.

wkrPowerUsers

The power users' group.

wkrBackupOPs

The backup operators' group.

wkrReplicator

The replicators' group.

wkrEveryone

All users belong to the everyone group.

Donator

Peter Friese

Group

Group Management

Unit

JclLANMan


User Management

LAN Manager

Functions

CreateAccount

Creates a new user account on a Windows NT machine.

CreateLocalAccount

Creates a new user account on a local Windows NT machine.

DeleteAccount

Deletes a user account from the given Windows NT machine.

DeleteLocalAccount

Deletes a user account from the local Windows NT machine.


User Management Functions

User Management

Functions

CreateAccount

Creates a new user account on a Windows NT machine.

CreateLocalAccount

Creates a new user account on a local Windows NT machine.

DeleteAccount

Deletes a user account from the given Windows NT machine.

DeleteLocalAccount

Deletes a user account from the local Windows NT machine.


CreateAccount Function

See Also

Creates a new user account on a Windows NT machine.

Pascal

function CreateAccount(const Server: string; const Username: string; const Fullname: string; const Password: string; const Description: string; const Homedir: string; const Script: string; const PasswordNeverExpires: Boolean = True): Boolean;

Description

CreateAccount creates a new user account on a Windows NT machine using the LAN Manager API. Thus, you cannot create user accounts on Windows 9x or Windows Me machines.

A comment to be associated with this user account. This parameter can be empty. Homedir - The user's home directory. This parameter can be empty. Script - Path to the user's logon script (which can be a .CMD, .EXE or .BAT file). This parameter can be empty.

Parameters

const Server: string

The name of the server to create the user account on. If this parameter is the empty string, the account will be created on the local machine.

const Username: string

Specifies the name of the user account.

const Fullname: string

The full name of the user.

const Password: string

The password for the user account.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

User Management

Unit

JclLANMan


See Also

CreateLocalAccount


CreateLocalAccount Function

See Also

Creates a new user account on a local Windows NT machine.

Pascal

function CreateLocalAccount(const Username: string; const Fullname: string; const Password: string; const Description: string; const Homedir: string; const Script: string; const PasswordNeverExpires: Boolean = True): Boolean;

Description

CreateAccount creates a new user account on the local Windows NT machine using the LAN Manager API. Thus, you cannot create user accounts on Windows 9x or Windows Me machines.

A comment to be associated with this user account. This parameter can be empty. Homedir - The user's home directory. This parameter can be empty. Script - Path to the user's logon script (which can be a .CMD, .EXE or .BAT file). This parameter can be empty.

Parameters

const Username: string

Specifies the name of the user account.

const Fullname: string

The full name of the user.

const Password: string

The password for the user account.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException.

Donator

Peter Friese

Group

User Management

Unit

JclLANMan


See Also

CreateAccount


DeleteAccount Function

See Also

Deletes a user account from the given Windows NT machine.

Pascal

function DeleteAccount(const Servername: string; const Username: string): Boolean;

Description

DeleteAccount permanently removes the given user account from the account database on the Windows NT machine specified by Servername.

Parameters

const Servername: string

The name of the Windows NT machine to delete the account from. If this parameter is empty, the account will be deleted from the local machine.

const Username: string

Specifies the name of the user account.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException. If you want to delete a user account from the domain account database, you should keep in mind to supply the name of the primary domain controller (PDC) in the parameter Servername. If the user name is not found in the user account database specified, it will fail.

Donator

Peter Friese

Group

User Management

Unit

JclLANMan


See Also

DeleteLocalAccount CreateLocalAccount CreateAccount


DeleteLocalAccount Function

See Also

Deletes a user account from the local Windows NT machine.

Pascal

function DeleteLocalAccount(Username: string): Boolean;

Description

DeleteAccount permanently removes the given user account from the local account database on a Windows NT machine.

Parameters

Username: string

Specifies the name of the user account.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

If the function returns False, the user can retrieve extended error information by calling RaiseLastOSException. If you want to delete a user account from the domain account database, you should keep in mind to supply the name of the primary domain controller (PDC) in the parameter Servername. If the user name is not found in the user account database specified, it will fail.

Donator

Peter Friese

Group

User Management

Unit

JclLANMan


See Also

DeleteAccount CreateLocalAccount CreateAccount


Security

Windows

Topics

Access Control

Account Information

Privileges


Topics

Security

Topics

Access Control

Account Information

Privileges


Access Control

Security

Functions

AllowRegKeyForEveryone

Allows full access to everyone for a registry key.

CreateNullDacl

Initializes a security attributes structure for NULL access and optional inheritability.

CreateInheritable

Initializes a security attributes structure for inheritable object creation.


Access Control Functions

Access Control

Functions

AllowRegKeyForEveryone

Allows full access to everyone for a registry key.

CreateNullDacl

Initializes a security attributes structure for NULL access and optional inheritability.

CreateInheritable

Initializes a security attributes structure for inheritable object creation.


AllowRegKeyForEveryone Function

Allows full access to everyone for a registry key.

Pascal

function AllowRegKeyForEveryone(const RootKey: DelphiHKEY; Path: string): Boolean;

Description

AllowRegKeyForEveryone sets the dacl of the specified registry key to NULL thereby granting full access to everyone. Be careful with this one because you can do real damage on the registry!

Parameters

Path: string

Path of the registry key for which to set full access to everyone.

Key

The rootkey of the specified path. Can be one of the HKEY_XXX constants.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Notes

Under Windows 95/98/Millenium Edition, this function does nothing; in addition, it always returns True.

Donator

John C Molyneux

Group

Access Control

Unit

JclRegistry


CreateNullDacl Function

See Also

Initializes a security attributes structure for NULL access and optional inheritability.

Pascal

function CreateNullDacl(var Sa: TSecurityAttributes; const Inheritable: Boolean): PSecurityAttributes;

Description

CreateNullDacl initializes a TSecurityAttributes structure for the creation of an optionally inheritable object with a NULL dacl. The TSecurityAttributes lpSecurityDescriptor member is initialized with a NULL dacl. This will result in the created object allowing full access to everyone. Make sure you read the Notes section for memory issues.

Parameters

var Sa: TSecurityAttributes

The TSecurityAttributes structure to initialize.

const Inheritable: Boolean

Specifies inheritability. The bInheritHandle member of Sa is set to the same value as the Inheritable parameter.

Return Value

A pointer to the passed in TSecurityAttributes structure. This allows you to write code such as CreateFile(..., CreateNullDacl(Sa, True), ...).

Notes

The caller is responsible for freeing the memory associated with the lpSecurityDescriptor member of the TSecurityAttributes member. Use FreeMem(Sa.lpSecurityDescriptor). Under Windows 95/98/Millenium Edition, this function always returns nil.

Donator

Marcel van Brakel

Group

Access Control

Unit

JclSecurity


See Also

CreateInheritable


CreateInheritable Function

See Also

Initializes a security attributes structure for inheritable object creation.

Pascal

function CreateInheritable(var Sa: TSecurityAttributes): PSecurityAttributes;

Description

CreateInheritable initializes a TSecurityAttributes structure for the creation of an inheritable object. Meaning the bInheritHandle member is set to True allowing processes spawned by the current process to inherit the handle to the object that was created with this TSecurityAttributes structure.

Parameters

var Sa: TSecurityAttributes

The TSecurityAttributes structure whose fInheritHandle member to set to True resulting in an inheritable object.

Return Value

A pointer to the passed in TSecurityAttributes structure. This allows you to write code such as CreateFile(..., CreateInheritable(Sa), ...).

Notes

Under Windows 95/98/Millenium Edition, this function always returns nil.

Donator

Marcel van Brakel

Group

Access Control

Unit

JclSecurity


See Also

CreateNullDacl


Account Information

Security

Functions

LookupAccountBySid

Returns the name and domain of an alias, user or group.

QueryTokenInformation

Wrapper for the GetTokenInformation Windows API function.

GetInteractiveUserName

Returns the name of the interactive user.


Account Information Functions

Account Information

Functions

LookupAccountBySid

Returns the name and domain of an alias, user or group.

QueryTokenInformation

Wrapper for the GetTokenInformation Windows API function.

GetInteractiveUserName

Returns the name of the interactive user.


LookupAccountBySid Function

Returns the name and domain of an alias, user or group.

Pascal

procedure LookupAccountBySid(Sid: PSID; out Name: string; out Domain: string);

Description

LookupAccountBySid looks up the domain and account-name of the principal identified by the supplied security identifier. This principal can be an alias, user or group either local or domain. If the function fails it raises an exception (EOSError).

Parameters

Sid: PSID

Security Identifier of the account for which to lookup the domain and account-name.

out Name: string

Returns the account-name of the principal identified by Sid.

out Domain: string

Returns the domain-name in which the principal identified by Sid is located (if any).

Notes

Under Windows 95/98/Millenium Edition, LookupAccountBySid always returns empty strings.

Donator

Marcel van Brakel

Group

Account Information

Unit

JclSecurity


QueryTokenInformation Function

Wrapper for the GetTokenInformation Windows API function.

Pascal

procedure QueryTokenInformation(Token: THandle; InformationClass: TTokenInformationClass; var Buffer: Pointer);

Description

QueryTokenInformation is a wrapper for the GetTokenInformation Windows API function which relieves the user of buffer management. For more information about the purpose of this funcion look up the GetTokenInformation function in the Platform SDK. If the function fails it raises an exception.

Parameters

Token: THandle

Handle to an access token to query for information.

InformationClass: TTokenInformationClass

The type of information to retrieve.

var Buffer: Pointer

Upon success reveices a buffer containing the requested information. This buffer must be freed by the caller by using the FreeMem function. Upon failure the buffer is undefined and should not be freed.

Notes

Under Windows 95/98/Millenium Edition, QueryTokenInformation always sets Buffer to nil.

Donator

Marcel van Brakel

Group

Account Information

Unit

JclSecurity


GetInteractiveUserName Function

Returns the name of the interactive user.

Pascal

function GetInteractiveUserName: string;

Description

Returns the name of the interactive user (if any) in the form <username>. If the function fails it raises and exception (also true when the shell is not running, ie no user is interactively logged on). This function, unlike the much easier GetUserName, can be called from a service running in the localsystem security context. It can not be called from a service running in another security context unless appropriate measures have been taken to grant the service sufficient access (PROCESS_ALL_ACCESS for the shell process and TOKEN_QUERY for the interactive user account token). That's kind of difficult to achieve so it's safe to say, don't use this function from any service accept one running in the localsystem security context.

Return Value

The name of the interactively logged on user, if any, in the format domainusername.

Notes

Under Windows 95/98/Millenium Edition, this function always returns an empty string.

Donator

Marcel van Brakel

Group

Account Information

Unit

JclSecurity


Privileges

Security

Functions

IsPrivilegeEnabled

Tests if the specified Privilege is enabled.

EnableProcessPrivilege

Enables or disables a privilege for the process.

EnableThreadPrivilege

Enables or disables a privilege for the thread.

IsAdministrator

Tests whether the process is running in the user context of a local administrator.

GetPrivilegeDisplayName

Wrapper around the LookupPrivilegeDisplayName Windows API function.

GetUserObjectName

Returns the name of the specified object.

SetUserObjectFullAccess

Permits full access to a user object.


Privileges Functions

Privileges

Functions

IsPrivilegeEnabled

Tests if the specified Privilege is enabled.

EnableProcessPrivilege

Enables or disables a privilege for the process.

EnableThreadPrivilege

Enables or disables a privilege for the thread.

IsAdministrator

Tests whether the process is running in the user context of a local administrator.

GetPrivilegeDisplayName

Wrapper around the LookupPrivilegeDisplayName Windows API function.

GetUserObjectName

Returns the name of the specified object.

SetUserObjectFullAccess

Permits full access to a user object.


IsPrivilegeEnabled Function

See Also

Tests if the specified Privilege is enabled.

Pascal

function IsPrivilegeEnabled(const Privilege: string): Boolean;

Description

IsPrivilegeEnabled tests whether the specified privilege is enabled for the current thread. If the thread is currently impersonating a client the test is made against the credentials of that client, otherwise the test is made against the credentials of the user associated with the process that the calling thread runs in.

Parameters

const Privilege: string

The privilege to check for. This is one of the SE_Xxx constants as documented in the Platform SDK under Security | Access Control | Access Control | Access Control Reference | Windows NT Privileges. For example, you can pass in SE_DEBUG_NAME to test if the debugging privilege is enabled.

Return Value

If the specified privilege is enabled for the calling thread then the function returns True, otherwise the function returns False - this is also the return value if the function fails in retrieving the status of the specified privilege.

Notes

Under Windows 95/98/Millenium Edition, this function does nothing; in addition, it always returns True.

Donator

Marcel van Brakel

Group

Privileges

Unit

JclSecurity


See Also

EnableProcessPrivilege EnableThreadPrivilege


EnableProcessPrivilege Function

See Also

Enables or disables a privilege for the process.

Pascal

function EnableProcessPrivilege(const Enable: Boolean; const Privilege: string): Boolean;

Description

EnableProcessPrivilege enables or disables the specified privilege for the current process. You can, for example, enable the debug privilege by using this function. The user associated with the calling process must already have TOKEN_ADJUST_PRIVILEGES access.

Parameters

const Enable: Boolean

If True the function attempts to enable the specified privilege. If False the function attempts to disable the specified privilege.

const Privilege: string

The privilege to enable/disable. This is one of the SE_Xxx constants as documented in the Platform SDK under Security | Access Control | Access Control | Access Control Reference | Windows NT Privileges. For example, you can pass in SE_DEBUG_NAME to enable or disable the debugging privilege.

Return Value

If the function succeeds the result is True, otherwise the result is False. Failure is usually caused by the caller not having sufficient access rights (i.e. TOKEN_ADJUST_PRIVILEGE) to enable or disable privileges.

Notes

Under Windows 95/98/Millenium Edition, this function always returns True.

Donator

Marcel van Brakel

Group

Privileges

Unit

JclSecurity


See Also

EnableThreadPrivilege IsPrivilegeEnabled


EnableThreadPrivilege Function

See Also

Enables or disables a privilege for the thread.

Pascal

function EnableThreadPrivilege(const Enable: Boolean; const Privilege: string): Boolean;

Description

EnableThreadPrivilege enables or disables the specified privilege for the calling thread. You can, for example, enable the debug privilege by using this function. The user associated with the calling process must already have TOKEN_ADJUST_PRIVILEGES access. If the thread is currently impersonating a client then the client must have the appropriate access.

Parameters

const Enable: Boolean

If True the function attempts to enable the specified privilege. If False the function attempts to disable the specified privilege.

const Privilege: string

The privilege to enable/disable. This is one of the SE_Xxx constants as documented in the Platform SDK under Security | Access Control | Access Control | Access Control Reference | Windows NT Privileges. For example, you can pass in SE_DEBUG_NAME to enable or disable the debugging privilege.

Return Value

If the function succeeds the result is True, otherwise the result is False. Failure is usually caused by the caller not having sufficient access rights (i.e. TOKEN_ADJUST_PRIVILEGE) to enable or disable privileges.

Notes

Under Windows 95/98/Millenium Edition, this function does nothing; in addition, it always returns True.

Donator

Marcel van Brakel

Group

Privileges

Unit

JclSecurity


See Also

EnableProcessPrivilege IsPrivilegeEnabled


IsAdministrator Function

Tests whether the process is running in the user context of a local administrator.

Pascal

function IsAdministrator: Boolean;

Description

The IsAdministrator function tests if the calling process is running in the context of a user with local administrative rights. That is, if the user is an administrator.

Return Value

If the process is running in the user context of a local administrator the function returns True, otherwise it returns False.

Notes

Under Windows 95/98/Millenium Edition, this function always returns True.

Donator

Marcel van Brakel

Group

Privileges

Unit

JclSecurity


GetPrivilegeDisplayName Function

Wrapper around the LookupPrivilegeDisplayName Windows API function.

Pascal

function GetPrivilegeDisplayName(const PrivilegeName: string): string;

Description

The GetPrivilegeDisplayName function retrieves the display name that represents a specified privilege on the local system.

Parameters

const PrivilegeName: string

the name of the privilege, as defined in Winnt.h. For example, this parameter could specify 'SeRemoteShutdownPrivilege'.

Return Value

A string that specifies the privilege display name, or an empty string if the function failed. For example, if the PrivilegeName parameter is 'SeRemoteShutdownPrivilege', the privilege display name is 'Force shutdown from a remote system.'

Notes

Under Windows 95/98/Millenium Edition, this function always returns an empty string.

Donator

Unknown

Group

Privileges

Unit

JclSecurity


GetUserObjectName Function

Returns the name of the specified object.

Pascal

function GetUserObjectName(hUserObject: THandle): string;

Parameters

hUserObject: THandle

Handle to the window station or desktop object for which to return information. This handle is returned by the CreateWindowStation, OpenWindowStation, CreateDesktop, or OpenDesktop function.

Return Value

The name of the specified object, or an empty string if the function failed.

Notes

Under Windows 95/98/Millenium Edition, this function always returns an empty result.

Donator

Unknown

Group

Privileges

Unit

JclSecurity


SetUserObjectFullAccess Function

Permits full access to a user object.

Pascal

function SetUserObjectFullAccess(hUserObject: THandle): Boolean;

Description

The SetUserObjectFullAccess function permits full access to a user object. This can be, for example, a window or a DDE conversation.

Parameters

hUserObject: THandle

Handle to a user object for which full access is to be granted.

Return Value

True on success, False otherwise.

Notes

Under Windows 95/98/Millenium Edition, this function does nothing; in addition, it always returns True.

Donator

Unknown

Group

Privileges

Unit

JclSecurity


Shell

Windows

Topics

Files and Folders

Memory Management

Miscellaneous

Paths and PIDLs

Shortcuts


Topics

Shell

Topics

Files and Folders

Memory Management

Miscellaneous

Paths and PIDLs

Shortcuts


Files and Folders

Legend

Shell

Enumerations

 TSHRenameOption

Enumeration used by SHRenameFile to specify the rename options.

 TSHDeleteOption

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

 TEnumFolderFlag

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.

Functions

DisplayPropDialog

Displays the properties sheet of a shell item.

OpenFolder

Opens a folder in Explorer.

OpenSpecialFolder

Opens a special folder in Explorer,.

SHDeleteFolder

Deletes the specified folder.

SHDeleteFiles

Deletes one or more files.

SHRenameFile

Renames a file.

SHEnumFolderFirst

Begins the enumeration of the items in a folder

SHEnumFolderClose

Closes an enumeration sequence started by SHEnumFolderFirst.

SHEnumFolderNext

Retrieves the next item in the enumeration matching the attributes specified by a previous call to SHEnumFolderFirst.

DisplayContextMenuPidl

Displays the context menu of a shell item.

DisplayContextMenu

Displays the context menu of a shell item.

Records

 TEnumFolderRec

The TEnumFolderRec is used to return information about an item that was found during the enumeration of a folder using the SHEnumFolderFirst and SHEnumFolderNext functions. It also holds data needed to perform the enumeration. Because of this you must always call SHEnumFolderClose to release these resources if SHEnumFolderFirst returned True.

Types

TSHRenameOptions

Enumeration used by SHRenameFile to specify the rename options.

TSHDeleteOptions

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

TEnumFolderFlags

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.

Legend

Enumeration

Record


Files and Folders Functions

Files and Folders

Functions

DisplayPropDialog

Displays the properties sheet of a shell item.

OpenFolder

Opens a folder in Explorer.

OpenSpecialFolder

Opens a special folder in Explorer,.

SHDeleteFolder

Deletes the specified folder.

SHDeleteFiles

Deletes one or more files.

SHRenameFile

Renames a file.

SHEnumFolderFirst

Begins the enumeration of the items in a folder

SHEnumFolderClose

Closes an enumeration sequence started by SHEnumFolderFirst.

SHEnumFolderNext

Retrieves the next item in the enumeration matching the attributes specified by a previous call to SHEnumFolderFirst.

DisplayContextMenuPidl

Displays the context menu of a shell item.

DisplayContextMenu

Displays the context menu of a shell item.


Files and Folders Enumerations

Files and Folders	Legend

Enumerations

 TSHRenameOption

Enumeration used by SHRenameFile to specify the rename options.

 TSHDeleteOption

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

 TEnumFolderFlag

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.


Legend

Enumeration


Files and Folders Types

Files and Folders

Types

TSHRenameOptions

Enumeration used by SHRenameFile to specify the rename options.

TSHDeleteOptions

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

TEnumFolderFlags

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.


Files and Folders Records

Files and Folders	Legend

Records

 TEnumFolderRec

The TEnumFolderRec is used to return information about an item that was found during the enumeration of a folder using the SHEnumFolderFirst and SHEnumFolderNext functions. It also holds data needed to perform the enumeration. Because of this you must always call SHEnumFolderClose to release these resources if SHEnumFolderFirst returned True.


Legend

Record


Legend

Files and Folders

Legend

Enumeration

Record


DisplayPropDialog Function

Displays the properties sheet of a shell item.

Pascal

function DisplayPropDialog(const Handle: THandle; const FileName: string): Boolean; overload;
function DisplayPropDialog(const Handle: THandle; Item: PItemIdList): Boolean; overload;

Description

Displays the properties sheet of the item specified by FileName or Item. The window defined by handle is used as the parent of this dialog. To make the desktop the parent of the dialog use the return value of GetDesktopWindow.

Parameters

const Handle: THandle

Handle of the window to use as the parent for all windows displayed by this function.

const FileName: string

Fully qualified name of the file whose properties dialog you want to display.

Item: PItemIdList

Pidl of the item whose properties dialog you want to display.

Return Value

If the function succeeds it returns True, otherwise it returns False. You can call GetLastError to get more detailed information about the reason of failure.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


OpenFolder Function

See Also

Opens a folder in Explorer.

Pascal

function OpenFolder(const Path: string; Parent: THandle = 0; Explore: Boolean = False): Boolean;

Description

The OpenFolder function opens Explorer with the specified Folder as the root of the namespace (root of the lefthand treeview).

Parameters

Parent: THandle = 0

Handle of the window to serve as the parent of any dialogs displayed.

Folder

Path of the folder to open. You can either specify a fully qualified path or a relative one, which will be relative to the current directory.

Return Value

If the function succeeds the result is True, otherwise it is False. You can call GetLastError to get more detailed information about the reason of failure.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

OpenSpecialFolder


OpenSpecialFolder Function

See Also

Opens a special folder in Explorer,.

Pascal

function OpenSpecialFolder(FolderID: Integer; Parent: THandle = 0; Explore: Boolean = False): Boolean;

Description

The OpenSpecialFolder function opens Explorer with the specified Folder as the root of the namespace (root of the lefthand treeview).

Parameters

FolderID: Integer

SpecialFolder id to open. One of the CSIDL_Xxx constants must be specified here (see ShlObj.pas for the full list).

Parent: THandle = 0

Handle of the window to serve as the parent of any dialogs displayed

Return Value

If the function succeeds the result is True, otherwise it is False.

Donator

Petr Vones

Group

Files and Folders

Unit

JclShell


See Also

OpenFolder


SHDeleteFolder Function

See Also

Deletes the specified folder.

Pascal

function SHDeleteFolder(Parent: THandle; const Folder: string; Options: TSHDeleteOptions): Boolean;

Description

SHDeleteFolder deletes the specified folder, either permanently or to the recycle bin depending on the Options parameter. Additionally the function provides visual feedback by displaying the familiar delete folder dialog you also see when deleting a folder through explorer.

Parameters

Parent: THandle

Handle of the window to serve as the parent of any dialogs displayed by this function. Specify GetDesktopWindow to use the desktop as the parent.

const Folder: string

The folder to delete.

Options: TSHDeleteOptions

Set of options that control the behavior of this function. See TSHDeleteOptions for more information.

Return Value

If the function succeeds the result is True, otherwise it is False.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

TSHDeleteOptions SHDeleteFiles


SHDeleteFiles Function

See Also

Deletes one or more files.

Pascal

function SHDeleteFiles(Parent: THandle; const Files: string; Options: TSHDeleteOptions): Boolean;

Description

SHDeleteFiles delete a single file, multiple files or even files specified with a wildcard expression such as *.dcu. If doSilent is not specified the function provides visual feedback of its progress by showing the familiar delete files dialog you also see when deleting files through Explorer. In addition the function allows for deletion to the recycle bin through the doAllowUndo flag.

Parameters

Parent: THandle

Handle of the window to serve as the parent of any dialogs displayed by this function. Specify GetDesktopWindow to use the desktop as the parent.

const Files: string

Files to delete. This can be a single fully qualified filename, a list of files separated by a #0 or a wildcard expression (e.g. *.*). If Files specifies a (single) folder then make sure it is not ended in a backslash. In this latter case, the function deletes all files in the folder and then deletes the folder itself. The folder cannot have subfolders or the function fails.

Options: TSHDeleteOptions

Set of options that control the behavior of this function. See TSHDeleteOptions for more information.

Return Value

If the function succeeds the result is True, otherwise it is False.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

TSHDeleteOptions SHDeleteFolder


SHRenameFile Function

See Also

Renames a file.

Pascal

function SHRenameFile(const Src: string; const Dest: string; Options: TSHRenameOptions): Boolean;

Description

SHRenameFile renames the specified file. Options allows you to control the behavior of the function. For example, if you specify [roRenameOnCollision] the function automatically modifies the destination filename in case the specified file already exists.

Parameters

const Src: string

Fully qualified name of the source file (the original name).

const Dest: string

Fully qualified name of the destination file (the name to rename Src to).

Options: TSHRenameOptions

Set of options that control the behavior of this function. See TSHRenameOptions for more information.

Return Value

If the function succeeds the result is True, otherwise it is False.

Notes

Use this function only to rename a single file.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

TSHDeleteOptions


TSHRenameOption Enumeration

See Also

Enumeration used by SHRenameFile to specify the rename options.

Pascal

TSHRenameOption = (
  roSilent,
  roRenameOnCollision
);
TSHRenameOptions = set of TSHRenameOption;

Description

Enumeration used by SHRenameFile to specify the rename options.

roSilent

Perform the operation without any user interface feedback, including errors.

roRenameOnCollision

If renaming causes a naming conflict (ie the file already exists) then automatically rename the destination file. This will usually result in a name like 'Copy of ...'. If not specified the renaming fails in case of a conflict.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHRenameFile


TSHDeleteOption Enumeration

See Also

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

Pascal

TSHDeleteOption = (
  doSilent,
  doAllowUndo,
  doFilesOnly
);
TSHDeleteOptions = set of TSHDeleteOption;

Description

Enumeration used by SHDeleteFiles and SHDeleteFolder to specify the deletion options.

doSilent

Perform the operation without any user interface feedback, including errors.

doAllowUndo

If possible, allow the operation to be undone through the recycle bin.

doFilesOnly

If a wildcard expression is specified, only delete files, not folders.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHDeleteFiles SHDeleteFolder


TEnumFolderRec Record

The TEnumFolderRec is used to return information about an item that was found during the enumeration of a folder using the SHEnumFolderFirst and SHEnumFolderNext functions. It also holds data needed to perform the enumeration. Because of this you must always call SHEnumFolderClose to release these resources if SHEnumFolderFirst returned True.

Pascal

TEnumFolderRec = record
  DisplayName: string;
  Attributes: DWORD;
  IconLarge: HICON;
  IconSmall: HICON;
  Item: PItemIdList;
  EnumIdList: IEnumIdList;
  Folder: IShellFolder;
end;

Description

The TEnumFolderRec is used to return information about an item that was found during the enumeration of a folder using the SHEnumFolderFirst and SHEnumFolderNext functions. It also holds data needed to perform the enumeration. Because of this you must always call SHEnumFolderClose to release these resources if SHEnumFolderFirst returned True.

DisplayName: string;

The display name of the item

Attributes: DWORD;

Attributes of the item (see IShellFolder.GetAttributesOf)

IconLarge: HICON;

The large icon

IconSmall: HICON;

The small icon

Item: PItemIdList;

Readonly! Item identifier list representing this item. Relative to Folder

EnumIdList: IEnumIdList;

Don't touch! Interface used for enumeration.

Folder: IShellFolder;

IShellFolder interface of the folder we are enumerating.

Notes

The returned icons are the 'plain' icons. You can use code such as below to transform them into how the shell displays them:

if (F.Attributes and SFGAO_SHARE) = SFGAO_SHARE then OverlayIconShared(F.IconLarge, F.IconSmall); You can also use the Folder member to get additional info about the found item:

S := GetItemInfoTip(F.Folder, F.Item);

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


TEnumFolderFlag Enumeration

See Also

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.

Pascal

TEnumFolderFlag = (
  efFolders,
  efNonFolders,
  efIncludeHidden
);
TEnumFolderFlags = set of TEnumFolderFlag;

Description

Enumeration used by SHEnumFolderFirst to specify the type of items to include in the enumeration.

efFolders

include folder items in the enumeration

efNonFolders

include non folder items in the enumeration

efIncludeHidden

include hidden items in the enumeration

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHEnumFolderFirst SHEnumFolderNext SHEnumFolderClose


SHEnumFolderFirst Function

See Also

Begins the enumeration of the items in a folder

Pascal

function SHEnumFolderFirst(const Folder: string; Flags: TEnumFolderFlags; var F: TEnumFolderRec): Boolean;

Description

SHEnumFolderFirst begins the enumeration of all items in the specified folder that match the specified Flags. If the function succeeds then the return value is True and the F parameter will contain information about the found item such as its name and attributes. To continue the enumeration call SHEnumFolderNext. To close the enumeration and release the resources held call SHEnumFolderClose. If the function fails the return value is False. This might indicate an error such as a non-existing function, or indicate that the folder is empty. The flags parameter allows you to put a number of restrictions on the items that are included in the enumeration. To define the folder to enumeration use the Folder string parameter, supply a fully qualified path, or the SpecialFolder parameter which can be set to one of the CSIDL_XXX constants.

Parameters

const Folder: string

Fully qualified name of the folder you want to enumerate.

Flags: TEnumFolderFlags

Flags that determine what type of items to include in the enumeration.

var F: TEnumFolderRec

Record that returns information about the items found and holds data used to continue the enumeration with a later call the SHEnumFolderNext.

SpecialFolder

One of the CSIDL_x constants that identify the special folder to enumerate.

Return Value

If the function succeeds it returns True and the TypesTEnumFolderRec record is filled with information about the first found item. If the function fails the return value is False. In this latter case you cannot call SHEnumFolderNext and don't need to call SHEnumFolderClose. If the function succeeded you can continue the enumeration with SHEnumFolderNext

Notes

If SHEnumFolderFirst returns False there is no need to call SHEnumFolderClose. Passing an empty string as the Folder parameter will enumerate 'My Computer'.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHEnumFolderNext SHEnumFolderClose TEnumFolderRec


SHEnumFolderClose Function

See Also

Closes an enumeration sequence started by SHEnumFolderFirst.

Pascal

procedure SHEnumFolderClose(var F: TEnumFolderRec);

Description

This function closes a folder enumeration initiated earlier with SHEnumFolderFirst. You must call this function to release resources held during the enumeration. Note that it is only necessary to call this function if SHEnumFolderFirst returned True.

Parameters

var F: TEnumFolderRec

The TEnumFolderRec used during the enumeration.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHEnumFolderFirst SHEnumFolderNext


SHEnumFolderNext Function

See Also

Retrieves the next item in the enumeration matching the attributes specified by a previous call to SHEnumFolderFirst.

Pascal

function SHEnumFolderNext(var F: TEnumFolderRec): Boolean;

Description

SHEnumFolderNext retrieves the next item in the enumeration of a folder that was previously started with SHEnumFolderFirst. If the function succeeds it returns True and the F parameter is filled with the information about the next item. If it fails then the function returns False. The most likely case is that there are no more items in the folder. You should always end an enumeration by calling SHEnumFolderClose.

Parameters

var F: TEnumFolderRec

TEnumFolderRec that was returned by SHEnumFolderFirst

Return Value

If the function finds a next item it returns True. If there is no next item or an error occurred it returns False.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

SHEnumFolderFirst SHEnumFolderClose


DisplayContextMenuPidl Function

See Also

Displays the context menu of a shell item.

Pascal

function DisplayContextMenuPidl(const Handle: THandle; const Folder: IShellFolder; Item: PItemIdList; Pos: TPoint): Boolean;

Description

Displays the context menu of the item specified by Item at position Pos using window defined by Handle as the parent for the menu. Folder should be the parent folder of the specified Item, which should be relative to the folder. The function returns True on success on False on failure. Note that when the user selects an item from the menu, the action defined by that item is also executed.

Parameters

const Handle: THandle

Handle of the window to use as the parent for all windows displayed by this function.

const Folder: IShellFolder

The parent folder of the specified item.

Item: PItemIdList

The Item for which to display a context menu. Should be relative to Folder.

Pos: TPoint

Position, in client coordinates relative to the window identified by Handle, of the top, left corner of the context menu.

Return Value

If the function succeeds the result is True, if it fails the result is False.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

DisplayContextMenu


DisplayContextMenu Function

See Also

Displays the context menu of a shell item.

Pascal

function DisplayContextMenu(const Handle: THandle; const FileName: string; Pos: TPoint): Boolean;

Description

Displays the context menu of the file specified by FileName at position Pos using the window defined by Handle as the parent for the menu. The function returns True on success and False on failure. Note that when the user selects an item from the menu, the action defined by that item is also executed.

Parameters

const Handle: THandle

Handle of the window to use as the parent for all windows displayed by this function.

const FileName: string

Fully qualified name of the file for which you want to display a context menu.

Pos: TPoint

Position, in client coordinates relative to the window identified by Handle, of the top, left corner of the context menu.

Return Value

If the function succeeds the result is True, if it fails the result is False.

Donator

Marcel van Brakel

Group

Files and Folders

Unit

JclShell


See Also

DisplayContextMenuPidl


Memory Management

Shell

Functions

SHReallocMem

Reallocates (changes the size) a block of memory in the shell's memory space. The contents of the block prior to reallocation are reserved but there is no guarantee that the pointer will retain its value. The newly allocated block may be on a different address if there is not enough room to expand it in place. Also the actual size of the allocated block maybe slightly larger then the requested size because of additional maintenance data (not accessible).

SHGetMem

Allocates memory using the Shell's memory allocator.

SHAllocMem

Allocates memory using the Shell's memory allocator.

SHFreeMem

Frees the memory pointed to by P.


Memory Management Functions

Memory Management

Functions

SHReallocMem

Reallocates (changes the size) a block of memory in the shell's memory space. The contents of the block prior to reallocation are reserved but there is no guarantee that the pointer will retain its value. The newly allocated block may be on a different address if there is not enough room to expand it in place. Also the actual size of the allocated block maybe slightly larger then the requested size because of additional maintenance data (not accessible).

SHGetMem

Allocates memory using the Shell's memory allocator.

SHAllocMem

Allocates memory using the Shell's memory allocator.

SHFreeMem

Frees the memory pointed to by P.


SHReallocMem Function

See Also

Reallocates (changes the size) a block of memory in the shell's memory space. The contents of the block prior to reallocation are reserved but there is no guarantee that the pointer will retain its value. The newly allocated block may be on a different address if there is not enough room to expand it in place. Also the actual size of the allocated block maybe slightly larger then the requested size because of additional maintenance data (not accessible).

Pascal

function SHReallocMem(var P: Pointer; Count: Integer): Boolean;

Description

SHReallocMem reallocates a specified memory block to a new size using the shell's memory allocator. If on input P is not nil then it must point to a block of memory previously allocated with the shell's memory allocator (SHGetMem or SHAllocMem).

Parameters

var P: Pointer

On input pointer to a memory block previously allocated with either SHGetMem SHAllocMem or nil. In the latter case SHReallocMem functions just like SHGetMem.

Count: Integer

Total size, in bytes, to (re)allocate. If 0 then the memory pointed to be P (if not nil) is freed.

Return Value

If the function succeeds it returns True and P contains the address of the reallocated memory block. If the function fails it returns False, and P will retain its value.

Donator

Marcel van Brakel

Group

Memory Management

Unit

JclShell


See Also

SHAllocMem SHGetMem SHFreeMem


SHGetMem Function

See Also

Allocates memory using the Shell's memory allocator.

Pascal

function SHGetMem(var P: Pointer; Count: Integer): Boolean;

Description

SHAllocMem allocates the specified amount of memory using the Shell's memory allocator. If the allocation succeeds then P is set to point to the allocated memory and the return value will be True. You should assume that the memory contains random values. On failure, P retains its value and the return value will be False.

Parameters

var P: Pointer

Pointer variable which returns the address of the allocated memory block

Count: Integer

Size, in byte, of the block of memory to allocate.

Return Value

If the function succeeds it returns True and P contains the address of the allocated memory block. If the function fails then it returns False and P will be set to nil.

Donator

Marcel van Brakel

Group

Memory Management

Unit

JclShell


See Also

SHAllocMem SHFreeMem


SHAllocMem Function

See Also

Allocates memory using the Shell's memory allocator.

Pascal

function SHAllocMem(out P: Pointer; Count: Integer): Boolean;

Description

SHAllocMem allocates the specified amount of memory using the Shell's memory allocator. If the allocation succeeds then the memory block is initialized to all 0's, P is set to point to the allocated memory and the return value will be True. On failure, P retains its value and the return value will be False.

Parameters

out P: Pointer

Pointer variable which returns the address of the allocated memory block

Count: Integer

Size, in bytes, of the block of memory to allocate.

Return Value

If the function succeeds it returns True and P contains the address of the allocated memory block. If the function fails it returns False and P will be set to nil.

Donator

Marcel van Brakel

Group

Memory Management

Unit

JclShell


See Also

SHGetMem SHFreeMem


SHFreeMem Function

See Also

Frees the memory pointed to by P.

Pascal

function SHFreeMem(var P: Pointer): Boolean;

Description

SHFreeMem frees the memory pointed to by P in the Shell's memory space. The memory must be allocated by the Shell's memory allocator. On success P is set to nil and the return value is True. On failure P retains its value and the return value is False.

Parameters

var P: Pointer

Pointer to the memory block to free. If the function succeeds this parameter is set to nil.

Return Value

If the function succeeds it returns True, if it fails it returns False. The latter case means that either the shell's memory allocator couldn't be retrieved or that the memory block wasn't allocated by the shell. Either case, the memory is not freed and the P parameter retains its value.

Donator

Marcel van Brakel

Group

Memory Management

Unit

JclShell


See Also

SHAllocMem SHGetMem


Miscellaneous

Legend

Shell

Enumerations

 TJclFileExeType

Enumeration use by GetFileExeType representing a type of executable file.

Functions

OverlayIcon

Overlays Icon with OverlayIcon.

OverlayIconShortCut

Overlays an icon with the system 'shortcut' icon.

OverlayIconShared

Overlays an icon with the system 'shared' icon.

GetSystemIcon

Retrieves the icon at the specified index from the system imagelist.

SHDllGetVersion

Reads version information from the specified file.

ShellExec

Performs an action on a file.

ShellExecAndWait

Performs an action on a file.

ShellOpenAs

Invokes the shell's "Open With..." dialog for the specified file.

ShellRasDial

Invokes the RAS Connect dialog.

ShellRunControlPanel

Executes a control panel application.

GetFileExeType

Returns the type of executable file.

ShellFindExecutable

Returns the executable associated with a file.

SHGetItemInfoTip

Returns the item's info tip.

Legend

Enumeration


Miscellaneous Functions

Miscellaneous

Functions

OverlayIcon

Overlays Icon with OverlayIcon.

OverlayIconShortCut

Overlays an icon with the system 'shortcut' icon.

OverlayIconShared

Overlays an icon with the system 'shared' icon.

GetSystemIcon

Retrieves the icon at the specified index from the system imagelist.

SHDllGetVersion

Reads version information from the specified file.

ShellExec

Performs an action on a file.

ShellExecAndWait

Performs an action on a file.

ShellOpenAs

Invokes the shell's "Open With..." dialog for the specified file.

ShellRasDial

Invokes the RAS Connect dialog.

ShellRunControlPanel

Executes a control panel application.

GetFileExeType

Returns the type of executable file.

ShellFindExecutable

Returns the executable associated with a file.

SHGetItemInfoTip

Returns the item's info tip.


Miscellaneous Enumerations

Miscellaneous	Legend

Enumerations

 TJclFileExeType

Enumeration use by GetFileExeType representing a type of executable file.


Legend

Enumeration


Legend

Miscellaneous

Legend

Enumeration


OverlayIcon Function

See Also

Overlays Icon with OverlayIcon.

Pascal

function OverlayIcon(var Icon: HICON; Overlay: HICON; Large: Boolean): Boolean;

Description

OverlayIcon will overlay Icon with Overlay and return the result in Icon. If the function succeeds the return value is True. If it fails the return value is False in which case Icon retains its old value. The Large parameter controls whether the icons are assumed to be large (True) or small (False).

Parameters

var Icon: HICON

Handle of the icon which you want to overlay.

Overlay: HICON

Handle of the overlay icon.

Large: Boolean

If True Icon and Overlay are assumed to be large icons, if False they are assumed to be small icons. See Notes.

Return Value

If the function succeeds the result is True and Icon contains a handle to the overlayed version. If the function fails the return value is False.

Notes

The dimensions of large and small are determined by using the GetSystemMetrics function with SM_CXICON, SM_CXSMICON respectively.

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclShell


See Also

OverlayIconShortcut OverlayIconShared


OverlayIconShortCut Function

See Also

Overlays an icon with the system 'shortcut' icon.

Pascal

function OverlayIconShortCut(var Large: HICON; var Small: HICON): Boolean;

Description

OverlayIconShortCut overlays the icon passed in with the icon that the shell uses to represent a shortcut. This function uses the OverlayIcon function internally and the notes about icon sizes mentioned there apply here.

Parameters

var Large: HICON

On input this must be a valid handle to a large icon. On exit this will be the handle of that same icon, overlayed with the shortcut icon.

var Small: HICON

On input this must be a valid handle to a small icon. On exit this will be the handle of that same icon, overlayed with the shortcut icon.

Return Value

If the function succeeds it returns True, if it fails it returns False.

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclShell


See Also

OverlayIcon OverlayIconShared


OverlayIconShared Function

See Also

Overlays an icon with the system 'shared' icon.

Pascal

function OverlayIconShared(var Large: HICON; var Small: HICON): Boolean;

Description

OverlayIconShortCut overlays the icon passed in with the icon that the shell uses to represent a shared item. This function uses the OverlayIcon function internally and the notes about icon sizes mentioned there apply here.

Parameters

var Large: HICON

On input this must be a valid handle to a large icon. On exit this will be the handle of that same icon, overlayed with the shared folder icon.

var Small: HICON

On input this must be a valid handle to a small icon. On exit this will be the handle of that same icon, overlayed with the shared folder icon.

Return Value

If the function succeeds it returns True, if it fails it returns False.

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclShell


See Also

OverlayIcon OverlayIconShortCut


GetSystemIcon Function

Retrieves the icon at the specified index from the system imagelist.

Pascal

function GetSystemIcon(IconIndex: Integer; Flags: Cardinal): HICON;

Description

GetSystemIcon returns the icon at specified index from the system imagelist. If the function succeeds the result is a handle to that icon, otherwise it is 0. The caller is responsible for eventually releasing the icon by calling DestroyIcon. You can use the Flags parameter to modify the behavior of this function. You can pass a combination of the flags specified in the documentation of SHGetFileInfo API function. The most used flags are: SHGFI_SMALLICON and SHGFI_LARGEICON which cause the function to return a small and large sized icon respectively. If you pass in 0 then the function sets Flags to SHGFI_SHELLICONSIZE.

Parameters

IconIndex: Integer

The index into the system imagelist of the icon you want to retrieve.

Flags: Cardinal

Flags that further specify the returned icon. This can be a combination of the SHGFI_x flags listed in the documentation of SHGetFileInfo. For example, you can set this flag to SHGFI_SMALLICON to get its small icon.

Return Value

Handle of the requested icon or 0 on failure. The caller is responsible for destroying the icon when it is no longer used. Do that by calling the DestroyIcon API function.

Notes

If you assign the returned handle to the Handle property of a TIcon you don't have to explicitly destroy the icon any longer. TIcon does that for you. This function requires COM to be initialized. Delphi normally does that for you but you may have to call CoInitialize yourself depending on the circumstances.

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclShell


SHDllGetVersion Function

See Also

Reads version information from the specified file.

Pascal

function SHDllGetVersion(const FileName: string; var Version: TDllVersionInfo): Boolean;

Description

SHDllGetVersion attempts to read version information from the specified file using the well-known DllGetVersion exported function. This function is exported by all the newer Windows shell related DLLs starting with shell version 4.71. FileName should be the fully qualified name of the file for which to return version information. If the function succeeds then the result is True, otherwise the result is False and the Version record contains garbage.

Parameters

const FileName: string

The fully qualified path name of the file for which you want to retrieve version information. Most likely the name of a shell DLL. If the DLL can be found on the search path then the filename is sufficient (for example Shell32.dll does not have to include the path).

Return Value

If the function succeeds the return value is True and the Version record is filled with the version information. If the function fails the return value is False and the Version record contains whatever it contained on entry.

Donator

Marcel van Brakel

Version

Record which is filled with version information if the function succeeds. See TDllVersionInfo

Group

Miscellaneous

Unit

JclShell


See Also

TDllVersionInfo


ShellExec Function

See Also

Performs an action on a file.

Pascal

function ShellExec(Wnd: Integer; const Operation: string; const FileName: string; const Parameters: string; const Directory: string; ShowCommand: Integer): Boolean;

Description

ShellExec is a wrapper for the Win32 API function ShellExecuteEx which alleviates some of the complexities of this function by providing defaults for some of its lesser used parameters. This function performs an action specified on a file which can be anything from executing the file to opening it using the associated editor.

Parameters

const FileName: string

Name of the file or object on which to perform the action.

Verb

Specifies the action to be performed. The available verbs depend on the type of object specified in the FileName parameter but some of the more commonly used ones are 'open', 'print' and 'edit'. See the Platform SDK documentation for more information. This parameter defaults to an empty string which causes the default verb to be executed (usually 'open').

CmdShow

Flags that specify how the application should display when it is opened. See the Platform SDK documentation on ShellExecute for more information. Commonly used values are SW_HIDE and SW_SHOW. This parameter defaults to SW_SHOWNORMAL.

Return Value

If the function succeeds it returns True, otherwise it returns False. You can call GetLastError to get more detailed information about the reason of failure.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


See Also

ShellExecAndWait


ShellExecAndWait Function

See Also

Performs an action on a file.

Pascal

function ShellExecAndWait(const FileName: string; const Parameters: string = ''; const Verb: string = ''; CmdShow: Integer = SW_SHOWNORMAL): Boolean;

Description

ShellExexAndWait is a wrapper for the Win32 API function ShellExecuteEx which alleviates some of the complexities of this function by providing defaults for some of its lesser used parameters. This function performs an action specified on a file which can be anything from executing the file to opening it using the associated editor. This routine is identical to ShellExec except that this function waits for the action to be completed. For example, when using this file to open a HTML document, the function will launch the default webbrowser and then wait until the browser terminates, only then will this function call return to its caller.

Parameters

const FileName: string

Name of the file or object on which to perform the action.

const Verb: string = ''

Specifies the action to be performed. The available verbs depend on the type of object specified in the FileName parameter but some of the more commonly used ones are 'open', 'print' and 'edit'. See the Platform SDK documentation for more information. This parameter defaults to an empty string which causes the default verb to be executed (usually 'open').

CmdShow: Integer = SW_SHOWNORMAL

Flags that specify how the application should display when it is opened. See the Platform SDK documentation on ShellExecute for more information. Commonly used values are SW_HIDE and SW_SHOW. This parameter defaults to SW_SHOWNORMAL.

Return Value

If the function succeeds it returns True, otherwise it returns False. You can call GetLastError to get more detailed information about the reason of failure.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


See Also

ShellExec


ShellOpenAs Function

Invokes the shell's "Open With..." dialog for the specified file.

Pascal

function ShellOpenAs(const FileName: string): Boolean;

Description

The ShellOpenAs function invokes the shell's "Open With..." dialog with the specified filename selected. This allows the user to select an application to open the file with, or dismiss opening all together. If the user selects an application and clicks the OK button the shell executes the selected application and instructs it to open the specified file.

Parameters

const FileName: string

The fully qualified name of the file for which to invoke the "Open With..." dialog. The caller is responsible for ensuring that the specified file actually exists, this function nor the shell does so. If the file does not exist the eventually invoke application, if any, is the one to determine that fact (and will likely display an error message).

Return Value

If the function succeeds it returns True, otherwise it returns False. Note that the invocation of the dialog is asynchronously so at the time the function returns the dialog likely is not on screen yet. The result therefore doesn't indicate whether or not the user selected an application but only whether or not the dialog can be shown in the first place.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


ShellRasDial Function

Invokes the RAS Connect dialog.

Pascal

function ShellRasDial(const EntryName: string): Boolean;

Description

The ShellRasDial function invoked the RAS Connect dialog (the one you get when you double click a RAS connection) for the specified connection.

Parameters

const EntryName: string

The name of the dial up connection to invoke. This name must be the exact name of an existing dial up connection.

Return Value

If the function succeeds it returns True, otherwise it fails. Reasons for possible failure are an incorrect (non-existing) entry name, the user pressing the Cancel button in the dialog or failure to connect.

Donator

Anonymous

Group

Miscellaneous

Unit

JclShell


ShellRunControlPanel Function

Executes a control panel application.

Pascal

function ShellRunControlPanel(const NameOrFileName: string; AppletNumber: Integer = 0): Boolean;

Description

ShellRunControlPanel executes a control panel application.

Parameters

const NameOrFileName: string

Filename of the control panel application to execute (a .cpl)

AppletNumber: Integer = 0

Zero based index of the applet to execute. Most control panel applications only implement a single applet so this parameter is most often 0. However, for those control panel applications that implement multiple applets you can use this index to choose the applet to execute. For example, on Windows 2000 main.cpl implements two applets, Mouse Properties (index 0) and Keyboard Properties (index 1).

Return Value

If the control panel application can be executed the function returns True, otherwise it returns False. Note that the application is executed asynchronously so the application may not be running yet when the function returns. Note that passing an invalid index causes the function to return True (it only checks validity of the filename) but the applet will not be shown (obviously).

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


TJclFileExeType Enumeration

Enumeration use by GetFileExeType representing a type of executable file.

Pascal

TJclFileExeType = (
  etError,
  etMsDos,
  etWin16,
  etWin32Gui,
  etWin32Con
);

Description

Enumeration use by GetFileExeType representing a type of executable file.

etError

Error, executable file type couldn't be determined.

etMsDos

MS DOS executable (.exe, .com or .bat)

etWin16

16 bit Windows executable.

etWin32Gui

32 bit Windows GUI executable.

etWin32Con

32 bit Windows console executable.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


GetFileExeType Function

Returns the type of executable file.

Pascal

function GetFileExeType(const FileName: TFileName): TJclFileExeType;

Description

GetFileExeType returns the type of executable file of the specified file.

Parameters

const FileName: TFileName

Fully qualified name of the file to test.

Return Value

If the function succeeds it returns the type of executable file represented by the TJclFileExeType type. If the function fails it returns etError.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


ShellFindExecutable Function

Returns the executable associated with a file.

Pascal

function ShellFindExecutable(const FileName: string; const DefaultDir: string): string;

Description

ShellFindExecutable returns the name of the application that is associated with the specified file. That is, the application that would be executed when you double click the document (file).

Parameters

const FileName: string

Fully qualified name of the file for which to determine the associated application.

const DefaultDir: string

TODO

Return Value

If the function succeeds it returns the name of the application associated with the specified file. If the function fails it returns an empty string.

Donator

Petr Vones

Group

Miscellaneous

Unit

JclShell


SHGetItemInfoTip Function

Returns the item's info tip.

Pascal

function SHGetItemInfoTip(const Folder: IShellFolder; Item: PItemIdList): string;

Description

GetItemInfoTip returns the infotip (hint) associated with the specified item. Set Item to the item identifier for which you want to retrieve the infotip and set Folder to the parent of the supplied item. If the function fails or the specified item does not have an infotip the result is an empty string.

Parameters

const Folder: IShellFolder

Parent folder of the Item

Item: PItemIdList

Item for which to retrieve the infotip

Return Value

The item's infotip or an empty string if the function fails.

Notes

The returned string may contain multiple carriage return linefeed (#13#10) combinations

Donator

Marcel van Brakel

Group

Miscellaneous

Unit

JclShell


Paths and PIDLs

Shell

Functions

StrRetFreeMem

Frees the memory associated with the StrRet record.

StrRetToString

Converts a TStrRet record to a string.

PidlToPath

Converts an item identifier list to a path.

PathToPidl

Converts a path to an item identifier list.

PathToPidlBind

Converts a path to an item identifier list and binds to its parent folder.

DriveToPidlBind

Converts a drive to an item identifier list and binds to the CSIDL_DRIVES folder.

PidlBindToParent

Binds the Folder to the parent folder of the specified item identifier.

PidlCompare

Compares two item identifier lists.

PidlCopy

Copies the item identifier list from source into destination.

PidlFree

Frees the given item identifier list.

PidlGetDepth

Returns the depth of the given item identifier list.

PidlGetLength

Returns the length of the given item identifier list.

PidlGetNext

Returns the next item identifier in the supplied item identifier list.


Paths and PIDLs Functions

Paths and PIDLs

Functions

StrRetFreeMem

Frees the memory associated with the StrRet record.

StrRetToString

Converts a TStrRet record to a string.

PidlToPath

Converts an item identifier list to a path.

PathToPidl

Converts a path to an item identifier list.

PathToPidlBind

Converts a path to an item identifier list and binds to its parent folder.

DriveToPidlBind

Converts a drive to an item identifier list and binds to the CSIDL_DRIVES folder.

PidlBindToParent

Binds the Folder to the parent folder of the specified item identifier.

PidlCompare

Compares two item identifier lists.

PidlCopy

Copies the item identifier list from source into destination.

PidlFree

Frees the given item identifier list.

PidlGetDepth

Returns the depth of the given item identifier list.

PidlGetLength

Returns the length of the given item identifier list.

PidlGetNext

Returns the next item identifier in the supplied item identifier list.


StrRetFreeMem Function

See Also

Frees the memory associated with the StrRet record.

Pascal

function StrRetFreeMem(StrRet: TStrRet): Boolean;

Description

If the supplied StrRet record is of type STRRET_WSTR then this function frees the memory associated with this record's pOleStr member. If the StrRet record is a different type this function does nothing.

Return Value

If the function releases the memory it returns True. If it fails to free the memory or the StrRet record is not of STRRET_WSTR type then the return value is False.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

StrRetToString


StrRetToString Function

See Also

Converts a TStrRet record to a string.

Pascal

function StrRetToString(IdList: PItemIdList; StrRet: TStrRet; Free: Boolean): string;

Description

StrRetToString converts the StrRet record to a Delphi long string. If the function succeeds it returns the converted string, if it fails it returns an empty string. If Free is set to False you must manually release the memory associated with the StrRet.pOleStr member by using the StrRetFreeMem. function.

Parameters

IdList: PItemIdList

The item identifier list for which the TStrRet record is supplied in the StrRet parameter (only used when StrRet.uType = STRRET_OFFSET).

StrRet: TStrRet

The TStrRet record to convert to a string.

Free: Boolean

Determines whether the memory associated with the pOleStr member of StrRet is freed (only applies if StrRet.uType = STRRET_WSTR).

Return Value

If the function succeeds it returns the string extracted from the StrRet parameter. If it fails the return value is an empty string.

Notes

Windows 2000 introduced StrRetToStr and StrRetToBuf which can be used instead.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

StrRetFreeMem


PidlToPath Function

See Also

Converts an item identifier list to a path.

Pascal

function PidlToPath(IdList: PItemIdList): string;

Description

PidlToPath converts the supplied item identifier list to its path representation. If the function succeeds the path representation is returned as the function result. On failure the function returns an empty string.

Parameters

IdList: PItemIdList

The item identifier list to convert to a path.

Return Value

If the function succeeds it returns the path of the specified pidl. If it fails it returns an empty string.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PathToPidl PathToPidlBind


PathToPidl Function

See Also

Converts a path to an item identifier list.

Pascal

function PathToPidl(const Path: string; Folder: IShellFolder): PItemIdList;

Description

PathToPidl converts the supplied path to an item identifier list relative to the folder given by the Folder parameter. If the Folder parameter is nil then the resulting item identifier list will be relative to the desktop, in other words: it's an absolute item identifier list. If the function fails the result is nil.

Parameters

const Path: string

The fully qualified path to convert to an item identifier list

Folder: IShellFolder

The folder that the returned pidl must be relative to. If you specify nil then the returned pidl will be relative to the desktop.

Return Value

If the function succeeds the return value is the item identifier list of the specified path, relative to the specified Folder. If the function fails the return value is nil. Note that the caller is responsible for eventually releasing the memory associated with the returned pidl by calling PidlFree

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PidlToPath PathToPidlBind


PathToPidlBind Function

See Also

Converts a path to an item identifier list and binds to its parent folder.

Pascal

function PathToPidlBind(const FileName: string; out Folder: IShellFolder): PItemIdList;

Description

PathToPidlBind converts the supplied path given by FileName to an item identifier list and binds to the parent folder of this item. The item identifier list is returned as the function result and the bound folder is returned in the Folder parameter. If the function fails both result and the Folder are set to nil.

Parameters

const FileName: string

The fully qualified name of the file or folder you want to bind to.

out Folder: IShellFolder

On successful return contains a reference to the parent folder of the specified item.

Return Value

If the function succeeds the return value is the item identifier list of the specified FileName, relative to the returned Folder. If the function fails the return value is nil. Note that the caller is responsible for eventually releasing the memory associated with the returned pidl by calling PidlFree.

Notes

This function will correctly handle drives but you should use DriveToPidlBind

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PathToPidl PidlToPath DriveToPidlBind


DriveToPidlBind Function

See Also

Converts a drive to an item identifier list and binds to the CSIDL_DRIVES folder.

Pascal

function DriveToPidlBind(const DriveName: string; out Folder: IShellFolder): PItemIdList;

Description

DriveToPidlBind converts the specified drive to an item identifier list and binds Folder to the CSIDL_DRIVES special folder (which is the parent of all drives). You should specify drive as "c:" or "c:" where c can be replaced by any valid drive. If the function fails both Folder and the result are set to nil.

Parameters

const DriveName: string

The drive you want to bind to. Pass in "x:" or "x:" (replace 'x' with the required drive).

out Folder: IShellFolder

On success the Folder contains a reference to the parent of the specified drive. This will always be the CSIDL_DRIVES folder.

Return Value

If the function succeeds the return value is the item identifier list of the specified drive, relative to the returned Folder. On failure the return value is nil. Note that the caller is responsible for eventually releasing the returned pidl by calling PidlFree.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PathToPidlBind


PidlBindToParent Function

See Also

Binds the Folder to the parent folder of the specified item identifier.

Pascal

function PidlBindToParent(IdList: PItemIdList; out Folder: IShellFolder; out Last: PItemIdList): Boolean;

Description

PidlBindToParent binds Folder to the parent folder of the absolute item identifier specified in IdList. The function also returns an item identifier for the IdList but relative to the parent folder. If the function succeeds it returns True, on failure it returns False

Parameters

IdList: PItemIdList

The item identifier list to whose parent folder you want to bind.

out Folder: IShellFolder

On return contains a reference to the parent folder of IdList.

out Last: PItemIdList

Item identifier list of IdList but relative to Folder.

Return Value

If the function succeeds the return value is True, otherwise the return value is False. In this latter case the Folder and Last parameter will contain nil on return.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PathToPidlBind


PidlCompare Function

Compares two item identifier lists.

Pascal

function PidlCompare(Pidl1: PItemIdList; Pidl2: PItemIdList): Boolean;

Description

PidlCompare compares the two supplied item identifier lists (pidl's). If they are equal the result is True, otherwise the result is False. Note that if both pidl's are nil they considered equal. Equality is determined by directly comparing the memory block that the item identifier lists point to. This may lead to incorrect results because a namespace extension is free to implement a pidl in any way it likes. To compare pidl's in a reliable manner you must use the IShellFolder's CompareIDs method.

Parameters

Pidl1: PItemIdList

An item identifier list to compare against Pidl2

Pidl2: PItemIdList

An item identifier list to compare against Pidl1

Return Value

If the two pidl's are equal the function returns True, if they are not equal it returns False.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


PidlCopy Function

Copies the item identifier list from source into destination.

Pascal

function PidlCopy(Source: PItemIdList; out Dest: PItemIdList): Boolean;

Description

PidlCopy copies the item identifier list given by source into dest. If the item identifier list was successfully copied the result is True, otherwise the result is False. Note that the item identifier list given by Dest is not freed before the copy operation. Also, if Source is nil then Dest will be set to nil and the return value is False.

Parameters

Source: PItemIdList

The item identifier to copy.

out Dest: PItemIdList

The item identifier that receives a copy of Source. Note that you must eventually free this item identifier by calling PidlFree

Return Value

If the function succeeds then the return value is True, otherwise it is False.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


PidlFree Function

Frees the given item identifier list.

Pascal

function PidlFree(var IdList: PItemIdList): Boolean;

Description

PidlFree frees the memory associated with the item identifier list given by IdList. If the memory was successfully freed the IdList is set to nil and the function returns True. If the memory could not be freed the result is False. This function assumes that the memory associated with the item identifier was allocated by the Shell's memory allocator and will fail if this is not the case.

Parameters

var IdList: PItemIdList

The item identifier list whose associated memory shall be freed

Return Value

If the function succeeds the return value is True and IdList is set to nil. If the function fails the return value is False and the IdList parameter will retain its value.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


PidlGetDepth Function

See Also

Returns the depth of the given item identifier list.

Pascal

function PidlGetDepth(Pidl: PItemIdList): Integer;

Description

PidlGetDepth returns the number of items in the item identifier list excluding the zero terminator.

Parameters

Pidl: PItemIdList

The item identifier list for which to determine the depth.

Return Value

The depth of the item identifier list. If the supplied pidl is either unassigned or empty the function returns 0. If the pidl is invalid (depth is greater than MAX_PATH) the function returns -1.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PidlGetLength


PidlGetLength Function

See Also

Returns the length of the given item identifier list.

Pascal

function PidlGetLength(Pidl: PItemIdList): Integer;

Description

PidlGetLength returns the size in bytes of the item identifier list, excluding the zero terminator. Note that by definition the length of a pidl should equal IMalloc.GetSize(Pidl) - 2. This function does not rely on that and instead walks the entire list, summing the size of the individual item identifiers.

Parameters

Pidl: PItemIdList

The item identifier list for which to calculate the length.

Return Value

The length, in bytes, of the item identifier list. If the supplied pidl is either unassigned or empty the result value is 0. If the pidl is invalid (depth greater than MAX_PATH) the function returns -1.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PidlGetDepth


PidlGetNext Function

See Also

Returns the next item identifier in the supplied item identifier list.

Pascal

function PidlGetNext(Pidl: PItemIdList): PItemIdList;

Description

PidlGetNext returns the next item identifier in the supplied item identifier list or nil if there is no next item identifier (the null terminating pidl is not considered an item identifier). The returned item identifier is simply a pointer and as such should not be freed using PidlFree.

Parameters

Pidl: PItemIdList

Item identifier list for which to retrieve the next element.

Return Value

The next element in the supplied item identifier list, or nil if there is no next element.

Donator

Marcel van Brakel

Group

Paths and PIDLs

Unit

JclShell


See Also

PidlGetDepth PidlGetLength


Shortcuts

Legend

Shell

Topics

ShellLinkGetIcon

Returns the icon associate with a shell link.

Functions

ShellLinkFree

Releases resources held by the ShellLink record.

ShellLinkResolve

Resolves a shortcut.

ShellLinkCreate

Creates a new shortcut.

ShellLinkCreateSystem

Creates a new shortcut in the specified system folder.

Records

 TShellLink

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.

Types

PShellLink

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.

Legend

Record


Shortcuts Records

Shortcuts	Legend

Records

 TShellLink

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.


Legend

Record


Shortcuts Types

Shortcuts

Types

PShellLink

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.


Shortcuts Functions

Shortcuts

Functions

ShellLinkFree

Releases resources held by the ShellLink record.

ShellLinkResolve

Resolves a shortcut.

ShellLinkCreate

Creates a new shortcut.

ShellLinkCreateSystem

Creates a new shortcut in the specified system folder.


Topics

Shortcuts

Topics

ShellLinkGetIcon

Returns the icon associate with a shell link.


Legend

Shortcuts

Legend

Record


TShellLink Record

See Also

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.

Pascal

PShellLink = ^TShellLink;
TShellLink = record
  Arguments: string;
  ShowCmd: Integer;
  WorkingDirectory: string;
  IdList: PItemIDList;
  Target: string;
  Description: string;
  IconLocation: string;
  IconIndex: Integer;
  HotKey: Word;
end;

Description

The TShellLink record is used when creating or resolving shortcuts with the ShellLinkCreate , ShellLinkCreateSystem and ShellLinkResolve functions.

Arguments: string;

Command line arguments associated with the shell link

ShowCmd: Integer;

The show command (SW_XXX constant)

WorkingDirectory: string;

Working directory of the shell link

IdList: PItemIDList;

List of item identifiers (pidl's)

Target: string;

Target (fully qualified) of the shell link

Description: string;

Description of the shell link (also used as a popup hint in shell version 5 and up).

IconLocation: string;

Location (fully qualified filename) of the file that contains the icon for this shell link

IconIndex: Integer;

Index of the icon in the file specified by IconLocation

HotKey: Word;

Hotkey that activates the shell link. Modifiers, such as CTRL, ALT and SHIFT can be assigned as the high byte of the hotkey field (used 1, 2 and 4 for shift, control and alt respectively).

Notes

To avoid problems you should set the IdList field to nil before using this record. You must call ShellLinkFree when you no longer need the ShellLink record. The shell shortcut functions rely on COM internally and as such you should ensure COM is propertly initialized by calling the Win32 CoInitialize(nil) function before using these functions.

Donator

Marcel van Brakel

Group

Shortcuts

Unit

JclShell


See Also

ShellLinkCreate ShellLinkCreateSystem ShellLinkResolve


ShellLinkFree Function

See Also

Releases resources held by the ShellLink record.

Pascal

procedure ShellLinkFree(var Link: TShellLink);

Description

ShellLinkFree releases the resources held by the TShellLink parameter. You must call this function when you no longer need the record, otherwise your application leaks memory.

Parameters

ShellLink

The TShellLink record used earlier in ShellLinkCreate, ShellLinkCreateSystem or ShellLinkResolve.

Donator

Marcel van Brakel

Group

Shortcuts

Unit

JclShell


See Also

ShellLinkResolve ShellLinkCreate ShellLinkCreateSystem TShellLink


ShellLinkResolve Function

See Also

Resolves a shortcut.

Pascal

function ShellLinkResolve(const FileName: string; var Link: TShellLink): HRESULT;

Description

ShellLinkResolve resolves the ShellLink specified by FileName parameter and returns information about it in the ShellLink parameter. On success the return value is S_OK, on failure an OLE error code.

Parameters

const FileName: string

Fully qualified name of the shortcut file to resolve.

ShellLink

TShellLink record which retrieves the details about the specified shortcut.

Return Value

If the function succeeds it returns S_OK. If it fails it returns an OLE error code.

Notes

You must free the TShellLink record by calling ShellLinkFree

Donator

Marcel van Brakel

Contributors

Rik Barker

Group

Shortcuts

Unit

JclShell


See Also

ShellLinkCreate ShellLinkCreateSystem ShellLinkFree TShellLink


ShellLinkCreate Function

See Also

Creates a new shortcut.

Pascal

function ShellLinkCreate(const Link: TShellLink; const FileName: string): HRESULT;

Description

ShellLinkCreate creates a new shortcut specified by filename. If the function succeeds it returns S_OK otherwise it returns an OLE error code. See TShellLink for information about the ShellLink parameter.

Parameters

const FileName: string

Fully qualified Filename for the new shortcut.

ShellLink

TShellLink record with the details about the shortcut to create.

Return Value

If the function succeeds the shortcut is created and the return value is S_OK. If the function fails the return value is an OLE error code.

Notes

You must free the TShellLink record by calling ShellLinkFree

Donator

Marcel van Brakel

Group

Shortcuts

Unit

JclShell


See Also

ShellLinkCreateSystem ShellLinkResolve ShellLinkFree TShellLink


ShellLinkCreateSystem Function

See Also

Creates a new shortcut in the specified system folder.

Pascal

function ShellLinkCreateSystem(const Link: TShellLink; const Folder: Integer; const FileName: string): HRESULT;

Description

ShellLinkCreateSystem creates a new shortcut specified by FileName in the system folder specified by the Folder parameter (CSIDL_XXX constants). FileName can contain a path but not a drive specification. See TShellLink for information about the ShortCut parameter. If the function succeeds it returns S_OK otherwise it returns an OLE error code.

Parameters

const Folder: Integer

The folder in which to create the shortcut. This must be set to one of the CSIDL_x constants.

const FileName: string

Filename for the new shortcut. This can include a folder but no drive indication.

ShellLink

TShellLink record with the details about the shortcut to create.

Return Value

If the function succeeds the shortcut is created and the return value is S_OK. If the function fails the return value is an OLE error code.

Notes

You must free the TShellLink record by calling ShellLinkFree

Donator

Marcel van Brakel

Group

Shortcuts

Unit

JclShell


See Also

ShellLinkCreate ShellLinkResolve ShellLinkFree TShellLink


ShellLinkGetIcon

Returns the icon associate with a shell link.

Description

ShellLinkGetIcon obtains the icon for the specified link. Due to the fact that Windows does not document how the shell itself determines the icon to display, the returned icon may be different than the one the shell actually dispays.

Parameters

Link

ShellLink record specifying the shell link for which to obtain the icon. This is, for example, the recor as initialized by ShellLinkResolve.

Icon

TIcon instance which receives the icon associated with the shell link.

Return Value

If the function succeeds it returns True, otherwise it returns False.

Donator

Marcel van Brakel

Group

Shortcuts


Windows NT Service control

Legend

Windows

Classes

TJclNtService

TJclServiceGroup

TJclSCManager

Enumerations

 TJclServiceType

 TJclServiceState

 TJclServiceStartType

 TJclServiceSortOrderType

 TJclServiceErrorControlType

 TJclServiceControlAccepted

Functions

GetServiceStatus

GetServiceStatusWaitingIfPending

Types

TJclServiceControlAccepteds

Legend

Enumeration


Windows NT Service control Enumerations

Windows NT Service control	Legend

Enumerations

 TJclServiceType

 TJclServiceState

 TJclServiceStartType

 TJclServiceSortOrderType

 TJclServiceErrorControlType

 TJclServiceControlAccepted


Legend

Enumeration


Windows NT Service control Classes

Windows NT Service control

Classes

TJclNtService

TJclServiceGroup

TJclSCManager


Windows NT Service control Functions

Windows NT Service control

Functions

GetServiceStatus

GetServiceStatusWaitingIfPending


Windows NT Service control Types

Windows NT Service control

Types

TJclServiceControlAccepteds


Legend

Windows NT Service control

Legend

Enumeration


TJclServiceType Enumeration

TJclServiceType = (
  stKernelDriver,
  stFileSystemDriver,
  stAdapter,
  stRecognizerDriver,
  stWin32OwnProcess,
  stWin32ShareProcess,
  stInteractiveProcess
);

Description

Type of service.

stKernelDriver

The service is a device driver.

stFileSystemDriver

The service is a file system driver.

stWin32OwnProcess

The service runs in its own process.

stWin32ShareProcess

The service shares a process with other services.

stInteractiveProcess

The service can interact with the desktop.

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclServiceState Enumeration

TJclServiceState = (
  ssUnknown,
  ssStopped,
  ssStartPending,
  ssStopPending,
  ssRunning,
  ssContinuePending,
  ssPausePending,
  ssPaused
);

Description

Current state of the service.

ssUnknown

The state of the service is unknown.

ssStopped

The service is not running.

ssStartPending

The service is starting.

ssStopPending

The service is stopping.

ssRunning

The service is running.

ssContinuePending

The service continue is pending.

ssPausePending

The service pause is pending.

ssPaused

The service is paused.

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclServiceStartType Enumeration

TJclServiceStartType = (
  sstBoot,
  sstSystem,
  sstAuto,
  sstDemand,
  sstDisabled
);

Description

TODO

sstBoot

SERVICE_BOOT_START

sstSystem

SERVICE_SYSTEM_START

sstAuto

SERVICE_AUTO_START

sstDemand

SERVICE_DEMAND_START

sstDisabled

SERVICE_DISABLED

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclNtService Class

Properties	Methods	Legend

TJclNtService = class(TObject);

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Legend

read only

protected

Constructor

Unit

JclSvcCtrl


TJclNtService Class Properties

TJclNtService Class	Legend

Properties

Active

 ControlsAccepted

 DependentByServiceCount

 DependentByServices

 DependentGroupCount

 DependentGroups

 DependentServiceCount

 DependentServices

 Description

 DesiredAccess

 DisplayName

 ErrorControlType

 FileName

 Group

 Handle

 SCManager

 ServiceName

 ServiceState

 ServiceTypes

StartType

 Win32ExitCode


Legend

read only


TJclNtService Class Methods

TJclNtService Class	Legend

Methods

 Close

Commit

 CommitConfig

Continue

Controls

 Create

Delete

 Destroy

 GetServiceStatus

 Open

Pause

Refresh

 SetStartType

Start

Stop

 UpdateConfig

 UpdateDependents

 UpdateDescription

 UpdateStatus

WaitFor


Legend

protected

Constructor


Legend

TJclNtService Class

Legend

read only

protected

Constructor


TJclNtService Class Members

TJclNtService Class	Legend

Members

Properties

Active

 ControlsAccepted

 DependentByServiceCount

 DependentByServices

 DependentGroupCount

 DependentGroups

 DependentServiceCount

 DependentServices

 Description

 DesiredAccess

 DisplayName

 ErrorControlType

 FileName

 Group

 Handle

 SCManager

 ServiceName

 ServiceState

 ServiceTypes

StartType

 Win32ExitCode

Methods

 Close

Commit

 CommitConfig

Continue

Controls

 Create

Delete

 Destroy

 GetServiceStatus

 Open

Pause

Refresh

 SetStartType

Start

Stop

 UpdateConfig

 UpdateDependents

 UpdateDescription

 UpdateStatus

WaitFor


Legend

read only

protected

Constructor


TJclNtService.Active Property

TJclNtService Class

property Active: Boolean;

Class

TJclNtService Class


TJclNtService.ControlsAccepted Property

TJclNtService Class

property ControlsAccepted: TJclServiceControlAccepteds;

Class

TJclNtService Class


TJclNtService.DependentByServiceCount Property

TJclNtService Class

property DependentByServiceCount: Integer;

Class

TJclNtService Class


TJclNtService.DependentByServices Property

TJclNtService Class

property DependentByServices [const Idx: Integer]: TJclNtService;

Class

TJclNtService Class


TJclNtService.DependentGroupCount Property

TJclNtService Class

property DependentGroupCount: Integer;

Class

TJclNtService Class


TJclNtService.DependentGroups Property

TJclNtService Class

property DependentGroups [const Idx: Integer]: TJclServiceGroup;

Class

TJclNtService Class


TJclNtService.DependentServiceCount Property

TJclNtService Class

property DependentServiceCount: Integer;

Class

TJclNtService Class


TJclNtService.DependentServices Property

TJclNtService Class

property DependentServices [const Idx: Integer]: TJclNtService;

Class

TJclNtService Class


TJclNtService.Description Property

TJclNtService Class

property Description: string;

Class

TJclNtService Class


TJclNtService.DesiredAccess Property

TJclNtService Class

property DesiredAccess: DWORD;

Class

TJclNtService Class


TJclNtService.DisplayName Property

TJclNtService Class

property DisplayName: string;

Class

TJclNtService Class


TJclNtService.ErrorControlType Property

TJclNtService Class

property ErrorControlType: TJclServiceErrorControlType;

Class

TJclNtService Class


TJclNtService.FileName Property

TJclNtService Class

property FileName: TFileName;

Class

TJclNtService Class


TJclNtService.Group Property

TJclNtService Class

property Group: TJclServiceGroup;

Class

TJclNtService Class


TJclNtService.Handle Property

TJclNtService Class

property Handle: SC_HANDLE;

Class

TJclNtService Class


TJclNtService.SCManager Property

TJclNtService Class

property SCManager: TJclSCManager;

Class

TJclNtService Class


TJclNtService.ServiceName Property

TJclNtService Class

property ServiceName: string;

Class

TJclNtService Class


TJclNtService.ServiceState Property

TJclNtService Class

property ServiceState: TJclServiceState;

Class

TJclNtService Class


TJclNtService.ServiceTypes Property

TJclNtService Class

property ServiceTypes: TJclServiceTypes;

Class

TJclNtService Class


TJclNtService.StartType Property

TJclNtService Class

property StartType: TJclServiceStartType;

Class

TJclNtService Class


TJclNtService.Win32ExitCode Property

TJclNtService Class

property Win32ExitCode: DWORD;

Class

TJclNtService Class


TJclNtService.Close Method

TJclNtService Class

procedure Close;

Class

TJclNtService Class


TJclNtService.Commit Method

TJclNtService Class

procedure Commit;

Class

TJclNtService Class


TJclNtService.CommitConfig Method

TJclNtService Class

procedure CommitConfig(var SvcConfig: TQueryServiceConfig);

Class

TJclNtService Class


TJclNtService.Continue Method

TJclNtService Class

procedure Continue(const Sync: Boolean = True);

Class

TJclNtService Class


TJclNtService.Controls Method

TJclNtService Class

function Controls(const ControlType: DWORD; const ADesiredAccess: DWORD = DefaultSvcDesiredAccess): TServiceStatus;

Class

TJclNtService Class


TJclNtService.Create Constructor

TJclNtService Class

constructor Create(const ASCManager: TJclSCManager; const SvcStatus: TEnumServiceStatus);

Class

TJclNtService Class


TJclNtService.Delete Method

TJclNtService Class

procedure Delete;

Class

TJclNtService Class


TJclNtService.Destroy Destructor

TJclNtService Class

destructor Destroy; override;

Class

TJclNtService Class


TJclNtService.GetServiceStatus Method

TJclNtService Class

function GetServiceStatus: TServiceStatus;

Class

TJclNtService Class


TJclNtService.Open Method

TJclNtService Class

procedure Open(const ADesiredAccess: DWORD = DefaultSvcDesiredAccess);

Class

TJclNtService Class


TJclNtService.Pause Method

TJclNtService Class

procedure Pause(const Sync: Boolean = True);

Class

TJclNtService Class


TJclNtService.Refresh Method

TJclNtService Class

procedure Refresh;

Class

TJclNtService Class


TJclNtService.SetStartType Method

TJclNtService Class

procedure SetStartType(AStartType: TJclServiceStartType);

Class

TJclNtService Class


TJclNtService.Start Method (Boolean)

TJclNtService Class

procedure Start(const Sync: Boolean = True); overload;

Class

TJclNtService Class


TJclNtService.Start Method (array of string, Boolean)

TJclNtService Class

procedure Start(const Args: array of string; const Sync: Boolean = True); overload;

Class

TJclNtService Class


TJclNtService.Stop Method

TJclNtService Class

procedure Stop(const Sync: Boolean = True);

Class

TJclNtService Class


TJclNtService.UpdateConfig Method

TJclNtService Class

procedure UpdateConfig(const SvcConfig: TQueryServiceConfig);

Class

TJclNtService Class


TJclNtService.UpdateDependents Method

TJclNtService Class

procedure UpdateDependents;

Class

TJclNtService Class


TJclNtService.UpdateDescription Method

TJclNtService Class

procedure UpdateDescription;

Class

TJclNtService Class


TJclNtService.UpdateStatus Method

TJclNtService Class

procedure UpdateStatus(const SvcStatus: TServiceStatus);

Class

TJclNtService Class


TJclNtService.WaitFor Method

TJclNtService Class

function WaitFor(const State: TJclServiceState; const TimeOut: DWORD = INFINITE): Boolean;

Class

TJclNtService Class


TJclServiceGroup Class

Properties	Methods	Legend

TJclServiceGroup = class(TObject);

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Legend

read only

protected

Constructor

Unit

JclSvcCtrl


TJclServiceGroup Class Properties

TJclServiceGroup Class	Legend

Properties

 Name

 Order

 SCManager

 ServiceCount

 Services


Legend

read only


TJclServiceGroup Class Methods

TJclServiceGroup Class	Legend

Methods

 Add

 Create

 Destroy

 Remove


Legend

protected

Constructor


Legend

TJclServiceGroup Class

Legend

read only

protected

Constructor


TJclServiceGroup Class Members

TJclServiceGroup Class	Legend

Members

Properties

 Name

 Order

 SCManager

 ServiceCount

 Services

Methods

 Add

 Create

 Destroy

 Remove


Legend

read only

protected

Constructor


TJclServiceGroup.Name Property

TJclServiceGroup Class

property Name: string;

Class

TJclServiceGroup Class


TJclServiceGroup.Order Property

TJclServiceGroup Class

property Order: Integer;

Class

TJclServiceGroup Class


TJclServiceGroup.SCManager Property

TJclServiceGroup Class

property SCManager: TJclSCManager;

Class

TJclServiceGroup Class


TJclServiceGroup.ServiceCount Property

TJclServiceGroup Class

property ServiceCount: Integer;

Class

TJclServiceGroup Class


TJclServiceGroup.Services Property

TJclServiceGroup Class

property Services [const Idx: Integer]: TJclNtService;

Class

TJclServiceGroup Class


TJclServiceGroup.Add Method

TJclServiceGroup Class

function Add(const AService: TJclNtService): Integer;

Class

TJclServiceGroup Class


TJclServiceGroup.Create Constructor

TJclServiceGroup Class

constructor Create(const ASCManager: TJclSCManager; const AName: string; const AOrder: Integer);

Class

TJclServiceGroup Class


TJclServiceGroup.Destroy Destructor

TJclServiceGroup Class

destructor Destroy; override;

Class

TJclServiceGroup Class


TJclServiceGroup.Remove Method

TJclServiceGroup Class

function Remove(const AService: TJclNtService): Integer;

Class

TJclServiceGroup Class


TJclSCManager Class

Properties	Methods	Legend

TJclSCManager = class(TObject);

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Fields

 FOrderAsc

 FOrderType

Legend

protected

read only

Constructor

Unit

JclSvcCtrl


TJclSCManager Class Fields

TJclSCManager Class	Legend

Fields

 FOrderAsc

 FOrderType


Legend

protected


TJclSCManager Class Properties

TJclSCManager Class	Legend

Properties

Active

 AdvApi32Handle

 DatabaseName

 DesiredAccess

 GroupCount

 Groups

 Handle

 MachineName

OrderAsc

OrderType

 QueryServiceConfig2A

 ServiceCount

 Services


Legend

protected

read only


TJclSCManager Class Methods

TJclSCManager Class	Legend

Methods

 AddGroup

 AddService

Clear

 Close

ControlAccepted

 Create

 Destroy

FindGroup

FindService

 GetServiceLockStatus

Install

IsLocked

Lock

LockDuration

LockOwner

 Open

Refresh

ServiceType

Sort

Unlock


Legend

protected

Constructor


Legend

TJclSCManager Class

Legend

protected

read only

Constructor


TJclSCManager Class Members

TJclSCManager Class	Legend

Members

Fields

 FOrderAsc

 FOrderType

Properties

Active

 AdvApi32Handle

 DatabaseName

 DesiredAccess

 GroupCount

 Groups

 Handle

 MachineName

OrderAsc

OrderType

 QueryServiceConfig2A

 ServiceCount

 Services

Methods

 AddGroup

 AddService

Clear

 Close

ControlAccepted

 Create

 Destroy

FindGroup

FindService

 GetServiceLockStatus

Install

IsLocked

Lock

LockDuration

LockOwner

 Open

Refresh

ServiceType

Sort

Unlock


Legend

protected

read only

Constructor


TJclSCManager.FOrderAsc Field

TJclSCManager Class

FOrderAsc: Boolean;

Class

TJclSCManager Class


TJclSCManager.FOrderType Field

TJclSCManager Class

FOrderType: TJclServiceSortOrderType;

Class

TJclSCManager Class


TJclSCManager.Active Property

TJclSCManager Class

property Active: Boolean;

Class

TJclSCManager Class


TJclSCManager.AdvApi32Handle Property

TJclSCManager Class

property AdvApi32Handle: TModuleHandle;

Class

TJclSCManager Class


TJclSCManager.DatabaseName Property

TJclSCManager Class

property DatabaseName: string;

Class

TJclSCManager Class


TJclSCManager.DesiredAccess Property

TJclSCManager Class

property DesiredAccess: DWORD;

Class

TJclSCManager Class


TJclSCManager.GroupCount Property

TJclSCManager Class

property GroupCount: Integer;

Class

TJclSCManager Class


TJclSCManager.Groups Property

TJclSCManager Class

property Groups [const Idx: Integer]: TJclServiceGroup;

Class

TJclSCManager Class


TJclSCManager.Handle Property

TJclSCManager Class

property Handle: SC_HANDLE;

Class

TJclSCManager Class


TJclSCManager.MachineName Property

TJclSCManager Class

property MachineName: string;

Class

TJclSCManager Class


TJclSCManager.OrderAsc Property

TJclSCManager Class

property OrderAsc: Boolean;

Class

TJclSCManager Class


TJclSCManager.OrderType Property

TJclSCManager Class

property OrderType: TJclServiceSortOrderType;

Class

TJclSCManager Class


TJclSCManager.QueryServiceConfig2A Property

TJclSCManager Class

property QueryServiceConfig2A: TQueryServiceConfig2A;

Class

TJclSCManager Class


TJclSCManager.ServiceCount Property

TJclSCManager Class

property ServiceCount: Integer;

Class

TJclSCManager Class


TJclSCManager.Services Property

TJclSCManager Class

property Services [const Idx: Integer]: TJclNtService;

Class

TJclSCManager Class


TJclSCManager.AddGroup Method

TJclSCManager Class

function AddGroup(const AGroup: TJclServiceGroup): Integer;

Class

TJclSCManager Class


TJclSCManager.AddService Method

TJclSCManager Class

function AddService(const AService: TJclNtService): Integer;

Class

TJclSCManager Class


TJclSCManager.Clear Method

TJclSCManager Class

procedure Clear;

Class

TJclSCManager Class


TJclSCManager.Close Method

TJclSCManager Class

procedure Close;

Class

TJclSCManager Class


TJclSCManager.ControlAccepted Method (DWORD)

TJclSCManager Class

class function ControlAccepted(const CtrlAccepted: DWORD): TJclServiceControlAccepteds; overload;

Class

TJclSCManager Class


TJclSCManager.ControlAccepted Method (TJclServiceControlAccepteds)

TJclSCManager Class

class function ControlAccepted(const CtrlAccepted: TJclServiceControlAccepteds): DWORD; overload;

Class

TJclSCManager Class


TJclSCManager.Create Constructor

TJclSCManager Class

constructor Create(const AMachineName: string = ''; const ADesiredAccess: DWORD = DefaultSCMDesiredAccess; const ADatabaseName: string = SERVICES_ACTIVE_DATABASE);

Class

TJclSCManager Class


TJclSCManager.Destroy Destructor

TJclSCManager Class

destructor Destroy; override;

Class

TJclSCManager Class


TJclSCManager.FindGroup Method

TJclSCManager Class

function FindGroup(const GrpName: string; var SvcGrp: TJclServiceGroup; const AutoAdd: Boolean = True): Boolean;

Class

TJclSCManager Class


TJclSCManager.FindService Method

TJclSCManager Class

function FindService(const SvcName: string; var NtSvc: TJclNtService): Boolean;

Class

TJclSCManager Class


TJclSCManager.GetServiceLockStatus Method

TJclSCManager Class

function GetServiceLockStatus: PQueryServiceLockStatus;

Class

TJclSCManager Class


TJclSCManager.Install Method

TJclSCManager Class

function Install(const ServiceName: string; const DisplayName: string; const ImageName: string; const Description: string = ''; ServiceTypes: TJclServiceTypes = [stWin32OwnProcess]; StartType: TJclServiceStartType = sstDemand; ErrorControlType: TJclServiceErrorControlType = ectNormal; DesiredAccess: DWORD = DefaultSvcDesiredAccess; const LoadOrderGroup: TJclServiceGroup = nil; const Dependencies: PChar = nil; const Account: PChar = nil; const Password: PChar = nil): TJclNtService;

Class

TJclSCManager Class


TJclSCManager.IsLocked Method

TJclSCManager Class

function IsLocked: Boolean;

Class

TJclSCManager Class


TJclSCManager.Lock Method

TJclSCManager Class

procedure Lock;

Class

TJclSCManager Class


TJclSCManager.LockDuration Method

TJclSCManager Class

function LockDuration: DWORD;

Class

TJclSCManager Class


TJclSCManager.LockOwner Method

TJclSCManager Class

function LockOwner: string;

Class

TJclSCManager Class


TJclSCManager.Open Method

TJclSCManager Class

procedure Open;

Class

TJclSCManager Class


TJclSCManager.Refresh Method

TJclSCManager Class

procedure Refresh(const RefreshAll: Boolean = False);

Class

TJclSCManager Class


TJclSCManager.ServiceType Method (DWORD)

TJclSCManager Class

class function ServiceType(const SvcType: DWORD): TJclServiceTypes; overload;

Class

TJclSCManager Class


TJclSCManager.ServiceType Method (TJclServiceTypes)

TJclSCManager Class

class function ServiceType(const SvcType: TJclServiceTypes): DWORD; overload;

Class

TJclSCManager Class


TJclSCManager.Sort Method

TJclSCManager Class

procedure Sort(const AOrderType: TJclServiceSortOrderType; const AOrderAsc: Boolean = True);

Class

TJclSCManager Class


TJclSCManager.Unlock Method

TJclSCManager Class

procedure Unlock;

Class

TJclSCManager Class


GetServiceStatus Function

See Also

function GetServiceStatus(ServiceHandle: SC_HANDLE): DWORD;

Description

TODO

Donator

Anonymous

Group

Windows NT Service control

Unit

JclSvcCtrl


See Also

GetServiceStatusWaitingIfPending


GetServiceStatusWaitingIfPending Function

function GetServiceStatusWaitingIfPending(ServiceHandle: SC_HANDLE): DWORD;

Description

TODO

Donator

Anonymous

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclServiceSortOrderType Enumeration

TJclServiceSortOrderType = (
  sotServiceName,
  sotDisplayName,
  sotDescription,
  sotFileName,
  sotServiceState,
  sotStartType,
  sotErrorControlType,
  sotLoadOrderGroup,
  sotWin32ExitCode
);

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclServiceErrorControlType Enumeration

TJclServiceErrorControlType = (
  ectIgnore,
  ectNormal,
  ectSevere,
  ectCritical
);

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


TJclServiceControlAccepted Enumeration

See Also

TJclServiceControlAccepted = (
  caStop,
  caPauseContinue,
  caShutdown
);

Description

TODO

caStop

The service can be stopped.

caPauseContinue

The service can be paused and continued.

caShutdown

The service is notified when system shutdown occurs.

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


See Also

TJclServiceControlAccepteds


TJclServiceControlAccepteds Type

See Also

TJclServiceControlAccepteds = set of TJclServiceControlAccepted;

Description

TODO

Donator

Flier Lu

Group

Windows NT Service control

Unit

JclSvcCtrl


See Also

TJclServiceControlAccepted, TJclNtService.ControlsAccepted